package androidx.appcompat.view.menu;

import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.view.KeyEvent;
import android.view.Menu;
import android.view.MenuItem;
import android.view.SubMenu;
import androidx.annotation.RestrictTo;
import androidx.core.internal.view.SupportMenu;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
public class MenuWrapperICS extends BaseMenuWrapper implements Menu {
    private final SupportMenu mWrappedObject;

    public MenuWrapperICS(Context context, SupportMenu supportMenu) {
        super(context);
        if (supportMenu != null) {
            this.mWrappedObject = supportMenu;
            return;
        }
        throw new IllegalArgumentException("Wrapped Object can not be null.");
    }

    @Override // android.view.Menu
    public MenuItem add(int i7) {
        return getMenuItemWrapper(this.mWrappedObject.add(i7));
    }

    public int addIntentOptions(int i7, int i8, int i9, ComponentName componentName, Intent[] intentArr, Intent intent, int i10, MenuItem[] menuItemArr) {
        MenuItem[] menuItemArr2 = menuItemArr != null ? new MenuItem[menuItemArr.length] : null;
        int addIntentOptions = this.mWrappedObject.addIntentOptions(i7, i8, i9, componentName, intentArr, intent, i10, menuItemArr2);
        if (menuItemArr2 != null) {
            int length = menuItemArr2.length;
            for (int i11 = 0; i11 < length; i11++) {
                menuItemArr[i11] = getMenuItemWrapper(menuItemArr2[i11]);
            }
        }
        return addIntentOptions;
    }

    @Override // android.view.Menu
    public SubMenu addSubMenu(int i7) {
        return getSubMenuWrapper(this.mWrappedObject.addSubMenu(i7));
    }

    public void clear() {
        internalClear();
        this.mWrappedObject.clear();
    }

    public void close() {
        this.mWrappedObject.close();
    }

    public MenuItem findItem(int i7) {
        return getMenuItemWrapper(this.mWrappedObject.findItem(i7));
    }

    public MenuItem getItem(int i7) {
        return getMenuItemWrapper(this.mWrappedObject.getItem(i7));
    }

    public boolean hasVisibleItems() {
        return this.mWrappedObject.hasVisibleItems();
    }

    public boolean isShortcutKey(int i7, KeyEvent keyEvent) {
        return this.mWrappedObject.isShortcutKey(i7, keyEvent);
    }

    public boolean performIdentifierAction(int i7, int i8) {
        return this.mWrappedObject.performIdentifierAction(i7, i8);
    }

    public boolean performShortcut(int i7, KeyEvent keyEvent, int i8) {
        return this.mWrappedObject.performShortcut(i7, keyEvent, i8);
    }

    public void removeGroup(int i7) {
        internalRemoveGroup(i7);
        this.mWrappedObject.removeGroup(i7);
    }

    public void removeItem(int i7) {
        internalRemoveItem(i7);
        this.mWrappedObject.removeItem(i7);
    }

    public void setGroupCheckable(int i7, boolean z7, boolean z8) {
        this.mWrappedObject.setGroupCheckable(i7, z7, z8);
    }

    public void setGroupEnabled(int i7, boolean z7) {
        this.mWrappedObject.setGroupEnabled(i7, z7);
    }

    public void setGroupVisible(int i7, boolean z7) {
        this.mWrappedObject.setGroupVisible(i7, z7);
    }

    public void setQwertyMode(boolean z7) {
        this.mWrappedObject.setQwertyMode(z7);
    }

    public int size() {
        return this.mWrappedObject.size();
    }

    @Override // android.view.Menu
    public MenuItem add(int i7, int i8, int i9, int i10) {
        return getMenuItemWrapper(this.mWrappedObject.add(i7, i8, i9, i10));
    }

    @Override // android.view.Menu
    public SubMenu addSubMenu(int i7, int i8, int i9, int i10) {
        return getSubMenuWrapper(this.mWrappedObject.addSubMenu(i7, i8, i9, i10));
    }

    @Override // android.view.Menu
    public MenuItem add(int i7, int i8, int i9, CharSequence charSequence) {
        return getMenuItemWrapper(this.mWrappedObject.add(i7, i8, i9, charSequence));
    }

    @Override // android.view.Menu
    public SubMenu addSubMenu(int i7, int i8, int i9, CharSequence charSequence) {
        return getSubMenuWrapper(this.mWrappedObject.addSubMenu(i7, i8, i9, charSequence));
    }

    @Override // android.view.Menu
    public MenuItem add(CharSequence charSequence) {
        return getMenuItemWrapper(this.mWrappedObject.add(charSequence));
    }

    @Override // android.view.Menu
    public SubMenu addSubMenu(CharSequence charSequence) {
        return getSubMenuWrapper(this.mWrappedObject.addSubMenu(charSequence));
    }
}
