package androidx.constraintlayout.motion.widget;

import java.util.Arrays;
import java.util.HashMap;

public class KeyCache {
    HashMap<Object, HashMap<String, float[]>> map = new HashMap<>();

    /* access modifiers changed from: package-private */
    public float getFloatValue(Object obj, String str, int i7) {
        if (!this.map.containsKey(obj)) {
            return Float.NaN;
        }
        HashMap<String, float[]> hashMap = this.map.get(obj);
        if (!hashMap.containsKey(str)) {
            return Float.NaN;
        }
        float[] fArr = hashMap.get(str);
        if (fArr.length > i7) {
            return fArr[i7];
        }
        return Float.NaN;
    }

    /* access modifiers changed from: package-private */
    public void setFloatValue(Object obj, String str, int i7, float f7) {
        HashMap<String, float[]> hashMap;
        if (!this.map.containsKey(obj)) {
            hashMap = new HashMap<>();
            float[] fArr = new float[(i7 + 1)];
            fArr[i7] = f7;
            hashMap.put(str, fArr);
        } else {
            hashMap = this.map.get(obj);
            if (!hashMap.containsKey(str)) {
                float[] fArr2 = new float[(i7 + 1)];
                fArr2[i7] = f7;
                hashMap.put(str, fArr2);
            } else {
                float[] fArr3 = hashMap.get(str);
                if (fArr3.length <= i7) {
                    fArr3 = Arrays.copyOf(fArr3, i7 + 1);
                }
                fArr3[i7] = f7;
                hashMap.put(str, fArr3);
                return;
            }
        }
        this.map.put(obj, hashMap);
    }
}
