package androidx.constraintlayout.solver;

import androidx.constraintlayout.solver.ArrayRow;
import java.io.PrintStream;
import java.util.Arrays;

public class ArrayLinkedVariables implements ArrayRow.ArrayRowVariables {
    private static final boolean DEBUG = false;
    private static final boolean FULL_NEW_CHECK = false;
    static final int NONE = -1;
    private static float epsilon = 0.001f;
    private int ROW_SIZE = 8;
    private SolverVariable candidate = null;
    int currentSize = 0;
    private int[] mArrayIndices = new int[8];
    private int[] mArrayNextIndices = new int[8];
    private float[] mArrayValues = new float[8];
    protected final Cache mCache;
    private boolean mDidFillOnce = false;
    private int mHead = -1;
    private int mLast = -1;
    private final ArrayRow mRow;

    ArrayLinkedVariables(ArrayRow arrayRow, Cache cache) {
        this.mRow = arrayRow;
        this.mCache = cache;
    }

    @Override // androidx.constraintlayout.solver.ArrayRow.ArrayRowVariables
    public void add(SolverVariable solverVariable, float f7, boolean z7) {
        float f8 = epsilon;
        if (f7 <= (-f8) || f7 >= f8) {
            int i7 = this.mHead;
            if (i7 == -1) {
                this.mHead = 0;
                this.mArrayValues[0] = f7;
                this.mArrayIndices[0] = solverVariable.id;
                this.mArrayNextIndices[0] = -1;
                solverVariable.usageInRowCount++;
                solverVariable.addToRow(this.mRow);
                this.currentSize++;
                if (!this.mDidFillOnce) {
                    int i8 = this.mLast + 1;
                    this.mLast = i8;
                    int[] iArr = this.mArrayIndices;
                    if (i8 >= iArr.length) {
                        this.mDidFillOnce = true;
                        this.mLast = iArr.length - 1;
                        return;
                    }
                    return;
                }
                return;
            }
            int i9 = 0;
            int i10 = -1;
            while (i7 != -1 && i9 < this.currentSize) {
                int i11 = this.mArrayIndices[i7];
                int i12 = solverVariable.id;
                if (i11 == i12) {
                    float[] fArr = this.mArrayValues;
                    float f9 = fArr[i7] + f7;
                    float f10 = epsilon;
                    if (f9 > (-f10) && f9 < f10) {
                        f9 = 0.0f;
                    }
                    fArr[i7] = f9;
                    if (f9 == 0.0f) {
                        if (i7 == this.mHead) {
                            this.mHead = this.mArrayNextIndices[i7];
                        } else {
                            int[] iArr2 = this.mArrayNextIndices;
                            iArr2[i10] = iArr2[i7];
                        }
                        if (z7) {
                            solverVariable.removeFromRow(this.mRow);
                        }
                        if (this.mDidFillOnce) {
                            this.mLast = i7;
                        }
                        solverVariable.usageInRowCount--;
                        this.currentSize--;
                        return;
                    }
                    return;
                }
                if (i11 < i12) {
                    i10 = i7;
                }
                i7 = this.mArrayNextIndices[i7];
                i9++;
            }
            int i13 = this.mLast;
            int i14 = i13 + 1;
            if (this.mDidFillOnce) {
                int[] iArr3 = this.mArrayIndices;
                if (iArr3[i13] != -1) {
                    i13 = iArr3.length;
                }
            } else {
                i13 = i14;
            }
            int[] iArr4 = this.mArrayIndices;
            if (i13 >= iArr4.length && this.currentSize < iArr4.length) {
                int i15 = 0;
                while (true) {
                    int[] iArr5 = this.mArrayIndices;
                    if (i15 >= iArr5.length) {
                        break;
                    } else if (iArr5[i15] == -1) {
                        i13 = i15;
                        break;
                    } else {
                        i15++;
                    }
                }
            }
            int[] iArr6 = this.mArrayIndices;
            if (i13 >= iArr6.length) {
                i13 = iArr6.length;
                int i16 = this.ROW_SIZE * 2;
                this.ROW_SIZE = i16;
                this.mDidFillOnce = false;
                this.mLast = i13 - 1;
                this.mArrayValues = Arrays.copyOf(this.mArrayValues, i16);
                this.mArrayIndices = Arrays.copyOf(this.mArrayIndices, this.ROW_SIZE);
                this.mArrayNextIndices = Arrays.copyOf(this.mArrayNextIndices, this.ROW_SIZE);
            }
            this.mArrayIndices[i13] = solverVariable.id;
            this.mArrayValues[i13] = f7;
            int[] iArr7 = this.mArrayNextIndices;
            if (i10 != -1) {
                iArr7[i13] = iArr7[i10];
                iArr7[i10] = i13;
            } else {
                iArr7[i13] = this.mHead;
                this.mHead = i13;
            }
            solverVariable.usageInRowCount++;
            solverVariable.addToRow(this.mRow);
            this.currentSize++;
            if (!this.mDidFillOnce) {
                this.mLast++;
            }
            int i17 = this.mLast;
            int[] iArr8 = this.mArrayIndices;
            if (i17 >= iArr8.length) {
                this.mDidFillOnce = true;
                this.mLast = iArr8.length - 1;
            }
        }
    }

    @Override // androidx.constraintlayout.solver.ArrayRow.ArrayRowVariables
    public final void clear() {
        int i7 = this.mHead;
        int i8 = 0;
        while (i7 != -1 && i8 < this.currentSize) {
            SolverVariable solverVariable = this.mCache.mIndexedVariables[this.mArrayIndices[i7]];
            if (solverVariable != null) {
                solverVariable.removeFromRow(this.mRow);
            }
            i7 = this.mArrayNextIndices[i7];
            i8++;
        }
        this.mHead = -1;
        this.mLast = -1;
        this.mDidFillOnce = false;
        this.currentSize = 0;
    }

    @Override // androidx.constraintlayout.solver.ArrayRow.ArrayRowVariables
    public boolean contains(SolverVariable solverVariable) {
        int i7 = this.mHead;
        if (i7 == -1) {
            return false;
        }
        int i8 = 0;
        while (i7 != -1 && i8 < this.currentSize) {
            if (this.mArrayIndices[i7] == solverVariable.id) {
                return true;
            }
            i7 = this.mArrayNextIndices[i7];
            i8++;
        }
        return false;
    }

    @Override // androidx.constraintlayout.solver.ArrayRow.ArrayRowVariables
    public void display() {
        int i7 = this.currentSize;
        System.out.print("{ ");
        for (int i8 = 0; i8 < i7; i8++) {
            SolverVariable variable = getVariable(i8);
            if (variable != null) {
                PrintStream printStream = System.out;
                printStream.print(variable + " = " + getVariableValue(i8) + " ");
            }
        }
        System.out.println(" }");
    }

    @Override // androidx.constraintlayout.solver.ArrayRow.ArrayRowVariables
    public void divideByAmount(float f7) {
        int i7 = this.mHead;
        int i8 = 0;
        while (i7 != -1 && i8 < this.currentSize) {
            float[] fArr = this.mArrayValues;
            fArr[i7] = fArr[i7] / f7;
            i7 = this.mArrayNextIndices[i7];
            i8++;
        }
    }

    @Override // androidx.constraintlayout.solver.ArrayRow.ArrayRowVariables
    public final float get(SolverVariable solverVariable) {
        int i7 = this.mHead;
        int i8 = 0;
        while (i7 != -1 && i8 < this.currentSize) {
            if (this.mArrayIndices[i7] == solverVariable.id) {
                return this.mArrayValues[i7];
            }
            i7 = this.mArrayNextIndices[i7];
            i8++;
        }
        return 0.0f;
    }

    @Override // androidx.constraintlayout.solver.ArrayRow.ArrayRowVariables
    public int getCurrentSize() {
        return this.currentSize;
    }

    public int getHead() {
        return this.mHead;
    }

    public final int getId(int i7) {
        return this.mArrayIndices[i7];
    }

    public final int getNextIndice(int i7) {
        return this.mArrayNextIndices[i7];
    }

    /* access modifiers changed from: package-private */
    public SolverVariable getPivotCandidate() {
        SolverVariable solverVariable = this.candidate;
        if (solverVariable != null) {
            return solverVariable;
        }
        int i7 = this.mHead;
        int i8 = 0;
        SolverVariable solverVariable2 = null;
        while (i7 != -1 && i8 < this.currentSize) {
            if (this.mArrayValues[i7] < 0.0f) {
                SolverVariable solverVariable3 = this.mCache.mIndexedVariables[this.mArrayIndices[i7]];
                if (solverVariable2 == null || solverVariable2.strength < solverVariable3.strength) {
                    solverVariable2 = solverVariable3;
                }
            }
            i7 = this.mArrayNextIndices[i7];
            i8++;
        }
        return solverVariable2;
    }

    public final float getValue(int i7) {
        return this.mArrayValues[i7];
    }

    @Override // androidx.constraintlayout.solver.ArrayRow.ArrayRowVariables
    public SolverVariable getVariable(int i7) {
        int i8 = this.mHead;
        int i9 = 0;
        while (i8 != -1 && i9 < this.currentSize) {
            if (i9 == i7) {
                return this.mCache.mIndexedVariables[this.mArrayIndices[i8]];
            }
            i8 = this.mArrayNextIndices[i8];
            i9++;
        }
        return null;
    }

    @Override // androidx.constraintlayout.solver.ArrayRow.ArrayRowVariables
    public float getVariableValue(int i7) {
        int i8 = this.mHead;
        int i9 = 0;
        while (i8 != -1 && i9 < this.currentSize) {
            if (i9 == i7) {
                return this.mArrayValues[i8];
            }
            i8 = this.mArrayNextIndices[i8];
            i9++;
        }
        return 0.0f;
    }

    /* access modifiers changed from: package-private */
    public boolean hasAtLeastOnePositiveVariable() {
        int i7 = this.mHead;
        int i8 = 0;
        while (i7 != -1 && i8 < this.currentSize) {
            if (this.mArrayValues[i7] > 0.0f) {
                return true;
            }
            i7 = this.mArrayNextIndices[i7];
            i8++;
        }
        return false;
    }

    @Override // androidx.constraintlayout.solver.ArrayRow.ArrayRowVariables
    public int indexOf(SolverVariable solverVariable) {
        int i7 = this.mHead;
        if (i7 == -1) {
            return -1;
        }
        int i8 = 0;
        while (i7 != -1 && i8 < this.currentSize) {
            if (this.mArrayIndices[i7] == solverVariable.id) {
                return i7;
            }
            i7 = this.mArrayNextIndices[i7];
            i8++;
        }
        return -1;
    }

    @Override // androidx.constraintlayout.solver.ArrayRow.ArrayRowVariables
    public void invert() {
        int i7 = this.mHead;
        int i8 = 0;
        while (i7 != -1 && i8 < this.currentSize) {
            float[] fArr = this.mArrayValues;
            fArr[i7] = fArr[i7] * -1.0f;
            i7 = this.mArrayNextIndices[i7];
            i8++;
        }
    }

    @Override // androidx.constraintlayout.solver.ArrayRow.ArrayRowVariables
    public final void put(SolverVariable solverVariable, float f7) {
        if (f7 == 0.0f) {
            remove(solverVariable, true);
            return;
        }
        int i7 = this.mHead;
        if (i7 == -1) {
            this.mHead = 0;
            this.mArrayValues[0] = f7;
            this.mArrayIndices[0] = solverVariable.id;
            this.mArrayNextIndices[0] = -1;
            solverVariable.usageInRowCount++;
            solverVariable.addToRow(this.mRow);
            this.currentSize++;
            if (!this.mDidFillOnce) {
                int i8 = this.mLast + 1;
                this.mLast = i8;
                int[] iArr = this.mArrayIndices;
                if (i8 >= iArr.length) {
                    this.mDidFillOnce = true;
                    this.mLast = iArr.length - 1;
                    return;
                }
                return;
            }
            return;
        }
        int i9 = 0;
        int i10 = -1;
        while (i7 != -1 && i9 < this.currentSize) {
            int i11 = this.mArrayIndices[i7];
            int i12 = solverVariable.id;
            if (i11 == i12) {
                this.mArrayValues[i7] = f7;
                return;
            }
            if (i11 < i12) {
                i10 = i7;
            }
            i7 = this.mArrayNextIndices[i7];
            i9++;
        }
        int i13 = this.mLast;
        int i14 = i13 + 1;
        if (this.mDidFillOnce) {
            int[] iArr2 = this.mArrayIndices;
            if (iArr2[i13] != -1) {
                i13 = iArr2.length;
            }
        } else {
            i13 = i14;
        }
        int[] iArr3 = this.mArrayIndices;
        if (i13 >= iArr3.length && this.currentSize < iArr3.length) {
            int i15 = 0;
            while (true) {
                int[] iArr4 = this.mArrayIndices;
                if (i15 >= iArr4.length) {
                    break;
                } else if (iArr4[i15] == -1) {
                    i13 = i15;
                    break;
                } else {
                    i15++;
                }
            }
        }
        int[] iArr5 = this.mArrayIndices;
        if (i13 >= iArr5.length) {
            i13 = iArr5.length;
            int i16 = this.ROW_SIZE * 2;
            this.ROW_SIZE = i16;
            this.mDidFillOnce = false;
            this.mLast = i13 - 1;
            this.mArrayValues = Arrays.copyOf(this.mArrayValues, i16);
            this.mArrayIndices = Arrays.copyOf(this.mArrayIndices, this.ROW_SIZE);
            this.mArrayNextIndices = Arrays.copyOf(this.mArrayNextIndices, this.ROW_SIZE);
        }
        this.mArrayIndices[i13] = solverVariable.id;
        this.mArrayValues[i13] = f7;
        int[] iArr6 = this.mArrayNextIndices;
        if (i10 != -1) {
            iArr6[i13] = iArr6[i10];
            iArr6[i10] = i13;
        } else {
            iArr6[i13] = this.mHead;
            this.mHead = i13;
        }
        solverVariable.usageInRowCount++;
        solverVariable.addToRow(this.mRow);
        int i17 = this.currentSize + 1;
        this.currentSize = i17;
        if (!this.mDidFillOnce) {
            this.mLast++;
        }
        int[] iArr7 = this.mArrayIndices;
        if (i17 >= iArr7.length) {
            this.mDidFillOnce = true;
        }
        if (this.mLast >= iArr7.length) {
            this.mDidFillOnce = true;
            this.mLast = iArr7.length - 1;
        }
    }

    @Override // androidx.constraintlayout.solver.ArrayRow.ArrayRowVariables
    public final float remove(SolverVariable solverVariable, boolean z7) {
        if (this.candidate == solverVariable) {
            this.candidate = null;
        }
        int i7 = this.mHead;
        if (i7 == -1) {
            return 0.0f;
        }
        int i8 = 0;
        int i9 = -1;
        while (i7 != -1 && i8 < this.currentSize) {
            if (this.mArrayIndices[i7] == solverVariable.id) {
                if (i7 == this.mHead) {
                    this.mHead = this.mArrayNextIndices[i7];
                } else {
                    int[] iArr = this.mArrayNextIndices;
                    iArr[i9] = iArr[i7];
                }
                if (z7) {
                    solverVariable.removeFromRow(this.mRow);
                }
                solverVariable.usageInRowCount--;
                this.currentSize--;
                this.mArrayIndices[i7] = -1;
                if (this.mDidFillOnce) {
                    this.mLast = i7;
                }
                return this.mArrayValues[i7];
            }
            i8++;
            i9 = i7;
            i7 = this.mArrayNextIndices[i7];
        }
        return 0.0f;
    }

    @Override // androidx.constraintlayout.solver.ArrayRow.ArrayRowVariables
    public int sizeInBytes() {
        return (this.mArrayIndices.length * 4 * 3) + 0 + 36;
    }

    public String toString() {
        int i7 = this.mHead;
        String str = "";
        int i8 = 0;
        while (i7 != -1 && i8 < this.currentSize) {
            str = ((str + " -> ") + this.mArrayValues[i7] + " : ") + this.mCache.mIndexedVariables[this.mArrayIndices[i7]];
            i7 = this.mArrayNextIndices[i7];
            i8++;
        }
        return str;
    }

    @Override // androidx.constraintlayout.solver.ArrayRow.ArrayRowVariables
    public float use(ArrayRow arrayRow, boolean z7) {
        float f7 = get(arrayRow.variable);
        remove(arrayRow.variable, z7);
        ArrayRow.ArrayRowVariables arrayRowVariables = arrayRow.variables;
        int currentSize2 = arrayRowVariables.getCurrentSize();
        for (int i7 = 0; i7 < currentSize2; i7++) {
            SolverVariable variable = arrayRowVariables.getVariable(i7);
            add(variable, arrayRowVariables.get(variable) * f7, z7);
        }
        return f7;
    }
}
