package androidx.constraintlayout.solver.widgets.analyzer;

import androidx.constraintlayout.solver.widgets.ConstraintWidgetContainer;
import java.util.ArrayList;
import java.util.Iterator;

/* access modifiers changed from: package-private */
public class RunGroup {
    public static final int BASELINE = 2;
    public static final int END = 1;
    public static final int START = 0;
    public static int index;
    int direction;
    public boolean dual = false;
    WidgetRun firstRun = null;
    int groupIndex;
    WidgetRun lastRun = null;
    public int position = 0;
    ArrayList<WidgetRun> runs = new ArrayList<>();

    public RunGroup(WidgetRun widgetRun, int i7) {
        int i8 = index;
        this.groupIndex = i8;
        index = i8 + 1;
        this.firstRun = widgetRun;
        this.lastRun = widgetRun;
        this.direction = i7;
    }

    private boolean defineTerminalWidget(WidgetRun widgetRun, int i7) {
        DependencyNode dependencyNode;
        WidgetRun widgetRun2;
        DependencyNode dependencyNode2;
        WidgetRun widgetRun3;
        if (!widgetRun.widget.isTerminalWidget[i7]) {
            return false;
        }
        for (Dependency dependency : widgetRun.start.dependencies) {
            if ((dependency instanceof DependencyNode) && (widgetRun3 = (dependencyNode2 = (DependencyNode) dependency).run) != widgetRun && dependencyNode2 == widgetRun3.start) {
                if (widgetRun instanceof ChainRun) {
                    Iterator<WidgetRun> it = ((ChainRun) widgetRun).widgets.iterator();
                    while (it.hasNext()) {
                        defineTerminalWidget(it.next(), i7);
                    }
                } else if (!(widgetRun instanceof HelperReferences)) {
                    widgetRun.widget.isTerminalWidget[i7] = false;
                }
                defineTerminalWidget(dependencyNode2.run, i7);
            }
        }
        for (Dependency dependency2 : widgetRun.end.dependencies) {
            if ((dependency2 instanceof DependencyNode) && (widgetRun2 = (dependencyNode = (DependencyNode) dependency2).run) != widgetRun && dependencyNode == widgetRun2.start) {
                if (widgetRun instanceof ChainRun) {
                    Iterator<WidgetRun> it2 = ((ChainRun) widgetRun).widgets.iterator();
                    while (it2.hasNext()) {
                        defineTerminalWidget(it2.next(), i7);
                    }
                } else if (!(widgetRun instanceof HelperReferences)) {
                    widgetRun.widget.isTerminalWidget[i7] = false;
                }
                defineTerminalWidget(dependencyNode.run, i7);
            }
        }
        return false;
    }

    private long traverseEnd(DependencyNode dependencyNode, long j7) {
        WidgetRun widgetRun = dependencyNode.run;
        if (widgetRun instanceof HelperReferences) {
            return j7;
        }
        int size = dependencyNode.dependencies.size();
        long j8 = j7;
        for (int i7 = 0; i7 < size; i7++) {
            Dependency dependency = dependencyNode.dependencies.get(i7);
            if (dependency instanceof DependencyNode) {
                DependencyNode dependencyNode2 = (DependencyNode) dependency;
                if (dependencyNode2.run != widgetRun) {
                    j8 = Math.min(j8, traverseEnd(dependencyNode2, ((long) dependencyNode2.margin) + j7));
                }
            }
        }
        if (dependencyNode != widgetRun.end) {
            return j8;
        }
        long wrapDimension = j7 - widgetRun.getWrapDimension();
        return Math.min(Math.min(j8, traverseEnd(widgetRun.start, wrapDimension)), wrapDimension - ((long) widgetRun.start.margin));
    }

    private long traverseStart(DependencyNode dependencyNode, long j7) {
        WidgetRun widgetRun = dependencyNode.run;
        if (widgetRun instanceof HelperReferences) {
            return j7;
        }
        int size = dependencyNode.dependencies.size();
        long j8 = j7;
        for (int i7 = 0; i7 < size; i7++) {
            Dependency dependency = dependencyNode.dependencies.get(i7);
            if (dependency instanceof DependencyNode) {
                DependencyNode dependencyNode2 = (DependencyNode) dependency;
                if (dependencyNode2.run != widgetRun) {
                    j8 = Math.max(j8, traverseStart(dependencyNode2, ((long) dependencyNode2.margin) + j7));
                }
            }
        }
        if (dependencyNode != widgetRun.start) {
            return j8;
        }
        long wrapDimension = j7 + widgetRun.getWrapDimension();
        return Math.max(Math.max(j8, traverseStart(widgetRun.end, wrapDimension)), wrapDimension - ((long) widgetRun.end.margin));
    }

    public void add(WidgetRun widgetRun) {
        this.runs.add(widgetRun);
        this.lastRun = widgetRun;
    }

    public long computeWrapSize(ConstraintWidgetContainer constraintWidgetContainer, int i7) {
        WidgetRun widgetRun = this.firstRun;
        long j7 = 0;
        if (widgetRun instanceof ChainRun) {
            if (((ChainRun) widgetRun).orientation != i7) {
                return 0;
            }
        } else if (i7 == 0) {
            if (!(widgetRun instanceof HorizontalWidgetRun)) {
                return 0;
            }
        } else if (!(widgetRun instanceof VerticalWidgetRun)) {
            return 0;
        }
        DependencyNode dependencyNode = (i7 == 0 ? constraintWidgetContainer.horizontalRun : constraintWidgetContainer.verticalRun).start;
        DependencyNode dependencyNode2 = (i7 == 0 ? constraintWidgetContainer.horizontalRun : constraintWidgetContainer.verticalRun).end;
        boolean contains = widgetRun.start.targets.contains(dependencyNode);
        boolean contains2 = this.firstRun.end.targets.contains(dependencyNode2);
        long wrapDimension = this.firstRun.getWrapDimension();
        if (contains && contains2) {
            long traverseStart = traverseStart(this.firstRun.start, 0);
            long traverseEnd = traverseEnd(this.firstRun.end, 0);
            long j8 = traverseStart - wrapDimension;
            WidgetRun widgetRun2 = this.firstRun;
            int i8 = widgetRun2.end.margin;
            if (j8 >= ((long) (-i8))) {
                j8 += (long) i8;
            }
            int i9 = widgetRun2.start.margin;
            long j9 = ((-traverseEnd) - wrapDimension) - ((long) i9);
            if (j9 >= ((long) i9)) {
                j9 -= (long) i9;
            }
            float biasPercent = widgetRun2.widget.getBiasPercent(i7);
            if (biasPercent > 0.0f) {
                j7 = (long) ((((float) j9) / biasPercent) + (((float) j8) / (1.0f - biasPercent)));
            }
            float f7 = (float) j7;
            long j10 = ((long) ((f7 * biasPercent) + 0.5f)) + wrapDimension + ((long) ((f7 * (1.0f - biasPercent)) + 0.5f));
            WidgetRun widgetRun3 = this.firstRun;
            return (((long) widgetRun3.start.margin) + j10) - ((long) widgetRun3.end.margin);
        } else if (contains) {
            DependencyNode dependencyNode3 = this.firstRun.start;
            return Math.max(traverseStart(dependencyNode3, (long) dependencyNode3.margin), ((long) this.firstRun.start.margin) + wrapDimension);
        } else if (contains2) {
            DependencyNode dependencyNode4 = this.firstRun.end;
            return Math.max(-traverseEnd(dependencyNode4, (long) dependencyNode4.margin), ((long) (-this.firstRun.end.margin)) + wrapDimension);
        } else {
            WidgetRun widgetRun4 = this.firstRun;
            return (((long) widgetRun4.start.margin) + widgetRun4.getWrapDimension()) - ((long) this.firstRun.end.margin);
        }
    }

    public void defineTerminalWidgets(boolean z7, boolean z8) {
        if (z7) {
            WidgetRun widgetRun = this.firstRun;
            if (widgetRun instanceof HorizontalWidgetRun) {
                defineTerminalWidget(widgetRun, 0);
            }
        }
        if (z8) {
            WidgetRun widgetRun2 = this.firstRun;
            if (widgetRun2 instanceof VerticalWidgetRun) {
                defineTerminalWidget(widgetRun2, 1);
            }
        }
    }
}
