package androidx.core.content.res;

import androidx.annotation.NonNull;

final class ViewingConditions {
    static final ViewingConditions DEFAULT = make(CamUtils.WHITE_POINT_D65, (float) ((((double) CamUtils.yFromLStar(50.0f)) * 63.66197723675813d) / 100.0d), 50.0f, 2.0f, false);
    private final float mAw;
    private final float mC;
    private final float mFl;
    private final float mFlRoot;
    private final float mN;
    private final float mNbb;
    private final float mNc;
    private final float mNcb;
    private final float[] mRgbD;
    private final float mZ;

    private ViewingConditions(float f7, float f8, float f9, float f10, float f11, float f12, float[] fArr, float f13, float f14, float f15) {
        this.mN = f7;
        this.mAw = f8;
        this.mNbb = f9;
        this.mNcb = f10;
        this.mC = f11;
        this.mNc = f12;
        this.mRgbD = fArr;
        this.mFl = f13;
        this.mFlRoot = f14;
        this.mZ = f15;
    }

    @NonNull
    static ViewingConditions make(@NonNull float[] fArr, float f7, float f8, float f9, boolean z7) {
        float[][] fArr2 = CamUtils.XYZ_TO_CAM16RGB;
        float f10 = fArr[0];
        float[] fArr3 = fArr2[0];
        float f11 = fArr[1];
        float f12 = fArr[2];
        float f13 = (fArr3[0] * f10) + (fArr3[1] * f11) + (fArr3[2] * f12);
        float[] fArr4 = fArr2[1];
        float f14 = (fArr4[0] * f10) + (fArr4[1] * f11) + (fArr4[2] * f12);
        float[] fArr5 = fArr2[2];
        float f15 = (f10 * fArr5[0]) + (f11 * fArr5[1]) + (f12 * fArr5[2]);
        float f16 = (f9 / 10.0f) + 0.8f;
        float lerp = ((double) f16) >= 0.9d ? CamUtils.lerp(0.59f, 0.69f, (f16 - 0.9f) * 10.0f) : CamUtils.lerp(0.525f, 0.59f, (f16 - 0.8f) * 10.0f);
        float exp = z7 ? 1.0f : (1.0f - (((float) Math.exp((double) (((-f7) - 42.0f) / 92.0f))) * 0.2777778f)) * f16;
        double d7 = (double) exp;
        if (d7 > 1.0d) {
            exp = 1.0f;
        } else if (d7 < 0.0d) {
            exp = 0.0f;
        }
        float[] fArr6 = {(((100.0f / f13) * exp) + 1.0f) - exp, (((100.0f / f14) * exp) + 1.0f) - exp, (((100.0f / f15) * exp) + 1.0f) - exp};
        float f17 = 1.0f / ((5.0f * f7) + 1.0f);
        float f18 = f17 * f17 * f17 * f17;
        float f19 = 1.0f - f18;
        float cbrt = (f18 * f7) + (0.1f * f19 * f19 * ((float) Math.cbrt(((double) f7) * 5.0d)));
        float yFromLStar = CamUtils.yFromLStar(f8) / fArr[1];
        double d8 = (double) yFromLStar;
        float sqrt = ((float) Math.sqrt(d8)) + 1.48f;
        float pow = 0.725f / ((float) Math.pow(d8, 0.2d));
        float pow2 = (float) Math.pow(((double) ((fArr6[2] * cbrt) * f15)) / 100.0d, 0.42d);
        float[] fArr7 = {(float) Math.pow(((double) ((fArr6[0] * cbrt) * f13)) / 100.0d, 0.42d), (float) Math.pow(((double) ((fArr6[1] * cbrt) * f14)) / 100.0d, 0.42d), pow2};
        float f20 = fArr7[0];
        float f21 = fArr7[1];
        return new ViewingConditions(yFromLStar, ((((f20 * 400.0f) / (f20 + 27.13f)) * 2.0f) + ((f21 * 400.0f) / (f21 + 27.13f)) + (((400.0f * pow2) / (pow2 + 27.13f)) * 0.05f)) * pow, pow, pow, lerp, f16, fArr6, cbrt, (float) Math.pow((double) cbrt, 0.25d), sqrt);
    }

    /* access modifiers changed from: package-private */
    public float getAw() {
        return this.mAw;
    }

    /* access modifiers changed from: package-private */
    public float getC() {
        return this.mC;
    }

    /* access modifiers changed from: package-private */
    public float getFl() {
        return this.mFl;
    }

    /* access modifiers changed from: package-private */
    public float getFlRoot() {
        return this.mFlRoot;
    }

    /* access modifiers changed from: package-private */
    public float getN() {
        return this.mN;
    }

    /* access modifiers changed from: package-private */
    public float getNbb() {
        return this.mNbb;
    }

    /* access modifiers changed from: package-private */
    public float getNc() {
        return this.mNc;
    }

    /* access modifiers changed from: package-private */
    public float getNcb() {
        return this.mNcb;
    }

    /* access modifiers changed from: package-private */
    @NonNull
    public float[] getRgbD() {
        return this.mRgbD;
    }

    /* access modifiers changed from: package-private */
    public float getZ() {
        return this.mZ;
    }
}
