package androidx.core.telephony;

import android.telephony.SubscriptionManager;
import androidx.annotation.DoNotInline;
import androidx.annotation.RequiresApi;
import java.lang.reflect.Method;

@RequiresApi(22)
public class SubscriptionManagerCompat {
    private static Method sGetSlotIndexMethod;

    @RequiresApi(29)
    private static class Api29Impl {
        private Api29Impl() {
        }

        @DoNotInline
        static int getSlotIndex(int i7) {
            return SubscriptionManager.getSlotIndex(i7);
        }
    }

    private SubscriptionManagerCompat() {
    }

    public static int getSlotIndex(int i7) {
        if (i7 == -1) {
            return -1;
        }
        return Api29Impl.getSlotIndex(i7);
    }
}
