package androidx.core.util;

import androidx.annotation.NonNull;

public class Pair<F, S> {
    public final F first;
    public final S second;

    public Pair(F f7, S s7) {
        this.first = f7;
        this.second = s7;
    }

    @NonNull
    public static <A, B> Pair<A, B> create(A a8, B b7) {
        return new Pair<>(a8, b7);
    }

    public boolean equals(Object obj) {
        if (!(obj instanceof Pair)) {
            return false;
        }
        Pair pair = (Pair) obj;
        return ObjectsCompat.equals(pair.first, this.first) && ObjectsCompat.equals(pair.second, this.second);
    }

    public int hashCode() {
        F f7 = this.first;
        int i7 = 0;
        int hashCode = f7 == null ? 0 : f7.hashCode();
        S s7 = this.second;
        if (s7 != null) {
            i7 = s7.hashCode();
        }
        return hashCode ^ i7;
    }

    @NonNull
    public String toString() {
        return "Pair{" + ((Object) this.first) + " " + ((Object) this.second) + "}";
    }
}
