package androidx.core.util;

import androidx.annotation.RestrictTo;
import java.io.PrintWriter;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
public final class TimeUtils {
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public static final int HUNDRED_DAY_FIELD_LEN = 19;
    private static final int SECONDS_PER_DAY = 86400;
    private static final int SECONDS_PER_HOUR = 3600;
    private static final int SECONDS_PER_MINUTE = 60;
    private static char[] sFormatStr = new char[24];
    private static final Object sFormatSync = new Object();

    private TimeUtils() {
    }

    private static int accumField(int i7, int i8, boolean z7, int i9) {
        if (i7 > 99 || (z7 && i9 >= 3)) {
            return i8 + 3;
        }
        if (i7 > 9 || (z7 && i9 >= 2)) {
            return i8 + 2;
        }
        if (z7 || i7 > 0) {
            return i8 + 1;
        }
        return 0;
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public static void formatDuration(long j7, long j8, PrintWriter printWriter) {
        if (j7 == 0) {
            printWriter.print("--");
        } else {
            formatDuration(j7 - j8, printWriter, 0);
        }
    }

    private static int formatDurationLocked(long j7, int i7) {
        char c7;
        int i8;
        int i9;
        int i10;
        int i11;
        int i12;
        long j8 = j7;
        if (sFormatStr.length < i7) {
            sFormatStr = new char[i7];
        }
        char[] cArr = sFormatStr;
        int i13 = (j8 > 0 ? 1 : (j8 == 0 ? 0 : -1));
        if (i13 == 0) {
            int i14 = i7 - 1;
            while (i14 > 0) {
                cArr[0] = ' ';
            }
            cArr[0] = '0';
            return 1;
        }
        if (i13 > 0) {
            c7 = '+';
        } else {
            j8 = -j8;
            c7 = '-';
        }
        int i15 = (int) (j8 % 1000);
        int floor = (int) Math.floor((double) (j8 / 1000));
        if (floor > SECONDS_PER_DAY) {
            i8 = floor / SECONDS_PER_DAY;
            floor -= SECONDS_PER_DAY * i8;
        } else {
            i8 = 0;
        }
        if (floor > SECONDS_PER_HOUR) {
            i9 = floor / SECONDS_PER_HOUR;
            floor -= i9 * SECONDS_PER_HOUR;
        } else {
            i9 = 0;
        }
        if (floor > 60) {
            int i16 = floor / 60;
            i10 = floor - (i16 * 60);
            i11 = i16;
        } else {
            i10 = floor;
            i11 = 0;
        }
        if (i7 != 0) {
            int accumField = accumField(i8, 1, false, 0);
            int accumField2 = accumField + accumField(i9, 1, accumField > 0, 2);
            int accumField3 = accumField2 + accumField(i11, 1, accumField2 > 0, 2);
            int accumField4 = accumField3 + accumField(i10, 1, accumField3 > 0, 2);
            i12 = 0;
            for (int accumField5 = accumField4 + accumField(i15, 2, true, accumField4 > 0 ? 3 : 0) + 1; accumField5 < i7; accumField5++) {
                cArr[i12] = ' ';
                i12++;
            }
        } else {
            i12 = 0;
        }
        cArr[i12] = c7;
        int i17 = i12 + 1;
        boolean z7 = i7 != 0;
        int printField = printField(cArr, i8, 'd', i17, false, 0);
        int printField2 = printField(cArr, i9, 'h', printField, printField != i17, z7 ? 2 : 0);
        int printField3 = printField(cArr, i11, 'm', printField2, printField2 != i17, z7 ? 2 : 0);
        int printField4 = printField(cArr, i10, 's', printField3, printField3 != i17, z7 ? 2 : 0);
        int printField5 = printField(cArr, i15, 'm', printField4, true, (!z7 || printField4 == i17) ? 0 : 3);
        cArr[printField5] = 's';
        return printField5 + 1;
    }

    private static int printField(char[] cArr, int i7, char c7, int i8, boolean z7, int i9) {
        int i10;
        if (!z7 && i7 <= 0) {
            return i8;
        }
        if ((!z7 || i9 < 3) && i7 <= 99) {
            i10 = i8;
        } else {
            int i11 = i7 / 100;
            cArr[i8] = (char) (i11 + 48);
            i10 = i8 + 1;
            i7 -= i11 * 100;
        }
        if ((z7 && i9 >= 2) || i7 > 9 || i8 != i10) {
            int i12 = i7 / 10;
            cArr[i10] = (char) (i12 + 48);
            i10++;
            i7 -= i12 * 10;
        }
        cArr[i10] = (char) (i7 + 48);
        int i13 = i10 + 1;
        cArr[i13] = c7;
        return i13 + 1;
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public static void formatDuration(long j7, PrintWriter printWriter) {
        formatDuration(j7, printWriter, 0);
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public static void formatDuration(long j7, PrintWriter printWriter, int i7) {
        synchronized (sFormatSync) {
            printWriter.print(new String(sFormatStr, 0, formatDurationLocked(j7, i7)));
        }
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public static void formatDuration(long j7, StringBuilder sb) {
        synchronized (sFormatSync) {
            sb.append(sFormatStr, 0, formatDurationLocked(j7, 0));
        }
    }
}
