package androidx.core.view;

import android.view.Menu;
import android.view.MenuItem;
import androidx.annotation.DoNotInline;
import androidx.annotation.NonNull;
import androidx.annotation.RequiresApi;
import androidx.core.internal.view.SupportMenu;

public final class MenuCompat {

    @RequiresApi(28)
    static class Api28Impl {
        private Api28Impl() {
        }

        @DoNotInline
        static void setGroupDividerEnabled(Menu menu, boolean z7) {
            menu.setGroupDividerEnabled(z7);
        }
    }

    private MenuCompat() {
    }

    public static void setGroupDividerEnabled(@NonNull Menu menu, boolean z7) {
        if (menu instanceof SupportMenu) {
            ((SupportMenu) menu).setGroupDividerEnabled(z7);
        } else {
            Api28Impl.setGroupDividerEnabled(menu, z7);
        }
    }

    @Deprecated
    public static void setShowAsAction(MenuItem menuItem, int i7) {
        menuItem.setShowAsAction(i7);
    }
}
