package androidx.core.widget;

import android.widget.ListView;
import androidx.annotation.DoNotInline;
import androidx.annotation.NonNull;
import androidx.annotation.RequiresApi;

public final class ListViewCompat {

    /* access modifiers changed from: package-private */
    @RequiresApi(19)
    public static class Api19Impl {
        private Api19Impl() {
        }

        @DoNotInline
        static boolean canScrollList(ListView listView, int i7) {
            return listView.canScrollList(i7);
        }

        @DoNotInline
        static void scrollListBy(ListView listView, int i7) {
            listView.scrollListBy(i7);
        }
    }

    private ListViewCompat() {
    }

    public static boolean canScrollList(@NonNull ListView listView, int i7) {
        return Api19Impl.canScrollList(listView, i7);
    }

    public static void scrollListBy(@NonNull ListView listView, int i7) {
        Api19Impl.scrollListBy(listView, i7);
    }
}
