package androidx.dynamicanimation.animation;

import android.util.FloatProperty;
import androidx.annotation.RequiresApi;

public abstract class FloatPropertyCompat<T> {
    final String mPropertyName;

    public FloatPropertyCompat(String str) {
        this.mPropertyName = str;
    }

    @RequiresApi(24)
    public static <T> FloatPropertyCompat<T> createFloatPropertyCompat(final FloatProperty<T> floatProperty) {
        return new FloatPropertyCompat<T>(floatProperty.getName()) {
            /* class androidx.dynamicanimation.animation.FloatPropertyCompat.AnonymousClass1 */

            @Override // androidx.dynamicanimation.animation.FloatPropertyCompat
            public float getValue(T t7) {
                return ((Float) floatProperty.get(t7)).floatValue();
            }

            @Override // androidx.dynamicanimation.animation.FloatPropertyCompat
            public void setValue(T t7, float f7) {
                floatProperty.setValue(t7, f7);
            }
        };
    }

    public abstract float getValue(T t7);

    public abstract void setValue(T t7, float f7);
}
