package androidx.emoji2.text.flatbuffer;

import java.nio.ByteBuffer;
import java.nio.charset.StandardCharsets;
import kotlin.g2;
import kotlin.text.h0;

public class FlexBuffers {
    static final /* synthetic */ boolean $assertionsDisabled = false;
    private static final ReadBuf EMPTY_BB = new ArrayReadWriteBuf(new byte[]{0}, 1);
    public static final int FBT_BLOB = 25;
    public static final int FBT_BOOL = 26;
    public static final int FBT_FLOAT = 3;
    public static final int FBT_INDIRECT_FLOAT = 8;
    public static final int FBT_INDIRECT_INT = 6;
    public static final int FBT_INDIRECT_UINT = 7;
    public static final int FBT_INT = 1;
    public static final int FBT_KEY = 4;
    public static final int FBT_MAP = 9;
    public static final int FBT_NULL = 0;
    public static final int FBT_STRING = 5;
    public static final int FBT_UINT = 2;
    public static final int FBT_VECTOR = 10;
    public static final int FBT_VECTOR_BOOL = 36;
    public static final int FBT_VECTOR_FLOAT = 13;
    public static final int FBT_VECTOR_FLOAT2 = 18;
    public static final int FBT_VECTOR_FLOAT3 = 21;
    public static final int FBT_VECTOR_FLOAT4 = 24;
    public static final int FBT_VECTOR_INT = 11;
    public static final int FBT_VECTOR_INT2 = 16;
    public static final int FBT_VECTOR_INT3 = 19;
    public static final int FBT_VECTOR_INT4 = 22;
    public static final int FBT_VECTOR_KEY = 14;
    public static final int FBT_VECTOR_STRING_DEPRECATED = 15;
    public static final int FBT_VECTOR_UINT = 12;
    public static final int FBT_VECTOR_UINT2 = 17;
    public static final int FBT_VECTOR_UINT3 = 20;
    public static final int FBT_VECTOR_UINT4 = 23;

    public static class Blob extends Sized {
        static final /* synthetic */ boolean $assertionsDisabled = false;
        static final Blob EMPTY = new Blob(FlexBuffers.EMPTY_BB, 1, 1);

        Blob(ReadBuf readBuf, int i7, int i8) {
            super(readBuf, i7, i8);
        }

        public static Blob empty() {
            return EMPTY;
        }

        public ByteBuffer data() {
            ByteBuffer wrap = ByteBuffer.wrap(this.bb.data());
            wrap.position(this.end);
            wrap.limit(this.end + size());
            return wrap.asReadOnlyBuffer().slice();
        }

        public byte get(int i7) {
            return this.bb.get(this.end + i7);
        }

        public byte[] getBytes() {
            int size = size();
            byte[] bArr = new byte[size];
            for (int i7 = 0; i7 < size; i7++) {
                bArr[i7] = this.bb.get(this.end + i7);
            }
            return bArr;
        }

        @Override // androidx.emoji2.text.flatbuffer.FlexBuffers.Sized
        public /* bridge */ /* synthetic */ int size() {
            return super.size();
        }

        @Override // androidx.emoji2.text.flatbuffer.FlexBuffers.Object
        public String toString() {
            return this.bb.getString(this.end, size());
        }

        @Override // androidx.emoji2.text.flatbuffer.FlexBuffers.Object
        public StringBuilder toString(StringBuilder sb) {
            sb.append(h0.f20269b);
            sb.append(this.bb.getString(this.end, size()));
            sb.append(h0.f20269b);
            return sb;
        }
    }

    public static class FlexBufferException extends RuntimeException {
        FlexBufferException(String str) {
            super(str);
        }
    }

    public static class Key extends Object {
        private static final Key EMPTY = new Key(FlexBuffers.EMPTY_BB, 0, 0);

        Key(ReadBuf readBuf, int i7, int i8) {
            super(readBuf, i7, i8);
        }

        public static Key empty() {
            return EMPTY;
        }

        /* access modifiers changed from: package-private */
        public int compareTo(byte[] bArr) {
            byte b7;
            byte b8;
            int i7 = this.end;
            int i8 = 0;
            do {
                b7 = this.bb.get(i7);
                b8 = bArr[i8];
                if (b7 == 0) {
                    return b7 - b8;
                }
                i7++;
                i8++;
                if (i8 == bArr.length) {
                    return b7 - b8;
                }
            } while (b7 == b8);
            return b7 - b8;
        }

        public boolean equals(Object obj) {
            if (!(obj instanceof Key)) {
                return false;
            }
            Key key = (Key) obj;
            return key.end == this.end && key.byteWidth == this.byteWidth;
        }

        public int hashCode() {
            return this.byteWidth ^ this.end;
        }

        @Override // androidx.emoji2.text.flatbuffer.FlexBuffers.Object
        public String toString() {
            int i7 = this.end;
            while (this.bb.get(i7) != 0) {
                i7++;
            }
            int i8 = this.end;
            return this.bb.getString(i8, i7 - i8);
        }

        @Override // androidx.emoji2.text.flatbuffer.FlexBuffers.Object
        public StringBuilder toString(StringBuilder sb) {
            sb.append(toString());
            return sb;
        }
    }

    public static class KeyVector {
        private final TypedVector vec;

        KeyVector(TypedVector typedVector) {
            this.vec = typedVector;
        }

        public Key get(int i7) {
            if (i7 >= size()) {
                return Key.EMPTY;
            }
            TypedVector typedVector = this.vec;
            TypedVector typedVector2 = this.vec;
            ReadBuf readBuf = typedVector2.bb;
            return new Key(readBuf, FlexBuffers.indirect(readBuf, typedVector.end + (i7 * typedVector.byteWidth), typedVector2.byteWidth), 1);
        }

        public int size() {
            return this.vec.size();
        }

        public String toString() {
            StringBuilder sb = new StringBuilder();
            sb.append('[');
            for (int i7 = 0; i7 < this.vec.size(); i7++) {
                this.vec.get(i7).toString(sb);
                if (i7 != this.vec.size() - 1) {
                    sb.append(", ");
                }
            }
            sb.append("]");
            return sb.toString();
        }
    }

    public static class Map extends Vector {
        private static final Map EMPTY_MAP = new Map(FlexBuffers.EMPTY_BB, 1, 1);

        Map(ReadBuf readBuf, int i7, int i8) {
            super(readBuf, i7, i8);
        }

        private int binarySearch(KeyVector keyVector, byte[] bArr) {
            int size = keyVector.size() - 1;
            int i7 = 0;
            while (i7 <= size) {
                int i8 = (i7 + size) >>> 1;
                int compareTo = keyVector.get(i8).compareTo(bArr);
                if (compareTo < 0) {
                    i7 = i8 + 1;
                } else if (compareTo <= 0) {
                    return i8;
                } else {
                    size = i8 - 1;
                }
            }
            return -(i7 + 1);
        }

        public static Map empty() {
            return EMPTY_MAP;
        }

        public Reference get(String str) {
            return get(str.getBytes(StandardCharsets.UTF_8));
        }

        public KeyVector keys() {
            int i7 = this.end - (this.byteWidth * 3);
            ReadBuf readBuf = this.bb;
            int indirect = FlexBuffers.indirect(readBuf, i7, this.byteWidth);
            ReadBuf readBuf2 = this.bb;
            int i8 = this.byteWidth;
            return new KeyVector(new TypedVector(readBuf, indirect, FlexBuffers.readInt(readBuf2, i7 + i8, i8), 4));
        }

        @Override // androidx.emoji2.text.flatbuffer.FlexBuffers.Object, androidx.emoji2.text.flatbuffer.FlexBuffers.Vector
        public StringBuilder toString(StringBuilder sb) {
            sb.append("{ ");
            KeyVector keys = keys();
            int size = size();
            Vector values = values();
            for (int i7 = 0; i7 < size; i7++) {
                sb.append(h0.f20269b);
                sb.append(keys.get(i7).toString());
                sb.append("\" : ");
                sb.append(values.get(i7).toString());
                if (i7 != size - 1) {
                    sb.append(", ");
                }
            }
            sb.append(" }");
            return sb;
        }

        public Vector values() {
            return new Vector(this.bb, this.end, this.byteWidth);
        }

        public Reference get(byte[] bArr) {
            KeyVector keys = keys();
            int size = keys.size();
            int binarySearch = binarySearch(keys, bArr);
            return (binarySearch < 0 || binarySearch >= size) ? Reference.NULL_REFERENCE : get(binarySearch);
        }
    }

    /* access modifiers changed from: private */
    public static abstract class Object {
        ReadBuf bb;
        int byteWidth;
        int end;

        Object(ReadBuf readBuf, int i7, int i8) {
            this.bb = readBuf;
            this.end = i7;
            this.byteWidth = i8;
        }

        public String toString() {
            return toString(new StringBuilder(128)).toString();
        }

        public abstract StringBuilder toString(StringBuilder sb);
    }

    public static class Reference {
        private static final Reference NULL_REFERENCE = new Reference(FlexBuffers.EMPTY_BB, 0, 1, 0);
        private ReadBuf bb;
        private int byteWidth;
        private int end;
        private int parentWidth;
        private int type;

        Reference(ReadBuf readBuf, int i7, int i8, int i9) {
            this(readBuf, i7, i8, 1 << (i9 & 3), i9 >> 2);
        }

        public Blob asBlob() {
            if (!isBlob() && !isString()) {
                return Blob.empty();
            }
            ReadBuf readBuf = this.bb;
            return new Blob(readBuf, FlexBuffers.indirect(readBuf, this.end, this.parentWidth), this.byteWidth);
        }

        public boolean asBoolean() {
            return isBoolean() ? this.bb.get(this.end) != 0 : asUInt() != 0;
        }

        public double asFloat() {
            int i7 = this.type;
            if (i7 == 3) {
                return FlexBuffers.readDouble(this.bb, this.end, this.parentWidth);
            }
            if (i7 == 1) {
                return (double) FlexBuffers.readInt(this.bb, this.end, this.parentWidth);
            }
            if (i7 != 2) {
                if (i7 == 5) {
                    return Double.parseDouble(asString());
                }
                if (i7 == 6) {
                    ReadBuf readBuf = this.bb;
                    return (double) FlexBuffers.readInt(readBuf, FlexBuffers.indirect(readBuf, this.end, this.parentWidth), this.byteWidth);
                } else if (i7 == 7) {
                    ReadBuf readBuf2 = this.bb;
                    return (double) FlexBuffers.readUInt(readBuf2, FlexBuffers.indirect(readBuf2, this.end, this.parentWidth), this.byteWidth);
                } else if (i7 == 8) {
                    ReadBuf readBuf3 = this.bb;
                    return FlexBuffers.readDouble(readBuf3, FlexBuffers.indirect(readBuf3, this.end, this.parentWidth), this.byteWidth);
                } else if (i7 == 10) {
                    return (double) asVector().size();
                } else {
                    if (i7 != 26) {
                        return 0.0d;
                    }
                }
            }
            return (double) FlexBuffers.readUInt(this.bb, this.end, this.parentWidth);
        }

        public int asInt() {
            int i7 = this.type;
            if (i7 == 1) {
                return FlexBuffers.readInt(this.bb, this.end, this.parentWidth);
            }
            if (i7 == 2) {
                return (int) FlexBuffers.readUInt(this.bb, this.end, this.parentWidth);
            }
            if (i7 == 3) {
                return (int) FlexBuffers.readDouble(this.bb, this.end, this.parentWidth);
            }
            if (i7 == 5) {
                return Integer.parseInt(asString());
            }
            if (i7 == 6) {
                ReadBuf readBuf = this.bb;
                return FlexBuffers.readInt(readBuf, FlexBuffers.indirect(readBuf, this.end, this.parentWidth), this.byteWidth);
            } else if (i7 == 7) {
                ReadBuf readBuf2 = this.bb;
                return (int) FlexBuffers.readUInt(readBuf2, FlexBuffers.indirect(readBuf2, this.end, this.parentWidth), this.parentWidth);
            } else if (i7 == 8) {
                ReadBuf readBuf3 = this.bb;
                return (int) FlexBuffers.readDouble(readBuf3, FlexBuffers.indirect(readBuf3, this.end, this.parentWidth), this.byteWidth);
            } else if (i7 == 10) {
                return asVector().size();
            } else {
                if (i7 != 26) {
                    return 0;
                }
                return FlexBuffers.readInt(this.bb, this.end, this.parentWidth);
            }
        }

        public Key asKey() {
            if (!isKey()) {
                return Key.empty();
            }
            ReadBuf readBuf = this.bb;
            return new Key(readBuf, FlexBuffers.indirect(readBuf, this.end, this.parentWidth), this.byteWidth);
        }

        public long asLong() {
            int i7 = this.type;
            if (i7 == 1) {
                return FlexBuffers.readLong(this.bb, this.end, this.parentWidth);
            }
            if (i7 == 2) {
                return FlexBuffers.readUInt(this.bb, this.end, this.parentWidth);
            }
            if (i7 == 3) {
                return (long) FlexBuffers.readDouble(this.bb, this.end, this.parentWidth);
            }
            if (i7 == 5) {
                try {
                    return Long.parseLong(asString());
                } catch (NumberFormatException unused) {
                    return 0;
                }
            } else if (i7 == 6) {
                ReadBuf readBuf = this.bb;
                return FlexBuffers.readLong(readBuf, FlexBuffers.indirect(readBuf, this.end, this.parentWidth), this.byteWidth);
            } else if (i7 == 7) {
                ReadBuf readBuf2 = this.bb;
                return FlexBuffers.readUInt(readBuf2, FlexBuffers.indirect(readBuf2, this.end, this.parentWidth), this.parentWidth);
            } else if (i7 == 8) {
                ReadBuf readBuf3 = this.bb;
                return (long) FlexBuffers.readDouble(readBuf3, FlexBuffers.indirect(readBuf3, this.end, this.parentWidth), this.byteWidth);
            } else if (i7 == 10) {
                return (long) asVector().size();
            } else {
                if (i7 != 26) {
                    return 0;
                }
                return (long) FlexBuffers.readInt(this.bb, this.end, this.parentWidth);
            }
        }

        public Map asMap() {
            if (!isMap()) {
                return Map.empty();
            }
            ReadBuf readBuf = this.bb;
            return new Map(readBuf, FlexBuffers.indirect(readBuf, this.end, this.parentWidth), this.byteWidth);
        }

        public String asString() {
            int indirect;
            ReadBuf readBuf;
            int i7;
            if (isString()) {
                indirect = FlexBuffers.indirect(this.bb, this.end, this.parentWidth);
                ReadBuf readBuf2 = this.bb;
                int i8 = this.byteWidth;
                i7 = (int) FlexBuffers.readUInt(readBuf2, indirect - i8, i8);
                readBuf = this.bb;
            } else if (!isKey()) {
                return "";
            } else {
                indirect = FlexBuffers.indirect(this.bb, this.end, this.byteWidth);
                int i9 = indirect;
                while (this.bb.get(i9) != 0) {
                    i9++;
                }
                readBuf = this.bb;
                i7 = i9 - indirect;
            }
            return readBuf.getString(indirect, i7);
        }

        public long asUInt() {
            int i7 = this.type;
            if (i7 == 2) {
                return FlexBuffers.readUInt(this.bb, this.end, this.parentWidth);
            }
            if (i7 == 1) {
                return FlexBuffers.readLong(this.bb, this.end, this.parentWidth);
            }
            if (i7 == 3) {
                return (long) FlexBuffers.readDouble(this.bb, this.end, this.parentWidth);
            }
            if (i7 == 10) {
                return (long) asVector().size();
            }
            if (i7 == 26) {
                return (long) FlexBuffers.readInt(this.bb, this.end, this.parentWidth);
            }
            if (i7 == 5) {
                return Long.parseLong(asString());
            }
            if (i7 == 6) {
                ReadBuf readBuf = this.bb;
                return FlexBuffers.readLong(readBuf, FlexBuffers.indirect(readBuf, this.end, this.parentWidth), this.byteWidth);
            } else if (i7 == 7) {
                ReadBuf readBuf2 = this.bb;
                return FlexBuffers.readUInt(readBuf2, FlexBuffers.indirect(readBuf2, this.end, this.parentWidth), this.byteWidth);
            } else if (i7 != 8) {
                return 0;
            } else {
                ReadBuf readBuf3 = this.bb;
                return (long) FlexBuffers.readDouble(readBuf3, FlexBuffers.indirect(readBuf3, this.end, this.parentWidth), this.parentWidth);
            }
        }

        public Vector asVector() {
            if (isVector()) {
                ReadBuf readBuf = this.bb;
                return new Vector(readBuf, FlexBuffers.indirect(readBuf, this.end, this.parentWidth), this.byteWidth);
            }
            int i7 = this.type;
            if (i7 == 15) {
                ReadBuf readBuf2 = this.bb;
                return new TypedVector(readBuf2, FlexBuffers.indirect(readBuf2, this.end, this.parentWidth), this.byteWidth, 4);
            } else if (!FlexBuffers.isTypedVector(i7)) {
                return Vector.empty();
            } else {
                ReadBuf readBuf3 = this.bb;
                return new TypedVector(readBuf3, FlexBuffers.indirect(readBuf3, this.end, this.parentWidth), this.byteWidth, FlexBuffers.toTypedVectorElementType(this.type));
            }
        }

        public int getType() {
            return this.type;
        }

        public boolean isBlob() {
            return this.type == 25;
        }

        public boolean isBoolean() {
            return this.type == 26;
        }

        public boolean isFloat() {
            int i7 = this.type;
            return i7 == 3 || i7 == 8;
        }

        public boolean isInt() {
            int i7 = this.type;
            return i7 == 1 || i7 == 6;
        }

        public boolean isIntOrUInt() {
            return isInt() || isUInt();
        }

        public boolean isKey() {
            return this.type == 4;
        }

        public boolean isMap() {
            return this.type == 9;
        }

        public boolean isNull() {
            return this.type == 0;
        }

        public boolean isNumeric() {
            return isIntOrUInt() || isFloat();
        }

        public boolean isString() {
            return this.type == 5;
        }

        public boolean isTypedVector() {
            return FlexBuffers.isTypedVector(this.type);
        }

        public boolean isUInt() {
            int i7 = this.type;
            return i7 == 2 || i7 == 7;
        }

        public boolean isVector() {
            int i7 = this.type;
            return i7 == 10 || i7 == 9;
        }

        public String toString() {
            return toString(new StringBuilder(128)).toString();
        }

        Reference(ReadBuf readBuf, int i7, int i8, int i9, int i10) {
            this.bb = readBuf;
            this.end = i7;
            this.parentWidth = i8;
            this.byteWidth = i9;
            this.type = i10;
        }

        /* access modifiers changed from: package-private */
        public StringBuilder toString(StringBuilder sb) {
            int i7 = this.type;
            if (i7 != 36) {
                switch (i7) {
                    case 0:
                        sb.append("null");
                        return sb;
                    case 1:
                    case 6:
                        sb.append(asLong());
                        return sb;
                    case 2:
                    case 7:
                        sb.append(asUInt());
                        return sb;
                    case 3:
                    case 8:
                        sb.append(asFloat());
                        return sb;
                    case 4:
                        Key asKey = asKey();
                        sb.append(h0.f20269b);
                        StringBuilder key = asKey.toString(sb);
                        key.append(h0.f20269b);
                        return key;
                    case 5:
                        sb.append(h0.f20269b);
                        sb.append(asString());
                        sb.append(h0.f20269b);
                        return sb;
                    case 9:
                        return asMap().toString(sb);
                    case 10:
                        return asVector().toString(sb);
                    case 11:
                    case 12:
                    case 13:
                    case 14:
                    case 15:
                        break;
                    case 16:
                    case 17:
                    case 18:
                    case 19:
                    case 20:
                    case 21:
                    case 22:
                    case 23:
                    case 24:
                        throw new FlexBufferException("not_implemented:" + this.type);
                    case 25:
                        return asBlob().toString(sb);
                    case 26:
                        sb.append(asBoolean());
                        return sb;
                    default:
                        return sb;
                }
            }
            sb.append(asVector());
            return sb;
        }
    }

    /* access modifiers changed from: private */
    public static abstract class Sized extends Object {
        protected final int size;

        Sized(ReadBuf readBuf, int i7, int i8) {
            super(readBuf, i7, i8);
            this.size = FlexBuffers.readInt(this.bb, i7 - i8, i8);
        }

        public int size() {
            return this.size;
        }
    }

    public static class TypedVector extends Vector {
        private static final TypedVector EMPTY_VECTOR = new TypedVector(FlexBuffers.EMPTY_BB, 1, 1, 1);
        private final int elemType;

        TypedVector(ReadBuf readBuf, int i7, int i8, int i9) {
            super(readBuf, i7, i8);
            this.elemType = i9;
        }

        public static TypedVector empty() {
            return EMPTY_VECTOR;
        }

        @Override // androidx.emoji2.text.flatbuffer.FlexBuffers.Vector
        public Reference get(int i7) {
            if (i7 >= size()) {
                return Reference.NULL_REFERENCE;
            }
            return new Reference(this.bb, this.end + (i7 * this.byteWidth), this.byteWidth, 1, this.elemType);
        }

        public int getElemType() {
            return this.elemType;
        }

        public boolean isEmptyVector() {
            return this == EMPTY_VECTOR;
        }
    }

    /* access modifiers changed from: package-private */
    public static class Unsigned {
        Unsigned() {
        }

        static int byteToUnsignedInt(byte b7) {
            return b7 & 255;
        }

        static long intToUnsignedLong(int i7) {
            return ((long) i7) & 4294967295L;
        }

        static int shortToUnsignedInt(short s7) {
            return s7 & g2.f19680x;
        }
    }

    public static class Vector extends Sized {
        private static final Vector EMPTY_VECTOR = new Vector(FlexBuffers.EMPTY_BB, 1, 1);

        Vector(ReadBuf readBuf, int i7, int i8) {
            super(readBuf, i7, i8);
        }

        public static Vector empty() {
            return EMPTY_VECTOR;
        }

        public Reference get(int i7) {
            long size = (long) size();
            long j7 = (long) i7;
            if (j7 >= size) {
                return Reference.NULL_REFERENCE;
            }
            int byteToUnsignedInt = Unsigned.byteToUnsignedInt(this.bb.get((int) (((long) this.end) + (size * ((long) this.byteWidth)) + j7)));
            return new Reference(this.bb, this.end + (i7 * this.byteWidth), this.byteWidth, byteToUnsignedInt);
        }

        public boolean isEmpty() {
            return this == EMPTY_VECTOR;
        }

        @Override // androidx.emoji2.text.flatbuffer.FlexBuffers.Sized
        public /* bridge */ /* synthetic */ int size() {
            return super.size();
        }

        @Override // androidx.emoji2.text.flatbuffer.FlexBuffers.Object
        public /* bridge */ /* synthetic */ String toString() {
            return super.toString();
        }

        @Override // androidx.emoji2.text.flatbuffer.FlexBuffers.Object
        public StringBuilder toString(StringBuilder sb) {
            sb.append("[ ");
            int size = size();
            for (int i7 = 0; i7 < size; i7++) {
                get(i7).toString(sb);
                if (i7 != size - 1) {
                    sb.append(", ");
                }
            }
            sb.append(" ]");
            return sb;
        }
    }

    public static Reference getRoot(ReadBuf readBuf) {
        int limit = readBuf.limit() - 1;
        byte b7 = readBuf.get(limit);
        int i7 = limit - 1;
        return new Reference(readBuf, i7 - b7, b7, Unsigned.byteToUnsignedInt(readBuf.get(i7)));
    }

    /* access modifiers changed from: private */
    public static int indirect(ReadBuf readBuf, int i7, int i8) {
        return (int) (((long) i7) - readUInt(readBuf, i7, i8));
    }

    static boolean isTypeInline(int i7) {
        return i7 <= 3 || i7 == 26;
    }

    static boolean isTypedVector(int i7) {
        return (i7 >= 11 && i7 <= 15) || i7 == 36;
    }

    static boolean isTypedVectorElementType(int i7) {
        return (i7 >= 1 && i7 <= 4) || i7 == 26;
    }

    /* access modifiers changed from: private */
    public static double readDouble(ReadBuf readBuf, int i7, int i8) {
        if (i8 == 4) {
            return (double) readBuf.getFloat(i7);
        }
        if (i8 != 8) {
            return -1.0d;
        }
        return readBuf.getDouble(i7);
    }

    /* access modifiers changed from: private */
    public static int readInt(ReadBuf readBuf, int i7, int i8) {
        return (int) readLong(readBuf, i7, i8);
    }

    /* access modifiers changed from: private */
    public static long readLong(ReadBuf readBuf, int i7, int i8) {
        int i9;
        if (i8 == 1) {
            i9 = readBuf.get(i7);
        } else if (i8 == 2) {
            i9 = readBuf.getShort(i7);
        } else if (i8 == 4) {
            i9 = readBuf.getInt(i7);
        } else if (i8 != 8) {
            return -1;
        } else {
            return readBuf.getLong(i7);
        }
        return (long) i9;
    }

    /* access modifiers changed from: private */
    public static long readUInt(ReadBuf readBuf, int i7, int i8) {
        if (i8 == 1) {
            return (long) Unsigned.byteToUnsignedInt(readBuf.get(i7));
        }
        if (i8 == 2) {
            return (long) Unsigned.shortToUnsignedInt(readBuf.getShort(i7));
        }
        if (i8 == 4) {
            return Unsigned.intToUnsignedLong(readBuf.getInt(i7));
        }
        if (i8 != 8) {
            return -1;
        }
        return readBuf.getLong(i7);
    }

    static int toTypedVector(int i7, int i8) {
        if (i8 == 0) {
            return (i7 - 1) + 11;
        }
        if (i8 == 2) {
            return (i7 - 1) + 16;
        }
        if (i8 == 3) {
            return (i7 - 1) + 19;
        }
        if (i8 != 4) {
            return 0;
        }
        return (i7 - 1) + 22;
    }

    static int toTypedVectorElementType(int i7) {
        return (i7 - 11) + 1;
    }

    @Deprecated
    public static Reference getRoot(ByteBuffer byteBuffer) {
        return getRoot(byteBuffer.hasArray() ? new ArrayReadWriteBuf(byteBuffer.array(), byteBuffer.limit()) : new ByteBufferReadWriteBuf(byteBuffer));
    }
}
