package androidx.emoji2.text.flatbuffer;

import java.nio.ByteBuffer;
import java.nio.ByteOrder;

public final class MetadataItem extends Table {

    public static final class Vector extends BaseVector {
        public Vector __assign(int i7, int i8, ByteBuffer byteBuffer) {
            __reset(i7, i8, byteBuffer);
            return this;
        }

        public MetadataItem get(int i7) {
            return get(new MetadataItem(), i7);
        }

        public MetadataItem get(MetadataItem metadataItem, int i7) {
            return metadataItem.__assign(Table.__indirect(__element(i7), this.bb), this.bb);
        }
    }

    public static void ValidateVersion() {
        Constants.FLATBUFFERS_1_12_0();
    }

    public static void addCodepoints(FlatBufferBuilder flatBufferBuilder, int i7) {
        flatBufferBuilder.addOffset(6, i7, 0);
    }

    public static void addCompatAdded(FlatBufferBuilder flatBufferBuilder, short s7) {
        flatBufferBuilder.addShort(3, s7, 0);
    }

    public static void addEmojiStyle(FlatBufferBuilder flatBufferBuilder, boolean z7) {
        flatBufferBuilder.addBoolean(1, z7, false);
    }

    public static void addHeight(FlatBufferBuilder flatBufferBuilder, short s7) {
        flatBufferBuilder.addShort(5, s7, 0);
    }

    public static void addId(FlatBufferBuilder flatBufferBuilder, int i7) {
        flatBufferBuilder.addInt(0, i7, 0);
    }

    public static void addSdkAdded(FlatBufferBuilder flatBufferBuilder, short s7) {
        flatBufferBuilder.addShort(2, s7, 0);
    }

    public static void addWidth(FlatBufferBuilder flatBufferBuilder, short s7) {
        flatBufferBuilder.addShort(4, s7, 0);
    }

    public static int createCodepointsVector(FlatBufferBuilder flatBufferBuilder, int[] iArr) {
        flatBufferBuilder.startVector(4, iArr.length, 4);
        for (int length = iArr.length - 1; length >= 0; length--) {
            flatBufferBuilder.addInt(iArr[length]);
        }
        return flatBufferBuilder.endVector();
    }

    public static int createMetadataItem(FlatBufferBuilder flatBufferBuilder, int i7, boolean z7, short s7, short s8, short s9, short s10, int i8) {
        flatBufferBuilder.startTable(7);
        addCodepoints(flatBufferBuilder, i8);
        addId(flatBufferBuilder, i7);
        addHeight(flatBufferBuilder, s10);
        addWidth(flatBufferBuilder, s9);
        addCompatAdded(flatBufferBuilder, s8);
        addSdkAdded(flatBufferBuilder, s7);
        addEmojiStyle(flatBufferBuilder, z7);
        return endMetadataItem(flatBufferBuilder);
    }

    public static int endMetadataItem(FlatBufferBuilder flatBufferBuilder) {
        return flatBufferBuilder.endTable();
    }

    public static MetadataItem getRootAsMetadataItem(ByteBuffer byteBuffer) {
        return getRootAsMetadataItem(byteBuffer, new MetadataItem());
    }

    public static void startCodepointsVector(FlatBufferBuilder flatBufferBuilder, int i7) {
        flatBufferBuilder.startVector(4, i7, 4);
    }

    public static void startMetadataItem(FlatBufferBuilder flatBufferBuilder) {
        flatBufferBuilder.startTable(7);
    }

    public MetadataItem __assign(int i7, ByteBuffer byteBuffer) {
        __init(i7, byteBuffer);
        return this;
    }

    public void __init(int i7, ByteBuffer byteBuffer) {
        __reset(i7, byteBuffer);
    }

    public int codepoints(int i7) {
        int __offset = __offset(16);
        if (__offset != 0) {
            return this.bb.getInt(__vector(__offset) + (i7 * 4));
        }
        return 0;
    }

    public ByteBuffer codepointsAsByteBuffer() {
        return __vector_as_bytebuffer(16, 4);
    }

    public ByteBuffer codepointsInByteBuffer(ByteBuffer byteBuffer) {
        return __vector_in_bytebuffer(byteBuffer, 16, 4);
    }

    public int codepointsLength() {
        int __offset = __offset(16);
        if (__offset != 0) {
            return __vector_len(__offset);
        }
        return 0;
    }

    public IntVector codepointsVector() {
        return codepointsVector(new IntVector());
    }

    public short compatAdded() {
        int __offset = __offset(10);
        if (__offset != 0) {
            return this.bb.getShort(__offset + this.bb_pos);
        }
        return 0;
    }

    public boolean emojiStyle() {
        int __offset = __offset(6);
        return (__offset == 0 || this.bb.get(__offset + this.bb_pos) == 0) ? false : true;
    }

    public short height() {
        int __offset = __offset(14);
        if (__offset != 0) {
            return this.bb.getShort(__offset + this.bb_pos);
        }
        return 0;
    }

    public int id() {
        int __offset = __offset(4);
        if (__offset != 0) {
            return this.bb.getInt(__offset + this.bb_pos);
        }
        return 0;
    }

    public short sdkAdded() {
        int __offset = __offset(8);
        if (__offset != 0) {
            return this.bb.getShort(__offset + this.bb_pos);
        }
        return 0;
    }

    public short width() {
        int __offset = __offset(12);
        if (__offset != 0) {
            return this.bb.getShort(__offset + this.bb_pos);
        }
        return 0;
    }

    public static MetadataItem getRootAsMetadataItem(ByteBuffer byteBuffer, MetadataItem metadataItem) {
        byteBuffer.order(ByteOrder.LITTLE_ENDIAN);
        return metadataItem.__assign(byteBuffer.getInt(byteBuffer.position()) + byteBuffer.position(), byteBuffer);
    }

    public IntVector codepointsVector(IntVector intVector) {
        int __offset = __offset(16);
        if (__offset != 0) {
            return intVector.__assign(__vector(__offset), this.bb);
        }
        return null;
    }
}
