package androidx.recyclerview.widget;

import androidx.recyclerview.widget.RecyclerView;
import androidx.recyclerview.widget.SortedList;

public abstract class SortedListAdapterCallback<T2> extends SortedList.Callback<T2> {
    final RecyclerView.Adapter mAdapter;

    public SortedListAdapterCallback(RecyclerView.Adapter adapter) {
        this.mAdapter = adapter;
    }

    @Override // androidx.recyclerview.widget.SortedList.Callback
    public void onChanged(int i7, int i8) {
        this.mAdapter.notifyItemRangeChanged(i7, i8);
    }

    @Override // androidx.recyclerview.widget.ListUpdateCallback
    public void onInserted(int i7, int i8) {
        this.mAdapter.notifyItemRangeInserted(i7, i8);
    }

    @Override // androidx.recyclerview.widget.ListUpdateCallback
    public void onMoved(int i7, int i8) {
        this.mAdapter.notifyItemMoved(i7, i8);
    }

    @Override // androidx.recyclerview.widget.ListUpdateCallback
    public void onRemoved(int i7, int i8) {
        this.mAdapter.notifyItemRangeRemoved(i7, i8);
    }

    @Override // androidx.recyclerview.widget.ListUpdateCallback, androidx.recyclerview.widget.SortedList.Callback
    public void onChanged(int i7, int i8, Object obj) {
        this.mAdapter.notifyItemRangeChanged(i7, i8, obj);
    }
}
