package androidx.slidingpanelayout.widget;

import a7.d;
import android.app.Activity;
import androidx.window.layout.FoldingFeature;
import androidx.window.layout.WindowInfoTracker;
import androidx.window.layout.WindowLayoutInfo;
import java.util.Iterator;
import java.util.concurrent.Executor;
import kotlin.jvm.internal.l0;
import kotlinx.coroutines.a2;
import kotlinx.coroutines.l;
import kotlinx.coroutines.m2;
import kotlinx.coroutines.u0;

public final class FoldingFeatureObserver {
    private final Executor executor;
    private m2 job;
    private OnFoldingFeatureChangeListener onFoldingFeatureChangeListener;
    private final WindowInfoTracker windowInfoTracker;

    public interface OnFoldingFeatureChangeListener {
        void onFoldingFeatureChange(@d FoldingFeature foldingFeature);
    }

    public FoldingFeatureObserver(WindowInfoTracker windowInfoTracker2, Executor executor2) {
        l0.p(windowInfoTracker2, "windowInfoTracker");
        l0.p(executor2, "executor");
        this.windowInfoTracker = windowInfoTracker2;
        this.executor = executor2;
    }

    /* access modifiers changed from: public */
    private final FoldingFeature getFoldingFeature(WindowLayoutInfo windowLayoutInfo) {
        T t7;
        Iterator<T> it = windowLayoutInfo.getDisplayFeatures().iterator();
        while (true) {
            if (!it.hasNext()) {
                t7 = null;
                break;
            }
            t7 = it.next();
            if (t7 instanceof FoldingFeature) {
                break;
            }
        }
        if (t7 instanceof FoldingFeature) {
            return t7;
        }
        return null;
    }

    public final void registerLayoutStateChangeCallback(Activity activity) {
        l0.p(activity, "activity");
        m2 m2Var = this.job;
        if (m2Var != null) {
            m2.a.b(m2Var, null, 1, null);
        }
        this.job = l.f(u0.a(a2.c(this.executor)), null, null, new FoldingFeatureObserver$registerLayoutStateChangeCallback$1(this, activity, null), 3, null);
    }

    public final void setOnFoldingFeatureChangeListener(OnFoldingFeatureChangeListener onFoldingFeatureChangeListener2) {
        l0.p(onFoldingFeatureChangeListener2, "onFoldingFeatureChangeListener");
        this.onFoldingFeatureChangeListener = onFoldingFeatureChangeListener2;
    }

    public final void unregisterLayoutStateChangeCallback() {
        m2 m2Var = this.job;
        if (m2Var != null) {
            m2.a.b(m2Var, null, 1, null);
        }
    }
}
