package androidx.work.impl.utils;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.arch.core.util.Function;
import androidx.lifecycle.LiveData;
import androidx.lifecycle.MediatorLiveData;
import androidx.lifecycle.Observer;
import androidx.work.impl.utils.taskexecutor.TaskExecutor;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
public class LiveDataUtils {
    private LiveDataUtils() {
    }

    public static <In, Out> LiveData<Out> dedupedMappedLiveDataFor(@NonNull LiveData<In> liveData, @NonNull final Function<In, Out> function, @NonNull final TaskExecutor taskExecutor) {
        final Object obj = new Object();
        final MediatorLiveData mediatorLiveData = new MediatorLiveData();
        mediatorLiveData.addSource(liveData, new Observer<In>() {
            /* class androidx.work.impl.utils.LiveDataUtils.AnonymousClass1 */
            Out mCurrentOutput = null;

            @Override // androidx.lifecycle.Observer
            public void onChanged(@Nullable final In in2) {
                TaskExecutor.this.executeOnBackgroundThread(new Runnable() {
                    /* class androidx.work.impl.utils.LiveDataUtils.AnonymousClass1.AnonymousClass1 */

                    public void run() {
                        MediatorLiveData mediatorLiveData;
                        synchronized (obj) {
                            Out out = (Out) function.apply(in2);
                            AnonymousClass1 r22 = AnonymousClass1.this;
                            Out out2 = r22.mCurrentOutput;
                            if (out2 == null && out != null) {
                                r22.mCurrentOutput = out;
                                mediatorLiveData = mediatorLiveData;
                            } else if (out2 != null && !out2.equals(out)) {
                                AnonymousClass1 r42 = AnonymousClass1.this;
                                r42.mCurrentOutput = out;
                                mediatorLiveData = mediatorLiveData;
                            }
                            mediatorLiveData.postValue(out);
                        }
                    }
                });
            }
        });
        return mediatorLiveData;
    }
}
