package androidx.work.impl.utils;

import android.annotation.SuppressLint;
import android.app.Application;
import android.content.Context;
import android.text.TextUtils;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.work.Configuration;
import androidx.work.Logger;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
public class ProcessUtils {
    private static final String TAG = Logger.tagWithPrefix("ProcessUtils");

    private ProcessUtils() {
    }

    @Nullable
    @SuppressLint({"PrivateApi", "DiscouragedPrivateApi"})
    public static String getProcessName(@NonNull Context context) {
        return Application.getProcessName();
    }

    public static boolean isDefaultProcess(@NonNull Context context, @NonNull Configuration configuration) {
        return TextUtils.equals(getProcessName(context), !TextUtils.isEmpty(configuration.getDefaultProcessName()) ? configuration.getDefaultProcessName() : context.getApplicationInfo().processName);
    }
}
