package com.flurry.sdk;

import android.os.Build;
import android.os.Looper;
import android.text.TextUtils;
import android.util.Base64;
import androidx.annotation.ChecksSdkIntAtLeast;
import androidx.annotation.NonNull;
import com.google.common.base.Ascii;
import java.io.Closeable;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.io.UnsupportedEncodingException;
import java.net.URLDecoder;
import java.util.HashMap;

public final class i3 {
    public static long a(InputStream inputStream, OutputStream outputStream) throws IOException {
        byte[] bArr = new byte[1024];
        long j7 = 0;
        while (true) {
            int read = inputStream.read(bArr);
            if (read < 0) {
                return j7;
            }
            outputStream.write(bArr, 0, read);
            j7 += (long) read;
        }
    }

    public static String b(String str) {
        return str == null ? "" : str.length() <= 255 ? str : str.substring(0, 255);
    }

    public static String c(byte[] bArr) {
        StringBuilder sb = new StringBuilder(bArr.length * 2);
        char[] cArr = {'0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'a', 'b', 'c', 'd', 'e', 'f'};
        for (byte b7 : bArr) {
            sb.append(cArr[(byte) ((b7 & 240) >> 4)]);
            sb.append(cArr[(byte) (b7 & Ascii.SI)]);
        }
        return sb.toString();
    }

    public static void d() {
        if (Looper.getMainLooper().getThread() == Thread.currentThread()) {
            throw new IllegalStateException("Must be called from a background thread!");
        }
    }

    public static void e(int i7, String str, String str2, boolean z7) {
        if (i7 >= 100) {
            String C = e9.a().f3112k.C();
            long f7 = c4.f("last_streaming_session_id", Long.MIN_VALUE);
            HashMap hashMap = new HashMap();
            hashMap.put("fl.response.code", String.valueOf(i7));
            hashMap.put("fl.message", m(str));
            hashMap.put("fl.current.session", Boolean.toString(z7));
            hashMap.put("fl.current.session.id", C);
            if (i7 != 200) {
                i0.e();
            }
            hashMap.put("fl.report.identifier", str2);
            if (f7 != Long.MIN_VALUE) {
                hashMap.put("fl.last.session.id", String.valueOf(f7));
            }
            i0.g();
        }
    }

    public static void f(Closeable closeable) {
        if (closeable != null) {
            try {
                closeable.close();
            } catch (Throwable unused) {
            }
        }
    }

    @ChecksSdkIntAtLeast(parameter = 0)
    public static boolean g(int i7) {
        return Build.VERSION.SDK_INT >= i7;
    }

    public static boolean h(@NonNull String str, @NonNull String str2) {
        if (str2.equals("14.2.0")) {
            return true;
        }
        e2.s("GeneralUtil", "Flurry version mismatch detected: " + str + ": " + str2 + ", flurryAnalytics: " + "14.2.0");
        e2.s("GeneralUtil", "Please use same version name for all flurry modules");
        return false;
    }

    public static String i(String str) {
        if (TextUtils.isEmpty(str)) {
            return null;
        }
        try {
            return Base64.encodeToString(str.getBytes("UTF-8"), 2);
        } catch (UnsupportedEncodingException e7) {
            e2.c(5, "GeneralUtil", "Unsupported UTF-8: " + e7.getMessage());
            return "";
        }
    }

    public static byte[] j(String str) {
        byte[] bArr = new byte[(str.length() / 2)];
        char[] charArray = str.toCharArray();
        for (int i7 = 0; i7 < charArray.length; i7 += 2) {
            StringBuilder sb = new StringBuilder(2);
            sb.append(charArray[i7]);
            sb.append(charArray[i7 + 1]);
            bArr[i7 / 2] = (byte) Integer.parseInt(sb.toString(), 16);
        }
        return bArr;
    }

    public static String k(String str) {
        try {
            return URLDecoder.decode(str, "UTF-8");
        } catch (UnsupportedEncodingException unused) {
            e2.c(5, "GeneralUtil", "Cannot decode '" + str + "'");
            return "";
        }
    }

    public static long l(String str) {
        if (str == null) {
            return 0;
        }
        int length = str.length();
        long j7 = 1125899906842597L;
        for (int i7 = 0; i7 < length; i7++) {
            j7 = (j7 * 31) + ((long) str.charAt(i7));
        }
        return j7;
    }

    private static String m(String str) {
        if (TextUtils.isEmpty(str) || !str.contains("status code")) {
            return str;
        }
        StringBuilder sb = new StringBuilder();
        String[] split = str.split("<!--|-->");
        for (String str2 : split) {
            if (!str2.contains("timestamp")) {
                String trim = str2.trim();
                if (trim.length() > 0) {
                    sb.append("<");
                    sb.append(trim);
                    sb.append(">");
                }
            }
        }
        return sb.toString();
    }
}
