package com.google.android.gms.signin.internal;

import android.accounts.Account;
import android.content.Context;
import android.os.Bundle;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Looper;
import android.os.RemoteException;
import android.util.Log;
import com.google.android.gms.auth.api.signin.internal.b;
import com.google.android.gms.common.api.k;
import com.google.android.gms.common.i;
import com.google.android.gms.common.internal.ResolveAccountRequest;
import com.google.android.gms.common.internal.b0;
import com.google.android.gms.common.internal.e;
import com.google.android.gms.common.internal.f;
import com.google.android.gms.common.internal.k;
import com.google.android.gms.common.internal.q;
import com.google.android.gms.signin.e;

@r.a
public class a extends k<f> implements e {
    private final boolean L;
    private final f M;
    private final Bundle N;
    private Integer O;

    private a(Context context, Looper looper, boolean z7, f fVar, Bundle bundle, k.b bVar, k.c cVar) {
        super(context, looper, 44, fVar, bVar, cVar);
        this.L = true;
        this.M = fVar;
        this.N = bundle;
        this.O = fVar.g();
    }

    @r.a
    public static Bundle s0(f fVar) {
        com.google.android.gms.signin.a m7 = fVar.m();
        Integer g7 = fVar.g();
        Bundle bundle = new Bundle();
        bundle.putParcelable("com.google.android.gms.signin.internal.clientRequestedAccount", fVar.b());
        if (g7 != null) {
            bundle.putInt(f.f5258l, g7.intValue());
        }
        if (m7 != null) {
            bundle.putBoolean("com.google.android.gms.signin.internal.offlineAccessRequested", m7.g());
            bundle.putBoolean("com.google.android.gms.signin.internal.idTokenRequested", m7.f());
            bundle.putString("com.google.android.gms.signin.internal.serverClientId", m7.d());
            bundle.putBoolean("com.google.android.gms.signin.internal.usePromptModeForAuthCode", true);
            bundle.putBoolean("com.google.android.gms.signin.internal.forceCodeForRefreshToken", m7.e());
            bundle.putString("com.google.android.gms.signin.internal.hostedDomain", m7.b());
            bundle.putBoolean("com.google.android.gms.signin.internal.waitForAccessTokenRefresh", m7.h());
            if (m7.a() != null) {
                bundle.putLong("com.google.android.gms.signin.internal.authApiSignInModuleVersion", m7.a().longValue());
            }
            if (m7.c() != null) {
                bundle.putLong("com.google.android.gms.signin.internal.realClientLibraryVersion", m7.c().longValue());
            }
        }
        return bundle;
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.common.internal.e
    public Bundle F() {
        if (!getContext().getPackageName().equals(this.M.k())) {
            this.N.putString("com.google.android.gms.signin.internal.realClientPackageName", this.M.k());
        }
        return this.N;
    }

    @Override // com.google.android.gms.signin.e
    public final void b() {
        n(new e.d());
    }

    @Override // com.google.android.gms.signin.e
    public final void d(q qVar, boolean z7) {
        try {
            ((f) J()).y0(qVar, this.O.intValue(), z7);
        } catch (RemoteException unused) {
            Log.w("SignInClientImpl", "Remote service probably died when saveDefaultAccount is called");
        }
    }

    @Override // com.google.android.gms.signin.e
    public final void e() {
        try {
            ((f) J()).X(this.O.intValue());
        } catch (RemoteException unused) {
            Log.w("SignInClientImpl", "Remote service probably died when clearAccountFromSessionStore is called");
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.common.internal.e
    public String h() {
        return "com.google.android.gms.signin.internal.ISignInService";
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.common.internal.e
    public /* synthetic */ IInterface q(IBinder iBinder) {
        if (iBinder == null) {
            return null;
        }
        IInterface queryLocalInterface = iBinder.queryLocalInterface("com.google.android.gms.signin.internal.ISignInService");
        return queryLocalInterface instanceof f ? (f) queryLocalInterface : new g(iBinder);
    }

    @Override // com.google.android.gms.common.api.a.f, com.google.android.gms.common.internal.k, com.google.android.gms.common.internal.e
    public int s() {
        return i.GOOGLE_PLAY_SERVICES_VERSION_CODE;
    }

    @Override // com.google.android.gms.signin.e
    public final void t(d dVar) {
        b0.l(dVar, "Expecting a valid ISignInCallbacks");
        try {
            Account d7 = this.M.d();
            ((f) J()).G0(new zah(new ResolveAccountRequest(d7, this.O.intValue(), "<<default account>>".equals(d7.name) ? b.b(getContext()).c() : null)), dVar);
        } catch (RemoteException e7) {
            Log.w("SignInClientImpl", "Remote service probably died when signIn is called");
            try {
                dVar.U(new zaj(8));
            } catch (RemoteException unused) {
                Log.wtf("SignInClientImpl", "ISignInCallbacks#onSignInComplete should be executed from the same process, unexpected RemoteException.", e7);
            }
        }
    }

    @Override // com.google.android.gms.common.api.a.f, com.google.android.gms.common.internal.e
    public boolean w() {
        return this.L;
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.common.internal.e
    public String y() {
        return "com.google.android.gms.signin.service.START";
    }

    public a(Context context, Looper looper, boolean z7, f fVar, com.google.android.gms.signin.a aVar, k.b bVar, k.c cVar) {
        this(context, looper, true, fVar, s0(fVar), bVar, cVar);
    }
}
