package com.google.android.material.datepicker;

import android.content.Context;
import android.text.format.DateUtils;
import androidx.annotation.Nullable;
import androidx.core.util.Pair;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.Locale;
import java.util.TimeZone;

/* access modifiers changed from: package-private */
public class d {
    private d() {
    }

    static Pair<String, String> a(@Nullable Long l7, @Nullable Long l8) {
        return b(l7, l8, null);
    }

    static Pair<String, String> b(@Nullable Long l7, @Nullable Long l8, @Nullable SimpleDateFormat simpleDateFormat) {
        if (l7 == null && l8 == null) {
            return Pair.create(null, null);
        }
        if (l7 == null) {
            return Pair.create(null, d(l8.longValue(), simpleDateFormat));
        }
        if (l8 == null) {
            return Pair.create(d(l7.longValue(), simpleDateFormat), null);
        }
        Calendar t7 = q.t();
        Calendar v7 = q.v();
        v7.setTimeInMillis(l7.longValue());
        Calendar v8 = q.v();
        v8.setTimeInMillis(l8.longValue());
        if (simpleDateFormat == null) {
            return v7.get(1) == v8.get(1) ? v7.get(1) == t7.get(1) ? Pair.create(f(l7.longValue(), Locale.getDefault()), f(l8.longValue(), Locale.getDefault())) : Pair.create(f(l7.longValue(), Locale.getDefault()), k(l8.longValue(), Locale.getDefault())) : Pair.create(k(l7.longValue(), Locale.getDefault()), k(l8.longValue(), Locale.getDefault()));
        }
        return Pair.create(simpleDateFormat.format(new Date(l7.longValue())), simpleDateFormat.format(new Date(l8.longValue())));
    }

    static String c(long j7) {
        return d(j7, null);
    }

    static String d(long j7, @Nullable SimpleDateFormat simpleDateFormat) {
        Calendar t7 = q.t();
        Calendar v7 = q.v();
        v7.setTimeInMillis(j7);
        return simpleDateFormat != null ? simpleDateFormat.format(new Date(j7)) : t7.get(1) == v7.get(1) ? e(j7) : j(j7);
    }

    static String e(long j7) {
        return f(j7, Locale.getDefault());
    }

    static String f(long j7, Locale locale) {
        return q.c(locale).format(new Date(j7));
    }

    static String g(long j7) {
        return h(j7, Locale.getDefault());
    }

    static String h(long j7, Locale locale) {
        return q.d(locale).format(new Date(j7));
    }

    static String i(Context context, long j7) {
        return DateUtils.formatDateTime(context, j7 - ((long) TimeZone.getDefault().getOffset(j7)), 36);
    }

    static String j(long j7) {
        return k(j7, Locale.getDefault());
    }

    static String k(long j7, Locale locale) {
        return q.x(locale).format(new Date(j7));
    }

    static String l(long j7) {
        return m(j7, Locale.getDefault());
    }

    static String m(long j7, Locale locale) {
        return q.y(locale).format(new Date(j7));
    }
}
