package com.google.android.material.floatingactionbutton;

import android.animation.Animator;
import android.animation.AnimatorSet;
import android.animation.ObjectAnimator;
import android.animation.StateListAnimator;
import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.LayerDrawable;
import android.graphics.drawable.RippleDrawable;
import android.view.View;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.core.content.ContextCompat;
import androidx.core.util.Preconditions;
import b0.a;
import com.google.android.material.ripple.b;
import com.google.android.material.shadow.c;
import com.google.android.material.shape.j;
import com.google.android.material.shape.o;
import java.util.ArrayList;

/* access modifiers changed from: package-private */
@RequiresApi(21)
public class e extends d {

    /* access modifiers changed from: package-private */
    public static class a extends j {
        a(o oVar) {
            super(oVar);
        }

        @Override // com.google.android.material.shape.j
        public boolean isStateful() {
            return true;
        }
    }

    e(FloatingActionButton floatingActionButton, c cVar) {
        super(floatingActionButton, cVar);
    }

    @NonNull
    private Animator m0(float f7, float f8) {
        AnimatorSet animatorSet = new AnimatorSet();
        animatorSet.play(ObjectAnimator.ofFloat(this.f7823y, "elevation", f7).setDuration(0L)).with(ObjectAnimator.ofFloat(this.f7823y, View.TRANSLATION_Z, f8).setDuration(100L));
        animatorSet.setInterpolator(d.F);
        return animatorSet;
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.floatingactionbutton.d
    public void A() {
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.floatingactionbutton.d
    public void C() {
        i0();
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.floatingactionbutton.d
    public void E(int[] iArr) {
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.floatingactionbutton.d
    public void F(float f7, float f8, float f9) {
        StateListAnimator stateListAnimator = new StateListAnimator();
        stateListAnimator.addState(d.S, m0(f7, f9));
        stateListAnimator.addState(d.T, m0(f7, f8));
        stateListAnimator.addState(d.U, m0(f7, f8));
        stateListAnimator.addState(d.V, m0(f7, f8));
        AnimatorSet animatorSet = new AnimatorSet();
        ArrayList arrayList = new ArrayList();
        arrayList.add(ObjectAnimator.ofFloat(this.f7823y, "elevation", f7).setDuration(0L));
        arrayList.add(ObjectAnimator.ofFloat(this.f7823y, View.TRANSLATION_Z, 0.0f).setDuration(100L));
        animatorSet.playSequentially((Animator[]) arrayList.toArray(new Animator[0]));
        animatorSet.setInterpolator(d.F);
        stateListAnimator.addState(d.W, animatorSet);
        stateListAnimator.addState(d.X, m0(0.0f, 0.0f));
        this.f7823y.setStateListAnimator(stateListAnimator);
        if (c0()) {
            i0();
        }
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.floatingactionbutton.d
    public boolean N() {
        return false;
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.floatingactionbutton.d
    public void Y(@Nullable ColorStateList colorStateList) {
        Drawable drawable = this.f7801c;
        if (drawable instanceof RippleDrawable) {
            ((RippleDrawable) drawable).setColor(b.d(colorStateList));
        } else {
            super.Y(colorStateList);
        }
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.floatingactionbutton.d
    public boolean c0() {
        return this.f7824z.a() || !e0();
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.floatingactionbutton.d
    public void g0() {
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.floatingactionbutton.d
    @NonNull
    public j j() {
        return new a((o) Preconditions.checkNotNull(this.f7799a));
    }

    /* access modifiers changed from: package-private */
    @NonNull
    public c l0(int i7, ColorStateList colorStateList) {
        Context context = this.f7823y.getContext();
        c cVar = new c((o) Preconditions.checkNotNull(this.f7799a));
        cVar.f(ContextCompat.getColor(context, a.e.D0), ContextCompat.getColor(context, a.e.C0), ContextCompat.getColor(context, a.e.A0), ContextCompat.getColor(context, a.e.B0));
        cVar.e((float) i7);
        cVar.d(colorStateList);
        return cVar;
    }

    @Override // com.google.android.material.floatingactionbutton.d
    public float n() {
        return this.f7823y.getElevation();
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.floatingactionbutton.d
    public void s(@NonNull Rect rect) {
        if (this.f7824z.a()) {
            super.s(rect);
        } else if (!e0()) {
            int sizeDimension = (this.f7809k - this.f7823y.getSizeDimension()) / 2;
            rect.set(sizeDimension, sizeDimension, sizeDimension, sizeDimension);
        } else {
            rect.set(0, 0, 0, 0);
        }
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.floatingactionbutton.d
    public void x(ColorStateList colorStateList, @Nullable PorterDuff.Mode mode, ColorStateList colorStateList2, int i7) {
        Drawable drawable;
        j j7 = j();
        this.f7800b = j7;
        j7.setTintList(colorStateList);
        if (mode != null) {
            this.f7800b.setTintMode(mode);
        }
        this.f7800b.Y(this.f7823y.getContext());
        if (i7 > 0) {
            this.f7802d = l0(i7, colorStateList);
            drawable = new LayerDrawable(new Drawable[]{(Drawable) Preconditions.checkNotNull(this.f7802d), (Drawable) Preconditions.checkNotNull(this.f7800b)});
        } else {
            this.f7802d = null;
            drawable = this.f7800b;
        }
        RippleDrawable rippleDrawable = new RippleDrawable(b.d(colorStateList2), drawable, null);
        this.f7801c = rippleDrawable;
        this.f7803e = rippleDrawable;
    }
}
