package com.google.android.material.textfield;

import android.animation.TimeInterpolator;
import android.animation.ValueAnimator;
import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.graphics.Canvas;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.Typeface;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.os.Parcel;
import android.os.Parcelable;
import android.text.Editable;
import android.text.TextUtils;
import android.text.TextWatcher;
import android.util.AttributeSet;
import android.util.Log;
import android.util.SparseArray;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewStructure;
import android.widget.EditText;
import android.widget.FrameLayout;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.annotation.ColorInt;
import androidx.annotation.ColorRes;
import androidx.annotation.DimenRes;
import androidx.annotation.DrawableRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.Px;
import androidx.annotation.RestrictTo;
import androidx.annotation.StringRes;
import androidx.annotation.StyleRes;
import androidx.annotation.VisibleForTesting;
import androidx.appcompat.content.res.AppCompatResources;
import androidx.appcompat.widget.AppCompatDrawableManager;
import androidx.appcompat.widget.AppCompatTextView;
import androidx.appcompat.widget.DrawableUtils;
import androidx.appcompat.widget.TintTypedArray;
import androidx.core.content.ContextCompat;
import androidx.core.graphics.drawable.DrawableCompat;
import androidx.core.text.BidiFormatter;
import androidx.core.view.AccessibilityDelegateCompat;
import androidx.core.view.GravityCompat;
import androidx.core.view.MarginLayoutParamsCompat;
import androidx.core.view.ViewCompat;
import androidx.core.view.accessibility.AccessibilityNodeInfoCompat;
import androidx.core.widget.TextViewCompat;
import androidx.customview.view.AbsSavedState;
import b0.a;
import com.google.android.material.badge.BadgeDrawable;
import com.google.android.material.internal.CheckableImageButton;
import com.google.android.material.internal.q;
import com.google.android.material.internal.y;
import com.google.android.material.shape.j;
import com.google.android.material.shape.o;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.util.Arrays;
import java.util.Iterator;
import java.util.LinkedHashSet;

public class TextInputLayout extends LinearLayout {
    private static final int M0 = a.n.Ca;
    private static final int N0 = 167;
    private static final int O0 = -1;
    private static final int P0 = -1;
    private static final String Q0 = "TextInputLayout";
    public static final int R0 = 0;
    public static final int S0 = 1;
    public static final int T0 = 2;
    public static final int U0 = -1;
    public static final int V0 = 0;
    public static final int W0 = 1;
    public static final int X0 = 2;
    public static final int Y0 = 3;
    private boolean A;
    @ColorInt
    private int A0;
    private CharSequence B;
    @ColorInt
    private int B0;
    private boolean C;
    @ColorInt
    private int C0;
    @Nullable
    private j D;
    @ColorInt
    private int D0;
    @Nullable
    private j E;
    @ColorInt
    private int E0;
    @NonNull
    private o F;
    private boolean F0;
    private final int G;
    final com.google.android.material.internal.a G0;
    private int H;
    private boolean H0;
    private int I;
    private boolean I0;
    private int J;
    private ValueAnimator J0;
    private int K;
    private boolean K0;
    private int L;
    private boolean L0;
    private int M;
    @ColorInt
    private int N;
    @ColorInt
    private int O;
    private final Rect P;
    private final Rect Q;
    private final RectF R;
    private Typeface S;
    @NonNull
    private final CheckableImageButton T;
    private ColorStateList U;
    private boolean V;
    private PorterDuff.Mode W;
    @NonNull

    /* renamed from: a  reason: collision with root package name */
    private final FrameLayout f8781a;

    /* renamed from: a0  reason: collision with root package name */
    private boolean f8782a0;
    @NonNull

    /* renamed from: b  reason: collision with root package name */
    private final LinearLayout f8783b;
    @Nullable

    /* renamed from: b0  reason: collision with root package name */
    private Drawable f8784b0;
    @NonNull

    /* renamed from: c  reason: collision with root package name */
    private final LinearLayout f8785c;

    /* renamed from: c0  reason: collision with root package name */
    private int f8786c0;
    @NonNull

    /* renamed from: d  reason: collision with root package name */
    private final FrameLayout f8787d;

    /* renamed from: d0  reason: collision with root package name */
    private View.OnLongClickListener f8788d0;

    /* renamed from: e  reason: collision with root package name */
    EditText f8789e;

    /* renamed from: e0  reason: collision with root package name */
    private final LinkedHashSet<h> f8790e0;

    /* renamed from: f  reason: collision with root package name */
    private CharSequence f8791f;

    /* renamed from: f0  reason: collision with root package name */
    private int f8792f0;

    /* renamed from: g  reason: collision with root package name */
    private int f8793g;

    /* renamed from: g0  reason: collision with root package name */
    private final SparseArray<e> f8794g0;

    /* renamed from: h  reason: collision with root package name */
    private int f8795h;
    @NonNull

    /* renamed from: h0  reason: collision with root package name */
    private final CheckableImageButton f8796h0;

    /* renamed from: i  reason: collision with root package name */
    private final f f8797i;

    /* renamed from: i0  reason: collision with root package name */
    private final LinkedHashSet<i> f8798i0;

    /* renamed from: j  reason: collision with root package name */
    boolean f8799j;

    /* renamed from: j0  reason: collision with root package name */
    private ColorStateList f8800j0;

    /* renamed from: k  reason: collision with root package name */
    private int f8801k;

    /* renamed from: k0  reason: collision with root package name */
    private boolean f8802k0;

    /* renamed from: l  reason: collision with root package name */
    private boolean f8803l;

    /* renamed from: l0  reason: collision with root package name */
    private PorterDuff.Mode f8804l0;
    @Nullable

    /* renamed from: m  reason: collision with root package name */
    private TextView f8805m;

    /* renamed from: m0  reason: collision with root package name */
    private boolean f8806m0;

    /* renamed from: n  reason: collision with root package name */
    private int f8807n;
    @Nullable

    /* renamed from: n0  reason: collision with root package name */
    private Drawable f8808n0;

    /* renamed from: o  reason: collision with root package name */
    private int f8809o;

    /* renamed from: o0  reason: collision with root package name */
    private int f8810o0;

    /* renamed from: p  reason: collision with root package name */
    private CharSequence f8811p;

    /* renamed from: p0  reason: collision with root package name */
    private Drawable f8812p0;

    /* renamed from: q  reason: collision with root package name */
    private boolean f8813q;

    /* renamed from: q0  reason: collision with root package name */
    private View.OnLongClickListener f8814q0;

    /* renamed from: r  reason: collision with root package name */
    private TextView f8815r;

    /* renamed from: r0  reason: collision with root package name */
    private View.OnLongClickListener f8816r0;
    @Nullable

    /* renamed from: s  reason: collision with root package name */
    private ColorStateList f8817s;
    @NonNull

    /* renamed from: s0  reason: collision with root package name */
    private final CheckableImageButton f8818s0;

    /* renamed from: t  reason: collision with root package name */
    private int f8819t;

    /* renamed from: t0  reason: collision with root package name */
    private ColorStateList f8820t0;
    @Nullable

    /* renamed from: u  reason: collision with root package name */
    private ColorStateList f8821u;

    /* renamed from: u0  reason: collision with root package name */
    private ColorStateList f8822u0;
    @Nullable

    /* renamed from: v  reason: collision with root package name */
    private ColorStateList f8823v;

    /* renamed from: v0  reason: collision with root package name */
    private ColorStateList f8824v0;
    @Nullable

    /* renamed from: w  reason: collision with root package name */
    private CharSequence f8825w;
    @ColorInt

    /* renamed from: w0  reason: collision with root package name */
    private int f8826w0;
    @NonNull

    /* renamed from: x  reason: collision with root package name */
    private final TextView f8827x;
    @ColorInt

    /* renamed from: x0  reason: collision with root package name */
    private int f8828x0;
    @Nullable

    /* renamed from: y  reason: collision with root package name */
    private CharSequence f8829y;
    @ColorInt

    /* renamed from: y0  reason: collision with root package name */
    private int f8830y0;
    @NonNull

    /* renamed from: z  reason: collision with root package name */
    private final TextView f8831z;

    /* renamed from: z0  reason: collision with root package name */
    private ColorStateList f8832z0;

    /* access modifiers changed from: package-private */
    public static class SavedState extends AbsSavedState {
        public static final Parcelable.Creator<SavedState> CREATOR = new a();
        @Nullable

        /* renamed from: f  reason: collision with root package name */
        CharSequence f8833f;

        /* renamed from: g  reason: collision with root package name */
        boolean f8834g;
        @Nullable

        /* renamed from: p  reason: collision with root package name */
        CharSequence f8835p;
        @Nullable

        /* renamed from: x  reason: collision with root package name */
        CharSequence f8836x;
        @Nullable

        /* renamed from: y  reason: collision with root package name */
        CharSequence f8837y;

        static class a implements Parcelable.ClassLoaderCreator<SavedState> {
            a() {
            }

            @Nullable
            /* renamed from: a */
            public SavedState createFromParcel(@NonNull Parcel parcel) {
                return new SavedState(parcel, null);
            }

            @NonNull
            /* renamed from: b */
            public SavedState createFromParcel(@NonNull Parcel parcel, ClassLoader classLoader) {
                return new SavedState(parcel, classLoader);
            }

            @NonNull
            /* renamed from: c */
            public SavedState[] newArray(int i7) {
                return new SavedState[i7];
            }
        }

        SavedState(@NonNull Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            this.f8833f = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
            this.f8834g = parcel.readInt() != 1 ? false : true;
            this.f8835p = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
            this.f8836x = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
            this.f8837y = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
        }

        @NonNull
        public String toString() {
            return "TextInputLayout.SavedState{" + Integer.toHexString(System.identityHashCode(this)) + " error=" + ((Object) this.f8833f) + " hint=" + ((Object) this.f8835p) + " helperText=" + ((Object) this.f8836x) + " placeholderText=" + ((Object) this.f8837y) + "}";
        }

        @Override // androidx.customview.view.AbsSavedState
        public void writeToParcel(@NonNull Parcel parcel, int i7) {
            super.writeToParcel(parcel, i7);
            TextUtils.writeToParcel(this.f8833f, parcel, i7);
            parcel.writeInt(this.f8834g ? 1 : 0);
            TextUtils.writeToParcel(this.f8835p, parcel, i7);
            TextUtils.writeToParcel(this.f8836x, parcel, i7);
            TextUtils.writeToParcel(this.f8837y, parcel, i7);
        }

        SavedState(Parcelable parcelable) {
            super(parcelable);
        }
    }

    /* access modifiers changed from: package-private */
    public class a implements TextWatcher {
        a() {
        }

        public void afterTextChanged(@NonNull Editable editable) {
            TextInputLayout textInputLayout = TextInputLayout.this;
            textInputLayout.M0(!textInputLayout.L0);
            TextInputLayout textInputLayout2 = TextInputLayout.this;
            if (textInputLayout2.f8799j) {
                textInputLayout2.E0(editable.length());
            }
            if (TextInputLayout.this.f8813q) {
                TextInputLayout.this.Q0(editable.length());
            }
        }

        public void beforeTextChanged(CharSequence charSequence, int i7, int i8, int i9) {
        }

        public void onTextChanged(CharSequence charSequence, int i7, int i8, int i9) {
        }
    }

    class b implements Runnable {
        b() {
        }

        public void run() {
            TextInputLayout.this.f8796h0.performClick();
            TextInputLayout.this.f8796h0.jumpDrawablesToCurrentState();
        }
    }

    class c implements Runnable {
        c() {
        }

        public void run() {
            TextInputLayout.this.f8789e.requestLayout();
        }
    }

    /* access modifiers changed from: package-private */
    public class d implements ValueAnimator.AnimatorUpdateListener {
        d() {
        }

        public void onAnimationUpdate(@NonNull ValueAnimator valueAnimator) {
            TextInputLayout.this.G0.p0(((Float) valueAnimator.getAnimatedValue()).floatValue());
        }
    }

    public static class e extends AccessibilityDelegateCompat {

        /* renamed from: a  reason: collision with root package name */
        private final TextInputLayout f8842a;

        public e(@NonNull TextInputLayout textInputLayout) {
            this.f8842a = textInputLayout;
        }

        @Override // androidx.core.view.AccessibilityDelegateCompat
        public void onInitializeAccessibilityNodeInfo(@NonNull View view, @NonNull AccessibilityNodeInfoCompat accessibilityNodeInfoCompat) {
            super.onInitializeAccessibilityNodeInfo(view, accessibilityNodeInfoCompat);
            EditText editText = this.f8842a.getEditText();
            CharSequence text = editText != null ? editText.getText() : null;
            CharSequence hint = this.f8842a.getHint();
            CharSequence error = this.f8842a.getError();
            CharSequence placeholderText = this.f8842a.getPlaceholderText();
            int counterMaxLength = this.f8842a.getCounterMaxLength();
            CharSequence counterOverflowDescription = this.f8842a.getCounterOverflowDescription();
            boolean z7 = !TextUtils.isEmpty(text);
            boolean z8 = !TextUtils.isEmpty(hint);
            boolean z9 = !this.f8842a.X();
            boolean z10 = !TextUtils.isEmpty(error);
            boolean z11 = z10 || !TextUtils.isEmpty(counterOverflowDescription);
            String charSequence = z8 ? hint.toString() : "";
            if (z7) {
                accessibilityNodeInfoCompat.setText(text);
            } else if (!TextUtils.isEmpty(charSequence)) {
                accessibilityNodeInfoCompat.setText(charSequence);
                if (z9 && placeholderText != null) {
                    accessibilityNodeInfoCompat.setText(charSequence + ", " + ((Object) placeholderText));
                }
            } else if (placeholderText != null) {
                accessibilityNodeInfoCompat.setText(placeholderText);
            }
            if (!TextUtils.isEmpty(charSequence)) {
                accessibilityNodeInfoCompat.setHintText(charSequence);
                accessibilityNodeInfoCompat.setShowingHintText(!z7);
            }
            if (text == null || text.length() != counterMaxLength) {
                counterMaxLength = -1;
            }
            accessibilityNodeInfoCompat.setMaxTextLength(counterMaxLength);
            if (z11) {
                if (!z10) {
                    error = counterOverflowDescription;
                }
                accessibilityNodeInfoCompat.setError(error);
            }
            if (editText != null) {
                editText.setLabelFor(a.h.f1451x5);
            }
        }
    }

    @Retention(RetentionPolicy.SOURCE)
    public @interface f {
    }

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public @interface g {
    }

    public interface h {
        void a(@NonNull TextInputLayout textInputLayout);
    }

    public interface i {
        void a(@NonNull TextInputLayout textInputLayout, int i7);
    }

    public TextInputLayout(@NonNull Context context) {
        this(context, null);
    }

    private void A() {
        if (C()) {
            ((c) this.D).R0();
        }
    }

    private void A0(boolean z7) {
        if (!z7 || getEndIconDrawable() == null) {
            m();
            return;
        }
        Drawable mutate = DrawableCompat.wrap(getEndIconDrawable()).mutate();
        DrawableCompat.setTint(mutate, this.f8797i.p());
        this.f8796h0.setImageDrawable(mutate);
    }

    private void B(boolean z7) {
        ValueAnimator valueAnimator = this.J0;
        if (valueAnimator != null && valueAnimator.isRunning()) {
            this.J0.cancel();
        }
        if (!z7 || !this.I0) {
            this.G0.p0(1.0f);
        } else {
            i(1.0f);
        }
        this.F0 = false;
        if (C()) {
            f0();
        }
        P0();
        S0();
        V0();
    }

    private void B0() {
        Resources resources;
        int i7;
        if (this.I == 1) {
            if (com.google.android.material.resources.c.h(getContext())) {
                resources = getResources();
                i7 = a.f.f1161u2;
            } else if (com.google.android.material.resources.c.g(getContext())) {
                resources = getResources();
                i7 = a.f.f1153t2;
            } else {
                return;
            }
            this.J = resources.getDimensionPixelSize(i7);
        }
    }

    private boolean C() {
        return this.A && !TextUtils.isEmpty(this.B) && (this.D instanceof c);
    }

    private void C0(@NonNull Rect rect) {
        j jVar = this.E;
        if (jVar != null) {
            int i7 = rect.bottom;
            jVar.setBounds(rect.left, i7 - this.M, rect.right, i7);
        }
    }

    private void D0() {
        if (this.f8805m != null) {
            EditText editText = this.f8789e;
            E0(editText == null ? 0 : editText.getText().length());
        }
    }

    private void E() {
        Iterator<h> it = this.f8790e0.iterator();
        while (it.hasNext()) {
            it.next().a(this);
        }
    }

    private void F(int i7) {
        Iterator<i> it = this.f8798i0.iterator();
        while (it.hasNext()) {
            it.next().a(this, i7);
        }
    }

    private static void F0(@NonNull Context context, @NonNull TextView textView, int i7, int i8, boolean z7) {
        textView.setContentDescription(context.getString(z7 ? a.m.F : a.m.E, Integer.valueOf(i7), Integer.valueOf(i8)));
    }

    private void G(Canvas canvas) {
        j jVar = this.E;
        if (jVar != null) {
            Rect bounds = jVar.getBounds();
            bounds.top = bounds.bottom - this.K;
            this.E.draw(canvas);
        }
    }

    private void G0() {
        ColorStateList colorStateList;
        ColorStateList colorStateList2;
        TextView textView = this.f8805m;
        if (textView != null) {
            v0(textView, this.f8803l ? this.f8807n : this.f8809o);
            if (!this.f8803l && (colorStateList2 = this.f8821u) != null) {
                this.f8805m.setTextColor(colorStateList2);
            }
            if (this.f8803l && (colorStateList = this.f8823v) != null) {
                this.f8805m.setTextColor(colorStateList);
            }
        }
    }

    private void H(@NonNull Canvas canvas) {
        if (this.A) {
            this.G0.l(canvas);
        }
    }

    private void H0() {
        if (C() && !this.F0 && this.H != this.K) {
            A();
            f0();
        }
    }

    private void I(boolean z7) {
        ValueAnimator valueAnimator = this.J0;
        if (valueAnimator != null && valueAnimator.isRunning()) {
            this.J0.cancel();
        }
        if (!z7 || !this.I0) {
            this.G0.p0(0.0f);
        } else {
            i(0.0f);
        }
        if (C() && ((c) this.D).O0()) {
            A();
        }
        this.F0 = true;
        M();
        S0();
        V0();
    }

    /* JADX WARNING: Removed duplicated region for block: B:20:0x0069  */
    /* JADX WARNING: Removed duplicated region for block: B:34:0x00d1  */
    private boolean I0() {
        boolean z7;
        if (this.f8789e == null) {
            return false;
        }
        boolean z8 = true;
        if (x0()) {
            int measuredWidth = this.f8783b.getMeasuredWidth() - this.f8789e.getPaddingLeft();
            if (this.f8784b0 == null || this.f8786c0 != measuredWidth) {
                ColorDrawable colorDrawable = new ColorDrawable();
                this.f8784b0 = colorDrawable;
                this.f8786c0 = measuredWidth;
                colorDrawable.setBounds(0, 0, measuredWidth, 1);
            }
            Drawable[] compoundDrawablesRelative = TextViewCompat.getCompoundDrawablesRelative(this.f8789e);
            Drawable drawable = compoundDrawablesRelative[0];
            Drawable drawable2 = this.f8784b0;
            if (drawable != drawable2) {
                TextViewCompat.setCompoundDrawablesRelative(this.f8789e, drawable2, compoundDrawablesRelative[1], compoundDrawablesRelative[2], compoundDrawablesRelative[3]);
            }
            z7 = false;
            if (w0()) {
                int measuredWidth2 = this.f8831z.getMeasuredWidth() - this.f8789e.getPaddingRight();
                CheckableImageButton endIconToUpdateDummyDrawable = getEndIconToUpdateDummyDrawable();
                if (endIconToUpdateDummyDrawable != null) {
                    measuredWidth2 = measuredWidth2 + endIconToUpdateDummyDrawable.getMeasuredWidth() + MarginLayoutParamsCompat.getMarginStart((ViewGroup.MarginLayoutParams) endIconToUpdateDummyDrawable.getLayoutParams());
                }
                Drawable[] compoundDrawablesRelative2 = TextViewCompat.getCompoundDrawablesRelative(this.f8789e);
                Drawable drawable3 = this.f8808n0;
                if (drawable3 == null || this.f8810o0 == measuredWidth2) {
                    if (drawable3 == null) {
                        ColorDrawable colorDrawable2 = new ColorDrawable();
                        this.f8808n0 = colorDrawable2;
                        this.f8810o0 = measuredWidth2;
                        colorDrawable2.setBounds(0, 0, measuredWidth2, 1);
                    }
                    Drawable drawable4 = compoundDrawablesRelative2[2];
                    Drawable drawable5 = this.f8808n0;
                    if (drawable4 != drawable5) {
                        this.f8812p0 = drawable4;
                        TextViewCompat.setCompoundDrawablesRelative(this.f8789e, compoundDrawablesRelative2[0], compoundDrawablesRelative2[1], drawable5, compoundDrawablesRelative2[3]);
                    } else {
                        z8 = z7;
                    }
                } else {
                    this.f8810o0 = measuredWidth2;
                    drawable3.setBounds(0, 0, measuredWidth2, 1);
                    TextViewCompat.setCompoundDrawablesRelative(this.f8789e, compoundDrawablesRelative2[0], compoundDrawablesRelative2[1], this.f8808n0, compoundDrawablesRelative2[3]);
                }
            } else if (this.f8808n0 == null) {
                return z7;
            } else {
                Drawable[] compoundDrawablesRelative3 = TextViewCompat.getCompoundDrawablesRelative(this.f8789e);
                if (compoundDrawablesRelative3[2] == this.f8808n0) {
                    TextViewCompat.setCompoundDrawablesRelative(this.f8789e, compoundDrawablesRelative3[0], compoundDrawablesRelative3[1], this.f8812p0, compoundDrawablesRelative3[3]);
                } else {
                    z8 = z7;
                }
                this.f8808n0 = null;
            }
            return z8;
        }
        if (this.f8784b0 != null) {
            Drawable[] compoundDrawablesRelative4 = TextViewCompat.getCompoundDrawablesRelative(this.f8789e);
            TextViewCompat.setCompoundDrawablesRelative(this.f8789e, null, compoundDrawablesRelative4[1], compoundDrawablesRelative4[2], compoundDrawablesRelative4[3]);
            this.f8784b0 = null;
        }
        z7 = false;
        if (w0()) {
        }
        return z8;
        z7 = true;
        if (w0()) {
        }
        return z8;
    }

    private int J(int i7, boolean z7) {
        int compoundPaddingLeft = i7 + this.f8789e.getCompoundPaddingLeft();
        return (this.f8825w == null || z7) ? compoundPaddingLeft : (compoundPaddingLeft - this.f8827x.getMeasuredWidth()) + this.f8827x.getPaddingLeft();
    }

    private int K(int i7, boolean z7) {
        int compoundPaddingRight = i7 - this.f8789e.getCompoundPaddingRight();
        return (this.f8825w == null || !z7) ? compoundPaddingRight : compoundPaddingRight + (this.f8827x.getMeasuredWidth() - this.f8827x.getPaddingRight());
    }

    private boolean K0() {
        int max;
        if (this.f8789e == null || this.f8789e.getMeasuredHeight() >= (max = Math.max(this.f8785c.getMeasuredHeight(), this.f8783b.getMeasuredHeight()))) {
            return false;
        }
        this.f8789e.setMinimumHeight(max);
        return true;
    }

    private boolean L() {
        return this.f8792f0 != 0;
    }

    private void L0() {
        if (this.I != 1) {
            LinearLayout.LayoutParams layoutParams = (LinearLayout.LayoutParams) this.f8781a.getLayoutParams();
            int v7 = v();
            if (v7 != layoutParams.topMargin) {
                layoutParams.topMargin = v7;
                this.f8781a.requestLayout();
            }
        }
    }

    private void M() {
        TextView textView = this.f8815r;
        if (textView != null && this.f8813q) {
            textView.setText((CharSequence) null);
            this.f8815r.setVisibility(4);
        }
    }

    private void N0(boolean z7, boolean z8) {
        ColorStateList colorStateList;
        com.google.android.material.internal.a aVar;
        TextView textView;
        boolean isEnabled = isEnabled();
        EditText editText = this.f8789e;
        boolean z9 = editText != null && !TextUtils.isEmpty(editText.getText());
        EditText editText2 = this.f8789e;
        boolean z10 = editText2 != null && editText2.hasFocus();
        boolean l7 = this.f8797i.l();
        ColorStateList colorStateList2 = this.f8822u0;
        if (colorStateList2 != null) {
            this.G0.a0(colorStateList2);
            this.G0.k0(this.f8822u0);
        }
        if (!isEnabled) {
            ColorStateList colorStateList3 = this.f8822u0;
            int colorForState = colorStateList3 != null ? colorStateList3.getColorForState(new int[]{-16842910}, this.E0) : this.E0;
            this.G0.a0(ColorStateList.valueOf(colorForState));
            this.G0.k0(ColorStateList.valueOf(colorForState));
        } else if (l7) {
            this.G0.a0(this.f8797i.q());
        } else {
            if (this.f8803l && (textView = this.f8805m) != null) {
                aVar = this.G0;
                colorStateList = textView.getTextColors();
            } else if (z10 && (colorStateList = this.f8824v0) != null) {
                aVar = this.G0;
            }
            aVar.a0(colorStateList);
        }
        if (z9 || !this.H0 || (isEnabled() && z10)) {
            if (z8 || this.F0) {
                B(z7);
            }
        } else if (z8 || !this.F0) {
            I(z7);
        }
    }

    private void O0() {
        EditText editText;
        if (this.f8815r != null && (editText = this.f8789e) != null) {
            this.f8815r.setGravity(editText.getGravity());
            this.f8815r.setPadding(this.f8789e.getCompoundPaddingLeft(), this.f8789e.getCompoundPaddingTop(), this.f8789e.getCompoundPaddingRight(), this.f8789e.getCompoundPaddingBottom());
        }
    }

    private void P0() {
        EditText editText = this.f8789e;
        Q0(editText == null ? 0 : editText.getText().length());
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void Q0(int i7) {
        if (i7 != 0 || this.F0) {
            M();
        } else {
            z0();
        }
    }

    private boolean R() {
        return this.f8818s0.getVisibility() == 0;
    }

    private void R0() {
        if (this.f8789e != null) {
            ViewCompat.setPaddingRelative(this.f8827x, c0() ? 0 : ViewCompat.getPaddingStart(this.f8789e), this.f8789e.getCompoundPaddingTop(), getContext().getResources().getDimensionPixelSize(a.f.f1193y2), this.f8789e.getCompoundPaddingBottom());
        }
    }

    private void S0() {
        this.f8827x.setVisibility((this.f8825w == null || X()) ? 8 : 0);
        I0();
    }

    private void T0(boolean z7, boolean z8) {
        int defaultColor = this.f8832z0.getDefaultColor();
        int colorForState = this.f8832z0.getColorForState(new int[]{16843623, 16842910}, defaultColor);
        int colorForState2 = this.f8832z0.getColorForState(new int[]{16843518, 16842910}, defaultColor);
        if (z7) {
            this.N = colorForState2;
        } else if (z8) {
            this.N = colorForState;
        } else {
            this.N = defaultColor;
        }
    }

    private void U0() {
        if (this.f8789e != null) {
            ViewCompat.setPaddingRelative(this.f8831z, getContext().getResources().getDimensionPixelSize(a.f.f1193y2), this.f8789e.getPaddingTop(), (P() || R()) ? 0 : ViewCompat.getPaddingEnd(this.f8789e), this.f8789e.getPaddingBottom());
        }
    }

    private void V0() {
        int visibility = this.f8831z.getVisibility();
        int i7 = 0;
        boolean z7 = this.f8829y != null && !X();
        TextView textView = this.f8831z;
        if (!z7) {
            i7 = 8;
        }
        textView.setVisibility(i7);
        if (visibility != this.f8831z.getVisibility()) {
            getEndIconDelegate().c(z7);
        }
        I0();
    }

    private boolean a0() {
        return this.I == 1 && this.f8789e.getMinLines() <= 1;
    }

    private int[] d0(CheckableImageButton checkableImageButton) {
        int[] drawableState = getDrawableState();
        int[] drawableState2 = checkableImageButton.getDrawableState();
        int length = drawableState.length;
        int[] copyOf = Arrays.copyOf(drawableState, drawableState.length + drawableState2.length);
        System.arraycopy(drawableState2, 0, copyOf, length, drawableState2.length);
        return copyOf;
    }

    private void e0() {
        p();
        r0();
        W0();
        B0();
        h();
        if (this.I != 0) {
            L0();
        }
    }

    private void f0() {
        if (C()) {
            RectF rectF = this.R;
            this.G0.o(rectF, this.f8789e.getWidth(), this.f8789e.getGravity());
            l(rectF);
            int i7 = this.K;
            this.H = i7;
            rectF.top = 0.0f;
            rectF.bottom = (float) i7;
            rectF.offset((float) (-getPaddingLeft()), 0.0f);
            ((c) this.D).U0(rectF);
        }
    }

    private void g() {
        TextView textView = this.f8815r;
        if (textView != null) {
            this.f8781a.addView(textView);
            this.f8815r.setVisibility(0);
        }
    }

    private e getEndIconDelegate() {
        e eVar = this.f8794g0.get(this.f8792f0);
        return eVar != null ? eVar : this.f8794g0.get(0);
    }

    @Nullable
    private CheckableImageButton getEndIconToUpdateDummyDrawable() {
        if (this.f8818s0.getVisibility() == 0) {
            return this.f8818s0;
        }
        if (!L() || !P()) {
            return null;
        }
        return this.f8796h0;
    }

    private void h() {
        EditText editText;
        int paddingStart;
        int dimensionPixelSize;
        int paddingEnd;
        Resources resources;
        int i7;
        if (this.f8789e != null && this.I == 1) {
            if (com.google.android.material.resources.c.h(getContext())) {
                editText = this.f8789e;
                paddingStart = ViewCompat.getPaddingStart(editText);
                dimensionPixelSize = getResources().getDimensionPixelSize(a.f.f1145s2);
                paddingEnd = ViewCompat.getPaddingEnd(this.f8789e);
                resources = getResources();
                i7 = a.f.f1137r2;
            } else if (com.google.android.material.resources.c.g(getContext())) {
                editText = this.f8789e;
                paddingStart = ViewCompat.getPaddingStart(editText);
                dimensionPixelSize = getResources().getDimensionPixelSize(a.f.f1129q2);
                paddingEnd = ViewCompat.getPaddingEnd(this.f8789e);
                resources = getResources();
                i7 = a.f.f1121p2;
            } else {
                return;
            }
            ViewCompat.setPaddingRelative(editText, paddingStart, dimensionPixelSize, paddingEnd, resources.getDimensionPixelSize(i7));
        }
    }

    private static void h0(@NonNull ViewGroup viewGroup, boolean z7) {
        int childCount = viewGroup.getChildCount();
        for (int i7 = 0; i7 < childCount; i7++) {
            View childAt = viewGroup.getChildAt(i7);
            childAt.setEnabled(z7);
            if (childAt instanceof ViewGroup) {
                h0((ViewGroup) childAt, z7);
            }
        }
    }

    private void j() {
        j jVar = this.D;
        if (jVar != null) {
            jVar.setShapeAppearanceModel(this.F);
            if (w()) {
                this.D.C0((float) this.K, this.N);
            }
            int q7 = q();
            this.O = q7;
            this.D.n0(ColorStateList.valueOf(q7));
            if (this.f8792f0 == 3) {
                this.f8789e.getBackground().invalidateSelf();
            }
            k();
            invalidate();
        }
    }

    private void k() {
        if (this.E != null) {
            if (x()) {
                this.E.n0(ColorStateList.valueOf(this.N));
            }
            invalidate();
        }
    }

    private void k0(CheckableImageButton checkableImageButton, ColorStateList colorStateList) {
        Drawable drawable = checkableImageButton.getDrawable();
        if (checkableImageButton.getDrawable() != null && colorStateList != null && colorStateList.isStateful()) {
            int colorForState = colorStateList.getColorForState(d0(checkableImageButton), colorStateList.getDefaultColor());
            Drawable mutate = DrawableCompat.wrap(drawable).mutate();
            DrawableCompat.setTintList(mutate, ColorStateList.valueOf(colorForState));
            checkableImageButton.setImageDrawable(mutate);
        }
    }

    private void l(@NonNull RectF rectF) {
        float f7 = rectF.left;
        int i7 = this.G;
        rectF.left = f7 - ((float) i7);
        rectF.right += (float) i7;
    }

    private void m() {
        n(this.f8796h0, this.f8802k0, this.f8800j0, this.f8806m0, this.f8804l0);
    }

    private void n(@NonNull CheckableImageButton checkableImageButton, boolean z7, ColorStateList colorStateList, boolean z8, PorterDuff.Mode mode) {
        Drawable drawable = checkableImageButton.getDrawable();
        if (drawable != null && (z7 || z8)) {
            drawable = DrawableCompat.wrap(drawable).mutate();
            if (z7) {
                DrawableCompat.setTintList(drawable, colorStateList);
            }
            if (z8) {
                DrawableCompat.setTintMode(drawable, mode);
            }
        }
        if (checkableImageButton.getDrawable() != drawable) {
            checkableImageButton.setImageDrawable(drawable);
        }
    }

    private void o() {
        n(this.T, this.V, this.U, this.f8782a0, this.W);
    }

    private void o0() {
        TextView textView = this.f8815r;
        if (textView != null) {
            textView.setVisibility(8);
        }
    }

    private void p() {
        int i7 = this.I;
        if (i7 == 0) {
            this.D = null;
        } else if (i7 == 1) {
            this.D = new j(this.F);
            this.E = new j();
            return;
        } else if (i7 == 2) {
            this.D = (!this.A || (this.D instanceof c)) ? new j(this.F) : new c(this.F);
        } else {
            throw new IllegalArgumentException(this.I + " is illegal; only @BoxBackgroundMode constants are supported.");
        }
        this.E = null;
    }

    private int q() {
        return this.I == 1 ? f0.a.g(f0.a.e(this, a.c.Q2, 0), this.O) : this.O;
    }

    @NonNull
    private Rect r(@NonNull Rect rect) {
        if (this.f8789e != null) {
            Rect rect2 = this.Q;
            boolean z7 = ViewCompat.getLayoutDirection(this) == 1;
            rect2.bottom = rect.bottom;
            int i7 = this.I;
            if (i7 == 1) {
                rect2.left = J(rect.left, z7);
                rect2.top = rect.top + this.J;
                rect2.right = K(rect.right, z7);
                return rect2;
            } else if (i7 != 2) {
                rect2.left = J(rect.left, z7);
                rect2.top = getPaddingTop();
                rect2.right = K(rect.right, z7);
                return rect2;
            } else {
                rect2.left = rect.left + this.f8789e.getPaddingLeft();
                rect2.top = rect.top - v();
                rect2.right = rect.right - this.f8789e.getPaddingRight();
                return rect2;
            }
        } else {
            throw new IllegalStateException();
        }
    }

    private void r0() {
        if (y0()) {
            ViewCompat.setBackground(this.f8789e, this.D);
        }
    }

    private int s(@NonNull Rect rect, @NonNull Rect rect2, float f7) {
        return a0() ? (int) (((float) rect2.top) + f7) : rect.bottom - this.f8789e.getCompoundPaddingBottom();
    }

    private static void s0(@NonNull CheckableImageButton checkableImageButton, @Nullable View.OnLongClickListener onLongClickListener) {
        boolean hasOnClickListeners = ViewCompat.hasOnClickListeners(checkableImageButton);
        boolean z7 = false;
        int i7 = 1;
        boolean z8 = onLongClickListener != null;
        if (hasOnClickListeners || z8) {
            z7 = true;
        }
        checkableImageButton.setFocusable(z7);
        checkableImageButton.setClickable(hasOnClickListeners);
        checkableImageButton.setPressable(hasOnClickListeners);
        checkableImageButton.setLongClickable(z8);
        if (!z7) {
            i7 = 2;
        }
        ViewCompat.setImportantForAccessibility(checkableImageButton, i7);
    }

    private void setEditText(EditText editText) {
        if (this.f8789e == null) {
            if (this.f8792f0 != 3 && !(editText instanceof TextInputEditText)) {
                Log.i(Q0, "EditText added is not a TextInputEditText. Please switch to using that class instead.");
            }
            this.f8789e = editText;
            setMinWidth(this.f8793g);
            setMaxWidth(this.f8795h);
            e0();
            setTextInputAccessibilityDelegate(new e(this));
            this.G0.B0(this.f8789e.getTypeface());
            this.G0.m0(this.f8789e.getTextSize());
            int gravity = this.f8789e.getGravity();
            this.G0.b0((gravity & -113) | 48);
            this.G0.l0(gravity);
            this.f8789e.addTextChangedListener(new a());
            if (this.f8822u0 == null) {
                this.f8822u0 = this.f8789e.getHintTextColors();
            }
            if (this.A) {
                if (TextUtils.isEmpty(this.B)) {
                    CharSequence hint = this.f8789e.getHint();
                    this.f8791f = hint;
                    setHint(hint);
                    this.f8789e.setHint((CharSequence) null);
                }
                this.C = true;
            }
            if (this.f8805m != null) {
                E0(this.f8789e.getText().length());
            }
            J0();
            this.f8797i.e();
            this.f8783b.bringToFront();
            this.f8785c.bringToFront();
            this.f8787d.bringToFront();
            this.f8818s0.bringToFront();
            E();
            R0();
            U0();
            if (!isEnabled()) {
                editText.setEnabled(false);
            }
            N0(false, true);
            return;
        }
        throw new IllegalArgumentException("We already have an EditText, can only have one");
    }

    private void setErrorIconVisible(boolean z7) {
        int i7 = 0;
        this.f8818s0.setVisibility(z7 ? 0 : 8);
        FrameLayout frameLayout = this.f8787d;
        if (z7) {
            i7 = 8;
        }
        frameLayout.setVisibility(i7);
        U0();
        if (!L()) {
            I0();
        }
    }

    private void setHintInternal(CharSequence charSequence) {
        if (!TextUtils.equals(charSequence, this.B)) {
            this.B = charSequence;
            this.G0.z0(charSequence);
            if (!this.F0) {
                f0();
            }
        }
    }

    private void setPlaceholderTextEnabled(boolean z7) {
        if (this.f8813q != z7) {
            if (z7) {
                AppCompatTextView appCompatTextView = new AppCompatTextView(getContext());
                this.f8815r = appCompatTextView;
                appCompatTextView.setId(a.h.f1458y5);
                ViewCompat.setAccessibilityLiveRegion(this.f8815r, 1);
                setPlaceholderTextAppearance(this.f8819t);
                setPlaceholderTextColor(this.f8817s);
                g();
            } else {
                o0();
                this.f8815r = null;
            }
            this.f8813q = z7;
        }
    }

    private int t(@NonNull Rect rect, float f7) {
        return a0() ? (int) (((float) rect.centerY()) - (f7 / 2.0f)) : rect.top + this.f8789e.getCompoundPaddingTop();
    }

    private static void t0(@NonNull CheckableImageButton checkableImageButton, @Nullable View.OnClickListener onClickListener, @Nullable View.OnLongClickListener onLongClickListener) {
        checkableImageButton.setOnClickListener(onClickListener);
        s0(checkableImageButton, onLongClickListener);
    }

    @NonNull
    private Rect u(@NonNull Rect rect) {
        if (this.f8789e != null) {
            Rect rect2 = this.Q;
            float B2 = this.G0.B();
            rect2.left = rect.left + this.f8789e.getCompoundPaddingLeft();
            rect2.top = t(rect, B2);
            rect2.right = rect.right - this.f8789e.getCompoundPaddingRight();
            rect2.bottom = s(rect, rect2, B2);
            return rect2;
        }
        throw new IllegalStateException();
    }

    private static void u0(@NonNull CheckableImageButton checkableImageButton, @Nullable View.OnLongClickListener onLongClickListener) {
        checkableImageButton.setOnLongClickListener(onLongClickListener);
        s0(checkableImageButton, onLongClickListener);
    }

    private int v() {
        float r7;
        if (!this.A) {
            return 0;
        }
        int i7 = this.I;
        if (i7 == 0 || i7 == 1) {
            r7 = this.G0.r();
        } else if (i7 != 2) {
            return 0;
        } else {
            r7 = this.G0.r() / 2.0f;
        }
        return (int) r7;
    }

    private boolean w() {
        return this.I == 2 && x();
    }

    private boolean w0() {
        return (this.f8818s0.getVisibility() == 0 || ((L() && P()) || this.f8829y != null)) && this.f8785c.getMeasuredWidth() > 0;
    }

    private boolean x() {
        return this.K > -1 && this.N != 0;
    }

    private boolean x0() {
        return !(getStartIconDrawable() == null && this.f8825w == null) && this.f8783b.getMeasuredWidth() > 0;
    }

    private boolean y0() {
        EditText editText = this.f8789e;
        return (editText == null || this.D == null || editText.getBackground() != null || this.I == 0) ? false : true;
    }

    private void z0() {
        TextView textView = this.f8815r;
        if (textView != null && this.f8813q) {
            textView.setText(this.f8811p);
            this.f8815r.setVisibility(0);
            this.f8815r.bringToFront();
        }
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public boolean D() {
        return C() && ((c) this.D).O0();
    }

    /* access modifiers changed from: package-private */
    public void E0(int i7) {
        boolean z7 = this.f8803l;
        int i8 = this.f8801k;
        if (i8 == -1) {
            this.f8805m.setText(String.valueOf(i7));
            this.f8805m.setContentDescription(null);
            this.f8803l = false;
        } else {
            this.f8803l = i7 > i8;
            F0(getContext(), this.f8805m, i7, this.f8801k, this.f8803l);
            if (z7 != this.f8803l) {
                G0();
            }
            this.f8805m.setText(BidiFormatter.getInstance().unicodeWrap(getContext().getString(a.m.G, Integer.valueOf(i7), Integer.valueOf(this.f8801k))));
        }
        if (this.f8789e != null && z7 != this.f8803l) {
            M0(false);
            W0();
            J0();
        }
    }

    /* access modifiers changed from: package-private */
    public void J0() {
        Drawable background;
        TextView textView;
        int currentTextColor;
        EditText editText = this.f8789e;
        if (editText != null && this.I == 0 && (background = editText.getBackground()) != null) {
            if (DrawableUtils.canSafelyMutateDrawable(background)) {
                background = background.mutate();
            }
            if (this.f8797i.l()) {
                currentTextColor = this.f8797i.p();
            } else if (!this.f8803l || (textView = this.f8805m) == null) {
                DrawableCompat.clearColorFilter(background);
                this.f8789e.refreshDrawableState();
                return;
            } else {
                currentTextColor = textView.getCurrentTextColor();
            }
            background.setColorFilter(AppCompatDrawableManager.getPorterDuffColorFilter(currentTextColor, PorterDuff.Mode.SRC_IN));
        }
    }

    /* access modifiers changed from: package-private */
    public void M0(boolean z7) {
        N0(z7, false);
    }

    public boolean N() {
        return this.f8799j;
    }

    public boolean O() {
        return this.f8796h0.a();
    }

    public boolean P() {
        return this.f8787d.getVisibility() == 0 && this.f8796h0.getVisibility() == 0;
    }

    public boolean Q() {
        return this.f8797i.C();
    }

    public boolean S() {
        return this.H0;
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public final boolean T() {
        return this.f8797i.v();
    }

    public boolean U() {
        return this.f8797i.D();
    }

    public boolean V() {
        return this.I0;
    }

    public boolean W() {
        return this.A;
    }

    /* access modifiers changed from: package-private */
    /* JADX WARNING: Removed duplicated region for block: B:51:0x00a2  */
    /* JADX WARNING: Removed duplicated region for block: B:59:0x00bf  */
    /* JADX WARNING: Removed duplicated region for block: B:62:0x00c6  */
    public void W0() {
        int i7;
        TextView textView;
        EditText editText;
        EditText editText2;
        if (this.D != null && this.I != 0) {
            boolean z7 = false;
            boolean z8 = isFocused() || ((editText2 = this.f8789e) != null && editText2.hasFocus());
            boolean z9 = isHovered() || ((editText = this.f8789e) != null && editText.isHovered());
            if (!isEnabled()) {
                i7 = this.E0;
            } else {
                if (this.f8797i.l()) {
                    if (this.f8832z0 == null) {
                        i7 = this.f8797i.p();
                    }
                } else if (!this.f8803l || (textView = this.f8805m) == null) {
                    i7 = z8 ? this.f8830y0 : z9 ? this.f8828x0 : this.f8826w0;
                } else if (this.f8832z0 == null) {
                    i7 = textView.getCurrentTextColor();
                }
                T0(z8, z9);
                if (getErrorIconDrawable() != null && this.f8797i.C() && this.f8797i.l()) {
                    z7 = true;
                }
                setErrorIconVisible(z7);
                j0();
                l0();
                i0();
                if (getEndIconDelegate().d()) {
                    A0(this.f8797i.l());
                }
                this.K = (z8 || !isEnabled()) ? this.L : this.M;
                if (this.I == 2) {
                    H0();
                }
                if (this.I == 1) {
                    this.O = !isEnabled() ? this.B0 : (!z9 || z8) ? z8 ? this.C0 : this.A0 : this.D0;
                }
                j();
            }
            this.N = i7;
            z7 = true;
            setErrorIconVisible(z7);
            j0();
            l0();
            i0();
            if (getEndIconDelegate().d()) {
            }
            this.K = (z8 || !isEnabled()) ? this.L : this.M;
            if (this.I == 2) {
            }
            if (this.I == 1) {
            }
            j();
        }
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public final boolean X() {
        return this.F0;
    }

    @Deprecated
    public boolean Y() {
        return this.f8792f0 == 1;
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public boolean Z() {
        return this.C;
    }

    @Override // android.view.ViewGroup
    public void addView(@NonNull View view, int i7, @NonNull ViewGroup.LayoutParams layoutParams) {
        if (view instanceof EditText) {
            FrameLayout.LayoutParams layoutParams2 = new FrameLayout.LayoutParams(layoutParams);
            layoutParams2.gravity = (layoutParams2.gravity & -113) | 16;
            this.f8781a.addView(view, layoutParams2);
            this.f8781a.setLayoutParams(layoutParams);
            L0();
            setEditText((EditText) view);
            return;
        }
        super.addView(view, i7, layoutParams);
    }

    public boolean b0() {
        return this.T.a();
    }

    public boolean c0() {
        return this.T.getVisibility() == 0;
    }

    @TargetApi(26)
    public void dispatchProvideAutofillStructure(@NonNull ViewStructure viewStructure, int i7) {
        EditText editText = this.f8789e;
        if (editText == null) {
            super.dispatchProvideAutofillStructure(viewStructure, i7);
            return;
        }
        if (this.f8791f != null) {
            boolean z7 = this.C;
            this.C = false;
            CharSequence hint = editText.getHint();
            this.f8789e.setHint(this.f8791f);
            try {
                super.dispatchProvideAutofillStructure(viewStructure, i7);
            } finally {
                this.f8789e.setHint(hint);
                this.C = z7;
            }
        } else {
            viewStructure.setAutofillId(getAutofillId());
            onProvideAutofillStructure(viewStructure, i7);
            onProvideAutofillVirtualStructure(viewStructure, i7);
            viewStructure.setChildCount(this.f8781a.getChildCount());
            for (int i8 = 0; i8 < this.f8781a.getChildCount(); i8++) {
                View childAt = this.f8781a.getChildAt(i8);
                ViewStructure newChild = viewStructure.newChild(i8);
                childAt.dispatchProvideAutofillStructure(newChild, i7);
                if (childAt == this.f8789e) {
                    newChild.setHint(getHint());
                }
            }
        }
    }

    /* access modifiers changed from: protected */
    @Override // android.view.View, android.view.ViewGroup
    public void dispatchRestoreInstanceState(@NonNull SparseArray<Parcelable> sparseArray) {
        this.L0 = true;
        super.dispatchRestoreInstanceState(sparseArray);
        this.L0 = false;
    }

    public void draw(@NonNull Canvas canvas) {
        super.draw(canvas);
        H(canvas);
        G(canvas);
    }

    /* access modifiers changed from: protected */
    public void drawableStateChanged() {
        if (!this.K0) {
            boolean z7 = true;
            this.K0 = true;
            super.drawableStateChanged();
            int[] drawableState = getDrawableState();
            com.google.android.material.internal.a aVar = this.G0;
            boolean y02 = aVar != null ? aVar.y0(drawableState) | false : false;
            if (this.f8789e != null) {
                if (!ViewCompat.isLaidOut(this) || !isEnabled()) {
                    z7 = false;
                }
                M0(z7);
            }
            J0();
            W0();
            if (y02) {
                invalidate();
            }
            this.K0 = false;
        }
    }

    public void e(@NonNull h hVar) {
        this.f8790e0.add(hVar);
        if (this.f8789e != null) {
            hVar.a(this);
        }
    }

    public void f(@NonNull i iVar) {
        this.f8798i0.add(iVar);
    }

    @Deprecated
    public void g0(boolean z7) {
        if (this.f8792f0 == 1) {
            this.f8796h0.performClick();
            if (z7) {
                this.f8796h0.jumpDrawablesToCurrentState();
            }
        }
    }

    public int getBaseline() {
        EditText editText = this.f8789e;
        return editText != null ? editText.getBaseline() + getPaddingTop() + v() : super.getBaseline();
    }

    /* access modifiers changed from: package-private */
    @NonNull
    public j getBoxBackground() {
        int i7 = this.I;
        if (i7 == 1 || i7 == 2) {
            return this.D;
        }
        throw new IllegalStateException();
    }

    public int getBoxBackgroundColor() {
        return this.O;
    }

    public int getBoxBackgroundMode() {
        return this.I;
    }

    public float getBoxCornerRadiusBottomEnd() {
        return this.D.t();
    }

    public float getBoxCornerRadiusBottomStart() {
        return this.D.u();
    }

    public float getBoxCornerRadiusTopEnd() {
        return this.D.S();
    }

    public float getBoxCornerRadiusTopStart() {
        return this.D.R();
    }

    public int getBoxStrokeColor() {
        return this.f8830y0;
    }

    @Nullable
    public ColorStateList getBoxStrokeErrorColor() {
        return this.f8832z0;
    }

    public int getBoxStrokeWidth() {
        return this.L;
    }

    public int getBoxStrokeWidthFocused() {
        return this.M;
    }

    public int getCounterMaxLength() {
        return this.f8801k;
    }

    /* access modifiers changed from: package-private */
    @Nullable
    public CharSequence getCounterOverflowDescription() {
        TextView textView;
        if (!this.f8799j || !this.f8803l || (textView = this.f8805m) == null) {
            return null;
        }
        return textView.getContentDescription();
    }

    @Nullable
    public ColorStateList getCounterOverflowTextColor() {
        return this.f8821u;
    }

    @Nullable
    public ColorStateList getCounterTextColor() {
        return this.f8821u;
    }

    @Nullable
    public ColorStateList getDefaultHintTextColor() {
        return this.f8822u0;
    }

    @Nullable
    public EditText getEditText() {
        return this.f8789e;
    }

    @Nullable
    public CharSequence getEndIconContentDescription() {
        return this.f8796h0.getContentDescription();
    }

    @Nullable
    public Drawable getEndIconDrawable() {
        return this.f8796h0.getDrawable();
    }

    public int getEndIconMode() {
        return this.f8792f0;
    }

    /* access modifiers changed from: package-private */
    @NonNull
    public CheckableImageButton getEndIconView() {
        return this.f8796h0;
    }

    @Nullable
    public CharSequence getError() {
        if (this.f8797i.C()) {
            return this.f8797i.o();
        }
        return null;
    }

    @Nullable
    public CharSequence getErrorContentDescription() {
        return this.f8797i.n();
    }

    @ColorInt
    public int getErrorCurrentTextColors() {
        return this.f8797i.p();
    }

    @Nullable
    public Drawable getErrorIconDrawable() {
        return this.f8818s0.getDrawable();
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public final int getErrorTextCurrentColor() {
        return this.f8797i.p();
    }

    @Nullable
    public CharSequence getHelperText() {
        if (this.f8797i.D()) {
            return this.f8797i.r();
        }
        return null;
    }

    @ColorInt
    public int getHelperTextCurrentTextColor() {
        return this.f8797i.t();
    }

    @Nullable
    public CharSequence getHint() {
        if (this.A) {
            return this.B;
        }
        return null;
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public final float getHintCollapsedTextHeight() {
        return this.G0.r();
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public final int getHintCurrentCollapsedTextColor() {
        return this.G0.w();
    }

    @Nullable
    public ColorStateList getHintTextColor() {
        return this.f8824v0;
    }

    @Px
    public int getMaxWidth() {
        return this.f8795h;
    }

    @Px
    public int getMinWidth() {
        return this.f8793g;
    }

    @Nullable
    @Deprecated
    public CharSequence getPasswordVisibilityToggleContentDescription() {
        return this.f8796h0.getContentDescription();
    }

    @Nullable
    @Deprecated
    public Drawable getPasswordVisibilityToggleDrawable() {
        return this.f8796h0.getDrawable();
    }

    @Nullable
    public CharSequence getPlaceholderText() {
        if (this.f8813q) {
            return this.f8811p;
        }
        return null;
    }

    @StyleRes
    public int getPlaceholderTextAppearance() {
        return this.f8819t;
    }

    @Nullable
    public ColorStateList getPlaceholderTextColor() {
        return this.f8817s;
    }

    @Nullable
    public CharSequence getPrefixText() {
        return this.f8825w;
    }

    @Nullable
    public ColorStateList getPrefixTextColor() {
        return this.f8827x.getTextColors();
    }

    @NonNull
    public TextView getPrefixTextView() {
        return this.f8827x;
    }

    @Nullable
    public CharSequence getStartIconContentDescription() {
        return this.T.getContentDescription();
    }

    @Nullable
    public Drawable getStartIconDrawable() {
        return this.T.getDrawable();
    }

    @Nullable
    public CharSequence getSuffixText() {
        return this.f8829y;
    }

    @Nullable
    public ColorStateList getSuffixTextColor() {
        return this.f8831z.getTextColors();
    }

    @NonNull
    public TextView getSuffixTextView() {
        return this.f8831z;
    }

    @Nullable
    public Typeface getTypeface() {
        return this.S;
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public void i(float f7) {
        if (this.G0.E() != f7) {
            if (this.J0 == null) {
                ValueAnimator valueAnimator = new ValueAnimator();
                this.J0 = valueAnimator;
                valueAnimator.setInterpolator(com.google.android.material.animation.a.f6955b);
                this.J0.setDuration(167L);
                this.J0.addUpdateListener(new d());
            }
            this.J0.setFloatValues(this.G0.E(), f7);
            this.J0.start();
        }
    }

    public void i0() {
        k0(this.f8796h0, this.f8800j0);
    }

    public void j0() {
        k0(this.f8818s0, this.f8820t0);
    }

    public void l0() {
        k0(this.T, this.U);
    }

    public void m0(@NonNull h hVar) {
        this.f8790e0.remove(hVar);
    }

    public void n0(@NonNull i iVar) {
        this.f8798i0.remove(iVar);
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z7, int i7, int i8, int i9, int i10) {
        super.onLayout(z7, i7, i8, i9, i10);
        EditText editText = this.f8789e;
        if (editText != null) {
            Rect rect = this.P;
            com.google.android.material.internal.c.a(this, editText, rect);
            C0(rect);
            if (this.A) {
                this.G0.m0(this.f8789e.getTextSize());
                int gravity = this.f8789e.getGravity();
                this.G0.b0((gravity & -113) | 48);
                this.G0.l0(gravity);
                this.G0.X(r(rect));
                this.G0.h0(u(rect));
                this.G0.U();
                if (C() && !this.F0) {
                    f0();
                }
            }
        }
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i7, int i8) {
        super.onMeasure(i7, i8);
        boolean K02 = K0();
        boolean I02 = I0();
        if (K02 || I02) {
            this.f8789e.post(new c());
        }
        O0();
        R0();
        U0();
    }

    /* access modifiers changed from: protected */
    public void onRestoreInstanceState(@Nullable Parcelable parcelable) {
        if (!(parcelable instanceof SavedState)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        SavedState savedState = (SavedState) parcelable;
        super.onRestoreInstanceState(savedState.getSuperState());
        setError(savedState.f8833f);
        if (savedState.f8834g) {
            this.f8796h0.post(new b());
        }
        setHint(savedState.f8835p);
        setHelperText(savedState.f8836x);
        setPlaceholderText(savedState.f8837y);
        requestLayout();
    }

    @Nullable
    public Parcelable onSaveInstanceState() {
        SavedState savedState = new SavedState(super.onSaveInstanceState());
        if (this.f8797i.l()) {
            savedState.f8833f = getError();
        }
        savedState.f8834g = L() && this.f8796h0.isChecked();
        savedState.f8835p = getHint();
        savedState.f8836x = getHelperText();
        savedState.f8837y = getPlaceholderText();
        return savedState;
    }

    public void p0(float f7, float f8, float f9, float f10) {
        j jVar = this.D;
        if (jVar == null || jVar.R() != f7 || this.D.S() != f8 || this.D.u() != f10 || this.D.t() != f9) {
            this.F = this.F.v().K(f7).P(f8).C(f10).x(f9).m();
            j();
        }
    }

    public void q0(@DimenRes int i7, @DimenRes int i8, @DimenRes int i9, @DimenRes int i10) {
        p0(getContext().getResources().getDimension(i7), getContext().getResources().getDimension(i8), getContext().getResources().getDimension(i10), getContext().getResources().getDimension(i9));
    }

    public void setBoxBackgroundColor(@ColorInt int i7) {
        if (this.O != i7) {
            this.O = i7;
            this.A0 = i7;
            this.C0 = i7;
            this.D0 = i7;
            j();
        }
    }

    public void setBoxBackgroundColorResource(@ColorRes int i7) {
        setBoxBackgroundColor(ContextCompat.getColor(getContext(), i7));
    }

    public void setBoxBackgroundColorStateList(@NonNull ColorStateList colorStateList) {
        int defaultColor = colorStateList.getDefaultColor();
        this.A0 = defaultColor;
        this.O = defaultColor;
        this.B0 = colorStateList.getColorForState(new int[]{-16842910}, -1);
        this.C0 = colorStateList.getColorForState(new int[]{16842908, 16842910}, -1);
        this.D0 = colorStateList.getColorForState(new int[]{16843623, 16842910}, -1);
        j();
    }

    public void setBoxBackgroundMode(int i7) {
        if (i7 != this.I) {
            this.I = i7;
            if (this.f8789e != null) {
                e0();
            }
        }
    }

    public void setBoxStrokeColor(@ColorInt int i7) {
        if (this.f8830y0 != i7) {
            this.f8830y0 = i7;
            W0();
        }
    }

    public void setBoxStrokeColorStateList(@NonNull ColorStateList colorStateList) {
        int defaultColor;
        if (colorStateList.isStateful()) {
            this.f8826w0 = colorStateList.getDefaultColor();
            this.E0 = colorStateList.getColorForState(new int[]{-16842910}, -1);
            this.f8828x0 = colorStateList.getColorForState(new int[]{16843623, 16842910}, -1);
            defaultColor = colorStateList.getColorForState(new int[]{16842908, 16842910}, -1);
        } else {
            if (this.f8830y0 != colorStateList.getDefaultColor()) {
                defaultColor = colorStateList.getDefaultColor();
            }
            W0();
        }
        this.f8830y0 = defaultColor;
        W0();
    }

    public void setBoxStrokeErrorColor(@Nullable ColorStateList colorStateList) {
        if (this.f8832z0 != colorStateList) {
            this.f8832z0 = colorStateList;
            W0();
        }
    }

    public void setBoxStrokeWidth(int i7) {
        this.L = i7;
        W0();
    }

    public void setBoxStrokeWidthFocused(int i7) {
        this.M = i7;
        W0();
    }

    public void setBoxStrokeWidthFocusedResource(@DimenRes int i7) {
        setBoxStrokeWidthFocused(getResources().getDimensionPixelSize(i7));
    }

    public void setBoxStrokeWidthResource(@DimenRes int i7) {
        setBoxStrokeWidth(getResources().getDimensionPixelSize(i7));
    }

    public void setCounterEnabled(boolean z7) {
        if (this.f8799j != z7) {
            if (z7) {
                AppCompatTextView appCompatTextView = new AppCompatTextView(getContext());
                this.f8805m = appCompatTextView;
                appCompatTextView.setId(a.h.f1437v5);
                Typeface typeface = this.S;
                if (typeface != null) {
                    this.f8805m.setTypeface(typeface);
                }
                this.f8805m.setMaxLines(1);
                this.f8797i.d(this.f8805m, 2);
                MarginLayoutParamsCompat.setMarginStart((ViewGroup.MarginLayoutParams) this.f8805m.getLayoutParams(), getResources().getDimensionPixelOffset(a.f.f1077j6));
                G0();
                D0();
            } else {
                this.f8797i.E(this.f8805m, 2);
                this.f8805m = null;
            }
            this.f8799j = z7;
        }
    }

    public void setCounterMaxLength(int i7) {
        if (this.f8801k != i7) {
            if (i7 <= 0) {
                i7 = -1;
            }
            this.f8801k = i7;
            if (this.f8799j) {
                D0();
            }
        }
    }

    public void setCounterOverflowTextAppearance(int i7) {
        if (this.f8807n != i7) {
            this.f8807n = i7;
            G0();
        }
    }

    public void setCounterOverflowTextColor(@Nullable ColorStateList colorStateList) {
        if (this.f8823v != colorStateList) {
            this.f8823v = colorStateList;
            G0();
        }
    }

    public void setCounterTextAppearance(int i7) {
        if (this.f8809o != i7) {
            this.f8809o = i7;
            G0();
        }
    }

    public void setCounterTextColor(@Nullable ColorStateList colorStateList) {
        if (this.f8821u != colorStateList) {
            this.f8821u = colorStateList;
            G0();
        }
    }

    public void setDefaultHintTextColor(@Nullable ColorStateList colorStateList) {
        this.f8822u0 = colorStateList;
        this.f8824v0 = colorStateList;
        if (this.f8789e != null) {
            M0(false);
        }
    }

    public void setEnabled(boolean z7) {
        h0(this, z7);
        super.setEnabled(z7);
    }

    public void setEndIconActivated(boolean z7) {
        this.f8796h0.setActivated(z7);
    }

    public void setEndIconCheckable(boolean z7) {
        this.f8796h0.setCheckable(z7);
    }

    public void setEndIconContentDescription(@StringRes int i7) {
        setEndIconContentDescription(i7 != 0 ? getResources().getText(i7) : null);
    }

    public void setEndIconDrawable(@DrawableRes int i7) {
        setEndIconDrawable(i7 != 0 ? AppCompatResources.getDrawable(getContext(), i7) : null);
    }

    public void setEndIconMode(int i7) {
        int i8 = this.f8792f0;
        this.f8792f0 = i7;
        F(i8);
        setEndIconVisible(i7 != 0);
        if (getEndIconDelegate().b(this.I)) {
            getEndIconDelegate().a();
            m();
            return;
        }
        throw new IllegalStateException("The current box background mode " + this.I + " is not supported by the end icon mode " + i7);
    }

    public void setEndIconOnClickListener(@Nullable View.OnClickListener onClickListener) {
        t0(this.f8796h0, onClickListener, this.f8814q0);
    }

    public void setEndIconOnLongClickListener(@Nullable View.OnLongClickListener onLongClickListener) {
        this.f8814q0 = onLongClickListener;
        u0(this.f8796h0, onLongClickListener);
    }

    public void setEndIconTintList(@Nullable ColorStateList colorStateList) {
        if (this.f8800j0 != colorStateList) {
            this.f8800j0 = colorStateList;
            this.f8802k0 = true;
            m();
        }
    }

    public void setEndIconTintMode(@Nullable PorterDuff.Mode mode) {
        if (this.f8804l0 != mode) {
            this.f8804l0 = mode;
            this.f8806m0 = true;
            m();
        }
    }

    public void setEndIconVisible(boolean z7) {
        if (P() != z7) {
            this.f8796h0.setVisibility(z7 ? 0 : 8);
            U0();
            I0();
        }
    }

    public void setError(@Nullable CharSequence charSequence) {
        if (!this.f8797i.C()) {
            if (!TextUtils.isEmpty(charSequence)) {
                setErrorEnabled(true);
            } else {
                return;
            }
        }
        boolean isEmpty = TextUtils.isEmpty(charSequence);
        f fVar = this.f8797i;
        if (!isEmpty) {
            fVar.R(charSequence);
        } else {
            fVar.x();
        }
    }

    public void setErrorContentDescription(@Nullable CharSequence charSequence) {
        this.f8797i.G(charSequence);
    }

    public void setErrorEnabled(boolean z7) {
        this.f8797i.H(z7);
    }

    public void setErrorIconDrawable(@DrawableRes int i7) {
        setErrorIconDrawable(i7 != 0 ? AppCompatResources.getDrawable(getContext(), i7) : null);
        j0();
    }

    public void setErrorIconOnClickListener(@Nullable View.OnClickListener onClickListener) {
        t0(this.f8818s0, onClickListener, this.f8816r0);
    }

    public void setErrorIconOnLongClickListener(@Nullable View.OnLongClickListener onLongClickListener) {
        this.f8816r0 = onLongClickListener;
        u0(this.f8818s0, onLongClickListener);
    }

    public void setErrorIconTintList(@Nullable ColorStateList colorStateList) {
        this.f8820t0 = colorStateList;
        Drawable drawable = this.f8818s0.getDrawable();
        if (drawable != null) {
            drawable = DrawableCompat.wrap(drawable).mutate();
            DrawableCompat.setTintList(drawable, colorStateList);
        }
        if (this.f8818s0.getDrawable() != drawable) {
            this.f8818s0.setImageDrawable(drawable);
        }
    }

    public void setErrorIconTintMode(@Nullable PorterDuff.Mode mode) {
        Drawable drawable = this.f8818s0.getDrawable();
        if (drawable != null) {
            drawable = DrawableCompat.wrap(drawable).mutate();
            DrawableCompat.setTintMode(drawable, mode);
        }
        if (this.f8818s0.getDrawable() != drawable) {
            this.f8818s0.setImageDrawable(drawable);
        }
    }

    public void setErrorTextAppearance(@StyleRes int i7) {
        this.f8797i.I(i7);
    }

    public void setErrorTextColor(@Nullable ColorStateList colorStateList) {
        this.f8797i.J(colorStateList);
    }

    public void setExpandedHintEnabled(boolean z7) {
        if (this.H0 != z7) {
            this.H0 = z7;
            M0(false);
        }
    }

    public void setHelperText(@Nullable CharSequence charSequence) {
        if (!TextUtils.isEmpty(charSequence)) {
            if (!U()) {
                setHelperTextEnabled(true);
            }
            this.f8797i.S(charSequence);
        } else if (U()) {
            setHelperTextEnabled(false);
        }
    }

    public void setHelperTextColor(@Nullable ColorStateList colorStateList) {
        this.f8797i.M(colorStateList);
    }

    public void setHelperTextEnabled(boolean z7) {
        this.f8797i.L(z7);
    }

    public void setHelperTextTextAppearance(@StyleRes int i7) {
        this.f8797i.K(i7);
    }

    public void setHint(@StringRes int i7) {
        setHint(i7 != 0 ? getResources().getText(i7) : null);
    }

    public void setHintAnimationEnabled(boolean z7) {
        this.I0 = z7;
    }

    public void setHintEnabled(boolean z7) {
        if (z7 != this.A) {
            this.A = z7;
            if (!z7) {
                this.C = false;
                if (!TextUtils.isEmpty(this.B) && TextUtils.isEmpty(this.f8789e.getHint())) {
                    this.f8789e.setHint(this.B);
                }
                setHintInternal(null);
            } else {
                CharSequence hint = this.f8789e.getHint();
                if (!TextUtils.isEmpty(hint)) {
                    if (TextUtils.isEmpty(this.B)) {
                        setHint(hint);
                    }
                    this.f8789e.setHint((CharSequence) null);
                }
                this.C = true;
            }
            if (this.f8789e != null) {
                L0();
            }
        }
    }

    public void setHintTextAppearance(@StyleRes int i7) {
        this.G0.Y(i7);
        this.f8824v0 = this.G0.p();
        if (this.f8789e != null) {
            M0(false);
            L0();
        }
    }

    public void setHintTextColor(@Nullable ColorStateList colorStateList) {
        if (this.f8824v0 != colorStateList) {
            if (this.f8822u0 == null) {
                this.G0.a0(colorStateList);
            }
            this.f8824v0 = colorStateList;
            if (this.f8789e != null) {
                M0(false);
            }
        }
    }

    public void setMaxWidth(@Px int i7) {
        this.f8795h = i7;
        EditText editText = this.f8789e;
        if (editText != null && i7 != -1) {
            editText.setMaxWidth(i7);
        }
    }

    public void setMaxWidthResource(@DimenRes int i7) {
        setMaxWidth(getContext().getResources().getDimensionPixelSize(i7));
    }

    public void setMinWidth(@Px int i7) {
        this.f8793g = i7;
        EditText editText = this.f8789e;
        if (editText != null && i7 != -1) {
            editText.setMinWidth(i7);
        }
    }

    public void setMinWidthResource(@DimenRes int i7) {
        setMinWidth(getContext().getResources().getDimensionPixelSize(i7));
    }

    @Deprecated
    public void setPasswordVisibilityToggleContentDescription(@StringRes int i7) {
        setPasswordVisibilityToggleContentDescription(i7 != 0 ? getResources().getText(i7) : null);
    }

    @Deprecated
    public void setPasswordVisibilityToggleDrawable(@DrawableRes int i7) {
        setPasswordVisibilityToggleDrawable(i7 != 0 ? AppCompatResources.getDrawable(getContext(), i7) : null);
    }

    @Deprecated
    public void setPasswordVisibilityToggleEnabled(boolean z7) {
        if (z7 && this.f8792f0 != 1) {
            setEndIconMode(1);
        } else if (!z7) {
            setEndIconMode(0);
        }
    }

    @Deprecated
    public void setPasswordVisibilityToggleTintList(@Nullable ColorStateList colorStateList) {
        this.f8800j0 = colorStateList;
        this.f8802k0 = true;
        m();
    }

    @Deprecated
    public void setPasswordVisibilityToggleTintMode(@Nullable PorterDuff.Mode mode) {
        this.f8804l0 = mode;
        this.f8806m0 = true;
        m();
    }

    public void setPlaceholderText(@Nullable CharSequence charSequence) {
        if (!this.f8813q || !TextUtils.isEmpty(charSequence)) {
            if (!this.f8813q) {
                setPlaceholderTextEnabled(true);
            }
            this.f8811p = charSequence;
        } else {
            setPlaceholderTextEnabled(false);
        }
        P0();
    }

    public void setPlaceholderTextAppearance(@StyleRes int i7) {
        this.f8819t = i7;
        TextView textView = this.f8815r;
        if (textView != null) {
            TextViewCompat.setTextAppearance(textView, i7);
        }
    }

    public void setPlaceholderTextColor(@Nullable ColorStateList colorStateList) {
        if (this.f8817s != colorStateList) {
            this.f8817s = colorStateList;
            TextView textView = this.f8815r;
            if (textView != null && colorStateList != null) {
                textView.setTextColor(colorStateList);
            }
        }
    }

    public void setPrefixText(@Nullable CharSequence charSequence) {
        this.f8825w = TextUtils.isEmpty(charSequence) ? null : charSequence;
        this.f8827x.setText(charSequence);
        S0();
    }

    public void setPrefixTextAppearance(@StyleRes int i7) {
        TextViewCompat.setTextAppearance(this.f8827x, i7);
    }

    public void setPrefixTextColor(@NonNull ColorStateList colorStateList) {
        this.f8827x.setTextColor(colorStateList);
    }

    public void setStartIconCheckable(boolean z7) {
        this.T.setCheckable(z7);
    }

    public void setStartIconContentDescription(@StringRes int i7) {
        setStartIconContentDescription(i7 != 0 ? getResources().getText(i7) : null);
    }

    public void setStartIconDrawable(@DrawableRes int i7) {
        setStartIconDrawable(i7 != 0 ? AppCompatResources.getDrawable(getContext(), i7) : null);
    }

    public void setStartIconOnClickListener(@Nullable View.OnClickListener onClickListener) {
        t0(this.T, onClickListener, this.f8788d0);
    }

    public void setStartIconOnLongClickListener(@Nullable View.OnLongClickListener onLongClickListener) {
        this.f8788d0 = onLongClickListener;
        u0(this.T, onLongClickListener);
    }

    public void setStartIconTintList(@Nullable ColorStateList colorStateList) {
        if (this.U != colorStateList) {
            this.U = colorStateList;
            this.V = true;
            o();
        }
    }

    public void setStartIconTintMode(@Nullable PorterDuff.Mode mode) {
        if (this.W != mode) {
            this.W = mode;
            this.f8782a0 = true;
            o();
        }
    }

    public void setStartIconVisible(boolean z7) {
        if (c0() != z7) {
            this.T.setVisibility(z7 ? 0 : 8);
            R0();
            I0();
        }
    }

    public void setSuffixText(@Nullable CharSequence charSequence) {
        this.f8829y = TextUtils.isEmpty(charSequence) ? null : charSequence;
        this.f8831z.setText(charSequence);
        V0();
    }

    public void setSuffixTextAppearance(@StyleRes int i7) {
        TextViewCompat.setTextAppearance(this.f8831z, i7);
    }

    public void setSuffixTextColor(@NonNull ColorStateList colorStateList) {
        this.f8831z.setTextColor(colorStateList);
    }

    public void setTextInputAccessibilityDelegate(@Nullable e eVar) {
        EditText editText = this.f8789e;
        if (editText != null) {
            ViewCompat.setAccessibilityDelegate(editText, eVar);
        }
    }

    public void setTypeface(@Nullable Typeface typeface) {
        if (typeface != this.S) {
            this.S = typeface;
            this.G0.B0(typeface);
            this.f8797i.O(typeface);
            TextView textView = this.f8805m;
            if (textView != null) {
                textView.setTypeface(typeface);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void v0(@NonNull TextView textView, @StyleRes int i7) {
        boolean z7 = true;
        try {
            TextViewCompat.setTextAppearance(textView, i7);
            if (textView.getTextColors().getDefaultColor() != -65281) {
                z7 = false;
            }
        } catch (Exception unused) {
        }
        if (z7) {
            TextViewCompat.setTextAppearance(textView, a.n.X4);
            textView.setTextColor(ContextCompat.getColor(getContext(), a.e.f982w0));
        }
    }

    public void y() {
        this.f8790e0.clear();
    }

    public void z() {
        this.f8798i0.clear();
    }

    public TextInputLayout(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, a.c.Fe);
    }

    public void setEndIconContentDescription(@Nullable CharSequence charSequence) {
        if (getEndIconContentDescription() != charSequence) {
            this.f8796h0.setContentDescription(charSequence);
        }
    }

    public void setEndIconDrawable(@Nullable Drawable drawable) {
        this.f8796h0.setImageDrawable(drawable);
        i0();
    }

    public void setErrorIconDrawable(@Nullable Drawable drawable) {
        this.f8818s0.setImageDrawable(drawable);
        setErrorIconVisible(drawable != null && this.f8797i.C());
    }

    public void setHint(@Nullable CharSequence charSequence) {
        if (this.A) {
            setHintInternal(charSequence);
            sendAccessibilityEvent(2048);
        }
    }

    @Deprecated
    public void setPasswordVisibilityToggleContentDescription(@Nullable CharSequence charSequence) {
        this.f8796h0.setContentDescription(charSequence);
    }

    @Deprecated
    public void setPasswordVisibilityToggleDrawable(@Nullable Drawable drawable) {
        this.f8796h0.setImageDrawable(drawable);
    }

    public void setStartIconContentDescription(@Nullable CharSequence charSequence) {
        if (getStartIconContentDescription() != charSequence) {
            this.T.setContentDescription(charSequence);
        }
    }

    public void setStartIconDrawable(@Nullable Drawable drawable) {
        this.T.setImageDrawable(drawable);
        if (drawable != null) {
            setStartIconVisible(true);
            l0();
            return;
        }
        setStartIconVisible(false);
        setStartIconOnClickListener(null);
        setStartIconOnLongClickListener(null);
        setStartIconContentDescription((CharSequence) null);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r1v16, resolved type: androidx.appcompat.widget.TintTypedArray */
    /* JADX DEBUG: Multi-variable search result rejected for r6v6, resolved type: android.view.LayoutInflater */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r3v19, types: [boolean, int] */
    /* JADX WARN: Type inference failed for: r3v60 */
    /* JADX WARN: Type inference failed for: r3v61 */
    /* JADX WARNING: Illegal instructions before constructor call */
    /* JADX WARNING: Unknown variable types count: 1 */
    public TextInputLayout(@NonNull Context context, @Nullable AttributeSet attributeSet, int i7) {
        super(l0.a.c(context, attributeSet, i7, r9), attributeSet, i7);
        ?? r32;
        int i8;
        int i9 = M0;
        this.f8793g = -1;
        this.f8795h = -1;
        this.f8797i = new f(this);
        this.P = new Rect();
        this.Q = new Rect();
        this.R = new RectF();
        this.f8790e0 = new LinkedHashSet<>();
        this.f8792f0 = 0;
        SparseArray<e> sparseArray = new SparseArray<>();
        this.f8794g0 = sparseArray;
        this.f8798i0 = new LinkedHashSet<>();
        com.google.android.material.internal.a aVar = new com.google.android.material.internal.a(this);
        this.G0 = aVar;
        Context context2 = getContext();
        setOrientation(1);
        setWillNotDraw(false);
        setAddStatesFromChildren(true);
        FrameLayout frameLayout = new FrameLayout(context2);
        this.f8781a = frameLayout;
        frameLayout.setAddStatesFromChildren(true);
        addView(frameLayout);
        LinearLayout linearLayout = new LinearLayout(context2);
        this.f8783b = linearLayout;
        linearLayout.setOrientation(0);
        linearLayout.setLayoutParams(new FrameLayout.LayoutParams(-2, -1, GravityCompat.START));
        frameLayout.addView(linearLayout);
        LinearLayout linearLayout2 = new LinearLayout(context2);
        this.f8785c = linearLayout2;
        linearLayout2.setOrientation(0);
        linearLayout2.setLayoutParams(new FrameLayout.LayoutParams(-2, -1, GravityCompat.END));
        frameLayout.addView(linearLayout2);
        FrameLayout frameLayout2 = new FrameLayout(context2);
        this.f8787d = frameLayout2;
        frameLayout2.setLayoutParams(new FrameLayout.LayoutParams(-2, -1));
        TimeInterpolator timeInterpolator = com.google.android.material.animation.a.f6954a;
        aVar.A0(timeInterpolator);
        aVar.x0(timeInterpolator);
        aVar.b0(BadgeDrawable.f7107r);
        TintTypedArray k7 = q.k(context2, attributeSet, a.o.Yq, i7, i9, a.o.tr, a.o.rr, a.o.Gr, a.o.Lr, a.o.Pr);
        this.A = k7.getBoolean(a.o.Or, true);
        setHint(k7.getText(a.o.dr));
        this.I0 = k7.getBoolean(a.o.Nr, true);
        this.H0 = k7.getBoolean(a.o.Ir, true);
        if (k7.hasValue(a.o.cr)) {
            setMinWidth(k7.getDimensionPixelSize(a.o.cr, -1));
        }
        if (k7.hasValue(a.o.br)) {
            setMaxWidth(k7.getDimensionPixelSize(a.o.br, -1));
        }
        this.F = o.e(context2, attributeSet, i7, i9).m();
        this.G = context2.getResources().getDimensionPixelOffset(a.f.f1053g6);
        this.J = k7.getDimensionPixelOffset(a.o.gr, 0);
        this.L = k7.getDimensionPixelSize(a.o.nr, context2.getResources().getDimensionPixelSize(a.f.f1061h6));
        this.M = k7.getDimensionPixelSize(a.o.or, context2.getResources().getDimensionPixelSize(a.f.f1069i6));
        this.K = this.L;
        float dimension = k7.getDimension(a.o.kr, -1.0f);
        float dimension2 = k7.getDimension(a.o.jr, -1.0f);
        float dimension3 = k7.getDimension(a.o.hr, -1.0f);
        float dimension4 = k7.getDimension(a.o.ir, -1.0f);
        o.b v7 = this.F.v();
        if (dimension >= 0.0f) {
            v7.K(dimension);
        }
        if (dimension2 >= 0.0f) {
            v7.P(dimension2);
        }
        if (dimension3 >= 0.0f) {
            v7.C(dimension3);
        }
        if (dimension4 >= 0.0f) {
            v7.x(dimension4);
        }
        this.F = v7.m();
        ColorStateList b7 = com.google.android.material.resources.c.b(context2, k7, a.o.er);
        if (b7 != null) {
            int defaultColor = b7.getDefaultColor();
            this.A0 = defaultColor;
            this.O = defaultColor;
            if (b7.isStateful()) {
                this.B0 = b7.getColorForState(new int[]{-16842910}, -1);
                this.C0 = b7.getColorForState(new int[]{16842908, 16842910}, -1);
                i8 = b7.getColorForState(new int[]{16843623, 16842910}, -1);
            } else {
                this.C0 = this.A0;
                ColorStateList colorStateList = AppCompatResources.getColorStateList(context2, a.e.V1);
                this.B0 = colorStateList.getColorForState(new int[]{-16842910}, -1);
                i8 = colorStateList.getColorForState(new int[]{16843623}, -1);
            }
            this.D0 = i8;
        } else {
            this.O = 0;
            this.A0 = 0;
            this.B0 = 0;
            this.C0 = 0;
            this.D0 = 0;
        }
        if (k7.hasValue(a.o.ar)) {
            ColorStateList colorStateList2 = k7.getColorStateList(a.o.ar);
            this.f8824v0 = colorStateList2;
            this.f8822u0 = colorStateList2;
        }
        ColorStateList b8 = com.google.android.material.resources.c.b(context2, k7, a.o.lr);
        this.f8830y0 = k7.getColor(a.o.lr, 0);
        this.f8826w0 = ContextCompat.getColor(context2, a.e.f968s2);
        this.E0 = ContextCompat.getColor(context2, a.e.f972t2);
        this.f8828x0 = ContextCompat.getColor(context2, a.e.f984w2);
        if (b8 != null) {
            setBoxStrokeColorStateList(b8);
        }
        if (k7.hasValue(a.o.mr)) {
            setBoxStrokeErrorColor(com.google.android.material.resources.c.b(context2, k7, a.o.mr));
        }
        if (k7.getResourceId(a.o.Pr, -1) != -1) {
            r32 = 0;
            setHintTextAppearance(k7.getResourceId(a.o.Pr, 0));
        } else {
            r32 = 0;
        }
        int i10 = a.o.Gr;
        int i11 = r32 == true ? 1 : 0;
        int i12 = r32 == true ? 1 : 0;
        int i13 = r32 == true ? 1 : 0;
        int resourceId = k7.getResourceId(i10, i11);
        CharSequence text = k7.getText(a.o.Br);
        boolean z7 = k7.getBoolean(a.o.Cr, r32);
        CheckableImageButton checkableImageButton = (CheckableImageButton) LayoutInflater.from(getContext()).inflate(a.k.Q, linearLayout2, (boolean) r32);
        this.f8818s0 = checkableImageButton;
        checkableImageButton.setId(a.h.f1423t5);
        checkableImageButton.setVisibility(8);
        if (com.google.android.material.resources.c.g(context2)) {
            MarginLayoutParamsCompat.setMarginStart((ViewGroup.MarginLayoutParams) checkableImageButton.getLayoutParams(), r32);
        }
        if (k7.hasValue(a.o.Dr)) {
            setErrorIconDrawable(k7.getDrawable(a.o.Dr));
        }
        if (k7.hasValue(a.o.Er)) {
            setErrorIconTintList(com.google.android.material.resources.c.b(context2, k7, a.o.Er));
        }
        if (k7.hasValue(a.o.Fr)) {
            setErrorIconTintMode(y.k(k7.getInt(a.o.Fr, -1), null));
        }
        checkableImageButton.setContentDescription(getResources().getText(a.m.J));
        ViewCompat.setImportantForAccessibility(checkableImageButton, 2);
        checkableImageButton.setClickable(false);
        checkableImageButton.setPressable(false);
        checkableImageButton.setFocusable(false);
        int resourceId2 = k7.getResourceId(a.o.Lr, 0);
        boolean z8 = k7.getBoolean(a.o.Kr, false);
        CharSequence text2 = k7.getText(a.o.Jr);
        int resourceId3 = k7.getResourceId(a.o.Xr, 0);
        CharSequence text3 = k7.getText(a.o.Wr);
        int resourceId4 = k7.getResourceId(a.o.as, 0);
        CharSequence text4 = k7.getText(a.o.Zr);
        int resourceId5 = k7.getResourceId(a.o.ks, 0);
        CharSequence text5 = k7.getText(a.o.js);
        boolean z9 = k7.getBoolean(a.o.pr, false);
        setCounterMaxLength(k7.getInt(a.o.qr, -1));
        this.f8809o = k7.getResourceId(a.o.tr, 0);
        this.f8807n = k7.getResourceId(a.o.rr, 0);
        CheckableImageButton checkableImageButton2 = (CheckableImageButton) LayoutInflater.from(getContext()).inflate(a.k.R, (ViewGroup) linearLayout, false);
        this.T = checkableImageButton2;
        checkableImageButton2.setVisibility(8);
        if (com.google.android.material.resources.c.g(context2)) {
            MarginLayoutParamsCompat.setMarginEnd((ViewGroup.MarginLayoutParams) checkableImageButton2.getLayoutParams(), 0);
        }
        setStartIconOnClickListener(null);
        setStartIconOnLongClickListener(null);
        if (k7.hasValue(a.o.gs)) {
            setStartIconDrawable(k7.getDrawable(a.o.gs));
            if (k7.hasValue(a.o.fs)) {
                setStartIconContentDescription(k7.getText(a.o.fs));
            }
            setStartIconCheckable(k7.getBoolean(a.o.es, true));
        }
        if (k7.hasValue(a.o.hs)) {
            setStartIconTintList(com.google.android.material.resources.c.b(context2, k7, a.o.hs));
        }
        if (k7.hasValue(a.o.is)) {
            setStartIconTintMode(y.k(k7.getInt(a.o.is, -1), null));
        }
        setBoxBackgroundMode(k7.getInt(a.o.fr, 0));
        CheckableImageButton checkableImageButton3 = (CheckableImageButton) LayoutInflater.from(getContext()).inflate(a.k.Q, (ViewGroup) frameLayout2, false);
        this.f8796h0 = checkableImageButton3;
        frameLayout2.addView(checkableImageButton3);
        checkableImageButton3.setVisibility(8);
        if (com.google.android.material.resources.c.g(context2)) {
            MarginLayoutParamsCompat.setMarginStart((ViewGroup.MarginLayoutParams) checkableImageButton3.getLayoutParams(), 0);
        }
        sparseArray.append(-1, new b(this));
        sparseArray.append(0, new h(this));
        sparseArray.append(1, new i(this));
        sparseArray.append(2, new a(this));
        sparseArray.append(3, new d(this));
        if (k7.hasValue(a.o.yr)) {
            setEndIconMode(k7.getInt(a.o.yr, 0));
            if (k7.hasValue(a.o.xr)) {
                setEndIconDrawable(k7.getDrawable(a.o.xr));
            }
            if (k7.hasValue(a.o.wr)) {
                setEndIconContentDescription(k7.getText(a.o.wr));
            }
            setEndIconCheckable(k7.getBoolean(a.o.vr, true));
        } else if (k7.hasValue(a.o.Tr)) {
            setEndIconMode(k7.getBoolean(a.o.Tr, false) ? 1 : 0);
            setEndIconDrawable(k7.getDrawable(a.o.Sr));
            setEndIconContentDescription(k7.getText(a.o.Rr));
            if (k7.hasValue(a.o.Ur)) {
                setEndIconTintList(com.google.android.material.resources.c.b(context2, k7, a.o.Ur));
            }
            if (k7.hasValue(a.o.Vr)) {
                setEndIconTintMode(y.k(k7.getInt(a.o.Vr, -1), null));
            }
        }
        if (!k7.hasValue(a.o.Tr)) {
            if (k7.hasValue(a.o.zr)) {
                setEndIconTintList(com.google.android.material.resources.c.b(context2, k7, a.o.zr));
            }
            if (k7.hasValue(a.o.Ar)) {
                setEndIconTintMode(y.k(k7.getInt(a.o.Ar, -1), null));
            }
        }
        AppCompatTextView appCompatTextView = new AppCompatTextView(context2);
        this.f8827x = appCompatTextView;
        appCompatTextView.setId(a.h.f1465z5);
        appCompatTextView.setLayoutParams(new FrameLayout.LayoutParams(-2, -2));
        ViewCompat.setAccessibilityLiveRegion(appCompatTextView, 1);
        linearLayout.addView(checkableImageButton2);
        linearLayout.addView(appCompatTextView);
        AppCompatTextView appCompatTextView2 = new AppCompatTextView(context2);
        this.f8831z = appCompatTextView2;
        appCompatTextView2.setId(a.h.A5);
        appCompatTextView2.setLayoutParams(new FrameLayout.LayoutParams(-2, -2, 80));
        ViewCompat.setAccessibilityLiveRegion(appCompatTextView2, 1);
        linearLayout2.addView(appCompatTextView2);
        linearLayout2.addView(checkableImageButton);
        linearLayout2.addView(frameLayout2);
        setHelperTextEnabled(z8);
        setHelperText(text2);
        setHelperTextTextAppearance(resourceId2);
        setErrorEnabled(z7);
        setErrorTextAppearance(resourceId);
        setErrorContentDescription(text);
        setCounterTextAppearance(this.f8809o);
        setCounterOverflowTextAppearance(this.f8807n);
        setPlaceholderText(text3);
        setPlaceholderTextAppearance(resourceId3);
        setPrefixText(text4);
        setPrefixTextAppearance(resourceId4);
        setSuffixText(text5);
        setSuffixTextAppearance(resourceId5);
        if (k7.hasValue(a.o.Hr)) {
            setErrorTextColor(k7.getColorStateList(a.o.Hr));
        }
        if (k7.hasValue(a.o.Mr)) {
            setHelperTextColor(k7.getColorStateList(a.o.Mr));
        }
        if (k7.hasValue(a.o.Qr)) {
            setHintTextColor(k7.getColorStateList(a.o.Qr));
        }
        if (k7.hasValue(a.o.ur)) {
            setCounterTextColor(k7.getColorStateList(a.o.ur));
        }
        if (k7.hasValue(a.o.sr)) {
            setCounterOverflowTextColor(k7.getColorStateList(a.o.sr));
        }
        if (k7.hasValue(a.o.Yr)) {
            setPlaceholderTextColor(k7.getColorStateList(a.o.Yr));
        }
        if (k7.hasValue(a.o.bs)) {
            setPrefixTextColor(k7.getColorStateList(a.o.bs));
        }
        if (k7.hasValue(a.o.ls)) {
            setSuffixTextColor(k7.getColorStateList(a.o.ls));
        }
        setCounterEnabled(z9);
        setEnabled(k7.getBoolean(a.o.Zq, true));
        k7.recycle();
        ViewCompat.setImportantForAccessibility(this, 2);
        ViewCompat.setImportantForAutofill(this, 1);
    }
}
