package com.google.android.material.textview;

import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.StyleableRes;
import androidx.appcompat.widget.AppCompatTextView;
import b0.a;
import com.google.android.material.resources.b;
import com.google.android.material.resources.c;

public class MaterialTextView extends AppCompatTextView {
    public MaterialTextView(@NonNull Context context) {
        this(context, null);
    }

    private void a(@NonNull Resources.Theme theme, int i7) {
        TypedArray obtainStyledAttributes = theme.obtainStyledAttributes(i7, a.o.tk);
        int d7 = d(getContext(), obtainStyledAttributes, a.o.vk, a.o.wk);
        obtainStyledAttributes.recycle();
        if (d7 >= 0) {
            setLineHeight(d7);
        }
    }

    private static boolean b(Context context) {
        return b.b(context, a.c.qe, true);
    }

    private static int c(@NonNull Resources.Theme theme, @Nullable AttributeSet attributeSet, int i7, int i8) {
        TypedArray obtainStyledAttributes = theme.obtainStyledAttributes(attributeSet, a.o.xk, i7, i8);
        int resourceId = obtainStyledAttributes.getResourceId(a.o.yk, -1);
        obtainStyledAttributes.recycle();
        return resourceId;
    }

    private static int d(@NonNull Context context, @NonNull TypedArray typedArray, @NonNull @StyleableRes int... iArr) {
        int i7 = -1;
        for (int i8 = 0; i8 < iArr.length && i7 < 0; i8++) {
            i7 = c.c(context, typedArray, iArr[i8], -1);
        }
        return i7;
    }

    private static boolean e(@NonNull Context context, @NonNull Resources.Theme theme, @Nullable AttributeSet attributeSet, int i7, int i8) {
        TypedArray obtainStyledAttributes = theme.obtainStyledAttributes(attributeSet, a.o.xk, i7, i8);
        int d7 = d(context, obtainStyledAttributes, a.o.zk, a.o.Ak);
        obtainStyledAttributes.recycle();
        return d7 != -1;
    }

    @Override // androidx.appcompat.widget.AppCompatTextView
    public void setTextAppearance(@NonNull Context context, int i7) {
        super.setTextAppearance(context, i7);
        if (b(context)) {
            a(context.getTheme(), i7);
        }
    }

    public MaterialTextView(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, 16842884);
    }

    public MaterialTextView(@NonNull Context context, @Nullable AttributeSet attributeSet, int i7) {
        this(context, attributeSet, i7, 0);
    }

    public MaterialTextView(@NonNull Context context, @Nullable AttributeSet attributeSet, int i7, int i8) {
        super(l0.a.c(context, attributeSet, i7, i8), attributeSet, i7);
        int c7;
        Context context2 = getContext();
        if (b(context2)) {
            Resources.Theme theme = context2.getTheme();
            if (!e(context2, theme, attributeSet, i7, i8) && (c7 = c(theme, attributeSet, i7, i8)) != -1) {
                a(theme, c7);
            }
        }
    }
}
