package com.google.cardboard.sdk;

import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.widget.Toast;
import androidx.appcompat.app.AppCompatActivity;
import com.google.cardboard.sdk.qrcode.CardboardParamsUtils;

public class HeadsetDetectionActivity extends AppCompatActivity {
    private static final String URI_HOST_LEGACY_CARDBOARD = "v1.0.0";
    private static final Uri URI_ORIGINAL_CARDBOARD_NFC = new Uri.Builder().scheme(URI_SCHEME_LEGACY_CARDBOARD).authority(URI_HOST_LEGACY_CARDBOARD).build();
    private static final String URI_SCHEME_LEGACY_CARDBOARD = "cardboard";

    private void processStartupIntent(Intent intent) {
        if ("android.nfc.action.NDEF_DISCOVERED".equals(intent.getAction()) && intent.getData() != null) {
            if (URI_ORIGINAL_CARDBOARD_NFC.equals(intent.getData())) {
                CardboardParamsUtils.saveCardboardV1DeviceParams(getApplicationContext());
            }
            Toast.makeText(this, R.string.viewer_detected, 0).show();
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.fragment.app.FragmentActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        if (getIntent() != null) {
            processStartupIntent(getIntent());
        }
        finish();
    }
}
