package com.google.cardboard.sdk.deviceparams;

import android.util.Log;
import androidx.annotation.Nullable;
import com.google.cardboard.proto.CardboardDevice;
import com.google.protobuf.s1;
import com.google.protobuf.u0;

public class DeviceParamsUtils {
    private static final String TAG = "DeviceParamsUtils";

    private DeviceParamsUtils() {
    }

    @Nullable
    public static CardboardDevice.DeviceParams parseCardboardDeviceParams(byte[] bArr) {
        try {
            return CardboardDevice.DeviceParams.parseFrom(bArr, u0.d());
        } catch (s1 e7) {
            String str = TAG;
            Log.w(str, "Parsing cardboard parameters from buffer failed: " + e7);
            return null;
        }
    }
}
