package com.google.cardboard.sdk.qrcode;

import java.io.BufferedInputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.InputStream;

public class InputStreamProvider {
    private static Provider provider = new BufferedProvider();

    private static class BufferedProvider implements Provider {
        @Override // com.google.cardboard.sdk.qrcode.InputStreamProvider.Provider
        public InputStream get(File file) throws FileNotFoundException {
            return new BufferedInputStream(new FileInputStream(file));
        }
    }

    public interface Provider {
        InputStream get(File file) throws FileNotFoundException;
    }

    private InputStreamProvider() {
    }

    public static InputStream get(File file) throws FileNotFoundException {
        return provider.get(file);
    }

    public static Provider getDefaultProvider() {
        return new BufferedProvider();
    }

    public static void setProvider(Provider provider2) {
        provider = provider2;
    }
}
