package com.google.cardboard.sdk.qrcode;

import java.io.BufferedOutputStream;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.OutputStream;

public class OutputStreamProvider {
    private static Provider provider = new BufferedProvider();

    private static class BufferedProvider implements Provider {
        @Override // com.google.cardboard.sdk.qrcode.OutputStreamProvider.Provider
        public OutputStream get(File file) throws FileNotFoundException {
            return new BufferedOutputStream(new FileOutputStream(file));
        }
    }

    public interface Provider {
        OutputStream get(File file) throws FileNotFoundException;
    }

    private OutputStreamProvider() {
    }

    public static OutputStream get(File file) throws FileNotFoundException {
        return provider.get(file);
    }

    public static Provider getDefaultProvider() {
        return new BufferedProvider();
    }

    public static void setProvider(Provider provider2) {
        provider = provider2;
    }
}
