package com.google.cardboard.sdk.qrcode;

import android.net.Uri;
import android.util.Log;
import androidx.annotation.Nullable;
import java.io.IOException;
import java.net.HttpURLConnection;
import java.net.MalformedURLException;
import java.net.URL;
import java.net.URLConnection;

public class UrlFactory {
    private static final String HTTPS_SCHEME = "https";
    public static final String TAG = "UrlFactory";

    @Nullable
    public HttpURLConnection openHttpsConnection(@Nullable Uri uri) throws IOException {
        try {
            URLConnection openConnection = new URL(uri.buildUpon().scheme(HTTPS_SCHEME).build().toString()).openConnection();
            if (openConnection instanceof HttpURLConnection) {
                return (HttpURLConnection) openConnection;
            }
            Log.w(TAG, "Expected HttpURLConnection");
            throw new IllegalArgumentException("Expected HttpURLConnection");
        } catch (MalformedURLException e7) {
            Log.w(TAG, e7.toString());
            return null;
        }
    }
}
