package com.google.cardboard.sdk.screenparams;

import android.content.Context;
import android.util.DisplayMetrics;

public abstract class ScreenParamsUtils {

    public static class ScreenPixelDensity {
        public final float xdpi;
        public final float ydpi;

        public ScreenPixelDensity(float f7, float f8) {
            this.xdpi = f7;
            this.ydpi = f8;
        }
    }

    private ScreenParamsUtils() {
    }

    public static ScreenPixelDensity getScreenPixelDensity(Context context) {
        DisplayMetrics displayMetrics = new DisplayMetrics();
        context.getDisplay().getMetrics(displayMetrics);
        return new ScreenPixelDensity(displayMetrics.xdpi, displayMetrics.ydpi);
    }
}
