package com.google.common.base;

import m0.a;
import m0.b;

@a
@b(emulated = true)
public final class Utf8 {
    private Utf8() {
    }

    public static int encodedLength(CharSequence charSequence) {
        int length = charSequence.length();
        int i7 = 0;
        while (i7 < length && charSequence.charAt(i7) < 128) {
            i7++;
        }
        int i8 = length;
        while (true) {
            if (i7 < length) {
                char charAt = charSequence.charAt(i7);
                if (charAt >= 2048) {
                    i8 += encodedLengthGeneral(charSequence, i7);
                    break;
                }
                i8 += (127 - charAt) >>> 31;
                i7++;
            } else {
                break;
            }
        }
        if (i8 >= length) {
            return i8;
        }
        throw new IllegalArgumentException("UTF-8 length does not fit in int: " + (((long) i8) + 4294967296L));
    }

    private static int encodedLengthGeneral(CharSequence charSequence, int i7) {
        int length = charSequence.length();
        int i8 = 0;
        while (i7 < length) {
            char charAt = charSequence.charAt(i7);
            if (charAt < 2048) {
                i8 += (127 - charAt) >>> 31;
            } else {
                i8 += 2;
                if (55296 <= charAt && charAt <= 57343) {
                    if (Character.codePointAt(charSequence, i7) != charAt) {
                        i7++;
                    } else {
                        throw new IllegalArgumentException(unpairedSurrogateMsg(i7));
                    }
                }
            }
            i7++;
        }
        return i8;
    }

    public static boolean isWellFormed(byte[] bArr) {
        return isWellFormed(bArr, 0, bArr.length);
    }

    private static boolean isWellFormedSlowPath(byte[] bArr, int i7, int i8) {
        byte b7;
        while (i7 < i8) {
            int i9 = i7 + 1;
            byte b8 = bArr[i7];
            if (b8 < 0) {
                if (b8 < -32) {
                    if (i9 != i8 && b8 >= -62) {
                        i7 = i9 + 1;
                        if (bArr[i9] > -65) {
                        }
                    }
                    return false;
                } else if (b8 < -16) {
                    int i10 = i9 + 1;
                    if (i10 < i8 && (b7 = bArr[i9]) <= -65 && ((b8 != -32 || b7 >= -96) && (b8 != -19 || -96 > b7))) {
                        i7 = i10 + 1;
                        if (bArr[i10] > -65) {
                        }
                    }
                    return false;
                } else if (i9 + 2 >= i8) {
                    return false;
                } else {
                    int i11 = i9 + 1;
                    byte b9 = bArr[i9];
                    if (b9 <= -65 && (((b8 << Ascii.FS) + (b9 + 112)) >> 30) == 0) {
                        int i12 = i11 + 1;
                        if (bArr[i11] <= -65) {
                            i9 = i12 + 1;
                            if (bArr[i12] > -65) {
                            }
                        }
                    }
                    return false;
                }
            }
            i7 = i9;
        }
        return true;
    }

    private static String unpairedSurrogateMsg(int i7) {
        return "Unpaired surrogate at index " + i7;
    }

    public static boolean isWellFormed(byte[] bArr, int i7, int i8) {
        int i9 = i8 + i7;
        Preconditions.checkPositionIndexes(i7, i9, bArr.length);
        while (i7 < i9) {
            if (bArr[i7] < 0) {
                return isWellFormedSlowPath(bArr, i7, i9);
            }
            i7++;
        }
        return true;
    }
}
