package com.google.common.base;

import m0.b;
import p0.a;

@b
public final class Verify {
    private Verify() {
    }

    public static void verify(boolean z7) {
        if (!z7) {
            throw new VerifyException();
        }
    }

    @a
    public static <T> T verifyNotNull(T t7) {
        return (T) verifyNotNull(t7, "expected a non-null reference", new Object[0]);
    }

    public static void verify(boolean z7, String str, char c7) {
        if (!z7) {
            throw new VerifyException(Strings.lenientFormat(str, Character.valueOf(c7)));
        }
    }

    @a
    public static <T> T verifyNotNull(T t7, String str, Object... objArr) {
        verify(t7 != null, str, objArr);
        return t7;
    }

    public static void verify(boolean z7, String str, char c7, char c8) {
        if (!z7) {
            throw new VerifyException(Strings.lenientFormat(str, Character.valueOf(c7), Character.valueOf(c8)));
        }
    }

    public static void verify(boolean z7, String str, char c7, int i7) {
        if (!z7) {
            throw new VerifyException(Strings.lenientFormat(str, Character.valueOf(c7), Integer.valueOf(i7)));
        }
    }

    public static void verify(boolean z7, String str, char c7, long j7) {
        if (!z7) {
            throw new VerifyException(Strings.lenientFormat(str, Character.valueOf(c7), Long.valueOf(j7)));
        }
    }

    public static void verify(boolean z7, String str, char c7, Object obj) {
        if (!z7) {
            throw new VerifyException(Strings.lenientFormat(str, Character.valueOf(c7), obj));
        }
    }

    public static void verify(boolean z7, String str, int i7) {
        if (!z7) {
            throw new VerifyException(Strings.lenientFormat(str, Integer.valueOf(i7)));
        }
    }

    public static void verify(boolean z7, String str, int i7, char c7) {
        if (!z7) {
            throw new VerifyException(Strings.lenientFormat(str, Integer.valueOf(i7), Character.valueOf(c7)));
        }
    }

    public static void verify(boolean z7, String str, int i7, int i8) {
        if (!z7) {
            throw new VerifyException(Strings.lenientFormat(str, Integer.valueOf(i7), Integer.valueOf(i8)));
        }
    }

    public static void verify(boolean z7, String str, int i7, long j7) {
        if (!z7) {
            throw new VerifyException(Strings.lenientFormat(str, Integer.valueOf(i7), Long.valueOf(j7)));
        }
    }

    public static void verify(boolean z7, String str, int i7, Object obj) {
        if (!z7) {
            throw new VerifyException(Strings.lenientFormat(str, Integer.valueOf(i7), obj));
        }
    }

    public static void verify(boolean z7, String str, long j7) {
        if (!z7) {
            throw new VerifyException(Strings.lenientFormat(str, Long.valueOf(j7)));
        }
    }

    public static void verify(boolean z7, String str, long j7, char c7) {
        if (!z7) {
            throw new VerifyException(Strings.lenientFormat(str, Long.valueOf(j7), Character.valueOf(c7)));
        }
    }

    public static void verify(boolean z7, String str, long j7, int i7) {
        if (!z7) {
            throw new VerifyException(Strings.lenientFormat(str, Long.valueOf(j7), Integer.valueOf(i7)));
        }
    }

    public static void verify(boolean z7, String str, long j7, long j8) {
        if (!z7) {
            throw new VerifyException(Strings.lenientFormat(str, Long.valueOf(j7), Long.valueOf(j8)));
        }
    }

    public static void verify(boolean z7, String str, long j7, Object obj) {
        if (!z7) {
            throw new VerifyException(Strings.lenientFormat(str, Long.valueOf(j7), obj));
        }
    }

    public static void verify(boolean z7, String str, Object obj) {
        if (!z7) {
            throw new VerifyException(Strings.lenientFormat(str, obj));
        }
    }

    public static void verify(boolean z7, String str, Object obj, char c7) {
        if (!z7) {
            throw new VerifyException(Strings.lenientFormat(str, obj, Character.valueOf(c7)));
        }
    }

    public static void verify(boolean z7, String str, Object obj, int i7) {
        if (!z7) {
            throw new VerifyException(Strings.lenientFormat(str, obj, Integer.valueOf(i7)));
        }
    }

    public static void verify(boolean z7, String str, Object obj, long j7) {
        if (!z7) {
            throw new VerifyException(Strings.lenientFormat(str, obj, Long.valueOf(j7)));
        }
    }

    public static void verify(boolean z7, String str, Object obj, Object obj2) {
        if (!z7) {
            throw new VerifyException(Strings.lenientFormat(str, obj, obj2));
        }
    }

    public static void verify(boolean z7, String str, Object obj, Object obj2, Object obj3) {
        if (!z7) {
            throw new VerifyException(Strings.lenientFormat(str, obj, obj2, obj3));
        }
    }

    public static void verify(boolean z7, String str, Object obj, Object obj2, Object obj3, Object obj4) {
        if (!z7) {
            throw new VerifyException(Strings.lenientFormat(str, obj, obj2, obj3, obj4));
        }
    }

    public static void verify(boolean z7, String str, Object... objArr) {
        if (!z7) {
            throw new VerifyException(Strings.lenientFormat(str, objArr));
        }
    }
}
