package com.google.common.collect;

import com.google.common.base.Function;
import com.google.common.base.Preconditions;
import java.util.Comparator;
import java.util.List;
import java.util.RandomAccess;

@m0.a
@m0.b
final class xc {

    /* access modifiers changed from: package-private */
    public enum b {
        NEXT_LOWER {
            /* access modifiers changed from: package-private */
            @Override // com.google.common.collect.xc.b
            public int a(int i7) {
                return i7 - 1;
            }
        },
        NEXT_HIGHER {
            @Override // com.google.common.collect.xc.b
            public int a(int i7) {
                return i7;
            }
        },
        INVERTED_INSERTION_INDEX {
            @Override // com.google.common.collect.xc.b
            public int a(int i7) {
                return ~i7;
            }
        };

        /* access modifiers changed from: package-private */
        public abstract int a(int i7);
    }

    /* access modifiers changed from: package-private */
    public enum c {
        ANY_PRESENT {
            /* access modifiers changed from: package-private */
            @Override // com.google.common.collect.xc.c
            public <E> int a(Comparator<? super E> comparator, E e7, List<? extends E> list, int i7) {
                return i7;
            }
        },
        LAST_PRESENT {
            /* access modifiers changed from: package-private */
            @Override // com.google.common.collect.xc.c
            public <E> int a(Comparator<? super E> comparator, E e7, List<? extends E> list, int i7) {
                int size = list.size() - 1;
                while (i7 < size) {
                    int i8 = ((i7 + size) + 1) >>> 1;
                    if (comparator.compare((Object) list.get(i8), e7) > 0) {
                        size = i8 - 1;
                    } else {
                        i7 = i8;
                    }
                }
                return i7;
            }
        },
        FIRST_PRESENT {
            /* access modifiers changed from: package-private */
            @Override // com.google.common.collect.xc.c
            public <E> int a(Comparator<? super E> comparator, E e7, List<? extends E> list, int i7) {
                int i8 = 0;
                while (i8 < i7) {
                    int i9 = (i8 + i7) >>> 1;
                    if (comparator.compare((Object) list.get(i9), e7) < 0) {
                        i8 = i9 + 1;
                    } else {
                        i7 = i9;
                    }
                }
                return i8;
            }
        },
        FIRST_AFTER {
            @Override // com.google.common.collect.xc.c
            public <E> int a(Comparator<? super E> comparator, E e7, List<? extends E> list, int i7) {
                return c.LAST_PRESENT.a(comparator, e7, list, i7) + 1;
            }
        },
        LAST_BEFORE {
            @Override // com.google.common.collect.xc.c
            public <E> int a(Comparator<? super E> comparator, E e7, List<? extends E> list, int i7) {
                return c.FIRST_PRESENT.a(comparator, e7, list, i7) - 1;
            }
        };

        /* access modifiers changed from: package-private */
        public abstract <E> int a(Comparator<? super E> comparator, E e7, List<? extends E> list, int i7);
    }

    private xc() {
    }

    public static <E, K extends Comparable> int a(List<E> list, Function<? super E, K> function, K k7, c cVar, b bVar) {
        return b(list, function, k7, kb.B(), cVar, bVar);
    }

    public static <E, K> int b(List<E> list, Function<? super E, K> function, K k7, Comparator<? super K> comparator, c cVar, b bVar) {
        return d(i9.D(list, function), k7, comparator, cVar, bVar);
    }

    public static <E extends Comparable> int c(List<? extends E> list, E e7, c cVar, b bVar) {
        Preconditions.checkNotNull(e7);
        return d(list, e7, kb.B(), cVar, bVar);
    }

    public static <E> int d(List<? extends E> list, E e7, Comparator<? super E> comparator, c cVar, b bVar) {
        Preconditions.checkNotNull(comparator);
        Preconditions.checkNotNull(list);
        Preconditions.checkNotNull(cVar);
        Preconditions.checkNotNull(bVar);
        if (!(list instanceof RandomAccess)) {
            list = i9.r(list);
        }
        int size = list.size() - 1;
        int i7 = 0;
        while (i7 <= size) {
            int i8 = (i7 + size) >>> 1;
            int compare = comparator.compare(e7, (Object) list.get(i8));
            if (compare < 0) {
                size = i8 - 1;
            } else if (compare <= 0) {
                return i7 + cVar.a(comparator, e7, list.subList(i7, size + 1), i8 - i7);
            } else {
                i7 = i8 + 1;
            }
        }
        return bVar.a(i7);
    }
}
