package com.google.common.io;

import com.google.common.base.Preconditions;
import com.google.common.primitives.l;
import com.google.common.primitives.m;
import java.io.DataInput;
import java.io.DataInputStream;
import java.io.EOFException;
import java.io.FilterInputStream;
import java.io.IOException;
import java.io.InputStream;
import m0.a;
import m0.c;

@a
@c
public final class z extends FilterInputStream implements DataInput {
    public z(InputStream inputStream) {
        super((InputStream) Preconditions.checkNotNull(inputStream));
    }

    private byte a() throws IOException, EOFException {
        int read = ((FilterInputStream) this).in.read();
        if (-1 != read) {
            return (byte) read;
        }
        throw new EOFException();
    }

    @Override // java.io.DataInput
    @p0.a
    public boolean readBoolean() throws IOException {
        return readUnsignedByte() != 0;
    }

    @Override // java.io.DataInput
    @p0.a
    public byte readByte() throws IOException {
        return (byte) readUnsignedByte();
    }

    @Override // java.io.DataInput
    @p0.a
    public char readChar() throws IOException {
        return (char) readUnsignedShort();
    }

    @Override // java.io.DataInput
    @p0.a
    public double readDouble() throws IOException {
        return Double.longBitsToDouble(readLong());
    }

    @Override // java.io.DataInput
    @p0.a
    public float readFloat() throws IOException {
        return Float.intBitsToFloat(readInt());
    }

    @Override // java.io.DataInput
    public void readFully(byte[] bArr) throws IOException {
        h.p(this, bArr);
    }

    @Override // java.io.DataInput
    @p0.a
    public int readInt() throws IOException {
        byte a8 = a();
        byte a9 = a();
        return l.k(a(), a(), a9, a8);
    }

    @Override // java.io.DataInput
    @p0.a
    public String readLine() {
        throw new UnsupportedOperationException("readLine is not supported");
    }

    @Override // java.io.DataInput
    @p0.a
    public long readLong() throws IOException {
        byte a8 = a();
        byte a9 = a();
        byte a10 = a();
        byte a11 = a();
        byte a12 = a();
        byte a13 = a();
        return m.j(a(), a(), a13, a12, a11, a10, a9, a8);
    }

    @Override // java.io.DataInput
    @p0.a
    public short readShort() throws IOException {
        return (short) readUnsignedShort();
    }

    @Override // java.io.DataInput
    @p0.a
    public String readUTF() throws IOException {
        return new DataInputStream(((FilterInputStream) this).in).readUTF();
    }

    @Override // java.io.DataInput
    @p0.a
    public int readUnsignedByte() throws IOException {
        int read = ((FilterInputStream) this).in.read();
        if (read >= 0) {
            return read;
        }
        throw new EOFException();
    }

    @Override // java.io.DataInput
    @p0.a
    public int readUnsignedShort() throws IOException {
        return l.k((byte) 0, (byte) 0, a(), a());
    }

    @Override // java.io.DataInput
    public int skipBytes(int i7) throws IOException {
        return (int) ((FilterInputStream) this).in.skip((long) i7);
    }

    @Override // java.io.DataInput
    public void readFully(byte[] bArr, int i7, int i8) throws IOException {
        h.q(this, bArr, i7, i8);
    }
}
