package com.graphisoft.bimx.common;

import android.content.Context;
import android.os.Build;
import android.util.Log;
import java.util.Locale;

public class AndroidDevice {
    public static String getBundleID(Context context) {
        Log.d("*Firebase : ", context.getPackageName());
        return context.getPackageName();
    }

    public static String getDeviceName() {
        return Build.FINGERPRINT;
    }

    public static String getLanguageCode() {
        try {
            Log.d("*Firebase : ", Locale.getDefault().toString().replace('_', '-'));
            return Locale.getDefault().toString().replace('_', '-');
        } catch (Throwable th) {
            th.printStackTrace();
            return "";
        }
    }

    public static String getSystemName() {
        return "Android";
    }

    public static String getSystemVersion() {
        return Build.VERSION.RELEASE;
    }

    public static String getVendorID(Context context) {
        StringBuilder sb = new StringBuilder();
        sb.append(context.getPackageName());
        sb.append("_");
        String str = Build.FINGERPRINT;
        sb.append(str);
        Log.d("*Firebase : ", sb.toString());
        return context.getPackageName() + "_" + str;
    }
}
