package com.graphisoft.bimx.common;

import android.util.Log;
import com.flurry.android.c;
import com.flurry.android.d;
import com.graphisoft.bimx.platformconnector.ApplicationContextProvider;
import com.graphisoft.bimxlab.BuildConfig;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.HashMap;
import java.util.Map;
import java.util.TimeZone;

public class CMNNetLoggerImpl {
    private static SimpleDateFormat SDF = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss.SSS");
    private static final String TAG = "NetLogger";
    private static final String TIMESTAMP_KEY = "TS";
    private static final boolean USE_FLURRY;

    static {
        boolean z7;
        try {
            z7 = BuildConfig.class.getField("ENABLE_NETLOGGING").getBoolean(BuildConfig.class);
        } catch (ClassNotFoundException | IllegalAccessException | NoSuchFieldException unused) {
            z7 = false;
        }
        USE_FLURRY = z7;
    }

    public static void AppLaunchedWithOptions(final boolean z7, String str, Map<String, String> map) {
        if (USE_FLURRY) {
            new c.a().i(true).b(true).e(true).j(2).h(new d() {
                /* class com.graphisoft.bimx.common.CMNNetLoggerImpl.AnonymousClass1 */

                @Override // com.flurry.android.d
                public void onSessionStarted() {
                    if (z7) {
                        CMNNetLoggerImpl.NetLogWithName("BIMxFirstStart", new HashMap());
                    }
                }
            }).a(ApplicationContextProvider.appContext, "X9GDSG5DVB8YQ6RDGBH9");
            if (str != null && !str.isEmpty()) {
                c.T(str);
            }
        }
    }

    private static String GetTimeStamp() {
        Calendar instance = Calendar.getInstance();
        instance.setTimeZone(TimeZone.getTimeZone("UTC"));
        return SDF.format(instance.getTime());
    }

    public static void NetLogWithName(String str, Map<String, String> map) {
        map.put(TIMESTAMP_KEY, GetTimeStamp());
        if (USE_FLURRY) {
            c.u(str, map, false);
        }
        Log.d("NetLogger", str + " " + map.toString());
    }
}
