package com.graphisoft.bimx.connector;

import android.graphics.Bitmap;
import android.graphics.BitmapFactory;

public class ImageUtility {
    private static int calculateInSampleSize(BitmapFactory.Options options, int i7, int i8) {
        int i9 = options.outHeight;
        int i10 = 1;
        if (i9 > i8 || options.outWidth > i7) {
            int i11 = i9 / 2;
            int i12 = options.outWidth / 2;
            while (i11 / i10 >= i8 && i12 / i10 >= i7) {
                i10 *= 2;
            }
        }
        return i10;
    }

    public static Bitmap createReducedSizeBitmap(byte[] bArr, int i7, int i8) {
        BitmapFactory.Options options = new BitmapFactory.Options();
        options.inJustDecodeBounds = true;
        BitmapFactory.decodeByteArray(bArr, 0, bArr.length, options);
        options.inSampleSize = calculateInSampleSize(options, i7, i8);
        options.inJustDecodeBounds = false;
        return BitmapFactory.decodeByteArray(bArr, 0, bArr.length, options);
    }
}
