package com.graphisoft.bimx.connector.handles;

import com.google.common.base.FinalizablePhantomReference;
import com.google.common.base.FinalizableReferenceQueue;
import java.lang.ref.Reference;
import java.util.Collections;
import java.util.HashSet;
import java.util.Set;

public class CppObjectHandleLifetimeManager {
    private static final FinalizableReferenceQueue frq = new FinalizableReferenceQueue();
    private static final Set<Reference<?>> references = Collections.synchronizedSet(new HashSet());

    static void register(CppObjectHandle cppObjectHandle) {
        final long id = cppObjectHandle.getID();
        references.add(new FinalizablePhantomReference<CppObjectHandle>(cppObjectHandle, frq) {
            /* class com.graphisoft.bimx.connector.handles.CppObjectHandleLifetimeManager.AnonymousClass1 */

            @Override // com.google.common.base.FinalizableReference
            public void finalizeReferent() {
                CppObjectHandle.dealloc(id);
                CppObjectHandleLifetimeManager.references.remove(this);
            }
        });
    }
}
