package com.graphisoft.bimx.ghosting;

import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Canvas;
import android.graphics.Matrix;
import java.nio.ByteBuffer;

public class GhostingPNGParser {
    public static GhostingPNGParserResult parsePNG(byte[] bArr) {
        Bitmap decodeByteArray = BitmapFactory.decodeByteArray(bArr, 0, bArr.length);
        int pow = (int) Math.pow(2.0d, (double) (32 - Integer.numberOfLeadingZeros(decodeByteArray.getWidth() - 1)));
        int pow2 = (int) Math.pow(2.0d, (double) (32 - Integer.numberOfLeadingZeros(decodeByteArray.getHeight() - 1)));
        Matrix matrix = new Matrix();
        matrix.postScale(1.0f, -1.0f, ((float) decodeByteArray.getWidth()) / 2.0f, ((float) decodeByteArray.getHeight()) / 2.0f);
        matrix.postTranslate(0.0f, (float) (pow2 - decodeByteArray.getHeight()));
        Bitmap createBitmap = Bitmap.createBitmap(pow, pow2, Bitmap.Config.ARGB_8888);
        Canvas canvas = new Canvas(createBitmap);
        canvas.drawARGB(255, 255, 255, 255);
        canvas.drawBitmap(decodeByteArray, matrix, null);
        decodeByteArray.recycle();
        ByteBuffer allocate = ByteBuffer.allocate(createBitmap.getByteCount());
        createBitmap.copyPixelsToBuffer(allocate);
        createBitmap.recycle();
        GhostingPNGParserResult ghostingPNGParserResult = new GhostingPNGParserResult();
        ghostingPNGParserResult.data = allocate.array();
        ghostingPNGParserResult.width = decodeByteArray.getWidth();
        ghostingPNGParserResult.height = decodeByteArray.getHeight();
        ghostingPNGParserResult.pow2width = pow;
        ghostingPNGParserResult.pow2height = pow2;
        return ghostingPNGParserResult;
    }
}
