package com.graphisoft.bimxlab;

import android.content.Context;
import android.content.Intent;
import android.content.UriPermission;
import android.content.res.Configuration;
import android.content.res.Resources;
import android.graphics.Bitmap;
import android.net.Uri;
import android.os.Bundle;
import android.provider.DocumentsContract;
import android.util.Log;
import android.view.WindowInsets;
import android.view.WindowInsetsController;
import android.widget.Toast;
import androidx.activity.OnBackPressedCallback;
import androidx.appcompat.app.AppCompatActivity;
import androidx.appcompat.app.AppCompatDelegate;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.core.app.ActivityCompat;
import androidx.core.content.ContextCompat;
import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentManager;
import androidx.lifecycle.Lifecycle;
import androidx.lifecycle.ViewModelProvider;
import androidx.navigation.NavController;
import androidx.navigation.fragment.NavHostFragment;
import com.google.cardboard.sdk.R;
import com.google.firebase.messaging.FirebaseMessaging;
import com.google.firebase.messaging.c;
import com.graphisoft.bimx.connector.ExtensionsConnector;
import com.graphisoft.bimx.connector.NetLoggerConnector;
import com.graphisoft.bimx.connector.OpenUrlConnector;
import com.graphisoft.bimx.connector.PubItem3dRoadshowEngineConnector;
import com.graphisoft.bimx.connector.PushNotificationConnector;
import com.graphisoft.bimx.connector.TestConfig;
import com.graphisoft.bimx.connector.data.MessageComposerUser;
import com.graphisoft.bimx.connector.dataaddresses.DataAddress;
import com.graphisoft.bimx.connector.dataaddresses.HyperModelDataAddress;
import com.graphisoft.bimx.connector.enums.OpenUrlNavigationErrorType;
import com.graphisoft.bimx.connector.handles.ExtensionManagerHandle;
import com.graphisoft.bimx.connector.handles.LicenseHandle;
import com.graphisoft.bimx.connector.handles.PushNotificationClientHandle;
import com.graphisoft.bimx.connector.handles.SessionListHandle;
import com.graphisoft.bimx.connector.handles.Stored3DState;
import com.graphisoft.bimx.connector.handles.UserPreferencesStorageHandle;
import com.graphisoft.bimxlab.VR.fragment.QrCodeCaptureFragment;
import com.graphisoft.bimxlab.VR.fragment.VRFragment;
import com.graphisoft.bimxlab.base.ExtensionsKt;
import com.graphisoft.bimxlab.base.view.LoadingView;
import com.graphisoft.bimxlab.notification.BIMxFirebaseMessagingService;
import com.graphisoft.bimxlab.s;
import com.graphisoft.bimxlab.utils.manager.v;
import j1.d4;
import j1.h1;
import j1.j1;
import j1.n2;
import j1.o4;
import j1.p4;
import j1.q4;
import j1.r0;
import j1.r4;
import j1.u4;
import j1.v4;
import j1.w0;
import j1.w4;
import j1.x4;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collection;
import java.util.Iterator;
import java.util.List;
import java.util.Locale;
import java.util.UUID;
import kotlin.collections.g0;
import kotlin.collections.y;
import kotlin.coroutines.jvm.internal.o;
import kotlin.e1;
import kotlin.i0;
import kotlin.jvm.internal.l0;
import kotlin.jvm.internal.l1;
import kotlin.jvm.internal.n0;
import kotlin.jvm.internal.w;
import kotlin.l2;
import kotlin.text.b0;
import kotlinx.coroutines.l;
import kotlinx.coroutines.m2;
import kotlinx.coroutines.t0;
import org.greenrobot.eventbus.EventBus;
import org.greenrobot.eventbus.Subscribe;
import r4.p;

@i0(d1 = {"\u0000¼\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0004\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u000e\n\u0002\b\u0005\n\u0002\u0010\u000b\n\u0002\b\u0004\n\u0002\u0010\b\n\u0000\n\u0002\u0010\u0011\n\u0000\n\u0002\u0010\u0015\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\t\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0007\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0004\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0007\n\u0002\u0018\u0002\n\u0002\b\r\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\t\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\f\n\u0002\u0018\u0002\n\u0002\b\t\u0018\u0000 ¸\u00012\u00020\u0001:\u0001aB\t¢\u0006\u0006\b¶\u0001\u0010·\u0001J\u0014\u0010\u0004\u001a\u0004\u0018\u00010\u00022\b\u0010\u0003\u001a\u0004\u0018\u00010\u0002H\u0002J\b\u0010\u0006\u001a\u00020\u0005H\u0002J\u0010\u0010\t\u001a\u00020\u00052\u0006\u0010\b\u001a\u00020\u0007H\u0002J\u0016\u0010\f\u001a\u00020\u00052\f\u0010\u000b\u001a\b\u0012\u0004\u0012\u00020\u00050\nH\u0002J\b\u0010\u000e\u001a\u00020\rH\u0002J\b\u0010\u000f\u001a\u00020\u0005H\u0002J\b\u0010\u0010\u001a\u00020\u0005H\u0002J\u0010\u0010\u0013\u001a\u00020\u00052\u0006\u0010\u0012\u001a\u00020\u0011H\u0002J\b\u0010\u0014\u001a\u00020\u0005H\u0002J\b\u0010\u0015\u001a\u00020\u0005H\u0002J\u0018\u0010\u001a\u001a\u00020\u00052\u0006\u0010\u0017\u001a\u00020\u00162\b\u0010\u0019\u001a\u0004\u0018\u00010\u0018J\b\u0010\u001b\u001a\u00020\u0005H\u0014J\b\u0010\u001c\u001a\u00020\u0005H\u0014J\b\u0010\u001d\u001a\u00020\u0005H\u0014J\u0010\u0010 \u001a\u00020\u00052\u0006\u0010\u001f\u001a\u00020\u001eH\u0016J\u0012\u0010\"\u001a\u00020\u00052\b\u0010!\u001a\u0004\u0018\u00010\u0002H\u0014J/\u0010)\u001a\u00020\u00052\u0006\u0010$\u001a\u00020#2\u000e\u0010&\u001a\n\u0012\u0006\b\u0001\u0012\u00020\u00180%2\u0006\u0010(\u001a\u00020'H\u0016¢\u0006\u0004\b)\u0010*J\u0012\u0010-\u001a\u00020\u00052\b\u0010,\u001a\u0004\u0018\u00010+H\u0014J\"\u00100\u001a\u00020\u00052\u0006\u0010$\u001a\u00020#2\u0006\u0010.\u001a\u00020#2\b\u0010/\u001a\u0004\u0018\u00010\u0007H\u0014J\u0010\u00101\u001a\u00020\u00052\u0006\u0010\b\u001a\u00020\u0007H\u0014J\u0006\u00102\u001a\u00020\u0005J\u0006\u00103\u001a\u00020\u0005J$\u00109\u001a\u00020\u00052\u0006\u00104\u001a\u00020\u001e2\n\b\u0002\u00106\u001a\u0004\u0018\u0001052\b\b\u0002\u00108\u001a\u000207J\u000e\u0010<\u001a\u00020\u00052\u0006\u0010;\u001a\u00020:J \u0010?\u001a\u00020\u00052\b\b\u0002\u0010=\u001a\u00020\u001e2\u000e\b\u0002\u0010>\u001a\b\u0012\u0004\u0012\u00020\u00050\nJ\u0006\u0010@\u001a\u00020\u001eJ\u0006\u0010A\u001a\u00020\u001eJ\u001e\u0010H\u001a\u00020\u00052\u0006\u0010C\u001a\u00020B2\u0006\u0010E\u001a\u00020D2\u0006\u0010G\u001a\u00020FJ\u0006\u0010I\u001a\u00020\u0005J\u0016\u0010J\u001a\u00020\u00052\u0006\u0010C\u001a\u00020B2\u0006\u0010E\u001a\u00020DJ\u0010\u0010M\u001a\u00020\u00052\u0006\u0010L\u001a\u00020KH\u0007J\u0010\u0010O\u001a\u00020\u00052\u0006\u0010L\u001a\u00020NH\u0007J\u0010\u0010Q\u001a\u00020\u00052\u0006\u0010L\u001a\u00020PH\u0007J\u0010\u0010S\u001a\u00020\u00052\u0006\u0010L\u001a\u00020RH\u0007J\u0010\u0010U\u001a\u00020\u00052\u0006\u0010L\u001a\u00020TH\u0007J\u0010\u0010W\u001a\u00020\u00052\u0006\u0010L\u001a\u00020VH\u0007J\u0010\u0010Y\u001a\u00020\u00052\u0006\u0010L\u001a\u00020XH\u0007J\u0010\u0010[\u001a\u00020\u00052\u0006\u0010L\u001a\u00020ZH\u0007J\u0010\u0010]\u001a\u00020\u00052\u0006\u0010L\u001a\u00020\\H\u0007J\u0010\u0010_\u001a\u00020\u00052\u0006\u0010L\u001a\u00020^H\u0007R\u0016\u0010c\u001a\u00020`8\u0002@\u0002X.¢\u0006\u0006\n\u0004\ba\u0010bR\u0016\u0010g\u001a\u00020d8\u0002@\u0002X.¢\u0006\u0006\n\u0004\be\u0010fR\"\u0010o\u001a\u00020h8\u0006@\u0006X.¢\u0006\u0012\n\u0004\bi\u0010j\u001a\u0004\bk\u0010l\"\u0004\bm\u0010nR\u0017\u0010u\u001a\u00020p8\u0006¢\u0006\f\n\u0004\bq\u0010r\u001a\u0004\bs\u0010tR\u0017\u0010x\u001a\u00020p8\u0006¢\u0006\f\n\u0004\bv\u0010r\u001a\u0004\bw\u0010tR\u001e\u0010{\u001a\n\u0012\u0004\u0012\u00020\u0005\u0018\u00010\n8\u0002@\u0002X\u000e¢\u0006\u0006\n\u0004\by\u0010zR\u0014\u0010|\u001a\u00020\u001e8BX\u0004¢\u0006\u0006\u001a\u0004\b|\u0010}R\u0013\u0010\u0001\u001a\u00020~8F¢\u0006\u0007\u001a\u0005\b\u0010\u0001R\u0015\u0010\u0001\u001a\u00030\u00018F¢\u0006\b\u001a\u0006\b\u0001\u0010\u0001R\u0015\u0010\u0001\u001a\u00030\u00018F¢\u0006\b\u001a\u0006\b\u0001\u0010\u0001R\u0015\u0010\u0001\u001a\u00030\u00018F¢\u0006\b\u001a\u0006\b\u0001\u0010\u0001R\u0015\u0010\u0001\u001a\u00030\u00018F¢\u0006\b\u001a\u0006\b\u0001\u0010\u0001R\u0015\u0010\u0001\u001a\u00030\u00018F¢\u0006\b\u001a\u0006\b\u0001\u0010\u0001R*\u0010\u0001\u001a\u00020#2\u0007\u0010\u0001\u001a\u00020#8F@FX\u000e¢\u0006\u0010\u001a\u0006\b\u0001\u0010\u0001\"\u0006\b\u0001\u0010\u0001R0\u0010¡\u0001\u001a\u0005\u0018\u00010\u00012\n\u0010\u0001\u001a\u0005\u0018\u00010\u00018F@FX\u000e¢\u0006\u0010\u001a\u0006\b\u0001\u0010\u0001\"\u0006\b\u0001\u0010 \u0001R>\u0010¨\u0001\u001a\f\u0012\u0005\u0012\u00030£\u0001\u0018\u00010¢\u00012\u0011\u0010\u0001\u001a\f\u0012\u0005\u0012\u00030£\u0001\u0018\u00010¢\u00018F@FX\u000e¢\u0006\u0010\u001a\u0006\b¤\u0001\u0010¥\u0001\"\u0006\b¦\u0001\u0010§\u0001R)\u0010¬\u0001\u001a\u00020\u001e2\u0007\u0010\u0001\u001a\u00020\u001e8F@FX\u000e¢\u0006\u000f\u001a\u0005\b©\u0001\u0010}\"\u0006\bª\u0001\u0010«\u0001R)\u0010¯\u0001\u001a\u00020\u001e2\u0007\u0010\u0001\u001a\u00020\u001e8F@FX\u000e¢\u0006\u000f\u001a\u0005\b­\u0001\u0010}\"\u0006\b®\u0001\u0010«\u0001R,\u0010µ\u0001\u001a\u00030°\u00012\b\u0010\u0001\u001a\u00030°\u00018F@FX\u000e¢\u0006\u0010\u001a\u0006\b±\u0001\u0010²\u0001\"\u0006\b³\u0001\u0010´\u0001¨\u0006¹\u0001"}, d2 = {"Lcom/graphisoft/bimxlab/MainActivity;", "Landroidx/appcompat/app/AppCompatActivity;", "Landroid/content/Context;", "context", "h0", "Lkotlin/l2;", "launchPermissionsSettings", "Landroid/content/Intent;", "intent", "G", "Lkotlin/Function0;", "job", "n", "Landroid/graphics/Bitmap;", "g0", "Z", "N", "Landroid/net/Uri;", "grantedUri", "Q", "b0", "Y", "Lcom/graphisoft/bimx/connector/enums/OpenUrlNavigationErrorType;", "errorType", "", "missingElement", "O", "onResume", "onStart", "onStop", "", "hasFocus", "onWindowFocusChanged", "newBase", "attachBaseContext", "", "requestCode", "", "permissions", "", "grantResults", "onRequestPermissionsResult", "(I[Ljava/lang/String;[I)V", "Landroid/os/Bundle;", "savedInstanceState", "onCreate", "resultCode", c.f.a.f14539c0, "onActivityResult", "onNewIntent", "a0", "H", "isBackgroundNeeded", "Lcom/graphisoft/bimx/connector/dataaddresses/HyperModelDataAddress;", "hyperModelDataAddress", "Lcom/graphisoft/bimxlab/base/view/LoadingView$a;", "reason", "c0", "Landroid/content/res/Resources;", "resources", "e0", "enableUserInteraction", "postAction", "r", "I", "J", "Landroidx/navigation/NavController;", "navController", "Landroidx/fragment/app/FragmentManager;", "fragmentManager", "Lj1/w4;", "presentationInfo", "f0", "o", "P", "Lj1/v4;", "event", "onStartImportFlowEvent", "Lj1/j1;", "onImportOldFolderRequestEvent", "Lj1/h1;", "onImportFoldersFinishEvent", "Lj1/u4;", "onShowWhatsNewEvent", "Lj1/o4;", "onShowDiscountOfferDialogEvent", "Lj1/x4;", "onStartUploadingEvent", "Lj1/r0;", "onEndUploadingEvent", "Lj1/q4;", "onShowExtensionInstalledDialogEvent", "Lj1/r4;", "onShowExtensionNotInstalledDialogEvent", "Lj1/p4;", "onShowExtensionInstallErrorDialogEvent", "Lcom/graphisoft/bimxlab/q;", "a", "Lcom/graphisoft/bimxlab/q;", "viewModel", "Ls1/a;", "b", "Ls1/a;", "binding", "Lcom/graphisoft/bimxlab/BIMxApplication;", "c", "Lcom/graphisoft/bimxlab/BIMxApplication;", "t", "()Lcom/graphisoft/bimxlab/BIMxApplication;", "R", "(Lcom/graphisoft/bimxlab/BIMxApplication;)V", "application", "Ljava/lang/Runnable;", "d", "Ljava/lang/Runnable;", "w", "()Ljava/lang/Runnable;", "downloadWarningCallBack", "e", "v", "downloadSuccessCallBack", "f", "Lr4/a;", "afterResumeJob", "isCameraEnabled", "()Z", "Lcom/graphisoft/bimx/connector/dataaddresses/DataAddress;", "y", "()Lcom/graphisoft/bimx/connector/dataaddresses/DataAddress;", "hyperModelListAddress", "Lcom/graphisoft/bimx/connector/handles/UserPreferencesStorageHandle;", "F", "()Lcom/graphisoft/bimx/connector/handles/UserPreferencesStorageHandle;", "userPreferencesStorageHandle", "Lcom/graphisoft/bimx/connector/handles/LicenseHandle;", "z", "()Lcom/graphisoft/bimx/connector/handles/LicenseHandle;", "licenseHandle", "Lcom/graphisoft/bimx/connector/handles/SessionListHandle;", "E", "()Lcom/graphisoft/bimx/connector/handles/SessionListHandle;", "sessionListHandle", "Lcom/graphisoft/bimx/connector/handles/ExtensionManagerHandle;", "x", "()Lcom/graphisoft/bimx/connector/handles/ExtensionManagerHandle;", "extensionManagerHandle", "Lcom/graphisoft/bimx/connector/handles/PushNotificationClientHandle;", "B", "()Lcom/graphisoft/bimx/connector/handles/PushNotificationClientHandle;", "pushNotificationHandle", "value", "u", "()I", "S", "(I)V", "currentHelpPosition", "Ljava/util/UUID;", "D", "()Ljava/util/UUID;", "X", "(Ljava/util/UUID;)V", "selectedPublisherItemId", "Ljava/util/ArrayList;", "Lcom/graphisoft/bimx/connector/data/MessageComposerUser;", "C", "()Ljava/util/ArrayList;", "W", "(Ljava/util/ArrayList;)V", "selectedContacts", "L", "U", "(Z)V", "isPresentationReInitNeeded", "K", "T", "isPresentationModeActive", "Lu2/c;", "A", "()Lu2/c;", "V", "(Lu2/c;)V", "presentationViewModel", "<init>", "()V", "g", "app_arm64Release"}, k = 1, mv = {1, 6, 0})
public final class MainActivity extends AppCompatActivity {
    @a7.d

    /* renamed from: g  reason: collision with root package name */
    public static final a f15645g = new a(null);

    /* renamed from: h  reason: collision with root package name */
    public static final int f15646h = 112;

    /* renamed from: i  reason: collision with root package name */
    public static final int f15647i = 42;

    /* renamed from: a  reason: collision with root package name */
    private q f15648a;

    /* renamed from: b  reason: collision with root package name */
    private s1.a f15649b;

    /* renamed from: c  reason: collision with root package name */
    public BIMxApplication f15650c;
    @a7.d

    /* renamed from: d  reason: collision with root package name */
    private final Runnable f15651d = new o(this);
    @a7.d

    /* renamed from: e  reason: collision with root package name */
    private final Runnable f15652e = new p(this);
    @a7.e

    /* renamed from: f  reason: collision with root package name */
    private r4.a<l2> f15653f;

    public static final class a {
        private a() {
        }

        public /* synthetic */ a(w wVar) {
            this();
        }
    }

    /* access modifiers changed from: package-private */
    @kotlin.coroutines.jvm.internal.f(c = "com.graphisoft.bimxlab.MainActivity$downloadSuccessCallBack$1$1", f = "MainActivity.kt", i = {}, l = {}, m = "invokeSuspend", n = {}, s = {})
    public static final class b extends o implements p<t0, kotlin.coroutines.d<? super l2>, Object> {

        /* renamed from: f  reason: collision with root package name */
        int f15654f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ MainActivity f15655g;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        b(MainActivity mainActivity, kotlin.coroutines.d<? super b> dVar) {
            super(2, dVar);
            this.f15655g = mainActivity;
        }

        @Override // kotlin.coroutines.jvm.internal.a
        @a7.d
        public final kotlin.coroutines.d<l2> create(@a7.e Object obj, @a7.d kotlin.coroutines.d<?> dVar) {
            return new b(this.f15655g, dVar);
        }

        @Override // kotlin.coroutines.jvm.internal.a
        @a7.e
        public final Object invokeSuspend(@a7.d Object obj) {
            Object unused = kotlin.coroutines.intrinsics.d.h();
            if (this.f15654f == 0) {
                e1.n(obj);
                com.graphisoft.bimxlab.utils.manager.a aVar = com.graphisoft.bimxlab.utils.manager.a.f17786a;
                Resources resources = this.f15655g.getResources();
                l0.o(resources, "resources");
                FragmentManager supportFragmentManager = this.f15655g.getSupportFragmentManager();
                l0.o(supportFragmentManager, "supportFragmentManager");
                aVar.n(resources, supportFragmentManager);
                return l2.f19890a;
            }
            throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
        }

        @a7.e
        public final Object invoke(@a7.d t0 t0Var, @a7.e kotlin.coroutines.d<? super l2> dVar) {
            return ((b) create(t0Var, dVar)).invokeSuspend(l2.f19890a);
        }
    }

    /* access modifiers changed from: package-private */
    @kotlin.coroutines.jvm.internal.f(c = "com.graphisoft.bimxlab.MainActivity$downloadWarningCallBack$1$1", f = "MainActivity.kt", i = {}, l = {}, m = "invokeSuspend", n = {}, s = {})
    public static final class c extends o implements p<t0, kotlin.coroutines.d<? super l2>, Object> {

        /* renamed from: f  reason: collision with root package name */
        int f15656f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ MainActivity f15657g;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        c(MainActivity mainActivity, kotlin.coroutines.d<? super c> dVar) {
            super(2, dVar);
            this.f15657g = mainActivity;
        }

        @Override // kotlin.coroutines.jvm.internal.a
        @a7.d
        public final kotlin.coroutines.d<l2> create(@a7.e Object obj, @a7.d kotlin.coroutines.d<?> dVar) {
            return new c(this.f15657g, dVar);
        }

        @Override // kotlin.coroutines.jvm.internal.a
        @a7.e
        public final Object invokeSuspend(@a7.d Object obj) {
            Object unused = kotlin.coroutines.intrinsics.d.h();
            if (this.f15656f == 0) {
                e1.n(obj);
                com.graphisoft.bimxlab.utils.manager.a aVar = com.graphisoft.bimxlab.utils.manager.a.f17786a;
                Resources resources = this.f15657g.getResources();
                l0.o(resources, "resources");
                FragmentManager supportFragmentManager = this.f15657g.getSupportFragmentManager();
                l0.o(supportFragmentManager, "supportFragmentManager");
                aVar.o(resources, supportFragmentManager);
                return l2.f19890a;
            }
            throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
        }

        @a7.e
        public final Object invoke(@a7.d t0 t0Var, @a7.e kotlin.coroutines.d<? super l2> dVar) {
            return ((c) create(t0Var, dVar)).invokeSuspend(l2.f19890a);
        }
    }

    /* access modifiers changed from: package-private */
    public static final class d extends n0 implements r4.a<l2> {

        /* renamed from: f  reason: collision with root package name */
        public static final d f15658f = new d();

        d() {
            super(0);
        }

        @Override // r4.a
        public final void invoke() {
        }
    }

    /* access modifiers changed from: package-private */
    @kotlin.coroutines.jvm.internal.f(c = "com.graphisoft.bimxlab.MainActivity$handleOpenIn$1$1", f = "MainActivity.kt", i = {}, l = {}, m = "invokeSuspend", n = {}, s = {})
    public static final class e extends o implements p<t0, kotlin.coroutines.d<? super l2>, Object> {

        /* renamed from: f  reason: collision with root package name */
        int f15659f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ String f15660g;

        /* renamed from: p  reason: collision with root package name */
        final /* synthetic */ MainActivity f15661p;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        e(String str, MainActivity mainActivity, kotlin.coroutines.d<? super e> dVar) {
            super(2, dVar);
            this.f15660g = str;
            this.f15661p = mainActivity;
        }

        @Override // kotlin.coroutines.jvm.internal.a
        @a7.d
        public final kotlin.coroutines.d<l2> create(@a7.e Object obj, @a7.d kotlin.coroutines.d<?> dVar) {
            return new e(this.f15660g, this.f15661p, dVar);
        }

        @Override // kotlin.coroutines.jvm.internal.a
        @a7.e
        public final Object invokeSuspend(@a7.d Object obj) {
            Object unused = kotlin.coroutines.intrinsics.d.h();
            if (this.f15659f == 0) {
                e1.n(obj);
                OpenUrlConnector openUrlConnector = OpenUrlConnector.INSTANCE;
                String str = this.f15660g;
                l0.o(str, "it");
                openUrlConnector.openUrl(str, null, this.f15661p.t().u(), this.f15661p.z());
                return l2.f19890a;
            }
            throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
        }

        @a7.e
        public final Object invoke(@a7.d t0 t0Var, @a7.e kotlin.coroutines.d<? super l2> dVar) {
            return ((e) create(t0Var, dVar)).invokeSuspend(l2.f19890a);
        }
    }

    public static final class f extends OnBackPressedCallback {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ MainActivity f15662a;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        f(MainActivity mainActivity) {
            super(true);
            this.f15662a = mainActivity;
        }

        @Override // androidx.activity.OnBackPressedCallback
        public void handleOnBackPressed() {
            for (Fragment fragment : this.f15662a.getSupportFragmentManager().getFragments()) {
                if (fragment.isVisible() && !(fragment instanceof NavHostFragment)) {
                    FragmentManager childFragmentManager = fragment.getChildFragmentManager();
                    l0.o(childFragmentManager, "fragment.childFragmentManager");
                    if (childFragmentManager.getBackStackEntryCount() > 0) {
                        EventBus.getDefault().post(new d4());
                        EventBus.getDefault().post(new w0());
                        return;
                    }
                }
            }
            setEnabled(false);
            this.f15662a.getOnBackPressedDispatcher().onBackPressed();
        }
    }

    @kotlin.coroutines.jvm.internal.f(c = "com.graphisoft.bimxlab.MainActivity$onResume$1", f = "MainActivity.kt", i = {}, l = {189}, m = "invokeSuspend", n = {}, s = {})
    static final class g extends o implements p<t0, kotlin.coroutines.d<? super l2>, Object> {

        /* renamed from: f  reason: collision with root package name */
        int f15663f;

        g(kotlin.coroutines.d<? super g> dVar) {
            super(2, dVar);
        }

        @Override // kotlin.coroutines.jvm.internal.a
        @a7.d
        public final kotlin.coroutines.d<l2> create(@a7.e Object obj, @a7.d kotlin.coroutines.d<?> dVar) {
            return new g(dVar);
        }

        @Override // kotlin.coroutines.jvm.internal.a
        @a7.e
        public final Object invokeSuspend(@a7.d Object obj) {
            Object obj2 = kotlin.coroutines.intrinsics.d.h();
            int i7 = this.f15663f;
            if (i7 == 0) {
                e1.n(obj);
                com.graphisoft.bimxlab.utils.manager.c cVar = com.graphisoft.bimxlab.utils.manager.c.f17833a;
                this.f15663f = 1;
                if (cVar.s(this) == obj2) {
                    return obj2;
                }
            } else if (i7 == 1) {
                e1.n(obj);
            } else {
                throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
            }
            return l2.f19890a;
        }

        @a7.e
        public final Object invoke(@a7.d t0 t0Var, @a7.e kotlin.coroutines.d<? super l2> dVar) {
            return ((g) create(t0Var, dVar)).invokeSuspend(l2.f19890a);
        }
    }

    /* access modifiers changed from: package-private */
    @kotlin.coroutines.jvm.internal.f(c = "com.graphisoft.bimxlab.MainActivity$onStartImportFlowEvent$1", f = "MainActivity.kt", i = {}, l = {}, m = "invokeSuspend", n = {}, s = {})
    public static final class h extends o implements p<t0, kotlin.coroutines.d<? super l2>, Object> {

        /* renamed from: f  reason: collision with root package name */
        int f15664f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ MainActivity f15665g;

        /* access modifiers changed from: package-private */
        @kotlin.coroutines.jvm.internal.f(c = "com.graphisoft.bimxlab.MainActivity$onStartImportFlowEvent$1$1", f = "MainActivity.kt", i = {}, l = {}, m = "invokeSuspend", n = {}, s = {})
        public static final class a extends o implements p<t0, kotlin.coroutines.d<? super l2>, Object> {

            /* renamed from: f  reason: collision with root package name */
            int f15666f;

            /* renamed from: g  reason: collision with root package name */
            final /* synthetic */ MainActivity f15667g;

            /* renamed from: p  reason: collision with root package name */
            final /* synthetic */ Exception f15668p;

            /* access modifiers changed from: package-private */
            /* renamed from: com.graphisoft.bimxlab.MainActivity$h$a$a  reason: collision with other inner class name */
            public static final class C0210a extends n0 implements r4.a<l2> {

                /* renamed from: f  reason: collision with root package name */
                final /* synthetic */ MainActivity f15669f;

                /* renamed from: g  reason: collision with root package name */
                final /* synthetic */ Exception f15670g;

                /* access modifiers changed from: package-private */
                /* renamed from: com.graphisoft.bimxlab.MainActivity$h$a$a$a  reason: collision with other inner class name */
                public static final class C0211a extends n0 implements r4.a<l2> {

                    /* renamed from: f  reason: collision with root package name */
                    final /* synthetic */ MainActivity f15671f;

                    /* renamed from: g  reason: collision with root package name */
                    final /* synthetic */ Exception f15672g;

                    /* JADX INFO: super call moved to the top of the method (can break code semantics) */
                    C0211a(MainActivity mainActivity, Exception exc) {
                        super(0);
                        this.f15671f = mainActivity;
                        this.f15672g = exc;
                    }

                    @Override // r4.a
                    public final void invoke() {
                        StringBuilder sb;
                        NetLoggerConnector netLoggerConnector;
                        List<UriPermission> persistedUriPermissions = this.f15671f.getContentResolver().getPersistedUriPermissions();
                        l0.o(persistedUriPermissions, "contentResolver.persistedUriPermissions");
                        boolean z7 = true;
                        if (!persistedUriPermissions.isEmpty()) {
                            MainActivity mainActivity = this.f15671f;
                            Uri uri = ((UriPermission) g0.w2(persistedUriPermissions)).getUri();
                            l0.o(uri, "uriPermissions.first().uri");
                            mainActivity.Q(uri);
                            return;
                        }
                        String message = this.f15672g.getMessage();
                        if (message != null && !(b0.U1(message))) {
                            z7 = false;
                        }
                        if (!z7) {
                            netLoggerConnector = NetLoggerConnector.INSTANCE;
                            sb = new StringBuilder();
                            sb.append("bimxFolderImport: Auto import failed with exception: ");
                            sb.append(this.f15672g);
                            sb.append("; ");
                            sb.append(this.f15672g.getMessage());
                        } else {
                            netLoggerConnector = NetLoggerConnector.INSTANCE;
                            sb = new StringBuilder();
                            sb.append("bimxFolderImport: Auto import failed with exception: ");
                            sb.append(this.f15672g);
                        }
                        sb.append(". Starting interactive import flow");
                        netLoggerConnector.devLog(sb.toString());
                        this.f15671f.Z();
                    }
                }

                /* JADX INFO: super call moved to the top of the method (can break code semantics) */
                C0210a(MainActivity mainActivity, Exception exc) {
                    super(0);
                    this.f15669f = mainActivity;
                    this.f15670g = exc;
                }

                @Override // r4.a
                public final void invoke() {
                    MainActivity mainActivity = this.f15669f;
                    mainActivity.n(new C0211a(mainActivity, this.f15670g));
                }
            }

            /* JADX INFO: super call moved to the top of the method (can break code semantics) */
            a(MainActivity mainActivity, Exception exc, kotlin.coroutines.d<? super a> dVar) {
                super(2, dVar);
                this.f15667g = mainActivity;
                this.f15668p = exc;
            }

            @Override // kotlin.coroutines.jvm.internal.a
            @a7.d
            public final kotlin.coroutines.d<l2> create(@a7.e Object obj, @a7.d kotlin.coroutines.d<?> dVar) {
                return new a(this.f15667g, this.f15668p, dVar);
            }

            @Override // kotlin.coroutines.jvm.internal.a
            @a7.e
            public final Object invokeSuspend(@a7.d Object obj) {
                Object unused = kotlin.coroutines.intrinsics.d.h();
                if (this.f15666f == 0) {
                    e1.n(obj);
                    MainActivity mainActivity = this.f15667g;
                    MainActivity.s(mainActivity, false, new C0210a(mainActivity, this.f15668p), 1, null);
                    return l2.f19890a;
                }
                throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
            }

            @a7.e
            public final Object invoke(@a7.d t0 t0Var, @a7.e kotlin.coroutines.d<? super l2> dVar) {
                return ((a) create(t0Var, dVar)).invokeSuspend(l2.f19890a);
            }
        }

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        h(MainActivity mainActivity, kotlin.coroutines.d<? super h> dVar) {
            super(2, dVar);
            this.f15665g = mainActivity;
        }

        @Override // kotlin.coroutines.jvm.internal.a
        @a7.d
        public final kotlin.coroutines.d<l2> create(@a7.e Object obj, @a7.d kotlin.coroutines.d<?> dVar) {
            return new h(this.f15665g, dVar);
        }

        @Override // kotlin.coroutines.jvm.internal.a
        @a7.e
        public final Object invokeSuspend(@a7.d Object obj) {
            Object unused = kotlin.coroutines.intrinsics.d.h();
            if (this.f15664f == 0) {
                e1.n(obj);
                try {
                    NetLoggerConnector.INSTANCE.devLog("bimxFolderImport: necessary. Trying automatic import");
                    q qVar = this.f15665g.f15648a;
                    if (qVar == null) {
                        l0.S("viewModel");
                        qVar = null;
                    }
                    qVar.B();
                } catch (Exception e7) {
                    m2 unused2 = l.f(m.b(), null, null, new a(this.f15665g, e7, null), 3, null);
                }
                return l2.f19890a;
            }
            throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
        }

        @a7.e
        public final Object invoke(@a7.d t0 t0Var, @a7.e kotlin.coroutines.d<? super l2> dVar) {
            return ((h) create(t0Var, dVar)).invokeSuspend(l2.f19890a);
        }
    }

    @kotlin.coroutines.jvm.internal.f(c = "com.graphisoft.bimxlab.MainActivity$openUrlWarningCallback$1", f = "MainActivity.kt", i = {}, l = {}, m = "invokeSuspend", n = {}, s = {})
    static final class i extends o implements p<t0, kotlin.coroutines.d<? super l2>, Object> {

        /* renamed from: f  reason: collision with root package name */
        int f15673f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ MainActivity f15674g;

        /* renamed from: p  reason: collision with root package name */
        final /* synthetic */ OpenUrlNavigationErrorType f15675p;

        /* renamed from: x  reason: collision with root package name */
        final /* synthetic */ String f15676x;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        i(MainActivity mainActivity, OpenUrlNavigationErrorType openUrlNavigationErrorType, String str, kotlin.coroutines.d<? super i> dVar) {
            super(2, dVar);
            this.f15674g = mainActivity;
            this.f15675p = openUrlNavigationErrorType;
            this.f15676x = str;
        }

        @Override // kotlin.coroutines.jvm.internal.a
        @a7.d
        public final kotlin.coroutines.d<l2> create(@a7.e Object obj, @a7.d kotlin.coroutines.d<?> dVar) {
            return new i(this.f15674g, this.f15675p, this.f15676x, dVar);
        }

        @Override // kotlin.coroutines.jvm.internal.a
        @a7.e
        public final Object invokeSuspend(@a7.d Object obj) {
            Object unused = kotlin.coroutines.intrinsics.d.h();
            if (this.f15673f == 0) {
                e1.n(obj);
                com.graphisoft.bimxlab.utils.manager.a aVar = com.graphisoft.bimxlab.utils.manager.a.f17786a;
                Context applicationContext = this.f15674g.getApplicationContext();
                l0.o(applicationContext, "applicationContext");
                Resources resources = this.f15674g.getResources();
                l0.o(resources, "resources");
                FragmentManager supportFragmentManager = this.f15674g.getSupportFragmentManager();
                l0.o(supportFragmentManager, "supportFragmentManager");
                aVar.N(applicationContext, resources, supportFragmentManager, this.f15675p, this.f15676x);
                return l2.f19890a;
            }
            throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
        }

        @a7.e
        public final Object invoke(@a7.d t0 t0Var, @a7.e kotlin.coroutines.d<? super l2> dVar) {
            return ((i) create(t0Var, dVar)).invokeSuspend(l2.f19890a);
        }
    }

    @kotlin.coroutines.jvm.internal.f(c = "com.graphisoft.bimxlab.MainActivity$reInitPresentation$1", f = "MainActivity.kt", i = {}, l = {541}, m = "invokeSuspend", n = {}, s = {})
    static final class j extends o implements p<t0, kotlin.coroutines.d<? super l2>, Object> {

        /* renamed from: f  reason: collision with root package name */
        int f15677f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ MainActivity f15678g;

        /* access modifiers changed from: package-private */
        @kotlin.coroutines.jvm.internal.f(c = "com.graphisoft.bimxlab.MainActivity$reInitPresentation$1$1", f = "MainActivity.kt", i = {}, l = {}, m = "invokeSuspend", n = {}, s = {})
        public static final class a extends o implements p<t0, kotlin.coroutines.d<? super l2>, Object> {

            /* renamed from: f  reason: collision with root package name */
            int f15679f;

            /* renamed from: g  reason: collision with root package name */
            final /* synthetic */ MainActivity f15680g;

            /* JADX INFO: super call moved to the top of the method (can break code semantics) */
            a(MainActivity mainActivity, kotlin.coroutines.d<? super a> dVar) {
                super(2, dVar);
                this.f15680g = mainActivity;
            }

            @Override // kotlin.coroutines.jvm.internal.a
            @a7.d
            public final kotlin.coroutines.d<l2> create(@a7.e Object obj, @a7.d kotlin.coroutines.d<?> dVar) {
                return new a(this.f15680g, dVar);
            }

            @Override // kotlin.coroutines.jvm.internal.a
            @a7.e
            public final Object invokeSuspend(@a7.d Object obj) {
                Object unused = kotlin.coroutines.intrinsics.d.h();
                if (this.f15679f == 0) {
                    e1.n(obj);
                    this.f15680g.H();
                    return l2.f19890a;
                }
                throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
            }

            @a7.e
            public final Object invoke(@a7.d t0 t0Var, @a7.e kotlin.coroutines.d<? super l2> dVar) {
                return ((a) create(t0Var, dVar)).invokeSuspend(l2.f19890a);
            }
        }

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        j(MainActivity mainActivity, kotlin.coroutines.d<? super j> dVar) {
            super(2, dVar);
            this.f15678g = mainActivity;
        }

        @Override // kotlin.coroutines.jvm.internal.a
        @a7.d
        public final kotlin.coroutines.d<l2> create(@a7.e Object obj, @a7.d kotlin.coroutines.d<?> dVar) {
            return new j(this.f15678g, dVar);
        }

        @Override // kotlin.coroutines.jvm.internal.a
        @a7.e
        public final Object invokeSuspend(@a7.d Object obj) {
            Object obj2 = kotlin.coroutines.intrinsics.d.h();
            int i7 = this.f15677f;
            if (i7 == 0) {
                e1.n(obj);
                this.f15677f = 1;
                if (kotlinx.coroutines.e1.b(500, this) == obj2) {
                    return obj2;
                }
            } else if (i7 == 1) {
                e1.n(obj);
            } else {
                throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
            }
            m2 unused = l.f(m.b(), null, null, new a(this.f15678g, null), 3, null);
            return l2.f19890a;
        }

        @a7.e
        public final Object invoke(@a7.d t0 t0Var, @a7.e kotlin.coroutines.d<? super l2> dVar) {
            return ((j) create(t0Var, dVar)).invokeSuspend(l2.f19890a);
        }
    }

    /* access modifiers changed from: package-private */
    public static final class k extends n0 implements p<Long, Long, l2> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ MainActivity f15681f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ Uri f15682g;

        /* access modifiers changed from: package-private */
        @kotlin.coroutines.jvm.internal.f(c = "com.graphisoft.bimxlab.MainActivity$safPermissionGranted$1$1$1", f = "MainActivity.kt", i = {}, l = {}, m = "invokeSuspend", n = {}, s = {})
        public static final class a extends o implements p<t0, kotlin.coroutines.d<? super l2>, Object> {

            /* renamed from: f  reason: collision with root package name */
            int f15683f;

            /* renamed from: g  reason: collision with root package name */
            final /* synthetic */ MainActivity f15684g;

            /* renamed from: p  reason: collision with root package name */
            final /* synthetic */ long f15685p;

            /* renamed from: x  reason: collision with root package name */
            final /* synthetic */ long f15686x;

            /* renamed from: y  reason: collision with root package name */
            final /* synthetic */ Uri f15687y;

            /* access modifiers changed from: package-private */
            /* renamed from: com.graphisoft.bimxlab.MainActivity$k$a$a  reason: collision with other inner class name */
            public static final class C0212a extends n0 implements r4.a<l2> {

                /* renamed from: f  reason: collision with root package name */
                final /* synthetic */ long f15688f;

                /* renamed from: g  reason: collision with root package name */
                final /* synthetic */ long f15689g;

                /* renamed from: p  reason: collision with root package name */
                final /* synthetic */ MainActivity f15690p;

                /* renamed from: x  reason: collision with root package name */
                final /* synthetic */ Uri f15691x;

                /* JADX INFO: super call moved to the top of the method (can break code semantics) */
                C0212a(long j7, long j8, MainActivity mainActivity, Uri uri) {
                    super(0);
                    this.f15688f = j7;
                    this.f15689g = j8;
                    this.f15690p = mainActivity;
                    this.f15691x = uri;
                }

                @Override // r4.a
                public final void invoke() {
                    long j7 = this.f15688f;
                    if (j7 < this.f15689g) {
                        com.graphisoft.bimxlab.utils.manager.a aVar = com.graphisoft.bimxlab.utils.manager.a.f17786a;
                        FragmentManager supportFragmentManager = this.f15690p.getSupportFragmentManager();
                        l0.o(supportFragmentManager, "supportFragmentManager");
                        aVar.w(supportFragmentManager, this.f15691x);
                        return;
                    }
                    String format = String.format("%.2f", Arrays.copyOf(new Object[]{Float.valueOf((((float) j7) / 1024.0f) / 1024.0f)}, 1));
                    l0.o(format, "format(this, *args)");
                    String format2 = String.format("%.2f", Arrays.copyOf(new Object[]{Float.valueOf((((float) this.f15689g) / 1024.0f) / 1024.0f)}, 1));
                    l0.o(format2, "format(this, *args)");
                    NetLoggerConnector netLoggerConnector = NetLoggerConnector.INSTANCE;
                    netLoggerConnector.folderImport("interactive", false, format2 + " MB is insufficient for largest file of size " + format + " MB");
                    com.graphisoft.bimxlab.importFolders.viewModel.e eVar = (com.graphisoft.bimxlab.importFolders.viewModel.e) new ViewModelProvider(this.f15690p).get(com.graphisoft.bimxlab.importFolders.viewModel.e.class);
                    eVar.d(this.f15689g);
                    eVar.e(this.f15688f);
                    com.graphisoft.bimxlab.utils.manager.a aVar2 = com.graphisoft.bimxlab.utils.manager.a.f17786a;
                    FragmentManager supportFragmentManager2 = this.f15690p.getSupportFragmentManager();
                    l0.o(supportFragmentManager2, "supportFragmentManager");
                    aVar2.y(supportFragmentManager2);
                }
            }

            /* JADX INFO: super call moved to the top of the method (can break code semantics) */
            a(MainActivity mainActivity, long j7, long j8, Uri uri, kotlin.coroutines.d<? super a> dVar) {
                super(2, dVar);
                this.f15684g = mainActivity;
                this.f15685p = j7;
                this.f15686x = j8;
                this.f15687y = uri;
            }

            @Override // kotlin.coroutines.jvm.internal.a
            @a7.d
            public final kotlin.coroutines.d<l2> create(@a7.e Object obj, @a7.d kotlin.coroutines.d<?> dVar) {
                return new a(this.f15684g, this.f15685p, this.f15686x, this.f15687y, dVar);
            }

            @Override // kotlin.coroutines.jvm.internal.a
            @a7.e
            public final Object invokeSuspend(@a7.d Object obj) {
                Object unused = kotlin.coroutines.intrinsics.d.h();
                if (this.f15683f == 0) {
                    e1.n(obj);
                    MainActivity mainActivity = this.f15684g;
                    MainActivity.s(mainActivity, false, new C0212a(this.f15685p, this.f15686x, mainActivity, this.f15687y), 1, null);
                    return l2.f19890a;
                }
                throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
            }

            @a7.e
            public final Object invoke(@a7.d t0 t0Var, @a7.e kotlin.coroutines.d<? super l2> dVar) {
                return ((a) create(t0Var, dVar)).invokeSuspend(l2.f19890a);
            }
        }

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        k(MainActivity mainActivity, Uri uri) {
            super(2);
            this.f15681f = mainActivity;
            this.f15682g = uri;
        }

        public final void c(long j7, long j8) {
            m2 unused = l.f(m.b(), null, null, new a(this.f15681f, j7, j8, this.f15682g, null), 3, null);
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object, java.lang.Object] */
        @Override // r4.p
        public /* bridge */ /* synthetic */ l2 invoke(Long l7, Long l8) {
            c(l7.longValue(), l8.longValue());
            return l2.f19890a;
        }
    }

    private final void G(Intent intent) {
        String dataString = intent.getDataString();
        if (dataString != null) {
            m2 unused = l.f(m.a(), null, null, new e(dataString, this, null), 3, null);
        }
    }

    /* access modifiers changed from: private */
    public static final void M(int i7, MainActivity mainActivity, com.google.android.gms.tasks.l lVar) {
        l0.p(mainActivity, "this$0");
        l0.p(lVar, "task");
        if (!lVar.v()) {
            Log.w("BIMx MainActivity", "Fetching FCM registration token failed", lVar.q());
            return;
        }
        String str = (String) lVar.r();
        if (i7 != 0) {
            Log.d("*Firebase : ", "Google play services not available!");
        } else if (str != null) {
            PushNotificationConnector.INSTANCE.startClient(mainActivity.B(), str);
        }
    }

    private final void N() {
        NetLoggerConnector.INSTANCE.devLog("bimxFolderImport: Launching SAF permission request");
        Uri buildRootUri = DocumentsContract.buildRootUri("com.android.externalstorage.documents", "primary");
        Intent intent = new Intent("android.intent.action.OPEN_DOCUMENT_TREE");
        intent.putExtra("android.provider.extra.INITIAL_URI", buildRootUri);
        startActivityForResult(intent, 42);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void Q(Uri uri) {
        q qVar = this.f15648a;
        q qVar2 = null;
        if (qVar == null) {
            l0.S("viewModel");
            qVar = null;
        }
        Uri f7 = qVar.f(uri);
        if (f7 != null) {
            NetLoggerConnector.INSTANCE.devLog("bimxFolderImport: found bimx folder at " + f7);
            d0(this, false, null, null, 6, null);
            q qVar3 = this.f15648a;
            if (qVar3 == null) {
                l0.S("viewModel");
            } else {
                qVar2 = qVar3;
            }
            qVar2.D(f7, new k(this, f7));
        }
    }

    private final void Y() {
        com.graphisoft.bimxlab.utils.manager.a aVar = com.graphisoft.bimxlab.utils.manager.a.f17786a;
        FragmentManager supportFragmentManager = getSupportFragmentManager();
        l0.o(supportFragmentManager, "supportFragmentManager");
        aVar.m(supportFragmentManager);
        q qVar = this.f15648a;
        if (qVar == null) {
            l0.S("viewModel");
            qVar = null;
        }
        qVar.s(F());
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void Z() {
        q qVar = this.f15648a;
        if (qVar == null) {
            l0.S("viewModel");
            qVar = null;
        }
        FragmentManager supportFragmentManager = getSupportFragmentManager();
        l0.o(supportFragmentManager, "supportFragmentManager");
        qVar.C(supportFragmentManager);
    }

    private final void b0() {
        S(0);
        com.graphisoft.bimxlab.utils.manager.a aVar = com.graphisoft.bimxlab.utils.manager.a.f17786a;
        FragmentManager supportFragmentManager = getSupportFragmentManager();
        l0.o(supportFragmentManager, "supportFragmentManager");
        aVar.P(supportFragmentManager);
        q qVar = this.f15648a;
        if (qVar == null) {
            l0.S("viewModel");
            qVar = null;
        }
        qVar.t(F());
    }

    public static /* synthetic */ void d0(MainActivity mainActivity, boolean z7, HyperModelDataAddress hyperModelDataAddress, LoadingView.a aVar, int i7, Object obj) {
        if ((i7 & 2) != 0) {
            hyperModelDataAddress = null;
        }
        if ((i7 & 4) != 0) {
            aVar = LoadingView.a.Other;
        }
        mainActivity.c0(z7, hyperModelDataAddress, aVar);
    }

    private final Bitmap g0() {
        s1.a aVar = this.f15649b;
        if (aVar == null) {
            l0.S("binding");
            aVar = null;
        }
        ConstraintLayout constraintLayout = aVar.f25178c;
        l0.o(constraintLayout, "binding.mainActivityRootConstraintLayout");
        return ExtensionsKt.Z(constraintLayout, false, 1, null);
    }

    private final Context h0(Context context) {
        if (context == null) {
            return null;
        }
        TestConfig testConfig = TestConfig.INSTANCE;
        if (!testConfig.forceLanguage()) {
            return context;
        }
        Configuration configuration = new Configuration(context.getResources().getConfiguration());
        configuration.setLocale(Locale.forLanguageTag(testConfig.getForcedLanguage()));
        return context.createConfigurationContext(configuration);
    }

    private final boolean isCameraEnabled() {
        return ContextCompat.checkSelfPermission(this, "android.permission.CAMERA") == 0;
    }

    private final void launchPermissionsSettings() {
        Intent intent = new Intent();
        intent.setAction("android.settings.APPLICATION_DETAILS_SETTINGS");
        intent.setData(Uri.fromParts("package", getPackageName(), l1.d(QrCodeCaptureFragment.class).A()));
        startActivity(intent);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void n(r4.a<l2> aVar) {
        if (getLifecycle().getCurrentState() == Lifecycle.State.RESUMED) {
            aVar.invoke();
        } else {
            this.f15653f = aVar;
        }
    }

    /* access modifiers changed from: private */
    public static final void p(MainActivity mainActivity) {
        l0.p(mainActivity, "this$0");
        if (com.graphisoft.bimxlab.utils.feature.p.f17724a.I().b() != i1.o.MODEL_BROWSER) {
            m2 unused = l.f(m.b(), null, null, new b(mainActivity, null), 3, null);
        }
    }

    /* access modifiers changed from: private */
    public static final void q(MainActivity mainActivity) {
        l0.p(mainActivity, "this$0");
        m2 unused = l.f(m.b(), null, null, new c(mainActivity, null), 3, null);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: com.graphisoft.bimxlab.MainActivity */
    /* JADX WARN: Multi-variable type inference failed */
    public static /* synthetic */ void s(MainActivity mainActivity, boolean z7, r4.a aVar, int i7, Object obj) {
        if ((i7 & 1) != 0) {
            z7 = true;
        }
        if ((i7 & 2) != 0) {
            aVar = d.f15658f;
        }
        mainActivity.r(z7, aVar);
    }

    @a7.d
    public final u2.c A() {
        q qVar = this.f15648a;
        if (qVar == null) {
            l0.S("viewModel");
            qVar = null;
        }
        return qVar.h();
    }

    @a7.d
    public final PushNotificationClientHandle B() {
        return t().v();
    }

    @a7.e
    public final ArrayList<MessageComposerUser> C() {
        return t().w();
    }

    @a7.e
    public final UUID D() {
        return t().x();
    }

    @a7.d
    public final SessionListHandle E() {
        return t().y();
    }

    @a7.d
    public final UserPreferencesStorageHandle F() {
        return t().z();
    }

    public final void H() {
        getWindow().setDecorFitsSystemWindows(false);
        WindowInsetsController insetsController = getWindow().getInsetsController();
        if (insetsController != null) {
            insetsController.hide(WindowInsets.Type.statusBars() | WindowInsets.Type.navigationBars());
            insetsController.setSystemBarsBehavior(2);
        }
    }

    public final boolean I() {
        s1.a aVar = this.f15649b;
        if (aVar == null) {
            l0.S("binding");
            aVar = null;
        }
        return aVar.f25177b.n();
    }

    public final boolean J() {
        s1.a aVar = this.f15649b;
        if (aVar == null) {
            l0.S("binding");
            aVar = null;
        }
        return aVar.f25177b.o();
    }

    public final boolean K() {
        q qVar = this.f15648a;
        if (qVar == null) {
            l0.S("viewModel");
            qVar = null;
        }
        return qVar.n();
    }

    public final boolean L() {
        q qVar = this.f15648a;
        if (qVar == null) {
            l0.S("viewModel");
            qVar = null;
        }
        return qVar.o();
    }

    public final void O(@a7.d OpenUrlNavigationErrorType openUrlNavigationErrorType, @a7.e String str) {
        l0.p(openUrlNavigationErrorType, "errorType");
        m2 unused = l.f(m.b(), null, null, new i(this, openUrlNavigationErrorType, str, null), 3, null);
    }

    public final void P(@a7.d NavController navController, @a7.d FragmentManager fragmentManager) {
        l0.p(navController, "navController");
        l0.p(fragmentManager, "fragmentManager");
        U(false);
        s1.a aVar = this.f15649b;
        if (aVar == null) {
            l0.S("binding");
            aVar = null;
        }
        aVar.f25179d.f0(A(), navController, fragmentManager);
        m2 unused = l.f(m.a(), null, null, new j(this, null), 3, null);
    }

    public final void R(@a7.d BIMxApplication bIMxApplication) {
        l0.p(bIMxApplication, "<set-?>");
        this.f15650c = bIMxApplication;
    }

    public final void S(int i7) {
        t().I(i7);
    }

    public final void T(boolean z7) {
        q qVar = this.f15648a;
        if (qVar == null) {
            l0.S("viewModel");
            qVar = null;
        }
        qVar.v(z7);
    }

    public final void U(boolean z7) {
        q qVar = this.f15648a;
        if (qVar == null) {
            l0.S("viewModel");
            qVar = null;
        }
        qVar.w(z7);
    }

    public final void V(@a7.d u2.c cVar) {
        l0.p(cVar, "value");
        q qVar = this.f15648a;
        if (qVar == null) {
            l0.S("viewModel");
            qVar = null;
        }
        qVar.x(cVar);
    }

    public final void W(@a7.e ArrayList<MessageComposerUser> arrayList) {
        t().S(arrayList);
    }

    public final void X(@a7.e UUID uuid) {
        t().T(uuid);
    }

    public final void a0() {
        if (ExtensionsKt.Q(this) || ExtensionsKt.O(this)) {
            getWindow().setDecorFitsSystemWindows(true);
            WindowInsetsController insetsController = getWindow().getInsetsController();
            if (insetsController != null) {
                insetsController.show(WindowInsets.Type.statusBars() | WindowInsets.Type.navigationBars());
            }
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.app.AppCompatActivity
    public void attachBaseContext(@a7.e Context context) {
        super.attachBaseContext(h0(context));
    }

    public final void c0(boolean z7, @a7.e HyperModelDataAddress hyperModelDataAddress, @a7.d LoadingView.a aVar) {
        l0.p(aVar, "reason");
        s1.a aVar2 = null;
        Bitmap g02 = z7 ? g0() : null;
        s1.a aVar3 = this.f15649b;
        if (aVar3 == null) {
            l0.S("binding");
        } else {
            aVar2 = aVar3;
        }
        aVar2.f25177b.p(g02, hyperModelDataAddress, aVar);
    }

    public final void e0(@a7.d Resources resources) {
        l0.p(resources, "resources");
        Stored3DState Y = v.f17874a.Y();
        s1.a aVar = null;
        Bitmap offscreenRenderFromMainCamera = Y != null ? PubItem3dRoadshowEngineConnector.INSTANCE.getOffscreenRenderFromMainCamera(Y, true) : null;
        Bitmap g02 = g0();
        if (offscreenRenderFromMainCamera != null) {
            com.graphisoft.bimxlab.utils.feature.p pVar = com.graphisoft.bimxlab.utils.feature.p.f17724a;
            if (pVar.M() || pVar.P()) {
                Bitmap.createBitmap(offscreenRenderFromMainCamera, 0, 0, offscreenRenderFromMainCamera.getWidth() - ((int) resources.getDimension(s.f.B1)), offscreenRenderFromMainCamera.getHeight());
            }
            g02 = ExtensionsKt.m(g02, offscreenRenderFromMainCamera);
        }
        s1.a aVar2 = this.f15649b;
        if (aVar2 == null) {
            l0.S("binding");
        } else {
            aVar = aVar2;
        }
        LoadingView loadingView = aVar.f25177b;
        l0.o(loadingView, "binding.loadingView");
        LoadingView.q(loadingView, g02, null, null, 6, null);
    }

    public final void f0(@a7.d NavController navController, @a7.d FragmentManager fragmentManager, @a7.d w4 w4Var) {
        int i7;
        l0.p(navController, "navController");
        l0.p(fragmentManager, "fragmentManager");
        l0.p(w4Var, "presentationInfo");
        T(true);
        H();
        NetLoggerConnector netLoggerConnector = NetLoggerConnector.INSTANCE;
        String b7 = w4Var.b();
        ArrayList<t2.a> a8 = w4Var.a();
        int i8 = 0;
        if (!(a8 instanceof Collection) || !a8.isEmpty()) {
            Iterator<T> it = a8.iterator();
            i7 = 0;
            while (it.hasNext()) {
                if ((!it.next().g()) && (i7 = i7 + 1) < 0) {
                    y.W();
                }
            }
        } else {
            i7 = 0;
        }
        ArrayList<t2.a> a9 = w4Var.a();
        if (!(a9 instanceof Collection) || !a9.isEmpty()) {
            Iterator<T> it2 = a9.iterator();
            while (it2.hasNext()) {
                if (it2.next().g() && (i8 = i8 + 1) < 0) {
                    y.W();
                }
            }
        }
        netLoggerConnector.presentationStartedFrom(b7, i7, i8);
        s1.a aVar = this.f15649b;
        if (aVar == null) {
            l0.S("binding");
            aVar = null;
        }
        aVar.f25179d.e0(w4Var.a(), navController, fragmentManager);
    }

    public final void o() {
        s1.a aVar = this.f15649b;
        if (aVar == null) {
            l0.S("binding");
            aVar = null;
        }
        aVar.f25179d.K();
    }

    /* access modifiers changed from: protected */
    @Override // androidx.activity.ComponentActivity, androidx.fragment.app.FragmentActivity
    public void onActivityResult(int i7, int i8, @a7.e Intent intent) {
        Uri data;
        super.onActivityResult(i7, i8, intent);
        if (i7 == 42) {
            if (i8 != -1) {
                NetLoggerConnector netLoggerConnector = NetLoggerConnector.INSTANCE;
                netLoggerConnector.folderImport("interactive", false, "SAF permission denied with result " + i8);
            } else if (intent != null && (data = intent.getData()) != null) {
                NetLoggerConnector netLoggerConnector2 = NetLoggerConnector.INSTANCE;
                netLoggerConnector2.devLog("bimxFolderImport: SAF permission granted with uri " + data);
                q qVar = this.f15648a;
                if (qVar == null) {
                    l0.S("viewModel");
                    qVar = null;
                }
                if (qVar.f(data) != null) {
                    if ((intent.getFlags() & 64) != 0) {
                        getContentResolver().takePersistableUriPermission(data, 1);
                    }
                    Q(data);
                    return;
                }
                netLoggerConnector2.folderImport("interactive", false, "no bimx folder found under " + data);
            } else {
                return;
            }
            Z();
        } else if (i7 == 112 && intent != null) {
            G(intent);
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.fragment.app.FragmentActivity
    public void onCreate(@a7.e Bundle bundle) {
        Intent intent;
        setTheme(s.o.f17497b);
        Context applicationContext = getApplicationContext();
        if (applicationContext != null) {
            R((BIMxApplication) applicationContext);
            q qVar = null;
            if (t().p()) {
                t().L(false);
                super.onCreate(null);
            } else {
                super.onCreate(bundle);
            }
            AppCompatDelegate.setDefaultNightMode(1);
            t().P(this);
            q qVar2 = (q) new ViewModelProvider(this).get(q.class);
            this.f15648a = qVar2;
            if (qVar2 == null) {
                l0.S("viewModel");
                qVar2 = null;
            }
            qVar2.i(this);
            Context applicationContext2 = getApplicationContext();
            if (applicationContext2 != null) {
                com.graphisoft.bimxlab.utils.feature.p.f17724a.L(applicationContext2, y(), E());
            }
            s1.a c7 = s1.a.c(getLayoutInflater());
            l0.o(c7, "inflate(layoutInflater)");
            this.f15649b = c7;
            if (c7 == null) {
                l0.S("binding");
                c7 = null;
            }
            setContentView(c7.getRoot());
            if (bundle == null && (intent = getIntent()) != null) {
                G(intent);
            }
            if (!t().o()) {
                t().K(true);
            }
            FirebaseMessaging.f().g().e(new n(com.google.android.gms.common.e.v().j(this), this));
            BIMxFirebaseMessagingService.f16693h.a(this);
            EventBus.getDefault().post(new j1.i0());
            q qVar3 = this.f15648a;
            if (qVar3 == null) {
                l0.S("viewModel");
                qVar3 = null;
            }
            if (!qVar3.j(this)) {
                q qVar4 = this.f15648a;
                if (qVar4 == null) {
                    l0.S("viewModel");
                    qVar4 = null;
                }
                FragmentManager supportFragmentManager = getSupportFragmentManager();
                l0.o(supportFragmentManager, "supportFragmentManager");
                qVar4.A(supportFragmentManager);
            } else {
                onStartImportFlowEvent(new v4());
            }
            q qVar5 = this.f15648a;
            if (qVar5 == null) {
                l0.S("viewModel");
                qVar5 = null;
            }
            if (!qVar5.m()) {
                getOnBackPressedDispatcher().addCallback(this, new f(this));
                q qVar6 = this.f15648a;
                if (qVar6 == null) {
                    l0.S("viewModel");
                } else {
                    qVar = qVar6;
                }
                qVar.u(true);
                return;
            }
            return;
        }
        throw new NullPointerException("null cannot be cast to non-null type com.graphisoft.bimxlab.BIMxApplication");
    }

    @Subscribe
    public final void onEndUploadingEvent(@a7.d r0 r0Var) {
        l0.p(r0Var, "event");
        s1.a aVar = this.f15649b;
        if (aVar == null) {
            l0.S("binding");
            aVar = null;
        }
        ExtensionsKt.c0(aVar.f25180e);
    }

    @Subscribe
    public final void onImportFoldersFinishEvent(@a7.d h1 h1Var) {
        l0.p(h1Var, "event");
        q qVar = this.f15648a;
        if (qVar == null) {
            l0.S("viewModel");
            qVar = null;
        }
        qVar.e(this);
        EventBus.getDefault().post(new n2());
        ExtensionsConnector.INSTANCE.loadInstalledExtensions(z(), x());
        if (I()) {
            s(this, false, null, 3, null);
        }
        onShowWhatsNewEvent(new u4());
    }

    @Subscribe
    public final void onImportOldFolderRequestEvent(@a7.d j1 j1Var) {
        l0.p(j1Var, "event");
        N();
    }

    /* access modifiers changed from: protected */
    @Override // androidx.activity.ComponentActivity
    public void onNewIntent(@a7.d Intent intent) {
        l0.p(intent, "intent");
        super.onNewIntent(intent);
        G(intent);
    }

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ActivityCompat.OnRequestPermissionsResultCallback, androidx.fragment.app.FragmentActivity
    public void onRequestPermissionsResult(int i7, @a7.d String[] strArr, @a7.d int[] iArr) {
        l0.p(strArr, "permissions");
        l0.p(iArr, "grantResults");
        super.onRequestPermissionsResult(i7, strArr, iArr);
        if (!isCameraEnabled()) {
            if (i7 == VRFragment.f15701f.a()) {
                Log.i("VR", getString(R.string.no_camera_permission));
                Toast.makeText(this, R.string.no_camera_permission, 1).show();
            }
            if (i7 == com.graphisoft.bimxlab.mailbox.fragment.b0.f16165i.a()) {
                Toast.makeText(this, getString(s.n.f17287a), 1).show();
            }
            if (!ActivityCompat.shouldShowRequestPermissionRationale(this, "android.permission.CAMERA")) {
                launchPermissionsSettings();
                return;
            }
            return;
        }
        EventBus.getDefault().post(new j1.h());
    }

    /* access modifiers changed from: protected */
    @Override // androidx.fragment.app.FragmentActivity
    public void onResume() {
        super.onResume();
        if (!ExtensionsKt.Q(this) && ExtensionsKt.N(this)) {
            H();
        }
        if (com.graphisoft.bimxlab.utils.manager.c.f17833a.F()) {
            m2 unused = l.f(m.a(), null, null, new g(null), 3, null);
        }
        r4.a<l2> aVar = this.f15653f;
        if (aVar != null) {
            aVar.invoke();
        }
        this.f15653f = null;
    }

    @Subscribe
    public final void onShowDiscountOfferDialogEvent(@a7.d o4 o4Var) {
        l0.p(o4Var, "event");
        q qVar = this.f15648a;
        if (qVar == null) {
            l0.S("viewModel");
            qVar = null;
        }
        if (qVar.y(F(), z())) {
            Y();
        }
    }

    @Subscribe
    public final void onShowExtensionInstallErrorDialogEvent(@a7.d p4 p4Var) {
        l0.p(p4Var, "event");
        com.graphisoft.bimxlab.utils.manager.a aVar = com.graphisoft.bimxlab.utils.manager.a.f17786a;
        Resources resources = getResources();
        l0.o(resources, "resources");
        FragmentManager supportFragmentManager = getSupportFragmentManager();
        l0.o(supportFragmentManager, "supportFragmentManager");
        aVar.q(resources, supportFragmentManager);
    }

    @Subscribe
    public final void onShowExtensionInstalledDialogEvent(@a7.d q4 q4Var) {
        l0.p(q4Var, "event");
        com.graphisoft.bimxlab.utils.manager.a aVar = com.graphisoft.bimxlab.utils.manager.a.f17786a;
        String a8 = q4Var.a();
        Resources resources = getResources();
        l0.o(resources, "resources");
        FragmentManager supportFragmentManager = getSupportFragmentManager();
        l0.o(supportFragmentManager, "supportFragmentManager");
        aVar.r(a8, resources, supportFragmentManager);
    }

    @Subscribe
    public final void onShowExtensionNotInstalledDialogEvent(@a7.d r4 r4Var) {
        l0.p(r4Var, "event");
        com.graphisoft.bimxlab.utils.manager.a aVar = com.graphisoft.bimxlab.utils.manager.a.f17786a;
        Resources resources = getResources();
        l0.o(resources, "resources");
        FragmentManager supportFragmentManager = getSupportFragmentManager();
        l0.o(supportFragmentManager, "supportFragmentManager");
        aVar.s(resources, supportFragmentManager);
    }

    @Subscribe
    public final void onShowWhatsNewEvent(@a7.d u4 u4Var) {
        l0.p(u4Var, "event");
        q qVar = this.f15648a;
        if (qVar == null) {
            l0.S("viewModel");
            qVar = null;
        }
        if (qVar.z(F())) {
            b0();
        } else {
            onShowDiscountOfferDialogEvent(new o4());
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity
    public void onStart() {
        super.onStart();
        EventBus.getDefault().register(this);
    }

    @Subscribe
    public final void onStartImportFlowEvent(@a7.d v4 v4Var) {
        l0.p(v4Var, "event");
        q qVar = this.f15648a;
        if (qVar == null) {
            l0.S("viewModel");
            qVar = null;
        }
        if (qVar.l(this)) {
            d0(this, false, null, null, 6, null);
            m2 unused = l.f(m.a(), null, null, new h(this, null), 3, null);
            return;
        }
        onShowWhatsNewEvent(new u4());
    }

    @Subscribe
    public final void onStartUploadingEvent(@a7.d x4 x4Var) {
        l0.p(x4Var, "event");
        s1.a aVar = this.f15649b;
        s1.a aVar2 = null;
        if (aVar == null) {
            l0.S("binding");
            aVar = null;
        }
        aVar.f25180e.setCancelAction(x4Var.a());
        s1.a aVar3 = this.f15649b;
        if (aVar3 == null) {
            l0.S("binding");
        } else {
            aVar2 = aVar3;
        }
        ExtensionsKt.e0(aVar2.f25180e);
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity
    public void onStop() {
        super.onStop();
        EventBus.getDefault().unregister(this);
    }

    public void onWindowFocusChanged(boolean z7) {
        super.onWindowFocusChanged(z7);
        if (!ExtensionsKt.Q(this) && ExtensionsKt.N(this) && z7) {
            H();
        }
    }

    public final void r(boolean z7, @a7.d r4.a<l2> aVar) {
        l0.p(aVar, "postAction");
        s1.a aVar2 = this.f15649b;
        if (aVar2 == null) {
            l0.S("binding");
            aVar2 = null;
        }
        aVar2.f25177b.l(z7, aVar);
    }

    @a7.d
    public final BIMxApplication t() {
        BIMxApplication bIMxApplication = this.f15650c;
        if (bIMxApplication != null) {
            return bIMxApplication;
        }
        l0.S("application");
        return null;
    }

    public final int u() {
        return t().m();
    }

    @a7.d
    public final Runnable v() {
        return this.f15652e;
    }

    @a7.d
    public final Runnable w() {
        return this.f15651d;
    }

    @a7.d
    public final ExtensionManagerHandle x() {
        return t().n();
    }

    @a7.d
    public final DataAddress y() {
        return t().q();
    }

    @a7.d
    public final LicenseHandle z() {
        return t().r();
    }
}
