package com.graphisoft.bimxlab.viewer2D.fragment;

import android.app.Activity;
import android.content.Context;
import android.content.res.Resources;
import android.graphics.Bitmap;
import android.graphics.RectF;
import android.os.Bundle;
import android.print.PrintAttributes;
import android.print.PrintManager;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.activity.OnBackPressedCallback;
import androidx.constraintlayout.widget.ConstraintSet;
import androidx.core.content.res.ResourcesCompat;
import androidx.core.view.ViewGroupKt;
import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentActivity;
import androidx.fragment.app.FragmentManager;
import androidx.lifecycle.ViewModelProvider;
import androidx.navigation.NavController;
import androidx.navigation.fragment.FragmentKt;
import androidx.viewpager.widget.ViewPager;
import com.graphisoft.bimx.connector.LicenseManagerConnector;
import com.graphisoft.bimx.connector.NetLoggerConnector;
import com.graphisoft.bimx.connector.OpenUrlConnector;
import com.graphisoft.bimx.connector.PubItem2DPageDataConnector;
import com.graphisoft.bimx.connector.PubItem2dBookDataConnector;
import com.graphisoft.bimx.connector.UserPreferencesConnector;
import com.graphisoft.bimx.connector.contentspecification.ContentSpecification;
import com.graphisoft.bimx.connector.contentspecification.PubItem2dPageContentSpec;
import com.graphisoft.bimx.connector.contentspecification.PubItem2dPageContentSpecWithDrawing;
import com.graphisoft.bimx.connector.contentspecification.PubItem3dContentSpec;
import com.graphisoft.bimx.connector.contentspecification.PubItem3dContentSpecWithElement;
import com.graphisoft.bimx.connector.contentspecification.PubItem3dContentSpecWithSelectionDeterminedCamera;
import com.graphisoft.bimx.connector.contentspecification.PubItem3dContentSpecWithVisualState;
import com.graphisoft.bimx.connector.data.OperationResult;
import com.graphisoft.bimx.connector.data.PubItem2DPageData;
import com.graphisoft.bimx.connector.data.TextSplotch;
import com.graphisoft.bimx.connector.dataaddresses.PublisherItemDataAddress;
import com.graphisoft.bimx.connector.dataaddresses.PublisherItemPageDataAddress;
import com.graphisoft.bimx.connector.dataaddresses.PublisherItemPageDataAddressKt;
import com.graphisoft.bimx.connector.dataaddresses.ZoneStampDataAddress;
import com.graphisoft.bimx.connector.enums.OperationResultCode;
import com.graphisoft.bimx.connector.enums.SettingsVariableName;
import com.graphisoft.bimx.connector.handles.LicenseHandle;
import com.graphisoft.bimx.connector.handles.MeasurePolygon2DHandle;
import com.graphisoft.bimx.connector.handles.PubItem2DPageDataHandle;
import com.graphisoft.bimx.connector.handles.UserPreferencesStorageHandle;
import com.graphisoft.bimxlab.MainActivity;
import com.graphisoft.bimxlab.base.ExtensionsKt;
import com.graphisoft.bimxlab.base.enums.NavigatorTransitionStyle;
import com.graphisoft.bimxlab.base.event.MoreOptionsOpenEvent;
import com.graphisoft.bimxlab.base.view.BaseViewPager;
import com.graphisoft.bimxlab.base.view.IconTextView;
import com.graphisoft.bimxlab.base.view.LoadingView;
import com.graphisoft.bimxlab.base.view.TitleBarView;
import com.graphisoft.bimxlab.elementPopup.model.ElementPopUpFragmentData;
import com.graphisoft.bimxlab.linkPopup.model.LinkPopUpFragmentData;
import com.graphisoft.bimxlab.markerPopup.model.MarkerPopUpFragmentData;
import com.graphisoft.bimxlab.measure.MeasurePanTool;
import com.graphisoft.bimxlab.measure.MeasurePolygon2DLayout;
import com.graphisoft.bimxlab.measure.model.MeasureScaleSelectorFragmentData;
import com.graphisoft.bimxlab.moreOptions.model.ShareData;
import com.graphisoft.bimxlab.print.model.PrintFragmentData;
import com.graphisoft.bimxlab.rightContainer.fragment.RightContainerFragment;
import com.graphisoft.bimxlab.s;
import com.graphisoft.bimxlab.utils.feature.p;
import com.graphisoft.bimxlab.utils.manager.v;
import com.graphisoft.bimxlab.viewer2D.model.Viewer2DFragmentData;
import com.graphisoft.bimxlab.viewer2D.tileview.h;
import com.graphisoft.bimxlab.viewer2D.view.Viewer2DTileView;
import com.graphisoft.bimxlab.zonePopup.model.ElementInfoPopUpFragmentData;
import j1.a2;
import j1.b2;
import j1.c1;
import j1.c3;
import j1.d1;
import j1.d4;
import j1.e3;
import j1.f3;
import j1.f5;
import j1.i4;
import j1.j4;
import j1.k4;
import j1.l4;
import j1.m4;
import j1.n;
import j1.o0;
import j1.q;
import j1.q0;
import j1.s5;
import j1.u1;
import j1.u3;
import j1.v1;
import j1.w3;
import j1.w4;
import j1.x;
import j1.x0;
import j1.x1;
import j1.y0;
import j1.y1;
import j1.y2;
import j1.z1;
import java.util.ArrayList;
import java.util.NoSuchElementException;
import java.util.UUID;
import kotlin.collections.y;
import kotlin.coroutines.jvm.internal.o;
import kotlin.e1;
import kotlin.i0;
import kotlin.jvm.internal.k1;
import kotlin.jvm.internal.l0;
import kotlin.jvm.internal.n0;
import kotlin.l2;
import kotlin.sequences.m;
import kotlin.text.b0;
import kotlinx.coroutines.l;
import kotlinx.coroutines.m2;
import kotlinx.coroutines.t0;
import org.greenrobot.eventbus.EventBus;
import org.greenrobot.eventbus.Subscribe;
import s1.v0;

@i0(d1 = {"\u0000Ø\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\t\n\u0002\u0018\u0002\n\u0002\b\u0004\n\u0002\u0010\u000b\n\u0002\b\u0006\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0007\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0007\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0010\u000e\n\u0002\b\u0003\n\u0002\u0010\b\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\t\u0018\u00002\u00020\u00012\u00020\u0002B\t¢\u0006\u0006\b\u0001\u0010\u0001J\b\u0010\u0004\u001a\u00020\u0003H\u0002J\b\u0010\u0005\u001a\u00020\u0003H\u0002J\b\u0010\u0006\u001a\u00020\u0003H\u0002J\b\u0010\u0007\u001a\u00020\u0003H\u0002J\b\u0010\b\u001a\u00020\u0003H\u0002J\b\u0010\t\u001a\u00020\u0003H\u0002J\b\u0010\n\u001a\u00020\u0003H\u0002J\b\u0010\u000b\u001a\u00020\u0003H\u0002J\b\u0010\f\u001a\u00020\u0003H\u0002J\u0012\u0010\u000f\u001a\u00020\u00032\b\u0010\u000e\u001a\u0004\u0018\u00010\rH\u0002J\b\u0010\u0010\u001a\u00020\u0003H\u0002J\b\u0010\u0011\u001a\u00020\u0003H\u0002J\u0012\u0010\u0014\u001a\u00020\u00032\b\b\u0002\u0010\u0013\u001a\u00020\u0012H\u0002J\u0010\u0010\u0016\u001a\u00020\u00032\u0006\u0010\u0015\u001a\u00020\u0012H\u0002J\u0010\u0010\u0017\u001a\u00020\u00032\u0006\u0010\u0015\u001a\u00020\u0012H\u0002J\u0010\u0010\u0018\u001a\u00020\u00032\u0006\u0010\u0015\u001a\u00020\u0012H\u0002J\n\u0010\u001a\u001a\u0004\u0018\u00010\u0019H\u0002J\b\u0010\u001b\u001a\u00020\u0003H\u0002J\b\u0010\u001c\u001a\u00020\u0003H\u0002J\n\u0010\u001e\u001a\u0004\u0018\u00010\u001dH\u0002J\u0012\u0010 \u001a\u00020\u00032\b\u0010\u001f\u001a\u0004\u0018\u00010\u001dH\u0002J \u0010&\u001a\u00020\u00032\u0006\u0010\"\u001a\u00020!2\u0006\u0010$\u001a\u00020#2\u0006\u0010%\u001a\u00020\rH\u0002J\u001a\u0010)\u001a\u00020\u00032\u0006\u0010\"\u001a\u00020!2\b\u0010(\u001a\u0004\u0018\u00010'H\u0002J\u0012\u0010+\u001a\u0004\u0018\u00010*2\u0006\u0010%\u001a\u00020\rH\u0002J&\u00103\u001a\u0004\u0018\u0001022\u0006\u0010-\u001a\u00020,2\b\u0010/\u001a\u0004\u0018\u00010.2\b\u00101\u001a\u0004\u0018\u000100H\u0016J\u001a\u00105\u001a\u00020\u00032\u0006\u00104\u001a\u0002022\b\u00101\u001a\u0004\u0018\u000100H\u0016J\b\u00106\u001a\u00020\u0003H\u0016J\u0006\u00107\u001a\u00020\u0003J\u000e\u0010:\u001a\u00020\u00032\u0006\u00109\u001a\u000208J\b\u0010<\u001a\u0004\u0018\u00010;J\b\u0010=\u001a\u0004\u0018\u00010'J\b\u0010>\u001a\u0004\u0018\u00010\rJ\b\u0010?\u001a\u0004\u0018\u00010*J\u0006\u0010@\u001a\u00020\u0003J\"\u0010F\u001a\u0004\u0018\u00010E2\u0006\u0010A\u001a\u00020'2\u0006\u0010B\u001a\u00020\u00122\u0006\u0010D\u001a\u00020CH\u0016J\u0010\u0010H\u001a\u00020\u00032\u0006\u0010$\u001a\u00020GH\u0007J\u0010\u0010J\u001a\u00020\u00032\u0006\u0010$\u001a\u00020IH\u0007J\u0010\u0010L\u001a\u00020\u00032\u0006\u0010$\u001a\u00020KH\u0007J\u0010\u0010N\u001a\u00020\u00032\u0006\u0010$\u001a\u00020MH\u0007J\u0010\u0010P\u001a\u00020\u00032\u0006\u0010$\u001a\u00020OH\u0007J\u0010\u0010R\u001a\u00020\u00032\u0006\u0010$\u001a\u00020QH\u0007J\u0010\u0010T\u001a\u00020\u00032\u0006\u0010$\u001a\u00020SH\u0007J\u0010\u0010V\u001a\u00020\u00032\u0006\u0010$\u001a\u00020UH\u0007J\u0010\u0010X\u001a\u00020\u00032\u0006\u0010$\u001a\u00020WH\u0007J\u0010\u0010Z\u001a\u00020\u00032\u0006\u0010$\u001a\u00020YH\u0007J\u0010\u0010\\\u001a\u00020\u00032\u0006\u0010$\u001a\u00020[H\u0007J\u0010\u0010^\u001a\u00020\u00032\u0006\u0010$\u001a\u00020]H\u0007J\u0010\u0010`\u001a\u00020\u00032\u0006\u0010$\u001a\u00020_H\u0007J\u0010\u0010b\u001a\u00020\u00032\u0006\u0010$\u001a\u00020aH\u0007J\u0010\u0010d\u001a\u00020\u00032\u0006\u0010$\u001a\u00020cH\u0007J\u0010\u0010f\u001a\u00020\u00032\u0006\u0010$\u001a\u00020eH\u0007J\u0010\u0010h\u001a\u00020\u00032\u0006\u0010$\u001a\u00020gH\u0007J\u0010\u0010j\u001a\u00020\u00032\u0006\u0010$\u001a\u00020iH\u0007J\u0010\u0010l\u001a\u00020\u00032\u0006\u0010$\u001a\u00020kH\u0007J\u0010\u0010n\u001a\u00020\u00032\u0006\u0010$\u001a\u00020mH\u0007J\u0010\u0010p\u001a\u00020\u00032\u0006\u0010$\u001a\u00020oH\u0007J\u0010\u0010r\u001a\u00020\u00032\u0006\u0010$\u001a\u00020qH\u0007J\u0010\u0010s\u001a\u00020\u00032\u0006\u0010$\u001a\u00020#H\u0007J\u0010\u0010u\u001a\u00020\u00032\u0006\u0010$\u001a\u00020tH\u0007J\u0010\u0010w\u001a\u00020\u00032\u0006\u0010$\u001a\u00020vH\u0007J\u0010\u0010y\u001a\u00020\u00032\u0006\u0010$\u001a\u00020xH\u0007J\u0010\u0010{\u001a\u00020\u00032\u0006\u0010$\u001a\u00020zH\u0007J\u0010\u0010}\u001a\u00020\u00032\u0006\u0010$\u001a\u00020|H\u0007J\u0010\u0010\u001a\u00020\u00032\u0006\u0010$\u001a\u00020~H\u0007R*\u0010\u0001\u001a\u00030\u00018\u0006@\u0006X.¢\u0006\u0018\n\u0006\b\u0001\u0010\u0001\u001a\u0006\b\u0001\u0010\u0001\"\u0006\b\u0001\u0010\u0001R\u001c\u0010\u0001\u001a\u0005\u0018\u00010\u00018\u0002@\u0002X\u000e¢\u0006\b\n\u0006\b\u0001\u0010\u0001R\u001c\u0010\u0001\u001a\u0005\u0018\u00010\u00018\u0002@\u0002X\u000e¢\u0006\b\n\u0006\b\u0001\u0010\u0001R\u001b\u0010\u0001\u001a\u0005\u0018\u00010\u00018\u0002@\u0002X\u000e¢\u0006\u0007\n\u0005\bF\u0010\u0001R\u001c\u0010\u0001\u001a\u0005\u0018\u00010\u00018\u0002@\u0002X\u000e¢\u0006\b\n\u0006\b\u0001\u0010\u0001R\u001b\u0010\u0001\u001a\u0004\u0018\u00010'8\u0002@\u0002X\u000e¢\u0006\b\n\u0006\b\u0001\u0010\u0001¨\u0006\u0001"}, d2 = {"Lcom/graphisoft/bimxlab/viewer2D/fragment/Viewer2DFragment;", "Lcom/graphisoft/bimxlab/base/fragment/e;", "Lv2/b;", "Lkotlin/l2;", "B", "P", "Q", "b0", "c0", "S", "k0", "f0", "d0", "Lcom/graphisoft/bimxlab/viewer2D/view/g;", "pageView", "e0", "U", "V", "", "forceFit", "Y", "visible", "T", "j0", "h0", "Lcom/graphisoft/bimx/connector/contentspecification/PubItem3dContentSpec;", "E", "l0", "L", "Lcom/graphisoft/bimx/connector/contentspecification/ContentSpecification;", "G", "contentSpec", "C", "Landroid/content/Context;", "context", "Lj1/u3;", "event", "currentPageView", "W", "Landroid/graphics/RectF;", "rect", "X", "Landroid/graphics/Bitmap;", "J", "Landroid/view/LayoutInflater;", "inflater", "Landroid/view/ViewGroup;", "container", "Landroid/os/Bundle;", "savedInstanceState", "Landroid/view/View;", "onCreateView", "view", "onViewCreated", "onDestroyView", "M", "Lcom/graphisoft/bimxlab/viewer2D/model/Viewer2DFragmentData;", "fragmentData", "a0", "Lq3/b;", "H", "D", "I", "F", "g0", "contentRect", "isLandscape", "Landroid/print/PrintAttributes;", "attributes", "Lv2/a;", "g", "Lj1/l;", "onChangeScreenTitleEvent", "Lj1/y2;", "onNavigateToPrintEvent", "Lj1/a2;", "onMeasureSelectedEvent", "Lj1/z1;", "onMeasureScaleShowEvent", "Lj1/y1;", "onMeasureScaleSelectedEvent", "Lj1/l4;", "onSelectMarkerEvent", "Lj1/j4;", "onSetSelectedIESMarkerEvent", "Lj1/m4;", "onSetSelectedZoneEvent", "Lj1/i4;", "onSetSelectedElementEvent", "Lj1/k4;", "onSetSelectedLinkEvent", "Lj1/x1;", "onMeasureScaleDisplayRefreshEvent", "Lcom/graphisoft/bimxlab/base/event/MoreOptionsOpenEvent;", "onMoreOptionsOpenEvent", "Lj1/s5;", "onViewer2DTileViewReady", "Lj1/c3;", "onNavigateToViewer3DEvent", "Lj1/e3;", "onNavigationHistoryModifiedEvent", "Lj1/o0;", "onElementShow3DEvent", "Lj1/v1;", "onMarkerPopUpOpen3DEvent", "Lj1/u1;", "onMarkerPopUpOpen2DEvent", "Lj1/y0;", "onFitToScreenEvent", "Lj1/x0;", "onFitToActualSizeEvent", "Lj1/w4;", "onStartPresentationEvent", "Lj1/q0;", "onEndPresentationEvent", "onPrintEvent", "Lj1/f5;", "onUpdateBookmarkIconEvent", "Lj1/v0;", "onFavoriteItemSelectedEvent", "Lj1/c1;", "onGetContentSpecForNewFavoriteEvent", "Lj1/d1;", "onGetContentSpecWithBitmapForAttachment", "Lj1/b2;", "onMeasureUseUpTapEvent", "Lj1/f3;", "onNavigationHistoryRemoveCompletionEvent", "Lcom/graphisoft/bimxlab/viewer2D/viewModel/e;", "d", "Lcom/graphisoft/bimxlab/viewer2D/viewModel/e;", "K", "()Lcom/graphisoft/bimxlab/viewer2D/viewModel/e;", "i0", "(Lcom/graphisoft/bimxlab/viewer2D/viewModel/e;)V", "viewModel", "Lq3/a;", "e", "Lq3/a;", "adapter", "", "f", "Ljava/lang/String;", "previousTag", "", "Ljava/lang/Integer;", "preferencesObserverId", "Ls1/v0;", "h", "Ls1/v0;", "binding", "i", "Landroid/graphics/RectF;", "printZoomRect", "<init>", "()V", "app_arm64Release"}, k = 1, mv = {1, 6, 0})
public final class Viewer2DFragment extends com.graphisoft.bimxlab.base.fragment.e implements v2.b {

    /* renamed from: d  reason: collision with root package name */
    public com.graphisoft.bimxlab.viewer2D.viewModel.e f17937d;
    @a7.e

    /* renamed from: e  reason: collision with root package name */
    private q3.a f17938e;
    @a7.e

    /* renamed from: f  reason: collision with root package name */
    private String f17939f;
    @a7.e

    /* renamed from: g  reason: collision with root package name */
    private Integer f17940g;
    @a7.e

    /* renamed from: h  reason: collision with root package name */
    private v0 f17941h;
    @a7.e

    /* renamed from: i  reason: collision with root package name */
    private RectF f17942i;

    /* access modifiers changed from: package-private */
    public static final class a extends n0 implements r4.a<l2> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ Viewer2DFragment f17943f;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        a(Viewer2DFragment viewer2DFragment) {
            super(0);
            this.f17943f = viewer2DFragment;
        }

        @Override // r4.a
        public final void invoke() {
            this.f17943f.U();
        }
    }

    /* access modifiers changed from: package-private */
    public static final class b extends n0 implements r4.a<ArrayList<i1.g>> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ Viewer2DFragment f17944f;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        b(Viewer2DFragment viewer2DFragment) {
            super(0);
            this.f17944f = viewer2DFragment;
        }

        @a7.d
        /* renamed from: c */
        public final ArrayList<i1.g> invoke() {
            TitleBarView titleBarView;
            ArrayList<i1.g> hiddenItems;
            v0 v0Var = this.f17944f.f17941h;
            return (v0Var == null || (titleBarView = v0Var.f25815e) == null || (hiddenItems = titleBarView.getHiddenItems()) == null) ? new ArrayList<>() : hiddenItems;
        }
    }

    public static final class c extends OnBackPressedCallback {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ Viewer2DFragment f17945a;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        c(Viewer2DFragment viewer2DFragment) {
            super(true);
            this.f17945a = viewer2DFragment;
        }

        @Override // androidx.activity.OnBackPressedCallback
        public void handleOnBackPressed() {
            FragmentActivity activity = this.f17945a.getActivity();
            MainActivity mainActivity = activity instanceof MainActivity ? (MainActivity) activity : null;
            if (mainActivity != null) {
                for (Fragment fragment : mainActivity.getSupportFragmentManager().getFragments()) {
                    if (fragment instanceof RightContainerFragment) {
                        FragmentManager childFragmentManager = ((RightContainerFragment) fragment).getChildFragmentManager();
                        l0.o(childFragmentManager, "fragment.childFragmentManager");
                        if (childFragmentManager.getBackStackEntryCount() > 0) {
                            EventBus.getDefault().post(new d4());
                            return;
                        }
                    }
                }
            }
            boolean z7 = false;
            if (mainActivity != null && mainActivity.K()) {
                z7 = true;
            }
            if (z7) {
                mainActivity.o();
            } else {
                this.f17945a.U();
            }
        }
    }

    public static final class d implements ViewPager.OnPageChangeListener {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ Viewer2DFragment f17946a;

        d(Viewer2DFragment viewer2DFragment) {
            this.f17946a = viewer2DFragment;
        }

        @Override // androidx.viewpager.widget.ViewPager.OnPageChangeListener
        public void onPageScrollStateChanged(int i7) {
            com.graphisoft.bimxlab.utils.manager.b.f17800a.Z(true);
        }

        @Override // androidx.viewpager.widget.ViewPager.OnPageChangeListener
        public void onPageScrolled(int i7, float f7, int i8) {
        }

        @Override // androidx.viewpager.widget.ViewPager.OnPageChangeListener
        public void onPageSelected(int i7) {
            PubItem2DPageData c7;
            BaseViewPager baseViewPager;
            m<View> children;
            PublisherItemPageDataAddress a8;
            ArrayList<q3.b> b7;
            q3.a aVar = this.f17946a.f17938e;
            Object obj = null;
            q3.b bVar = (aVar == null || (b7 = aVar.b()) == null) ? null : b7.get(i7);
            String uniqueIDString = (bVar == null || (a8 = bVar.a()) == null) ? null : PublisherItemPageDataAddressKt.uniqueIDString(a8);
            v0 v0Var = this.f17946a.f17941h;
            if (!(v0Var == null || (baseViewPager = v0Var.f25816f) == null || (children = ViewGroupKt.getChildren(baseViewPager)) == null)) {
                Viewer2DFragment viewer2DFragment = this.f17946a;
                for (View view : children) {
                    if (!l0.g(uniqueIDString, viewer2DFragment.f17939f) && l0.g(view.getTag(), viewer2DFragment.f17939f)) {
                        viewer2DFragment.f17939f = uniqueIDString;
                        com.graphisoft.bimxlab.utils.manager.b.f17800a.d(((com.graphisoft.bimxlab.viewer2D.view.g) view).getTileView().getCurrentFragmentData());
                    }
                    com.graphisoft.bimxlab.viewer2D.view.g gVar = (com.graphisoft.bimxlab.viewer2D.view.g) view;
                    ExtensionsKt.c0(gVar.getMeasureScaleLinearLayout());
                    com.graphisoft.bimxlab.viewer2D.tileview.plugins.f measurePlugin = gVar.getTileView().getMeasurePlugin();
                    if (measurePlugin != null) {
                        measurePlugin.k();
                    }
                    viewer2DFragment.K().Q(false);
                }
            }
            com.graphisoft.bimxlab.viewer2D.view.g I = this.f17946a.I();
            if (!(b0.L1(this.f17946a.K().i(), String.valueOf(I != null ? I.getTag() : null), false, 2, null))) {
                this.f17946a.k0();
            }
            com.graphisoft.bimxlab.viewer2D.viewModel.e K = this.f17946a.K();
            if (I != null) {
                obj = I.getTag();
            }
            K.M(String.valueOf(obj));
            if (!(bVar == null || (c7 = bVar.c()) == null)) {
                p.f17724a.I().f(c7.isLayout());
            }
            this.f17946a.B();
        }
    }

    @kotlin.coroutines.jvm.internal.f(c = "com.graphisoft.bimxlab.viewer2D.fragment.Viewer2DFragment$onMarkerPopUpOpen3DEvent$1", f = "Viewer2DFragment.kt", i = {}, l = {775}, m = "invokeSuspend", n = {}, s = {})
    static final class e extends o implements r4.p<t0, kotlin.coroutines.d<? super l2>, Object> {

        /* renamed from: f  reason: collision with root package name */
        int f17947f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ v1 f17948g;

        /* renamed from: p  reason: collision with root package name */
        final /* synthetic */ Viewer2DFragment f17949p;

        /* access modifiers changed from: package-private */
        @kotlin.coroutines.jvm.internal.f(c = "com.graphisoft.bimxlab.viewer2D.fragment.Viewer2DFragment$onMarkerPopUpOpen3DEvent$1$2", f = "Viewer2DFragment.kt", i = {}, l = {}, m = "invokeSuspend", n = {}, s = {})
        public static final class a extends o implements r4.p<t0, kotlin.coroutines.d<? super l2>, Object> {

            /* renamed from: f  reason: collision with root package name */
            int f17950f;

            /* renamed from: g  reason: collision with root package name */
            final /* synthetic */ OperationResult<UUID> f17951g;

            /* renamed from: p  reason: collision with root package name */
            final /* synthetic */ v1 f17952p;

            /* renamed from: x  reason: collision with root package name */
            final /* synthetic */ Viewer2DFragment f17953x;

            /* JADX INFO: super call moved to the top of the method (can break code semantics) */
            a(OperationResult<UUID> operationResult, v1 v1Var, Viewer2DFragment viewer2DFragment, kotlin.coroutines.d<? super a> dVar) {
                super(2, dVar);
                this.f17951g = operationResult;
                this.f17952p = v1Var;
                this.f17953x = viewer2DFragment;
            }

            @Override // kotlin.coroutines.jvm.internal.a
            @a7.d
            public final kotlin.coroutines.d<l2> create(@a7.e Object obj, @a7.d kotlin.coroutines.d<?> dVar) {
                return new a(this.f17951g, this.f17952p, this.f17953x, dVar);
            }

            @Override // kotlin.coroutines.jvm.internal.a
            @a7.e
            public final Object invokeSuspend(@a7.d Object obj) {
                Object unused = kotlin.coroutines.intrinsics.d.h();
                if (this.f17950f == 0) {
                    e1.n(obj);
                    if (this.f17951g.getResultCode() == OperationResultCode.eSuccess) {
                        PublisherItemPageDataAddress address = this.f17952p.a().getContentSpec().getAddress();
                        UUID resultObject = this.f17951g.getResultObject();
                        l0.o(resultObject, "mostRelevant3dIdRes.resultObject");
                        PubItem3dContentSpecWithVisualState pubItem3dContentSpecWithVisualState = new PubItem3dContentSpecWithVisualState(new PublisherItemDataAddress(address, resultObject), null);
                        com.graphisoft.bimxlab.utils.manager.b bVar = com.graphisoft.bimxlab.utils.manager.b.f17800a;
                        NavController findNavController = FragmentKt.findNavController(this.f17953x);
                        FragmentManager parentFragmentManager = this.f17953x.getParentFragmentManager();
                        l0.o(parentFragmentManager, "parentFragmentManager");
                        bVar.H(findNavController, parentFragmentManager, pubItem3dContentSpecWithVisualState);
                    } else {
                        FragmentActivity activity = this.f17953x.getActivity();
                        MainActivity mainActivity = activity instanceof MainActivity ? (MainActivity) activity : null;
                        if (mainActivity != null) {
                            MainActivity.s(mainActivity, false, null, 3, null);
                        }
                        if (this.f17951g.getResultCode() == OperationResultCode.eFailureModelBoundingBoxMissing) {
                            com.graphisoft.bimxlab.utils.manager.a aVar = com.graphisoft.bimxlab.utils.manager.a.f17786a;
                            Resources resources = this.f17953x.getResources();
                            l0.o(resources, "resources");
                            FragmentManager parentFragmentManager2 = this.f17953x.getParentFragmentManager();
                            l0.o(parentFragmentManager2, "parentFragmentManager");
                            aVar.e(resources, parentFragmentManager2);
                        } else if (this.f17951g.getResultCode() == OperationResultCode.eFailureModelBoundingBoxInvalid) {
                            com.graphisoft.bimxlab.utils.manager.a aVar2 = com.graphisoft.bimxlab.utils.manager.a.f17786a;
                            Resources resources2 = this.f17953x.getResources();
                            l0.o(resources2, "resources");
                            FragmentManager parentFragmentManager3 = this.f17953x.getParentFragmentManager();
                            l0.o(parentFragmentManager3, "parentFragmentManager");
                            aVar2.d(resources2, parentFragmentManager3);
                        }
                    }
                    return l2.f19890a;
                }
                throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
            }

            @a7.e
            public final Object invoke(@a7.d t0 t0Var, @a7.e kotlin.coroutines.d<? super l2> dVar) {
                return ((a) create(t0Var, dVar)).invokeSuspend(l2.f19890a);
            }
        }

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        e(v1 v1Var, Viewer2DFragment viewer2DFragment, kotlin.coroutines.d<? super e> dVar) {
            super(2, dVar);
            this.f17948g = v1Var;
            this.f17949p = viewer2DFragment;
        }

        @Override // kotlin.coroutines.jvm.internal.a
        @a7.d
        public final kotlin.coroutines.d<l2> create(@a7.e Object obj, @a7.d kotlin.coroutines.d<?> dVar) {
            return new e(this.f17948g, this.f17949p, dVar);
        }

        @Override // kotlin.coroutines.jvm.internal.a
        @a7.e
        public final Object invokeSuspend(@a7.d Object obj) {
            PubItem2DPageDataConnector pubItem2DPageDataConnector;
            PubItem2DPageDataHandle createHandleWith;
            Object obj2 = kotlin.coroutines.intrinsics.d.h();
            int i7 = this.f17947f;
            if (i7 == 0) {
                e1.n(obj);
                this.f17947f = 1;
                if (kotlinx.coroutines.e1.b(1000, this) == obj2) {
                    return obj2;
                }
            } else if (i7 == 1) {
                e1.n(obj);
            } else {
                throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
            }
            k1.h hVar = new k1.h();
            hVar.f19817f = (T) new RectF();
            PubItem2dPageContentSpec contentSpec = this.f17948g.a().getContentSpec();
            PubItem2dPageContentSpecWithDrawing pubItem2dPageContentSpecWithDrawing = contentSpec instanceof PubItem2dPageContentSpecWithDrawing ? (PubItem2dPageContentSpecWithDrawing) contentSpec : null;
            if (!(pubItem2dPageContentSpecWithDrawing == null || (createHandleWith = (pubItem2DPageDataConnector = PubItem2DPageDataConnector.INSTANCE).createHandleWith(pubItem2dPageContentSpecWithDrawing.getAddress())) == null)) {
                hVar.f19817f = (T) pubItem2DPageDataConnector.getDrawingZoomRectOf(createHandleWith, pubItem2dPageContentSpecWithDrawing.getDrawingId());
            }
            m2 unused = l.f(com.graphisoft.bimxlab.m.b(), null, null, new a(PubItem2dBookDataConnector.INSTANCE.findMostRelevant3dTo(this.f17948g.a().getContentSpec().getAddress(), hVar.f19817f, v.f17874a.U()), this.f17948g, this.f17949p, null), 3, null);
            return l2.f19890a;
        }

        @a7.e
        public final Object invoke(@a7.d t0 t0Var, @a7.e kotlin.coroutines.d<? super l2> dVar) {
            return ((e) create(t0Var, dVar)).invokeSuspend(l2.f19890a);
        }
    }

    @kotlin.coroutines.jvm.internal.f(c = "com.graphisoft.bimxlab.viewer2D.fragment.Viewer2DFragment$onNavigationHistoryModifiedEvent$1", f = "Viewer2DFragment.kt", i = {}, l = {}, m = "invokeSuspend", n = {}, s = {})
    static final class f extends o implements r4.p<t0, kotlin.coroutines.d<? super l2>, Object> {

        /* renamed from: f  reason: collision with root package name */
        int f17954f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ Viewer2DFragment f17955g;

        /* access modifiers changed from: package-private */
        public static final class a extends n0 implements r4.a<l2> {

            /* renamed from: f  reason: collision with root package name */
            final /* synthetic */ Viewer2DFragment f17956f;

            /* JADX INFO: super call moved to the top of the method (can break code semantics) */
            a(Viewer2DFragment viewer2DFragment) {
                super(0);
                this.f17956f = viewer2DFragment;
            }

            @Override // r4.a
            public final void invoke() {
                this.f17956f.U();
            }
        }

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        f(Viewer2DFragment viewer2DFragment, kotlin.coroutines.d<? super f> dVar) {
            super(2, dVar);
            this.f17955g = viewer2DFragment;
        }

        @Override // kotlin.coroutines.jvm.internal.a
        @a7.d
        public final kotlin.coroutines.d<l2> create(@a7.e Object obj, @a7.d kotlin.coroutines.d<?> dVar) {
            return new f(this.f17955g, dVar);
        }

        @Override // kotlin.coroutines.jvm.internal.a
        @a7.e
        public final Object invokeSuspend(@a7.d Object obj) {
            TitleBarView titleBarView;
            Object unused = kotlin.coroutines.intrinsics.d.h();
            if (this.f17954f == 0) {
                e1.n(obj);
                v0 v0Var = this.f17955g.f17941h;
                if (!(v0Var == null || (titleBarView = v0Var.f25815e) == null)) {
                    titleBarView.setLeftSideOptions(this.f17955g.K().J(new a(this.f17955g), FragmentKt.findNavController(this.f17955g), this.f17955g));
                }
                return l2.f19890a;
            }
            throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
        }

        @a7.e
        public final Object invoke(@a7.d t0 t0Var, @a7.e kotlin.coroutines.d<? super l2> dVar) {
            return ((f) create(t0Var, dVar)).invokeSuspend(l2.f19890a);
        }
    }

    /* access modifiers changed from: package-private */
    public static final class g extends n0 implements r4.a<l2> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ Viewer2DFragment f17957f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ PrintManager f17958g;

        /* renamed from: p  reason: collision with root package name */
        final /* synthetic */ String f17959p;

        /* renamed from: x  reason: collision with root package name */
        final /* synthetic */ com.graphisoft.bimxlab.base.adapter.b f17960x;

        /* renamed from: y  reason: collision with root package name */
        final /* synthetic */ Context f17961y;

        /* access modifiers changed from: package-private */
        @kotlin.coroutines.jvm.internal.f(c = "com.graphisoft.bimxlab.viewer2D.fragment.Viewer2DFragment$printWidthFullImage$1$1", f = "Viewer2DFragment.kt", i = {}, l = {}, m = "invokeSuspend", n = {}, s = {})
        public static final class a extends o implements r4.p<t0, kotlin.coroutines.d<? super l2>, Object> {

            /* renamed from: f  reason: collision with root package name */
            int f17962f;

            /* renamed from: g  reason: collision with root package name */
            final /* synthetic */ Context f17963g;

            /* JADX INFO: super call moved to the top of the method (can break code semantics) */
            a(Context context, kotlin.coroutines.d<? super a> dVar) {
                super(2, dVar);
                this.f17963g = context;
            }

            @Override // kotlin.coroutines.jvm.internal.a
            @a7.d
            public final kotlin.coroutines.d<l2> create(@a7.e Object obj, @a7.d kotlin.coroutines.d<?> dVar) {
                return new a(this.f17963g, dVar);
            }

            @Override // kotlin.coroutines.jvm.internal.a
            @a7.e
            public final Object invokeSuspend(@a7.d Object obj) {
                Object unused = kotlin.coroutines.intrinsics.d.h();
                if (this.f17962f == 0) {
                    e1.n(obj);
                    Activity t7 = ExtensionsKt.t(this.f17963g);
                    if (t7 != null) {
                        MainActivity.s((MainActivity) t7, false, null, 3, null);
                        return l2.f19890a;
                    }
                    throw new NullPointerException("null cannot be cast to non-null type com.graphisoft.bimxlab.MainActivity");
                }
                throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
            }

            @a7.e
            public final Object invoke(@a7.d t0 t0Var, @a7.e kotlin.coroutines.d<? super l2> dVar) {
                return ((a) create(t0Var, dVar)).invokeSuspend(l2.f19890a);
            }
        }

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        g(Viewer2DFragment viewer2DFragment, PrintManager printManager, String str, com.graphisoft.bimxlab.base.adapter.b bVar, Context context) {
            super(0);
            this.f17957f = viewer2DFragment;
            this.f17958g = printManager;
            this.f17959p = str;
            this.f17960x = bVar;
            this.f17961y = context;
        }

        @Override // r4.a
        public final void invoke() {
            if (this.f17957f.K().s() != null) {
                this.f17958g.print(this.f17959p, this.f17960x, this.f17957f.K().s());
                this.f17957f.K().T(null);
            } else {
                this.f17958g.print(this.f17959p, this.f17960x, new PrintAttributes.Builder().build());
            }
            m2 unused = l.f(com.graphisoft.bimxlab.m.b(), null, null, new a(this.f17961y, null), 3, null);
        }
    }

    /* access modifiers changed from: package-private */
    public static final class h extends n0 implements r4.a<l2> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ Viewer2DFragment f17964f;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        h(Viewer2DFragment viewer2DFragment) {
            super(0);
            this.f17964f = viewer2DFragment;
        }

        @Override // r4.a
        public final void invoke() {
            this.f17964f.K().S(null);
            this.f17964f.K().T(null);
        }
    }

    /* access modifiers changed from: package-private */
    @kotlin.coroutines.jvm.internal.f(c = "com.graphisoft.bimxlab.viewer2D.fragment.Viewer2DFragment$reCalculateScale$1", f = "Viewer2DFragment.kt", i = {}, l = {432}, m = "invokeSuspend", n = {}, s = {})
    public static final class i extends o implements r4.p<t0, kotlin.coroutines.d<? super l2>, Object> {

        /* renamed from: f  reason: collision with root package name */
        int f17965f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ Viewer2DFragment f17966g;

        /* renamed from: p  reason: collision with root package name */
        final /* synthetic */ boolean f17967p;

        /* access modifiers changed from: package-private */
        @kotlin.coroutines.jvm.internal.f(c = "com.graphisoft.bimxlab.viewer2D.fragment.Viewer2DFragment$reCalculateScale$1$1", f = "Viewer2DFragment.kt", i = {}, l = {}, m = "invokeSuspend", n = {}, s = {})
        public static final class a extends o implements r4.p<t0, kotlin.coroutines.d<? super l2>, Object> {

            /* renamed from: f  reason: collision with root package name */
            int f17968f;

            /* renamed from: g  reason: collision with root package name */
            final /* synthetic */ Viewer2DFragment f17969g;

            /* renamed from: p  reason: collision with root package name */
            final /* synthetic */ boolean f17970p;

            /* JADX INFO: super call moved to the top of the method (can break code semantics) */
            a(Viewer2DFragment viewer2DFragment, boolean z7, kotlin.coroutines.d<? super a> dVar) {
                super(2, dVar);
                this.f17969g = viewer2DFragment;
                this.f17970p = z7;
            }

            @Override // kotlin.coroutines.jvm.internal.a
            @a7.d
            public final kotlin.coroutines.d<l2> create(@a7.e Object obj, @a7.d kotlin.coroutines.d<?> dVar) {
                return new a(this.f17969g, this.f17970p, dVar);
            }

            @Override // kotlin.coroutines.jvm.internal.a
            @a7.e
            public final Object invokeSuspend(@a7.d Object obj) {
                BaseViewPager baseViewPager;
                m<View> children;
                Viewer2DTileView tileView;
                Object unused = kotlin.coroutines.intrinsics.d.h();
                if (this.f17968f == 0) {
                    e1.n(obj);
                    v0 v0Var = this.f17969g.f17941h;
                    if (!(v0Var == null || (baseViewPager = v0Var.f25816f) == null || (children = ViewGroupKt.getChildren(baseViewPager)) == null)) {
                        boolean z7 = this.f17970p;
                        for (View view : children) {
                            com.graphisoft.bimxlab.viewer2D.view.g gVar = view instanceof com.graphisoft.bimxlab.viewer2D.view.g ? (com.graphisoft.bimxlab.viewer2D.view.g) view : null;
                            if (!(gVar == null || (tileView = gVar.getTileView()) == null)) {
                                tileView.D0(z7);
                            }
                        }
                    }
                    return l2.f19890a;
                }
                throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
            }

            @a7.e
            public final Object invoke(@a7.d t0 t0Var, @a7.e kotlin.coroutines.d<? super l2> dVar) {
                return ((a) create(t0Var, dVar)).invokeSuspend(l2.f19890a);
            }
        }

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        i(Viewer2DFragment viewer2DFragment, boolean z7, kotlin.coroutines.d<? super i> dVar) {
            super(2, dVar);
            this.f17966g = viewer2DFragment;
            this.f17967p = z7;
        }

        @Override // kotlin.coroutines.jvm.internal.a
        @a7.d
        public final kotlin.coroutines.d<l2> create(@a7.e Object obj, @a7.d kotlin.coroutines.d<?> dVar) {
            return new i(this.f17966g, this.f17967p, dVar);
        }

        @Override // kotlin.coroutines.jvm.internal.a
        @a7.e
        public final Object invokeSuspend(@a7.d Object obj) {
            Object obj2 = kotlin.coroutines.intrinsics.d.h();
            int i7 = this.f17965f;
            if (i7 == 0) {
                e1.n(obj);
                this.f17965f = 1;
                if (kotlinx.coroutines.e1.b(1000, this) == obj2) {
                    return obj2;
                }
            } else if (i7 == 1) {
                e1.n(obj);
            } else {
                throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
            }
            m2 unused = l.f(com.graphisoft.bimxlab.m.b(), null, null, new a(this.f17966g, this.f17967p, null), 3, null);
            return l2.f19890a;
        }

        @a7.e
        public final Object invoke(@a7.d t0 t0Var, @a7.e kotlin.coroutines.d<? super l2> dVar) {
            return ((i) create(t0Var, dVar)).invokeSuspend(l2.f19890a);
        }
    }

    public static final class j implements h.i {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ Viewer2DFragment f17971a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ u3 f17972b;

        j(Viewer2DFragment viewer2DFragment, u3 u3Var) {
            this.f17971a = viewer2DFragment;
            this.f17972b = u3Var;
        }

        /* access modifiers changed from: private */
        public static final void c(Viewer2DFragment viewer2DFragment, u3 u3Var) {
            l0.p(viewer2DFragment, "this$0");
            l0.p(u3Var, "$it");
            viewer2DFragment.onPrintEvent(u3Var);
        }

        @Override // com.graphisoft.bimxlab.viewer2D.tileview.h.i
        public void a(@a7.e com.graphisoft.bimxlab.viewer2D.tileview.h hVar) {
            if (hVar != null) {
                hVar.post(new d(this.f17971a, this.f17972b));
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void B() {
        TitleBarView titleBarView;
        BaseViewPager baseViewPager;
        v0 v0Var = this.f17941h;
        if (v0Var != null && (titleBarView = v0Var.f25815e) != null) {
            com.graphisoft.bimxlab.viewer2D.viewModel.e K = K();
            NavController findNavController = FragmentKt.findNavController(this);
            v0 v0Var2 = this.f17941h;
            titleBarView.n(K.f(this, findNavController, (v0Var2 == null || (baseViewPager = v0Var2.f25816f) == null) ? 0 : baseViewPager.getCurrentItem(), new a(this), new b(this)));
        }
    }

    private final void C(ContentSpecification contentSpecification) {
        if (contentSpecification != null) {
            g0();
            com.graphisoft.bimxlab.utils.manager.b bVar = com.graphisoft.bimxlab.utils.manager.b.f17800a;
            NavController findNavController = FragmentKt.findNavController(this);
            FragmentManager parentFragmentManager = getParentFragmentManager();
            l0.o(parentFragmentManager, "parentFragmentManager");
            bVar.H(findNavController, parentFragmentManager, contentSpecification);
        }
    }

    private final PubItem3dContentSpec E() {
        PublisherItemPageDataAddress a8;
        Viewer2DTileView tileView;
        RectF visibleRect;
        q3.b H = H();
        if (!(H == null || (a8 = H.a()) == null)) {
            UUID U = v.f17874a.U();
            com.graphisoft.bimxlab.viewer2D.view.g I = I();
            if (!(I == null || (tileView = I.getTileView()) == null || (visibleRect = tileView.getVisibleRect()) == null)) {
                OperationResult<UUID> findMostRelevant3dTo = PubItem2dBookDataConnector.INSTANCE.findMostRelevant3dTo(a8, visibleRect, U);
                if (findMostRelevant3dTo.getResultCode() == OperationResultCode.eSuccess) {
                    UUID resultObject = findMostRelevant3dTo.getResultObject();
                    l0.o(resultObject, "mostRelevant3dIdRes.resultObject");
                    return new PubItem3dContentSpecWithVisualState(new PublisherItemDataAddress(a8, resultObject), null);
                } else if (findMostRelevant3dTo.getResultCode() == OperationResultCode.eFailureModelBoundingBoxMissing) {
                    com.graphisoft.bimxlab.utils.manager.a aVar = com.graphisoft.bimxlab.utils.manager.a.f17786a;
                    Resources resources = getResources();
                    l0.o(resources, "resources");
                    FragmentManager parentFragmentManager = getParentFragmentManager();
                    l0.o(parentFragmentManager, "parentFragmentManager");
                    aVar.e(resources, parentFragmentManager);
                } else if (findMostRelevant3dTo.getResultCode() == OperationResultCode.eFailureModelBoundingBoxInvalid) {
                    com.graphisoft.bimxlab.utils.manager.a aVar2 = com.graphisoft.bimxlab.utils.manager.a.f17786a;
                    Resources resources2 = getResources();
                    l0.o(resources2, "resources");
                    FragmentManager parentFragmentManager2 = getParentFragmentManager();
                    l0.o(parentFragmentManager2, "parentFragmentManager");
                    aVar2.d(resources2, parentFragmentManager2);
                } else {
                    Log.e("BIMx", "ERROR: missing mostRelevant3dId");
                }
            }
        }
        return null;
    }

    private final ContentSpecification G() {
        Viewer2DTileView tileView;
        com.graphisoft.bimxlab.viewer2D.view.g I = I();
        if (I == null || (tileView = I.getTileView()) == null) {
            return null;
        }
        return tileView.getViewModel().c(tileView.getScaledRect());
    }

    private final Bitmap J(com.graphisoft.bimxlab.viewer2D.view.g gVar) {
        u3 r7 = K().r();
        if (r7 != null) {
            return (!r7.b() || !r7.a()) ? gVar.getTileView().getBitmap() : gVar.getTileView().getVisibleBitmap();
        }
        return null;
    }

    private final void L() {
        IconTextView iconTextView;
        TitleBarView titleBarView;
        v0 v0Var = this.f17941h;
        if (!(v0Var == null || (titleBarView = v0Var.f25815e) == null)) {
            ExtensionsKt.c0(titleBarView);
        }
        v0 v0Var2 = this.f17941h;
        if (v0Var2 != null && (iconTextView = v0Var2.f25814d) != null) {
            ExtensionsKt.c0(iconTextView);
        }
    }

    /* access modifiers changed from: private */
    public static final void N(Viewer2DFragment viewer2DFragment, View view) {
        l0.p(viewer2DFragment, "this$0");
        if (viewer2DFragment.K().A()) {
            viewer2DFragment.V();
        }
    }

    /* access modifiers changed from: private */
    public static final void O(Viewer2DFragment viewer2DFragment, SettingsVariableName settingsVariableName) {
        l0.p(viewer2DFragment, "this$0");
        l0.p(settingsVariableName, "it");
        if (settingsVariableName == SettingsVariableName.LeftHandedJoystick) {
            viewer2DFragment.c0();
        }
    }

    private final void P() {
        requireActivity().getOnBackPressedDispatcher().addCallback(getViewLifecycleOwner(), new c(this));
    }

    private final void Q() {
        BaseViewPager baseViewPager;
        BaseViewPager baseViewPager2;
        ArrayList<q3.b> b7;
        q3.b bVar;
        PublisherItemPageDataAddress a8;
        ArrayList<q3.b> b8;
        q3.a aVar = this.f17938e;
        if (!(aVar == null || (b8 = aVar.b()) == null)) {
            b8.clear();
        }
        ArrayList<q3.b> y7 = K().y();
        ArrayList<r3.b> n7 = K().n();
        UserPreferencesStorageHandle z7 = K().z();
        FragmentManager parentFragmentManager = getParentFragmentManager();
        l0.o(parentFragmentManager, "parentFragmentManager");
        q3.a aVar2 = new q3.a(y7, n7, z7, parentFragmentManager);
        this.f17938e = aVar2;
        v0 v0Var = this.f17941h;
        BaseViewPager baseViewPager3 = null;
        BaseViewPager baseViewPager4 = v0Var != null ? v0Var.f25816f : null;
        if (baseViewPager4 != null) {
            baseViewPager4.setAdapter(aVar2);
        }
        v0 v0Var2 = this.f17941h;
        BaseViewPager baseViewPager5 = v0Var2 != null ? v0Var2.f25816f : null;
        if (baseViewPager5 != null) {
            baseViewPager5.setOffscreenPageLimit(1);
        }
        int l7 = K().l();
        v0 v0Var3 = this.f17941h;
        BaseViewPager baseViewPager6 = v0Var3 != null ? v0Var3.f25816f : null;
        if (baseViewPager6 != null) {
            baseViewPager6.setCurrentItem(l7);
        }
        q3.a aVar3 = this.f17938e;
        this.f17939f = (aVar3 == null || (b7 = aVar3.b()) == null || (bVar = b7.get(l7)) == null || (a8 = bVar.a()) == null) ? null : PublisherItemPageDataAddressKt.uniqueIDString(a8);
        v0 v0Var4 = this.f17941h;
        if (v0Var4 != null) {
            baseViewPager3 = v0Var4.f25816f;
        }
        if (baseViewPager3 != null) {
            baseViewPager3.setFragment(this);
        }
        v0 v0Var5 = this.f17941h;
        if (!(v0Var5 == null || (baseViewPager2 = v0Var5.f25816f) == null)) {
            baseViewPager2.post(new a(this));
        }
        v0 v0Var6 = this.f17941h;
        if (v0Var6 != null && (baseViewPager = v0Var6.f25816f) != null) {
            baseViewPager.addOnPageChangeListener(new d(this));
        }
    }

    /* access modifiers changed from: private */
    public static final void R(Viewer2DFragment viewer2DFragment) {
        l0.p(viewer2DFragment, "this$0");
        viewer2DFragment.b0();
    }

    private final void S() {
        TitleBarView titleBarView;
        d0();
        com.graphisoft.bimxlab.viewer2D.view.g I = I();
        MeasurePolygon2DLayout measurePolygon2DLayout = null;
        Viewer2DTileView tileView = I != null ? I.getTileView() : null;
        if (K().G()) {
            v0 v0Var = this.f17941h;
            boolean z7 = true;
            if (!(v0Var == null || (titleBarView = v0Var.f25815e) == null)) {
                titleBarView.s(true);
            }
            p.f17724a.S(true);
            com.graphisoft.bimxlab.viewer2D.view.g I2 = I();
            MeasurePanTool measurePanTool = I2 != null ? I2.getMeasurePanTool() : null;
            com.graphisoft.bimxlab.viewer2D.view.g I3 = I();
            if (I3 != null) {
                measurePolygon2DLayout = I3.getMeasurePolygon2D();
            }
            if (tileView != null) {
                if (tileView.getMeasurePlugin() == null) {
                    tileView.K0();
                }
                com.graphisoft.bimxlab.viewer2D.tileview.plugins.f measurePlugin = tileView.getMeasurePlugin();
                if (measurePlugin == null || measurePlugin.getPluginIsInitialized()) {
                    z7 = false;
                }
                if (z7) {
                    l0.m(measurePanTool);
                    l0.m(measurePolygon2DLayout);
                    MeasurePolygon2DHandle o7 = K().o();
                    l0.m(o7);
                    tileView.I0(measurePanTool, measurePolygon2DLayout, o7);
                    com.graphisoft.bimxlab.viewer2D.tileview.plugins.f measurePlugin2 = tileView.getMeasurePlugin();
                    if (measurePlugin2 != null && !measurePlugin2.getInitEnded()) {
                        measurePlugin2.i();
                    }
                }
            }
        }
    }

    private final void T(boolean z7) {
        BaseViewPager baseViewPager;
        m<View> children;
        Viewer2DTileView tileView;
        v0 v0Var = this.f17941h;
        if (!(v0Var == null || (baseViewPager = v0Var.f25816f) == null || (children = ViewGroupKt.getChildren(baseViewPager)) == null)) {
            for (View view : children) {
                com.graphisoft.bimxlab.viewer2D.view.g gVar = view instanceof com.graphisoft.bimxlab.viewer2D.view.g ? (com.graphisoft.bimxlab.viewer2D.view.g) view : null;
                if (!(gVar == null || (tileView = gVar.getTileView()) == null)) {
                    tileView.setMarkersVisibility(z7);
                }
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void U() {
        BaseViewPager baseViewPager;
        g0();
        v0 v0Var = this.f17941h;
        if (!(v0Var == null || (baseViewPager = v0Var.f25816f) == null)) {
            int currentItem = baseViewPager.getCurrentItem();
            FragmentActivity activity = getActivity();
            MainActivity mainActivity = activity instanceof MainActivity ? (MainActivity) activity : null;
            if (mainActivity != null) {
                q3.a aVar = this.f17938e;
                mainActivity.X(aVar != null ? aVar.c(currentItem) : null);
            }
        }
        FragmentKt.findNavController(this).navigateUp();
        EventBus.getDefault().post(new n());
        EventBus.getDefault().post(new q(null, 1, null));
    }

    private final void V() {
        g0();
        PubItem3dContentSpec E = E();
        if (E != null) {
            com.graphisoft.bimxlab.utils.manager.b bVar = com.graphisoft.bimxlab.utils.manager.b.f17800a;
            NavController findNavController = FragmentKt.findNavController(this);
            FragmentManager parentFragmentManager = getParentFragmentManager();
            l0.o(parentFragmentManager, "parentFragmentManager");
            bVar.H(findNavController, parentFragmentManager, E);
        }
    }

    private final void W(Context context, u3 u3Var, com.graphisoft.bimxlab.viewer2D.view.g gVar) {
        NetLoggerConnector.INSTANCE.printFrom("2D", u3Var.a() ? "Current Zoom" : "Entire Drawing", u3Var.b() ? "Fit to Page" : "Original");
        K().S(u3Var);
        X(context, u3Var.b() ? null : u3Var.a() ? gVar.getTileView().getVisibleRect() : gVar.getTileView().getRect());
    }

    private final void X(Context context, RectF rectF) {
        Object systemService = context.getSystemService("print");
        if (systemService != null) {
            PrintManager printManager = (PrintManager) systemService;
            this.f17942i = rectF;
            v.f17874a.P(new g(this, printManager, "2D print", new com.graphisoft.bimxlab.base.adapter.b(context, this, context.getResources().getConfiguration().orientation == 2, new h(this)), context));
            return;
        }
        throw new NullPointerException("null cannot be cast to non-null type android.print.PrintManager");
    }

    private final void Y(boolean z7) {
        m2 unused = l.f(com.graphisoft.bimxlab.m.a(), null, null, new i(this, z7, null), 3, null);
    }

    static /* synthetic */ void Z(Viewer2DFragment viewer2DFragment, boolean z7, int i7, Object obj) {
        if ((i7 & 1) != 0) {
            z7 = false;
        }
        viewer2DFragment.Y(z7);
    }

    private final void b0() {
        com.graphisoft.bimxlab.viewer2D.view.g I;
        Viewer2DTileView tileView;
        u3 r7 = K().r();
        if (r7 != null && (I = I()) != null && (tileView = I.getTileView()) != null) {
            tileView.W(new j(this, r7));
        }
    }

    private final void c0() {
        v0 v0Var = this.f17941h;
        if (v0Var != null) {
            ConstraintSet constraintSet = new ConstraintSet();
            constraintSet.clone(v0Var.f25813c);
            int i7 = 2;
            int i8 = K().F() ? 2 : 1;
            constraintSet.connect(v0Var.f25812b.getId(), i8, v0Var.f25813c.getId(), i8, 0);
            if (K().F()) {
                i7 = 1;
            }
            constraintSet.clear(v0Var.f25812b.getId(), i7);
            constraintSet.applyTo(v0Var.f25813c);
        }
    }

    private final void d0() {
        LinearLayout measureScaleLinearLayout;
        LinearLayout measureScaleLinearLayout2;
        LinearLayout measureScaleLinearLayout3;
        com.graphisoft.bimxlab.viewer2D.view.g I = I();
        if (K().H() && K().G()) {
            boolean z7 = false;
            if (!(I == null || (measureScaleLinearLayout3 = I.getMeasureScaleLinearLayout()) == null)) {
                if (measureScaleLinearLayout3.getVisibility() == 0) {
                    z7 = true;
                }
            }
            if (!(z7 || I == null || (measureScaleLinearLayout2 = I.getMeasureScaleLinearLayout()) == null)) {
                ExtensionsKt.e0(measureScaleLinearLayout2);
            }
            e0(I);
        } else if (I != null && (measureScaleLinearLayout = I.getMeasureScaleLinearLayout()) != null) {
            ExtensionsKt.c0(measureScaleLinearLayout);
        }
    }

    private final void e0(com.graphisoft.bimxlab.viewer2D.view.g gVar) {
        TextView textView = null;
        TextView measureScaleNameTextView = gVar != null ? gVar.getMeasureScaleNameTextView() : null;
        if (measureScaleNameTextView != null) {
            com.graphisoft.bimxlab.viewer2D.viewModel.e K = K();
            Resources resources = getResources();
            l0.o(resources, "resources");
            measureScaleNameTextView.setText(K.q(resources));
        }
        if (gVar != null) {
            textView = gVar.getMeasureScaleValueTextView();
        }
        if (textView != null) {
            textView.setText(K().p());
        }
    }

    private final void f0() {
        com.graphisoft.bimxlab.viewer2D.viewModel.e eVar;
        ArrayList<r3.b> arrayList;
        com.graphisoft.bimxlab.viewer2D.view.g I = I();
        if (I != null) {
            Viewer2DTileView tileView = I.getTileView();
            if (tileView.getScale() > tileView.getFitScale()) {
                r3.b bVar = new r3.b(I.getTag().toString(), tileView.getVisibleRect(), false, null, 8, null);
                if (!(tileView.getScale() == tileView.getFitScale())) {
                    bVar.l(Float.valueOf(tileView.getScale()));
                }
                eVar = K();
                arrayList = y.s(bVar);
            } else {
                eVar = K();
                arrayList = null;
            }
            eVar.P(arrayList);
        }
    }

    private final void h0(boolean z7) {
        BaseViewPager baseViewPager;
        m<View> children;
        Viewer2DTileView tileView;
        v0 v0Var = this.f17941h;
        if (!(v0Var == null || (baseViewPager = v0Var.f25816f) == null || (children = ViewGroupKt.getChildren(baseViewPager)) == null)) {
            for (View view : children) {
                com.graphisoft.bimxlab.viewer2D.view.g gVar = view instanceof com.graphisoft.bimxlab.viewer2D.view.g ? (com.graphisoft.bimxlab.viewer2D.view.g) view : null;
                if (!(gVar == null || (tileView = gVar.getTileView()) == null)) {
                    tileView.setLabelsVisibility(z7);
                }
            }
        }
    }

    private final void j0(boolean z7) {
        BaseViewPager baseViewPager;
        m<View> children;
        Viewer2DTileView tileView;
        v0 v0Var = this.f17941h;
        if (!(v0Var == null || (baseViewPager = v0Var.f25816f) == null || (children = ViewGroupKt.getChildren(baseViewPager)) == null)) {
            for (View view : children) {
                com.graphisoft.bimxlab.viewer2D.view.g gVar = view instanceof com.graphisoft.bimxlab.viewer2D.view.g ? (com.graphisoft.bimxlab.viewer2D.view.g) view : null;
                if (!(gVar == null || (tileView = gVar.getTileView()) == null)) {
                    tileView.setZonesVisibility(z7);
                }
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void k0() {
        TitleBarView titleBarView;
        v0 v0Var = this.f17941h;
        if (!(v0Var == null || (titleBarView = v0Var.f25815e) == null)) {
            titleBarView.s(false);
        }
        p pVar = p.f17724a;
        if (pVar.N()) {
            onMeasureSelectedEvent(new a2(true));
        }
        pVar.S(false);
    }

    private final void l0() {
        com.graphisoft.bimxlab.viewer2D.tileview.plugins.f measurePlugin;
        com.graphisoft.bimxlab.viewer2D.view.g I = I();
        Viewer2DTileView tileView = I != null ? I.getTileView() : null;
        if (tileView != null && (measurePlugin = tileView.getMeasurePlugin()) != null) {
            measurePlugin.n();
        }
    }

    @a7.e
    public final RectF D() {
        Viewer2DTileView tileView;
        com.graphisoft.bimxlab.viewer2D.view.g I = I();
        if (I == null || (tileView = I.getTileView()) == null) {
            return null;
        }
        return tileView.getVisibleRect();
    }

    @a7.e
    public final Bitmap F() {
        Viewer2DTileView tileView;
        com.graphisoft.bimxlab.viewer2D.view.g I = I();
        if (I == null || (tileView = I.getTileView()) == null) {
            return null;
        }
        return tileView.getVisibleBitmap();
    }

    @a7.e
    public final q3.b H() {
        ArrayList<q3.b> b7;
        BaseViewPager baseViewPager;
        q3.a aVar = this.f17938e;
        if (aVar == null || (b7 = aVar.b()) == null) {
            return null;
        }
        v0 v0Var = this.f17941h;
        return b7.get((v0Var == null || (baseViewPager = v0Var.f25816f) == null) ? 0 : baseViewPager.getCurrentItem());
    }

    @a7.e
    public final com.graphisoft.bimxlab.viewer2D.view.g I() {
        BaseViewPager baseViewPager;
        BaseViewPager baseViewPager2;
        m<View> children;
        PublisherItemPageDataAddress a8;
        q3.b H = H();
        String uniqueIDString = (H == null || (a8 = H.a()) == null) ? null : PublisherItemPageDataAddressKt.uniqueIDString(a8);
        v0 v0Var = this.f17941h;
        if (!(v0Var == null || (baseViewPager2 = v0Var.f25816f) == null || (children = ViewGroupKt.getChildren(baseViewPager2)) == null)) {
            for (View view : children) {
                if (l0.g(view.getTag(), uniqueIDString)) {
                    com.graphisoft.bimxlab.viewer2D.view.g gVar = view instanceof com.graphisoft.bimxlab.viewer2D.view.g ? (com.graphisoft.bimxlab.viewer2D.view.g) view : null;
                    if (gVar != null) {
                        return gVar;
                    }
                }
            }
        }
        v0 v0Var2 = this.f17941h;
        View A = (v0Var2 == null || (baseViewPager = v0Var2.f25816f) == null) ? null : ExtensionsKt.A(baseViewPager);
        if (A instanceof com.graphisoft.bimxlab.viewer2D.view.g) {
            return (com.graphisoft.bimxlab.viewer2D.view.g) A;
        }
        return null;
    }

    @a7.d
    public final com.graphisoft.bimxlab.viewer2D.viewModel.e K() {
        com.graphisoft.bimxlab.viewer2D.viewModel.e eVar = this.f17937d;
        if (eVar != null) {
            return eVar;
        }
        l0.S("viewModel");
        return null;
    }

    public final void M() {
        IconTextView iconTextView;
        IconTextView iconTextView2;
        com.graphisoft.bimxlab.utils.manager.b.f17800a.Z(true);
        P();
        i0((com.graphisoft.bimxlab.viewer2D.viewModel.e) new ViewModelProvider(this).get(com.graphisoft.bimxlab.viewer2D.viewModel.e.class));
        Bundle arguments = getArguments();
        if (arguments != null) {
            K().N(e.f17978b.a(arguments).e());
            FragmentActivity activity = getActivity();
            if (activity != null) {
                MainActivity mainActivity = (MainActivity) activity;
                com.graphisoft.bimxlab.viewer2D.viewModel.e K = K();
                ContentSpecification c7 = K().j().c();
                UserPreferencesStorageHandle F = mainActivity.F();
                LicenseHandle z7 = mainActivity.z();
                FragmentActivity activity2 = getActivity();
                if (activity2 != null) {
                    K.D(c7, F, z7, ((MainActivity) activity2).K());
                } else {
                    throw new NullPointerException("null cannot be cast to non-null type com.graphisoft.bimxlab.MainActivity");
                }
            } else {
                throw new NullPointerException("null cannot be cast to non-null type com.graphisoft.bimxlab.MainActivity");
            }
        }
        PubItem2DPageDataConnector pubItem2DPageDataConnector = PubItem2DPageDataConnector.INSTANCE;
        PubItem2DPageDataHandle createHandleWith = pubItem2DPageDataConnector.createHandleWith(K().m());
        MainActivity mainActivity2 = null;
        PubItem2DPageData dataOf = createHandleWith != null ? pubItem2DPageDataConnector.getDataOf(createHandleWith) : null;
        p.f17724a.R(new com.graphisoft.bimxlab.utils.feature.e(i1.o.VIEWER_2D, K().I(), false, dataOf != null ? dataOf.isLayout() : false, 4, null));
        B();
        Q();
        v0 v0Var = this.f17941h;
        if (!(v0Var == null || (iconTextView2 = v0Var.f25814d) == null)) {
            iconTextView2.setOnClickListener(new b(this));
        }
        int i7 = K().A() ? s.e.f16814b : s.e.f16835p;
        v0 v0Var2 = this.f17941h;
        if (!(v0Var2 == null || (iconTextView = v0Var2.f25814d) == null)) {
            iconTextView.setTextColor(ResourcesCompat.getColor(getResources(), i7, null));
        }
        c0();
        this.f17940g = Integer.valueOf(UserPreferencesConnector.INSTANCE.addObserverToHandle(K().z(), new c(this)));
        FragmentActivity activity3 = getActivity();
        if (activity3 instanceof MainActivity) {
            mainActivity2 = (MainActivity) activity3;
        }
        if (mainActivity2 != null && mainActivity2.K()) {
            mainActivity2.H();
            L();
            if (mainActivity2.L()) {
                NavController findNavController = FragmentKt.findNavController(this);
                FragmentManager parentFragmentManager = getParentFragmentManager();
                l0.o(parentFragmentManager, "parentFragmentManager");
                mainActivity2.P(findNavController, parentFragmentManager);
            }
        }
        EventBus.getDefault().post(new w3(K().m()));
    }

    public final void a0(@a7.d Viewer2DFragmentData viewer2DFragmentData) {
        BaseViewPager baseViewPager;
        ArrayList<q3.b> b7;
        boolean z7;
        q3.a aVar;
        ArrayList<q3.b> b8;
        BaseViewPager baseViewPager2;
        Viewer2DTileView tileView;
        UUID drawingId;
        PublisherItemPageDataAddress a8;
        l0.p(viewer2DFragmentData, "fragmentData");
        ContentSpecification c7 = viewer2DFragmentData.c();
        PubItem2dPageContentSpec pubItem2dPageContentSpec = null;
        BaseViewPager baseViewPager3 = null;
        PubItem2dPageContentSpecWithDrawing pubItem2dPageContentSpecWithDrawing = c7 instanceof PubItem2dPageContentSpecWithDrawing ? (PubItem2dPageContentSpecWithDrawing) c7 : null;
        if (pubItem2dPageContentSpecWithDrawing == null) {
            ContentSpecification c8 = viewer2DFragmentData.c();
            if (c8 instanceof PubItem2dPageContentSpec) {
                pubItem2dPageContentSpec = (PubItem2dPageContentSpec) c8;
            }
            if (pubItem2dPageContentSpec != null) {
                com.graphisoft.bimxlab.utils.manager.b.f17800a.Z(false);
                q3.a aVar2 = this.f17938e;
                if (!(aVar2 == null || (b7 = aVar2.b()) == null)) {
                    for (T t7 : b7) {
                        if (!l0.g(t7.a().getPublisherItemId(), pubItem2dPageContentSpec.getAddress().getPublisherItemId()) || t7.a().getPageIndex() != pubItem2dPageContentSpec.getAddress().getPageIndex()) {
                            z7 = false;
                            continue;
                        } else {
                            z7 = true;
                            continue;
                        }
                        if (z7) {
                            if (!(t7 == null || (aVar = this.f17938e) == null || (b8 = aVar.b()) == null)) {
                                int indexOf = b8.indexOf(t7);
                                v0 v0Var = this.f17941h;
                                if (!(v0Var == null || (baseViewPager2 = v0Var.f25816f) == null)) {
                                    baseViewPager2.setCurrentItem(indexOf, false);
                                }
                            }
                        }
                    }
                    throw new NoSuchElementException("Collection contains no element matching the predicate.");
                }
                v0 v0Var2 = this.f17941h;
                if (!(v0Var2 == null || (baseViewPager = v0Var2.f25816f) == null)) {
                    l0.o(baseViewPager, "viewer2DFragmentViewPager");
                    m<View> children = ViewGroupKt.getChildren(baseViewPager);
                    if (children != null) {
                        for (View view : children) {
                            if (l0.g(PublisherItemPageDataAddressKt.uniqueIDString(pubItem2dPageContentSpec.getAddress()), view.getTag().toString())) {
                                ((com.graphisoft.bimxlab.viewer2D.view.g) view).getTileView().Q0(pubItem2dPageContentSpec);
                            }
                        }
                    }
                }
                com.graphisoft.bimxlab.viewer2D.viewModel.e K = K();
                FragmentActivity activity = getActivity();
                if (activity != null) {
                    K.b0(pubItem2dPageContentSpec, ((MainActivity) activity).K());
                    com.graphisoft.bimxlab.viewer2D.viewModel.e K2 = K();
                    FragmentActivity activity2 = getActivity();
                    if (activity2 != null) {
                        K2.O(pubItem2dPageContentSpec, ((MainActivity) activity2).K());
                        return;
                    }
                    throw new NullPointerException("null cannot be cast to non-null type com.graphisoft.bimxlab.MainActivity");
                }
                throw new NullPointerException("null cannot be cast to non-null type com.graphisoft.bimxlab.MainActivity");
            }
        } else if (l0.g(K().m().getHyperModelId(), viewer2DFragmentData.j().getAddress().getHyperModelId())) {
            q3.b H = H();
            if (l0.g((H == null || (a8 = H.a()) == null) ? null : a8.getPublisherItemId(), viewer2DFragmentData.j().getAddress().getPublisherItemId())) {
                com.graphisoft.bimxlab.viewer2D.view.g I = I();
                if (I != null && (tileView = I.getTileView()) != null) {
                    drawingId = pubItem2dPageContentSpecWithDrawing.getDrawingId();
                } else {
                    return;
                }
            } else {
                PublisherItemPageDataAddress address = viewer2DFragmentData.j().getAddress();
                int k7 = K().k(address.getPublisherItemId(), address.getPageIndex());
                v0 v0Var3 = this.f17941h;
                if (v0Var3 != null) {
                    baseViewPager3 = v0Var3.f25816f;
                }
                if (baseViewPager3 != null) {
                    baseViewPager3.setCurrentItem(k7);
                }
                com.graphisoft.bimxlab.viewer2D.view.g I2 = I();
                if (I2 != null && (tileView = I2.getTileView()) != null) {
                    drawingId = ((PubItem2dPageContentSpecWithDrawing) viewer2DFragmentData.c()).getDrawingId();
                } else {
                    return;
                }
            }
            tileView.setInitialRectFromDrawing(drawingId);
        }
    }

    @Override // v2.b
    @a7.e
    public v2.a g(@a7.d RectF rectF, boolean z7, @a7.d PrintAttributes printAttributes) {
        Bitmap J;
        l0.p(rectF, "contentRect");
        l0.p(printAttributes, "attributes");
        K().T(printAttributes);
        com.graphisoft.bimxlab.viewer2D.view.g I = I();
        if (I == null || (J = J(I)) == null) {
            return null;
        }
        return new v2.a(J, null, this.f17942i, 2, null);
    }

    public final void g0() {
        Viewer2DTileView tileView;
        Viewer2DFragmentData currentFragmentData;
        com.graphisoft.bimxlab.viewer2D.view.g I = I();
        if (I != null && (tileView = I.getTileView()) != null && (currentFragmentData = tileView.getCurrentFragmentData()) != null) {
            com.graphisoft.bimxlab.utils.manager.b bVar = com.graphisoft.bimxlab.utils.manager.b.f17800a;
            bVar.Z(true);
            bVar.d(currentFragmentData);
        }
    }

    public final void i0(@a7.d com.graphisoft.bimxlab.viewer2D.viewModel.e eVar) {
        l0.p(eVar, "<set-?>");
        this.f17937d = eVar;
    }

    @Subscribe
    public final void onChangeScreenTitleEvent(@a7.d j1.l lVar) {
        TitleBarView titleBarView;
        l0.p(lVar, "event");
        v0 v0Var = this.f17941h;
        if (v0Var != null && (titleBarView = v0Var.f25815e) != null) {
            titleBarView.setTitle(lVar.d());
        }
    }

    @Override // androidx.fragment.app.Fragment
    @a7.e
    public View onCreateView(@a7.d LayoutInflater layoutInflater, @a7.e ViewGroup viewGroup, @a7.e Bundle bundle) {
        l0.p(layoutInflater, "inflater");
        v0 d7 = v0.d(layoutInflater, viewGroup, false);
        this.f17941h = d7;
        if (d7 != null) {
            return d7.getRoot();
        }
        return null;
    }

    @Override // androidx.fragment.app.Fragment
    public void onDestroyView() {
        Viewer2DTileView tileView;
        com.graphisoft.bimxlab.viewer2D.tileview.plugins.f measurePlugin;
        TitleBarView titleBarView;
        Integer num = this.f17940g;
        if (num != null) {
            UserPreferencesConnector.INSTANCE.removeObserverFromHandle(K().z(), num.intValue());
        }
        f0();
        this.f17938e = null;
        v0 v0Var = this.f17941h;
        BaseViewPager baseViewPager = v0Var != null ? v0Var.f25816f : null;
        if (baseViewPager != null) {
            baseViewPager.setFragment(null);
        }
        v0 v0Var2 = this.f17941h;
        if (!(v0Var2 == null || (titleBarView = v0Var2.f25815e) == null)) {
            titleBarView.s(false);
        }
        p.f17724a.S(false);
        com.graphisoft.bimxlab.viewer2D.view.g I = I();
        if (!(I == null || (tileView = I.getTileView()) == null || (measurePlugin = tileView.getMeasurePlugin()) == null)) {
            measurePlugin.j();
        }
        com.graphisoft.bimxlab.utils.manager.b.f17800a.Z(true);
        super.onDestroyView();
        this.f17941h = null;
    }

    @Subscribe
    public final void onElementShow3DEvent(@a7.d o0 o0Var) {
        l0.p(o0Var, "event");
        FragmentActivity activity = getActivity();
        MainActivity mainActivity = activity instanceof MainActivity ? (MainActivity) activity : null;
        if (mainActivity != null) {
            MainActivity.d0(mainActivity, true, null, LoadingView.a.Loading3d, 2, null);
        }
        g0();
        PubItem3dContentSpecWithSelectionDeterminedCamera pubItem3dContentSpecFromElements = OpenUrlConnector.INSTANCE.getPubItem3dContentSpecFromElements(o0Var.a(), v.f17874a.U(), o0Var.b());
        if (pubItem3dContentSpecFromElements != null) {
            com.graphisoft.bimxlab.utils.manager.b bVar = com.graphisoft.bimxlab.utils.manager.b.f17800a;
            bVar.e(pubItem3dContentSpecFromElements).n(NavigatorTransitionStyle.INSTANT);
            NavController findNavController = FragmentKt.findNavController(this);
            FragmentManager parentFragmentManager = getParentFragmentManager();
            l0.o(parentFragmentManager, "parentFragmentManager");
            bVar.H(findNavController, parentFragmentManager, pubItem3dContentSpecFromElements);
        }
    }

    @Subscribe
    public final void onEndPresentationEvent(@a7.d q0 q0Var) {
        IconTextView iconTextView;
        TitleBarView titleBarView;
        l0.p(q0Var, "event");
        v0 v0Var = this.f17941h;
        if (!(v0Var == null || (titleBarView = v0Var.f25815e) == null)) {
            ExtensionsKt.e0(titleBarView);
        }
        v0 v0Var2 = this.f17941h;
        if (!(v0Var2 == null || (iconTextView = v0Var2.f25814d) == null)) {
            ExtensionsKt.e0(iconTextView);
        }
        Y(true);
        T(true);
        j0(true);
    }

    @Subscribe
    public final void onFavoriteItemSelectedEvent(@a7.d j1.v0 v0Var) {
        l0.p(v0Var, "event");
        C(v0Var.a());
    }

    @Subscribe
    public final void onFitToActualSizeEvent(@a7.d x0 x0Var) {
        Viewer2DTileView tileView;
        l0.p(x0Var, "event");
        com.graphisoft.bimxlab.viewer2D.view.g I = I();
        if (I != null && (tileView = I.getTileView()) != null) {
            tileView.setScale(Float.valueOf(1.0f));
        }
    }

    @Subscribe
    public final void onFitToScreenEvent(@a7.d y0 y0Var) {
        Viewer2DTileView tileView;
        l0.p(y0Var, "event");
        com.graphisoft.bimxlab.viewer2D.view.g I = I();
        if (I != null && (tileView = I.getTileView()) != null) {
            Viewer2DTileView.U0(tileView, null, 1, null);
        }
    }

    @Subscribe
    public final void onGetContentSpecForNewFavoriteEvent(@a7.d c1 c1Var) {
        l0.p(c1Var, "event");
        ContentSpecification G = G();
        if (G != null) {
            EventBus.getDefault().post(new j1.a(c1Var.a(), G));
        }
    }

    @Subscribe
    public final void onGetContentSpecWithBitmapForAttachment(@a7.d d1 d1Var) {
        l0.p(d1Var, "event");
        ContentSpecification G = G();
        if (G != null) {
            FragmentActivity activity = getActivity();
            if (activity != null) {
                if (!((MainActivity) activity).I()) {
                    FragmentActivity activity2 = getActivity();
                    if (activity2 != null) {
                        MainActivity.d0((MainActivity) activity2, false, null, null, 6, null);
                    } else {
                        throw new NullPointerException("null cannot be cast to non-null type com.graphisoft.bimxlab.MainActivity");
                    }
                }
                EventBus.getDefault().post(new x(d1Var.a(), G, F()));
                return;
            }
            throw new NullPointerException("null cannot be cast to non-null type com.graphisoft.bimxlab.MainActivity");
        }
    }

    @Subscribe
    public final void onMarkerPopUpOpen2DEvent(@a7.d u1 u1Var) {
        l0.p(u1Var, "event");
        g0();
        com.graphisoft.bimxlab.utils.manager.b bVar = com.graphisoft.bimxlab.utils.manager.b.f17800a;
        NavController findNavController = FragmentKt.findNavController(this);
        FragmentManager parentFragmentManager = getParentFragmentManager();
        l0.o(parentFragmentManager, "parentFragmentManager");
        bVar.H(findNavController, parentFragmentManager, u1Var.b().getContentSpec());
    }

    @Subscribe
    public final void onMarkerPopUpOpen3DEvent(@a7.d v1 v1Var) {
        l0.p(v1Var, "event");
        g0();
        com.graphisoft.bimxlab.utils.manager.b bVar = com.graphisoft.bimxlab.utils.manager.b.f17800a;
        NavController findNavController = FragmentKt.findNavController(this);
        FragmentManager parentFragmentManager = getParentFragmentManager();
        l0.o(parentFragmentManager, "parentFragmentManager");
        bVar.H(findNavController, parentFragmentManager, v1Var.a().getContentSpec());
        m2 unused = l.f(com.graphisoft.bimxlab.m.a(), null, null, new e(v1Var, this, null), 3, null);
    }

    @Subscribe
    public final void onMeasureScaleDisplayRefreshEvent(@a7.d x1 x1Var) {
        l0.p(x1Var, "event");
        d0();
    }

    @Subscribe
    public final void onMeasureScaleSelectedEvent(@a7.d y1 y1Var) {
        l0.p(y1Var, "event");
        e0(I());
        l0();
    }

    @Subscribe
    public final void onMeasureScaleShowEvent(@a7.d z1 z1Var) {
        l0.p(z1Var, "event");
        MeasurePolygon2DHandle o7 = K().o();
        if (o7 != null) {
            com.graphisoft.bimxlab.utils.manager.b.f17800a.y(FragmentKt.findNavController(this), new MeasureScaleSelectorFragmentData(o7, z1Var.a()));
        }
    }

    @Subscribe
    public final void onMeasureSelectedEvent(@a7.d a2 a2Var) {
        com.graphisoft.bimxlab.viewer2D.tileview.plugins.f measurePlugin;
        TitleBarView titleBarView;
        PubItem2DPageData c7;
        l0.p(a2Var, "event");
        q3.b H = H();
        if (!(H == null || (c7 = H.c()) == null)) {
            com.graphisoft.bimxlab.viewer2D.viewModel.e.C(K(), H.a(), c7, false, 4, null);
        }
        v0 v0Var = this.f17941h;
        if (!(v0Var == null || (titleBarView = v0Var.f25815e) == null)) {
            titleBarView.s(!a2Var.a());
        }
        K().Q(!a2Var.a());
        d0();
        com.graphisoft.bimxlab.viewer2D.view.g I = I();
        MeasurePolygon2DLayout measurePolygon2DLayout = null;
        Viewer2DTileView tileView = I != null ? I.getTileView() : null;
        if (!a2Var.a()) {
            com.graphisoft.bimxlab.viewer2D.view.g I2 = I();
            MeasurePanTool measurePanTool = I2 != null ? I2.getMeasurePanTool() : null;
            com.graphisoft.bimxlab.viewer2D.view.g I3 = I();
            if (I3 != null) {
                measurePolygon2DLayout = I3.getMeasurePolygon2D();
            }
            if (tileView != null) {
                l0.m(measurePanTool);
                l0.m(measurePolygon2DLayout);
                MeasurePolygon2DHandle o7 = K().o();
                l0.m(o7);
                tileView.I0(measurePanTool, measurePolygon2DLayout, o7);
                com.graphisoft.bimxlab.viewer2D.tileview.plugins.f measurePlugin2 = tileView.getMeasurePlugin();
                if (measurePlugin2 != null) {
                    measurePlugin2.l();
                    return;
                }
                return;
            }
            return;
        }
        K().R(null);
        if (tileView != null && (measurePlugin = tileView.getMeasurePlugin()) != null) {
            measurePlugin.k();
        }
    }

    @Subscribe
    public final void onMeasureUseUpTapEvent(@a7.d b2 b2Var) {
        Viewer2DTileView tileView;
        l0.p(b2Var, "event");
        com.graphisoft.bimxlab.viewer2D.view.g I = I();
        if (I != null && (tileView = I.getTileView()) != null) {
            tileView.W0();
        }
    }

    @Subscribe
    public final void onMoreOptionsOpenEvent(@a7.d MoreOptionsOpenEvent moreOptionsOpenEvent) {
        Viewer2DTileView tileView;
        PubItem2DPageDataHandle b7;
        TitleBarView titleBarView;
        l0.p(moreOptionsOpenEvent, "event");
        EventBus.getDefault().post(new j1.v());
        ShareData shareData = null;
        EventBus.getDefault().post(new q(null, 1, null));
        v0 v0Var = this.f17941h;
        if (!(v0Var == null || (titleBarView = v0Var.f25815e) == null)) {
            titleBarView.r(false);
        }
        com.graphisoft.bimxlab.viewer2D.view.g I = I();
        if (!(I == null || (tileView = I.getTileView()) == null || (b7 = tileView.getViewModel().g().b()) == null)) {
            shareData = new ShareData(b7, tileView.getVisibleRect(), tileView.getScale());
        }
        com.graphisoft.bimxlab.utils.manager.b.f17800a.z(FragmentKt.findNavController(this), p.f17724a.s(moreOptionsOpenEvent.m(), moreOptionsOpenEvent.n(), shareData));
    }

    @Subscribe
    public final void onNavigateToPrintEvent(@a7.d y2 y2Var) {
        l0.p(y2Var, "event");
        q3.b H = H();
        if (H != null) {
            LicenseManagerConnector licenseManagerConnector = LicenseManagerConnector.INSTANCE;
            PublisherItemPageDataAddress a8 = H.a();
            FragmentActivity activity = getActivity();
            if (activity == null) {
                throw new NullPointerException("null cannot be cast to non-null type com.graphisoft.bimxlab.MainActivity");
            } else if (licenseManagerConnector.isModelLicensed(a8, ((MainActivity) activity).z())) {
                com.graphisoft.bimxlab.utils.manager.a aVar = com.graphisoft.bimxlab.utils.manager.a.f17786a;
                FragmentManager parentFragmentManager = getParentFragmentManager();
                l0.o(parentFragmentManager, "parentFragmentManager");
                aVar.J(parentFragmentManager, new PrintFragmentData(H.a()));
            } else {
                com.graphisoft.bimxlab.utils.manager.a aVar2 = com.graphisoft.bimxlab.utils.manager.a.f17786a;
                FragmentManager parentFragmentManager2 = getParentFragmentManager();
                l0.o(parentFragmentManager2, "parentFragmentManager");
                aVar2.g(parentFragmentManager2, i1.c.PRINT);
            }
        }
    }

    @Subscribe
    public final void onNavigateToViewer3DEvent(@a7.d c3 c3Var) {
        l0.p(c3Var, "event");
        g0();
        ZoneStampDataAddress e7 = c3Var.e();
        if (e7 != null) {
            FragmentActivity activity = getActivity();
            MainActivity mainActivity = activity instanceof MainActivity ? (MainActivity) activity : null;
            if (mainActivity != null) {
                MainActivity.d0(mainActivity, true, null, LoadingView.a.Loading3d, 2, null);
            }
            PubItem3dContentSpecWithElement pubItem3dContentSpecWithElement = new PubItem3dContentSpecWithElement(new PublisherItemDataAddress(e7, c3Var.f()), e7.getZoneId(), false, 4, null);
            com.graphisoft.bimxlab.utils.manager.b bVar = com.graphisoft.bimxlab.utils.manager.b.f17800a;
            NavController findNavController = FragmentKt.findNavController(this);
            FragmentManager parentFragmentManager = getParentFragmentManager();
            l0.o(parentFragmentManager, "parentFragmentManager");
            bVar.H(findNavController, parentFragmentManager, pubItem3dContentSpecWithElement);
        }
    }

    @Subscribe
    public final void onNavigationHistoryModifiedEvent(@a7.d e3 e3Var) {
        l0.p(e3Var, "event");
        m2 unused = l.f(com.graphisoft.bimxlab.m.b(), null, null, new f(this, null), 3, null);
    }

    @Subscribe
    public final void onNavigationHistoryRemoveCompletionEvent(@a7.d f3 f3Var) {
        l0.p(f3Var, "event");
        f3Var.a().invoke();
    }

    @Subscribe
    public final void onPrintEvent(@a7.d u3 u3Var) {
        com.graphisoft.bimxlab.viewer2D.view.g I;
        l0.p(u3Var, "event");
        Context context = getContext();
        if (context != null && (I = I()) != null) {
            W(context, u3Var, I);
        }
    }

    @Subscribe
    public final void onSelectMarkerEvent(@a7.d l4 l4Var) {
        l0.p(l4Var, "event");
        K().X(l4Var.f());
        MarkerPopUpFragmentData e7 = l4Var.e();
        if (e7 != null) {
            com.graphisoft.bimxlab.utils.manager.b.f17800a.x(FragmentKt.findNavController(this), e7);
        }
    }

    @Subscribe
    public final void onSetSelectedElementEvent(@a7.d i4 i4Var) {
        l0.p(i4Var, "event");
        ElementPopUpFragmentData e7 = i4Var.e();
        if (e7 != null) {
            K().U(i4Var.f());
            com.graphisoft.bimxlab.utils.manager.b.f17800a.s(FragmentKt.findNavController(this), e7);
        }
    }

    @Subscribe
    public final void onSetSelectedIESMarkerEvent(@a7.d j4 j4Var) {
        l0.p(j4Var, "event");
        K().V(j4Var.f());
        MarkerPopUpFragmentData e7 = j4Var.e();
        if (e7 != null) {
            com.graphisoft.bimxlab.utils.manager.b.f17800a.x(FragmentKt.findNavController(this), e7);
        }
    }

    @Subscribe
    public final void onSetSelectedLinkEvent(@a7.d k4 k4Var) {
        l0.p(k4Var, "event");
        K().W(k4Var.h());
        TextSplotch h7 = k4Var.h();
        com.graphisoft.bimxlab.utils.manager.b.f17800a.w(FragmentKt.findNavController(this), new LinkPopUpFragmentData(h7 != null ? h7.getTexts() : null, k4Var.g(), k4Var.f()));
    }

    @Subscribe
    public final void onSetSelectedZoneEvent(@a7.d m4 m4Var) {
        l0.p(m4Var, "event");
        K().Y(m4Var.f());
        ElementInfoPopUpFragmentData e7 = m4Var.e();
        if (e7 != null) {
            com.graphisoft.bimxlab.utils.manager.b.f17800a.G(FragmentKt.findNavController(this), e7);
        }
    }

    @Subscribe
    public final void onStartPresentationEvent(@a7.d w4 w4Var) {
        TitleBarView titleBarView;
        l0.p(w4Var, "event");
        k0();
        T(false);
        j0(false);
        EventBus.getDefault().post(new j1.v());
        EventBus.getDefault().post(new q(null, 1, null));
        v0 v0Var = this.f17941h;
        if (!(v0Var == null || (titleBarView = v0Var.f25815e) == null)) {
            titleBarView.r(false);
        }
        L();
        FragmentActivity activity = getActivity();
        MainActivity mainActivity = activity instanceof MainActivity ? (MainActivity) activity : null;
        if (mainActivity != null) {
            NavController findNavController = FragmentKt.findNavController(this);
            FragmentManager parentFragmentManager = getParentFragmentManager();
            l0.o(parentFragmentManager, "parentFragmentManager");
            mainActivity.f0(findNavController, parentFragmentManager, w4Var);
        }
        Z(this, false, 1, null);
    }

    @Subscribe
    public final void onUpdateBookmarkIconEvent(@a7.d f5 f5Var) {
        TitleBarView titleBarView;
        l0.p(f5Var, "event");
        v0 v0Var = this.f17941h;
        if (v0Var != null && (titleBarView = v0Var.f25815e) != null) {
            titleBarView.r(f5Var.a());
        }
    }

    @Override // androidx.fragment.app.Fragment
    public void onViewCreated(@a7.d View view, @a7.e Bundle bundle) {
        l0.p(view, "view");
        super.onViewCreated(view, bundle);
        M();
    }

    @Subscribe
    public final void onViewer2DTileViewReady(@a7.d s5 s5Var) {
        l0.p(s5Var, "event");
        S();
    }
}
