package com.graphisoft.bimxlab.viewer3D.fragment;

import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.AssetManager;
import android.content.res.Resources;
import android.graphics.Bitmap;
import android.graphics.PointF;
import android.graphics.Rect;
import android.graphics.RectF;
import android.os.Bundle;
import android.transition.AutoTransition;
import android.transition.Transition;
import android.transition.TransitionManager;
import android.view.GestureDetector;
import android.view.LayoutInflater;
import android.view.MotionEvent;
import android.view.ScaleGestureDetector;
import android.view.Surface;
import android.view.SurfaceHolder;
import android.view.SurfaceView;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.activity.OnBackPressedCallback;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.constraintlayout.widget.ConstraintSet;
import androidx.core.content.ContextCompat;
import androidx.core.content.res.ResourcesCompat;
import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentActivity;
import androidx.fragment.app.FragmentManager;
import androidx.lifecycle.ViewModelProvider;
import androidx.navigation.NavController;
import androidx.navigation.fragment.FragmentKt;
import com.graphisoft.bimx.connector.LicenseManagerConnector;
import com.graphisoft.bimx.connector.MarkerTargetsConnector;
import com.graphisoft.bimx.connector.TestConfig;
import com.graphisoft.bimx.connector.UserPreferencesConnector;
import com.graphisoft.bimx.connector.contentspecification.ContentSpecification;
import com.graphisoft.bimx.connector.contentspecification.PubItem2dPageContentSpec;
import com.graphisoft.bimx.connector.contentspecification.PubItem2dPageContentSpecWithDrawing;
import com.graphisoft.bimx.connector.contentspecification.PubItem3dContentSpec;
import com.graphisoft.bimx.connector.data.IESMarkerSplotch;
import com.graphisoft.bimx.connector.data.MarkerTarget;
import com.graphisoft.bimx.connector.data.UnmergedMarker;
import com.graphisoft.bimx.connector.dataaddresses.ElementDataAddress;
import com.graphisoft.bimx.connector.dataaddresses.HyperModelDataAddress;
import com.graphisoft.bimx.connector.dataaddresses.PublisherItemDataAddress;
import com.graphisoft.bimx.connector.enums.ExtensionMenuItemPresentationStyle;
import com.graphisoft.bimx.connector.enums.MeasureImageType;
import com.graphisoft.bimx.connector.enums.SettingsVariableName;
import com.graphisoft.bimx.connector.handles.Stored3DState;
import com.graphisoft.bimx.platformconnector.ApplicationContextProvider;
import com.graphisoft.bimxlab.BIMxApplication;
import com.graphisoft.bimxlab.MainActivity;
import com.graphisoft.bimxlab.VR.model.VRFragmentData;
import com.graphisoft.bimxlab.base.ExtensionsKt;
import com.graphisoft.bimxlab.base.event.MoreOptionsOpenEvent;
import com.graphisoft.bimxlab.base.view.IconTextView;
import com.graphisoft.bimxlab.base.view.LoadingView;
import com.graphisoft.bimxlab.base.view.TitleBarView;
import com.graphisoft.bimxlab.markerPopup.model.MarkerPopUpFragmentData;
import com.graphisoft.bimxlab.measure.MeasurePanTool;
import com.graphisoft.bimxlab.print.model.PrintFragmentData;
import com.graphisoft.bimxlab.rightContainer.fragment.RightContainerFragment;
import com.graphisoft.bimxlab.s;
import com.graphisoft.bimxlab.selectionPopup.model.SelectionPopUpFragmentData;
import com.graphisoft.bimxlab.urlPopUp.model.UrlPopUpFragmentData;
import com.graphisoft.bimxlab.viewer3D.model.Viewer3DFragmentData;
import com.graphisoft.bimxlab.viewer3D.view.JoystickView;
import com.graphisoft.bimxlab.viewer3D.view.LabelsView;
import com.graphisoft.bimxlab.zonePopup.model.ElementInfoPopUpFragmentData;
import j1.a2;
import j1.b3;
import j1.c1;
import j1.d0;
import j1.d1;
import j1.d4;
import j1.e0;
import j1.e3;
import j1.e4;
import j1.f1;
import j1.f3;
import j1.f5;
import j1.g5;
import j1.i5;
import j1.j3;
import j1.j5;
import j1.k0;
import j1.m0;
import j1.n5;
import j1.o3;
import j1.q0;
import j1.r3;
import j1.s3;
import j1.s4;
import j1.t2;
import j1.t5;
import j1.u1;
import j1.u3;
import j1.u5;
import j1.v0;
import j1.v1;
import j1.w3;
import j1.w4;
import j1.x;
import j1.x5;
import j1.y2;
import j1.y3;
import java.util.ArrayList;
import java.util.UUID;
import kotlin.collections.y;
import kotlin.e1;
import kotlin.i0;
import kotlin.jvm.internal.l0;
import kotlin.jvm.internal.n0;
import kotlin.l2;
import kotlinx.coroutines.m2;
import kotlinx.coroutines.t0;
import org.greenrobot.eventbus.EventBus;
import org.greenrobot.eventbus.Subscribe;
import s1.y0;

@i0(d1 = {"\u0000Ú\u0003\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\b\n\u0002\u0010\t\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0004\n\u0002\u0010\b\n\u0002\b\b\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\u0010\u000e\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0004\n\u0002\u0018\u0002\n\u0002\b\u0004\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u000b\n\u0002\u0010\u000b\n\u0002\b\u0004\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0004\n\u0002\u0018\u0002\n\u0002\b\b\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0007\n\u0002\u0018\u0002\n\u0002\b\u0011\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0006\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0006\u0018\u00002\u00020\u00012\u00020\u0002B\t¢\u0006\u0006\bê\u0001\u0010ë\u0001J\b\u0010\u0004\u001a\u00020\u0003H\u0002J\b\u0010\u0005\u001a\u00020\u0003H\u0002J\b\u0010\u0006\u001a\u00020\u0003H\u0002J\b\u0010\u0007\u001a\u00020\u0003H\u0002J\b\u0010\b\u001a\u00020\u0003H\u0002J\b\u0010\t\u001a\u00020\u0003H\u0003J\b\u0010\n\u001a\u00020\u0003H\u0002J\b\u0010\u000b\u001a\u00020\u0003H\u0002J \u0010\u0010\u001a\u00020\u00032\u0006\u0010\r\u001a\u00020\f2\u000e\b\u0002\u0010\u000f\u001a\b\u0012\u0004\u0012\u00020\u00030\u000eH\u0002J\u0010\u0010\u0011\u001a\u00020\u00032\u0006\u0010\r\u001a\u00020\fH\u0002J\b\u0010\u0012\u001a\u00020\u0003H\u0002J&\u0010\u0015\u001a\u00020\u00032\u0006\u0010\u0014\u001a\u00020\u00132\u0006\u0010\r\u001a\u00020\f2\f\u0010\u000f\u001a\b\u0012\u0004\u0012\u00020\u00030\u000eH\u0002J\b\u0010\u0016\u001a\u00020\u0003H\u0002J\b\u0010\u0017\u001a\u00020\u0003H\u0002J\b\u0010\u0018\u001a\u00020\u0003H\u0002J\b\u0010\u0019\u001a\u00020\u0003H\u0002J\b\u0010\u001a\u001a\u00020\u0003H\u0002J\b\u0010\u001b\u001a\u00020\u0003H\u0002JM\u0010'\u001a\u00020\u00032\b\u0010\u001d\u001a\u0004\u0018\u00010\u001c2\u0016\u0010!\u001a\u0012\u0012\u0004\u0012\u00020\u001f0\u001ej\b\u0012\u0004\u0012\u00020\u001f` 2!\u0010&\u001a\u001d\u0012\u0013\u0012\u00110\u001f¢\u0006\f\b#\u0012\b\b$\u0012\u0004\b\b(%\u0012\u0004\u0012\u00020\u00030\"H\u0002J\u0010\u0010*\u001a\u00020\u00032\u0006\u0010)\u001a\u00020(H\u0002J\u0010\u0010+\u001a\u00020\u00032\u0006\u0010)\u001a\u00020(H\u0002J\u0010\u0010,\u001a\u00020\u00032\u0006\u0010)\u001a\u00020(H\u0002J\u001a\u00101\u001a\u00020\u00032\b\u0010.\u001a\u0004\u0018\u00010-2\u0006\u00100\u001a\u00020/H\u0002J\u0010\u00102\u001a\u00020\u00032\u0006\u00100\u001a\u00020/H\u0002J\u0010\u00103\u001a\u00020\u00032\u0006\u00100\u001a\u00020/H\u0002J\b\u00104\u001a\u00020\u0003H\u0002J\b\u00105\u001a\u00020\u0003H\u0002J\b\u00106\u001a\u00020\u0003H\u0002J\b\u00107\u001a\u00020\u0003H\u0002J\b\u00108\u001a\u00020\u0003H\u0002J\b\u00109\u001a\u00020\u0003H\u0002J\b\u0010:\u001a\u00020\u0003H\u0002J\u0012\u0010=\u001a\u00020\u00032\b\b\u0002\u0010<\u001a\u00020;H\u0002J\b\u0010>\u001a\u00020\u0003H\u0002J\b\u0010?\u001a\u00020\u0003H\u0002J\u0012\u0010B\u001a\u00020\u00032\b\u0010A\u001a\u0004\u0018\u00010@H\u0002J\b\u0010C\u001a\u00020\u0003H\u0002J&\u0010K\u001a\u0004\u0018\u00010J2\u0006\u0010E\u001a\u00020D2\b\u0010G\u001a\u0004\u0018\u00010F2\b\u0010I\u001a\u0004\u0018\u00010HH\u0016J\u001a\u0010M\u001a\u00020\u00032\u0006\u0010L\u001a\u00020J2\b\u0010I\u001a\u0004\u0018\u00010HH\u0016J\b\u0010N\u001a\u00020\u0003H\u0016J\u0010\u0010Q\u001a\u00020\u00032\u0006\u0010P\u001a\u00020OH\u0016J\u0010\u0010R\u001a\u00020\u00032\u0006\u0010P\u001a\u00020OH\u0016J(\u0010V\u001a\u00020\u00032\u0006\u0010P\u001a\u00020O2\u0006\u0010S\u001a\u00020\u00132\u0006\u0010T\u001a\u00020\u00132\u0006\u0010U\u001a\u00020\u0013H\u0016J\u0010\u0010W\u001a\u00020\u00032\u0006\u0010P\u001a\u00020OH\u0016J\u000e\u0010Z\u001a\u00020\u00032\u0006\u0010Y\u001a\u00020XJ\u0006\u0010[\u001a\u00020\u0003J\u0010\u0010^\u001a\u00020\u00032\u0006\u0010]\u001a\u00020\\H\u0007J\u0010\u0010`\u001a\u00020\u00032\u0006\u0010]\u001a\u00020_H\u0007J\u0010\u0010b\u001a\u00020\u00032\u0006\u0010]\u001a\u00020aH\u0007J\u0010\u0010d\u001a\u00020\u00032\u0006\u0010]\u001a\u00020cH\u0007J\u0010\u0010f\u001a\u00020\u00032\u0006\u0010]\u001a\u00020eH\u0007J\u0010\u0010h\u001a\u00020\u00032\u0006\u0010]\u001a\u00020gH\u0007J\u0010\u0010j\u001a\u00020\u00032\u0006\u0010]\u001a\u00020iH\u0007J\u0010\u0010l\u001a\u00020\u00032\u0006\u0010]\u001a\u00020kH\u0007J\u0010\u0010n\u001a\u00020\u00032\u0006\u0010]\u001a\u00020mH\u0007J\u0010\u0010p\u001a\u00020\u00032\u0006\u0010]\u001a\u00020oH\u0007J\u0010\u0010r\u001a\u00020\u00032\u0006\u0010]\u001a\u00020qH\u0007J\u0010\u0010t\u001a\u00020\u00032\u0006\u0010]\u001a\u00020sH\u0007J\u0010\u0010v\u001a\u00020\u00032\u0006\u0010]\u001a\u00020uH\u0007J\u0010\u0010x\u001a\u00020\u00032\u0006\u0010]\u001a\u00020wH\u0007J\u0010\u0010z\u001a\u00020\u00032\u0006\u0010]\u001a\u00020yH\u0007J\u0010\u0010|\u001a\u00020\u00032\u0006\u0010]\u001a\u00020{H\u0007J\u0010\u0010~\u001a\u00020\u00032\u0006\u0010]\u001a\u00020}H\u0007J\u0011\u0010\u0001\u001a\u00020\u00032\u0006\u0010]\u001a\u00020H\u0007J\u0012\u0010\u0001\u001a\u00020\u00032\u0007\u0010]\u001a\u00030\u0001H\u0007J\u0012\u0010\u0001\u001a\u00020\u00032\u0007\u0010]\u001a\u00030\u0001H\u0007J\u0012\u0010\u0001\u001a\u00020\u00032\u0007\u0010]\u001a\u00030\u0001H\u0007J\u0012\u0010\u0001\u001a\u00020\u00032\u0007\u0010]\u001a\u00030\u0001H\u0007J\u0012\u0010\u0001\u001a\u00020\u00032\u0007\u0010]\u001a\u00030\u0001H\u0007J\u0012\u0010\u0001\u001a\u00020\u00032\u0007\u0010]\u001a\u00030\u0001H\u0007J\u0012\u0010\u0001\u001a\u00020\u00032\u0007\u0010]\u001a\u00030\u0001H\u0007J\u0012\u0010\u0001\u001a\u00020\u00032\u0007\u0010]\u001a\u00030\u0001H\u0007J\u0012\u0010\u0001\u001a\u00020\u00032\u0007\u0010]\u001a\u00030\u0001H\u0007J\u0012\u0010\u0001\u001a\u00020\u00032\u0007\u0010]\u001a\u00030\u0001H\u0007J\u0012\u0010\u0001\u001a\u00020\u00032\u0007\u0010]\u001a\u00030\u0001H\u0007J\u0012\u0010\u0001\u001a\u00020\u00032\u0007\u0010]\u001a\u00030\u0001H\u0007J\u0012\u0010\u0001\u001a\u00020\u00032\u0007\u0010]\u001a\u00030\u0001H\u0007J\u0012\u0010\u0001\u001a\u00020\u00032\u0007\u0010]\u001a\u00030\u0001H\u0007J\u0012\u0010\u0001\u001a\u00020\u00032\u0007\u0010]\u001a\u00030\u0001H\u0007J\u0012\u0010 \u0001\u001a\u00020\u00032\u0007\u0010]\u001a\u00030\u0001H\u0007J\u0012\u0010¢\u0001\u001a\u00020\u00032\u0007\u0010]\u001a\u00030¡\u0001H\u0007J\u0012\u0010¤\u0001\u001a\u00020\u00032\u0007\u0010]\u001a\u00030£\u0001H\u0007J\u0012\u0010¦\u0001\u001a\u00020\u00032\u0007\u0010]\u001a\u00030¥\u0001H\u0007J\u0012\u0010¨\u0001\u001a\u00020\u00032\u0007\u0010]\u001a\u00030§\u0001H\u0007J\u0012\u0010ª\u0001\u001a\u00020\u00032\u0007\u0010]\u001a\u00030©\u0001H\u0007J\u0012\u0010¬\u0001\u001a\u00020\u00032\u0007\u0010]\u001a\u00030«\u0001H\u0007J\u0012\u0010®\u0001\u001a\u00020\u00032\u0007\u0010]\u001a\u00030­\u0001H\u0007R*\u0010¶\u0001\u001a\u00030¯\u00018\u0006@\u0006X.¢\u0006\u0018\n\u0006\b°\u0001\u0010±\u0001\u001a\u0006\b²\u0001\u0010³\u0001\"\u0006\b´\u0001\u0010µ\u0001R\u001c\u0010º\u0001\u001a\u0005\u0018\u00010·\u00018\u0002@\u0002X\u000e¢\u0006\b\n\u0006\b¸\u0001\u0010¹\u0001R\u001a\u0010\u001d\u001a\u0004\u0018\u00010\u001c8\u0002@\u0002X\u000e¢\u0006\b\n\u0006\b»\u0001\u0010¼\u0001R\u001b\u0010¾\u0001\u001a\u0004\u0018\u00010\u001c8\u0002@\u0002X\u000e¢\u0006\b\n\u0006\b½\u0001\u0010¼\u0001R\u001b\u0010À\u0001\u001a\u0004\u0018\u00010\u001c8\u0002@\u0002X\u000e¢\u0006\b\n\u0006\b¿\u0001\u0010¼\u0001R\u001b\u0010Ã\u0001\u001a\u0004\u0018\u00010\u00138\u0002@\u0002X\u000e¢\u0006\b\n\u0006\bÁ\u0001\u0010Â\u0001R\u0019\u0010Æ\u0001\u001a\u00020;8\u0002@\u0002X\u000e¢\u0006\b\n\u0006\bÄ\u0001\u0010Å\u0001R\u0019\u0010È\u0001\u001a\u00020;8\u0002@\u0002X\u000e¢\u0006\b\n\u0006\bÇ\u0001\u0010Å\u0001R\u001c\u0010Ì\u0001\u001a\u0005\u0018\u00010É\u00018\u0002@\u0002X\u000e¢\u0006\b\n\u0006\bÊ\u0001\u0010Ë\u0001R\u001c\u0010Ð\u0001\u001a\u0005\u0018\u00010Í\u00018\u0002@\u0002X\u000e¢\u0006\b\n\u0006\bÎ\u0001\u0010Ï\u0001R\u001c\u0010Ô\u0001\u001a\u0005\u0018\u00010Ñ\u00018\u0002@\u0002X\u000e¢\u0006\b\n\u0006\bÒ\u0001\u0010Ó\u0001R\u0019\u0010×\u0001\u001a\u00020(8\u0002@\u0002X\u000e¢\u0006\b\n\u0006\bÕ\u0001\u0010Ö\u0001R\u001c\u0010Û\u0001\u001a\u0005\u0018\u00010Ø\u00018\u0002@\u0002X\u000e¢\u0006\b\n\u0006\bÙ\u0001\u0010Ú\u0001R\u001a\u0010ß\u0001\u001a\u00030Ü\u00018\u0002@\u0002X\u000e¢\u0006\b\n\u0006\bÝ\u0001\u0010Þ\u0001R\u001c\u0010á\u0001\u001a\u0005\u0018\u00010Ü\u00018\u0002@\u0002X\u000e¢\u0006\b\n\u0006\bà\u0001\u0010Þ\u0001R\u001a\u0010å\u0001\u001a\u00030â\u00018\u0002@\u0002X\u000e¢\u0006\b\n\u0006\bã\u0001\u0010ä\u0001R\u0017\u0010é\u0001\u001a\u0005\u0018\u00010æ\u00018F¢\u0006\b\u001a\u0006\bç\u0001\u0010è\u0001¨\u0006ì\u0001"}, d2 = {"Lcom/graphisoft/bimxlab/viewer3D/fragment/Viewer3DFragment;", "Lcom/graphisoft/bimxlab/base/fragment/e;", "Landroid/view/SurfaceHolder$Callback2;", "Lkotlin/l2;", "M0", "O0", "t0", "V0", "D0", "E0", "B0", "y0", "", "duration", "Lkotlin/Function0;", "postAction", "c0", "K0", "z0", "", "layoutId", "b0", "J0", "e0", "C0", "H0", "Q0", "P0", "Lcom/graphisoft/bimxlab/contextPoint/view/f;", "contextPointView", "Ljava/util/ArrayList;", "", "Lkotlin/collections/ArrayList;", "actions", "Lkotlin/Function1;", "Lkotlin/v0;", "name", "action", "callBack", "Y0", "Landroid/graphics/PointF;", "pointLocation", "X0", "p0", "h0", "Landroid/graphics/Rect;", "targetRect", "Ljava/util/UUID;", "uuid", "a1", "U0", "i0", "q0", "k0", "g0", "o0", "n0", "s0", "c1", "", "animated", "R0", "I0", "r0", "Lcom/graphisoft/bimx/connector/contentspecification/ContentSpecification;", "contentSpec", "j0", "b1", "Landroid/view/LayoutInflater;", "inflater", "Landroid/view/ViewGroup;", "container", "Landroid/os/Bundle;", "savedInstanceState", "Landroid/view/View;", "onCreateView", "view", "onViewCreated", "onDestroyView", "Landroid/view/SurfaceHolder;", "holder", "surfaceRedrawNeeded", "surfaceCreated", "format", "width", "height", "surfaceChanged", "surfaceDestroyed", "Lcom/graphisoft/bimxlab/viewer3D/model/Viewer3DFragmentData;", "fragmentData", "L0", "T0", "Lj1/m0;", "event", "onElementHighlightedEvent", "Lj1/n0;", "onElementSelectedEvent", "Lj1/l0;", "onElementDeselectedEvent", "Lj1/k0;", "onElementChangeSelectionEvent", "Lj1/b;", "onAllElementsDeselectedEvent", "Lj1/d0;", "onCurrentlyEnteredZonesChangedEvent", "Lj1/e1;", "onGhostSelectedEvent", "Lj1/e0;", "onCutPlaneSelectedEvent", "Lj1/s3;", "onPlanesDeselectedEvent", "Lj1/o3;", "onOpenSelectionPopupEvent", "Lj1/r3;", "onOpenZonePopupEvent", "Lcom/graphisoft/bimxlab/base/event/MoreOptionsOpenEvent;", "onMoreOptionsOpenEvent", "Lj1/e3;", "onNavigationHistoryModifiedEvent", "Lj1/f3;", "onNavigationHistoryRemoveCompletionEvent", "Lj1/u5;", "onViewer3DLoadedEvent", "Lj1/f1;", "onHomeViewEvent", "Lj1/y0;", "onFitToScreenEvent", "Lj1/w4;", "onStartPresentationEvent", "Lj1/q0;", "onEndPresentationEvent", "Lj1/u3;", "onPrintEvent", "Lj1/s4;", "onShowMarkersOn3DEvent", "Lj1/m;", "onClearMarkersOn3DEvent", "Lj1/i0;", "onDialogCloseEvent", "Lj1/u1;", "onMarkerPopUpOpen2DEvent", "Lj1/v1;", "onMarkerPopUpOpen3DEvent", "Lj1/j3;", "onOpenUrlEvent", "Lj1/f5;", "onUpdateBookmarkIconEvent", "Lj1/v0;", "onFavoriteItemSelectedEvent", "Lj1/n5;", "onUpdateSunPositionIconEvent", "Lj1/c1;", "onGetContentSpecForNewFavoriteEvent", "Lj1/d1;", "onGetContentSpecWithBitmapForAttachment", "Lj1/t5;", "onViewer3DAnimationEndEvent", "Lj1/t2;", "onNavigateFromGalleryItemEvent", "Lj1/x5;", "onZoneInfoOpenPublisherItemEvent", "Lj1/y2;", "onNavigateToPrintEvent", "Lj1/a2;", "onMeasureSelectedEvent", "Lj1/i5;", "onUpdateMeasure3DLabelsEvent", "Lj1/j5;", "onUpdateMeasureDebugViewEvent", "Lj1/g5;", "onUpdateFPSLabelEvent", "Lj1/b3;", "onNavigateToVREvent", "Lj1/e4;", "onSceneOutOfCameraBoundsEvent", "Lcom/graphisoft/bimxlab/viewer3D/viewModel/g;", "d", "Lcom/graphisoft/bimxlab/viewer3D/viewModel/g;", "m0", "()Lcom/graphisoft/bimxlab/viewer3D/viewModel/g;", "W0", "(Lcom/graphisoft/bimxlab/viewer3D/viewModel/g;)V", "viewModel", "Lcom/graphisoft/bimxlab/contextPoint/view/e;", "e", "Lcom/graphisoft/bimxlab/contextPoint/view/e;", "popupView", "f", "Lcom/graphisoft/bimxlab/contextPoint/view/f;", "g", "ghostContextPointView", "h", "cutPlaneContextPointView", "i", "Ljava/lang/Integer;", "preferencesObserverId", "j", "Z", "dialogShowing", "k", "enableFPSDisplay", "Landroid/view/ScaleGestureDetector;", "l", "Landroid/view/ScaleGestureDetector;", "scaleGestureDetector", "Lt3/a;", "m", "Lt3/a;", "defaultGestureListener", "Landroid/view/GestureDetector;", "n", "Landroid/view/GestureDetector;", "defaultGestureDetector", "o", "Landroid/graphics/PointF;", "downPoint", "Ls1/y0;", "p", "Ls1/y0;", "binding", "Landroid/view/View$OnClickListener;", "q", "Landroid/view/View$OnClickListener;", "closeArchitectLogo", "r", "markerClickListener", "Lcom/graphisoft/bimx/connector/enums/MeasureImageType;", "s", "Lcom/graphisoft/bimx/connector/enums/MeasureImageType;", "measureDebugImageType", "Landroid/view/SurfaceView;", "l0", "()Landroid/view/SurfaceView;", "surfaceView", "<init>", "()V", "app_arm64Release"}, k = 1, mv = {1, 6, 0})
public final class Viewer3DFragment extends com.graphisoft.bimxlab.base.fragment.e implements SurfaceHolder.Callback2 {

    /* renamed from: d  reason: collision with root package name */
    public com.graphisoft.bimxlab.viewer3D.viewModel.g f18194d;
    @a7.e

    /* renamed from: e  reason: collision with root package name */
    private com.graphisoft.bimxlab.contextPoint.view.e f18195e;
    @a7.e

    /* renamed from: f  reason: collision with root package name */
    private com.graphisoft.bimxlab.contextPoint.view.f f18196f;
    @a7.e

    /* renamed from: g  reason: collision with root package name */
    private com.graphisoft.bimxlab.contextPoint.view.f f18197g;
    @a7.e

    /* renamed from: h  reason: collision with root package name */
    private com.graphisoft.bimxlab.contextPoint.view.f f18198h;
    @a7.e

    /* renamed from: i  reason: collision with root package name */
    private Integer f18199i;

    /* renamed from: j  reason: collision with root package name */
    private boolean f18200j;

    /* renamed from: k  reason: collision with root package name */
    private boolean f18201k;
    @a7.e

    /* renamed from: l  reason: collision with root package name */
    private ScaleGestureDetector f18202l;
    @a7.e

    /* renamed from: m  reason: collision with root package name */
    private t3.a f18203m;
    @a7.e

    /* renamed from: n  reason: collision with root package name */
    private GestureDetector f18204n;
    @a7.d

    /* renamed from: o  reason: collision with root package name */
    private PointF f18205o = new PointF(0.0f, 0.0f);
    @a7.e

    /* renamed from: p  reason: collision with root package name */
    private y0 f18206p;
    @a7.d

    /* renamed from: q  reason: collision with root package name */
    private View.OnClickListener f18207q = new d(this);
    @a7.e

    /* renamed from: r  reason: collision with root package name */
    private View.OnClickListener f18208r = new e(this);
    @a7.d

    /* renamed from: s  reason: collision with root package name */
    private MeasureImageType f18209s = MeasureImageType.Color;

    public static final class a implements Transition.TransitionListener {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ r4.a f18210a;

        public a(r4.a aVar) {
            this.f18210a = aVar;
        }

        public void onTransitionCancel(@a7.d Transition transition) {
            l0.q(transition, "transition");
        }

        public void onTransitionEnd(@a7.d Transition transition) {
            l0.q(transition, "transition");
            this.f18210a.invoke();
        }

        public void onTransitionPause(@a7.d Transition transition) {
            l0.q(transition, "transition");
        }

        public void onTransitionResume(@a7.d Transition transition) {
            l0.q(transition, "transition");
        }

        public void onTransitionStart(@a7.d Transition transition) {
            l0.q(transition, "transition");
        }
    }

    /* access modifiers changed from: package-private */
    public static final class b extends n0 implements r4.a<l2> {

        /* renamed from: f  reason: collision with root package name */
        public static final b f18211f = new b();

        b() {
            super(0);
        }

        @Override // r4.a
        public final void invoke() {
        }
    }

    /* access modifiers changed from: package-private */
    public static final class c extends n0 implements r4.a<l2> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ r4.a<l2> f18212f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ Viewer3DFragment f18213g;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        c(r4.a<l2> aVar, Viewer3DFragment viewer3DFragment) {
            super(0);
            this.f18212f = aVar;
            this.f18213g = viewer3DFragment;
        }

        /* access modifiers changed from: private */
        public static final void d(Viewer3DFragment viewer3DFragment, View view) {
            l0.p(viewer3DFragment, "this$0");
            viewer3DFragment.K0((long) viewer3DFragment.getResources().getInteger(s.i.f17205a));
        }

        @Override // r4.a
        public final void invoke() {
            ImageView imageView;
            ConstraintLayout constraintLayout;
            this.f18212f.invoke();
            this.f18213g.m0().G0(false);
            y0 y0Var = this.f18213g.f18206p;
            if (!(y0Var == null || (constraintLayout = y0Var.f25898b) == null)) {
                constraintLayout.setOnClickListener(null);
            }
            y0 y0Var2 = this.f18213g.f18206p;
            if (y0Var2 != null && (imageView = y0Var2.f25899c) != null) {
                imageView.setOnClickListener(new k(this.f18213g));
            }
        }
    }

    /* access modifiers changed from: package-private */
    public static final class d extends n0 implements r4.a<l2> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ Viewer3DFragment f18214f;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        d(Viewer3DFragment viewer3DFragment) {
            super(0);
            this.f18214f = viewer3DFragment;
        }

        @Override // r4.a
        public final void invoke() {
            this.f18214f.H0();
        }
    }

    /* access modifiers changed from: package-private */
    public static final class e extends n0 implements r4.a<ArrayList<i1.g>> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ Viewer3DFragment f18215f;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        e(Viewer3DFragment viewer3DFragment) {
            super(0);
            this.f18215f = viewer3DFragment;
        }

        @a7.d
        /* renamed from: c */
        public final ArrayList<i1.g> invoke() {
            TitleBarView titleBarView;
            ArrayList<i1.g> hiddenItems;
            y0 y0Var = this.f18215f.f18206p;
            return (y0Var == null || (titleBarView = y0Var.f25915s) == null || (hiddenItems = titleBarView.getHiddenItems()) == null) ? new ArrayList<>() : hiddenItems;
        }
    }

    /* access modifiers changed from: package-private */
    public static final class f extends n0 implements r4.l<String, l2> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ String f18216f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ Viewer3DFragment f18217g;

        /* renamed from: p  reason: collision with root package name */
        final /* synthetic */ String f18218p;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        f(String str, Viewer3DFragment viewer3DFragment, String str2) {
            super(1);
            this.f18216f = str;
            this.f18217g = viewer3DFragment;
            this.f18218p = str2;
        }

        public final void c(@a7.d String str) {
            l0.p(str, "selection");
            if (l0.g(str, this.f18216f)) {
                this.f18217g.k0();
            } else if (l0.g(str, this.f18218p)) {
                this.f18217g.g0();
            }
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // r4.l
        public /* bridge */ /* synthetic */ l2 invoke(String str) {
            c(str);
            return l2.f19890a;
        }
    }

    /* access modifiers changed from: package-private */
    public static final class g extends n0 implements r4.l<String, l2> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ Viewer3DFragment f18219f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ String f18220g;

        /* renamed from: p  reason: collision with root package name */
        final /* synthetic */ String f18221p;

        /* renamed from: x  reason: collision with root package name */
        final /* synthetic */ String f18222x;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        g(Viewer3DFragment viewer3DFragment, String str, String str2, String str3) {
            super(1);
            this.f18219f = viewer3DFragment;
            this.f18220g = str;
            this.f18221p = str2;
            this.f18222x = str3;
        }

        public final void c(@a7.d String str) {
            l0.p(str, "selection");
            com.graphisoft.bimxlab.contextPoint.view.f fVar = this.f18219f.f18197g;
            if (fVar != null) {
                fVar.n();
            }
            if (l0.g(str, this.f18220g)) {
                this.f18219f.o0();
            } else if (l0.g(str, this.f18221p)) {
                this.f18219f.n0();
            } else if (l0.g(str, this.f18222x)) {
                this.f18219f.s0();
            }
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // r4.l
        public /* bridge */ /* synthetic */ l2 invoke(String str) {
            c(str);
            return l2.f19890a;
        }
    }

    /* access modifiers changed from: package-private */
    public static final class h extends n0 implements r4.a<l2> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ Viewer3DFragment f18223f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ long f18224g;

        /* access modifiers changed from: package-private */
        public static final class a extends n0 implements r4.a<l2> {

            /* renamed from: f  reason: collision with root package name */
            final /* synthetic */ Viewer3DFragment f18225f;

            /* JADX INFO: super call moved to the top of the method (can break code semantics) */
            a(Viewer3DFragment viewer3DFragment) {
                super(0);
                this.f18225f = viewer3DFragment;
            }

            @Override // r4.a
            public final void invoke() {
                ImageView imageView;
                y0 y0Var = this.f18225f.f18206p;
                if (y0Var != null && (imageView = y0Var.f25899c) != null) {
                    ExtensionsKt.e0(imageView);
                }
            }
        }

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        h(Viewer3DFragment viewer3DFragment, long j7) {
            super(0);
            this.f18223f = viewer3DFragment;
            this.f18224g = j7;
        }

        @Override // r4.a
        public final void invoke() {
            Viewer3DFragment viewer3DFragment = this.f18223f;
            viewer3DFragment.c0(this.f18224g, new a(viewer3DFragment));
        }
    }

    /* access modifiers changed from: package-private */
    public static final class i extends n0 implements r4.a<l2> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ Viewer3DFragment f18226f;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        i(Viewer3DFragment viewer3DFragment) {
            super(0);
            this.f18226f = viewer3DFragment;
        }

        @Override // r4.a
        public final void invoke() {
            y0 y0Var;
            ImageView imageView;
            FragmentActivity activity = this.f18226f.getActivity();
            MainActivity mainActivity = activity instanceof MainActivity ? (MainActivity) activity : null;
            boolean z7 = false;
            if (mainActivity != null && !mainActivity.K()) {
                z7 = true;
            }
            if (z7 && (y0Var = this.f18226f.f18206p) != null && (imageView = y0Var.f25899c) != null) {
                ExtensionsKt.e0(imageView);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public static final class j extends n0 implements r4.a<l2> {

        /* renamed from: f  reason: collision with root package name */
        public static final j f18227f = new j();

        j() {
            super(0);
        }

        @Override // r4.a
        public final void invoke() {
        }
    }

    public static final class k extends OnBackPressedCallback {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ Viewer3DFragment f18228a;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        k(Viewer3DFragment viewer3DFragment) {
            super(true);
            this.f18228a = viewer3DFragment;
        }

        @Override // androidx.activity.OnBackPressedCallback
        public void handleOnBackPressed() {
            FragmentActivity activity = this.f18228a.getActivity();
            MainActivity mainActivity = activity instanceof MainActivity ? (MainActivity) activity : null;
            if (mainActivity != null) {
                for (Fragment fragment : mainActivity.getSupportFragmentManager().getFragments()) {
                    if (fragment instanceof RightContainerFragment) {
                        FragmentManager childFragmentManager = ((RightContainerFragment) fragment).getChildFragmentManager();
                        l0.o(childFragmentManager, "fragment.childFragmentManager");
                        if (childFragmentManager.getBackStackEntryCount() > 0) {
                            EventBus.getDefault().post(new d4());
                            return;
                        }
                    }
                }
            }
            boolean z7 = false;
            if (mainActivity != null && mainActivity.K()) {
                z7 = true;
            }
            if (z7) {
                mainActivity.o();
            } else {
                this.f18228a.H0();
            }
        }
    }

    /* access modifiers changed from: package-private */
    public static final class l extends n0 implements r4.a<l2> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ Viewer3DFragment f18229f;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        l(Viewer3DFragment viewer3DFragment) {
            super(0);
            this.f18229f = viewer3DFragment;
        }

        @Override // r4.a
        public final void invoke() {
            this.f18229f.E0();
            EventBus.getDefault().post(new w3(this.f18229f.m0().W()));
            this.f18229f.e0();
            EventBus.getDefault().post(new y3());
        }
    }

    /* access modifiers changed from: package-private */
    public static final class m extends n0 implements r4.a<l2> {

        /* renamed from: f  reason: collision with root package name */
        public static final m f18230f = new m();

        m() {
            super(0);
        }

        @Override // r4.a
        public final void invoke() {
        }
    }

    /* access modifiers changed from: package-private */
    @kotlin.coroutines.jvm.internal.f(c = "com.graphisoft.bimxlab.viewer3D.fragment.Viewer3DFragment$markerClickListener$1$1$1", f = "Viewer3DFragment.kt", i = {}, l = {}, m = "invokeSuspend", n = {}, s = {})
    public static final class n extends kotlin.coroutines.jvm.internal.o implements r4.p<t0, kotlin.coroutines.d<? super l2>, Object> {

        /* renamed from: f  reason: collision with root package name */
        int f18231f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ Viewer3DFragment f18232g;

        /* renamed from: p  reason: collision with root package name */
        final /* synthetic */ MarkerPopUpFragmentData f18233p;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        n(Viewer3DFragment viewer3DFragment, MarkerPopUpFragmentData markerPopUpFragmentData, kotlin.coroutines.d<? super n> dVar) {
            super(2, dVar);
            this.f18232g = viewer3DFragment;
            this.f18233p = markerPopUpFragmentData;
        }

        @Override // kotlin.coroutines.jvm.internal.a
        @a7.d
        public final kotlin.coroutines.d<l2> create(@a7.e Object obj, @a7.d kotlin.coroutines.d<?> dVar) {
            return new n(this.f18232g, this.f18233p, dVar);
        }

        @Override // kotlin.coroutines.jvm.internal.a
        @a7.e
        public final Object invokeSuspend(@a7.d Object obj) {
            Object unused = kotlin.coroutines.intrinsics.d.h();
            if (this.f18231f == 0) {
                e1.n(obj);
                com.graphisoft.bimxlab.utils.manager.b.f17800a.x(FragmentKt.findNavController(this.f18232g), this.f18233p);
                return l2.f19890a;
            }
            throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
        }

        @a7.e
        public final Object invoke(@a7.d t0 t0Var, @a7.e kotlin.coroutines.d<? super l2> dVar) {
            return ((n) create(t0Var, dVar)).invokeSuspend(l2.f19890a);
        }
    }

    static final class o extends n0 implements r4.a<l2> {

        /* renamed from: f  reason: collision with root package name */
        public static final o f18234f = new o();

        o() {
            super(0);
        }

        @Override // r4.a
        public final void invoke() {
        }
    }

    @kotlin.coroutines.jvm.internal.f(c = "com.graphisoft.bimxlab.viewer3D.fragment.Viewer3DFragment$onNavigationHistoryModifiedEvent$1", f = "Viewer3DFragment.kt", i = {}, l = {}, m = "invokeSuspend", n = {}, s = {})
    static final class p extends kotlin.coroutines.jvm.internal.o implements r4.p<t0, kotlin.coroutines.d<? super l2>, Object> {

        /* renamed from: f  reason: collision with root package name */
        int f18235f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ Viewer3DFragment f18236g;

        /* access modifiers changed from: package-private */
        public static final class a extends n0 implements r4.a<l2> {

            /* renamed from: f  reason: collision with root package name */
            final /* synthetic */ Viewer3DFragment f18237f;

            /* JADX INFO: super call moved to the top of the method (can break code semantics) */
            a(Viewer3DFragment viewer3DFragment) {
                super(0);
                this.f18237f = viewer3DFragment;
            }

            @Override // r4.a
            public final void invoke() {
                this.f18237f.H0();
            }
        }

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        p(Viewer3DFragment viewer3DFragment, kotlin.coroutines.d<? super p> dVar) {
            super(2, dVar);
            this.f18236g = viewer3DFragment;
        }

        @Override // kotlin.coroutines.jvm.internal.a
        @a7.d
        public final kotlin.coroutines.d<l2> create(@a7.e Object obj, @a7.d kotlin.coroutines.d<?> dVar) {
            return new p(this.f18236g, dVar);
        }

        @Override // kotlin.coroutines.jvm.internal.a
        @a7.e
        public final Object invokeSuspend(@a7.d Object obj) {
            TitleBarView titleBarView;
            Object unused = kotlin.coroutines.intrinsics.d.h();
            if (this.f18235f == 0) {
                e1.n(obj);
                y0 y0Var = this.f18236g.f18206p;
                if (!(y0Var == null || (titleBarView = y0Var.f25915s) == null)) {
                    com.graphisoft.bimxlab.viewer3D.viewModel.g m02 = this.f18236g.m0();
                    Viewer3DFragment viewer3DFragment = this.f18236g;
                    titleBarView.setLeftSideOptions(m02.Y0(viewer3DFragment, FragmentKt.findNavController(viewer3DFragment), new a(this.f18236g)));
                }
                return l2.f19890a;
            }
            throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
        }

        @a7.e
        public final Object invoke(@a7.d t0 t0Var, @a7.e kotlin.coroutines.d<? super l2> dVar) {
            return ((p) create(t0Var, dVar)).invokeSuspend(l2.f19890a);
        }
    }

    /* access modifiers changed from: package-private */
    public static final class q extends n0 implements r4.a<l2> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ Viewer3DFragment f18238f;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        q(Viewer3DFragment viewer3DFragment) {
            super(0);
            this.f18238f = viewer3DFragment;
        }

        @Override // r4.a
        public final void invoke() {
            ConstraintLayout constraintLayout;
            ImageView imageView;
            this.f18238f.m0().G0(true);
            this.f18238f.z0();
            y0 y0Var = this.f18238f.f18206p;
            if (!(y0Var == null || (imageView = y0Var.f25899c) == null)) {
                imageView.setOnClickListener(this.f18238f.f18207q);
            }
            y0 y0Var2 = this.f18238f.f18206p;
            if (y0Var2 != null && (constraintLayout = y0Var2.f25898b) != null) {
                constraintLayout.setOnClickListener(this.f18238f.f18207q);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public static final class r extends n0 implements r4.l<String, l2> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ Viewer3DFragment f18239f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ String f18240g;

        /* renamed from: p  reason: collision with root package name */
        final /* synthetic */ String f18241p;

        /* renamed from: x  reason: collision with root package name */
        final /* synthetic */ String f18242x;

        /* renamed from: y  reason: collision with root package name */
        final /* synthetic */ String f18243y;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        r(Viewer3DFragment viewer3DFragment, String str, String str2, String str3, String str4) {
            super(1);
            this.f18239f = viewer3DFragment;
            this.f18240g = str;
            this.f18241p = str2;
            this.f18242x = str3;
            this.f18243y = str4;
        }

        public final void c(@a7.d String str) {
            l0.p(str, "selection");
            com.graphisoft.bimxlab.contextPoint.view.f fVar = this.f18239f.f18196f;
            if (fVar != null) {
                Viewer3DFragment viewer3DFragment = this.f18239f;
                String str2 = this.f18240g;
                String str3 = this.f18241p;
                String str4 = this.f18242x;
                String str5 = this.f18243y;
                UUID I = viewer3DFragment.m0().I();
                if (I == null) {
                    return;
                }
                if (l0.g(str, str2)) {
                    viewer3DFragment.a1(ExtensionsKt.F(fVar), I);
                } else if (l0.g(str, str3)) {
                    viewer3DFragment.q0();
                } else if (l0.g(str, str4)) {
                    viewer3DFragment.U0(I);
                } else if (l0.g(str, str5)) {
                    viewer3DFragment.i0(I);
                } else {
                    viewer3DFragment.m0().C0(str);
                }
            }
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // r4.l
        public /* bridge */ /* synthetic */ l2 invoke(String str) {
            c(str);
            return l2.f19890a;
        }
    }

    /* access modifiers changed from: package-private */
    public static final class s extends n0 implements r4.l<String, l2> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ r4.l<String, l2> f18244f;

        /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: r4.l<? super java.lang.String, kotlin.l2> */
        /* JADX WARN: Multi-variable type inference failed */
        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        s(r4.l<? super String, l2> lVar) {
            super(1);
            this.f18244f = lVar;
        }

        public final void c(@a7.d String str) {
            l0.p(str, "selection");
            this.f18244f.invoke(str);
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // r4.l
        public /* bridge */ /* synthetic */ l2 invoke(String str) {
            c(str);
            return l2.f19890a;
        }
    }

    /* access modifiers changed from: package-private */
    public static final class t extends n0 implements r4.a<l2> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ Viewer3DFragment f18245f;

        /* access modifiers changed from: package-private */
        public static final class a extends n0 implements r4.a<l2> {

            /* renamed from: f  reason: collision with root package name */
            public static final a f18246f = new a();

            a() {
                super(0);
            }

            @Override // r4.a
            public final void invoke() {
            }
        }

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        t(Viewer3DFragment viewer3DFragment) {
            super(0);
            this.f18245f = viewer3DFragment;
        }

        @Override // r4.a
        public final void invoke() {
            com.graphisoft.bimxlab.contextPoint.view.e eVar = this.f18245f.f18195e;
            if (eVar != null) {
                eVar.setRemoveCallback(a.f18246f);
            }
            this.f18245f.m0().h1(true);
        }
    }

    /* access modifiers changed from: package-private */
    @kotlin.coroutines.jvm.internal.f(c = "com.graphisoft.bimxlab.viewer3D.fragment.Viewer3DFragment$surfaceCreated$1", f = "Viewer3DFragment.kt", i = {0}, l = {1136}, m = "invokeSuspend", n = {"$this$withLock_u24default$iv"}, s = {"L$0"})
    public static final class u extends kotlin.coroutines.jvm.internal.o implements r4.p<t0, kotlin.coroutines.d<? super l2>, Object> {
        final /* synthetic */ SurfaceHolder C1;

        /* renamed from: f  reason: collision with root package name */
        Object f18247f;

        /* renamed from: g  reason: collision with root package name */
        Object f18248g;

        /* renamed from: p  reason: collision with root package name */
        Object f18249p;

        /* renamed from: x  reason: collision with root package name */
        int f18250x;

        /* renamed from: y  reason: collision with root package name */
        final /* synthetic */ Viewer3DFragment f18251y;

        /* access modifiers changed from: package-private */
        public static final class a extends n0 implements r4.a<l2> {

            /* renamed from: f  reason: collision with root package name */
            final /* synthetic */ Viewer3DFragment f18252f;

            /* JADX INFO: super call moved to the top of the method (can break code semantics) */
            a(Viewer3DFragment viewer3DFragment) {
                super(0);
                this.f18252f = viewer3DFragment;
            }

            @Override // r4.a
            public final void invoke() {
                this.f18252f.D0();
            }
        }

        /* access modifiers changed from: package-private */
        @kotlin.coroutines.jvm.internal.f(c = "com.graphisoft.bimxlab.viewer3D.fragment.Viewer3DFragment$surfaceCreated$1$1$2", f = "Viewer3DFragment.kt", i = {}, l = {}, m = "invokeSuspend", n = {}, s = {})
        public static final class b extends kotlin.coroutines.jvm.internal.o implements r4.p<t0, kotlin.coroutines.d<? super l2>, Object> {

            /* renamed from: f  reason: collision with root package name */
            int f18253f;

            /* renamed from: g  reason: collision with root package name */
            final /* synthetic */ Viewer3DFragment f18254g;

            /* renamed from: p  reason: collision with root package name */
            final /* synthetic */ SurfaceHolder f18255p;

            /* JADX INFO: super call moved to the top of the method (can break code semantics) */
            b(Viewer3DFragment viewer3DFragment, SurfaceHolder surfaceHolder, kotlin.coroutines.d<? super b> dVar) {
                super(2, dVar);
                this.f18254g = viewer3DFragment;
                this.f18255p = surfaceHolder;
            }

            @Override // kotlin.coroutines.jvm.internal.a
            @a7.d
            public final kotlin.coroutines.d<l2> create(@a7.e Object obj, @a7.d kotlin.coroutines.d<?> dVar) {
                return new b(this.f18254g, this.f18255p, dVar);
            }

            @Override // kotlin.coroutines.jvm.internal.a
            @a7.e
            public final Object invokeSuspend(@a7.d Object obj) {
                Object unused = kotlin.coroutines.intrinsics.d.h();
                if (this.f18253f == 0) {
                    e1.n(obj);
                    com.graphisoft.bimxlab.viewer3D.viewModel.g m02 = this.f18254g.m0();
                    Surface surface = this.f18255p.getSurface();
                    l0.o(surface, "holder.surface");
                    m02.B0(surface);
                    this.f18254g.m0().V0();
                    this.f18254g.E0();
                    if (this.f18254g.m0().n0()) {
                        this.f18254g.m0().E0(false);
                        this.f18254g.M0();
                    }
                    return l2.f19890a;
                }
                throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
            }

            @a7.e
            public final Object invoke(@a7.d t0 t0Var, @a7.e kotlin.coroutines.d<? super l2> dVar) {
                return ((b) create(t0Var, dVar)).invokeSuspend(l2.f19890a);
            }
        }

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        u(Viewer3DFragment viewer3DFragment, SurfaceHolder surfaceHolder, kotlin.coroutines.d<? super u> dVar) {
            super(2, dVar);
            this.f18251y = viewer3DFragment;
            this.C1 = surfaceHolder;
        }

        @Override // kotlin.coroutines.jvm.internal.a
        @a7.d
        public final kotlin.coroutines.d<l2> create(@a7.e Object obj, @a7.d kotlin.coroutines.d<?> dVar) {
            return new u(this.f18251y, this.C1, dVar);
        }

        /* JADX INFO: finally extract failed */
        @Override // kotlin.coroutines.jvm.internal.a
        @a7.e
        public final Object invokeSuspend(@a7.d Object obj) {
            kotlinx.coroutines.sync.c cVar;
            Viewer3DFragment viewer3DFragment;
            SurfaceHolder surfaceHolder;
            Object obj2 = kotlin.coroutines.intrinsics.d.h();
            int i7 = this.f18250x;
            if (i7 == 0) {
                e1.n(obj);
                kotlinx.coroutines.sync.c X = com.graphisoft.bimxlab.utils.manager.v.f17874a.X();
                viewer3DFragment = this.f18251y;
                SurfaceHolder surfaceHolder2 = this.C1;
                this.f18247f = X;
                this.f18248g = viewer3DFragment;
                this.f18249p = surfaceHolder2;
                this.f18250x = 1;
                if (X.c(null, this) == obj2) {
                    return obj2;
                }
                cVar = X;
                surfaceHolder = surfaceHolder2;
            } else if (i7 == 1) {
                surfaceHolder = (SurfaceHolder) this.f18249p;
                viewer3DFragment = (Viewer3DFragment) this.f18248g;
                cVar = (kotlinx.coroutines.sync.c) this.f18247f;
                e1.n(obj);
            } else {
                throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
            }
            try {
                com.graphisoft.bimxlab.utils.manager.v vVar = com.graphisoft.bimxlab.utils.manager.v.f17874a;
                if (vVar.Y() != null) {
                    com.graphisoft.bimxlab.utils.manager.b bVar = com.graphisoft.bimxlab.utils.manager.b.f17800a;
                    if (l0.g(bVar.g(), viewer3DFragment.m0().W().getPublisherItemId().toString())) {
                        if (l0.g(bVar.f(), viewer3DFragment.m0().W().getHyperModelId().toString())) {
                            m2 unused = kotlinx.coroutines.l.f(com.graphisoft.bimxlab.m.b(), null, null, new b(viewer3DFragment, surfaceHolder, null), 3, null);
                            cVar.d(null);
                            this.f18251y.O0();
                            return l2.f19890a;
                        }
                    }
                }
                com.graphisoft.bimxlab.utils.manager.b bVar2 = com.graphisoft.bimxlab.utils.manager.b.f17800a;
                bVar2.W(viewer3DFragment.m0().W().getHyperModelId().toString());
                bVar2.X(viewer3DFragment.m0().W().getPublisherItemId().toString());
                vVar.P(new a(viewer3DFragment));
                l2 l2Var = l2.f19890a;
                cVar.d(null);
                this.f18251y.O0();
                return l2.f19890a;
            } catch (Throwable th) {
                cVar.d(null);
                throw th;
            }
        }

        @a7.e
        public final Object invoke(@a7.d t0 t0Var, @a7.e kotlin.coroutines.d<? super l2> dVar) {
            return ((u) create(t0Var, dVar)).invokeSuspend(l2.f19890a);
        }
    }

    /* access modifiers changed from: package-private */
    public static final class v extends n0 implements r4.a<l2> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ MainActivity f18256f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ Viewer3DFragment f18257g;

        /* renamed from: p  reason: collision with root package name */
        final /* synthetic */ y0 f18258p;

        /* access modifiers changed from: package-private */
        public static final class a extends n0 implements r4.a<l2> {

            /* renamed from: f  reason: collision with root package name */
            final /* synthetic */ Viewer3DFragment f18259f;

            /* renamed from: g  reason: collision with root package name */
            final /* synthetic */ y0 f18260g;

            /* JADX INFO: super call moved to the top of the method (can break code semantics) */
            a(Viewer3DFragment viewer3DFragment, y0 y0Var) {
                super(0);
                this.f18259f = viewer3DFragment;
                this.f18260g = y0Var;
            }

            private static final void c(Viewer3DFragment viewer3DFragment, View view) {
                l0.p(viewer3DFragment, "this$0");
                viewer3DFragment.f18209s = MeasureImageType.values()[(viewer3DFragment.f18209s.ordinal() + 1) % MeasureImageType.values().length];
                viewer3DFragment.onUpdateMeasureDebugViewEvent(new j5());
            }

            @Override // r4.a
            public final void invoke() {
                t3.a aVar = this.f18259f.f18203m;
                if (aVar != null) {
                    aVar.c(this.f18259f.m0().R());
                }
            }
        }

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        v(MainActivity mainActivity, Viewer3DFragment viewer3DFragment, y0 y0Var) {
            super(0);
            this.f18256f = mainActivity;
            this.f18257g = viewer3DFragment;
            this.f18258p = y0Var;
        }

        @Override // r4.a
        public final void invoke() {
            MainActivity.s(this.f18256f, false, new a(this.f18257g, this.f18258p), 1, null);
        }
    }

    /* access modifiers changed from: private */
    public static final void A0(Viewer3DFragment viewer3DFragment, View view) {
        l0.p(viewer3DFragment, "this$0");
        com.graphisoft.bimxlab.utils.manager.b.f17800a.O(viewer3DFragment.getContext(), viewer3DFragment.m0().H());
    }

    private final void B0() {
        requireActivity().getOnBackPressedDispatcher().addCallback(getViewLifecycleOwner(), new k(this));
    }

    private final void C0() {
        FragmentActivity activity = getActivity();
        MainActivity mainActivity = activity instanceof MainActivity ? (MainActivity) activity : null;
        if (mainActivity != null && mainActivity.K()) {
            mainActivity.H();
            r0();
            if (mainActivity.L()) {
                NavController findNavController = FragmentKt.findNavController(this);
                FragmentManager parentFragmentManager = getParentFragmentManager();
                l0.o(parentFragmentManager, "parentFragmentManager");
                mainActivity.P(findNavController, parentFragmentManager);
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void D0() {
        SurfaceView surfaceView;
        SurfaceHolder holder;
        Surface surface;
        y0 y0Var = this.f18206p;
        if (y0Var != null && (surfaceView = y0Var.f25909m) != null && (holder = surfaceView.getHolder()) != null && (surface = holder.getSurface()) != null) {
            Context context = ApplicationContextProvider.appContext;
            if (context != null) {
                BIMxApplication bIMxApplication = (BIMxApplication) context;
                com.graphisoft.bimxlab.viewer3D.viewModel.g m02 = m0();
                AssetManager assets = bIMxApplication.getAssets();
                l0.o(assets, "application.assets");
                m02.m0(assets, surface, bIMxApplication.z(), new l(this));
                return;
            }
            throw new NullPointerException("null cannot be cast to non-null type com.graphisoft.bimxlab.BIMxApplication");
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    @SuppressLint({"ClickableViewAccessibility"})
    private final void E0() {
        IconTextView iconTextView;
        Context context;
        SurfaceView surfaceView;
        JoystickView joystickView;
        com.graphisoft.bimxlab.utils.manager.v vVar = com.graphisoft.bimxlab.utils.manager.v.f17874a;
        vVar.l0(m0().N().j().getAddress().getPublisherItemId());
        Stored3DState Y = vVar.Y();
        if (!(Y == null || (context = getContext()) == null)) {
            y0 y0Var = this.f18206p;
            if (!(y0Var == null || (joystickView = y0Var.f25902f) == null)) {
                joystickView.t(Y, m0().q0(), m0().r0());
            }
            Q0();
            P0();
            this.f18202l = new ScaleGestureDetector(context, new t3.b(Y));
            t3.a aVar = new t3.a(Y, m0().R());
            this.f18203m = aVar;
            this.f18204n = new GestureDetector(context, aVar);
            y0 y0Var2 = this.f18206p;
            if (!(y0Var2 == null || (surfaceView = y0Var2.f25909m) == null)) {
                surfaceView.setOnTouchListener(new f(this));
            }
        }
        int i7 = m0().j0() ? s.e.f16814b : s.e.f16835p;
        y0 y0Var3 = this.f18206p;
        if (!(y0Var3 == null || (iconTextView = y0Var3.f25914r) == null)) {
            iconTextView.setTextColor(ResourcesCompat.getColor(getResources(), i7, null));
        }
        y0();
        C0();
    }

    /* access modifiers changed from: private */
    public static final boolean F0(Viewer3DFragment viewer3DFragment, View view, MotionEvent motionEvent) {
        y0 y0Var;
        JoystickView joystickView;
        r4.a<l2> removeCallback;
        ScaleGestureDetector scaleGestureDetector;
        GestureDetector gestureDetector;
        JoystickView joystickView2;
        JoystickView joystickView3;
        l0.p(viewer3DFragment, "this$0");
        y0 y0Var2 = viewer3DFragment.f18206p;
        boolean z7 = (y0Var2 == null || (joystickView3 = y0Var2.f25902f) == null || !joystickView3.getTouchEventSend()) ? false : true;
        y0 y0Var3 = viewer3DFragment.f18206p;
        if (!(y0Var3 == null || (joystickView2 = y0Var3.f25902f) == null)) {
            joystickView2.setTouchEventSend(false);
        }
        if (!z7 && motionEvent.getPointerId(0) == 0 && (gestureDetector = viewer3DFragment.f18204n) != null) {
            gestureDetector.onTouchEvent(motionEvent);
        }
        if (!z7 && (scaleGestureDetector = viewer3DFragment.f18202l) != null) {
            scaleGestureDetector.onTouchEvent(motionEvent);
        }
        if (motionEvent.getAction() == 1) {
            t3.a aVar = viewer3DFragment.f18203m;
            if (aVar != null) {
                aVar.b();
            }
            if (motionEvent.getPointerId(0) == 1 || z7) {
                viewer3DFragment.f18205o = new PointF(0.0f, 0.0f);
            }
        }
        if ((motionEvent.getPointerId(0) == 1 || z7) && motionEvent.getAction() == 0) {
            viewer3DFragment.f18205o = new PointF(motionEvent.getRawX(), motionEvent.getRawY());
        }
        if (motionEvent.getAction() == 2) {
            com.graphisoft.bimxlab.contextPoint.view.e eVar = viewer3DFragment.f18195e;
            if (!(eVar == null || (removeCallback = eVar.getRemoveCallback()) == null)) {
                removeCallback.invoke();
            }
            com.graphisoft.bimxlab.contextPoint.view.e eVar2 = viewer3DFragment.f18195e;
            if (eVar2 != null) {
                eVar2.setRemoveCallback(m.f18230f);
            }
            viewer3DFragment.R0(true);
            if ((motionEvent.getPointerId(0) == 1 || z7) && viewer3DFragment.m0().q0() && (y0Var = viewer3DFragment.f18206p) != null && (joystickView = y0Var.f25902f) != null && !new RectF(joystickView.getX(), joystickView.getY(), (float) joystickView.getWidth(), (float) joystickView.getHeight()).contains(motionEvent.getRawX(), motionEvent.getRawY())) {
                t3.a aVar2 = viewer3DFragment.f18203m;
                if (aVar2 != null) {
                    l0.o(motionEvent, "motionEvent");
                    aVar2.onScroll(motionEvent, motionEvent, viewer3DFragment.f18205o.x - motionEvent.getRawX(), viewer3DFragment.f18205o.y - motionEvent.getRawY());
                }
                viewer3DFragment.f18205o = new PointF(motionEvent.getRawX(), motionEvent.getRawY());
            }
        }
        return false;
    }

    /* access modifiers changed from: private */
    public static final void G0(Viewer3DFragment viewer3DFragment, View view) {
        ArrayList<UnmergedMarker> arrayList;
        l0.p(viewer3DFragment, "this$0");
        if (!viewer3DFragment.f18200j) {
            viewer3DFragment.f18200j = true;
            if (view.getTag() instanceof r3.a) {
                Object tag = view.getTag();
                if (tag != null) {
                    arrayList = ((r3.a) tag).d();
                } else {
                    throw new NullPointerException("null cannot be cast to non-null type com.graphisoft.bimxlab.viewer2D.model.DisplayedMarker");
                }
            } else {
                IESMarkerSplotch[] iESMarkerSplotchArr = new IESMarkerSplotch[1];
                Object tag2 = view.getTag();
                if (tag2 != null) {
                    iESMarkerSplotchArr[0] = (IESMarkerSplotch) tag2;
                    arrayList = y.s(iESMarkerSplotchArr);
                } else {
                    throw new NullPointerException("null cannot be cast to non-null type com.graphisoft.bimx.connector.data.IESMarkerSplotch");
                }
            }
            ArrayList<MarkerTarget> arrayList2 = MarkerTargetsConnector.INSTANCE.get2DMarkerTargets(viewer3DFragment.m0().W(), arrayList);
            String string = viewer3DFragment.getResources().getString(arrayList.size() == 1 ? s.n.U3 : s.n.T3);
            l0.o(string, "resources.getString(title)");
            l0.o(view, "view");
            MarkerPopUpFragmentData markerPopUpFragmentData = new MarkerPopUpFragmentData(string, arrayList2, ExtensionsKt.F(view), viewer3DFragment.m0().W());
            Object tag3 = view.getTag();
            r3.a aVar = tag3 instanceof r3.a ? (r3.a) tag3 : null;
            if (aVar != null) {
                viewer3DFragment.m0().R0(aVar);
                m2 unused = kotlinx.coroutines.l.f(com.graphisoft.bimxlab.m.b(), null, null, new n(viewer3DFragment, markerPopUpFragmentData, null), 3, null);
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void H0() {
        FragmentActivity activity = getActivity();
        MainActivity mainActivity = activity instanceof MainActivity ? (MainActivity) activity : null;
        if (mainActivity != null) {
            mainActivity.X(m0().W().getPublisherItemId());
        }
        com.graphisoft.bimxlab.viewer3D.viewModel.g.f1(m0(), false, 1, null);
        t3.a aVar = this.f18203m;
        if (aVar != null) {
            aVar.c(null);
        }
        T0();
        FragmentKt.findNavController(this).navigateUp();
        EventBus.getDefault().post(new j1.n());
        EventBus.getDefault().post(new j1.q(null, 1, null));
    }

    private final void I0() {
        com.graphisoft.bimxlab.utils.manager.b bVar = com.graphisoft.bimxlab.utils.manager.b.f17800a;
        NavController findNavController = FragmentKt.findNavController(this);
        FragmentManager parentFragmentManager = getParentFragmentManager();
        l0.o(parentFragmentManager, "parentFragmentManager");
        bVar.I(findNavController, parentFragmentManager, m0().e0());
    }

    private final void J0() {
        com.graphisoft.bimxlab.viewer3D.viewModel.g.f1(m0(), false, 1, null);
        t3.a aVar = this.f18203m;
        if (aVar != null) {
            aVar.c(null);
        }
        T0();
        EventBus.getDefault().post(new j1.q(null, 1, null));
        I0();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void K0(long j7) {
        b0(s.j.Y, j7, new q(this));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void M0() {
        y0 y0Var = this.f18206p;
        if (y0Var != null && m0().t0()) {
            y0Var.f25906j.post(new a(this, y0Var));
        }
    }

    /* access modifiers changed from: private */
    public static final void N0(Viewer3DFragment viewer3DFragment, y0 y0Var) {
        l0.p(viewer3DFragment, "this$0");
        l0.p(y0Var, "$binding");
        com.graphisoft.bimxlab.measure.e R = viewer3DFragment.m0().R();
        if (R != null) {
            FrameLayout frameLayout = y0Var.f25906j;
            l0.o(frameLayout, "binding.measureHostView");
            MeasurePanTool measurePanTool = y0Var.f25907k;
            l0.o(measurePanTool, "binding.measurePanTool");
            R.F(frameLayout, measurePanTool);
        }
        com.graphisoft.bimxlab.measure.e R2 = viewer3DFragment.m0().R();
        if (R2 != null) {
            R2.G();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void O0() {
        Context context;
        if (m0().U() != null && (context = getContext()) != null) {
            com.graphisoft.bimxlab.viewer3D.viewModel.g m02 = m0();
            l0.o(context, "ctx");
            m02.z0(context);
        }
    }

    private final void P0() {
        y0 y0Var = this.f18206p;
        if (y0Var != null) {
            ConstraintSet constraintSet = new ConstraintSet();
            constraintSet.clone(y0Var.f25911o);
            int i7 = 2;
            int i8 = m0().r0() ? 2 : 1;
            constraintSet.connect(y0Var.f25910n.getId(), i8, y0Var.f25911o.getId(), i8, 0);
            if (m0().r0()) {
                i7 = 1;
            }
            constraintSet.clear(y0Var.f25910n.getId(), i7);
            constraintSet.applyTo(y0Var.f25911o);
            y0Var.f25910n.setLayoutDirection(m0().r0() ? 1 : 0);
        }
    }

    private final void Q0() {
        y0 y0Var = this.f18206p;
        if (y0Var != null) {
            ConstraintSet constraintSet = new ConstraintSet();
            constraintSet.clone(y0Var.f25911o);
            int i7 = 1;
            int i8 = m0().r0() ? 1 : 2;
            constraintSet.connect(y0Var.f25902f.getId(), i8, y0Var.f25911o.getId(), i8, 0);
            if (m0().r0()) {
                i7 = 2;
            }
            constraintSet.clear(y0Var.f25902f.getId(), i7);
            constraintSet.applyTo(y0Var.f25911o);
            y0Var.f25902f.w(m0().r0());
        }
    }

    private final void R0(boolean z7) {
        com.graphisoft.bimxlab.contextPoint.view.f fVar;
        com.graphisoft.bimxlab.contextPoint.view.f fVar2 = this.f18196f;
        Float f7 = null;
        if ((fVar2 != null ? fVar2.getParent() : null) != null) {
            if (z7) {
                com.graphisoft.bimxlab.contextPoint.view.f fVar3 = this.f18196f;
                if (fVar3 != null) {
                    fVar3.setTimerCanceled(false);
                }
                com.graphisoft.bimxlab.contextPoint.view.f fVar4 = this.f18196f;
                if (fVar4 != null) {
                    f7 = Float.valueOf(fVar4.getAlpha());
                }
                if (l0.e(f7, 1.0f) && (fVar = this.f18196f) != null) {
                    fVar.l();
                }
                com.graphisoft.bimxlab.contextPoint.view.e eVar = this.f18195e;
                if (eVar != null) {
                    eVar.p();
                    return;
                }
                return;
            }
            com.graphisoft.bimxlab.contextPoint.view.f fVar5 = this.f18196f;
            if (fVar5 != null) {
                fVar5.n();
            }
            com.graphisoft.bimxlab.contextPoint.view.e eVar2 = this.f18195e;
            if (eVar2 != null) {
                eVar2.t();
            }
            this.f18195e = null;
        }
    }

    static /* synthetic */ void S0(Viewer3DFragment viewer3DFragment, boolean z7, int i7, Object obj) {
        if ((i7 & 1) != 0) {
            z7 = false;
        }
        viewer3DFragment.R0(z7);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void U0(UUID uuid) {
        S0(this, false, 1, null);
        m0().D0(uuid);
    }

    private final void V0() {
        int i7;
        IconTextView iconTextView;
        IconTextView iconTextView2;
        Context context = getContext();
        if (context != null) {
            IconTextView iconTextView3 = null;
            if (m0().w()) {
                y0 y0Var = this.f18206p;
                if (!(y0Var == null || (iconTextView2 = y0Var.f25916t) == null)) {
                    iconTextView2.setTextColor(ContextCompat.getColor(context, s.e.f16813a0));
                }
                y0 y0Var2 = this.f18206p;
                if (y0Var2 != null) {
                    iconTextView3 = y0Var2.f25916t;
                }
                if (iconTextView3 != null) {
                    i7 = s.g.f16945c;
                } else {
                    return;
                }
            } else {
                y0 y0Var3 = this.f18206p;
                if (!(y0Var3 == null || (iconTextView = y0Var3.f25916t) == null)) {
                    iconTextView.setTextColor(ContextCompat.getColor(context, s.e.f16814b));
                }
                y0 y0Var4 = this.f18206p;
                if (y0Var4 != null) {
                    iconTextView3 = y0Var4.f25916t;
                }
                if (iconTextView3 != null) {
                    i7 = s.g.f16942b;
                } else {
                    return;
                }
            }
            iconTextView3.setBackground(ContextCompat.getDrawable(context, i7));
        }
    }

    private final void X0(PointF pointF) {
        y0 y0Var;
        ConstraintLayout constraintLayout;
        Resources resources;
        int i7;
        Context context = getContext();
        if (context != null && (y0Var = this.f18206p) != null && (constraintLayout = y0Var.f25912p) != null) {
            this.f18196f = new com.graphisoft.bimxlab.contextPoint.view.f(context, pointF, constraintLayout);
            String string = getResources().getString(s.n.C0);
            l0.o(string, "resources.getString(R.st….ElementContextMenu_Info)");
            String string2 = getResources().getString(s.n.D0);
            l0.o(string2, "resources.getString(R.st…lementContextMenu_Select)");
            String string3 = getResources().getString(s.n.f17489z0);
            l0.o(string3, "resources.getString(R.st…mentContextMenu_Deselect)");
            if (m0().p0(m0().I())) {
                resources = getResources();
                i7 = s.n.A0;
            } else {
                resources = getResources();
                i7 = s.n.B0;
            }
            String string4 = resources.getString(i7);
            l0.o(string4, "if (viewModel.isDoor(vie…mentContextMenu_GoTo)\n\t\t}");
            ArrayList<String> arrayList = new ArrayList<>();
            if (m0().k0(m0().I())) {
                arrayList.add(string);
            }
            arrayList.add(string4);
            if (m0().u0(m0().I())) {
                arrayList.add(string3);
            } else {
                arrayList.add(string2);
            }
            arrayList.addAll(0, m0().Q());
            arrayList.addAll(m0().X());
            Y0(this.f18196f, arrayList, new r(this, string, string4, string2, string3));
        }
    }

    private final void Y0(com.graphisoft.bimxlab.contextPoint.view.f fVar, ArrayList<String> arrayList, r4.l<? super String, l2> lVar) {
        y0 y0Var;
        ConstraintLayout constraintLayout;
        Context context = getContext();
        if (context != null && (y0Var = this.f18206p) != null && (constraintLayout = y0Var.f25912p) != null && fVar != null) {
            fVar.setOnClickListener(new c(fVar, this, context, constraintLayout, arrayList, lVar));
        }
    }

    /* access modifiers changed from: private */
    public static final void Z0(com.graphisoft.bimxlab.contextPoint.view.f fVar, Viewer3DFragment viewer3DFragment, Context context, ConstraintLayout constraintLayout, ArrayList arrayList, r4.l lVar, View view) {
        l0.p(viewer3DFragment, "this$0");
        l0.p(context, "$ctx");
        l0.p(constraintLayout, "$layout");
        l0.p(arrayList, "$actions");
        l0.p(lVar, "$callBack");
        fVar.o();
        viewer3DFragment.m0().l0(viewer3DFragment.m0().I(), false);
        PointF pointF = new PointF(view.getX() + ((float) (view.getWidth() / 2)), view.getY() + ((float) (view.getHeight() / 2)));
        com.graphisoft.bimxlab.contextPoint.view.e eVar = viewer3DFragment.f18195e;
        if (eVar != null) {
            eVar.t();
        }
        viewer3DFragment.f18195e = new com.graphisoft.bimxlab.contextPoint.view.e(context, pointF, constraintLayout, arrayList, new s(lVar), new t(viewer3DFragment));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void a1(Rect rect, UUID uuid) {
        if (rect != null) {
            ElementDataAddress elementDataAddress = new ElementDataAddress(m0().W(), uuid);
            com.graphisoft.bimxlab.viewer3D.viewModel.g m02 = m0();
            Resources resources = getResources();
            l0.o(resources, "resources");
            com.graphisoft.bimxlab.utils.manager.b.f17800a.G(FragmentKt.findNavController(this), new ElementInfoPopUpFragmentData(null, elementDataAddress, null, rect, m02.T(resources, uuid), false, 37, null));
        }
    }

    private final void b0(int i7, long j7, r4.a<l2> aVar) {
        y0 y0Var = this.f18206p;
        if (y0Var != null && getContext() != null) {
            ConstraintSet constraintSet = new ConstraintSet();
            constraintSet.clone(getContext(), i7);
            AutoTransition autoTransition = new AutoTransition();
            autoTransition.setDuration(j7);
            autoTransition.setOrdering(0);
            autoTransition.addListener((Transition.TransitionListener) new a(aVar));
            TransitionManager.beginDelayedTransition(y0Var.f25911o, autoTransition);
            constraintSet.applyTo(y0Var.f25911o);
        }
    }

    private final void b1() {
        Stored3DState Y;
        y0 y0Var = this.f18206p;
        if (y0Var != null) {
            if (m0().t0()) {
                m0().e1(true);
                t3.a aVar = this.f18203m;
                if (aVar != null) {
                    aVar.c(null);
                    return;
                }
                return;
            }
            m0().N0(true);
            Context context = getContext();
            if (context != null && (Y = com.graphisoft.bimxlab.utils.manager.v.f17874a.Y()) != null) {
                MainActivity mainActivity = (MainActivity) requireActivity();
                MainActivity.d0(mainActivity, false, null, LoadingView.a.LoadingMeasure, 2, null);
                com.graphisoft.bimxlab.viewer3D.viewModel.g m02 = m0();
                FrameLayout frameLayout = y0Var.f25906j;
                l0.o(frameLayout, "binding.measureHostView");
                MeasurePanTool measurePanTool = y0Var.f25907k;
                l0.o(measurePanTool, "binding.measurePanTool");
                m02.g1(context, Y, frameLayout, measurePanTool, new v(mainActivity, this, y0Var));
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void c0(long j7, r4.a<l2> aVar) {
        b0(s.j.X, j7, new c(aVar, this));
    }

    private final void c1() {
        TextView textView;
        TextView textView2;
        boolean Y = m0().Y();
        y0 y0Var = this.f18206p;
        if (Y) {
            if (y0Var != null && (textView2 = y0Var.f25908l) != null) {
                ExtensionsKt.e0(textView2);
            }
        } else if (y0Var != null && (textView = y0Var.f25908l) != null) {
            ExtensionsKt.c0(textView);
        }
    }

    /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: com.graphisoft.bimxlab.viewer3D.fragment.Viewer3DFragment */
    /* JADX WARN: Multi-variable type inference failed */
    static /* synthetic */ void d0(Viewer3DFragment viewer3DFragment, long j7, r4.a aVar, int i7, Object obj) {
        if ((i7 & 2) != 0) {
            aVar = b.f18211f;
        }
        viewer3DFragment.c0(j7, aVar);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void e0() {
        TitleBarView titleBarView;
        y0 y0Var = this.f18206p;
        if (y0Var != null && (titleBarView = y0Var.f25915s) != null) {
            titleBarView.n(m0().t(this, FragmentKt.findNavController(this), new d(this), new e(this)));
        }
    }

    /* access modifiers changed from: private */
    public static final void f0(Viewer3DFragment viewer3DFragment, View view) {
        TextView textView;
        l0.p(viewer3DFragment, "this$0");
        y0 y0Var = viewer3DFragment.f18206p;
        if (!(y0Var == null || (textView = y0Var.f25900d) == null)) {
            ExtensionsKt.c0(textView);
        }
        d0(viewer3DFragment, (long) viewer3DFragment.getResources().getInteger(s.i.f17205a), null, 2, null);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void g0() {
        m0().x();
        V0();
        com.graphisoft.bimxlab.contextPoint.view.f fVar = this.f18198h;
        if (fVar != null) {
            fVar.n();
        }
    }

    private final void h0(PointF pointF) {
        y0 y0Var;
        ConstraintLayout constraintLayout;
        Context context = getContext();
        if (context != null && (y0Var = this.f18206p) != null && (constraintLayout = y0Var.f25912p) != null) {
            this.f18198h = new com.graphisoft.bimxlab.contextPoint.view.f(context, pointF, constraintLayout);
            String string = getResources().getString(s.n.M);
            l0.o(string, "resources.getString(R.st…CutplaneContextMenu_Flip)");
            String string2 = getResources().getString(s.n.N);
            l0.o(string2, "resources.getString(R.st…CutplaneContextMenu_Hide)");
            Y0(this.f18198h, y.s(string, string2), new f(string, this, string2));
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void i0(UUID uuid) {
        S0(this, false, 1, null);
        m0().y(uuid);
    }

    private final void j0(ContentSpecification contentSpecification) {
        if (contentSpecification != null) {
            T0();
            com.graphisoft.bimxlab.utils.manager.b bVar = com.graphisoft.bimxlab.utils.manager.b.f17800a;
            bVar.Z(true);
            NavController findNavController = FragmentKt.findNavController(this);
            FragmentManager parentFragmentManager = getParentFragmentManager();
            l0.o(parentFragmentManager, "parentFragmentManager");
            bVar.H(findNavController, parentFragmentManager, contentSpecification);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void k0() {
        m0().C();
        com.graphisoft.bimxlab.contextPoint.view.f fVar = this.f18198h;
        if (fVar != null) {
            fVar.n();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void n0() {
        m0().u();
        V0();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void o0() {
        J0();
    }

    private final void p0(PointF pointF) {
        y0 y0Var;
        ConstraintLayout constraintLayout;
        Context context = getContext();
        if (context != null && (y0Var = this.f18206p) != null && (constraintLayout = y0Var.f25912p) != null) {
            this.f18197g = new com.graphisoft.bimxlab.contextPoint.view.f(context, pointF, constraintLayout);
            String string = getResources().getString(s.n.S1);
            l0.o(string, "resources.getString(R.st…ng.GhostContextMenu_Open)");
            String string2 = getResources().getString(s.n.Q1);
            l0.o(string2, "resources.getString(R.st…GhostContextMenu_CutHere)");
            String string3 = getResources().getString(s.n.R1);
            l0.o(string3, "resources.getString(R.st…ng.GhostContextMenu_Hide)");
            Y0(this.f18197g, y.s(string, string2, string3), new g(this, string, string2, string3));
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void q0() {
        R0(false);
        m0().i0();
    }

    private final void r0() {
        ImageView imageView;
        LinearLayout linearLayout;
        JoystickView joystickView;
        TitleBarView titleBarView;
        y0 y0Var = this.f18206p;
        if (!(y0Var == null || (titleBarView = y0Var.f25915s) == null)) {
            ExtensionsKt.c0(titleBarView);
        }
        y0 y0Var2 = this.f18206p;
        if (!(y0Var2 == null || (joystickView = y0Var2.f25902f) == null)) {
            ExtensionsKt.c0(joystickView);
        }
        y0 y0Var3 = this.f18206p;
        if (!(y0Var3 == null || (linearLayout = y0Var3.f25910n) == null)) {
            ExtensionsKt.c0(linearLayout);
        }
        y0 y0Var4 = this.f18206p;
        if (!(y0Var4 == null || (imageView = y0Var4.f25899c) == null)) {
            ExtensionsKt.c0(imageView);
        }
        com.graphisoft.bimxlab.viewer3D.viewModel.g.f1(m0(), false, 1, null);
        t3.a aVar = this.f18203m;
        if (aVar != null) {
            aVar.c(null);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void s0() {
        m0().h0();
    }

    private final void t0() {
        y0 y0Var;
        TextView textView;
        ConstraintLayout constraintLayout;
        IconTextView iconTextView;
        IconTextView iconTextView2;
        Bundle arguments;
        SurfaceView surfaceView;
        SurfaceHolder holder;
        com.graphisoft.bimxlab.utils.manager.b.f17800a.Z(true);
        B0();
        y0 y0Var2 = this.f18206p;
        if (!(y0Var2 == null || (surfaceView = y0Var2.f25909m) == null || (holder = surfaceView.getHolder()) == null)) {
            holder.addCallback(this);
        }
        W0((com.graphisoft.bimxlab.viewer3D.viewModel.g) new ViewModelProvider(this).get(com.graphisoft.bimxlab.viewer3D.viewModel.g.class));
        if (!m0().O() && (arguments = getArguments()) != null) {
            m0().L0(l.f18277b.a(arguments).e());
        }
        com.graphisoft.bimxlab.viewer3D.viewModel.g m02 = m0();
        Context context = getContext();
        Context context2 = null;
        Context applicationContext = context != null ? context.getApplicationContext() : null;
        if (applicationContext != null) {
            m02.F0((BIMxApplication) applicationContext);
            com.graphisoft.bimxlab.viewer3D.viewModel.g m03 = m0();
            Context context3 = getContext();
            if (context3 != null) {
                context2 = context3.getApplicationContext();
            }
            if (context2 != null) {
                m03.S0(((BIMxApplication) context2).z());
                UserPreferencesConnector userPreferencesConnector = UserPreferencesConnector.INSTANCE;
                userPreferencesConnector.resetNonPersistentValues(m0().d0());
                com.graphisoft.bimxlab.utils.feature.p pVar = com.graphisoft.bimxlab.utils.feature.p.f17724a;
                pVar.R(new com.graphisoft.bimxlab.utils.feature.e(i1.o.VIEWER_3D, m0().v0(), false, false, 12, null));
                pVar.S(m0().t0());
                e0();
                this.f18199i = Integer.valueOf(userPreferencesConnector.addObserverToHandle(m0().d0(), new g(this)));
                y0 y0Var3 = this.f18206p;
                if (!(y0Var3 == null || (iconTextView2 = y0Var3.f25914r) == null)) {
                    iconTextView2.setOnClickListener(new h(this));
                }
                y0 y0Var4 = this.f18206p;
                if (!(y0Var4 == null || (iconTextView = y0Var4.f25916t) == null)) {
                    iconTextView.setOnClickListener(new i(this));
                }
                y0 y0Var5 = this.f18206p;
                if (!(y0Var5 == null || (constraintLayout = y0Var5.f25898b) == null)) {
                    constraintLayout.setOnClickListener(new j());
                }
                boolean enableFPSDisplay = TestConfig.INSTANCE.enableFPSDisplay();
                this.f18201k = enableFPSDisplay;
                if (!(!enableFPSDisplay || (y0Var = this.f18206p) == null || (textView = y0Var.f25901e) == null)) {
                    ExtensionsKt.e0(textView);
                }
                c1();
                return;
            }
            throw new NullPointerException("null cannot be cast to non-null type com.graphisoft.bimxlab.BIMxApplication");
        }
        throw new NullPointerException("null cannot be cast to non-null type com.graphisoft.bimxlab.BIMxApplication");
    }

    /* access modifiers changed from: private */
    public static final void u0(Viewer3DFragment viewer3DFragment, SettingsVariableName settingsVariableName) {
        l0.p(viewer3DFragment, "this$0");
        l0.p(settingsVariableName, "it");
        if (settingsVariableName == SettingsVariableName.LeftHandedJoystick) {
            viewer3DFragment.Q0();
            viewer3DFragment.P0();
        }
    }

    /* access modifiers changed from: private */
    public static final void v0(Viewer3DFragment viewer3DFragment, View view) {
        l0.p(viewer3DFragment, "this$0");
        if (viewer3DFragment.m0().j0()) {
            viewer3DFragment.J0();
        }
    }

    /* access modifiers changed from: private */
    public static final void w0(Viewer3DFragment viewer3DFragment, View view) {
        l0.p(viewer3DFragment, "this$0");
        viewer3DFragment.m0().v();
        viewer3DFragment.V0();
    }

    /* access modifiers changed from: private */
    public static final void x0(View view) {
    }

    /* JADX WARNING: Removed duplicated region for block: B:56:? A[RETURN, SYNTHETIC] */
    private final void y0() {
        ImageView imageView;
        long j7;
        ImageView imageView2;
        ImageView imageView3;
        FragmentActivity activity = getActivity();
        l2 l2Var = null;
        MainActivity mainActivity = activity instanceof MainActivity ? (MainActivity) activity : null;
        boolean J = mainActivity != null ? mainActivity.J() : false;
        r4.a aVar = j.f18227f;
        Bitmap F = m0().F();
        if (F != null) {
            y0 y0Var = this.f18206p;
            if (!(y0Var == null || (imageView3 = y0Var.f25899c) == null)) {
                imageView3.setImageBitmap(F);
            }
            if (m0().o0()) {
                K0(0);
            } else {
                if (J) {
                    j7 = (long) getResources().getInteger(s.i.f17205a);
                } else {
                    y0 y0Var2 = this.f18206p;
                    if (!(y0Var2 == null || (imageView2 = y0Var2.f25899c) == null)) {
                        ExtensionsKt.c0(imageView2);
                    }
                    j7 = 0;
                }
                aVar = new h(this, j7);
            }
            FragmentActivity activity2 = getActivity();
            MainActivity mainActivity2 = activity2 instanceof MainActivity ? (MainActivity) activity2 : null;
            if ((mainActivity2 != null && mainActivity2.I()) && J) {
                FragmentActivity activity3 = getActivity();
                MainActivity mainActivity3 = activity3 instanceof MainActivity ? (MainActivity) activity3 : null;
                if (mainActivity3 != null) {
                    MainActivity.s(mainActivity3, false, aVar, 1, null);
                }
                if (l2Var != null) {
                    return;
                }
            } else if (!m0().o0()) {
                c0(0, new i(this));
            }
            l2Var = l2.f19890a;
            if (l2Var != null) {
            }
        }
        y0 y0Var3 = this.f18206p;
        if (y0Var3 != null && (imageView = y0Var3.f25899c) != null) {
            ExtensionsKt.c0(imageView);
            l2 l2Var2 = l2.f19890a;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void z0() {
        TextView textView;
        TextView textView2;
        y0 y0Var = this.f18206p;
        TextView textView3 = y0Var != null ? y0Var.f25900d : null;
        if (textView3 != null) {
            textView3.setText(m0().c0());
        }
        y0 y0Var2 = this.f18206p;
        if (!(y0Var2 == null || (textView2 = y0Var2.f25900d) == null)) {
            textView2.setOnClickListener(new b(this));
        }
        y0 y0Var3 = this.f18206p;
        if (y0Var3 != null && (textView = y0Var3.f25900d) != null) {
            ExtensionsKt.e0(textView);
        }
    }

    public final void L0(@a7.d Viewer3DFragmentData viewer3DFragmentData) {
        SurfaceView surfaceView;
        SurfaceHolder holder;
        l0.p(viewer3DFragmentData, "fragmentData");
        m0().L0(viewer3DFragmentData);
        y0 y0Var = this.f18206p;
        if (y0Var != null && (surfaceView = y0Var.f25909m) != null && (holder = surfaceView.getHolder()) != null) {
            surfaceCreated(holder);
        }
    }

    public final void T0() {
        Viewer3DFragmentData K = m0().K();
        if (K != null) {
            com.graphisoft.bimxlab.utils.manager.b.f17800a.d(K);
        }
    }

    public final void W0(@a7.d com.graphisoft.bimxlab.viewer3D.viewModel.g gVar) {
        l0.p(gVar, "<set-?>");
        this.f18194d = gVar;
    }

    @a7.e
    public final SurfaceView l0() {
        y0 y0Var = this.f18206p;
        if (y0Var != null) {
            return y0Var.f25909m;
        }
        return null;
    }

    @a7.d
    public final com.graphisoft.bimxlab.viewer3D.viewModel.g m0() {
        com.graphisoft.bimxlab.viewer3D.viewModel.g gVar = this.f18194d;
        if (gVar != null) {
            return gVar;
        }
        l0.S("viewModel");
        return null;
    }

    @Subscribe
    public final void onAllElementsDeselectedEvent(@a7.d j1.b bVar) {
        LabelsView labelsView;
        l0.p(bVar, "event");
        y0 y0Var = this.f18206p;
        if (y0Var != null && (labelsView = y0Var.f25903g) != null) {
            com.graphisoft.bimxlab.viewer3D.viewModel.g m02 = m0();
            Resources resources = getResources();
            l0.o(resources, "resources");
            labelsView.i(m02.a0(resources));
        }
    }

    @Subscribe
    public final void onClearMarkersOn3DEvent(@a7.d j1.m mVar) {
        ConstraintLayout constraintLayout;
        l0.p(mVar, "event");
        y0 y0Var = this.f18206p;
        if (y0Var != null && (constraintLayout = y0Var.f25913q) != null) {
            constraintLayout.removeAllViews();
        }
    }

    @Override // androidx.fragment.app.Fragment
    @a7.e
    public View onCreateView(@a7.d LayoutInflater layoutInflater, @a7.e ViewGroup viewGroup, @a7.e Bundle bundle) {
        l0.p(layoutInflater, "inflater");
        y0 d7 = y0.d(layoutInflater, viewGroup, false);
        this.f18206p = d7;
        if (d7 != null) {
            return d7.getRoot();
        }
        return null;
    }

    @Subscribe
    public final void onCurrentlyEnteredZonesChangedEvent(@a7.d d0 d0Var) {
        LabelsView labelsView;
        l0.p(d0Var, "event");
        y0 y0Var = this.f18206p;
        if (y0Var != null && (labelsView = y0Var.f25903g) != null) {
            labelsView.i(m0().f0());
        }
    }

    @Subscribe
    public final void onCutPlaneSelectedEvent(@a7.d e0 e0Var) {
        l0.p(e0Var, "event");
        S0(this, false, 1, null);
        h0(e0Var.a());
    }

    @Override // androidx.fragment.app.Fragment
    public void onDestroyView() {
        SurfaceView surfaceView;
        SurfaceHolder holder;
        Integer num = this.f18199i;
        if (num != null) {
            UserPreferencesConnector.INSTANCE.removeObserverFromHandle(com.graphisoft.bimxlab.utils.manager.v.f17874a.a0(), num.intValue());
        }
        com.graphisoft.bimxlab.contextPoint.view.e eVar = this.f18195e;
        if (!(eVar == null || eVar.getParent() == null)) {
            m0().h1(false);
        }
        y0 y0Var = this.f18206p;
        if (!(y0Var == null || (surfaceView = y0Var.f25909m) == null || (holder = surfaceView.getHolder()) == null)) {
            holder.removeCallback(this);
        }
        com.graphisoft.bimxlab.utils.manager.b.f17800a.Z(true);
        com.graphisoft.bimxlab.utils.feature.p.f17724a.S(false);
        com.graphisoft.bimxlab.measure.e R = m0().R();
        if (R != null) {
            R.J();
        }
        m0().E0(true);
        this.f18202l = null;
        this.f18203m = null;
        this.f18204n = null;
        super.onDestroyView();
        this.f18206p = null;
    }

    @Subscribe
    public final void onDialogCloseEvent(@a7.d j1.i0 i0Var) {
        l0.p(i0Var, "event");
        this.f18200j = false;
        S0(this, false, 1, null);
    }

    @Subscribe
    public final void onElementChangeSelectionEvent(@a7.d k0 k0Var) {
        LabelsView labelsView;
        l0.p(k0Var, "event");
        y0 y0Var = this.f18206p;
        if (y0Var != null && (labelsView = y0Var.f25903g) != null) {
            com.graphisoft.bimxlab.viewer3D.viewModel.g m02 = m0();
            Resources resources = getResources();
            l0.o(resources, "resources");
            labelsView.i(m02.a0(resources));
        }
    }

    @Subscribe
    public final void onElementDeselectedEvent(@a7.d j1.l0 l0Var) {
        LabelsView labelsView;
        l0.p(l0Var, "event");
        com.graphisoft.bimxlab.contextPoint.view.f fVar = this.f18196f;
        if (fVar != null) {
            fVar.l();
        }
        y0 y0Var = this.f18206p;
        if (y0Var != null && (labelsView = y0Var.f25903g) != null) {
            com.graphisoft.bimxlab.viewer3D.viewModel.g m02 = m0();
            Resources resources = getResources();
            l0.o(resources, "resources");
            labelsView.i(m02.a0(resources));
        }
    }

    @Subscribe
    public final void onElementHighlightedEvent(@a7.d m0 m0Var) {
        l0.p(m0Var, "event");
        m0().J0(m0Var.b());
        com.graphisoft.bimxlab.contextPoint.view.e eVar = this.f18195e;
        if (eVar != null) {
            eVar.setRemoveCallback(o.f18234f);
        }
        S0(this, false, 1, null);
        X0(m0Var.a());
    }

    @Subscribe
    public final void onElementSelectedEvent(@a7.d j1.n0 n0Var) {
        LabelsView labelsView;
        l0.p(n0Var, "event");
        y0 y0Var = this.f18206p;
        if (y0Var != null && (labelsView = y0Var.f25903g) != null) {
            com.graphisoft.bimxlab.viewer3D.viewModel.g m02 = m0();
            Resources resources = getResources();
            l0.o(resources, "resources");
            labelsView.i(m02.a0(resources));
        }
    }

    @Subscribe
    public final void onEndPresentationEvent(@a7.d q0 q0Var) {
        SurfaceView surfaceView;
        SurfaceHolder holder;
        ImageView imageView;
        LinearLayout linearLayout;
        JoystickView joystickView;
        TitleBarView titleBarView;
        l0.p(q0Var, "event");
        y0 y0Var = this.f18206p;
        if (!(y0Var == null || (titleBarView = y0Var.f25915s) == null)) {
            ExtensionsKt.e0(titleBarView);
        }
        y0 y0Var2 = this.f18206p;
        if (!(y0Var2 == null || (joystickView = y0Var2.f25902f) == null)) {
            ExtensionsKt.e0(joystickView);
        }
        y0 y0Var3 = this.f18206p;
        if (!(y0Var3 == null || (linearLayout = y0Var3.f25910n) == null)) {
            ExtensionsKt.e0(linearLayout);
        }
        y0 y0Var4 = this.f18206p;
        if (!(y0Var4 == null || (imageView = y0Var4.f25899c) == null)) {
            ExtensionsKt.e0(imageView);
        }
        y0 y0Var5 = this.f18206p;
        if (y0Var5 != null && (surfaceView = y0Var5.f25909m) != null && (holder = surfaceView.getHolder()) != null) {
            surfaceCreated(holder);
        }
    }

    @Subscribe
    public final void onFavoriteItemSelectedEvent(@a7.d v0 v0Var) {
        l0.p(v0Var, "event");
        j0(v0Var.a());
    }

    @Subscribe
    public final void onFitToScreenEvent(@a7.d j1.y0 y0Var) {
        l0.p(y0Var, "event");
        m0().H0();
    }

    @Subscribe
    public final void onGetContentSpecForNewFavoriteEvent(@a7.d c1 c1Var) {
        l0.p(c1Var, "event");
        PubItem3dContentSpec J = m0().J();
        if (J != null) {
            EventBus.getDefault().post(new j1.a(c1Var.a(), J));
        }
    }

    @Subscribe
    public final void onGetContentSpecWithBitmapForAttachment(@a7.d d1 d1Var) {
        l0.p(d1Var, "event");
        PubItem3dContentSpec J = m0().J();
        if (J != null) {
            i1.d a8 = d1Var.a();
            i1.d dVar = i1.d.GET_IMAGE;
            boolean z7 = true;
            if (!(a8 == dVar)) {
                FragmentActivity activity = getActivity();
                if (activity == null) {
                    throw new NullPointerException("null cannot be cast to non-null type com.graphisoft.bimxlab.MainActivity");
                } else if (!((MainActivity) activity).I()) {
                    FragmentActivity activity2 = getActivity();
                    if (activity2 != null) {
                        MainActivity.d0((MainActivity) activity2, false, null, null, 6, null);
                    } else {
                        throw new NullPointerException("null cannot be cast to non-null type com.graphisoft.bimxlab.MainActivity");
                    }
                }
            }
            EventBus eventBus = EventBus.getDefault();
            i1.d a9 = d1Var.a();
            com.graphisoft.bimxlab.viewer3D.viewModel.g m02 = m0();
            if (d1Var.a() != dVar) {
                z7 = false;
            }
            eventBus.post(new x(a9, J, m02.S(z7)));
        }
    }

    @Subscribe
    public final void onGhostSelectedEvent(@a7.d j1.e1 e1Var) {
        l0.p(e1Var, "event");
        S0(this, false, 1, null);
        p0(e1Var.a());
    }

    @Subscribe
    public final void onHomeViewEvent(@a7.d f1 f1Var) {
        l0.p(f1Var, "event");
        m0().I0();
    }

    @Subscribe
    public final void onMarkerPopUpOpen2DEvent(@a7.d u1 u1Var) {
        l0.p(u1Var, "event");
        T0();
        EventBus.getDefault().post(new j1.q(null, 1, null));
        com.graphisoft.bimxlab.utils.manager.b bVar = com.graphisoft.bimxlab.utils.manager.b.f17800a;
        NavController findNavController = FragmentKt.findNavController(this);
        FragmentManager parentFragmentManager = getParentFragmentManager();
        l0.o(parentFragmentManager, "parentFragmentManager");
        bVar.H(findNavController, parentFragmentManager, u1Var.b().getContentSpec());
    }

    @Subscribe
    public final void onMarkerPopUpOpen3DEvent(@a7.d v1 v1Var) {
        l0.p(v1Var, "event");
        PubItem2dPageContentSpec contentSpec = v1Var.a().getContentSpec();
        PubItem2dPageContentSpecWithDrawing pubItem2dPageContentSpecWithDrawing = contentSpec instanceof PubItem2dPageContentSpecWithDrawing ? (PubItem2dPageContentSpecWithDrawing) contentSpec : null;
        if (pubItem2dPageContentSpecWithDrawing != null) {
            m0().z(pubItem2dPageContentSpecWithDrawing.getAddress().getPublisherItemId(), pubItem2dPageContentSpecWithDrawing.getDrawingId());
        }
    }

    @Subscribe
    public final void onMeasureSelectedEvent(@a7.d a2 a2Var) {
        TitleBarView titleBarView;
        l0.p(a2Var, "event");
        m0().N0(a2Var.a());
        y0 y0Var = this.f18206p;
        if (!(y0Var == null || (titleBarView = y0Var.f25915s) == null)) {
            titleBarView.s(!a2Var.a());
        }
        b1();
    }

    @Subscribe
    public final void onMoreOptionsOpenEvent(@a7.d MoreOptionsOpenEvent moreOptionsOpenEvent) {
        TitleBarView titleBarView;
        l0.p(moreOptionsOpenEvent, "event");
        EventBus.getDefault().post(new j1.v());
        EventBus.getDefault().post(new j1.q(null, 1, null));
        y0 y0Var = this.f18206p;
        if (!(y0Var == null || (titleBarView = y0Var.f25915s) == null)) {
            titleBarView.r(false);
        }
        com.graphisoft.bimxlab.utils.manager.b.f17800a.z(FragmentKt.findNavController(this), com.graphisoft.bimxlab.utils.feature.p.t(com.graphisoft.bimxlab.utils.feature.p.f17724a, moreOptionsOpenEvent.m(), moreOptionsOpenEvent.n(), null, 4, null));
    }

    @Subscribe
    public final void onNavigateFromGalleryItemEvent(@a7.d t2 t2Var) {
        l0.p(t2Var, "event");
        com.graphisoft.bimxlab.utils.manager.b bVar = com.graphisoft.bimxlab.utils.manager.b.f17800a;
        NavController findNavController = FragmentKt.findNavController(this);
        FragmentManager parentFragmentManager = getParentFragmentManager();
        l0.o(parentFragmentManager, "parentFragmentManager");
        bVar.H(findNavController, parentFragmentManager, t2Var.a());
    }

    @Subscribe
    public final void onNavigateToPrintEvent(@a7.d y2 y2Var) {
        l0.p(y2Var, "event");
        LicenseManagerConnector licenseManagerConnector = LicenseManagerConnector.INSTANCE;
        PublisherItemDataAddress W = m0().W();
        FragmentActivity activity = getActivity();
        if (activity == null) {
            throw new NullPointerException("null cannot be cast to non-null type com.graphisoft.bimxlab.MainActivity");
        } else if (licenseManagerConnector.isModelLicensed(W, ((MainActivity) activity).z())) {
            com.graphisoft.bimxlab.print.fragment.a.f16730g.a(getParentFragmentManager(), new PrintFragmentData(m0().W()));
        } else {
            com.graphisoft.bimxlab.utils.manager.a aVar = com.graphisoft.bimxlab.utils.manager.a.f17786a;
            FragmentManager parentFragmentManager = getParentFragmentManager();
            l0.o(parentFragmentManager, "parentFragmentManager");
            aVar.g(parentFragmentManager, i1.c.PRINT);
        }
    }

    @Subscribe
    public final void onNavigateToVREvent(@a7.d b3 b3Var) {
        PublisherItemDataAddress V;
        l0.p(b3Var, "event");
        com.graphisoft.bimxlab.utils.manager.v vVar = com.graphisoft.bimxlab.utils.manager.v.f17874a;
        Stored3DState Y = vVar.Y();
        if (Y != null && (V = vVar.V()) != null) {
            com.graphisoft.bimxlab.utils.manager.b.f17800a.F(FragmentKt.findNavController(this), new VRFragmentData(Y, V));
        }
    }

    @Subscribe
    public final void onNavigationHistoryModifiedEvent(@a7.d e3 e3Var) {
        l0.p(e3Var, "event");
        m2 unused = kotlinx.coroutines.l.f(com.graphisoft.bimxlab.m.b(), null, null, new p(this, null), 3, null);
    }

    @Subscribe
    public final void onNavigationHistoryRemoveCompletionEvent(@a7.d f3 f3Var) {
        l0.p(f3Var, "event");
        EventBus.getDefault().post(new j1.q(f3Var.a()));
    }

    @Subscribe
    public final void onOpenSelectionPopupEvent(@a7.d o3 o3Var) {
        l0.p(o3Var, "event");
        Rect d7 = o3Var.d();
        com.graphisoft.bimxlab.utils.manager.v vVar = com.graphisoft.bimxlab.utils.manager.v.f17874a;
        com.graphisoft.bimxlab.utils.manager.b.f17800a.B(FragmentKt.findNavController(this), new SelectionPopUpFragmentData(d7, vVar.W(), vVar.Y(), m0().W()));
    }

    @Subscribe
    public final void onOpenUrlEvent(@a7.d j3 j3Var) {
        Rect rect;
        l0.p(j3Var, "event");
        if (j3Var.a() != ExtensionMenuItemPresentationStyle.Browser) {
            com.graphisoft.bimxlab.utils.manager.b bVar = com.graphisoft.bimxlab.utils.manager.b.f17800a;
            NavController findNavController = FragmentKt.findNavController(this);
            String b7 = j3Var.b();
            com.graphisoft.bimxlab.contextPoint.view.f fVar = this.f18196f;
            if (fVar == null || (rect = ExtensionsKt.F(fVar)) == null) {
                rect = new Rect(0, 0, 0, 0);
            }
            bVar.E(findNavController, new UrlPopUpFragmentData(b7, rect, j3Var.a()));
            return;
        }
        S0(this, false, 1, null);
        com.graphisoft.bimxlab.utils.manager.b.f17800a.O(getContext(), j3Var.b());
    }

    @Subscribe
    public final void onOpenZonePopupEvent(@a7.d r3 r3Var) {
        l0.p(r3Var, "event");
        ElementDataAddress e7 = r3Var.e();
        PublisherItemDataAddress W = m0().W();
        Rect f7 = r3Var.f();
        com.graphisoft.bimxlab.viewer3D.viewModel.g m02 = m0();
        Resources resources = getResources();
        l0.o(resources, "resources");
        com.graphisoft.bimxlab.utils.manager.b.f17800a.G(FragmentKt.findNavController(this), new ElementInfoPopUpFragmentData(null, e7, W, f7, m02.T(resources, r3Var.e().getElementId()), true, 1, null));
    }

    @Subscribe
    public final void onPlanesDeselectedEvent(@a7.d s3 s3Var) {
        l0.p(s3Var, "event");
        com.graphisoft.bimxlab.contextPoint.view.f fVar = this.f18197g;
        if (fVar != null) {
            fVar.n();
        }
        com.graphisoft.bimxlab.contextPoint.view.f fVar2 = this.f18198h;
        if (fVar2 != null) {
            fVar2.n();
        }
        com.graphisoft.bimxlab.contextPoint.view.e eVar = this.f18195e;
        if (eVar != null) {
            eVar.t();
        }
        this.f18195e = null;
    }

    @Subscribe
    public final void onPrintEvent(@a7.d u3 u3Var) {
        l0.p(u3Var, "event");
        Context context = getContext();
        if (context != null) {
            m0().z0(context);
        }
    }

    @Subscribe
    public final void onSceneOutOfCameraBoundsEvent(@a7.d e4 e4Var) {
        l0.p(e4Var, "event");
        m0().Q0(e4Var.a());
        c1();
    }

    @Subscribe
    public final void onShowMarkersOn3DEvent(@a7.d s4 s4Var) {
        ConstraintLayout constraintLayout;
        Context context;
        l0.p(s4Var, "event");
        y0 y0Var = this.f18206p;
        if (y0Var != null && (constraintLayout = y0Var.f25913q) != null && (context = getContext()) != null) {
            com.graphisoft.bimxlab.viewer3D.viewModel.g m02 = m0();
            l0.o(context, "it");
            Resources resources = getResources();
            l0.o(resources, "resources");
            m02.T0(context, constraintLayout, resources, s4Var.a(), this.f18208r);
        }
    }

    @Subscribe
    public final void onStartPresentationEvent(@a7.d w4 w4Var) {
        TitleBarView titleBarView;
        l0.p(w4Var, "event");
        EventBus.getDefault().post(new j1.v());
        MainActivity mainActivity = null;
        EventBus.getDefault().post(new j1.q(null, 1, null));
        y0 y0Var = this.f18206p;
        if (!(y0Var == null || (titleBarView = y0Var.f25915s) == null)) {
            titleBarView.r(false);
        }
        r0();
        FragmentActivity activity = getActivity();
        if (activity instanceof MainActivity) {
            mainActivity = (MainActivity) activity;
        }
        if (mainActivity != null) {
            NavController findNavController = FragmentKt.findNavController(this);
            FragmentManager parentFragmentManager = getParentFragmentManager();
            l0.o(parentFragmentManager, "parentFragmentManager");
            mainActivity.f0(findNavController, parentFragmentManager, w4Var);
        }
    }

    @Subscribe
    public final void onUpdateBookmarkIconEvent(@a7.d f5 f5Var) {
        TitleBarView titleBarView;
        l0.p(f5Var, "event");
        y0 y0Var = this.f18206p;
        if (y0Var != null && (titleBarView = y0Var.f25915s) != null) {
            titleBarView.r(f5Var.a());
        }
    }

    @Subscribe
    @SuppressLint({"SetTextI18n"})
    public final void onUpdateFPSLabelEvent(@a7.d g5 g5Var) {
        l0.p(g5Var, "event");
        if (this.f18201k) {
            y0 y0Var = this.f18206p;
            TextView textView = y0Var != null ? y0Var.f25901e : null;
            if (textView != null) {
                textView.setText("FPS: " + g5Var.a());
            }
        }
    }

    @Subscribe
    public final void onUpdateMeasure3DLabelsEvent(@a7.d i5 i5Var) {
        l0.p(i5Var, "event");
        com.graphisoft.bimxlab.measure.e R = m0().R();
        if (R != null) {
            R.d0();
        }
    }

    @Subscribe
    public final void onUpdateMeasureDebugViewEvent(@a7.d j5 j5Var) {
        ImageView imageView;
        l0.p(j5Var, "event");
        y0 y0Var = this.f18206p;
        Bitmap bitmap = null;
        TextView textView = y0Var != null ? y0Var.f25904h : null;
        if (textView != null) {
            textView.setText(this.f18209s.toString());
        }
        y0 y0Var2 = this.f18206p;
        if (y0Var2 != null && (imageView = y0Var2.f25905i) != null) {
            com.graphisoft.bimxlab.measure.e R = m0().R();
            if (R != null) {
                bitmap = R.z(this.f18209s);
            }
            imageView.setImageBitmap(bitmap);
        }
    }

    @Subscribe
    public final void onUpdateSunPositionIconEvent(@a7.d n5 n5Var) {
        y0 y0Var;
        TitleBarView titleBarView;
        TitleBarView titleBarView2;
        l0.p(n5Var, "event");
        y0 y0Var2 = this.f18206p;
        if (!(y0Var2 == null || (titleBarView2 = y0Var2.f25915s) == null)) {
            titleBarView2.w(n5Var.a());
        }
        if (n5Var.a() && (y0Var = this.f18206p) != null && (titleBarView = y0Var.f25915s) != null) {
            titleBarView.r(false);
        }
    }

    @Override // androidx.fragment.app.Fragment
    public void onViewCreated(@a7.d View view, @a7.e Bundle bundle) {
        l0.p(view, "view");
        super.onViewCreated(view, bundle);
        t0();
    }

    @Subscribe
    public final void onViewer3DAnimationEndEvent(@a7.d t5 t5Var) {
        l0.p(t5Var, "event");
        V0();
    }

    @Subscribe
    public final void onViewer3DLoadedEvent(@a7.d u5 u5Var) {
        LabelsView labelsView;
        l0.p(u5Var, "event");
        V0();
        y0 y0Var = this.f18206p;
        if (!(y0Var == null || (labelsView = y0Var.f25903g) == null)) {
            com.graphisoft.bimxlab.viewer3D.viewModel.g m02 = m0();
            Resources resources = getResources();
            l0.o(resources, "resources");
            labelsView.h(m02.P(resources));
        }
        FragmentActivity activity = getActivity();
        MainActivity mainActivity = activity instanceof MainActivity ? (MainActivity) activity : null;
        if (mainActivity != null && mainActivity.I()) {
            MainActivity.s(mainActivity, false, null, 2, null);
        }
        com.graphisoft.bimxlab.utils.manager.b.f17800a.Z(true);
    }

    @Subscribe
    public final void onZoneInfoOpenPublisherItemEvent(@a7.d x5 x5Var) {
        l0.p(x5Var, "event");
        FragmentActivity activity = getActivity();
        MainActivity mainActivity = activity instanceof MainActivity ? (MainActivity) activity : null;
        if (mainActivity != null) {
            MainActivity.d0(mainActivity, true, null, LoadingView.a.Loading3d, 2, null);
        }
        com.graphisoft.bimxlab.viewer3D.viewModel.g m02 = m0();
        HyperModelDataAddress e7 = x5Var.e();
        UUID f7 = x5Var.f();
        NavController findNavController = FragmentKt.findNavController(this);
        FragmentManager parentFragmentManager = getParentFragmentManager();
        l0.o(parentFragmentManager, "parentFragmentManager");
        m02.x0(e7, f7, findNavController, parentFragmentManager);
    }

    public void surfaceChanged(@a7.d SurfaceHolder surfaceHolder, int i7, int i8, int i9) {
        l0.p(surfaceHolder, "holder");
    }

    public void surfaceCreated(@a7.d SurfaceHolder surfaceHolder) {
        l0.p(surfaceHolder, "holder");
        m2 unused = kotlinx.coroutines.l.f(com.graphisoft.bimxlab.m.a(), null, null, new u(this, surfaceHolder, null), 3, null);
    }

    public void surfaceDestroyed(@a7.d SurfaceHolder surfaceHolder) {
        l0.p(surfaceHolder, "holder");
        m0().W0();
    }

    public void surfaceRedrawNeeded(@a7.d SurfaceHolder surfaceHolder) {
        l0.p(surfaceHolder, "holder");
    }
}
