package com.graphisoft.bimxlab.viewer3D.viewModel;

import android.content.Context;
import android.content.res.AssetManager;
import android.content.res.Resources;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.PointF;
import android.graphics.RectF;
import android.print.PrintAttributes;
import android.print.PrintManager;
import android.util.SizeF;
import android.view.Surface;
import android.view.View;
import android.view.ViewGroup;
import android.webkit.URLUtil;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.core.view.ViewGroupKt;
import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentManager;
import androidx.lifecycle.ViewModel;
import androidx.navigation.NavController;
import com.graphisoft.bimx.connector.ArchitectCreditConnector;
import com.graphisoft.bimx.connector.ElementInfoConnector;
import com.graphisoft.bimx.connector.ExtensionsConnector;
import com.graphisoft.bimx.connector.FeatureContextDataConnector;
import com.graphisoft.bimx.connector.LicenseManagerConnector;
import com.graphisoft.bimx.connector.NetLoggerConnector;
import com.graphisoft.bimx.connector.PubItem3dRoadshowEngineConnector;
import com.graphisoft.bimx.connector.UserPreferencesConnector;
import com.graphisoft.bimx.connector.ZoneLabel3dConnector;
import com.graphisoft.bimx.connector.contentspecification.ContentSpecification;
import com.graphisoft.bimx.connector.contentspecification.PubItem2dPageContentSpec;
import com.graphisoft.bimx.connector.contentspecification.PubItem2dPageContentSpecWithDrawing;
import com.graphisoft.bimx.connector.contentspecification.PubItem2dPageContentSpecWithZoom;
import com.graphisoft.bimx.connector.contentspecification.PubItem3dContentSpec;
import com.graphisoft.bimx.connector.contentspecification.PubItem3dContentSpecWithElement;
import com.graphisoft.bimx.connector.contentspecification.PubItem3dContentSpecWithSelectionDeterminedCamera;
import com.graphisoft.bimx.connector.contentspecification.PubItem3dContentSpecWithVisualState;
import com.graphisoft.bimx.connector.data.ExtensionContext;
import com.graphisoft.bimx.connector.data.Marker3D;
import com.graphisoft.bimx.connector.data.PrintableContent;
import com.graphisoft.bimx.connector.data.UnmergedMarker;
import com.graphisoft.bimx.connector.dataaddresses.DataAddress;
import com.graphisoft.bimx.connector.dataaddresses.ElementDataAddress;
import com.graphisoft.bimx.connector.dataaddresses.HyperModelDataAddress;
import com.graphisoft.bimx.connector.dataaddresses.PublisherItemDataAddress;
import com.graphisoft.bimx.connector.dataaddresses.PublisherItemPageDataAddress;
import com.graphisoft.bimx.connector.enums.ACObjType;
import com.graphisoft.bimx.connector.enums.EngineTransitionStyle;
import com.graphisoft.bimx.connector.enums.LabelsState;
import com.graphisoft.bimx.connector.enums.ZonesState;
import com.graphisoft.bimx.connector.handles.ExtensionManagerHandle;
import com.graphisoft.bimx.connector.handles.ExtensionMenuItem;
import com.graphisoft.bimx.connector.handles.LicenseHandle;
import com.graphisoft.bimx.connector.handles.Stored3DState;
import com.graphisoft.bimx.connector.handles.TransitionHandle;
import com.graphisoft.bimx.connector.handles.UserPreferencesStorageHandle;
import com.graphisoft.bimx.connector.handles.VisualStateHandle;
import com.graphisoft.bimxlab.BIMxApplication;
import com.graphisoft.bimxlab.base.ExtensionsKt;
import com.graphisoft.bimxlab.base.enums.NavigatorTransitionStyle;
import com.graphisoft.bimxlab.m;
import com.graphisoft.bimxlab.measure.MeasurePanTool;
import com.graphisoft.bimxlab.measure.j;
import com.graphisoft.bimxlab.s;
import com.graphisoft.bimxlab.utils.manager.navigation.NavigationProcess;
import com.graphisoft.bimxlab.utils.manager.navigation.NavigationTransition;
import com.graphisoft.bimxlab.utils.manager.v;
import com.graphisoft.bimxlab.viewer2D.model.Viewer2DFragmentData;
import com.graphisoft.bimxlab.viewer3D.model.Viewer3DFragmentData;
import j1.g3;
import j1.h3;
import j1.j3;
import j1.o3;
import j1.p0;
import j1.r3;
import j1.t5;
import j1.u5;
import java.net.URI;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.Set;
import java.util.UUID;
import java.util.function.Consumer;
import kotlin.collections.g0;
import kotlin.collections.z;
import kotlin.coroutines.jvm.internal.o;
import kotlin.e1;
import kotlin.j0;
import kotlin.jvm.internal.l0;
import kotlin.jvm.internal.n0;
import kotlin.l2;
import kotlin.text.b0;
import kotlin.text.c0;
import kotlin.u0;
import kotlinx.coroutines.l;
import kotlinx.coroutines.m2;
import kotlinx.coroutines.t0;
import org.greenrobot.eventbus.EventBus;
import r4.p;
import r4.r;

public final class g extends ViewModel implements v2.b {

    /* renamed from: a */
    public Viewer3DFragmentData f18334a;

    /* renamed from: b */
    private UUID f18335b;

    /* renamed from: c */
    private TransitionHandle f18336c;

    /* renamed from: d */
    public BIMxApplication f18337d;

    /* renamed from: e */
    private boolean f18338e;

    /* renamed from: f */
    private boolean f18339f;

    /* renamed from: g */
    private boolean f18340g;

    /* renamed from: h */
    private boolean f18341h;

    /* renamed from: i */
    private r4.a<l2> f18342i;

    /* renamed from: j */
    private final ArrayList<k1.b> f18343j = new ArrayList<>();

    /* renamed from: k */
    private PrintManager f18344k;

    /* renamed from: l */
    private r3.a f18345l;

    /* renamed from: m */
    private ArrayList<r3.a> f18346m = new ArrayList<>();

    /* renamed from: n */
    private ArrayList<UnmergedMarker> f18347n = new ArrayList<>();

    /* renamed from: o */
    private com.graphisoft.bimxlab.measure.e f18348o;

    /* renamed from: p */
    private ArrayList<u0<String, ExtensionMenuItem>> f18349p = new ArrayList<>();

    /* renamed from: q */
    private ArrayList<u0<String, ExtensionMenuItem>> f18350q = new ArrayList<>();

    /* renamed from: r */
    private boolean f18351r;

    /* renamed from: s */
    private com.graphisoft.bimxlab.base.adapter.b f18352s;

    /* renamed from: t */
    private PrintAttributes f18353t;

    /* renamed from: u */
    private final Consumer<Boolean> f18354u;

    public /* synthetic */ class a {

        /* renamed from: a */
        public static final /* synthetic */ int[] f18355a;

        static {
            int[] iArr = new int[NavigatorTransitionStyle.values().length];
            iArr[NavigatorTransitionStyle.FANCY.ordinal()] = 1;
            iArr[NavigatorTransitionStyle.INSTANT.ordinal()] = 2;
            iArr[NavigatorTransitionStyle.SIMPLE.ordinal()] = 3;
            f18355a = iArr;
        }
    }

    public static final class b extends o implements p<t0, kotlin.coroutines.d<? super l2>, Object> {
        final /* synthetic */ r4.a<l2> C1;

        /* renamed from: f */
        int f18356f;

        /* renamed from: g */
        final /* synthetic */ UserPreferencesStorageHandle f18357g;

        /* renamed from: p */
        final /* synthetic */ AssetManager f18358p;

        /* renamed from: x */
        final /* synthetic */ Surface f18359x;

        /* renamed from: y */
        final /* synthetic */ g f18360y;

        public static final class a extends n0 implements r4.a<l2> {

            /* renamed from: f */
            final /* synthetic */ r4.a<l2> f18361f;

            /* renamed from: g */
            final /* synthetic */ g f18362g;

            /* renamed from: com.graphisoft.bimxlab.viewer3D.viewModel.g$b$a$a */
            public static final class C0257a extends o implements p<t0, kotlin.coroutines.d<? super l2>, Object> {

                /* renamed from: f */
                int f18363f;

                /* renamed from: g */
                final /* synthetic */ r4.a<l2> f18364g;

                /* renamed from: p */
                final /* synthetic */ g f18365p;

                /* JADX INFO: super call moved to the top of the method (can break code semantics) */
                C0257a(r4.a<l2> aVar, g gVar, kotlin.coroutines.d<? super C0257a> dVar) {
                    super(2, dVar);
                    this.f18364g = aVar;
                    this.f18365p = gVar;
                }

                @Override // kotlin.coroutines.jvm.internal.a
                public final kotlin.coroutines.d<l2> create(Object obj, kotlin.coroutines.d<?> dVar) {
                    return new C0257a(this.f18364g, this.f18365p, dVar);
                }

                @Override // kotlin.coroutines.jvm.internal.a
                public final Object invokeSuspend(Object obj) {
                    Object unused = kotlin.coroutines.intrinsics.d.h();
                    if (this.f18363f == 0) {
                        e1.n(obj);
                        this.f18364g.invoke();
                        this.f18365p.V0();
                        return l2.f19890a;
                    }
                    throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
                }

                public final Object invoke(t0 t0Var, kotlin.coroutines.d<? super l2> dVar) {
                    return ((C0257a) create(t0Var, dVar)).invokeSuspend(l2.f19890a);
                }
            }

            /* JADX INFO: super call moved to the top of the method (can break code semantics) */
            a(r4.a<l2> aVar, g gVar) {
                super(0);
                this.f18361f = aVar;
                this.f18362g = gVar;
            }

            @Override // r4.a
            public final void invoke() {
                m2 unused = l.f(m.b(), null, null, new C0257a(this.f18361f, this.f18362g, null), 3, null);
            }
        }

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        b(UserPreferencesStorageHandle userPreferencesStorageHandle, AssetManager assetManager, Surface surface, g gVar, r4.a<l2> aVar, kotlin.coroutines.d<? super b> dVar) {
            super(2, dVar);
            this.f18357g = userPreferencesStorageHandle;
            this.f18358p = assetManager;
            this.f18359x = surface;
            this.f18360y = gVar;
            this.C1 = aVar;
        }

        @Override // kotlin.coroutines.jvm.internal.a
        public final kotlin.coroutines.d<l2> create(Object obj, kotlin.coroutines.d<?> dVar) {
            return new b(this.f18357g, this.f18358p, this.f18359x, this.f18360y, this.C1, dVar);
        }

        @Override // kotlin.coroutines.jvm.internal.a
        public final Object invokeSuspend(Object obj) {
            Object unused = kotlin.coroutines.intrinsics.d.h();
            if (this.f18356f == 0) {
                e1.n(obj);
                UserPreferencesConnector.INSTANCE.resetNonPersistentValues(this.f18357g);
                v.f17874a.d0(this.f18358p, this.f18359x, this.f18360y.W(), this.f18357g, new a(this.C1, this.f18360y));
                return l2.f19890a;
            }
            throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
        }

        public final Object invoke(t0 t0Var, kotlin.coroutines.d<? super l2> dVar) {
            return ((b) create(t0Var, dVar)).invokeSuspend(l2.f19890a);
        }
    }

    public static final class c extends o implements p<t0, kotlin.coroutines.d<? super l2>, Object> {

        /* renamed from: f */
        int f18366f;

        /* renamed from: g */
        final /* synthetic */ HyperModelDataAddress f18367g;

        /* renamed from: p */
        final /* synthetic */ UUID f18368p;

        /* renamed from: x */
        final /* synthetic */ NavController f18369x;

        /* renamed from: y */
        final /* synthetic */ FragmentManager f18370y;

        public static final class a extends o implements p<t0, kotlin.coroutines.d<? super l2>, Object> {

            /* renamed from: f */
            int f18371f;

            /* renamed from: g */
            final /* synthetic */ NavController f18372g;

            /* renamed from: p */
            final /* synthetic */ FragmentManager f18373p;

            /* renamed from: x */
            final /* synthetic */ PubItem3dContentSpecWithVisualState f18374x;

            /* JADX INFO: super call moved to the top of the method (can break code semantics) */
            a(NavController navController, FragmentManager fragmentManager, PubItem3dContentSpecWithVisualState pubItem3dContentSpecWithVisualState, kotlin.coroutines.d<? super a> dVar) {
                super(2, dVar);
                this.f18372g = navController;
                this.f18373p = fragmentManager;
                this.f18374x = pubItem3dContentSpecWithVisualState;
            }

            @Override // kotlin.coroutines.jvm.internal.a
            public final kotlin.coroutines.d<l2> create(Object obj, kotlin.coroutines.d<?> dVar) {
                return new a(this.f18372g, this.f18373p, this.f18374x, dVar);
            }

            @Override // kotlin.coroutines.jvm.internal.a
            public final Object invokeSuspend(Object obj) {
                Object unused = kotlin.coroutines.intrinsics.d.h();
                if (this.f18371f == 0) {
                    e1.n(obj);
                    com.graphisoft.bimxlab.utils.manager.b.f17800a.H(this.f18372g, this.f18373p, this.f18374x);
                    return l2.f19890a;
                }
                throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
            }

            public final Object invoke(t0 t0Var, kotlin.coroutines.d<? super l2> dVar) {
                return ((a) create(t0Var, dVar)).invokeSuspend(l2.f19890a);
            }
        }

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        c(HyperModelDataAddress hyperModelDataAddress, UUID uuid, NavController navController, FragmentManager fragmentManager, kotlin.coroutines.d<? super c> dVar) {
            super(2, dVar);
            this.f18367g = hyperModelDataAddress;
            this.f18368p = uuid;
            this.f18369x = navController;
            this.f18370y = fragmentManager;
        }

        @Override // kotlin.coroutines.jvm.internal.a
        public final kotlin.coroutines.d<l2> create(Object obj, kotlin.coroutines.d<?> dVar) {
            return new c(this.f18367g, this.f18368p, this.f18369x, this.f18370y, dVar);
        }

        @Override // kotlin.coroutines.jvm.internal.a
        public final Object invokeSuspend(Object obj) {
            Object unused = kotlin.coroutines.intrinsics.d.h();
            if (this.f18366f == 0) {
                e1.n(obj);
                Stored3DState Y = v.f17874a.Y();
                if (Y != null) {
                    HyperModelDataAddress hyperModelDataAddress = this.f18367g;
                    UUID uuid = this.f18368p;
                    m2 unused2 = l.f(m.b(), null, null, new a(this.f18369x, this.f18370y, new PubItem3dContentSpecWithVisualState(new PublisherItemDataAddress(hyperModelDataAddress, uuid), PubItem3dRoadshowEngineConnector.INSTANCE.currentVisualStateWithoutSelection(Y)), null), 3, null);
                }
                return l2.f19890a;
            }
            throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
        }

        public final Object invoke(t0 t0Var, kotlin.coroutines.d<? super l2> dVar) {
            return ((c) create(t0Var, dVar)).invokeSuspend(l2.f19890a);
        }
    }

    public static final class d extends o implements p<t0, kotlin.coroutines.d<? super l2>, Object> {

        /* renamed from: f */
        int f18375f;

        /* renamed from: g */
        final /* synthetic */ g f18376g;

        /* renamed from: p */
        final /* synthetic */ Context f18377p;

        public static final class a extends n0 implements r4.a<l2> {

            /* renamed from: f */
            final /* synthetic */ g f18378f;

            /* JADX INFO: super call moved to the top of the method (can break code semantics) */
            a(g gVar) {
                super(0);
                this.f18378f = gVar;
            }

            @Override // r4.a
            public final void invoke() {
                this.f18378f.P0(null);
                this.f18378f.f18353t = null;
            }
        }

        public static final class b extends o implements p<t0, kotlin.coroutines.d<? super l2>, Object> {

            /* renamed from: f */
            int f18379f;

            /* renamed from: g */
            final /* synthetic */ g f18380g;

            /* renamed from: p */
            final /* synthetic */ String f18381p;

            /* JADX INFO: super call moved to the top of the method (can break code semantics) */
            b(g gVar, String str, kotlin.coroutines.d<? super b> dVar) {
                super(2, dVar);
                this.f18380g = gVar;
                this.f18381p = str;
            }

            @Override // kotlin.coroutines.jvm.internal.a
            public final kotlin.coroutines.d<l2> create(Object obj, kotlin.coroutines.d<?> dVar) {
                return new b(this.f18380g, this.f18381p, dVar);
            }

            @Override // kotlin.coroutines.jvm.internal.a
            public final Object invokeSuspend(Object obj) {
                Object unused = kotlin.coroutines.intrinsics.d.h();
                if (this.f18379f == 0) {
                    e1.n(obj);
                    com.graphisoft.bimxlab.base.adapter.b bVar = null;
                    if (this.f18380g.f18353t != null) {
                        PrintManager U = this.f18380g.U();
                        if (U != null) {
                            String str = this.f18381p;
                            com.graphisoft.bimxlab.base.adapter.b bVar2 = this.f18380g.f18352s;
                            if (bVar2 == null) {
                                l0.S("adapter");
                                bVar2 = null;
                            }
                            U.print(str, bVar2, this.f18380g.f18353t);
                        }
                        this.f18380g.f18353t = null;
                    } else {
                        PrintManager U2 = this.f18380g.U();
                        if (U2 != null) {
                            String str2 = this.f18381p;
                            com.graphisoft.bimxlab.base.adapter.b bVar3 = this.f18380g.f18352s;
                            if (bVar3 == null) {
                                l0.S("adapter");
                            } else {
                                bVar = bVar3;
                            }
                            U2.print(str2, bVar, new PrintAttributes.Builder().build());
                        }
                    }
                    return l2.f19890a;
                }
                throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
            }

            public final Object invoke(t0 t0Var, kotlin.coroutines.d<? super l2> dVar) {
                return ((b) create(t0Var, dVar)).invokeSuspend(l2.f19890a);
            }
        }

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        d(g gVar, Context context, kotlin.coroutines.d<? super d> dVar) {
            super(2, dVar);
            this.f18376g = gVar;
            this.f18377p = context;
        }

        @Override // kotlin.coroutines.jvm.internal.a
        public final kotlin.coroutines.d<l2> create(Object obj, kotlin.coroutines.d<?> dVar) {
            return new d(this.f18376g, this.f18377p, dVar);
        }

        @Override // kotlin.coroutines.jvm.internal.a
        public final Object invokeSuspend(Object obj) {
            Object unused = kotlin.coroutines.intrinsics.d.h();
            if (this.f18375f == 0) {
                e1.n(obj);
                NetLoggerConnector.INSTANCE.printFrom("3D", "Current Zoom", "Fit to Page");
                g gVar = this.f18376g;
                Object systemService = this.f18377p.getSystemService("print");
                if (systemService != null) {
                    gVar.P0((PrintManager) systemService);
                    boolean z7 = this.f18377p.getResources().getConfiguration().orientation == 2;
                    g gVar2 = this.f18376g;
                    Context context = this.f18377p;
                    g gVar3 = this.f18376g;
                    gVar2.f18352s = new com.graphisoft.bimxlab.base.adapter.b(context, gVar3, z7, new a(gVar3));
                    m2 unused2 = l.f(m.b(), null, null, new b(this.f18376g, "3D print", null), 3, null);
                    return l2.f19890a;
                }
                throw new NullPointerException("null cannot be cast to non-null type android.print.PrintManager");
            }
            throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
        }

        public final Object invoke(t0 t0Var, kotlin.coroutines.d<? super l2> dVar) {
            return ((d) create(t0Var, dVar)).invokeSuspend(l2.f19890a);
        }
    }

    public static final class e extends n0 implements r<View, Integer, Integer, Integer, l2> {

        /* renamed from: f */
        final /* synthetic */ g f18382f;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        e(g gVar) {
            super(4);
            this.f18382f = gVar;
        }

        public final void c(View view, int i7, int i8, int i9) {
            l0.p(view, "view");
            this.f18382f.w0(view, i7, i8, i9);
        }

        @Override // r4.r
        public /* bridge */ /* synthetic */ l2 invoke(View view, Integer num, Integer num2, Integer num3) {
            c(view, num.intValue(), num2.intValue(), num3.intValue());
            return l2.f19890a;
        }
    }

    public static final class f extends o implements p<t0, kotlin.coroutines.d<? super l2>, Object> {

        /* renamed from: f */
        int f18383f;

        /* renamed from: g */
        final /* synthetic */ Boolean f18384g;

        /* renamed from: p */
        final /* synthetic */ g f18385p;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        f(Boolean bool, g gVar, kotlin.coroutines.d<? super f> dVar) {
            super(2, dVar);
            this.f18384g = bool;
            this.f18385p = gVar;
        }

        @Override // kotlin.coroutines.jvm.internal.a
        public final kotlin.coroutines.d<l2> create(Object obj, kotlin.coroutines.d<?> dVar) {
            return new f(this.f18384g, this.f18385p, dVar);
        }

        /* JADX WARNING: Code restructure failed: missing block: B:9:0x0030, code lost:
            if ((!r3.isEmpty()) == true) goto L_0x0034;
         */
        @Override // kotlin.coroutines.jvm.internal.a
        public final Object invokeSuspend(Object obj) {
            boolean z7;
            NavigationProcess g7;
            ArrayList<NavigationTransition> j7;
            Object unused = kotlin.coroutines.intrinsics.d.h();
            if (this.f18383f == 0) {
                e1.n(obj);
                Boolean bool = this.f18384g;
                l0.o(bool, "finished");
                if (bool.booleanValue()) {
                    NavigationProcess g8 = this.f18385p.N().g();
                    if (!(g8 == null || (r3 = g8.j()) == null)) {
                        z7 = true;
                    }
                    z7 = false;
                    if (!(!z7 || (g7 = this.f18385p.N().g()) == null || (j7 = g7.j()) == null)) {
                        j7.remove(0);
                    }
                    this.f18385p.b1();
                } else {
                    this.f18385p.y0();
                }
                return l2.f19890a;
            }
            throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
        }

        public final Object invoke(t0 t0Var, kotlin.coroutines.d<? super l2> dVar) {
            return ((f) create(t0Var, dVar)).invokeSuspend(l2.f19890a);
        }
    }

    /* renamed from: com.graphisoft.bimxlab.viewer3D.viewModel.g$g */
    public static final class C0258g extends o implements p<t0, kotlin.coroutines.d<? super l2>, Object> {

        /* renamed from: f */
        int f18386f;

        /* renamed from: g */
        final /* synthetic */ g f18387g;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        C0258g(g gVar, kotlin.coroutines.d<? super C0258g> dVar) {
            super(2, dVar);
            this.f18387g = gVar;
        }

        @Override // kotlin.coroutines.jvm.internal.a
        public final kotlin.coroutines.d<l2> create(Object obj, kotlin.coroutines.d<?> dVar) {
            return new C0258g(this.f18387g, dVar);
        }

        @Override // kotlin.coroutines.jvm.internal.a
        public final Object invokeSuspend(Object obj) {
            Object unused = kotlin.coroutines.intrinsics.d.h();
            if (this.f18386f == 0) {
                e1.n(obj);
                com.graphisoft.bimxlab.measure.e R = this.f18387g.R();
                if (R != null) {
                    R.T();
                }
                this.f18387g.O0(null);
                return l2.f19890a;
            }
            throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
        }

        public final Object invoke(t0 t0Var, kotlin.coroutines.d<? super l2> dVar) {
            return ((C0258g) create(t0Var, dVar)).invokeSuspend(l2.f19890a);
        }
    }

    public static final class h extends o implements p<t0, kotlin.coroutines.d<? super l2>, Object> {
        final /* synthetic */ ViewGroup C1;
        final /* synthetic */ MeasurePanTool C2;
        final /* synthetic */ r4.a<l2> U5;

        /* renamed from: f */
        int f18388f;

        /* renamed from: g */
        final /* synthetic */ Stored3DState f18389g;

        /* renamed from: p */
        final /* synthetic */ RectF f18390p;

        /* renamed from: x */
        final /* synthetic */ g f18391x;

        /* renamed from: y */
        final /* synthetic */ Context f18392y;

        public static final class a extends o implements p<t0, kotlin.coroutines.d<? super l2>, Object> {
            final /* synthetic */ MeasurePanTool C1;
            final /* synthetic */ r4.a<l2> C2;

            /* renamed from: f */
            int f18393f;

            /* renamed from: g */
            final /* synthetic */ g f18394g;

            /* renamed from: p */
            final /* synthetic */ Context f18395p;

            /* renamed from: x */
            final /* synthetic */ ViewGroup f18396x;

            /* renamed from: y */
            final /* synthetic */ j f18397y;

            /* JADX INFO: super call moved to the top of the method (can break code semantics) */
            a(g gVar, Context context, ViewGroup viewGroup, j jVar, MeasurePanTool measurePanTool, r4.a<l2> aVar, kotlin.coroutines.d<? super a> dVar) {
                super(2, dVar);
                this.f18394g = gVar;
                this.f18395p = context;
                this.f18396x = viewGroup;
                this.f18397y = jVar;
                this.C1 = measurePanTool;
                this.C2 = aVar;
            }

            @Override // kotlin.coroutines.jvm.internal.a
            public final kotlin.coroutines.d<l2> create(Object obj, kotlin.coroutines.d<?> dVar) {
                return new a(this.f18394g, this.f18395p, this.f18396x, this.f18397y, this.C1, this.C2, dVar);
            }

            @Override // kotlin.coroutines.jvm.internal.a
            public final Object invokeSuspend(Object obj) {
                Object unused = kotlin.coroutines.intrinsics.d.h();
                if (this.f18393f == 0) {
                    e1.n(obj);
                    this.f18394g.O0(new com.graphisoft.bimxlab.measure.e(this.f18395p, this.f18396x, this.f18397y, this.C1));
                    com.graphisoft.bimxlab.measure.e R = this.f18394g.R();
                    if (R != null) {
                        R.V();
                    }
                    this.C2.invoke();
                    return l2.f19890a;
                }
                throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
            }

            public final Object invoke(t0 t0Var, kotlin.coroutines.d<? super l2> dVar) {
                return ((a) create(t0Var, dVar)).invokeSuspend(l2.f19890a);
            }
        }

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        h(Stored3DState stored3DState, RectF rectF, g gVar, Context context, ViewGroup viewGroup, MeasurePanTool measurePanTool, r4.a<l2> aVar, kotlin.coroutines.d<? super h> dVar) {
            super(2, dVar);
            this.f18389g = stored3DState;
            this.f18390p = rectF;
            this.f18391x = gVar;
            this.f18392y = context;
            this.C1 = viewGroup;
            this.C2 = measurePanTool;
            this.U5 = aVar;
        }

        @Override // kotlin.coroutines.jvm.internal.a
        public final kotlin.coroutines.d<l2> create(Object obj, kotlin.coroutines.d<?> dVar) {
            return new h(this.f18389g, this.f18390p, this.f18391x, this.f18392y, this.C1, this.C2, this.U5, dVar);
        }

        @Override // kotlin.coroutines.jvm.internal.a
        public final Object invokeSuspend(Object obj) {
            Object unused = kotlin.coroutines.intrinsics.d.h();
            if (this.f18388f == 0) {
                e1.n(obj);
                m2 unused2 = l.f(m.b(), null, null, new a(this.f18391x, this.f18392y, this.C1, new j(this.f18389g, this.f18390p), this.C2, this.U5, null), 3, null);
                return l2.f19890a;
            }
            throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
        }

        public final Object invoke(t0 t0Var, kotlin.coroutines.d<? super l2> dVar) {
            return ((h) create(t0Var, dVar)).invokeSuspend(l2.f19890a);
        }
    }

    public g() {
        EventBus.getDefault().register(this);
        this.f18354u = new a(this);
    }

    private final EngineTransitionStyle A(NavigatorTransitionStyle navigatorTransitionStyle, ContentSpecification contentSpecification) {
        int i7 = a.f18355a[navigatorTransitionStyle.ordinal()];
        if (i7 != 1) {
            if (i7 == 2) {
                return EngineTransitionStyle.Instant;
            }
            if (i7 == 3) {
                return EngineTransitionStyle.Simple;
            }
            throw new j0();
        } else if (contentSpecification instanceof PubItem2dPageContentSpec) {
            return EngineTransitionStyle.FancyTo2d;
        } else {
            boolean z7 = contentSpecification instanceof PubItem3dContentSpec;
            return EngineTransitionStyle.FancyTo3d;
        }
    }

    private final void A0(ConstraintLayout constraintLayout, Resources resources) {
        ExtensionsKt.G(this.f18346m, ViewGroupKt.getChildren(constraintLayout), new e(this), resources.getDimensionPixelSize(s.f.f16907p0));
    }

    private final ArrayList<UUID> B() {
        ArrayList<UUID> mostRelevantPubItemAndDrawing;
        Stored3DState Y = v.f17874a.Y();
        return (Y == null || (mostRelevantPubItemAndDrawing = PubItem3dRoadshowEngineConnector.INSTANCE.mostRelevantPubItemAndDrawing(Y)) == null) ? new ArrayList<>() : mostRelevantPubItemAndDrawing;
    }

    private final PrintableContent D(RectF rectF, boolean z7) {
        Stored3DState Y = v.f17874a.Y();
        if (Y != null) {
            return PubItem3dRoadshowEngineConnector.INSTANCE.getOffscreenRenderToPrintFromMainCamera(Y, rectF, z7);
        }
        return null;
    }

    private final String G() {
        ArchitectCreditConnector architectCreditConnector = ArchitectCreditConnector.INSTANCE;
        if (architectCreditConnector.hasArchitectCreditImage(W())) {
            return architectCreditConnector.getArchitectCreditText(W());
        }
        return null;
    }

    private final ExtensionManagerHandle L() {
        return E().n();
    }

    private final String V() {
        String pubItem3DName = PubItem3dRoadshowEngineConnector.INSTANCE.getPubItem3DName(W());
        return pubItem3DName == null ? "" : pubItem3DName;
    }

    private final void X0(ExtensionMenuItem extensionMenuItem) {
        ExtensionContext r7 = r(this.f18335b);
        if (r7 != null) {
            ExtensionsConnector extensionsConnector = ExtensionsConnector.INSTANCE;
            EventBus.getDefault().post(new j3(String.valueOf(extensionsConnector.urlOf(extensionMenuItem, r7, L())), extensionsConnector.presentationStyleOf(extensionMenuItem)));
            extensionsConnector.logUseOf(extensionMenuItem, L());
        }
    }

    public static final void Z0(r4.a aVar, View view) {
        l0.p(aVar, "$navigateBack");
        aVar.invoke();
    }

    public static final void a1(NavController navController, Fragment fragment, View view) {
        l0.p(navController, "$navController");
        l0.p(fragment, "$fragment");
        com.graphisoft.bimxlab.utils.manager.b bVar = com.graphisoft.bimxlab.utils.manager.b.f17800a;
        FragmentManager parentFragmentManager = fragment.getParentFragmentManager();
        l0.o(parentFragmentManager, "fragment.parentFragmentManager");
        bVar.k(navController, parentFragmentManager);
    }

    public static final void b0(View view) {
        EventBus eventBus = EventBus.getDefault();
        l0.o(view, "it");
        eventBus.post(new o3(ExtensionsKt.F(view)));
    }

    private final void b1() {
        NavigatorTransitionStyle navigatorTransitionStyle;
        TransitionHandle transitionHandle;
        Stored3DState Y = v.f17874a.Y();
        if (Y != null) {
            NavigationProcess g7 = N().g();
            if (g7 == null || (navigatorTransitionStyle = g7.b()) == null) {
                navigatorTransitionStyle = NavigatorTransitionStyle.FANCY;
            }
            UUID uuid = null;
            N().n(null);
            NavigationProcess g8 = N().g();
            ContentSpecification a8 = g8 != null ? g8.a() : null;
            if (a8 instanceof PubItem3dContentSpecWithVisualState) {
                VisualStateHandle visualStateHandle = ((PubItem3dContentSpecWithVisualState) a8).getVisualStateHandle();
                if (visualStateHandle == null) {
                    EventBus.getDefault().post(new p0());
                    return;
                }
                transitionHandle = PubItem3dRoadshowEngineConnector.INSTANCE.transformToVisualState(Y, visualStateHandle, A(navigatorTransitionStyle, a8), this.f18354u);
            } else if (a8 instanceof PubItem3dContentSpecWithElement) {
                PubItem3dContentSpecWithElement pubItem3dContentSpecWithElement = (PubItem3dContentSpecWithElement) a8;
                transitionHandle = PubItem3dRoadshowEngineConnector.INSTANCE.transformToShowElement(Y, pubItem3dContentSpecWithElement.getElementId(), pubItem3dContentSpecWithElement.getResetSelectionToElement(), A(navigatorTransitionStyle, a8), this.f18354u);
            } else if (a8 instanceof PubItem3dContentSpecWithSelectionDeterminedCamera) {
                PubItem3dContentSpecWithSelectionDeterminedCamera pubItem3dContentSpecWithSelectionDeterminedCamera = (PubItem3dContentSpecWithSelectionDeterminedCamera) a8;
                transitionHandle = PubItem3dRoadshowEngineConnector.INSTANCE.transformToShowElementWithOptionalCameraPosition(Y, pubItem3dContentSpecWithSelectionDeterminedCamera.getOptionalCameraPos(), pubItem3dContentSpecWithSelectionDeterminedCamera.getVisualStateHandle(), A(navigatorTransitionStyle, a8), this.f18354u);
            } else if (a8 instanceof PubItem2dPageContentSpec) {
                PubItem2dPageContentSpecWithDrawing pubItem2dPageContentSpecWithDrawing = a8 instanceof PubItem2dPageContentSpecWithDrawing ? (PubItem2dPageContentSpecWithDrawing) a8 : null;
                if (pubItem2dPageContentSpecWithDrawing != null) {
                    uuid = pubItem2dPageContentSpecWithDrawing.getDrawingId();
                }
                transitionHandle = PubItem3dRoadshowEngineConnector.INSTANCE.transformToFitGhost(Y, ((PubItem2dPageContentSpec) a8).getAddress().getPublisherItemId(), uuid, A(navigatorTransitionStyle, a8), new b(this));
            } else {
                y0();
                return;
            }
            this.f18336c = transitionHandle;
        }
    }

    public static final void c1(g gVar, Boolean bool) {
        l0.p(gVar, "this$0");
        l0.p(bool, "it");
        r4.a<l2> aVar = gVar.f18342i;
        if (aVar != null) {
            aVar.invoke();
            gVar.f18342i = null;
        }
    }

    public static final void d1(g gVar, Boolean bool) {
        l0.p(gVar, "this$0");
        l0.p(bool, "finished");
        m2 unused = l.f(m.b(), null, null, new f(bool, gVar, null), 3, null);
    }

    public static /* synthetic */ void f1(g gVar, boolean z7, int i7, Object obj) {
        if ((i7 & 1) != 0) {
            z7 = false;
        }
        gVar.e1(z7);
    }

    public static final void g0(ElementDataAddress elementDataAddress, View view) {
        l0.p(elementDataAddress, "$elementDataAddress");
        EventBus eventBus = EventBus.getDefault();
        l0.o(view, "it");
        eventBus.post(new r3(ExtensionsKt.F(view), elementDataAddress));
    }

    public static /* synthetic */ void i1(g gVar, boolean z7, int i7, Object obj) {
        if ((i7 & 1) != 0) {
            z7 = true;
        }
        gVar.h1(z7);
    }

    private final ArrayList<VisualStateHandle> j1(PublisherItemPageDataAddress publisherItemPageDataAddress, RectF rectF) {
        ArrayList<VisualStateHandle> arrayList;
        Stored3DState Y = v.f17874a.Y();
        return (Y == null || (arrayList = PubItem3dRoadshowEngineConnector.INSTANCE.get2DTo3DVisualStates(Y, publisherItemPageDataAddress, rectF, null)) == null) ? new ArrayList<>() : arrayList;
    }

    private final void p(View view, int i7, int i8, ConstraintLayout constraintLayout, Resources resources) {
        constraintLayout.addView(view, new ConstraintLayout.LayoutParams(resources.getDimensionPixelSize(s.f.f16907p0), resources.getDimensionPixelSize(s.f.f16907p0)));
        view.setX(((float) i7) - (((float) resources.getDimensionPixelSize(s.f.f16907p0)) / 2.0f));
        view.setY((float) i8);
    }

    private final void q(Context context, Resources resources, ArrayList<UnmergedMarker> arrayList, View.OnClickListener onClickListener, ConstraintLayout constraintLayout) {
        if (!l0.g(this.f18347n, arrayList) || constraintLayout.getChildCount() == 0) {
            constraintLayout.removeAllViews();
            this.f18347n = arrayList;
            for (T t7 : arrayList) {
                com.graphisoft.bimxlab.viewer2D.view.b bVar = new com.graphisoft.bimxlab.viewer2D.view.b(context, null, 2, null);
                bVar.c(t7);
                bVar.setAlphaAnimationEnable(false);
                bVar.setBackgroundResource(s.g.f16948d);
                bVar.setOnClickListener(onClickListener);
                bVar.setTag(new r3.a(t7));
                bVar.setContentDescription("3D_Marker");
                p(bVar, (int) t7.getPosition().x, (int) t7.getPosition().y, constraintLayout, resources);
            }
            ArrayList<r3.a> r7 = ExtensionsKt.r(resources, arrayList, this.f18346m, null, 8, null);
            if (r7 != null) {
                this.f18346m = r7;
            }
            A0(constraintLayout, resources);
        }
    }

    private final ExtensionContext r(UUID uuid) {
        if (uuid == null) {
            return null;
        }
        ExtensionContext extensionContext = new ExtensionContext(W(), uuid);
        extensionContext.setStored3DState(v.f17874a.Y());
        return extensionContext;
    }

    private final void s() {
        PublisherItemPageDataAddress l7;
        RectF m7;
        NavigationProcess g7 = N().g();
        NavigatorTransitionStyle b7 = g7 != null ? g7.b() : null;
        if ((b7 == null ? -1 : a.f18355a[b7.ordinal()]) == 1 && (l7 = N().l()) != null && (m7 = N().m()) != null) {
            DataAddress address = N().c().getAddress();
            ArrayList<VisualStateHandle> j12 = j1(l7, m7);
            PublisherItemDataAddress publisherItemDataAddress = (PublisherItemDataAddress) address;
            PubItem3dContentSpecWithVisualState pubItem3dContentSpecWithVisualState = new PubItem3dContentSpecWithVisualState(publisherItemDataAddress, (VisualStateHandle) g0.w2(j12));
            PubItem3dContentSpecWithVisualState pubItem3dContentSpecWithVisualState2 = new PubItem3dContentSpecWithVisualState(publisherItemDataAddress, (VisualStateHandle) g0.k3(j12));
            NavigationProcess g8 = N().g();
            if (g8 != null) {
                g8.m(pubItem3dContentSpecWithVisualState2, NavigatorTransitionStyle.SIMPLE);
            }
            NavigationProcess g9 = N().g();
            if (g9 != null) {
                g9.m(pubItem3dContentSpecWithVisualState, NavigatorTransitionStyle.INSTANT);
            }
        }
    }

    private final void w0(View view, int i7, int i8, int i9) {
        view.setX(((float) i7) - (((float) i9) / 2.0f));
        view.setY((float) i8);
    }

    private final void y0() {
        this.f18336c = null;
        EventBus.getDefault().post(new t5());
        EventBus.getDefault().post(new p0());
    }

    public final void B0(Surface surface) {
        l0.p(surface, "surface");
        PubItem3dRoadshowEngineConnector pubItem3dRoadshowEngineConnector = PubItem3dRoadshowEngineConnector.INSTANCE;
        v vVar = v.f17874a;
        pubItem3dRoadshowEngineConnector.surfaceCreated(vVar.Z(), surface);
        Stored3DState Y = vVar.Y();
        if (Y != null && !vVar.f0()) {
            pubItem3dRoadshowEngineConnector.setRenderingStatus(Y, true, false);
            vVar.o0(true);
        }
    }

    public final void C() {
        Stored3DState Y = v.f17874a.Y();
        if (Y != null) {
            PubItem3dRoadshowEngineConnector.INSTANCE.flipCutplane(Y);
        }
    }

    public final void C0(String str) {
        Object obj;
        l0.p(str, "actionTitle");
        Iterator it = g0.y4(this.f18350q, this.f18349p).iterator();
        while (true) {
            if (!it.hasNext()) {
                obj = null;
                break;
            }
            obj = it.next();
            if (l0.g(((u0) obj).e(), str)) {
                break;
            }
        }
        u0 u0Var = (u0) obj;
        if (u0Var != null) {
            X0((ExtensionMenuItem) u0Var.f());
        }
    }

    public final void D0(UUID uuid) {
        l0.p(uuid, "uuid");
        Stored3DState Y = v.f17874a.Y();
        if (Y != null) {
            PubItem3dRoadshowEngineConnector.INSTANCE.select(Y, uuid);
        }
    }

    public final BIMxApplication E() {
        BIMxApplication bIMxApplication = this.f18337d;
        if (bIMxApplication != null) {
            return bIMxApplication;
        }
        l0.S("application");
        return null;
    }

    public final void E0(boolean z7) {
        this.f18341h = z7;
    }

    public final Bitmap F() {
        ArchitectCreditConnector architectCreditConnector = ArchitectCreditConnector.INSTANCE;
        if (architectCreditConnector.hasArchitectCreditImage(W())) {
            return architectCreditConnector.getArchitectCreditImage(W());
        }
        return null;
    }

    public final void F0(BIMxApplication bIMxApplication) {
        l0.p(bIMxApplication, "<set-?>");
        this.f18337d = bIMxApplication;
    }

    public final void G0(boolean z7) {
        this.f18338e = z7;
    }

    public final String H() {
        return ArchitectCreditConnector.INSTANCE.getArchitectCreditUrl(W());
    }

    public final void H0() {
        Stored3DState Y = v.f17874a.Y();
        if (Y != null) {
            PubItem3dRoadshowEngineConnector.INSTANCE.setCameraToFitInWindow(Y);
        }
    }

    public final UUID I() {
        return this.f18335b;
    }

    public final void I0() {
        Stored3DState Y = v.f17874a.Y();
        if (Y != null) {
            PubItem3dRoadshowEngineConnector.INSTANCE.setCameraToHomeview(Y);
        }
    }

    public final PubItem3dContentSpec J() {
        Stored3DState Y = v.f17874a.Y();
        if (Y == null) {
            return null;
        }
        return new PubItem3dContentSpecWithVisualState(W(), PubItem3dRoadshowEngineConnector.INSTANCE.currentVisualState(Y));
    }

    public final void J0(UUID uuid) {
        this.f18335b = uuid;
    }

    public final Viewer3DFragmentData K() {
        PubItem3dContentSpec J = J();
        if (J != null) {
            return new Viewer3DFragmentData(null, null, null, J, com.graphisoft.bimxlab.utils.manager.b.f17800a.e(J), 7, null);
        }
        return null;
    }

    public final void K0(r4.a<l2> aVar) {
        this.f18342i = aVar;
    }

    public final void L0(Viewer3DFragmentData viewer3DFragmentData) {
        l0.p(viewer3DFragmentData, "<set-?>");
        this.f18334a = viewer3DFragmentData;
    }

    public final r4.a<l2> M() {
        return this.f18342i;
    }

    public final void M0(boolean z7) {
        this.f18339f = z7;
    }

    public final Viewer3DFragmentData N() {
        Viewer3DFragmentData viewer3DFragmentData = this.f18334a;
        if (viewer3DFragmentData != null) {
            return viewer3DFragmentData;
        }
        l0.S("fragmentData");
        return null;
    }

    public final void N0(boolean z7) {
        this.f18340g = z7;
    }

    public final boolean O() {
        return this.f18334a != null;
    }

    public final void O0(com.graphisoft.bimxlab.measure.e eVar) {
        this.f18348o = eVar;
    }

    public final ArrayList<u3.a> P(Resources resources) {
        l0.p(resources, "resources");
        ArrayList<u3.a> arrayList = new ArrayList<>();
        arrayList.add(a0(resources));
        arrayList.add(f0());
        return arrayList;
    }

    public final void P0(PrintManager printManager) {
        this.f18344k = printManager;
    }

    public final ArrayList<String> Q() {
        this.f18349p = new ArrayList<>();
        ArrayList<ExtensionMenuItem> arrayList = new ArrayList<>();
        UUID uuid = this.f18335b;
        if (uuid == null) {
            return new ArrayList<>();
        }
        ExtensionContext r7 = r(uuid);
        if (r7 != null) {
            arrayList = ExtensionsConnector.INSTANCE.leftElemContextMenuItems(r7, L());
        }
        for (T t7 : arrayList) {
            this.f18349p.add(new u0<>(ExtensionsConnector.INSTANCE.titleOf(t7), t7));
        }
        ArrayList<u0<String, ExtensionMenuItem>> arrayList2 = this.f18349p;
        ArrayList<String> arrayList3 = new ArrayList<>(z.Z(arrayList2, 10));
        Iterator<T> it = arrayList2.iterator();
        while (it.hasNext()) {
            arrayList3.add((String) it.next().e());
        }
        return arrayList3;
    }

    public final void Q0(boolean z7) {
        this.f18351r = z7;
    }

    public final com.graphisoft.bimxlab.measure.e R() {
        return this.f18348o;
    }

    public final void R0(r3.a aVar) {
        this.f18345l = aVar;
    }

    public final Bitmap S(boolean z7) {
        Stored3DState Y = v.f17874a.Y();
        if (Y != null) {
            return z7 ? PubItem3dRoadshowEngineConnector.INSTANCE.getOffscreenRenderFromMainCamera(Y, true, new SizeF(192.0f, 192.0f)) : PubItem3dRoadshowEngineConnector.INSTANCE.getOffscreenRenderFromMainCamera(Y, true);
        }
        return null;
    }

    public final void S0(UserPreferencesStorageHandle userPreferencesStorageHandle) {
        l0.p(userPreferencesStorageHandle, "value");
        v.f17874a.r0(userPreferencesStorageHandle);
    }

    public final Bitmap T(Resources resources, UUID uuid) {
        l0.p(resources, "resources");
        l0.p(uuid, "uuid");
        Stored3DState Y = v.f17874a.Y();
        if (Y != null) {
            Bitmap offscreenRenderOfElementFromMainCamera = PubItem3dRoadshowEngineConnector.INSTANCE.getOffscreenRenderOfElementFromMainCamera(Y, uuid, 320.0f);
            if (offscreenRenderOfElementFromMainCamera != null) {
                return offscreenRenderOfElementFromMainCamera;
            }
            Bitmap decodeResource = BitmapFactory.decodeResource(resources, s.g.Z0);
            l0.o(decodeResource, "decodeResource(resources….drawable.thumb_image_2x)");
            return decodeResource;
        }
        Bitmap decodeResource2 = BitmapFactory.decodeResource(resources, s.g.Z0);
        l0.o(decodeResource2, "decodeResource(resources….drawable.thumb_image_2x)");
        return decodeResource2;
    }

    public final void T0(Context context, ConstraintLayout constraintLayout, Resources resources, ArrayList<Marker3D> arrayList, View.OnClickListener onClickListener) {
        l0.p(context, "context");
        l0.p(constraintLayout, "container");
        l0.p(resources, "resources");
        l0.p(arrayList, "markers3D");
        PointF pointF = new PointF((((float) constraintLayout.getWidth()) - constraintLayout.getX()) / 2.0f, (((float) constraintLayout.getHeight()) - constraintLayout.getY()) / 2.0f);
        PointF pointF2 = new PointF(((float) constraintLayout.getWidth()) / 2.0f, ((float) constraintLayout.getHeight()) / 2.0f);
        ArrayList<UnmergedMarker> arrayList2 = new ArrayList<>();
        for (T t7 : arrayList) {
            PointF pointF3 = new PointF(pointF.x + (pointF2.x * t7.getPosition().x), pointF.y - (pointF2.y * t7.getPosition().y));
            float f7 = pointF3.x;
            if (f7 >= 0.0f && f7 < ((float) constraintLayout.getWidth())) {
                float f8 = pointF3.y;
                if (f8 >= 0.0f && f8 < ((float) constraintLayout.getHeight())) {
                    Iterator<T> it = t7.getGuids().iterator();
                    while (it.hasNext()) {
                        arrayList2.add(new UnmergedMarker(it.next(), ACObjType.View, pointF3));
                    }
                }
            }
        }
        q(context, resources, arrayList2, onClickListener, constraintLayout);
    }

    public final PrintManager U() {
        return this.f18344k;
    }

    public final void U0(PubItem2dPageContentSpec pubItem2dPageContentSpec) {
        l0.p(pubItem2dPageContentSpec, "content2d");
        N().k(pubItem2dPageContentSpec);
        N().I(new NavigationProcess(pubItem2dPageContentSpec));
        b1();
    }

    public final void V0() {
        if (v.f17874a.Y() != null) {
            s();
            b1();
        }
        EventBus.getDefault().post(new u5());
    }

    public final PublisherItemDataAddress W() {
        return N().j().getAddress();
    }

    public final void W0() {
        PubItem3dRoadshowEngineConnector pubItem3dRoadshowEngineConnector = PubItem3dRoadshowEngineConnector.INSTANCE;
        v vVar = v.f17874a;
        pubItem3dRoadshowEngineConnector.surfaceDestroyed(vVar.Z());
        Stored3DState Y = vVar.Y();
        if (Y != null) {
            pubItem3dRoadshowEngineConnector.setRenderingStatus(Y, false, true);
            vVar.o0(false);
        }
    }

    public final ArrayList<String> X() {
        this.f18350q = new ArrayList<>();
        ArrayList<ExtensionMenuItem> arrayList = new ArrayList<>();
        UUID uuid = this.f18335b;
        if (uuid == null) {
            return new ArrayList<>();
        }
        ExtensionContext r7 = r(uuid);
        if (r7 != null) {
            arrayList = ExtensionsConnector.INSTANCE.rightElemContextMenuItems(r7, L());
        }
        for (T t7 : arrayList) {
            this.f18350q.add(new u0<>(ExtensionsConnector.INSTANCE.titleOf(t7), t7));
        }
        ArrayList<u0<String, ExtensionMenuItem>> arrayList2 = this.f18350q;
        ArrayList<String> arrayList3 = new ArrayList<>(z.Z(arrayList2, 10));
        Iterator<T> it = arrayList2.iterator();
        while (it.hasNext()) {
            arrayList3.add((String) it.next().e());
        }
        return arrayList3;
    }

    public final boolean Y() {
        return this.f18351r;
    }

    public final ArrayList<k1.b> Y0(Fragment fragment, NavController navController, r4.a<l2> aVar) {
        l0.p(fragment, "fragment");
        l0.p(navController, "navController");
        l0.p(aVar, "navigateBack");
        ArrayList<k1.b> arrayList = new ArrayList<>();
        arrayList.add(new k1.b(s.n.N9, null, null, new e(aVar), null, false, 54, null));
        arrayList.add(new k1.b(s.n.Ba, null, Integer.valueOf(com.graphisoft.bimxlab.utils.manager.b.f17800a.J() ? s.e.f16814b : s.e.f16835p), new f(navController, fragment), null, false, 50, null));
        return arrayList;
    }

    public final r3.a Z() {
        return this.f18345l;
    }

    public final u3.a a0(Resources resources) {
        l0.p(resources, "resources");
        ArrayList arrayList = new ArrayList();
        v vVar = v.f17874a;
        if (vVar.W().allElementsCount() > 0) {
            arrayList.add(new u3.b(resources.getString(s.n.F3) + ": " + vVar.W().allElementsCount(), new c()));
        }
        return new u3.a(i1.j.SELECTION, arrayList);
    }

    public final String c0() {
        String G = G();
        if (G == null) {
            return "";
        }
        if (!URLUtil.isValidUrl(G)) {
            return G;
        }
        String host = new URI(G).getHost();
        if (host.length() < 2) {
            return G;
        }
        l0.o(host, "host");
        return b0.s2(host, "www.", true) ? c0.p5(host, "www.", null, 2, null) : host;
    }

    public final UserPreferencesStorageHandle d0() {
        return v.f17874a.a0();
    }

    public final Viewer2DFragmentData e0() {
        PubItem2dPageContentSpecWithZoom pubItem2dPageContentSpecWithZoom = new PubItem2dPageContentSpecWithZoom(new PublisherItemPageDataAddress(W().getHyperModelListId(), W().getHyperModelId(), (UUID) g0.w2(B()), 0), null, ZonesState.UnchangedZones, LabelsState.UnchangedLabels);
        return new Viewer2DFragmentData(pubItem2dPageContentSpecWithZoom, null, com.graphisoft.bimxlab.utils.manager.b.f17800a.e(pubItem2dPageContentSpecWithZoom));
    }

    public final void e1(boolean z7) {
        if (v.f17874a.Y() != null && this.f18340g) {
            this.f18340g = false;
            if (!z7) {
                com.graphisoft.bimxlab.utils.feature.p.f17724a.S(false);
            }
            com.graphisoft.bimxlab.measure.e eVar = this.f18348o;
            if (eVar != null) {
                eVar.U();
            }
            m2 unused = l.f(m.a(), null, null, new C0258g(this, null), 3, null);
        }
    }

    public final u3.a f0() {
        ArrayList arrayList = new ArrayList();
        Set<UUID> b02 = v.f17874a.b0();
        if (b02 != null) {
            Iterator<T> it = b02.iterator();
            while (it.hasNext()) {
                ElementDataAddress elementDataAddress = new ElementDataAddress(W(), it.next());
                String displayNameOfElement = ZoneLabel3dConnector.INSTANCE.displayNameOfElement(elementDataAddress);
                if (displayNameOfElement != null) {
                    arrayList.add(new u3.b(displayNameOfElement, new d(elementDataAddress)));
                }
            }
        }
        return new u3.a(i1.j.ZONE, arrayList);
    }

    @Override // v2.b
    public v2.a g(RectF rectF, boolean z7, PrintAttributes printAttributes) {
        l0.p(rectF, "contentRect");
        l0.p(printAttributes, "attributes");
        this.f18353t = printAttributes;
        PrintableContent D = D(rectF, z7);
        if (D == null) {
            return null;
        }
        Bitmap createBitmap = Bitmap.createBitmap(D.getImage(), D.getWidth(), D.getHeight(), Bitmap.Config.ARGB_8888);
        l0.o(createBitmap, "createBitmap(printableCo… Bitmap.Config.ARGB_8888)");
        return new v2.a(createBitmap, D.getDrawRect(), null, 4, null);
    }

    public final void g1(Context context, Stored3DState stored3DState, ViewGroup viewGroup, MeasurePanTool measurePanTool, r4.a<l2> aVar) {
        l0.p(context, "context");
        l0.p(stored3DState, "stored3DState");
        l0.p(viewGroup, "hostView");
        l0.p(measurePanTool, "measurePanTool");
        l0.p(aVar, "done");
        RectF rectF = new RectF(viewGroup.getX(), viewGroup.getY(), (float) viewGroup.getWidth(), (float) viewGroup.getHeight());
        com.graphisoft.bimxlab.measure.e eVar = this.f18348o;
        if (eVar != null) {
            eVar.J();
        }
        m2 unused = l.f(m.a(), null, null, new h(stored3DState, rectF, this, context, viewGroup, measurePanTool, aVar, null), 3, null);
    }

    public final void h0() {
        Stored3DState Y = v.f17874a.Y();
        if (Y != null) {
            PubItem3dRoadshowEngineConnector.INSTANCE.removeGhost(Y);
        }
    }

    public final void h1(boolean z7) {
        Stored3DState Y = v.f17874a.Y();
        if (Y != null) {
            PubItem3dRoadshowEngineConnector.INSTANCE.unhighlightElement(Y, z7);
        }
    }

    public final void i0() {
        Stored3DState Y = v.f17874a.Y();
        if (Y != null) {
            PubItem3dRoadshowEngineConnector.INSTANCE.setCameraToHighlightedElement(Y);
        }
    }

    public final boolean j0() {
        Stored3DState Y = v.f17874a.Y();
        boolean z7 = false;
        if (Y == null) {
            return false;
        }
        ArrayList<UUID> mostRelevantPubItemAndDrawing = PubItem3dRoadshowEngineConnector.INSTANCE.mostRelevantPubItemAndDrawing(Y);
        if (mostRelevantPubItemAndDrawing == null || mostRelevantPubItemAndDrawing.isEmpty()) {
            z7 = true;
        }
        return !z7;
    }

    public final boolean k0(UUID uuid) {
        return ElementInfoConnector.INSTANCE.hasElementInfo(W(), uuid, null, W().getPublisherItemId());
    }

    public final void l0(UUID uuid, boolean z7) {
        Stored3DState Y = v.f17874a.Y();
        if (Y != null && uuid != null) {
            PubItem3dRoadshowEngineConnector.INSTANCE.highlight(Y, uuid, z7);
        }
    }

    public final void m0(AssetManager assetManager, Surface surface, UserPreferencesStorageHandle userPreferencesStorageHandle, r4.a<l2> aVar) {
        l0.p(assetManager, "assetManager");
        l0.p(surface, "surface");
        l0.p(userPreferencesStorageHandle, "handle");
        l0.p(aVar, "post");
        m2 unused = l.f(m.a(), null, null, new b(userPreferencesStorageHandle, assetManager, surface, this, aVar, null), 3, null);
    }

    public final boolean n0() {
        return this.f18341h;
    }

    public final boolean o0() {
        return this.f18338e;
    }

    @Override // androidx.lifecycle.ViewModel
    public void onCleared() {
        super.onCleared();
        EventBus.getDefault().unregister(this);
    }

    public final void onNavigationModeChangedToFlying(g3 g3Var) {
        l0.p(g3Var, "event");
        this.f18339f = false;
    }

    public final void onNavigationModeChangedToWalking(h3 h3Var) {
        l0.p(h3Var, "event");
        this.f18339f = true;
    }

    public final boolean p0(UUID uuid) {
        Stored3DState Y = v.f17874a.Y();
        if (Y == null || uuid == null) {
            return false;
        }
        return PubItem3dRoadshowEngineConnector.INSTANCE.isDoor(Y, uuid);
    }

    public final boolean q0() {
        return this.f18339f;
    }

    public final boolean r0() {
        return UserPreferencesConnector.INSTANCE.isLeftHandedJoyStick(v.f17874a.a0());
    }

    public final boolean s0(LicenseHandle licenseHandle) {
        l0.p(licenseHandle, "licenseHandle");
        return LicenseManagerConnector.INSTANCE.isModelLicensed(W(), licenseHandle);
    }

    public final k1.d t(Fragment fragment, NavController navController, r4.a<l2> aVar, r4.a<? extends ArrayList<i1.g>> aVar2) {
        l0.p(fragment, "fragment");
        l0.p(navController, "navController");
        l0.p(aVar, "navigateBack");
        l0.p(aVar2, "getHiddenItems");
        this.f18343j.clear();
        this.f18343j.addAll(com.graphisoft.bimxlab.utils.feature.p.f17724a.J(fragment, W(), aVar2));
        return new k1.d(V(), 0, Y0(fragment, navController, aVar), this.f18343j, null, null, null, true, 114, null);
    }

    public final boolean t0() {
        return this.f18340g;
    }

    public final void u() {
        Stored3DState Y = v.f17874a.Y();
        if (Y != null) {
            PubItem3dRoadshowEngineConnector.INSTANCE.cutAtGhost(Y);
        }
    }

    public final boolean u0(UUID uuid) {
        Stored3DState Y = v.f17874a.Y();
        if (Y == null || uuid == null) {
            return false;
        }
        return PubItem3dRoadshowEngineConnector.INSTANCE.isSelected(Y, uuid);
    }

    public final void v() {
        Stored3DState Y = v.f17874a.Y();
        if (Y == null) {
            return;
        }
        if (w()) {
            PubItem3dRoadshowEngineConnector.INSTANCE.disableCutplane(Y);
        } else {
            PubItem3dRoadshowEngineConnector.INSTANCE.enableCutplane(Y);
        }
    }

    public final boolean v0() {
        return FeatureContextDataConnector.INSTANCE.isTeamworkModel(W());
    }

    public final boolean w() {
        Stored3DState Y = v.f17874a.Y();
        if (Y != null) {
            return PubItem3dRoadshowEngineConnector.INSTANCE.isCutplaneEnabled(Y);
        }
        return false;
    }

    public final void x() {
        Stored3DState Y = v.f17874a.Y();
        if (Y != null) {
            PubItem3dRoadshowEngineConnector.INSTANCE.disableCutplane(Y);
        }
    }

    public final void x0(HyperModelDataAddress hyperModelDataAddress, UUID uuid, NavController navController, FragmentManager fragmentManager) {
        l0.p(hyperModelDataAddress, "address");
        l0.p(uuid, "publisherItem3dId");
        l0.p(navController, "navController");
        l0.p(fragmentManager, "parentFragmentManager");
        m2 unused = l.f(m.a(), null, null, new c(hyperModelDataAddress, uuid, navController, fragmentManager, null), 3, null);
    }

    public final void y(UUID uuid) {
        l0.p(uuid, "uuid");
        Stored3DState Y = v.f17874a.Y();
        if (Y != null) {
            PubItem3dRoadshowEngineConnector.INSTANCE.deselect(Y, uuid);
        }
    }

    public final void z(UUID uuid, UUID uuid2) {
        l0.p(uuid, "publisherItemId");
        l0.p(uuid2, "drawingId");
        Stored3DState Y = v.f17874a.Y();
        if (Y != null) {
            PubItem3dRoadshowEngineConnector pubItem3dRoadshowEngineConnector = PubItem3dRoadshowEngineConnector.INSTANCE;
            pubItem3dRoadshowEngineConnector.setGhost(Y, uuid, uuid2);
            pubItem3dRoadshowEngineConnector.disableCutplane(Y);
        }
    }

    public final void z0(Context context) {
        l0.p(context, "context");
        m2 unused = l.f(m.a(), null, null, new d(this, context, null), 3, null);
    }
}
