package kotlin.io.path;

import a7.d;
import java.io.IOException;
import java.net.URI;
import java.nio.file.CopyOption;
import java.nio.file.DirectoryStream;
import java.nio.file.FileStore;
import java.nio.file.Files;
import java.nio.file.LinkOption;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.nio.file.StandardCopyOption;
import java.nio.file.attribute.BasicFileAttributes;
import java.nio.file.attribute.FileAttribute;
import java.nio.file.attribute.FileAttributeView;
import java.nio.file.attribute.FileTime;
import java.nio.file.attribute.PosixFilePermission;
import java.nio.file.attribute.UserPrincipal;
import java.util.Arrays;
import java.util.List;
import java.util.Map;
import java.util.Set;
import kotlin.a1;
import kotlin.b1;
import kotlin.collections.g0;
import kotlin.g1;
import kotlin.internal.f;
import kotlin.io.c;
import kotlin.jvm.internal.i0;
import kotlin.jvm.internal.l0;
import kotlin.k;
import kotlin.l2;
import kotlin.q2;
import kotlin.sequences.m;
import kotlin.text.b0;
import kotlin.text.c0;
import kotlin.y;
import r4.l;

class e extends d {
    private static final String A0(Path path) {
        l0.p(path, "<this>");
        return path.toString();
    }

    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    @f
    public static /* synthetic */ void B0(Path path) {
    }

    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    @f
    private static final Set<PosixFilePermission> C0(Path path, LinkOption... linkOptionArr) throws IOException {
        l0.p(path, "<this>");
        l0.p(linkOptionArr, "options");
        Set<PosixFilePermission> posixFilePermissions = Files.getPosixFilePermissions(path, (LinkOption[]) Arrays.copyOf(linkOptionArr, linkOptionArr.length));
        l0.o(posixFilePermissions, "getPosixFilePermissions(this, *options)");
        return posixFilePermissions;
    }

    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    @f
    private static final boolean D0(Path path, LinkOption... linkOptionArr) {
        l0.p(path, "<this>");
        l0.p(linkOptionArr, "options");
        return Files.isDirectory(path, (LinkOption[]) Arrays.copyOf(linkOptionArr, linkOptionArr.length));
    }

    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    @f
    private static final boolean E0(Path path) {
        l0.p(path, "<this>");
        return Files.isExecutable(path);
    }

    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    @f
    private static final boolean F0(Path path) throws IOException {
        l0.p(path, "<this>");
        return Files.isHidden(path);
    }

    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    @f
    private static final boolean G0(Path path) {
        l0.p(path, "<this>");
        return Files.isReadable(path);
    }

    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    @f
    private static final Path H(String str) {
        l0.p(str, "path");
        Path path = Paths.get(str, new String[0]);
        l0.o(path, "get(path)");
        return path;
    }

    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    @f
    private static final boolean H0(Path path, LinkOption... linkOptionArr) {
        l0.p(path, "<this>");
        l0.p(linkOptionArr, "options");
        return Files.isRegularFile(path, (LinkOption[]) Arrays.copyOf(linkOptionArr, linkOptionArr.length));
    }

    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    @f
    private static final Path I(String str, String... strArr) {
        l0.p(str, "base");
        l0.p(strArr, "subpaths");
        Path path = Paths.get(str, (String[]) Arrays.copyOf(strArr, strArr.length));
        l0.o(path, "get(base, *subpaths)");
        return path;
    }

    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    @f
    private static final boolean I0(Path path, Path path2) throws IOException {
        l0.p(path, "<this>");
        l0.p(path2, "other");
        return Files.isSameFile(path, path2);
    }

    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    @f
    private static final Path J(Path path) {
        l0.p(path, "<this>");
        Path absolutePath = path.toAbsolutePath();
        l0.o(absolutePath, "toAbsolutePath()");
        return absolutePath;
    }

    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    @f
    private static final boolean J0(Path path) {
        l0.p(path, "<this>");
        return Files.isSymbolicLink(path);
    }

    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    @f
    private static final String K(Path path) {
        l0.p(path, "<this>");
        return path.toAbsolutePath().toString();
    }

    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    @f
    private static final boolean K0(Path path) {
        l0.p(path, "<this>");
        return Files.isWritable(path);
    }

    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    @f
    private static final Path L(Path path, Path path2, boolean z7) throws IOException {
        l0.p(path, "<this>");
        l0.p(path2, "target");
        CopyOption[] copyOptionArr = z7 ? new CopyOption[]{StandardCopyOption.REPLACE_EXISTING} : new CopyOption[0];
        Path copy = Files.copy(path, path2, (CopyOption[]) Arrays.copyOf(copyOptionArr, copyOptionArr.length));
        l0.o(copy, "copy(this, target, *options)");
        return copy;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:10:0x0022, code lost:
        throw r0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:8:0x001e, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:9:0x001f, code lost:
        kotlin.io.c.a(r1, r2);
     */
    @g1(version = "1.5")
    @d
    @q2(markerClass = {a.class})
    public static final List<Path> L0(@d Path path, @d String str) throws IOException {
        l0.p(path, "<this>");
        l0.p(str, "glob");
        DirectoryStream<Path> newDirectoryStream = Files.newDirectoryStream(path, str);
        l0.o(newDirectoryStream, "it");
        List<Path> list = g0.Q5(newDirectoryStream);
        c.a(newDirectoryStream, null);
        return list;
    }

    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    @f
    private static final Path M(Path path, Path path2, CopyOption... copyOptionArr) throws IOException {
        l0.p(path, "<this>");
        l0.p(path2, "target");
        l0.p(copyOptionArr, "options");
        Path copy = Files.copy(path, path2, (CopyOption[]) Arrays.copyOf(copyOptionArr, copyOptionArr.length));
        l0.o(copy, "copy(this, target, *options)");
        return copy;
    }

    public static /* synthetic */ List M0(Path path, String str, int i7, Object obj) throws IOException {
        if ((i7 & 1) != 0) {
            str = "*";
        }
        return L0(path, str);
    }

    static /* synthetic */ Path N(Path path, Path path2, boolean z7, int i7, Object obj) throws IOException {
        if ((i7 & 2) != 0) {
            z7 = false;
        }
        l0.p(path, "<this>");
        l0.p(path2, "target");
        CopyOption[] copyOptionArr = z7 ? new CopyOption[]{StandardCopyOption.REPLACE_EXISTING} : new CopyOption[0];
        Path copy = Files.copy(path, path2, (CopyOption[]) Arrays.copyOf(copyOptionArr, copyOptionArr.length));
        l0.o(copy, "copy(this, target, *options)");
        return copy;
    }

    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    @f
    private static final Path N0(Path path, Path path2, boolean z7) throws IOException {
        l0.p(path, "<this>");
        l0.p(path2, "target");
        CopyOption[] copyOptionArr = z7 ? new CopyOption[]{StandardCopyOption.REPLACE_EXISTING} : new CopyOption[0];
        Path move = Files.move(path, path2, (CopyOption[]) Arrays.copyOf(copyOptionArr, copyOptionArr.length));
        l0.o(move, "move(this, target, *options)");
        return move;
    }

    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    @f
    private static final Path O(Path path, FileAttribute<?>... fileAttributeArr) throws IOException {
        l0.p(path, "<this>");
        l0.p(fileAttributeArr, "attributes");
        Path createDirectories = Files.createDirectories(path, (FileAttribute[]) Arrays.copyOf(fileAttributeArr, fileAttributeArr.length));
        l0.o(createDirectories, "createDirectories(this, *attributes)");
        return createDirectories;
    }

    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    @f
    private static final Path O0(Path path, Path path2, CopyOption... copyOptionArr) throws IOException {
        l0.p(path, "<this>");
        l0.p(path2, "target");
        l0.p(copyOptionArr, "options");
        Path move = Files.move(path, path2, (CopyOption[]) Arrays.copyOf(copyOptionArr, copyOptionArr.length));
        l0.o(move, "move(this, target, *options)");
        return move;
    }

    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    @f
    private static final Path P(Path path, FileAttribute<?>... fileAttributeArr) throws IOException {
        l0.p(path, "<this>");
        l0.p(fileAttributeArr, "attributes");
        Path createDirectory = Files.createDirectory(path, (FileAttribute[]) Arrays.copyOf(fileAttributeArr, fileAttributeArr.length));
        l0.o(createDirectory, "createDirectory(this, *attributes)");
        return createDirectory;
    }

    static /* synthetic */ Path P0(Path path, Path path2, boolean z7, int i7, Object obj) throws IOException {
        if ((i7 & 2) != 0) {
            z7 = false;
        }
        l0.p(path, "<this>");
        l0.p(path2, "target");
        CopyOption[] copyOptionArr = z7 ? new CopyOption[]{StandardCopyOption.REPLACE_EXISTING} : new CopyOption[0];
        Path move = Files.move(path, path2, (CopyOption[]) Arrays.copyOf(copyOptionArr, copyOptionArr.length));
        l0.o(move, "move(this, target, *options)");
        return move;
    }

    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    @f
    private static final Path Q(Path path, FileAttribute<?>... fileAttributeArr) throws IOException {
        l0.p(path, "<this>");
        l0.p(fileAttributeArr, "attributes");
        Path createFile = Files.createFile(path, (FileAttribute[]) Arrays.copyOf(fileAttributeArr, fileAttributeArr.length));
        l0.o(createFile, "createFile(this, *attributes)");
        return createFile;
    }

    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    @f
    private static final boolean Q0(Path path, LinkOption... linkOptionArr) {
        l0.p(path, "<this>");
        l0.p(linkOptionArr, "options");
        return Files.notExists(path, (LinkOption[]) Arrays.copyOf(linkOptionArr, linkOptionArr.length));
    }

    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    @f
    private static final Path R(Path path, Path path2) throws IOException {
        l0.p(path, "<this>");
        l0.p(path2, "target");
        Path createLink = Files.createLink(path, path2);
        l0.o(createLink, "createLink(this, target)");
        return createLink;
    }

    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    @f
    private static final /* synthetic */ <A extends BasicFileAttributes> A R0(Path path, LinkOption... linkOptionArr) throws IOException {
        l0.p(path, "<this>");
        l0.p(linkOptionArr, "options");
        l0.y(4, "A");
        A a8 = (A) Files.readAttributes(path, BasicFileAttributes.class, (LinkOption[]) Arrays.copyOf(linkOptionArr, linkOptionArr.length));
        l0.o(a8, "readAttributes(this, A::class.java, *options)");
        return a8;
    }

    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    @f
    private static final Path S(Path path, Path path2, FileAttribute<?>... fileAttributeArr) throws IOException {
        l0.p(path, "<this>");
        l0.p(path2, "target");
        l0.p(fileAttributeArr, "attributes");
        Path createSymbolicLink = Files.createSymbolicLink(path, path2, (FileAttribute[]) Arrays.copyOf(fileAttributeArr, fileAttributeArr.length));
        l0.o(createSymbolicLink, "createSymbolicLink(this, target, *attributes)");
        return createSymbolicLink;
    }

    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    @f
    private static final Map<String, Object> S0(Path path, String str, LinkOption... linkOptionArr) throws IOException {
        l0.p(path, "<this>");
        l0.p(str, "attributes");
        l0.p(linkOptionArr, "options");
        Map<String, Object> readAttributes = Files.readAttributes(path, str, (LinkOption[]) Arrays.copyOf(linkOptionArr, linkOptionArr.length));
        l0.o(readAttributes, "readAttributes(this, attributes, *options)");
        return readAttributes;
    }

    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    @f
    private static final Path T(String str, FileAttribute<?>... fileAttributeArr) throws IOException {
        l0.p(fileAttributeArr, "attributes");
        Path createTempDirectory = Files.createTempDirectory(str, (FileAttribute[]) Arrays.copyOf(fileAttributeArr, fileAttributeArr.length));
        l0.o(createTempDirectory, "createTempDirectory(prefix, *attributes)");
        return createTempDirectory;
    }

    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    @f
    private static final Path T0(Path path) throws IOException {
        l0.p(path, "<this>");
        Path readSymbolicLink = Files.readSymbolicLink(path);
        l0.o(readSymbolicLink, "readSymbolicLink(this)");
        return readSymbolicLink;
    }

    @g1(version = "1.5")
    @d
    @q2(markerClass = {a.class})
    public static final Path U(@a7.e Path path, @a7.e String str, @d FileAttribute<?>... fileAttributeArr) throws IOException {
        String str2;
        Path path2;
        l0.p(fileAttributeArr, "attributes");
        if (path != null) {
            path2 = Files.createTempDirectory(path, str, (FileAttribute[]) Arrays.copyOf(fileAttributeArr, fileAttributeArr.length));
            str2 = "createTempDirectory(dire…ory, prefix, *attributes)";
        } else {
            path2 = Files.createTempDirectory(str, (FileAttribute[]) Arrays.copyOf(fileAttributeArr, fileAttributeArr.length));
            str2 = "createTempDirectory(prefix, *attributes)";
        }
        l0.o(path2, str2);
        return path2;
    }

    @d
    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    public static final Path U0(@d Path path, @d Path path2) {
        l0.p(path, "<this>");
        l0.p(path2, "base");
        try {
            return b.f19738a.a(path, path2);
        } catch (IllegalArgumentException e7) {
            throw new IllegalArgumentException(e7.getMessage() + "\nthis path: " + path + "\nbase path: " + path2, e7);
        }
    }

    static /* synthetic */ Path V(String str, FileAttribute[] fileAttributeArr, int i7, Object obj) throws IOException {
        if ((i7 & 1) != 0) {
            str = null;
        }
        l0.p(fileAttributeArr, "attributes");
        Path createTempDirectory = Files.createTempDirectory(str, (FileAttribute[]) Arrays.copyOf(fileAttributeArr, fileAttributeArr.length));
        l0.o(createTempDirectory, "createTempDirectory(prefix, *attributes)");
        return createTempDirectory;
    }

    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    @a7.e
    public static final Path V0(@d Path path, @d Path path2) {
        l0.p(path, "<this>");
        l0.p(path2, "base");
        try {
            return b.f19738a.a(path, path2);
        } catch (IllegalArgumentException unused) {
            return null;
        }
    }

    public static /* synthetic */ Path W(Path path, String str, FileAttribute[] fileAttributeArr, int i7, Object obj) throws IOException {
        if ((i7 & 2) != 0) {
            str = null;
        }
        return U(path, str, fileAttributeArr);
    }

    @d
    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    public static final Path W0(@d Path path, @d Path path2) {
        l0.p(path, "<this>");
        l0.p(path2, "base");
        Path V0 = V0(path, path2);
        return V0 == null ? path : V0;
    }

    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    @f
    private static final Path X(String str, String str2, FileAttribute<?>... fileAttributeArr) throws IOException {
        l0.p(fileAttributeArr, "attributes");
        Path createTempFile = Files.createTempFile(str, str2, (FileAttribute[]) Arrays.copyOf(fileAttributeArr, fileAttributeArr.length));
        l0.o(createTempFile, "createTempFile(prefix, suffix, *attributes)");
        return createTempFile;
    }

    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    @f
    private static final Path X0(Path path, String str, Object obj, LinkOption... linkOptionArr) throws IOException {
        l0.p(path, "<this>");
        l0.p(str, "attribute");
        l0.p(linkOptionArr, "options");
        Path attribute = Files.setAttribute(path, str, obj, (LinkOption[]) Arrays.copyOf(linkOptionArr, linkOptionArr.length));
        l0.o(attribute, "setAttribute(this, attribute, value, *options)");
        return attribute;
    }

    @g1(version = "1.5")
    @d
    @q2(markerClass = {a.class})
    public static final Path Y(@a7.e Path path, @a7.e String str, @a7.e String str2, @d FileAttribute<?>... fileAttributeArr) throws IOException {
        String str3;
        Path path2;
        l0.p(fileAttributeArr, "attributes");
        if (path != null) {
            path2 = Files.createTempFile(path, str, str2, (FileAttribute[]) Arrays.copyOf(fileAttributeArr, fileAttributeArr.length));
            str3 = "createTempFile(directory…fix, suffix, *attributes)";
        } else {
            path2 = Files.createTempFile(str, str2, (FileAttribute[]) Arrays.copyOf(fileAttributeArr, fileAttributeArr.length));
            str3 = "createTempFile(prefix, suffix, *attributes)";
        }
        l0.o(path2, str3);
        return path2;
    }

    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    @f
    private static final Path Y0(Path path, FileTime fileTime) throws IOException {
        l0.p(path, "<this>");
        l0.p(fileTime, "value");
        Path lastModifiedTime = Files.setLastModifiedTime(path, fileTime);
        l0.o(lastModifiedTime, "setLastModifiedTime(this, value)");
        return lastModifiedTime;
    }

    static /* synthetic */ Path Z(String str, String str2, FileAttribute[] fileAttributeArr, int i7, Object obj) throws IOException {
        if ((i7 & 1) != 0) {
            str = null;
        }
        if ((i7 & 2) != 0) {
            str2 = null;
        }
        l0.p(fileAttributeArr, "attributes");
        Path createTempFile = Files.createTempFile(str, str2, (FileAttribute[]) Arrays.copyOf(fileAttributeArr, fileAttributeArr.length));
        l0.o(createTempFile, "createTempFile(prefix, suffix, *attributes)");
        return createTempFile;
    }

    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    @f
    private static final Path Z0(Path path, UserPrincipal userPrincipal) throws IOException {
        l0.p(path, "<this>");
        l0.p(userPrincipal, "value");
        Path owner = Files.setOwner(path, userPrincipal);
        l0.o(owner, "setOwner(this, value)");
        return owner;
    }

    public static /* synthetic */ Path a0(Path path, String str, String str2, FileAttribute[] fileAttributeArr, int i7, Object obj) throws IOException {
        if ((i7 & 2) != 0) {
            str = null;
        }
        if ((i7 & 4) != 0) {
            str2 = null;
        }
        return Y(path, str, str2, fileAttributeArr);
    }

    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    @f
    private static final Path a1(Path path, Set<? extends PosixFilePermission> set) throws IOException {
        l0.p(path, "<this>");
        l0.p(set, "value");
        Path posixFilePermissions = Files.setPosixFilePermissions(path, set);
        l0.o(posixFilePermissions, "setPosixFilePermissions(this, value)");
        return posixFilePermissions;
    }

    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    @f
    private static final void b0(Path path) throws IOException {
        l0.p(path, "<this>");
        Files.delete(path);
    }

    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    @f
    private static final Path b1(URI uri) {
        l0.p(uri, "<this>");
        Path path = Paths.get(uri);
        l0.o(path, "get(this)");
        return path;
    }

    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    @f
    private static final boolean c0(Path path) throws IOException {
        l0.p(path, "<this>");
        return Files.deleteIfExists(path);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:10:0x0038, code lost:
        throw r0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:8:0x002e, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:9:0x002f, code lost:
        kotlin.jvm.internal.i0.d(1);
        kotlin.io.c.a(r1, r3);
        kotlin.jvm.internal.i0.c(1);
     */
    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    @f
    private static final <T> T c1(Path path, String str, l<? super m<? extends Path>, ? extends T> lVar) throws IOException {
        l0.p(path, "<this>");
        l0.p(str, "glob");
        l0.p(lVar, "block");
        DirectoryStream<Path> newDirectoryStream = Files.newDirectoryStream(path, str);
        l0.o(newDirectoryStream, "it");
        T t7 = (T) lVar.invoke(g0.v1(newDirectoryStream));
        i0.d(1);
        c.a(newDirectoryStream, null);
        i0.c(1);
        return t7;
    }

    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    @f
    private static final Path d0(Path path, String str) {
        l0.p(path, "<this>");
        l0.p(str, "other");
        Path resolve = path.resolve(str);
        l0.o(resolve, "this.resolve(other)");
        return resolve;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:11:0x0033, code lost:
        r2 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:12:0x0034, code lost:
        kotlin.jvm.internal.i0.d(1);
        kotlin.io.c.a(r0, r1);
        kotlin.jvm.internal.i0.c(1);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:13:0x003d, code lost:
        throw r2;
     */
    static /* synthetic */ Object d1(Path path, String str, l lVar, int i7, Object obj) throws IOException {
        if ((i7 & 1) != 0) {
            str = "*";
        }
        l0.p(path, "<this>");
        l0.p(str, "glob");
        l0.p(lVar, "block");
        DirectoryStream<Path> newDirectoryStream = Files.newDirectoryStream(path, str);
        l0.o(newDirectoryStream, "it");
        Object invoke = lVar.invoke(g0.v1(newDirectoryStream));
        i0.d(1);
        c.a(newDirectoryStream, null);
        i0.c(1);
        return invoke;
    }

    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    @f
    private static final Path e0(Path path, Path path2) {
        l0.p(path, "<this>");
        l0.p(path2, "other");
        Path resolve = path.resolve(path2);
        l0.o(resolve, "this.resolve(other)");
        return resolve;
    }

    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    @f
    private static final boolean f0(Path path, LinkOption... linkOptionArr) {
        l0.p(path, "<this>");
        l0.p(linkOptionArr, "options");
        return Files.exists(path, (LinkOption[]) Arrays.copyOf(linkOptionArr, linkOptionArr.length));
    }

    @d
    @a1
    public static final Void g0(@d Path path, @d Class<?> cls) {
        l0.p(path, "path");
        l0.p(cls, "attributeViewClass");
        throw new UnsupportedOperationException("The desired attribute view type " + cls + " is not available for the file " + path + '.');
    }

    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    @f
    private static final /* synthetic */ <V extends FileAttributeView> V h0(Path path, LinkOption... linkOptionArr) {
        l0.p(path, "<this>");
        l0.p(linkOptionArr, "options");
        l0.y(4, "V");
        V v7 = (V) Files.getFileAttributeView(path, FileAttributeView.class, (LinkOption[]) Arrays.copyOf(linkOptionArr, linkOptionArr.length));
        if (v7 != null) {
            return v7;
        }
        l0.y(4, "V");
        g0(path, FileAttributeView.class);
        throw new y();
    }

    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    @f
    private static final /* synthetic */ <V extends FileAttributeView> V i0(Path path, LinkOption... linkOptionArr) {
        l0.p(path, "<this>");
        l0.p(linkOptionArr, "options");
        l0.y(4, "V");
        return (V) Files.getFileAttributeView(path, FileAttributeView.class, (LinkOption[]) Arrays.copyOf(linkOptionArr, linkOptionArr.length));
    }

    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    @f
    private static final long j0(Path path) throws IOException {
        l0.p(path, "<this>");
        return Files.size(path);
    }

    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    @f
    private static final FileStore k0(Path path) throws IOException {
        l0.p(path, "<this>");
        FileStore fileStore = Files.getFileStore(path);
        l0.o(fileStore, "getFileStore(this)");
        return fileStore;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:12:0x003a, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:13:0x003b, code lost:
        kotlin.jvm.internal.i0.d(1);
        kotlin.io.c.a(r2, r4);
        kotlin.jvm.internal.i0.c(1);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:14:0x0044, code lost:
        throw r0;
     */
    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    @f
    private static final void l0(Path path, String str, l<? super Path, l2> lVar) throws IOException {
        l0.p(path, "<this>");
        l0.p(str, "glob");
        l0.p(lVar, "action");
        DirectoryStream<Path> newDirectoryStream = Files.newDirectoryStream(path, str);
        l0.o(newDirectoryStream, "it");
        for (Path path2 : newDirectoryStream) {
            lVar.invoke(path2);
        }
        l2 l2Var = l2.f19890a;
        i0.d(1);
        c.a(newDirectoryStream, null);
        i0.c(1);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:15:0x003f, code lost:
        r2 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:16:0x0040, code lost:
        kotlin.jvm.internal.i0.d(1);
        kotlin.io.c.a(r0, r1);
        kotlin.jvm.internal.i0.c(1);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:17:0x0049, code lost:
        throw r2;
     */
    static /* synthetic */ void m0(Path path, String str, l lVar, int i7, Object obj) throws IOException {
        if ((i7 & 1) != 0) {
            str = "*";
        }
        l0.p(path, "<this>");
        l0.p(str, "glob");
        l0.p(lVar, "action");
        DirectoryStream<Path> newDirectoryStream = Files.newDirectoryStream(path, str);
        l0.o(newDirectoryStream, "it");
        for (Path path2 : newDirectoryStream) {
            lVar.invoke(path2);
        }
        l2 l2Var = l2.f19890a;
        i0.d(1);
        c.a(newDirectoryStream, null);
        i0.c(1);
    }

    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    @f
    private static final Object n0(Path path, String str, LinkOption... linkOptionArr) throws IOException {
        l0.p(path, "<this>");
        l0.p(str, "attribute");
        l0.p(linkOptionArr, "options");
        return Files.getAttribute(path, str, (LinkOption[]) Arrays.copyOf(linkOptionArr, linkOptionArr.length));
    }

    @d
    public static final String o0(@d Path path) {
        String obj;
        String str;
        l0.p(path, "<this>");
        Path fileName = path.getFileName();
        return (fileName == null || (obj = fileName.toString()) == null || (str = c0.q5(obj, '.', "")) == null) ? "" : str;
    }

    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    public static /* synthetic */ void p0(Path path) {
    }

    private static final String q0(Path path) {
        l0.p(path, "<this>");
        return s0(path);
    }

    @g1(version = "1.4")
    @k(level = kotlin.m.ERROR, message = "Use invariantSeparatorsPathString property instead.", replaceWith = @b1(expression = "invariantSeparatorsPathString", imports = {}))
    @a
    @f
    public static /* synthetic */ void r0(Path path) {
    }

    @d
    public static final String s0(@d Path path) {
        l0.p(path, "<this>");
        String separator = path.getFileSystem().getSeparator();
        if (l0.g(separator, "/")) {
            return path.toString();
        }
        String obj = path.toString();
        l0.o(separator, "separator");
        return b0.k2(obj, separator, "/", false, 4, null);
    }

    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    public static /* synthetic */ void t0(Path path) {
    }

    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    @f
    private static final FileTime u0(Path path, LinkOption... linkOptionArr) throws IOException {
        l0.p(path, "<this>");
        l0.p(linkOptionArr, "options");
        FileTime lastModifiedTime = Files.getLastModifiedTime(path, (LinkOption[]) Arrays.copyOf(linkOptionArr, linkOptionArr.length));
        l0.o(lastModifiedTime, "getLastModifiedTime(this, *options)");
        return lastModifiedTime;
    }

    @d
    public static final String v0(@d Path path) {
        l0.p(path, "<this>");
        Path fileName = path.getFileName();
        String obj = fileName != null ? fileName.toString() : null;
        return obj == null ? "" : obj;
    }

    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    public static /* synthetic */ void w0(Path path) {
    }

    @d
    public static final String x0(@d Path path) {
        String obj;
        String str;
        l0.p(path, "<this>");
        Path fileName = path.getFileName();
        return (fileName == null || (obj = fileName.toString()) == null || (str = c0.B5(obj, ".", null, 2, null)) == null) ? "" : str;
    }

    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    public static /* synthetic */ void y0(Path path) {
    }

    @g1(version = "1.5")
    @q2(markerClass = {a.class})
    @f
    private static final UserPrincipal z0(Path path, LinkOption... linkOptionArr) throws IOException {
        l0.p(path, "<this>");
        l0.p(linkOptionArr, "options");
        return Files.getOwner(path, (LinkOption[]) Arrays.copyOf(linkOptionArr, linkOptionArr.length));
    }
}
