package org.bouncycastle2.jce;

import java.io.IOException;
import java.security.AlgorithmParameters;
import java.security.GeneralSecurityException;
import java.security.InvalidKeyException;
import java.security.KeyFactory;
import java.security.NoSuchAlgorithmException;
import java.security.NoSuchProviderException;
import java.security.PrivateKey;
import java.security.PublicKey;
import java.security.Signature;
import java.security.SignatureException;
import java.security.spec.InvalidKeySpecException;
import java.security.spec.PSSParameterSpec;
import java.security.spec.X509EncodedKeySpec;
import java.util.HashSet;
import java.util.Hashtable;
import java.util.Set;
import javax.security.auth.x500.X500Principal;
import org.bouncycastle2.asn1.a1;
import org.bouncycastle2.asn1.cryptopro.a;
import org.bouncycastle2.asn1.e;
import org.bouncycastle2.asn1.g;
import org.bouncycastle2.asn1.j0;
import org.bouncycastle2.asn1.n0;
import org.bouncycastle2.asn1.nist.b;
import org.bouncycastle2.asn1.o;
import org.bouncycastle2.asn1.pkcs.d;
import org.bouncycastle2.asn1.pkcs.m;
import org.bouncycastle2.asn1.pkcs.s;
import org.bouncycastle2.asn1.w0;
import org.bouncycastle2.asn1.x0;
import org.bouncycastle2.asn1.x509.b1;
import org.bouncycastle2.asn1.x509.p0;
import org.bouncycastle2.asn1.x9.j;
import v5.h;

public class c extends d {
    private static Hashtable C1 = new Hashtable();
    private static Hashtable C2 = new Hashtable();
    private static Hashtable U5 = new Hashtable();
    private static Hashtable V5 = new Hashtable();
    private static Set W5 = new HashSet();

    static {
        C1.put("MD2WITHRSAENCRYPTION", new a1("1.2.840.113549.1.1.2"));
        C1.put("MD2WITHRSA", new a1("1.2.840.113549.1.1.2"));
        C1.put("MD5WITHRSAENCRYPTION", new a1("1.2.840.113549.1.1.4"));
        C1.put("MD5WITHRSA", new a1("1.2.840.113549.1.1.4"));
        C1.put("RSAWITHMD5", new a1("1.2.840.113549.1.1.4"));
        C1.put("SHA1WITHRSAENCRYPTION", new a1("1.2.840.113549.1.1.5"));
        C1.put("SHA1WITHRSA", new a1("1.2.840.113549.1.1.5"));
        Hashtable hashtable = C1;
        a1 a1Var = m.f22571z0;
        hashtable.put("SHA224WITHRSAENCRYPTION", a1Var);
        C1.put("SHA224WITHRSA", a1Var);
        Hashtable hashtable2 = C1;
        a1 a1Var2 = m.f22562w0;
        hashtable2.put("SHA256WITHRSAENCRYPTION", a1Var2);
        C1.put("SHA256WITHRSA", a1Var2);
        Hashtable hashtable3 = C1;
        a1 a1Var3 = m.f22565x0;
        hashtable3.put("SHA384WITHRSAENCRYPTION", a1Var3);
        C1.put("SHA384WITHRSA", a1Var3);
        Hashtable hashtable4 = C1;
        a1 a1Var4 = m.f22568y0;
        hashtable4.put("SHA512WITHRSAENCRYPTION", a1Var4);
        C1.put("SHA512WITHRSA", a1Var4);
        Hashtable hashtable5 = C1;
        a1 a1Var5 = m.f22559v0;
        hashtable5.put("SHA1WITHRSAANDMGF1", a1Var5);
        C1.put("SHA224WITHRSAANDMGF1", a1Var5);
        C1.put("SHA256WITHRSAANDMGF1", a1Var5);
        C1.put("SHA384WITHRSAANDMGF1", a1Var5);
        C1.put("SHA512WITHRSAANDMGF1", a1Var5);
        C1.put("RSAWITHSHA1", new a1("1.2.840.113549.1.1.5"));
        C1.put("RIPEMD160WITHRSAENCRYPTION", new a1("1.3.36.3.3.1.2"));
        C1.put("RIPEMD160WITHRSA", new a1("1.3.36.3.3.1.2"));
        C1.put("SHA1WITHDSA", new a1("1.2.840.10040.4.3"));
        C1.put("DSAWITHSHA1", new a1("1.2.840.10040.4.3"));
        Hashtable hashtable6 = C1;
        a1 a1Var6 = b.C;
        hashtable6.put("SHA224WITHDSA", a1Var6);
        Hashtable hashtable7 = C1;
        a1 a1Var7 = b.D;
        hashtable7.put("SHA256WITHDSA", a1Var7);
        Hashtable hashtable8 = C1;
        a1 a1Var8 = j.f23002m3;
        hashtable8.put("SHA1WITHECDSA", a1Var8);
        Hashtable hashtable9 = C1;
        a1 a1Var9 = j.f23008q3;
        hashtable9.put("SHA224WITHECDSA", a1Var9);
        Hashtable hashtable10 = C1;
        a1 a1Var10 = j.f23009r3;
        hashtable10.put("SHA256WITHECDSA", a1Var10);
        Hashtable hashtable11 = C1;
        a1 a1Var11 = j.f23010s3;
        hashtable11.put("SHA384WITHECDSA", a1Var11);
        Hashtable hashtable12 = C1;
        a1 a1Var12 = j.f23011t3;
        hashtable12.put("SHA512WITHECDSA", a1Var12);
        C1.put("ECDSAWITHSHA1", a1Var8);
        Hashtable hashtable13 = C1;
        a1 a1Var13 = a.f22330f;
        hashtable13.put("GOST3411WITHGOST3410", a1Var13);
        C1.put("GOST3410WITHGOST3411", a1Var13);
        Hashtable hashtable14 = C1;
        a1 a1Var14 = a.f22331g;
        hashtable14.put("GOST3411WITHECGOST3410", a1Var14);
        C1.put("GOST3411WITHECGOST3410-2001", a1Var14);
        C1.put("GOST3411WITHGOST3410-2001", a1Var14);
        V5.put(new a1("1.2.840.113549.1.1.5"), "SHA1WITHRSA");
        V5.put(a1Var, "SHA224WITHRSA");
        V5.put(a1Var2, "SHA256WITHRSA");
        V5.put(a1Var3, "SHA384WITHRSA");
        V5.put(a1Var4, "SHA512WITHRSA");
        V5.put(a1Var13, "GOST3411WITHGOST3410");
        V5.put(a1Var14, "GOST3411WITHECGOST3410");
        V5.put(new a1("1.2.840.113549.1.1.4"), "MD5WITHRSA");
        V5.put(new a1("1.2.840.113549.1.1.2"), "MD2WITHRSA");
        V5.put(new a1("1.2.840.10040.4.3"), "SHA1WITHDSA");
        V5.put(a1Var8, "SHA1WITHECDSA");
        V5.put(a1Var9, "SHA224WITHECDSA");
        V5.put(a1Var10, "SHA256WITHECDSA");
        V5.put(a1Var11, "SHA384WITHECDSA");
        V5.put(a1Var12, "SHA512WITHECDSA");
        V5.put(org.bouncycastle2.asn1.oiw.b.f22472k, "SHA1WITHRSA");
        V5.put(org.bouncycastle2.asn1.oiw.b.f22471j, "SHA1WITHDSA");
        V5.put(a1Var6, "SHA224WITHDSA");
        V5.put(a1Var7, "SHA256WITHDSA");
        U5.put(m.f22532m0, "RSA");
        U5.put(j.Z3, "DSA");
        W5.add(a1Var8);
        W5.add(a1Var9);
        W5.add(a1Var10);
        W5.add(a1Var11);
        W5.add(a1Var12);
        W5.add(j.f22982a4);
        W5.add(a1Var6);
        W5.add(a1Var7);
        W5.add(a1Var13);
        W5.add(a1Var14);
        C2.put("SHA1WITHRSAANDMGF1", o(new org.bouncycastle2.asn1.x509.b(org.bouncycastle2.asn1.oiw.b.f22470i, new x0()), 20));
        C2.put("SHA224WITHRSAANDMGF1", o(new org.bouncycastle2.asn1.x509.b(b.f22431e, new x0()), 28));
        C2.put("SHA256WITHRSAANDMGF1", o(new org.bouncycastle2.asn1.x509.b(b.f22428b, new x0()), 32));
        C2.put("SHA384WITHRSAANDMGF1", o(new org.bouncycastle2.asn1.x509.b(b.f22429c, new x0()), 48));
        C2.put("SHA512WITHRSAANDMGF1", o(new org.bouncycastle2.asn1.x509.b(b.f22430d, new x0()), 64));
    }

    public c(String str, X500Principal x500Principal, PublicKey publicKey, o oVar, PrivateKey privateKey) throws NoSuchAlgorithmException, NoSuchProviderException, InvalidKeyException, SignatureException {
        this(str, n(x500Principal), publicKey, oVar, privateKey, "BC2");
    }

    private static b1 n(X500Principal x500Principal) {
        try {
            return new g(x500Principal.getEncoded());
        } catch (IOException unused) {
            throw new IllegalArgumentException("can't convert name");
        }
    }

    private static s o(org.bouncycastle2.asn1.x509.b bVar, int i7) {
        return new s(bVar, new org.bouncycastle2.asn1.x509.b(m.f22553t0, bVar), new w0(i7), new w0(1));
    }

    private static String p(a1 a1Var) {
        return m.R0.equals(a1Var) ? "MD5" : org.bouncycastle2.asn1.oiw.b.f22470i.equals(a1Var) ? "SHA1" : b.f22431e.equals(a1Var) ? "SHA224" : b.f22428b.equals(a1Var) ? "SHA256" : b.f22429c.equals(a1Var) ? "SHA384" : b.f22430d.equals(a1Var) ? "SHA512" : org.bouncycastle2.asn1.teletrust.b.f22691c.equals(a1Var) ? "RIPEMD128" : org.bouncycastle2.asn1.teletrust.b.f22690b.equals(a1Var) ? "RIPEMD160" : org.bouncycastle2.asn1.teletrust.b.f22692d.equals(a1Var) ? "RIPEMD256" : a.f22326b.equals(a1Var) ? "GOST3411" : a1Var.m();
    }

    static String s(org.bouncycastle2.asn1.x509.b bVar) {
        n0 m7 = bVar.m();
        if (m7 == null || x0.f22731x.equals(m7) || !bVar.l().equals(m.f22559v0)) {
            return bVar.l().m();
        }
        return String.valueOf(p(s.k(m7).j().l())) + "withRSAandMGF1";
    }

    private void t(Signature signature, n0 n0Var) throws NoSuchAlgorithmException, SignatureException, InvalidKeyException {
        if (n0Var != null && !x0.f22731x.equals(n0Var)) {
            AlgorithmParameters instance = AlgorithmParameters.getInstance(signature.getAlgorithm(), signature.getProvider());
            try {
                instance.init(n0Var.d().f());
                if (signature.getAlgorithm().endsWith("MGF1")) {
                    try {
                        signature.setParameter(instance.getParameterSpec(PSSParameterSpec.class));
                    } catch (GeneralSecurityException e7) {
                        throw new SignatureException("Exception extracting parameters: " + e7.getMessage());
                    }
                }
            } catch (IOException e8) {
                throw new SignatureException("IOException decoding parameters: " + e8.getMessage());
            }
        }
    }

    private static org.bouncycastle2.asn1.m u(byte[] bArr) {
        try {
            return (org.bouncycastle2.asn1.m) new e(bArr).h();
        } catch (Exception unused) {
            throw new IllegalArgumentException("badly encoded request");
        }
    }

    @Override // org.bouncycastle2.asn1.c
    public byte[] g() {
        try {
            return h(org.bouncycastle2.asn1.c.f22322f);
        } catch (IOException e7) {
            throw new RuntimeException(e7.toString());
        }
    }

    public PublicKey q() throws NoSuchAlgorithmException, NoSuchProviderException, InvalidKeyException {
        return r("BC2");
    }

    public PublicKey r(String str) throws NoSuchAlgorithmException, NoSuchProviderException, InvalidKeyException {
        p0 m7 = this.f22483p.m();
        X509EncodedKeySpec x509EncodedKeySpec = new X509EncodedKeySpec(new j0(m7).m());
        org.bouncycastle2.asn1.x509.b j7 = m7.j();
        if (str != null) {
            return KeyFactory.getInstance(j7.l().m(), str).generatePublic(x509EncodedKeySpec);
        }
        try {
            return KeyFactory.getInstance(j7.l().m()).generatePublic(x509EncodedKeySpec);
        } catch (NoSuchAlgorithmException e7) {
            if (U5.get(j7.l()) != null) {
                String str2 = (String) U5.get(j7.l());
                return str == null ? KeyFactory.getInstance(str2).generatePublic(x509EncodedKeySpec) : KeyFactory.getInstance(str2, str).generatePublic(x509EncodedKeySpec);
            }
            throw e7;
        } catch (InvalidKeySpecException unused) {
            throw new InvalidKeyException("error decoding public key");
        }
    }

    public boolean v() throws NoSuchAlgorithmException, NoSuchProviderException, InvalidKeyException, SignatureException {
        return w("BC2");
    }

    public boolean w(String str) throws NoSuchAlgorithmException, NoSuchProviderException, InvalidKeyException, SignatureException {
        return x(r(str), str);
    }

    public boolean x(PublicKey publicKey, String str) throws NoSuchAlgorithmException, NoSuchProviderException, InvalidKeyException, SignatureException {
        Signature signature;
        if (str == null) {
            try {
                signature = Signature.getInstance(s(this.f22484x));
            } catch (NoSuchAlgorithmException e7) {
                if (V5.get(this.f22484x.l()) != null) {
                    String str2 = (String) V5.get(this.f22484x.l());
                    signature = str == null ? Signature.getInstance(str2) : Signature.getInstance(str2, str);
                } else {
                    throw e7;
                }
            }
        } else {
            signature = Signature.getInstance(s(this.f22484x), str);
        }
        t(signature, this.f22484x.m());
        signature.initVerify(publicKey);
        try {
            signature.update(this.f22483p.h(org.bouncycastle2.asn1.c.f22322f));
            return signature.verify(this.f22485y.m());
        } catch (Exception e8) {
            throw new SignatureException("exception encoding TBS cert request - " + e8);
        }
    }

    public c(String str, X500Principal x500Principal, PublicKey publicKey, o oVar, PrivateKey privateKey, String str2) throws NoSuchAlgorithmException, NoSuchProviderException, InvalidKeyException, SignatureException {
        this(str, n(x500Principal), publicKey, oVar, privateKey, str2);
    }

    public c(String str, b1 b1Var, PublicKey publicKey, o oVar, PrivateKey privateKey) throws NoSuchAlgorithmException, NoSuchProviderException, InvalidKeyException, SignatureException {
        this(str, b1Var, publicKey, oVar, privateKey, "BC2");
    }

    /* JADX WARNING: Removed duplicated region for block: B:15:0x005c  */
    /* JADX WARNING: Removed duplicated region for block: B:16:0x0061  */
    public c(String str, b1 b1Var, PublicKey publicKey, o oVar, PrivateKey privateKey, String str2) throws NoSuchAlgorithmException, NoSuchProviderException, InvalidKeyException, SignatureException {
        org.bouncycastle2.asn1.x509.b bVar;
        String g7 = h.g(str);
        a1 a1Var = (a1) C1.get(g7);
        if (a1Var == null) {
            throw new IllegalArgumentException("Unknown signature type requested");
        } else if (b1Var == null) {
            throw new IllegalArgumentException("subject must not be null");
        } else if (publicKey != null) {
            if (W5.contains(a1Var)) {
                bVar = new org.bouncycastle2.asn1.x509.b(a1Var);
            } else if (C2.containsKey(g7)) {
                this.f22484x = new org.bouncycastle2.asn1.x509.b(a1Var, (n0) C2.get(g7));
                this.f22483p = new org.bouncycastle2.asn1.pkcs.e(b1Var, new p0((org.bouncycastle2.asn1.m) g.l(publicKey.getEncoded())), oVar);
                Signature instance = str2 != null ? Signature.getInstance(str) : Signature.getInstance(str, str2);
                instance.initSign(privateKey);
                instance.update(this.f22483p.h(org.bouncycastle2.asn1.c.f22322f));
                this.f22485y = new j0(instance.sign());
            } else {
                bVar = new org.bouncycastle2.asn1.x509.b(a1Var, null);
            }
            this.f22484x = bVar;
            try {
                this.f22483p = new org.bouncycastle2.asn1.pkcs.e(b1Var, new p0((org.bouncycastle2.asn1.m) g.l(publicKey.getEncoded())), oVar);
                if (str2 != null) {
                }
                instance.initSign(privateKey);
                try {
                    instance.update(this.f22483p.h(org.bouncycastle2.asn1.c.f22322f));
                    this.f22485y = new j0(instance.sign());
                } catch (Exception e7) {
                    throw new IllegalArgumentException("exception encoding TBS cert request - " + e7);
                }
            } catch (IOException unused) {
                throw new IllegalArgumentException("can't encode public key");
            }
        } else {
            throw new IllegalArgumentException("public key must not be null");
        }
    }

    public c(org.bouncycastle2.asn1.m mVar) {
        super(mVar);
    }

    public c(byte[] bArr) {
        super(u(bArr));
    }
}
