package org.bouncycastle2.openssl;

import java.io.IOException;
import java.security.spec.AlgorithmParameterSpec;
import javax.crypto.Cipher;
import javax.crypto.SecretKey;
import javax.crypto.spec.IvParameterSpec;
import javax.crypto.spec.RC2ParameterSpec;
import javax.crypto.spec.SecretKeySpec;
import org.bouncycastle2.crypto.generators.q;
import org.bouncycastle2.crypto.params.k0;
import org.bouncycastle2.crypto.u;

final class b {
    b() {
    }

    static byte[] a(boolean z7, String str, byte[] bArr, char[] cArr, String str2, byte[] bArr2) throws IOException {
        String str3;
        String str4;
        SecretKey secretKey;
        String str5;
        AlgorithmParameterSpec ivParameterSpec = new IvParameterSpec(bArr2);
        String str6 = "NoPadding";
        if (str2.endsWith("-CFB")) {
            str4 = "CFB";
            str3 = str6;
        } else {
            str4 = "CBC";
            str3 = "PKCS5Padding";
        }
        if (str2.endsWith("-ECB") || "DES-EDE".equals(str2) || "DES-EDE3".equals(str2)) {
            str4 = "ECB";
            ivParameterSpec = null;
        }
        if (str2.endsWith("-OFB")) {
            str4 = "OFB";
        } else {
            str6 = str3;
        }
        int i7 = 1;
        if (str2.startsWith("DES-EDE")) {
            str5 = "DESede";
            secretKey = c(cArr, str5, 24, bArr2, !str2.startsWith("DES-EDE3"));
        } else if (str2.startsWith("DES-")) {
            secretKey = b(cArr, "DES", 8, bArr2);
            str5 = "DES";
        } else if (str2.startsWith("BF-")) {
            str5 = "Blowfish";
            secretKey = b(cArr, str5, 16, bArr2);
        } else {
            int i8 = 128;
            if (str2.startsWith("RC2-")) {
                if (str2.startsWith("RC2-40-")) {
                    i8 = 40;
                } else if (str2.startsWith("RC2-64-")) {
                    i8 = 64;
                }
                str5 = "RC2";
                secretKey = b(cArr, str5, i8 / 8, bArr2);
                ivParameterSpec = ivParameterSpec == null ? new RC2ParameterSpec(i8) : new RC2ParameterSpec(i8, bArr2);
            } else if (str2.startsWith("AES-")) {
                if (bArr2.length > 8) {
                    byte[] bArr3 = new byte[8];
                    System.arraycopy(bArr2, 0, bArr3, 0, 8);
                    bArr2 = bArr3;
                }
                if (!str2.startsWith("AES-128-")) {
                    if (str2.startsWith("AES-192-")) {
                        i8 = 192;
                    } else if (str2.startsWith("AES-256-")) {
                        i8 = 256;
                    } else {
                        throw new a("unknown AES encryption with private key");
                    }
                }
                str5 = "AES";
                secretKey = b(cArr, str5, i8 / 8, bArr2);
            } else {
                throw new a("unknown encryption with private key");
            }
        }
        try {
            Cipher instance = Cipher.getInstance(str5 + "/" + str4 + "/" + str6, str);
            if (!z7) {
                i7 = 2;
            }
            if (ivParameterSpec == null) {
                instance.init(i7, secretKey);
            } else {
                instance.init(i7, secretKey, ivParameterSpec);
            }
            return instance.doFinal(bArr);
        } catch (Exception e7) {
            throw new a("exception using cipher - please check password and data.", e7);
        }
    }

    private static SecretKey b(char[] cArr, String str, int i7, byte[] bArr) {
        return c(cArr, str, i7, bArr, false);
    }

    private static SecretKey c(char[] cArr, String str, int i7, byte[] bArr, boolean z7) {
        q qVar = new q();
        qVar.l(u.b(cArr), bArr);
        byte[] a8 = ((k0) qVar.e(i7 * 8)).a();
        if (z7 && a8.length >= 24) {
            System.arraycopy(a8, 0, a8, 16, 8);
        }
        return new SecretKeySpec(a8, str);
    }
}
