package pl.droidsonroids.gif;

class ConditionVariable {
    private volatile boolean mCondition;

    ConditionVariable() {
    }

    /* access modifiers changed from: package-private */
    public synchronized void block() throws InterruptedException {
        while (!this.mCondition) {
            wait();
        }
    }

    /* access modifiers changed from: package-private */
    public synchronized void close() {
        this.mCondition = false;
    }

    /* access modifiers changed from: package-private */
    public synchronized void open() {
        boolean z7 = this.mCondition;
        this.mCondition = true;
        if (!z7) {
            notify();
        }
    }

    /* access modifiers changed from: package-private */
    public synchronized void set(boolean z7) {
        if (z7) {
            open();
        } else {
            close();
        }
    }
}
