package pl.droidsonroids.gif;

import androidx.annotation.NonNull;
import java.io.IOException;

public class GifIOException extends IOException {
    private static final long serialVersionUID = 13038402904505L;
    private final String mErrnoMessage;
    @NonNull
    public final GifError reason;

    GifIOException(int i7, String str) {
        this.reason = GifError.fromCode(i7);
        this.mErrnoMessage = str;
    }

    static GifIOException fromCode(int i7) {
        if (i7 == GifError.NO_ERROR.errorCode) {
            return null;
        }
        return new GifIOException(i7, null);
    }

    public String getMessage() {
        if (this.mErrnoMessage == null) {
            return this.reason.getFormattedDescription();
        }
        return this.reason.getFormattedDescription() + ": " + this.mErrnoMessage;
    }
}
