package pl.droidsonroids.gif;

import android.graphics.drawable.Drawable;
import android.os.Parcel;
import android.os.Parcelable;
import android.view.View;
import androidx.annotation.NonNull;

/* access modifiers changed from: package-private */
public class GifViewSavedState extends View.BaseSavedState {
    public static final Parcelable.Creator<GifViewSavedState> CREATOR = new Parcelable.Creator<GifViewSavedState>() {
        /* class pl.droidsonroids.gif.GifViewSavedState.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public GifViewSavedState createFromParcel(Parcel parcel) {
            return new GifViewSavedState(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public GifViewSavedState[] newArray(int i7) {
            return new GifViewSavedState[i7];
        }
    };
    final long[][] mStates;

    private GifViewSavedState(Parcel parcel) {
        super(parcel);
        this.mStates = new long[parcel.readInt()][];
        int i7 = 0;
        while (true) {
            long[][] jArr = this.mStates;
            if (i7 < jArr.length) {
                jArr[i7] = parcel.createLongArray();
                i7++;
            } else {
                return;
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void restoreState(Drawable drawable, int i7) {
        long[] jArr = this.mStates[i7];
        if (jArr != null && (drawable instanceof GifDrawable)) {
            GifDrawable gifDrawable = (GifDrawable) drawable;
            gifDrawable.startAnimation((long) gifDrawable.mNativeInfoHandle.restoreSavedState(jArr, gifDrawable.mBuffer));
        }
    }

    public void writeToParcel(@NonNull Parcel parcel, int i7) {
        super.writeToParcel(parcel, i7);
        parcel.writeInt(this.mStates.length);
        for (long[] jArr : this.mStates) {
            parcel.writeLongArray(jArr);
        }
    }

    GifViewSavedState(Parcelable parcelable, long[] jArr) {
        super(parcelable);
        long[][] jArr2 = new long[1][];
        this.mStates = jArr2;
        jArr2[0] = jArr;
    }

    GifViewSavedState(Parcelable parcelable, Drawable... drawableArr) {
        super(parcelable);
        this.mStates = new long[drawableArr.length][];
        for (int i7 = 0; i7 < drawableArr.length; i7++) {
            Drawable drawable = drawableArr[i7];
            if (drawable instanceof GifDrawable) {
                this.mStates[i7] = ((GifDrawable) drawable).mNativeInfoHandle.getSavedState();
            } else {
                this.mStates[i7] = null;
            }
        }
    }
}
