package android.support.v4.media;

import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.ServiceConnection;
import android.os.BadParcelableException;
import android.os.Binder;
import android.os.Bundle;
import android.os.Handler;
import android.os.IBinder;
import android.os.Message;
import android.os.Messenger;
import android.os.Parcel;
import android.os.Parcelable;
import android.os.RemoteException;
import android.support.v4.media.a;
import android.support.v4.media.b;
import android.support.v4.media.c;
import android.support.v4.media.session.MediaSessionCompat;
import android.support.v4.media.session.b;
import android.support.v4.os.ResultReceiver;
import android.text.TextUtils;
import android.util.Log;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.annotation.RestrictTo;
import androidx.collection.ArrayMap;
import androidx.core.app.BundleCompat;
import androidx.media.MediaBrowserCompatUtils;
import androidx.media.MediaBrowserProtocol;
import androidx.media.MediaBrowserServiceCompat;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Iterator;
import java.util.List;
import java.util.Map;

public final class MediaBrowserCompat {

    /* renamed from: b  reason: collision with root package name */
    static final String f26b = "MediaBrowserCompat";

    /* renamed from: c  reason: collision with root package name */
    static final boolean f27c = Log.isLoggable(f26b, 3);

    /* renamed from: d  reason: collision with root package name */
    public static final String f28d = "android.media.browse.extra.PAGE";

    /* renamed from: e  reason: collision with root package name */
    public static final String f29e = "android.media.browse.extra.PAGE_SIZE";

    /* renamed from: f  reason: collision with root package name */
    public static final String f30f = "android.media.browse.extra.MEDIA_ID";

    /* renamed from: g  reason: collision with root package name */
    public static final String f31g = "android.media.browse.extra.DOWNLOAD_PROGRESS";

    /* renamed from: h  reason: collision with root package name */
    public static final String f32h = "android.support.v4.media.action.DOWNLOAD";

    /* renamed from: i  reason: collision with root package name */
    public static final String f33i = "android.support.v4.media.action.REMOVE_DOWNLOADED_FILE";

    /* renamed from: a  reason: collision with root package name */
    private final e f34a;

    private static class CustomActionResultReceiver extends ResultReceiver {
        private final c C1;

        /* renamed from: x  reason: collision with root package name */
        private final String f35x;

        /* renamed from: y  reason: collision with root package name */
        private final Bundle f36y;

        CustomActionResultReceiver(String str, Bundle bundle, c cVar, Handler handler) {
            super(handler);
            this.f35x = str;
            this.f36y = bundle;
            this.C1 = cVar;
        }

        /* access modifiers changed from: protected */
        @Override // android.support.v4.os.ResultReceiver
        public void a(int i7, Bundle bundle) {
            if (this.C1 != null) {
                MediaSessionCompat.b(bundle);
                if (i7 == -1) {
                    this.C1.a(this.f35x, this.f36y, bundle);
                } else if (i7 == 0) {
                    this.C1.c(this.f35x, this.f36y, bundle);
                } else if (i7 != 1) {
                    Log.w(MediaBrowserCompat.f26b, "Unknown result code: " + i7 + " (extras=" + this.f36y + ", resultData=" + bundle + ")");
                } else {
                    this.C1.b(this.f35x, this.f36y, bundle);
                }
            }
        }
    }

    /* access modifiers changed from: private */
    public static class ItemReceiver extends ResultReceiver {

        /* renamed from: x  reason: collision with root package name */
        private final String f37x;

        /* renamed from: y  reason: collision with root package name */
        private final d f38y;

        ItemReceiver(String str, d dVar, Handler handler) {
            super(handler);
            this.f37x = str;
            this.f38y = dVar;
        }

        /* access modifiers changed from: protected */
        @Override // android.support.v4.os.ResultReceiver
        public void a(int i7, Bundle bundle) {
            MediaSessionCompat.b(bundle);
            if (i7 != 0 || bundle == null || !bundle.containsKey(MediaBrowserServiceCompat.KEY_MEDIA_ITEM)) {
                this.f38y.a(this.f37x);
                return;
            }
            Parcelable parcelable = bundle.getParcelable(MediaBrowserServiceCompat.KEY_MEDIA_ITEM);
            if (parcelable == null || (parcelable instanceof MediaItem)) {
                this.f38y.b((MediaItem) parcelable);
            } else {
                this.f38y.a(this.f37x);
            }
        }
    }

    public static class MediaItem implements Parcelable {
        public static final Parcelable.Creator<MediaItem> CREATOR = new a();

        /* renamed from: p  reason: collision with root package name */
        public static final int f39p = 1;

        /* renamed from: x  reason: collision with root package name */
        public static final int f40x = 2;

        /* renamed from: f  reason: collision with root package name */
        private final int f41f;

        /* renamed from: g  reason: collision with root package name */
        private final MediaDescriptionCompat f42g;

        static class a implements Parcelable.Creator<MediaItem> {
            a() {
            }

            /* renamed from: a */
            public MediaItem createFromParcel(Parcel parcel) {
                return new MediaItem(parcel);
            }

            /* renamed from: b */
            public MediaItem[] newArray(int i7) {
                return new MediaItem[i7];
            }
        }

        @Retention(RetentionPolicy.SOURCE)
        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
        public @interface b {
        }

        MediaItem(Parcel parcel) {
            this.f41f = parcel.readInt();
            this.f42g = MediaDescriptionCompat.CREATOR.createFromParcel(parcel);
        }

        public static MediaItem a(Object obj) {
            if (obj == null) {
                return null;
            }
            return new MediaItem(MediaDescriptionCompat.a(a.c.a(obj)), a.c.b(obj));
        }

        public static List<MediaItem> b(List<?> list) {
            if (list == null) {
                return null;
            }
            ArrayList arrayList = new ArrayList(list.size());
            Iterator<?> it = list.iterator();
            while (it.hasNext()) {
                arrayList.add(a(it.next()));
            }
            return arrayList;
        }

        public int describeContents() {
            return 0;
        }

        @NonNull
        public MediaDescriptionCompat j() {
            return this.f42g;
        }

        public int l() {
            return this.f41f;
        }

        @Nullable
        public String m() {
            return this.f42g.o();
        }

        public boolean n() {
            return (this.f41f & 1) != 0;
        }

        public boolean o() {
            return (this.f41f & 2) != 0;
        }

        public String toString() {
            return "MediaItem{" + "mFlags=" + this.f41f + ", mDescription=" + this.f42g + '}';
        }

        public void writeToParcel(Parcel parcel, int i7) {
            parcel.writeInt(this.f41f);
            this.f42g.writeToParcel(parcel, i7);
        }

        public MediaItem(@NonNull MediaDescriptionCompat mediaDescriptionCompat, int i7) {
            if (mediaDescriptionCompat == null) {
                throw new IllegalArgumentException("description cannot be null");
            } else if (!TextUtils.isEmpty(mediaDescriptionCompat.o())) {
                this.f41f = i7;
                this.f42g = mediaDescriptionCompat;
            } else {
                throw new IllegalArgumentException("description must have a non-empty media id");
            }
        }
    }

    private static class SearchResultReceiver extends ResultReceiver {
        private final k C1;

        /* renamed from: x  reason: collision with root package name */
        private final String f43x;

        /* renamed from: y  reason: collision with root package name */
        private final Bundle f44y;

        SearchResultReceiver(String str, Bundle bundle, k kVar, Handler handler) {
            super(handler);
            this.f43x = str;
            this.f44y = bundle;
            this.C1 = kVar;
        }

        /* access modifiers changed from: protected */
        @Override // android.support.v4.os.ResultReceiver
        public void a(int i7, Bundle bundle) {
            ArrayList arrayList;
            MediaSessionCompat.b(bundle);
            if (i7 != 0 || bundle == null || !bundle.containsKey(MediaBrowserServiceCompat.KEY_SEARCH_RESULTS)) {
                this.C1.a(this.f43x, this.f44y);
                return;
            }
            Parcelable[] parcelableArray = bundle.getParcelableArray(MediaBrowserServiceCompat.KEY_SEARCH_RESULTS);
            if (parcelableArray != null) {
                arrayList = new ArrayList();
                for (Parcelable parcelable : parcelableArray) {
                    arrayList.add((MediaItem) parcelable);
                }
            } else {
                arrayList = null;
            }
            this.C1.b(this.f43x, this.f44y, arrayList);
        }
    }

    /* access modifiers changed from: private */
    public static class a extends Handler {

        /* renamed from: a  reason: collision with root package name */
        private final WeakReference<j> f45a;

        /* renamed from: b  reason: collision with root package name */
        private WeakReference<Messenger> f46b;

        a(j jVar) {
            this.f45a = new WeakReference<>(jVar);
        }

        /* access modifiers changed from: package-private */
        public void a(Messenger messenger) {
            this.f46b = new WeakReference<>(messenger);
        }

        public void handleMessage(Message message) {
            WeakReference<Messenger> weakReference = this.f46b;
            if (weakReference != null && weakReference.get() != null && this.f45a.get() != null) {
                Bundle data = message.getData();
                MediaSessionCompat.b(data);
                j jVar = this.f45a.get();
                Messenger messenger = this.f46b.get();
                try {
                    int i7 = message.what;
                    if (i7 == 1) {
                        Bundle bundle = data.getBundle(MediaBrowserProtocol.DATA_ROOT_HINTS);
                        MediaSessionCompat.b(bundle);
                        jVar.i(messenger, data.getString(MediaBrowserProtocol.DATA_MEDIA_ITEM_ID), (MediaSessionCompat.Token) data.getParcelable(MediaBrowserProtocol.DATA_MEDIA_SESSION_TOKEN), bundle);
                    } else if (i7 == 2) {
                        jVar.n(messenger);
                    } else if (i7 != 3) {
                        Log.w(MediaBrowserCompat.f26b, "Unhandled message: " + message + "\n  Client version: " + 1 + "\n  Service version: " + message.arg1);
                    } else {
                        Bundle bundle2 = data.getBundle(MediaBrowserProtocol.DATA_OPTIONS);
                        MediaSessionCompat.b(bundle2);
                        Bundle bundle3 = data.getBundle(MediaBrowserProtocol.DATA_NOTIFY_CHILDREN_CHANGED_OPTIONS);
                        MediaSessionCompat.b(bundle3);
                        jVar.k(messenger, data.getString(MediaBrowserProtocol.DATA_MEDIA_ITEM_ID), data.getParcelableArrayList(MediaBrowserProtocol.DATA_MEDIA_ITEM_LIST), bundle2, bundle3);
                    }
                } catch (BadParcelableException unused) {
                    Log.e(MediaBrowserCompat.f26b, "Could not unparcel the data.");
                    if (message.what == 1) {
                        jVar.n(messenger);
                    }
                }
            }
        }
    }

    public static class b {
        a mConnectionCallbackInternal;
        final Object mConnectionCallbackObj = a.c(new C0002b());

        /* access modifiers changed from: package-private */
        public interface a {
            void e();

            void f();

            void g();
        }

        /* renamed from: android.support.v4.media.MediaBrowserCompat$b$b  reason: collision with other inner class name */
        private class C0002b implements a.AbstractC0004a {
            C0002b() {
            }

            @Override // android.support.v4.media.a.AbstractC0004a
            public void e() {
                a aVar = b.this.mConnectionCallbackInternal;
                if (aVar != null) {
                    aVar.e();
                }
                b.this.onConnectionSuspended();
            }

            @Override // android.support.v4.media.a.AbstractC0004a
            public void f() {
                a aVar = b.this.mConnectionCallbackInternal;
                if (aVar != null) {
                    aVar.f();
                }
                b.this.onConnected();
            }

            @Override // android.support.v4.media.a.AbstractC0004a
            public void g() {
                a aVar = b.this.mConnectionCallbackInternal;
                if (aVar != null) {
                    aVar.g();
                }
                b.this.onConnectionFailed();
            }
        }

        public void onConnected() {
        }

        public void onConnectionFailed() {
        }

        public void onConnectionSuspended() {
        }

        /* access modifiers changed from: package-private */
        public void setInternalConnectionCallback(a aVar) {
            this.mConnectionCallbackInternal = aVar;
        }
    }

    public static abstract class c {
        public void a(String str, Bundle bundle, Bundle bundle2) {
        }

        public void b(String str, Bundle bundle, Bundle bundle2) {
        }

        public void c(String str, Bundle bundle, Bundle bundle2) {
        }
    }

    public static abstract class d {

        /* renamed from: a  reason: collision with root package name */
        final Object f48a = b.a(new a());

        private class a implements b.a {
            a() {
            }

            @Override // android.support.v4.media.b.a
            public void a(@NonNull String str) {
                d.this.a(str);
            }

            @Override // android.support.v4.media.b.a
            public void b(Parcel parcel) {
                if (parcel == null) {
                    d.this.b(null);
                    return;
                }
                parcel.setDataPosition(0);
                parcel.recycle();
                d.this.b(MediaItem.CREATOR.createFromParcel(parcel));
            }
        }

        public void a(@NonNull String str) {
        }

        public void b(MediaItem mediaItem) {
        }
    }

    /* access modifiers changed from: package-private */
    public interface e {
        void a();

        void b();

        boolean c();

        @NonNull
        MediaSessionCompat.Token d();

        @Nullable
        Bundle getExtras();

        @NonNull
        String getRoot();

        void h(@NonNull String str, Bundle bundle, @Nullable c cVar);

        ComponentName j();

        void l(@NonNull String str, @NonNull d dVar);

        void m(@NonNull String str, @Nullable Bundle bundle, @NonNull n nVar);

        void o(@NonNull String str, n nVar);

        void p(@NonNull String str, Bundle bundle, @NonNull k kVar);

        @Nullable
        Bundle q();
    }

    @RequiresApi(21)
    static class f implements e, j, b.a {

        /* renamed from: a  reason: collision with root package name */
        final Context f50a;

        /* renamed from: b  reason: collision with root package name */
        protected final Object f51b;

        /* renamed from: c  reason: collision with root package name */
        protected final Bundle f52c;

        /* renamed from: d  reason: collision with root package name */
        protected final a f53d = new a(this);

        /* renamed from: e  reason: collision with root package name */
        private final ArrayMap<String, m> f54e = new ArrayMap<>();

        /* renamed from: f  reason: collision with root package name */
        protected int f55f;

        /* renamed from: g  reason: collision with root package name */
        protected l f56g;

        /* renamed from: h  reason: collision with root package name */
        protected Messenger f57h;

        /* renamed from: i  reason: collision with root package name */
        private MediaSessionCompat.Token f58i;

        /* renamed from: j  reason: collision with root package name */
        private Bundle f59j;

        /* access modifiers changed from: package-private */
        public class a implements Runnable {

            /* renamed from: f  reason: collision with root package name */
            final /* synthetic */ d f60f;

            /* renamed from: g  reason: collision with root package name */
            final /* synthetic */ String f61g;

            a(d dVar, String str) {
                this.f60f = dVar;
                this.f61g = str;
            }

            public void run() {
                this.f60f.a(this.f61g);
            }
        }

        /* access modifiers changed from: package-private */
        public class b implements Runnable {

            /* renamed from: f  reason: collision with root package name */
            final /* synthetic */ d f63f;

            /* renamed from: g  reason: collision with root package name */
            final /* synthetic */ String f64g;

            b(d dVar, String str) {
                this.f63f = dVar;
                this.f64g = str;
            }

            public void run() {
                this.f63f.a(this.f64g);
            }
        }

        /* access modifiers changed from: package-private */
        public class c implements Runnable {

            /* renamed from: f  reason: collision with root package name */
            final /* synthetic */ d f66f;

            /* renamed from: g  reason: collision with root package name */
            final /* synthetic */ String f67g;

            c(d dVar, String str) {
                this.f66f = dVar;
                this.f67g = str;
            }

            public void run() {
                this.f66f.a(this.f67g);
            }
        }

        class d implements Runnable {

            /* renamed from: f  reason: collision with root package name */
            final /* synthetic */ k f69f;

            /* renamed from: g  reason: collision with root package name */
            final /* synthetic */ String f70g;

            /* renamed from: p  reason: collision with root package name */
            final /* synthetic */ Bundle f71p;

            d(k kVar, String str, Bundle bundle) {
                this.f69f = kVar;
                this.f70g = str;
                this.f71p = bundle;
            }

            public void run() {
                this.f69f.a(this.f70g, this.f71p);
            }
        }

        class e implements Runnable {

            /* renamed from: f  reason: collision with root package name */
            final /* synthetic */ k f73f;

            /* renamed from: g  reason: collision with root package name */
            final /* synthetic */ String f74g;

            /* renamed from: p  reason: collision with root package name */
            final /* synthetic */ Bundle f75p;

            e(k kVar, String str, Bundle bundle) {
                this.f73f = kVar;
                this.f74g = str;
                this.f75p = bundle;
            }

            public void run() {
                this.f73f.a(this.f74g, this.f75p);
            }
        }

        /* renamed from: android.support.v4.media.MediaBrowserCompat$f$f  reason: collision with other inner class name */
        class RunnableC0003f implements Runnable {

            /* renamed from: f  reason: collision with root package name */
            final /* synthetic */ c f77f;

            /* renamed from: g  reason: collision with root package name */
            final /* synthetic */ String f78g;

            /* renamed from: p  reason: collision with root package name */
            final /* synthetic */ Bundle f79p;

            RunnableC0003f(c cVar, String str, Bundle bundle) {
                this.f77f = cVar;
                this.f78g = str;
                this.f79p = bundle;
            }

            public void run() {
                this.f77f.a(this.f78g, this.f79p, null);
            }
        }

        class g implements Runnable {

            /* renamed from: f  reason: collision with root package name */
            final /* synthetic */ c f81f;

            /* renamed from: g  reason: collision with root package name */
            final /* synthetic */ String f82g;

            /* renamed from: p  reason: collision with root package name */
            final /* synthetic */ Bundle f83p;

            g(c cVar, String str, Bundle bundle) {
                this.f81f = cVar;
                this.f82g = str;
                this.f83p = bundle;
            }

            public void run() {
                this.f81f.a(this.f82g, this.f83p, null);
            }
        }

        f(Context context, ComponentName componentName, b bVar, Bundle bundle) {
            Bundle bundle2;
            this.f50a = context;
            if (bundle == null) {
                bundle2 = new Bundle();
            }
            this.f52c = bundle2;
            bundle2.putInt(MediaBrowserProtocol.EXTRA_CLIENT_VERSION, 1);
            bVar.setInternalConnectionCallback(this);
            this.f51b = a.b(context, componentName, bVar.mConnectionCallbackObj, bundle2);
        }

        @Override // android.support.v4.media.MediaBrowserCompat.e
        public void a() {
            Messenger messenger;
            l lVar = this.f56g;
            if (!(lVar == null || (messenger = this.f57h) == null)) {
                try {
                    lVar.j(messenger);
                } catch (RemoteException unused) {
                    Log.i(MediaBrowserCompat.f26b, "Remote error unregistering client messenger.");
                }
            }
            a.e(this.f51b);
        }

        @Override // android.support.v4.media.MediaBrowserCompat.e
        public void b() {
            a.a(this.f51b);
        }

        @Override // android.support.v4.media.MediaBrowserCompat.e
        public boolean c() {
            return a.j(this.f51b);
        }

        @Override // android.support.v4.media.MediaBrowserCompat.e
        @NonNull
        public MediaSessionCompat.Token d() {
            if (this.f58i == null) {
                this.f58i = MediaSessionCompat.Token.b(a.i(this.f51b));
            }
            return this.f58i;
        }

        @Override // android.support.v4.media.MediaBrowserCompat.b.a
        public void e() {
            this.f56g = null;
            this.f57h = null;
            this.f58i = null;
            this.f53d.a(null);
        }

        @Override // android.support.v4.media.MediaBrowserCompat.b.a
        public void f() {
            Bundle f7 = a.f(this.f51b);
            if (f7 != null) {
                this.f55f = f7.getInt(MediaBrowserProtocol.EXTRA_SERVICE_VERSION, 0);
                IBinder binder = BundleCompat.getBinder(f7, MediaBrowserProtocol.EXTRA_MESSENGER_BINDER);
                if (binder != null) {
                    this.f56g = new l(binder, this.f52c);
                    Messenger messenger = new Messenger(this.f53d);
                    this.f57h = messenger;
                    this.f53d.a(messenger);
                    try {
                        this.f56g.e(this.f50a, this.f57h);
                    } catch (RemoteException unused) {
                        Log.i(MediaBrowserCompat.f26b, "Remote error registering client messenger.");
                    }
                }
                android.support.v4.media.session.b d7 = b.a.d(BundleCompat.getBinder(f7, MediaBrowserProtocol.EXTRA_SESSION_BINDER));
                if (d7 != null) {
                    this.f58i = MediaSessionCompat.Token.j(a.i(this.f51b), d7);
                }
            }
        }

        @Override // android.support.v4.media.MediaBrowserCompat.b.a
        public void g() {
        }

        @Override // android.support.v4.media.MediaBrowserCompat.e
        @Nullable
        public Bundle getExtras() {
            return a.f(this.f51b);
        }

        @Override // android.support.v4.media.MediaBrowserCompat.e
        @NonNull
        public String getRoot() {
            return a.g(this.f51b);
        }

        @Override // android.support.v4.media.MediaBrowserCompat.e
        public void h(@NonNull String str, Bundle bundle, @Nullable c cVar) {
            if (c()) {
                if (this.f56g == null) {
                    Log.i(MediaBrowserCompat.f26b, "The connected service doesn't support sendCustomAction.");
                    if (cVar != null) {
                        this.f53d.post(new RunnableC0003f(cVar, str, bundle));
                    }
                }
                try {
                    this.f56g.h(str, bundle, new CustomActionResultReceiver(str, bundle, cVar, this.f53d), this.f57h);
                } catch (RemoteException e7) {
                    Log.i(MediaBrowserCompat.f26b, "Remote error sending a custom action: action=" + str + ", extras=" + bundle, e7);
                    if (cVar != null) {
                        this.f53d.post(new g(cVar, str, bundle));
                    }
                }
            } else {
                throw new IllegalStateException("Cannot send a custom action (" + str + ") with " + "extras " + bundle + " because the browser is not connected to the " + "service.");
            }
        }

        @Override // android.support.v4.media.MediaBrowserCompat.j
        public void i(Messenger messenger, String str, MediaSessionCompat.Token token, Bundle bundle) {
        }

        @Override // android.support.v4.media.MediaBrowserCompat.e
        public ComponentName j() {
            return a.h(this.f51b);
        }

        @Override // android.support.v4.media.MediaBrowserCompat.j
        public void k(Messenger messenger, String str, List list, Bundle bundle, Bundle bundle2) {
            if (this.f57h == messenger) {
                m mVar = this.f54e.get(str);
                if (mVar != null) {
                    n a8 = mVar.a(bundle);
                    if (a8 != null) {
                        if (bundle == null) {
                            if (list == null) {
                                a8.c(str);
                                return;
                            } else {
                                this.f59j = bundle2;
                                a8.a(str, list);
                            }
                        } else if (list == null) {
                            a8.d(str, bundle);
                            return;
                        } else {
                            this.f59j = bundle2;
                            a8.b(str, list, bundle);
                        }
                        this.f59j = null;
                    }
                } else if (MediaBrowserCompat.f27c) {
                    Log.d(MediaBrowserCompat.f26b, "onLoadChildren for id that isn't subscribed id=" + str);
                }
            }
        }

        @Override // android.support.v4.media.MediaBrowserCompat.e
        public void l(@NonNull String str, @NonNull d dVar) {
            a aVar;
            Runnable bVar;
            if (TextUtils.isEmpty(str)) {
                throw new IllegalArgumentException("mediaId is empty");
            } else if (dVar != null) {
                if (!a.j(this.f51b)) {
                    Log.i(MediaBrowserCompat.f26b, "Not connected, unable to retrieve the MediaItem.");
                    aVar = this.f53d;
                    bVar = new a(dVar, str);
                } else if (this.f56g == null) {
                    aVar = this.f53d;
                    bVar = new b(dVar, str);
                } else {
                    try {
                        this.f56g.d(str, new ItemReceiver(str, dVar, this.f53d), this.f57h);
                        return;
                    } catch (RemoteException unused) {
                        Log.i(MediaBrowserCompat.f26b, "Remote error getting media item: " + str);
                        this.f53d.post(new c(dVar, str));
                        return;
                    }
                }
                aVar.post(bVar);
            } else {
                throw new IllegalArgumentException("cb is null");
            }
        }

        @Override // android.support.v4.media.MediaBrowserCompat.e
        public void m(@NonNull String str, Bundle bundle, @NonNull n nVar) {
            m mVar = this.f54e.get(str);
            if (mVar == null) {
                mVar = new m();
                this.f54e.put(str, mVar);
            }
            nVar.e(mVar);
            Bundle bundle2 = bundle == null ? null : new Bundle(bundle);
            mVar.e(bundle2, nVar);
            l lVar = this.f56g;
            if (lVar == null) {
                a.k(this.f51b, str, nVar.f130a);
                return;
            }
            try {
                lVar.a(str, nVar.f131b, bundle2, this.f57h);
            } catch (RemoteException unused) {
                Log.i(MediaBrowserCompat.f26b, "Remote error subscribing media item: " + str);
            }
        }

        @Override // android.support.v4.media.MediaBrowserCompat.j
        public void n(Messenger messenger) {
        }

        /* JADX WARNING: Code restructure failed: missing block: B:14:0x003a, code lost:
            if (r1.size() == 0) goto L_0x0011;
         */
        @Override // android.support.v4.media.MediaBrowserCompat.e
        public void o(@NonNull String str, n nVar) {
            m mVar = this.f54e.get(str);
            if (mVar != null) {
                l lVar = this.f56g;
                if (lVar == null) {
                    if (nVar != null) {
                        List<n> b7 = mVar.b();
                        List<Bundle> c7 = mVar.c();
                        for (int size = b7.size() - 1; size >= 0; size--) {
                            if (b7.get(size) == nVar) {
                                b7.remove(size);
                                c7.remove(size);
                            }
                        }
                    }
                    a.l(this.f51b, str);
                } else if (nVar == null) {
                    try {
                        lVar.f(str, null, this.f57h);
                    } catch (RemoteException unused) {
                        Log.d(MediaBrowserCompat.f26b, "removeSubscription failed with RemoteException parentId=" + str);
                    }
                } else {
                    List<n> b8 = mVar.b();
                    List<Bundle> c8 = mVar.c();
                    for (int size2 = b8.size() - 1; size2 >= 0; size2--) {
                        if (b8.get(size2) == nVar) {
                            this.f56g.f(str, nVar.f131b, this.f57h);
                            b8.remove(size2);
                            c8.remove(size2);
                        }
                    }
                }
                if (mVar.d() || nVar == null) {
                    this.f54e.remove(str);
                }
            }
        }

        @Override // android.support.v4.media.MediaBrowserCompat.e
        public void p(@NonNull String str, Bundle bundle, @NonNull k kVar) {
            if (!c()) {
                throw new IllegalStateException("search() called while not connected");
            } else if (this.f56g == null) {
                Log.i(MediaBrowserCompat.f26b, "The connected service doesn't support search.");
                this.f53d.post(new d(kVar, str, bundle));
            } else {
                try {
                    this.f56g.g(str, bundle, new SearchResultReceiver(str, bundle, kVar, this.f53d), this.f57h);
                } catch (RemoteException e7) {
                    Log.i(MediaBrowserCompat.f26b, "Remote error searching items with query: " + str, e7);
                    this.f53d.post(new e(kVar, str, bundle));
                }
            }
        }

        @Override // android.support.v4.media.MediaBrowserCompat.e
        public Bundle q() {
            return this.f59j;
        }
    }

    @RequiresApi(23)
    static class g extends f {
        g(Context context, ComponentName componentName, b bVar, Bundle bundle) {
            super(context, componentName, bVar, bundle);
        }

        @Override // android.support.v4.media.MediaBrowserCompat.e, android.support.v4.media.MediaBrowserCompat.f
        public void l(@NonNull String str, @NonNull d dVar) {
            if (this.f56g == null) {
                b.b(this.f51b, str, dVar.f48a);
            } else {
                super.l(str, dVar);
            }
        }
    }

    @RequiresApi(26)
    static class h extends g {
        h(Context context, ComponentName componentName, b bVar, Bundle bundle) {
            super(context, componentName, bVar, bundle);
        }

        @Override // android.support.v4.media.MediaBrowserCompat.e, android.support.v4.media.MediaBrowserCompat.f
        public void m(@NonNull String str, @Nullable Bundle bundle, @NonNull n nVar) {
            if (this.f56g == null || this.f55f < 2) {
                Object obj = this.f51b;
                if (bundle == null) {
                    a.k(obj, str, nVar.f130a);
                } else {
                    c.b(obj, str, bundle, nVar.f130a);
                }
            } else {
                super.m(str, bundle, nVar);
            }
        }

        @Override // android.support.v4.media.MediaBrowserCompat.e, android.support.v4.media.MediaBrowserCompat.f
        public void o(@NonNull String str, n nVar) {
            if (this.f56g == null || this.f55f < 2) {
                Object obj = this.f51b;
                if (nVar == null) {
                    a.l(obj, str);
                } else {
                    c.c(obj, str, nVar.f130a);
                }
            } else {
                super.o(str, nVar);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public static class i implements e, j {

        /* renamed from: o  reason: collision with root package name */
        static final int f85o = 0;

        /* renamed from: p  reason: collision with root package name */
        static final int f86p = 1;

        /* renamed from: q  reason: collision with root package name */
        static final int f87q = 2;

        /* renamed from: r  reason: collision with root package name */
        static final int f88r = 3;

        /* renamed from: s  reason: collision with root package name */
        static final int f89s = 4;

        /* renamed from: a  reason: collision with root package name */
        final Context f90a;

        /* renamed from: b  reason: collision with root package name */
        final ComponentName f91b;

        /* renamed from: c  reason: collision with root package name */
        final b f92c;

        /* renamed from: d  reason: collision with root package name */
        final Bundle f93d;

        /* renamed from: e  reason: collision with root package name */
        final a f94e = new a(this);

        /* renamed from: f  reason: collision with root package name */
        private final ArrayMap<String, m> f95f = new ArrayMap<>();

        /* renamed from: g  reason: collision with root package name */
        int f96g = 1;

        /* renamed from: h  reason: collision with root package name */
        g f97h;

        /* renamed from: i  reason: collision with root package name */
        l f98i;

        /* renamed from: j  reason: collision with root package name */
        Messenger f99j;

        /* renamed from: k  reason: collision with root package name */
        private String f100k;

        /* renamed from: l  reason: collision with root package name */
        private MediaSessionCompat.Token f101l;

        /* renamed from: m  reason: collision with root package name */
        private Bundle f102m;

        /* renamed from: n  reason: collision with root package name */
        private Bundle f103n;

        class a implements Runnable {
            a() {
            }

            public void run() {
                boolean z7;
                i iVar = i.this;
                if (iVar.f96g != 0) {
                    iVar.f96g = 2;
                    if (MediaBrowserCompat.f27c && iVar.f97h != null) {
                        throw new RuntimeException("mServiceConnection should be null. Instead it is " + i.this.f97h);
                    } else if (iVar.f98i != null) {
                        throw new RuntimeException("mServiceBinderWrapper should be null. Instead it is " + i.this.f98i);
                    } else if (iVar.f99j == null) {
                        Intent intent = new Intent(MediaBrowserServiceCompat.SERVICE_INTERFACE);
                        intent.setComponent(i.this.f91b);
                        i iVar2 = i.this;
                        iVar2.f97h = new g();
                        try {
                            i iVar3 = i.this;
                            z7 = iVar3.f90a.bindService(intent, iVar3.f97h, 1);
                        } catch (Exception unused) {
                            Log.e(MediaBrowserCompat.f26b, "Failed binding to service " + i.this.f91b);
                            z7 = false;
                        }
                        if (!z7) {
                            i.this.f();
                            i.this.f92c.onConnectionFailed();
                        }
                        if (MediaBrowserCompat.f27c) {
                            Log.d(MediaBrowserCompat.f26b, "connect...");
                            i.this.e();
                        }
                    } else {
                        throw new RuntimeException("mCallbacksMessenger should be null. Instead it is " + i.this.f99j);
                    }
                }
            }
        }

        class b implements Runnable {
            b() {
            }

            public void run() {
                i iVar = i.this;
                Messenger messenger = iVar.f99j;
                if (messenger != null) {
                    try {
                        iVar.f98i.c(messenger);
                    } catch (RemoteException unused) {
                        Log.w(MediaBrowserCompat.f26b, "RemoteException during connect for " + i.this.f91b);
                    }
                }
                i iVar2 = i.this;
                int i7 = iVar2.f96g;
                iVar2.f();
                if (i7 != 0) {
                    i.this.f96g = i7;
                }
                if (MediaBrowserCompat.f27c) {
                    Log.d(MediaBrowserCompat.f26b, "disconnect...");
                    i.this.e();
                }
            }
        }

        class c implements Runnable {

            /* renamed from: f  reason: collision with root package name */
            final /* synthetic */ d f106f;

            /* renamed from: g  reason: collision with root package name */
            final /* synthetic */ String f107g;

            c(d dVar, String str) {
                this.f106f = dVar;
                this.f107g = str;
            }

            public void run() {
                this.f106f.a(this.f107g);
            }
        }

        class d implements Runnable {

            /* renamed from: f  reason: collision with root package name */
            final /* synthetic */ d f109f;

            /* renamed from: g  reason: collision with root package name */
            final /* synthetic */ String f110g;

            d(d dVar, String str) {
                this.f109f = dVar;
                this.f110g = str;
            }

            public void run() {
                this.f109f.a(this.f110g);
            }
        }

        class e implements Runnable {

            /* renamed from: f  reason: collision with root package name */
            final /* synthetic */ k f112f;

            /* renamed from: g  reason: collision with root package name */
            final /* synthetic */ String f113g;

            /* renamed from: p  reason: collision with root package name */
            final /* synthetic */ Bundle f114p;

            e(k kVar, String str, Bundle bundle) {
                this.f112f = kVar;
                this.f113g = str;
                this.f114p = bundle;
            }

            public void run() {
                this.f112f.a(this.f113g, this.f114p);
            }
        }

        class f implements Runnable {

            /* renamed from: f  reason: collision with root package name */
            final /* synthetic */ c f116f;

            /* renamed from: g  reason: collision with root package name */
            final /* synthetic */ String f117g;

            /* renamed from: p  reason: collision with root package name */
            final /* synthetic */ Bundle f118p;

            f(c cVar, String str, Bundle bundle) {
                this.f116f = cVar;
                this.f117g = str;
                this.f118p = bundle;
            }

            public void run() {
                this.f116f.a(this.f117g, this.f118p, null);
            }
        }

        /* access modifiers changed from: private */
        public class g implements ServiceConnection {

            class a implements Runnable {

                /* renamed from: f  reason: collision with root package name */
                final /* synthetic */ ComponentName f121f;

                /* renamed from: g  reason: collision with root package name */
                final /* synthetic */ IBinder f122g;

                a(ComponentName componentName, IBinder iBinder) {
                    this.f121f = componentName;
                    this.f122g = iBinder;
                }

                public void run() {
                    boolean z7 = MediaBrowserCompat.f27c;
                    if (z7) {
                        Log.d(MediaBrowserCompat.f26b, "MediaServiceConnection.onServiceConnected name=" + this.f121f + " binder=" + this.f122g);
                        i.this.e();
                    }
                    if (g.this.a("onServiceConnected")) {
                        i iVar = i.this;
                        iVar.f98i = new l(this.f122g, iVar.f93d);
                        i.this.f99j = new Messenger(i.this.f94e);
                        i iVar2 = i.this;
                        iVar2.f94e.a(iVar2.f99j);
                        i.this.f96g = 2;
                        if (z7) {
                            try {
                                Log.d(MediaBrowserCompat.f26b, "ServiceCallbacks.onConnect...");
                                i.this.e();
                            } catch (RemoteException unused) {
                                Log.w(MediaBrowserCompat.f26b, "RemoteException during connect for " + i.this.f91b);
                                if (MediaBrowserCompat.f27c) {
                                    Log.d(MediaBrowserCompat.f26b, "ServiceCallbacks.onConnect...");
                                    i.this.e();
                                    return;
                                }
                                return;
                            }
                        }
                        i iVar3 = i.this;
                        iVar3.f98i.b(iVar3.f90a, iVar3.f99j);
                    }
                }
            }

            class b implements Runnable {

                /* renamed from: f  reason: collision with root package name */
                final /* synthetic */ ComponentName f124f;

                b(ComponentName componentName) {
                    this.f124f = componentName;
                }

                public void run() {
                    if (MediaBrowserCompat.f27c) {
                        Log.d(MediaBrowserCompat.f26b, "MediaServiceConnection.onServiceDisconnected name=" + this.f124f + " this=" + this + " mServiceConnection=" + i.this.f97h);
                        i.this.e();
                    }
                    if (g.this.a("onServiceDisconnected")) {
                        i iVar = i.this;
                        iVar.f98i = null;
                        iVar.f99j = null;
                        iVar.f94e.a(null);
                        i iVar2 = i.this;
                        iVar2.f96g = 4;
                        iVar2.f92c.onConnectionSuspended();
                    }
                }
            }

            g() {
            }

            private void b(Runnable runnable) {
                if (Thread.currentThread() == i.this.f94e.getLooper().getThread()) {
                    runnable.run();
                } else {
                    i.this.f94e.post(runnable);
                }
            }

            /* access modifiers changed from: package-private */
            public boolean a(String str) {
                int i7;
                i iVar = i.this;
                if (iVar.f97h == this && (i7 = iVar.f96g) != 0 && i7 != 1) {
                    return true;
                }
                int i8 = iVar.f96g;
                if (i8 == 0 || i8 == 1) {
                    return false;
                }
                Log.i(MediaBrowserCompat.f26b, str + " for " + i.this.f91b + " with mServiceConnection=" + i.this.f97h + " this=" + this);
                return false;
            }

            public void onServiceConnected(ComponentName componentName, IBinder iBinder) {
                b(new a(componentName, iBinder));
            }

            public void onServiceDisconnected(ComponentName componentName) {
                b(new b(componentName));
            }
        }

        public i(Context context, ComponentName componentName, b bVar, Bundle bundle) {
            if (context == null) {
                throw new IllegalArgumentException("context must not be null");
            } else if (componentName == null) {
                throw new IllegalArgumentException("service component must not be null");
            } else if (bVar != null) {
                this.f90a = context;
                this.f91b = componentName;
                this.f92c = bVar;
                this.f93d = bundle == null ? null : new Bundle(bundle);
            } else {
                throw new IllegalArgumentException("connection callback must not be null");
            }
        }

        private static String g(int i7) {
            if (i7 == 0) {
                return "CONNECT_STATE_DISCONNECTING";
            }
            if (i7 == 1) {
                return "CONNECT_STATE_DISCONNECTED";
            }
            if (i7 == 2) {
                return "CONNECT_STATE_CONNECTING";
            }
            if (i7 == 3) {
                return "CONNECT_STATE_CONNECTED";
            }
            if (i7 == 4) {
                return "CONNECT_STATE_SUSPENDED";
            }
            return "UNKNOWN/" + i7;
        }

        private boolean r(Messenger messenger, String str) {
            int i7;
            if (this.f99j == messenger && (i7 = this.f96g) != 0 && i7 != 1) {
                return true;
            }
            int i8 = this.f96g;
            if (i8 == 0 || i8 == 1) {
                return false;
            }
            Log.i(MediaBrowserCompat.f26b, str + " for " + this.f91b + " with mCallbacksMessenger=" + this.f99j + " this=" + this);
            return false;
        }

        @Override // android.support.v4.media.MediaBrowserCompat.e
        public void a() {
            this.f96g = 0;
            this.f94e.post(new b());
        }

        @Override // android.support.v4.media.MediaBrowserCompat.e
        public void b() {
            int i7 = this.f96g;
            if (i7 == 0 || i7 == 1) {
                this.f96g = 2;
                this.f94e.post(new a());
                return;
            }
            throw new IllegalStateException("connect() called while neigther disconnecting nor disconnected (state=" + g(this.f96g) + ")");
        }

        @Override // android.support.v4.media.MediaBrowserCompat.e
        public boolean c() {
            return this.f96g == 3;
        }

        @Override // android.support.v4.media.MediaBrowserCompat.e
        @NonNull
        public MediaSessionCompat.Token d() {
            if (c()) {
                return this.f101l;
            }
            throw new IllegalStateException("getSessionToken() called while not connected(state=" + this.f96g + ")");
        }

        /* access modifiers changed from: package-private */
        public void e() {
            Log.d(MediaBrowserCompat.f26b, "MediaBrowserCompat...");
            Log.d(MediaBrowserCompat.f26b, "  mServiceComponent=" + this.f91b);
            Log.d(MediaBrowserCompat.f26b, "  mCallback=" + this.f92c);
            Log.d(MediaBrowserCompat.f26b, "  mRootHints=" + this.f93d);
            Log.d(MediaBrowserCompat.f26b, "  mState=" + g(this.f96g));
            Log.d(MediaBrowserCompat.f26b, "  mServiceConnection=" + this.f97h);
            Log.d(MediaBrowserCompat.f26b, "  mServiceBinderWrapper=" + this.f98i);
            Log.d(MediaBrowserCompat.f26b, "  mCallbacksMessenger=" + this.f99j);
            Log.d(MediaBrowserCompat.f26b, "  mRootId=" + this.f100k);
            Log.d(MediaBrowserCompat.f26b, "  mMediaSessionToken=" + this.f101l);
        }

        /* access modifiers changed from: package-private */
        public void f() {
            g gVar = this.f97h;
            if (gVar != null) {
                this.f90a.unbindService(gVar);
            }
            this.f96g = 1;
            this.f97h = null;
            this.f98i = null;
            this.f99j = null;
            this.f94e.a(null);
            this.f100k = null;
            this.f101l = null;
        }

        @Override // android.support.v4.media.MediaBrowserCompat.e
        @Nullable
        public Bundle getExtras() {
            if (c()) {
                return this.f102m;
            }
            throw new IllegalStateException("getExtras() called while not connected (state=" + g(this.f96g) + ")");
        }

        @Override // android.support.v4.media.MediaBrowserCompat.e
        @NonNull
        public String getRoot() {
            if (c()) {
                return this.f100k;
            }
            throw new IllegalStateException("getRoot() called while not connected(state=" + g(this.f96g) + ")");
        }

        @Override // android.support.v4.media.MediaBrowserCompat.e
        public void h(@NonNull String str, Bundle bundle, @Nullable c cVar) {
            if (c()) {
                try {
                    this.f98i.h(str, bundle, new CustomActionResultReceiver(str, bundle, cVar, this.f94e), this.f99j);
                } catch (RemoteException e7) {
                    Log.i(MediaBrowserCompat.f26b, "Remote error sending a custom action: action=" + str + ", extras=" + bundle, e7);
                    if (cVar != null) {
                        this.f94e.post(new f(cVar, str, bundle));
                    }
                }
            } else {
                throw new IllegalStateException("Cannot send a custom action (" + str + ") with " + "extras " + bundle + " because the browser is not connected to the " + "service.");
            }
        }

        @Override // android.support.v4.media.MediaBrowserCompat.j
        public void i(Messenger messenger, String str, MediaSessionCompat.Token token, Bundle bundle) {
            if (r(messenger, "onConnect")) {
                if (this.f96g != 2) {
                    Log.w(MediaBrowserCompat.f26b, "onConnect from service while mState=" + g(this.f96g) + "... ignoring");
                    return;
                }
                this.f100k = str;
                this.f101l = token;
                this.f102m = bundle;
                this.f96g = 3;
                if (MediaBrowserCompat.f27c) {
                    Log.d(MediaBrowserCompat.f26b, "ServiceCallbacks.onConnect...");
                    e();
                }
                this.f92c.onConnected();
                try {
                    for (Map.Entry<String, m> entry : this.f95f.entrySet()) {
                        String key = entry.getKey();
                        m value = entry.getValue();
                        List<n> b7 = value.b();
                        List<Bundle> c7 = value.c();
                        for (int i7 = 0; i7 < b7.size(); i7++) {
                            this.f98i.a(key, b7.get(i7).f131b, c7.get(i7), this.f99j);
                        }
                    }
                } catch (RemoteException unused) {
                    Log.d(MediaBrowserCompat.f26b, "addSubscription failed with RemoteException.");
                }
            }
        }

        @Override // android.support.v4.media.MediaBrowserCompat.e
        @NonNull
        public ComponentName j() {
            if (c()) {
                return this.f91b;
            }
            throw new IllegalStateException("getServiceComponent() called while not connected (state=" + this.f96g + ")");
        }

        @Override // android.support.v4.media.MediaBrowserCompat.j
        public void k(Messenger messenger, String str, List list, Bundle bundle, Bundle bundle2) {
            if (r(messenger, "onLoadChildren")) {
                boolean z7 = MediaBrowserCompat.f27c;
                if (z7) {
                    Log.d(MediaBrowserCompat.f26b, "onLoadChildren for " + this.f91b + " id=" + str);
                }
                m mVar = this.f95f.get(str);
                if (mVar != null) {
                    n a8 = mVar.a(bundle);
                    if (a8 != null) {
                        if (bundle == null) {
                            if (list == null) {
                                a8.c(str);
                                return;
                            } else {
                                this.f103n = bundle2;
                                a8.a(str, list);
                            }
                        } else if (list == null) {
                            a8.d(str, bundle);
                            return;
                        } else {
                            this.f103n = bundle2;
                            a8.b(str, list, bundle);
                        }
                        this.f103n = null;
                    }
                } else if (z7) {
                    Log.d(MediaBrowserCompat.f26b, "onLoadChildren for id that isn't subscribed id=" + str);
                }
            }
        }

        @Override // android.support.v4.media.MediaBrowserCompat.e
        public void l(@NonNull String str, @NonNull d dVar) {
            if (TextUtils.isEmpty(str)) {
                throw new IllegalArgumentException("mediaId is empty");
            } else if (dVar == null) {
                throw new IllegalArgumentException("cb is null");
            } else if (!c()) {
                Log.i(MediaBrowserCompat.f26b, "Not connected, unable to retrieve the MediaItem.");
                this.f94e.post(new c(dVar, str));
            } else {
                try {
                    this.f98i.d(str, new ItemReceiver(str, dVar, this.f94e), this.f99j);
                } catch (RemoteException unused) {
                    Log.i(MediaBrowserCompat.f26b, "Remote error getting media item: " + str);
                    this.f94e.post(new d(dVar, str));
                }
            }
        }

        @Override // android.support.v4.media.MediaBrowserCompat.e
        public void m(@NonNull String str, Bundle bundle, @NonNull n nVar) {
            m mVar = this.f95f.get(str);
            if (mVar == null) {
                mVar = new m();
                this.f95f.put(str, mVar);
            }
            Bundle bundle2 = bundle == null ? null : new Bundle(bundle);
            mVar.e(bundle2, nVar);
            if (c()) {
                try {
                    this.f98i.a(str, nVar.f131b, bundle2, this.f99j);
                } catch (RemoteException unused) {
                    Log.d(MediaBrowserCompat.f26b, "addSubscription failed with RemoteException parentId=" + str);
                }
            }
        }

        @Override // android.support.v4.media.MediaBrowserCompat.j
        public void n(Messenger messenger) {
            Log.e(MediaBrowserCompat.f26b, "onConnectFailed for " + this.f91b);
            if (r(messenger, "onConnectFailed")) {
                if (this.f96g != 2) {
                    Log.w(MediaBrowserCompat.f26b, "onConnect from service while mState=" + g(this.f96g) + "... ignoring");
                    return;
                }
                f();
                this.f92c.onConnectionFailed();
            }
        }

        @Override // android.support.v4.media.MediaBrowserCompat.e
        public void o(@NonNull String str, n nVar) {
            m mVar = this.f95f.get(str);
            if (mVar != null) {
                if (nVar == null) {
                    try {
                        if (c()) {
                            this.f98i.f(str, null, this.f99j);
                        }
                    } catch (RemoteException unused) {
                        Log.d(MediaBrowserCompat.f26b, "removeSubscription failed with RemoteException parentId=" + str);
                    }
                } else {
                    List<n> b7 = mVar.b();
                    List<Bundle> c7 = mVar.c();
                    for (int size = b7.size() - 1; size >= 0; size--) {
                        if (b7.get(size) == nVar) {
                            if (c()) {
                                this.f98i.f(str, nVar.f131b, this.f99j);
                            }
                            b7.remove(size);
                            c7.remove(size);
                        }
                    }
                }
                if (mVar.d() || nVar == null) {
                    this.f95f.remove(str);
                }
            }
        }

        @Override // android.support.v4.media.MediaBrowserCompat.e
        public void p(@NonNull String str, Bundle bundle, @NonNull k kVar) {
            if (c()) {
                try {
                    this.f98i.g(str, bundle, new SearchResultReceiver(str, bundle, kVar, this.f94e), this.f99j);
                } catch (RemoteException e7) {
                    Log.i(MediaBrowserCompat.f26b, "Remote error searching items with query: " + str, e7);
                    this.f94e.post(new e(kVar, str, bundle));
                }
            } else {
                throw new IllegalStateException("search() called while not connected (state=" + g(this.f96g) + ")");
            }
        }

        @Override // android.support.v4.media.MediaBrowserCompat.e
        public Bundle q() {
            return this.f103n;
        }
    }

    interface j {
        void i(Messenger messenger, String str, MediaSessionCompat.Token token, Bundle bundle);

        void k(Messenger messenger, String str, List list, Bundle bundle, Bundle bundle2);

        void n(Messenger messenger);
    }

    public static abstract class k {
        public void a(@NonNull String str, Bundle bundle) {
        }

        public void b(@NonNull String str, Bundle bundle, @NonNull List<MediaItem> list) {
        }
    }

    /* access modifiers changed from: private */
    public static class l {

        /* renamed from: a  reason: collision with root package name */
        private Messenger f126a;

        /* renamed from: b  reason: collision with root package name */
        private Bundle f127b;

        public l(IBinder iBinder, Bundle bundle) {
            this.f126a = new Messenger(iBinder);
            this.f127b = bundle;
        }

        private void i(int i7, Bundle bundle, Messenger messenger) throws RemoteException {
            Message obtain = Message.obtain();
            obtain.what = i7;
            obtain.arg1 = 1;
            obtain.setData(bundle);
            obtain.replyTo = messenger;
            this.f126a.send(obtain);
        }

        /* access modifiers changed from: package-private */
        public void a(String str, IBinder iBinder, Bundle bundle, Messenger messenger) throws RemoteException {
            Bundle bundle2 = new Bundle();
            bundle2.putString(MediaBrowserProtocol.DATA_MEDIA_ITEM_ID, str);
            BundleCompat.putBinder(bundle2, MediaBrowserProtocol.DATA_CALLBACK_TOKEN, iBinder);
            bundle2.putBundle(MediaBrowserProtocol.DATA_OPTIONS, bundle);
            i(3, bundle2, messenger);
        }

        /* access modifiers changed from: package-private */
        public void b(Context context, Messenger messenger) throws RemoteException {
            Bundle bundle = new Bundle();
            bundle.putString(MediaBrowserProtocol.DATA_PACKAGE_NAME, context.getPackageName());
            bundle.putBundle(MediaBrowserProtocol.DATA_ROOT_HINTS, this.f127b);
            i(1, bundle, messenger);
        }

        /* access modifiers changed from: package-private */
        public void c(Messenger messenger) throws RemoteException {
            i(2, null, messenger);
        }

        /* access modifiers changed from: package-private */
        public void d(String str, ResultReceiver resultReceiver, Messenger messenger) throws RemoteException {
            Bundle bundle = new Bundle();
            bundle.putString(MediaBrowserProtocol.DATA_MEDIA_ITEM_ID, str);
            bundle.putParcelable(MediaBrowserProtocol.DATA_RESULT_RECEIVER, resultReceiver);
            i(5, bundle, messenger);
        }

        /* access modifiers changed from: package-private */
        public void e(Context context, Messenger messenger) throws RemoteException {
            Bundle bundle = new Bundle();
            bundle.putString(MediaBrowserProtocol.DATA_PACKAGE_NAME, context.getPackageName());
            bundle.putBundle(MediaBrowserProtocol.DATA_ROOT_HINTS, this.f127b);
            i(6, bundle, messenger);
        }

        /* access modifiers changed from: package-private */
        public void f(String str, IBinder iBinder, Messenger messenger) throws RemoteException {
            Bundle bundle = new Bundle();
            bundle.putString(MediaBrowserProtocol.DATA_MEDIA_ITEM_ID, str);
            BundleCompat.putBinder(bundle, MediaBrowserProtocol.DATA_CALLBACK_TOKEN, iBinder);
            i(4, bundle, messenger);
        }

        /* access modifiers changed from: package-private */
        public void g(String str, Bundle bundle, ResultReceiver resultReceiver, Messenger messenger) throws RemoteException {
            Bundle bundle2 = new Bundle();
            bundle2.putString(MediaBrowserProtocol.DATA_SEARCH_QUERY, str);
            bundle2.putBundle(MediaBrowserProtocol.DATA_SEARCH_EXTRAS, bundle);
            bundle2.putParcelable(MediaBrowserProtocol.DATA_RESULT_RECEIVER, resultReceiver);
            i(8, bundle2, messenger);
        }

        /* access modifiers changed from: package-private */
        public void h(String str, Bundle bundle, ResultReceiver resultReceiver, Messenger messenger) throws RemoteException {
            Bundle bundle2 = new Bundle();
            bundle2.putString(MediaBrowserProtocol.DATA_CUSTOM_ACTION, str);
            bundle2.putBundle(MediaBrowserProtocol.DATA_CUSTOM_ACTION_EXTRAS, bundle);
            bundle2.putParcelable(MediaBrowserProtocol.DATA_RESULT_RECEIVER, resultReceiver);
            i(9, bundle2, messenger);
        }

        /* access modifiers changed from: package-private */
        public void j(Messenger messenger) throws RemoteException {
            i(7, null, messenger);
        }
    }

    /* access modifiers changed from: private */
    public static class m {

        /* renamed from: a  reason: collision with root package name */
        private final List<n> f128a = new ArrayList();

        /* renamed from: b  reason: collision with root package name */
        private final List<Bundle> f129b = new ArrayList();

        public n a(Bundle bundle) {
            for (int i7 = 0; i7 < this.f129b.size(); i7++) {
                if (MediaBrowserCompatUtils.areSameOptions(this.f129b.get(i7), bundle)) {
                    return this.f128a.get(i7);
                }
            }
            return null;
        }

        public List<n> b() {
            return this.f128a;
        }

        public List<Bundle> c() {
            return this.f129b;
        }

        public boolean d() {
            return this.f128a.isEmpty();
        }

        public void e(Bundle bundle, n nVar) {
            for (int i7 = 0; i7 < this.f129b.size(); i7++) {
                if (MediaBrowserCompatUtils.areSameOptions(this.f129b.get(i7), bundle)) {
                    this.f128a.set(i7, nVar);
                    return;
                }
            }
            this.f128a.add(nVar);
            this.f129b.add(bundle);
        }
    }

    public static abstract class n {

        /* renamed from: a  reason: collision with root package name */
        final Object f130a = c.a(new b());

        /* renamed from: b  reason: collision with root package name */
        final IBinder f131b = new Binder();

        /* renamed from: c  reason: collision with root package name */
        WeakReference<m> f132c;

        private class a implements a.d {
            a() {
            }

            @Override // android.support.v4.media.a.d
            public void a(@NonNull String str) {
                n.this.c(str);
            }

            @Override // android.support.v4.media.a.d
            public void d(@NonNull String str, List<?> list) {
                WeakReference<m> weakReference = n.this.f132c;
                m mVar = weakReference == null ? null : weakReference.get();
                if (mVar == null) {
                    n.this.a(str, MediaItem.b(list));
                    return;
                }
                List<MediaItem> b7 = MediaItem.b(list);
                List<n> b8 = mVar.b();
                List<Bundle> c7 = mVar.c();
                for (int i7 = 0; i7 < b8.size(); i7++) {
                    Bundle bundle = c7.get(i7);
                    if (bundle == null) {
                        n.this.a(str, b7);
                    } else {
                        n.this.b(str, e(b7, bundle), bundle);
                    }
                }
            }

            /* access modifiers changed from: package-private */
            public List<MediaItem> e(List<MediaItem> list, Bundle bundle) {
                if (list == null) {
                    return null;
                }
                int i7 = bundle.getInt(MediaBrowserCompat.f28d, -1);
                int i8 = bundle.getInt(MediaBrowserCompat.f29e, -1);
                if (i7 == -1 && i8 == -1) {
                    return list;
                }
                int i9 = i8 * i7;
                int i10 = i9 + i8;
                if (i7 < 0 || i8 < 1 || i9 >= list.size()) {
                    return Collections.emptyList();
                }
                if (i10 > list.size()) {
                    i10 = list.size();
                }
                return list.subList(i9, i10);
            }
        }

        private class b extends a implements c.a {
            b() {
                super();
            }

            @Override // android.support.v4.media.c.a
            public void b(@NonNull String str, @NonNull Bundle bundle) {
                n.this.d(str, bundle);
            }

            @Override // android.support.v4.media.c.a
            public void c(@NonNull String str, List<?> list, @NonNull Bundle bundle) {
                n.this.b(str, MediaItem.b(list), bundle);
            }
        }

        public void a(@NonNull String str, @NonNull List<MediaItem> list) {
        }

        public void b(@NonNull String str, @NonNull List<MediaItem> list, @NonNull Bundle bundle) {
        }

        public void c(@NonNull String str) {
        }

        public void d(@NonNull String str, @NonNull Bundle bundle) {
        }

        /* access modifiers changed from: package-private */
        public void e(m mVar) {
            this.f132c = new WeakReference<>(mVar);
        }
    }

    public MediaBrowserCompat(Context context, ComponentName componentName, b bVar, Bundle bundle) {
        this.f34a = new h(context, componentName, bVar, bundle);
    }

    public void a() {
        this.f34a.b();
    }

    public void b() {
        this.f34a.a();
    }

    @Nullable
    public Bundle c() {
        return this.f34a.getExtras();
    }

    public void d(@NonNull String str, @NonNull d dVar) {
        this.f34a.l(str, dVar);
    }

    @Nullable
    @RestrictTo({RestrictTo.Scope.LIBRARY})
    public Bundle e() {
        return this.f34a.q();
    }

    @NonNull
    public String f() {
        return this.f34a.getRoot();
    }

    @NonNull
    public ComponentName g() {
        return this.f34a.j();
    }

    @NonNull
    public MediaSessionCompat.Token h() {
        return this.f34a.d();
    }

    public boolean i() {
        return this.f34a.c();
    }

    public void j(@NonNull String str, Bundle bundle, @NonNull k kVar) {
        if (TextUtils.isEmpty(str)) {
            throw new IllegalArgumentException("query cannot be empty");
        } else if (kVar != null) {
            this.f34a.p(str, bundle, kVar);
        } else {
            throw new IllegalArgumentException("callback cannot be null");
        }
    }

    public void k(@NonNull String str, Bundle bundle, @Nullable c cVar) {
        if (!TextUtils.isEmpty(str)) {
            this.f34a.h(str, bundle, cVar);
            return;
        }
        throw new IllegalArgumentException("action cannot be empty");
    }

    public void l(@NonNull String str, @NonNull Bundle bundle, @NonNull n nVar) {
        if (TextUtils.isEmpty(str)) {
            throw new IllegalArgumentException("parentId is empty");
        } else if (nVar == null) {
            throw new IllegalArgumentException("callback is null");
        } else if (bundle != null) {
            this.f34a.m(str, bundle, nVar);
        } else {
            throw new IllegalArgumentException("options are null");
        }
    }

    public void m(@NonNull String str, @NonNull n nVar) {
        if (TextUtils.isEmpty(str)) {
            throw new IllegalArgumentException("parentId is empty");
        } else if (nVar != null) {
            this.f34a.m(str, null, nVar);
        } else {
            throw new IllegalArgumentException("callback is null");
        }
    }

    public void n(@NonNull String str) {
        if (!TextUtils.isEmpty(str)) {
            this.f34a.o(str, null);
            return;
        }
        throw new IllegalArgumentException("parentId is empty");
    }

    public void o(@NonNull String str, @NonNull n nVar) {
        if (TextUtils.isEmpty(str)) {
            throw new IllegalArgumentException("parentId is empty");
        } else if (nVar != null) {
            this.f34a.o(str, nVar);
        } else {
            throw new IllegalArgumentException("callback is null");
        }
    }
}
