package android.support.v4.media;

import android.graphics.Bitmap;
import android.net.Uri;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.support.v4.media.d;
import android.support.v4.media.e;
import android.support.v4.media.session.MediaSessionCompat;
import android.text.TextUtils;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;

public final class MediaDescriptionCompat implements Parcelable {
    public static final Parcelable.Creator<MediaDescriptionCompat> CREATOR = new a();
    public static final String W5 = "android.media.extra.BT_FOLDER_TYPE";
    public static final long X5 = 0;
    public static final long Y5 = 1;
    public static final long Z5 = 2;

    /* renamed from: a6  reason: collision with root package name */
    public static final long f135a6 = 3;

    /* renamed from: b6  reason: collision with root package name */
    public static final long f136b6 = 4;

    /* renamed from: c6  reason: collision with root package name */
    public static final long f137c6 = 5;

    /* renamed from: d6  reason: collision with root package name */
    public static final long f138d6 = 6;

    /* renamed from: e6  reason: collision with root package name */
    public static final String f139e6 = "android.media.extra.DOWNLOAD_STATUS";

    /* renamed from: f6  reason: collision with root package name */
    public static final long f140f6 = 0;

    /* renamed from: g6  reason: collision with root package name */
    public static final long f141g6 = 1;

    /* renamed from: h6  reason: collision with root package name */
    public static final long f142h6 = 2;
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})

    /* renamed from: i6  reason: collision with root package name */
    public static final String f143i6 = "android.support.v4.media.description.MEDIA_URI";
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})

    /* renamed from: j6  reason: collision with root package name */
    public static final String f144j6 = "android.support.v4.media.description.NULL_BUNDLE_FLAG";
    private final Uri C1;
    private final Bundle C2;
    private final Uri U5;
    private Object V5;

    /* renamed from: f  reason: collision with root package name */
    private final String f145f;

    /* renamed from: g  reason: collision with root package name */
    private final CharSequence f146g;

    /* renamed from: p  reason: collision with root package name */
    private final CharSequence f147p;

    /* renamed from: x  reason: collision with root package name */
    private final CharSequence f148x;

    /* renamed from: y  reason: collision with root package name */
    private final Bitmap f149y;

    static class a implements Parcelable.Creator<MediaDescriptionCompat> {
        a() {
        }

        /* renamed from: a */
        public MediaDescriptionCompat createFromParcel(Parcel parcel) {
            return MediaDescriptionCompat.a(d.a(parcel));
        }

        /* renamed from: b */
        public MediaDescriptionCompat[] newArray(int i7) {
            return new MediaDescriptionCompat[i7];
        }
    }

    public static final class b {

        /* renamed from: a  reason: collision with root package name */
        private String f150a;

        /* renamed from: b  reason: collision with root package name */
        private CharSequence f151b;

        /* renamed from: c  reason: collision with root package name */
        private CharSequence f152c;

        /* renamed from: d  reason: collision with root package name */
        private CharSequence f153d;

        /* renamed from: e  reason: collision with root package name */
        private Bitmap f154e;

        /* renamed from: f  reason: collision with root package name */
        private Uri f155f;

        /* renamed from: g  reason: collision with root package name */
        private Bundle f156g;

        /* renamed from: h  reason: collision with root package name */
        private Uri f157h;

        public MediaDescriptionCompat a() {
            return new MediaDescriptionCompat(this.f150a, this.f151b, this.f152c, this.f153d, this.f154e, this.f155f, this.f156g, this.f157h);
        }

        public b b(@Nullable CharSequence charSequence) {
            this.f153d = charSequence;
            return this;
        }

        public b c(@Nullable Bundle bundle) {
            this.f156g = bundle;
            return this;
        }

        public b d(@Nullable Bitmap bitmap) {
            this.f154e = bitmap;
            return this;
        }

        public b e(@Nullable Uri uri) {
            this.f155f = uri;
            return this;
        }

        public b f(@Nullable String str) {
            this.f150a = str;
            return this;
        }

        public b g(@Nullable Uri uri) {
            this.f157h = uri;
            return this;
        }

        public b h(@Nullable CharSequence charSequence) {
            this.f152c = charSequence;
            return this;
        }

        public b i(@Nullable CharSequence charSequence) {
            this.f151b = charSequence;
            return this;
        }
    }

    MediaDescriptionCompat(Parcel parcel) {
        this.f145f = parcel.readString();
        this.f146g = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
        this.f147p = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
        this.f148x = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
        ClassLoader classLoader = MediaDescriptionCompat.class.getClassLoader();
        this.f149y = (Bitmap) parcel.readParcelable(classLoader);
        this.C1 = (Uri) parcel.readParcelable(classLoader);
        this.C2 = parcel.readBundle(classLoader);
        this.U5 = (Uri) parcel.readParcelable(classLoader);
    }

    /* JADX WARNING: Removed duplicated region for block: B:15:0x0063  */
    /* JADX WARNING: Removed duplicated region for block: B:16:0x0067  */
    public static MediaDescriptionCompat a(Object obj) {
        Uri uri;
        Bundle bundle = null;
        if (obj == null) {
            return null;
        }
        b bVar = new b();
        bVar.f(d.f(obj));
        bVar.i(d.h(obj));
        bVar.h(d.g(obj));
        bVar.b(d.b(obj));
        bVar.d(d.d(obj));
        bVar.e(d.e(obj));
        Bundle c7 = d.c(obj);
        if (c7 != null) {
            MediaSessionCompat.b(c7);
            uri = (Uri) c7.getParcelable(f143i6);
        } else {
            uri = null;
        }
        if (uri != null) {
            if (!c7.containsKey(f144j6) || c7.size() != 2) {
                c7.remove(f143i6);
                c7.remove(f144j6);
            }
            bVar.c(bundle);
            if (uri == null) {
                bVar.g(uri);
            } else {
                bVar.g(e.a(obj));
            }
            MediaDescriptionCompat a8 = bVar.a();
            a8.V5 = obj;
            return a8;
        }
        bundle = c7;
        bVar.c(bundle);
        if (uri == null) {
        }
        MediaDescriptionCompat a82 = bVar.a();
        a82.V5 = obj;
        return a82;
    }

    @Nullable
    public CharSequence b() {
        return this.f148x;
    }

    public int describeContents() {
        return 0;
    }

    @Nullable
    public Bundle j() {
        return this.C2;
    }

    @Nullable
    public Bitmap l() {
        return this.f149y;
    }

    @Nullable
    public Uri m() {
        return this.C1;
    }

    public Object n() {
        Object obj = this.V5;
        if (obj != null) {
            return obj;
        }
        Object b7 = d.a.b();
        d.a.g(b7, this.f145f);
        d.a.i(b7, this.f146g);
        d.a.h(b7, this.f147p);
        d.a.c(b7, this.f148x);
        d.a.e(b7, this.f149y);
        d.a.f(b7, this.C1);
        d.a.d(b7, this.C2);
        e.a.a(b7, this.U5);
        Object a8 = d.a.a(b7);
        this.V5 = a8;
        return a8;
    }

    @Nullable
    public String o() {
        return this.f145f;
    }

    @Nullable
    public Uri q() {
        return this.U5;
    }

    @Nullable
    public CharSequence r() {
        return this.f147p;
    }

    @Nullable
    public CharSequence s() {
        return this.f146g;
    }

    public String toString() {
        return ((Object) this.f146g) + ", " + ((Object) this.f147p) + ", " + ((Object) this.f148x);
    }

    public void writeToParcel(Parcel parcel, int i7) {
        d.i(n(), parcel, i7);
    }

    MediaDescriptionCompat(String str, CharSequence charSequence, CharSequence charSequence2, CharSequence charSequence3, Bitmap bitmap, Uri uri, Bundle bundle, Uri uri2) {
        this.f145f = str;
        this.f146g = charSequence;
        this.f147p = charSequence2;
        this.f148x = charSequence3;
        this.f149y = bitmap;
        this.C1 = uri;
        this.C2 = bundle;
        this.U5 = uri2;
    }
}
