package android.support.v4.media;

import android.graphics.Bitmap;
import android.net.Uri;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.support.v4.media.MediaDescriptionCompat;
import android.support.v4.media.session.MediaSessionCompat;
import android.text.TextUtils;
import android.util.Log;
import androidx.annotation.RestrictTo;
import androidx.collection.ArrayMap;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.util.Set;

public final class MediaMetadataCompat implements Parcelable {
    static final ArrayMap<String, Integer> A6;
    private static final String[] B6 = {f183y, C1, U5, f163f6, W5, V5, X5};
    public static final String C1 = "android.media.metadata.ARTIST";
    public static final String C2 = "android.media.metadata.DURATION";
    private static final String[] C6 = {f173p6, f164g6, f166i6};
    public static final Parcelable.Creator<MediaMetadataCompat> CREATOR = new a();
    private static final String[] D6 = {f174q6, f165h6, f167j6};
    public static final String U5 = "android.media.metadata.ALBUM";
    public static final String V5 = "android.media.metadata.AUTHOR";
    public static final String W5 = "android.media.metadata.WRITER";
    public static final String X5 = "android.media.metadata.COMPOSER";
    public static final String Y5 = "android.media.metadata.COMPILATION";
    public static final String Z5 = "android.media.metadata.DATE";

    /* renamed from: a6  reason: collision with root package name */
    public static final String f158a6 = "android.media.metadata.YEAR";

    /* renamed from: b6  reason: collision with root package name */
    public static final String f159b6 = "android.media.metadata.GENRE";

    /* renamed from: c6  reason: collision with root package name */
    public static final String f160c6 = "android.media.metadata.TRACK_NUMBER";

    /* renamed from: d6  reason: collision with root package name */
    public static final String f161d6 = "android.media.metadata.NUM_TRACKS";

    /* renamed from: e6  reason: collision with root package name */
    public static final String f162e6 = "android.media.metadata.DISC_NUMBER";

    /* renamed from: f6  reason: collision with root package name */
    public static final String f163f6 = "android.media.metadata.ALBUM_ARTIST";

    /* renamed from: g6  reason: collision with root package name */
    public static final String f164g6 = "android.media.metadata.ART";

    /* renamed from: h6  reason: collision with root package name */
    public static final String f165h6 = "android.media.metadata.ART_URI";

    /* renamed from: i6  reason: collision with root package name */
    public static final String f166i6 = "android.media.metadata.ALBUM_ART";

    /* renamed from: j6  reason: collision with root package name */
    public static final String f167j6 = "android.media.metadata.ALBUM_ART_URI";

    /* renamed from: k6  reason: collision with root package name */
    public static final String f168k6 = "android.media.metadata.USER_RATING";

    /* renamed from: l6  reason: collision with root package name */
    public static final String f169l6 = "android.media.metadata.RATING";

    /* renamed from: m6  reason: collision with root package name */
    public static final String f170m6 = "android.media.metadata.DISPLAY_TITLE";

    /* renamed from: n6  reason: collision with root package name */
    public static final String f171n6 = "android.media.metadata.DISPLAY_SUBTITLE";

    /* renamed from: o6  reason: collision with root package name */
    public static final String f172o6 = "android.media.metadata.DISPLAY_DESCRIPTION";

    /* renamed from: p6  reason: collision with root package name */
    public static final String f173p6 = "android.media.metadata.DISPLAY_ICON";

    /* renamed from: q6  reason: collision with root package name */
    public static final String f174q6 = "android.media.metadata.DISPLAY_ICON_URI";

    /* renamed from: r6  reason: collision with root package name */
    public static final String f175r6 = "android.media.metadata.MEDIA_ID";

    /* renamed from: s6  reason: collision with root package name */
    public static final String f176s6 = "android.media.metadata.MEDIA_URI";

    /* renamed from: t6  reason: collision with root package name */
    public static final String f177t6 = "android.media.metadata.BT_FOLDER_TYPE";

    /* renamed from: u6  reason: collision with root package name */
    public static final String f178u6 = "android.media.metadata.ADVERTISEMENT";

    /* renamed from: v6  reason: collision with root package name */
    public static final String f179v6 = "android.media.metadata.DOWNLOAD_STATUS";

    /* renamed from: w6  reason: collision with root package name */
    static final int f180w6 = 0;

    /* renamed from: x  reason: collision with root package name */
    private static final String f181x = "MediaMetadata";

    /* renamed from: x6  reason: collision with root package name */
    static final int f182x6 = 1;

    /* renamed from: y  reason: collision with root package name */
    public static final String f183y = "android.media.metadata.TITLE";

    /* renamed from: y6  reason: collision with root package name */
    static final int f184y6 = 2;

    /* renamed from: z6  reason: collision with root package name */
    static final int f185z6 = 3;

    /* renamed from: f  reason: collision with root package name */
    final Bundle f186f;

    /* renamed from: g  reason: collision with root package name */
    private Object f187g;

    /* renamed from: p  reason: collision with root package name */
    private MediaDescriptionCompat f188p;

    static class a implements Parcelable.Creator<MediaMetadataCompat> {
        a() {
        }

        /* renamed from: a */
        public MediaMetadataCompat createFromParcel(Parcel parcel) {
            return new MediaMetadataCompat(parcel);
        }

        /* renamed from: b */
        public MediaMetadataCompat[] newArray(int i7) {
            return new MediaMetadataCompat[i7];
        }
    }

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public @interface b {
    }

    public static final class c {

        /* renamed from: a  reason: collision with root package name */
        private final Bundle f189a;

        public c() {
            this.f189a = new Bundle();
        }

        private Bitmap g(Bitmap bitmap, int i7) {
            float f7 = (float) i7;
            float min = Math.min(f7 / ((float) bitmap.getWidth()), f7 / ((float) bitmap.getHeight()));
            return Bitmap.createScaledBitmap(bitmap, (int) (((float) bitmap.getWidth()) * min), (int) (((float) bitmap.getHeight()) * min), true);
        }

        public MediaMetadataCompat a() {
            return new MediaMetadataCompat(this.f189a);
        }

        public c b(String str, Bitmap bitmap) {
            ArrayMap<String, Integer> arrayMap = MediaMetadataCompat.A6;
            if (!arrayMap.containsKey(str) || arrayMap.get(str).intValue() == 2) {
                this.f189a.putParcelable(str, bitmap);
                return this;
            }
            throw new IllegalArgumentException("The " + str + " key cannot be used to put a Bitmap");
        }

        public c c(String str, long j7) {
            ArrayMap<String, Integer> arrayMap = MediaMetadataCompat.A6;
            if (!arrayMap.containsKey(str) || arrayMap.get(str).intValue() == 0) {
                this.f189a.putLong(str, j7);
                return this;
            }
            throw new IllegalArgumentException("The " + str + " key cannot be used to put a long");
        }

        public c d(String str, RatingCompat ratingCompat) {
            ArrayMap<String, Integer> arrayMap = MediaMetadataCompat.A6;
            if (!arrayMap.containsKey(str) || arrayMap.get(str).intValue() == 3) {
                this.f189a.putParcelable(str, (Parcelable) ratingCompat.j());
                return this;
            }
            throw new IllegalArgumentException("The " + str + " key cannot be used to put a Rating");
        }

        public c e(String str, String str2) {
            ArrayMap<String, Integer> arrayMap = MediaMetadataCompat.A6;
            if (!arrayMap.containsKey(str) || arrayMap.get(str).intValue() == 1) {
                this.f189a.putCharSequence(str, str2);
                return this;
            }
            throw new IllegalArgumentException("The " + str + " key cannot be used to put a String");
        }

        public c f(String str, CharSequence charSequence) {
            ArrayMap<String, Integer> arrayMap = MediaMetadataCompat.A6;
            if (!arrayMap.containsKey(str) || arrayMap.get(str).intValue() == 1) {
                this.f189a.putCharSequence(str, charSequence);
                return this;
            }
            throw new IllegalArgumentException("The " + str + " key cannot be used to put a CharSequence");
        }

        public c(MediaMetadataCompat mediaMetadataCompat) {
            Bundle bundle = new Bundle(mediaMetadataCompat.f186f);
            this.f189a = bundle;
            MediaSessionCompat.b(bundle);
        }

        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
        public c(MediaMetadataCompat mediaMetadataCompat, int i7) {
            this(mediaMetadataCompat);
            for (String str : this.f189a.keySet()) {
                Object obj = this.f189a.get(str);
                if (obj instanceof Bitmap) {
                    Bitmap bitmap = (Bitmap) obj;
                    if (bitmap.getHeight() > i7 || bitmap.getWidth() > i7) {
                        b(str, g(bitmap, i7));
                    }
                }
            }
        }
    }

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public @interface d {
    }

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public @interface e {
    }

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public @interface f {
    }

    static {
        ArrayMap<String, Integer> arrayMap = new ArrayMap<>();
        A6 = arrayMap;
        arrayMap.put(f183y, 1);
        arrayMap.put(C1, 1);
        arrayMap.put(C2, 0);
        arrayMap.put(U5, 1);
        arrayMap.put(V5, 1);
        arrayMap.put(W5, 1);
        arrayMap.put(X5, 1);
        arrayMap.put(Y5, 1);
        arrayMap.put(Z5, 1);
        arrayMap.put(f158a6, 0);
        arrayMap.put(f159b6, 1);
        arrayMap.put(f160c6, 0);
        arrayMap.put(f161d6, 0);
        arrayMap.put(f162e6, 0);
        arrayMap.put(f163f6, 1);
        arrayMap.put(f164g6, 2);
        arrayMap.put(f165h6, 1);
        arrayMap.put(f166i6, 2);
        arrayMap.put(f167j6, 1);
        arrayMap.put(f168k6, 3);
        arrayMap.put(f169l6, 3);
        arrayMap.put(f170m6, 1);
        arrayMap.put(f171n6, 1);
        arrayMap.put(f172o6, 1);
        arrayMap.put(f173p6, 2);
        arrayMap.put(f174q6, 1);
        arrayMap.put(f175r6, 1);
        arrayMap.put(f177t6, 0);
        arrayMap.put(f176s6, 1);
        arrayMap.put(f178u6, 0);
        arrayMap.put(f179v6, 0);
    }

    MediaMetadataCompat(Bundle bundle) {
        Bundle bundle2 = new Bundle(bundle);
        this.f186f = bundle2;
        MediaSessionCompat.b(bundle2);
    }

    public static MediaMetadataCompat b(Object obj) {
        if (obj == null) {
            return null;
        }
        Parcel obtain = Parcel.obtain();
        f.g(obj, obtain, 0);
        obtain.setDataPosition(0);
        MediaMetadataCompat createFromParcel = CREATOR.createFromParcel(obtain);
        obtain.recycle();
        createFromParcel.f187g = obj;
        return createFromParcel;
    }

    public boolean a(String str) {
        return this.f186f.containsKey(str);
    }

    public int describeContents() {
        return 0;
    }

    public Bitmap j(String str) {
        try {
            return (Bitmap) this.f186f.getParcelable(str);
        } catch (Exception e7) {
            Log.w(f181x, "Failed to retrieve a key as Bitmap.", e7);
            return null;
        }
    }

    public Bundle l() {
        return new Bundle(this.f186f);
    }

    public MediaDescriptionCompat m() {
        Uri uri;
        Bitmap bitmap;
        Uri uri2;
        MediaDescriptionCompat mediaDescriptionCompat = this.f188p;
        if (mediaDescriptionCompat != null) {
            return mediaDescriptionCompat;
        }
        String r7 = r(f175r6);
        CharSequence[] charSequenceArr = new CharSequence[3];
        CharSequence s7 = s(f170m6);
        if (TextUtils.isEmpty(s7)) {
            int i7 = 0;
            int i8 = 0;
            while (i7 < 3) {
                String[] strArr = B6;
                if (i8 >= strArr.length) {
                    break;
                }
                int i9 = i8 + 1;
                CharSequence s8 = s(strArr[i8]);
                if (!TextUtils.isEmpty(s8)) {
                    charSequenceArr[i7] = s8;
                    i7++;
                }
                i8 = i9;
            }
        } else {
            charSequenceArr[0] = s7;
            charSequenceArr[1] = s(f171n6);
            charSequenceArr[2] = s(f172o6);
        }
        int i10 = 0;
        while (true) {
            String[] strArr2 = C6;
            uri = null;
            if (i10 >= strArr2.length) {
                bitmap = null;
                break;
            }
            bitmap = j(strArr2[i10]);
            if (bitmap != null) {
                break;
            }
            i10++;
        }
        int i11 = 0;
        while (true) {
            String[] strArr3 = D6;
            if (i11 >= strArr3.length) {
                uri2 = null;
                break;
            }
            String r8 = r(strArr3[i11]);
            if (!TextUtils.isEmpty(r8)) {
                uri2 = Uri.parse(r8);
                break;
            }
            i11++;
        }
        String r9 = r(f176s6);
        if (!TextUtils.isEmpty(r9)) {
            uri = Uri.parse(r9);
        }
        MediaDescriptionCompat.b bVar = new MediaDescriptionCompat.b();
        bVar.f(r7);
        bVar.i(charSequenceArr[0]);
        bVar.h(charSequenceArr[1]);
        bVar.b(charSequenceArr[2]);
        bVar.d(bitmap);
        bVar.e(uri2);
        bVar.g(uri);
        Bundle bundle = new Bundle();
        if (this.f186f.containsKey(f177t6)) {
            bundle.putLong(MediaDescriptionCompat.W5, n(f177t6));
        }
        if (this.f186f.containsKey(f179v6)) {
            bundle.putLong(MediaDescriptionCompat.f139e6, n(f179v6));
        }
        if (!bundle.isEmpty()) {
            bVar.c(bundle);
        }
        MediaDescriptionCompat a8 = bVar.a();
        this.f188p = a8;
        return a8;
    }

    public long n(String str) {
        return this.f186f.getLong(str, 0);
    }

    public Object o() {
        if (this.f187g == null) {
            Parcel obtain = Parcel.obtain();
            writeToParcel(obtain, 0);
            obtain.setDataPosition(0);
            this.f187g = f.a(obtain);
            obtain.recycle();
        }
        return this.f187g;
    }

    public RatingCompat q(String str) {
        try {
            return RatingCompat.a(this.f186f.getParcelable(str));
        } catch (Exception e7) {
            Log.w(f181x, "Failed to retrieve a key as Rating.", e7);
            return null;
        }
    }

    public String r(String str) {
        CharSequence charSequence = this.f186f.getCharSequence(str);
        if (charSequence != null) {
            return charSequence.toString();
        }
        return null;
    }

    public CharSequence s(String str) {
        return this.f186f.getCharSequence(str);
    }

    public Set<String> t() {
        return this.f186f.keySet();
    }

    public int u() {
        return this.f186f.size();
    }

    public void writeToParcel(Parcel parcel, int i7) {
        parcel.writeBundle(this.f186f);
    }

    MediaMetadataCompat(Parcel parcel) {
        this.f186f = parcel.readBundle(MediaSessionCompat.class.getClassLoader());
    }
}
