package android.support.v4.media;

import android.media.Rating;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.Log;
import androidx.annotation.RestrictTo;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

public final class RatingCompat implements Parcelable {
    public static final int C1 = 1;
    public static final int C2 = 2;
    public static final Parcelable.Creator<RatingCompat> CREATOR = new a();
    public static final int U5 = 3;
    public static final int V5 = 4;
    public static final int W5 = 5;
    public static final int X5 = 6;
    private static final float Y5 = -1.0f;

    /* renamed from: x  reason: collision with root package name */
    private static final String f190x = "Rating";

    /* renamed from: y  reason: collision with root package name */
    public static final int f191y = 0;

    /* renamed from: f  reason: collision with root package name */
    private final int f192f;

    /* renamed from: g  reason: collision with root package name */
    private final float f193g;

    /* renamed from: p  reason: collision with root package name */
    private Object f194p;

    static class a implements Parcelable.Creator<RatingCompat> {
        a() {
        }

        /* renamed from: a */
        public RatingCompat createFromParcel(Parcel parcel) {
            return new RatingCompat(parcel.readInt(), parcel.readFloat());
        }

        /* renamed from: b */
        public RatingCompat[] newArray(int i7) {
            return new RatingCompat[i7];
        }
    }

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public @interface b {
    }

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public @interface c {
    }

    RatingCompat(int i7, float f7) {
        this.f192f = i7;
        this.f193g = f7;
    }

    public static RatingCompat a(Object obj) {
        RatingCompat ratingCompat = null;
        if (obj != null) {
            Rating rating = (Rating) obj;
            int ratingStyle = rating.getRatingStyle();
            if (rating.isRated()) {
                switch (ratingStyle) {
                    case 1:
                        ratingCompat = r(rating.hasHeart());
                        break;
                    case 2:
                        ratingCompat = u(rating.isThumbUp());
                        break;
                    case 3:
                    case 4:
                    case 5:
                        ratingCompat = t(ratingStyle, rating.getStarRating());
                        break;
                    case 6:
                        ratingCompat = s(rating.getPercentRating());
                        break;
                    default:
                        return null;
                }
            } else {
                ratingCompat = v(ratingStyle);
            }
            ratingCompat.f194p = obj;
        }
        return ratingCompat;
    }

    public static RatingCompat r(boolean z7) {
        return new RatingCompat(1, z7 ? 1.0f : 0.0f);
    }

    public static RatingCompat s(float f7) {
        if (f7 >= 0.0f && f7 <= 100.0f) {
            return new RatingCompat(6, f7);
        }
        Log.e(f190x, "Invalid percentage-based rating value");
        return null;
    }

    public static RatingCompat t(int i7, float f7) {
        float f8;
        String str;
        if (i7 != 3) {
            if (i7 == 4) {
                f8 = 4.0f;
            } else if (i7 != 5) {
                str = "Invalid rating style (" + i7 + ") for a star rating";
            } else {
                f8 = 5.0f;
            }
            if (f7 < 0.0f && f7 <= f8) {
                return new RatingCompat(i7, f7);
            }
            str = "Trying to set out of range star-based rating";
        } else {
            f8 = 3.0f;
            if (f7 < 0.0f) {
            }
            str = "Trying to set out of range star-based rating";
        }
        Log.e(f190x, str);
        return null;
    }

    public static RatingCompat u(boolean z7) {
        return new RatingCompat(2, z7 ? 1.0f : 0.0f);
    }

    public static RatingCompat v(int i7) {
        switch (i7) {
            case 1:
            case 2:
            case 3:
            case 4:
            case 5:
            case 6:
                return new RatingCompat(i7, -1.0f);
            default:
                return null;
        }
    }

    public float b() {
        if (this.f192f != 6 || !o()) {
            return -1.0f;
        }
        return this.f193g;
    }

    public int describeContents() {
        return this.f192f;
    }

    public Object j() {
        Rating rating;
        if (this.f194p == null) {
            if (o()) {
                int i7 = this.f192f;
                switch (i7) {
                    case 1:
                        rating = Rating.newHeartRating(n());
                        break;
                    case 2:
                        rating = Rating.newThumbRating(q());
                        break;
                    case 3:
                    case 4:
                    case 5:
                        rating = Rating.newStarRating(i7, m());
                        break;
                    case 6:
                        rating = Rating.newPercentageRating(b());
                        break;
                    default:
                        return null;
                }
            } else {
                rating = Rating.newUnratedRating(this.f192f);
            }
            this.f194p = rating;
        }
        return this.f194p;
    }

    public int l() {
        return this.f192f;
    }

    public float m() {
        int i7 = this.f192f;
        if ((i7 == 3 || i7 == 4 || i7 == 5) && o()) {
            return this.f193g;
        }
        return -1.0f;
    }

    public boolean n() {
        return this.f192f == 1 && this.f193g == 1.0f;
    }

    public boolean o() {
        return this.f193g >= 0.0f;
    }

    public boolean q() {
        return this.f192f == 2 && this.f193g == 1.0f;
    }

    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("Rating:style=");
        sb.append(this.f192f);
        sb.append(" rating=");
        float f7 = this.f193g;
        sb.append(f7 < 0.0f ? "unrated" : String.valueOf(f7));
        return sb.toString();
    }

    public void writeToParcel(Parcel parcel, int i7) {
        parcel.writeInt(this.f192f);
        parcel.writeFloat(this.f193g);
    }
}
