package android.support.v4.media.session;

import android.app.Activity;
import android.app.PendingIntent;
import android.content.Context;
import android.net.Uri;
import android.os.Bundle;
import android.os.Handler;
import android.os.IBinder;
import android.os.Looper;
import android.os.Message;
import android.os.RemoteException;
import android.os.ResultReceiver;
import android.support.v4.media.MediaDescriptionCompat;
import android.support.v4.media.MediaMetadataCompat;
import android.support.v4.media.RatingCompat;
import android.support.v4.media.session.MediaSessionCompat;
import android.support.v4.media.session.PlaybackStateCompat;
import android.support.v4.media.session.a;
import android.support.v4.media.session.b;
import android.support.v4.media.session.c;
import android.support.v4.media.session.d;
import android.support.v4.media.session.e;
import android.text.TextUtils;
import android.util.Log;
import android.view.KeyEvent;
import androidx.annotation.GuardedBy;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.annotation.RestrictTo;
import androidx.core.app.BundleCompat;
import androidx.core.app.ComponentActivity;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.HashSet;
import java.util.List;

public final class MediaControllerCompat {

    /* renamed from: d  reason: collision with root package name */
    static final String f200d = "MediaControllerCompat";
    @RestrictTo({RestrictTo.Scope.LIBRARY})

    /* renamed from: e  reason: collision with root package name */
    public static final String f201e = "android.support.v4.media.session.command.GET_EXTRA_BINDER";
    @RestrictTo({RestrictTo.Scope.LIBRARY})

    /* renamed from: f  reason: collision with root package name */
    public static final String f202f = "android.support.v4.media.session.command.ADD_QUEUE_ITEM";
    @RestrictTo({RestrictTo.Scope.LIBRARY})

    /* renamed from: g  reason: collision with root package name */
    public static final String f203g = "android.support.v4.media.session.command.ADD_QUEUE_ITEM_AT";
    @RestrictTo({RestrictTo.Scope.LIBRARY})

    /* renamed from: h  reason: collision with root package name */
    public static final String f204h = "android.support.v4.media.session.command.REMOVE_QUEUE_ITEM";
    @RestrictTo({RestrictTo.Scope.LIBRARY})

    /* renamed from: i  reason: collision with root package name */
    public static final String f205i = "android.support.v4.media.session.command.REMOVE_QUEUE_ITEM_AT";
    @RestrictTo({RestrictTo.Scope.LIBRARY})

    /* renamed from: j  reason: collision with root package name */
    public static final String f206j = "android.support.v4.media.session.command.ARGUMENT_MEDIA_DESCRIPTION";
    @RestrictTo({RestrictTo.Scope.LIBRARY})

    /* renamed from: k  reason: collision with root package name */
    public static final String f207k = "android.support.v4.media.session.command.ARGUMENT_INDEX";

    /* renamed from: a  reason: collision with root package name */
    private final c f208a;

    /* renamed from: b  reason: collision with root package name */
    private final MediaSessionCompat.Token f209b;

    /* renamed from: c  reason: collision with root package name */
    private final HashSet<a> f210c = new HashSet<>();

    @RequiresApi(21)
    static class MediaControllerImplApi21 implements c {

        /* renamed from: a  reason: collision with root package name */
        protected final Object f211a;

        /* renamed from: b  reason: collision with root package name */
        final Object f212b = new Object();
        @GuardedBy("mLock")

        /* renamed from: c  reason: collision with root package name */
        private final List<a> f213c = new ArrayList();

        /* renamed from: d  reason: collision with root package name */
        private HashMap<a, a> f214d = new HashMap<>();

        /* renamed from: e  reason: collision with root package name */
        final MediaSessionCompat.Token f215e;

        /* access modifiers changed from: private */
        public static class ExtraBinderRequestResultReceiver extends ResultReceiver {

            /* renamed from: f  reason: collision with root package name */
            private WeakReference<MediaControllerImplApi21> f216f;

            ExtraBinderRequestResultReceiver(MediaControllerImplApi21 mediaControllerImplApi21) {
                super(null);
                this.f216f = new WeakReference<>(mediaControllerImplApi21);
            }

            /* access modifiers changed from: protected */
            public void onReceiveResult(int i7, Bundle bundle) {
                MediaControllerImplApi21 mediaControllerImplApi21 = this.f216f.get();
                if (mediaControllerImplApi21 != null && bundle != null) {
                    synchronized (mediaControllerImplApi21.f212b) {
                        mediaControllerImplApi21.f215e.o(b.a.d(BundleCompat.getBinder(bundle, MediaSessionCompat.I)));
                        mediaControllerImplApi21.f215e.q(bundle.getBundle(MediaSessionCompat.J));
                        mediaControllerImplApi21.v();
                    }
                }
            }
        }

        /* access modifiers changed from: private */
        public static class a extends a.c {
            a(a aVar) {
                super(aVar);
            }

            @Override // android.support.v4.media.session.a, android.support.v4.media.session.MediaControllerCompat.a.c
            public void N1(ParcelableVolumeInfo parcelableVolumeInfo) throws RemoteException {
                throw new AssertionError();
            }

            @Override // android.support.v4.media.session.a, android.support.v4.media.session.MediaControllerCompat.a.c
            public void W0(MediaMetadataCompat mediaMetadataCompat) throws RemoteException {
                throw new AssertionError();
            }

            @Override // android.support.v4.media.session.a, android.support.v4.media.session.MediaControllerCompat.a.c
            public void b(Bundle bundle) throws RemoteException {
                throw new AssertionError();
            }

            @Override // android.support.v4.media.session.a, android.support.v4.media.session.MediaControllerCompat.a.c
            public void c(List<MediaSessionCompat.QueueItem> list) throws RemoteException {
                throw new AssertionError();
            }

            @Override // android.support.v4.media.session.a, android.support.v4.media.session.MediaControllerCompat.a.c
            public void h(CharSequence charSequence) throws RemoteException {
                throw new AssertionError();
            }

            @Override // android.support.v4.media.session.a, android.support.v4.media.session.MediaControllerCompat.a.c
            public void i() throws RemoteException {
                throw new AssertionError();
            }
        }

        public MediaControllerImplApi21(Context context, MediaSessionCompat.Token token) throws RemoteException {
            this.f215e = token;
            Object d7 = c.d(context, token.n());
            this.f211a = d7;
            if (d7 == null) {
                throw new RemoteException();
            } else if (token.l() == null) {
                w();
            }
        }

        private void w() {
            g(MediaControllerCompat.f201e, null, new ExtraBinderRequestResultReceiver(this));
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.c
        public g a() {
            Object j7 = c.j(this.f211a);
            if (j7 != null) {
                return new g(c.C0011c.e(j7), c.C0011c.c(j7), c.C0011c.f(j7), c.C0011c.d(j7), c.C0011c.b(j7));
            }
            return null;
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.c
        public void b(int i7, int i8) {
            c.a(this.f211a, i7, i8);
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.c
        public final void c(a aVar) {
            c.v(this.f211a, aVar.f217a);
            synchronized (this.f212b) {
                if (this.f215e.l() != null) {
                    try {
                        a remove = this.f214d.remove(aVar);
                        if (remove != null) {
                            aVar.f219c = null;
                            this.f215e.l().r0(remove);
                        }
                    } catch (RemoteException e7) {
                        Log.e(MediaControllerCompat.f200d, "Dead object in unregisterCallback.", e7);
                    }
                } else {
                    this.f213c.remove(aVar);
                }
            }
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.c
        public boolean d(KeyEvent keyEvent) {
            return c.c(this.f211a, keyEvent);
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.c
        public void e(int i7, int i8) {
            c.u(this.f211a, i7, i8);
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.c
        public void f(MediaDescriptionCompat mediaDescriptionCompat, int i7) {
            if ((getFlags() & 4) != 0) {
                Bundle bundle = new Bundle();
                bundle.putParcelable(MediaControllerCompat.f206j, mediaDescriptionCompat);
                bundle.putInt(MediaControllerCompat.f207k, i7);
                g(MediaControllerCompat.f203g, bundle, null);
                return;
            }
            throw new UnsupportedOperationException("This session doesn't support queue management operations");
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.c
        public void g(String str, Bundle bundle, ResultReceiver resultReceiver) {
            c.s(this.f211a, str, bundle, resultReceiver);
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.c
        public Bundle getExtras() {
            return c.e(this.f211a);
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.c
        public long getFlags() {
            return c.f(this.f211a);
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.c
        public String getPackageName() {
            return c.i(this.f211a);
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.c
        public boolean h() {
            return this.f215e.l() != null;
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.c
        public PendingIntent i() {
            return c.o(this.f211a);
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.c
        public MediaMetadataCompat j() {
            Object h7 = c.h(this.f211a);
            if (h7 != null) {
                return MediaMetadataCompat.b(h7);
            }
            return null;
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.c
        public PlaybackStateCompat k() {
            if (this.f215e.l() != null) {
                try {
                    return this.f215e.l().k();
                } catch (RemoteException e7) {
                    Log.e(MediaControllerCompat.f200d, "Dead object in getPlaybackState.", e7);
                }
            }
            Object k7 = c.k(this.f211a);
            if (k7 != null) {
                return PlaybackStateCompat.a(k7);
            }
            return null;
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.c
        public void l(MediaDescriptionCompat mediaDescriptionCompat) {
            if ((getFlags() & 4) != 0) {
                Bundle bundle = new Bundle();
                bundle.putParcelable(MediaControllerCompat.f206j, mediaDescriptionCompat);
                g(MediaControllerCompat.f204h, bundle, null);
                return;
            }
            throw new UnsupportedOperationException("This session doesn't support queue management operations");
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.c
        public void m(MediaDescriptionCompat mediaDescriptionCompat) {
            if ((getFlags() & 4) != 0) {
                Bundle bundle = new Bundle();
                bundle.putParcelable(MediaControllerCompat.f206j, mediaDescriptionCompat);
                g(MediaControllerCompat.f202f, bundle, null);
                return;
            }
            throw new UnsupportedOperationException("This session doesn't support queue management operations");
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.c
        public h n() {
            Object q7 = c.q(this.f211a);
            if (q7 != null) {
                return new i(q7);
            }
            return null;
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.c
        public int o() {
            return c.n(this.f211a);
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.c
        public CharSequence p() {
            return c.m(this.f211a);
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.c
        public Object q() {
            return this.f211a;
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.c
        public final void r(a aVar, Handler handler) {
            c.r(this.f211a, aVar.f217a, handler);
            synchronized (this.f212b) {
                if (this.f215e.l() != null) {
                    a aVar2 = new a(aVar);
                    this.f214d.put(aVar, aVar2);
                    aVar.f219c = aVar2;
                    try {
                        this.f215e.l().G(aVar2);
                        aVar.n(13, null, null);
                    } catch (RemoteException e7) {
                        Log.e(MediaControllerCompat.f200d, "Dead object in registerCallback.", e7);
                    }
                } else {
                    aVar.f219c = null;
                    this.f213c.add(aVar);
                }
            }
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.c
        public int s() {
            if (this.f215e.l() == null) {
                return -1;
            }
            try {
                return this.f215e.l().s();
            } catch (RemoteException e7) {
                Log.e(MediaControllerCompat.f200d, "Dead object in getShuffleMode.", e7);
                return -1;
            }
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.c
        public boolean t() {
            if (this.f215e.l() == null) {
                return false;
            }
            try {
                return this.f215e.l().t();
            } catch (RemoteException e7) {
                Log.e(MediaControllerCompat.f200d, "Dead object in isCaptioningEnabled.", e7);
                return false;
            }
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.c
        public List<MediaSessionCompat.QueueItem> u() {
            List<Object> l7 = c.l(this.f211a);
            if (l7 != null) {
                return MediaSessionCompat.QueueItem.b(l7);
            }
            return null;
        }

        /* access modifiers changed from: package-private */
        @GuardedBy("mLock")
        public void v() {
            if (this.f215e.l() != null) {
                for (a aVar : this.f213c) {
                    a aVar2 = new a(aVar);
                    this.f214d.put(aVar, aVar2);
                    aVar.f219c = aVar2;
                    try {
                        this.f215e.l().G(aVar2);
                        aVar.n(13, null, null);
                    } catch (RemoteException e7) {
                        Log.e(MediaControllerCompat.f200d, "Dead object in registerCallback.", e7);
                    }
                }
                this.f213c.clear();
            }
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.c
        public int x() {
            if (this.f215e.l() == null) {
                return -1;
            }
            try {
                return this.f215e.l().x();
            } catch (RemoteException e7) {
                Log.e(MediaControllerCompat.f200d, "Dead object in getRepeatMode.", e7);
                return -1;
            }
        }
    }

    public static abstract class a implements IBinder.DeathRecipient {

        /* renamed from: a  reason: collision with root package name */
        final Object f217a = c.b(new b(this));

        /* renamed from: b  reason: collision with root package name */
        HandlerC0006a f218b;

        /* renamed from: c  reason: collision with root package name */
        a f219c;

        /* access modifiers changed from: private */
        /* renamed from: android.support.v4.media.session.MediaControllerCompat$a$a  reason: collision with other inner class name */
        public class HandlerC0006a extends Handler {

            /* renamed from: c  reason: collision with root package name */
            private static final int f220c = 1;

            /* renamed from: d  reason: collision with root package name */
            private static final int f221d = 2;

            /* renamed from: e  reason: collision with root package name */
            private static final int f222e = 3;

            /* renamed from: f  reason: collision with root package name */
            private static final int f223f = 4;

            /* renamed from: g  reason: collision with root package name */
            private static final int f224g = 5;

            /* renamed from: h  reason: collision with root package name */
            private static final int f225h = 6;

            /* renamed from: i  reason: collision with root package name */
            private static final int f226i = 7;

            /* renamed from: j  reason: collision with root package name */
            private static final int f227j = 8;

            /* renamed from: k  reason: collision with root package name */
            private static final int f228k = 9;

            /* renamed from: l  reason: collision with root package name */
            private static final int f229l = 11;

            /* renamed from: m  reason: collision with root package name */
            private static final int f230m = 12;

            /* renamed from: n  reason: collision with root package name */
            private static final int f231n = 13;

            /* renamed from: a  reason: collision with root package name */
            boolean f232a = false;

            HandlerC0006a(Looper looper) {
                super(looper);
            }

            public void handleMessage(Message message) {
                if (this.f232a) {
                    switch (message.what) {
                        case 1:
                            Bundle data = message.getData();
                            MediaSessionCompat.b(data);
                            a.this.k((String) message.obj, data);
                            return;
                        case 2:
                            a.this.f((PlaybackStateCompat) message.obj);
                            return;
                        case 3:
                            a.this.e((MediaMetadataCompat) message.obj);
                            return;
                        case 4:
                            a.this.b((g) message.obj);
                            return;
                        case 5:
                            a.this.g((List) message.obj);
                            return;
                        case 6:
                            a.this.h((CharSequence) message.obj);
                            return;
                        case 7:
                            Bundle bundle = (Bundle) message.obj;
                            MediaSessionCompat.b(bundle);
                            a.this.d(bundle);
                            return;
                        case 8:
                            a.this.j();
                            return;
                        case 9:
                            a.this.i(((Integer) message.obj).intValue());
                            return;
                        case 10:
                        default:
                            return;
                        case 11:
                            a.this.c(((Boolean) message.obj).booleanValue());
                            return;
                        case 12:
                            a.this.m(((Integer) message.obj).intValue());
                            return;
                        case 13:
                            a.this.l();
                            return;
                    }
                }
            }
        }

        private static class b implements c.a {

            /* renamed from: a  reason: collision with root package name */
            private final WeakReference<a> f234a;

            b(a aVar) {
                this.f234a = new WeakReference<>(aVar);
            }

            @Override // android.support.v4.media.session.c.a
            public void a(Object obj) {
                a aVar = this.f234a.get();
                if (aVar != null) {
                    aVar.e(MediaMetadataCompat.b(obj));
                }
            }

            @Override // android.support.v4.media.session.c.a
            public void b(Bundle bundle) {
                a aVar = this.f234a.get();
                if (aVar != null) {
                    aVar.d(bundle);
                }
            }

            @Override // android.support.v4.media.session.c.a
            public void c(List<?> list) {
                a aVar = this.f234a.get();
                if (aVar != null) {
                    aVar.g(MediaSessionCompat.QueueItem.b(list));
                }
            }

            @Override // android.support.v4.media.session.c.a
            public void d(int i7, int i8, int i9, int i10, int i11) {
                a aVar = this.f234a.get();
                if (aVar != null) {
                    aVar.b(new g(i7, i8, i9, i10, i11));
                }
            }

            @Override // android.support.v4.media.session.c.a
            public void e(Object obj) {
                a aVar = this.f234a.get();
                if (aVar != null && aVar.f219c == null) {
                    aVar.f(PlaybackStateCompat.a(obj));
                }
            }

            @Override // android.support.v4.media.session.c.a
            public void f(String str, Bundle bundle) {
                a aVar = this.f234a.get();
                if (aVar != null) {
                    a aVar2 = aVar.f219c;
                    aVar.k(str, bundle);
                }
            }

            @Override // android.support.v4.media.session.c.a
            public void h(CharSequence charSequence) {
                a aVar = this.f234a.get();
                if (aVar != null) {
                    aVar.h(charSequence);
                }
            }

            @Override // android.support.v4.media.session.c.a
            public void i() {
                a aVar = this.f234a.get();
                if (aVar != null) {
                    aVar.j();
                }
            }
        }

        private static class c extends a.AbstractBinderC0008a {

            /* renamed from: s  reason: collision with root package name */
            private final WeakReference<a> f235s;

            c(a aVar) {
                this.f235s = new WeakReference<>(aVar);
            }

            @Override // android.support.v4.media.session.a
            public void E0(boolean z7) throws RemoteException {
                a aVar = this.f235s.get();
                if (aVar != null) {
                    aVar.n(11, Boolean.valueOf(z7), null);
                }
            }

            @Override // android.support.v4.media.session.a
            public void K1(PlaybackStateCompat playbackStateCompat) throws RemoteException {
                a aVar = this.f235s.get();
                if (aVar != null) {
                    aVar.n(2, playbackStateCompat, null);
                }
            }

            @Override // android.support.v4.media.session.a
            public void L1(String str, Bundle bundle) throws RemoteException {
                a aVar = this.f235s.get();
                if (aVar != null) {
                    aVar.n(1, str, bundle);
                }
            }

            @Override // android.support.v4.media.session.a
            public void N1(ParcelableVolumeInfo parcelableVolumeInfo) throws RemoteException {
                a aVar = this.f235s.get();
                if (aVar != null) {
                    aVar.n(4, parcelableVolumeInfo != null ? new g(parcelableVolumeInfo.f366f, parcelableVolumeInfo.f367g, parcelableVolumeInfo.f368p, parcelableVolumeInfo.f369x, parcelableVolumeInfo.f370y) : null, null);
                }
            }

            @Override // android.support.v4.media.session.a
            public void P0(boolean z7) throws RemoteException {
            }

            @Override // android.support.v4.media.session.a
            public void W0(MediaMetadataCompat mediaMetadataCompat) throws RemoteException {
                a aVar = this.f235s.get();
                if (aVar != null) {
                    aVar.n(3, mediaMetadataCompat, null);
                }
            }

            @Override // android.support.v4.media.session.a
            public void b(Bundle bundle) throws RemoteException {
                a aVar = this.f235s.get();
                if (aVar != null) {
                    aVar.n(7, bundle, null);
                }
            }

            @Override // android.support.v4.media.session.a
            public void c(List<MediaSessionCompat.QueueItem> list) throws RemoteException {
                a aVar = this.f235s.get();
                if (aVar != null) {
                    aVar.n(5, list, null);
                }
            }

            @Override // android.support.v4.media.session.a
            public void c1(int i7) throws RemoteException {
                a aVar = this.f235s.get();
                if (aVar != null) {
                    aVar.n(9, Integer.valueOf(i7), null);
                }
            }

            @Override // android.support.v4.media.session.a
            public void h(CharSequence charSequence) throws RemoteException {
                a aVar = this.f235s.get();
                if (aVar != null) {
                    aVar.n(6, charSequence, null);
                }
            }

            @Override // android.support.v4.media.session.a
            public void i() throws RemoteException {
                a aVar = this.f235s.get();
                if (aVar != null) {
                    aVar.n(8, null, null);
                }
            }

            @Override // android.support.v4.media.session.a
            public void j0() throws RemoteException {
                a aVar = this.f235s.get();
                if (aVar != null) {
                    aVar.n(13, null, null);
                }
            }

            @Override // android.support.v4.media.session.a
            public void m1(int i7) throws RemoteException {
                a aVar = this.f235s.get();
                if (aVar != null) {
                    aVar.n(12, Integer.valueOf(i7), null);
                }
            }
        }

        @RestrictTo({RestrictTo.Scope.LIBRARY})
        public a a() {
            return this.f219c;
        }

        public void b(g gVar) {
        }

        public void binderDied() {
            n(8, null, null);
        }

        public void c(boolean z7) {
        }

        public void d(Bundle bundle) {
        }

        public void e(MediaMetadataCompat mediaMetadataCompat) {
        }

        public void f(PlaybackStateCompat playbackStateCompat) {
        }

        public void g(List<MediaSessionCompat.QueueItem> list) {
        }

        public void h(CharSequence charSequence) {
        }

        public void i(int i7) {
        }

        public void j() {
        }

        public void k(String str, Bundle bundle) {
        }

        public void l() {
        }

        public void m(int i7) {
        }

        /* access modifiers changed from: package-private */
        public void n(int i7, Object obj, Bundle bundle) {
            HandlerC0006a aVar = this.f218b;
            if (aVar != null) {
                Message obtainMessage = aVar.obtainMessage(i7, obj);
                obtainMessage.setData(bundle);
                obtainMessage.sendToTarget();
            }
        }

        /* access modifiers changed from: package-private */
        public void o(Handler handler) {
            if (handler == null) {
                HandlerC0006a aVar = this.f218b;
                if (aVar != null) {
                    aVar.f232a = false;
                    aVar.removeCallbacksAndMessages(null);
                    this.f218b = null;
                    return;
                }
                return;
            }
            HandlerC0006a aVar2 = new HandlerC0006a(handler.getLooper());
            this.f218b = aVar2;
            aVar2.f232a = true;
        }
    }

    private static class b extends ComponentActivity.ExtraData {

        /* renamed from: a  reason: collision with root package name */
        private final MediaControllerCompat f236a;

        b(MediaControllerCompat mediaControllerCompat) {
            this.f236a = mediaControllerCompat;
        }

        /* access modifiers changed from: package-private */
        public MediaControllerCompat a() {
            return this.f236a;
        }
    }

    /* access modifiers changed from: package-private */
    public interface c {
        g a();

        void b(int i7, int i8);

        void c(a aVar);

        boolean d(KeyEvent keyEvent);

        void e(int i7, int i8);

        void f(MediaDescriptionCompat mediaDescriptionCompat, int i7);

        void g(String str, Bundle bundle, ResultReceiver resultReceiver);

        Bundle getExtras();

        long getFlags();

        String getPackageName();

        boolean h();

        PendingIntent i();

        MediaMetadataCompat j();

        PlaybackStateCompat k();

        void l(MediaDescriptionCompat mediaDescriptionCompat);

        void m(MediaDescriptionCompat mediaDescriptionCompat);

        h n();

        int o();

        CharSequence p();

        Object q();

        void r(a aVar, Handler handler);

        int s();

        boolean t();

        List<MediaSessionCompat.QueueItem> u();

        int x();
    }

    @RequiresApi(23)
    static class d extends MediaControllerImplApi21 {
        public d(Context context, MediaSessionCompat.Token token) throws RemoteException {
            super(context, token);
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.c, android.support.v4.media.session.MediaControllerCompat.MediaControllerImplApi21
        public h n() {
            Object q7 = c.q(this.f211a);
            if (q7 != null) {
                return new j(q7);
            }
            return null;
        }
    }

    @RequiresApi(24)
    static class e extends d {
        public e(Context context, MediaSessionCompat.Token token) throws RemoteException {
            super(context, token);
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.c, android.support.v4.media.session.MediaControllerCompat.d, android.support.v4.media.session.MediaControllerCompat.MediaControllerImplApi21
        public h n() {
            Object q7 = c.q(this.f211a);
            if (q7 != null) {
                return new k(q7);
            }
            return null;
        }
    }

    static class f implements c {

        /* renamed from: a  reason: collision with root package name */
        private b f237a;

        /* renamed from: b  reason: collision with root package name */
        private h f238b;

        public f(MediaSessionCompat.Token token) {
            this.f237a = b.a.d((IBinder) token.n());
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.c
        public g a() {
            try {
                ParcelableVolumeInfo B1 = this.f237a.B1();
                return new g(B1.f366f, B1.f367g, B1.f368p, B1.f369x, B1.f370y);
            } catch (RemoteException e7) {
                Log.e(MediaControllerCompat.f200d, "Dead object in getPlaybackInfo.", e7);
                return null;
            }
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.c
        public void b(int i7, int i8) {
            try {
                this.f237a.S0(i7, i8, null);
            } catch (RemoteException e7) {
                Log.e(MediaControllerCompat.f200d, "Dead object in adjustVolume.", e7);
            }
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.c
        public void c(a aVar) {
            if (aVar != null) {
                try {
                    this.f237a.r0((a) aVar.f217a);
                    this.f237a.asBinder().unlinkToDeath(aVar, 0);
                } catch (RemoteException e7) {
                    Log.e(MediaControllerCompat.f200d, "Dead object in unregisterCallback.", e7);
                }
            } else {
                throw new IllegalArgumentException("callback may not be null.");
            }
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.c
        public boolean d(KeyEvent keyEvent) {
            if (keyEvent != null) {
                try {
                    this.f237a.N0(keyEvent);
                    return false;
                } catch (RemoteException e7) {
                    Log.e(MediaControllerCompat.f200d, "Dead object in dispatchMediaButtonEvent.", e7);
                    return false;
                }
            } else {
                throw new IllegalArgumentException("event may not be null.");
            }
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.c
        public void e(int i7, int i8) {
            try {
                this.f237a.N(i7, i8, null);
            } catch (RemoteException e7) {
                Log.e(MediaControllerCompat.f200d, "Dead object in setVolumeTo.", e7);
            }
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.c
        public void f(MediaDescriptionCompat mediaDescriptionCompat, int i7) {
            try {
                if ((this.f237a.getFlags() & 4) != 0) {
                    this.f237a.V0(mediaDescriptionCompat, i7);
                    return;
                }
                throw new UnsupportedOperationException("This session doesn't support queue management operations");
            } catch (RemoteException e7) {
                Log.e(MediaControllerCompat.f200d, "Dead object in addQueueItemAt.", e7);
            }
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.c
        public void g(String str, Bundle bundle, ResultReceiver resultReceiver) {
            try {
                this.f237a.q1(str, bundle, new MediaSessionCompat.ResultReceiverWrapper(resultReceiver));
            } catch (RemoteException e7) {
                Log.e(MediaControllerCompat.f200d, "Dead object in sendCommand.", e7);
            }
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.c
        public Bundle getExtras() {
            try {
                return this.f237a.getExtras();
            } catch (RemoteException e7) {
                Log.e(MediaControllerCompat.f200d, "Dead object in getExtras.", e7);
                return null;
            }
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.c
        public long getFlags() {
            try {
                return this.f237a.getFlags();
            } catch (RemoteException e7) {
                Log.e(MediaControllerCompat.f200d, "Dead object in getFlags.", e7);
                return 0;
            }
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.c
        public String getPackageName() {
            try {
                return this.f237a.getPackageName();
            } catch (RemoteException e7) {
                Log.e(MediaControllerCompat.f200d, "Dead object in getPackageName.", e7);
                return null;
            }
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.c
        public boolean h() {
            return true;
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.c
        public PendingIntent i() {
            try {
                return this.f237a.c0();
            } catch (RemoteException e7) {
                Log.e(MediaControllerCompat.f200d, "Dead object in getSessionActivity.", e7);
                return null;
            }
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.c
        public MediaMetadataCompat j() {
            try {
                return this.f237a.j();
            } catch (RemoteException e7) {
                Log.e(MediaControllerCompat.f200d, "Dead object in getMetadata.", e7);
                return null;
            }
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.c
        public PlaybackStateCompat k() {
            try {
                return this.f237a.k();
            } catch (RemoteException e7) {
                Log.e(MediaControllerCompat.f200d, "Dead object in getPlaybackState.", e7);
                return null;
            }
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.c
        public void l(MediaDescriptionCompat mediaDescriptionCompat) {
            try {
                if ((this.f237a.getFlags() & 4) != 0) {
                    this.f237a.l(mediaDescriptionCompat);
                    return;
                }
                throw new UnsupportedOperationException("This session doesn't support queue management operations");
            } catch (RemoteException e7) {
                Log.e(MediaControllerCompat.f200d, "Dead object in removeQueueItem.", e7);
            }
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.c
        public void m(MediaDescriptionCompat mediaDescriptionCompat) {
            try {
                if ((this.f237a.getFlags() & 4) != 0) {
                    this.f237a.m(mediaDescriptionCompat);
                    return;
                }
                throw new UnsupportedOperationException("This session doesn't support queue management operations");
            } catch (RemoteException e7) {
                Log.e(MediaControllerCompat.f200d, "Dead object in addQueueItem.", e7);
            }
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.c
        public h n() {
            if (this.f238b == null) {
                this.f238b = new l(this.f237a);
            }
            return this.f238b;
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.c
        public int o() {
            try {
                return this.f237a.o();
            } catch (RemoteException e7) {
                Log.e(MediaControllerCompat.f200d, "Dead object in getRatingType.", e7);
                return 0;
            }
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.c
        public CharSequence p() {
            try {
                return this.f237a.p();
            } catch (RemoteException e7) {
                Log.e(MediaControllerCompat.f200d, "Dead object in getQueueTitle.", e7);
                return null;
            }
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.c
        public Object q() {
            return null;
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.c
        public void r(a aVar, Handler handler) {
            if (aVar != null) {
                try {
                    this.f237a.asBinder().linkToDeath(aVar, 0);
                    this.f237a.G((a) aVar.f217a);
                    aVar.n(13, null, null);
                } catch (RemoteException e7) {
                    Log.e(MediaControllerCompat.f200d, "Dead object in registerCallback.", e7);
                    aVar.n(8, null, null);
                }
            } else {
                throw new IllegalArgumentException("callback may not be null.");
            }
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.c
        public int s() {
            try {
                return this.f237a.s();
            } catch (RemoteException e7) {
                Log.e(MediaControllerCompat.f200d, "Dead object in getShuffleMode.", e7);
                return -1;
            }
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.c
        public boolean t() {
            try {
                return this.f237a.t();
            } catch (RemoteException e7) {
                Log.e(MediaControllerCompat.f200d, "Dead object in isCaptioningEnabled.", e7);
                return false;
            }
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.c
        public List<MediaSessionCompat.QueueItem> u() {
            try {
                return this.f237a.u();
            } catch (RemoteException e7) {
                Log.e(MediaControllerCompat.f200d, "Dead object in getQueue.", e7);
                return null;
            }
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.c
        public int x() {
            try {
                return this.f237a.x();
            } catch (RemoteException e7) {
                Log.e(MediaControllerCompat.f200d, "Dead object in getRepeatMode.", e7);
                return -1;
            }
        }
    }

    public static final class g {

        /* renamed from: f  reason: collision with root package name */
        public static final int f239f = 1;

        /* renamed from: g  reason: collision with root package name */
        public static final int f240g = 2;

        /* renamed from: a  reason: collision with root package name */
        private final int f241a;

        /* renamed from: b  reason: collision with root package name */
        private final int f242b;

        /* renamed from: c  reason: collision with root package name */
        private final int f243c;

        /* renamed from: d  reason: collision with root package name */
        private final int f244d;

        /* renamed from: e  reason: collision with root package name */
        private final int f245e;

        g(int i7, int i8, int i9, int i10, int i11) {
            this.f241a = i7;
            this.f242b = i8;
            this.f243c = i9;
            this.f244d = i10;
            this.f245e = i11;
        }

        public int a() {
            return this.f242b;
        }

        public int b() {
            return this.f245e;
        }

        public int c() {
            return this.f244d;
        }

        public int d() {
            return this.f241a;
        }

        public int e() {
            return this.f243c;
        }
    }

    public static abstract class h {

        /* renamed from: a  reason: collision with root package name */
        public static final String f246a = "android.media.session.extra.LEGACY_STREAM_TYPE";

        h() {
        }

        public abstract void a();

        public abstract void b();

        public abstract void c();

        public abstract void d(String str, Bundle bundle);

        public abstract void e(String str, Bundle bundle);

        public abstract void f(Uri uri, Bundle bundle);

        public abstract void g();

        public abstract void h(String str, Bundle bundle);

        public abstract void i(String str, Bundle bundle);

        public abstract void j(Uri uri, Bundle bundle);

        public abstract void k();

        public abstract void l(long j7);

        public abstract void m(PlaybackStateCompat.CustomAction customAction, Bundle bundle);

        public abstract void n(String str, Bundle bundle);

        public abstract void o(boolean z7);

        public abstract void p(RatingCompat ratingCompat);

        public abstract void q(RatingCompat ratingCompat, Bundle bundle);

        public abstract void r(int i7);

        public abstract void s(int i7);

        public abstract void t();

        public abstract void u();

        public abstract void v(long j7);

        public abstract void w();
    }

    static class i extends h {

        /* renamed from: b  reason: collision with root package name */
        protected final Object f247b;

        public i(Object obj) {
            this.f247b = obj;
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.h
        public void a() {
            c.d.a(this.f247b);
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.h
        public void b() {
            c.d.b(this.f247b);
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.h
        public void c() {
            c.d.c(this.f247b);
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.h
        public void d(String str, Bundle bundle) {
            c.d.d(this.f247b, str, bundle);
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.h
        public void e(String str, Bundle bundle) {
            c.d.e(this.f247b, str, bundle);
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.h
        public void f(Uri uri, Bundle bundle) {
            if (uri == null || Uri.EMPTY.equals(uri)) {
                throw new IllegalArgumentException("You must specify a non-empty Uri for playFromUri.");
            }
            Bundle bundle2 = new Bundle();
            bundle2.putParcelable(MediaSessionCompat.B, uri);
            bundle2.putBundle(MediaSessionCompat.D, bundle);
            n(MediaSessionCompat.f262q, bundle2);
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.h
        public void g() {
            n(MediaSessionCompat.f263r, null);
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.h
        public void h(String str, Bundle bundle) {
            Bundle bundle2 = new Bundle();
            bundle2.putString(MediaSessionCompat.f271z, str);
            bundle2.putBundle(MediaSessionCompat.D, bundle);
            n(MediaSessionCompat.f264s, bundle2);
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.h
        public void i(String str, Bundle bundle) {
            Bundle bundle2 = new Bundle();
            bundle2.putString(MediaSessionCompat.A, str);
            bundle2.putBundle(MediaSessionCompat.D, bundle);
            n(MediaSessionCompat.f265t, bundle2);
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.h
        public void j(Uri uri, Bundle bundle) {
            Bundle bundle2 = new Bundle();
            bundle2.putParcelable(MediaSessionCompat.B, uri);
            bundle2.putBundle(MediaSessionCompat.D, bundle);
            n(MediaSessionCompat.f266u, bundle2);
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.h
        public void k() {
            c.d.f(this.f247b);
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.h
        public void l(long j7) {
            c.d.g(this.f247b, j7);
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.h
        public void m(PlaybackStateCompat.CustomAction customAction, Bundle bundle) {
            MediaControllerCompat.F(customAction.b(), bundle);
            c.d.h(this.f247b, customAction.b(), bundle);
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.h
        public void n(String str, Bundle bundle) {
            MediaControllerCompat.F(str, bundle);
            c.d.h(this.f247b, str, bundle);
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.h
        public void o(boolean z7) {
            Bundle bundle = new Bundle();
            bundle.putBoolean(MediaSessionCompat.E, z7);
            n(MediaSessionCompat.f267v, bundle);
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.h
        public void p(RatingCompat ratingCompat) {
            c.d.i(this.f247b, ratingCompat != null ? ratingCompat.j() : null);
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.h
        public void q(RatingCompat ratingCompat, Bundle bundle) {
            Bundle bundle2 = new Bundle();
            bundle2.putParcelable(MediaSessionCompat.C, ratingCompat);
            bundle2.putBundle(MediaSessionCompat.D, bundle);
            n(MediaSessionCompat.f270y, bundle2);
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.h
        public void r(int i7) {
            Bundle bundle = new Bundle();
            bundle.putInt(MediaSessionCompat.F, i7);
            n(MediaSessionCompat.f268w, bundle);
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.h
        public void s(int i7) {
            Bundle bundle = new Bundle();
            bundle.putInt(MediaSessionCompat.G, i7);
            n(MediaSessionCompat.f269x, bundle);
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.h
        public void t() {
            c.d.j(this.f247b);
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.h
        public void u() {
            c.d.k(this.f247b);
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.h
        public void v(long j7) {
            c.d.l(this.f247b, j7);
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.h
        public void w() {
            c.d.m(this.f247b);
        }
    }

    @RequiresApi(23)
    static class j extends i {
        public j(Object obj) {
            super(obj);
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.i, android.support.v4.media.session.MediaControllerCompat.h
        public void f(Uri uri, Bundle bundle) {
            d.a.a(this.f247b, uri, bundle);
        }
    }

    @RequiresApi(24)
    static class k extends j {
        public k(Object obj) {
            super(obj);
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.i, android.support.v4.media.session.MediaControllerCompat.h
        public void g() {
            e.a.a(this.f247b);
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.i, android.support.v4.media.session.MediaControllerCompat.h
        public void h(String str, Bundle bundle) {
            e.a.b(this.f247b, str, bundle);
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.i, android.support.v4.media.session.MediaControllerCompat.h
        public void i(String str, Bundle bundle) {
            e.a.c(this.f247b, str, bundle);
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.i, android.support.v4.media.session.MediaControllerCompat.h
        public void j(Uri uri, Bundle bundle) {
            e.a.d(this.f247b, uri, bundle);
        }
    }

    static class l extends h {

        /* renamed from: b  reason: collision with root package name */
        private b f248b;

        public l(b bVar) {
            this.f248b = bVar;
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.h
        public void a() {
            try {
                this.f248b.z0();
            } catch (RemoteException e7) {
                Log.e(MediaControllerCompat.f200d, "Dead object in fastForward.", e7);
            }
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.h
        public void b() {
            try {
                this.f248b.pause();
            } catch (RemoteException e7) {
                Log.e(MediaControllerCompat.f200d, "Dead object in pause.", e7);
            }
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.h
        public void c() {
            try {
                this.f248b.o1();
            } catch (RemoteException e7) {
                Log.e(MediaControllerCompat.f200d, "Dead object in play.", e7);
            }
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.h
        public void d(String str, Bundle bundle) {
            try {
                this.f248b.u0(str, bundle);
            } catch (RemoteException e7) {
                Log.e(MediaControllerCompat.f200d, "Dead object in playFromMediaId.", e7);
            }
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.h
        public void e(String str, Bundle bundle) {
            try {
                this.f248b.w0(str, bundle);
            } catch (RemoteException e7) {
                Log.e(MediaControllerCompat.f200d, "Dead object in playFromSearch.", e7);
            }
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.h
        public void f(Uri uri, Bundle bundle) {
            try {
                this.f248b.B0(uri, bundle);
            } catch (RemoteException e7) {
                Log.e(MediaControllerCompat.f200d, "Dead object in playFromUri.", e7);
            }
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.h
        public void g() {
            try {
                this.f248b.i0();
            } catch (RemoteException e7) {
                Log.e(MediaControllerCompat.f200d, "Dead object in prepare.", e7);
            }
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.h
        public void h(String str, Bundle bundle) {
            try {
                this.f248b.q0(str, bundle);
            } catch (RemoteException e7) {
                Log.e(MediaControllerCompat.f200d, "Dead object in prepareFromMediaId.", e7);
            }
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.h
        public void i(String str, Bundle bundle) {
            try {
                this.f248b.f0(str, bundle);
            } catch (RemoteException e7) {
                Log.e(MediaControllerCompat.f200d, "Dead object in prepareFromSearch.", e7);
            }
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.h
        public void j(Uri uri, Bundle bundle) {
            try {
                this.f248b.O(uri, bundle);
            } catch (RemoteException e7) {
                Log.e(MediaControllerCompat.f200d, "Dead object in prepareFromUri.", e7);
            }
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.h
        public void k() {
            try {
                this.f248b.s1();
            } catch (RemoteException e7) {
                Log.e(MediaControllerCompat.f200d, "Dead object in rewind.", e7);
            }
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.h
        public void l(long j7) {
            try {
                this.f248b.D0(j7);
            } catch (RemoteException e7) {
                Log.e(MediaControllerCompat.f200d, "Dead object in seekTo.", e7);
            }
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.h
        public void m(PlaybackStateCompat.CustomAction customAction, Bundle bundle) {
            n(customAction.b(), bundle);
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.h
        public void n(String str, Bundle bundle) {
            MediaControllerCompat.F(str, bundle);
            try {
                this.f248b.D(str, bundle);
            } catch (RemoteException e7) {
                Log.e(MediaControllerCompat.f200d, "Dead object in sendCustomAction.", e7);
            }
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.h
        public void o(boolean z7) {
            try {
                this.f248b.q(z7);
            } catch (RemoteException e7) {
                Log.e(MediaControllerCompat.f200d, "Dead object in setCaptioningEnabled.", e7);
            }
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.h
        public void p(RatingCompat ratingCompat) {
            try {
                this.f248b.K(ratingCompat);
            } catch (RemoteException e7) {
                Log.e(MediaControllerCompat.f200d, "Dead object in setRating.", e7);
            }
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.h
        public void q(RatingCompat ratingCompat, Bundle bundle) {
            try {
                this.f248b.T0(ratingCompat, bundle);
            } catch (RemoteException e7) {
                Log.e(MediaControllerCompat.f200d, "Dead object in setRating.", e7);
            }
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.h
        public void r(int i7) {
            try {
                this.f248b.v(i7);
            } catch (RemoteException e7) {
                Log.e(MediaControllerCompat.f200d, "Dead object in setRepeatMode.", e7);
            }
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.h
        public void s(int i7) {
            try {
                this.f248b.z(i7);
            } catch (RemoteException e7) {
                Log.e(MediaControllerCompat.f200d, "Dead object in setShuffleMode.", e7);
            }
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.h
        public void t() {
            try {
                this.f248b.next();
            } catch (RemoteException e7) {
                Log.e(MediaControllerCompat.f200d, "Dead object in skipToNext.", e7);
            }
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.h
        public void u() {
            try {
                this.f248b.previous();
            } catch (RemoteException e7) {
                Log.e(MediaControllerCompat.f200d, "Dead object in skipToPrevious.", e7);
            }
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.h
        public void v(long j7) {
            try {
                this.f248b.x1(j7);
            } catch (RemoteException e7) {
                Log.e(MediaControllerCompat.f200d, "Dead object in skipToQueueItem.", e7);
            }
        }

        @Override // android.support.v4.media.session.MediaControllerCompat.h
        public void w() {
            try {
                this.f248b.stop();
            } catch (RemoteException e7) {
                Log.e(MediaControllerCompat.f200d, "Dead object in stop.", e7);
            }
        }
    }

    public MediaControllerCompat(Context context, @NonNull MediaSessionCompat.Token token) throws RemoteException {
        if (token != null) {
            this.f209b = token;
            this.f208a = new e(context, token);
            return;
        }
        throw new IllegalArgumentException("sessionToken must not be null");
    }

    public static void C(@NonNull Activity activity, MediaControllerCompat mediaControllerCompat) {
        if (activity instanceof ComponentActivity) {
            ((ComponentActivity) activity).putExtraData(new b(mediaControllerCompat));
        }
        c.t(activity, mediaControllerCompat != null ? c.d(activity, mediaControllerCompat.r().n()) : null);
    }

    static void F(String str, Bundle bundle) {
        if (str != null) {
            if (!str.equals(MediaSessionCompat.f255j) && !str.equals(MediaSessionCompat.f256k)) {
                return;
            }
            if (bundle == null || !bundle.containsKey(MediaSessionCompat.f257l)) {
                throw new IllegalArgumentException("An extra field android.support.v4.media.session.ARGUMENT_MEDIA_ATTRIBUTE is required for this action " + str + ".");
            }
        }
    }

    public static MediaControllerCompat g(@NonNull Activity activity) {
        if (activity instanceof ComponentActivity) {
            b bVar = (b) ((ComponentActivity) activity).getExtraData(b.class);
            if (bVar != null) {
                return bVar.a();
            }
            return null;
        }
        Object g7 = c.g(activity);
        if (g7 == null) {
            return null;
        }
        try {
            return new MediaControllerCompat(activity, MediaSessionCompat.Token.b(c.p(g7)));
        } catch (RemoteException e7) {
            Log.e(f200d, "Dead object in getMediaController.", e7);
            return null;
        }
    }

    @Deprecated
    public void A(int i7) {
        MediaSessionCompat.QueueItem queueItem;
        List<MediaSessionCompat.QueueItem> m7 = m();
        if (m7 != null && i7 >= 0 && i7 < m7.size() && (queueItem = m7.get(i7)) != null) {
            z(queueItem.j());
        }
    }

    public void B(@NonNull String str, Bundle bundle, ResultReceiver resultReceiver) {
        if (!TextUtils.isEmpty(str)) {
            this.f208a.g(str, bundle, resultReceiver);
            return;
        }
        throw new IllegalArgumentException("command must neither be null nor empty");
    }

    public void D(int i7, int i8) {
        this.f208a.e(i7, i8);
    }

    public void E(@NonNull a aVar) {
        if (aVar != null) {
            try {
                this.f210c.remove(aVar);
                this.f208a.c(aVar);
            } finally {
                aVar.o(null);
            }
        } else {
            throw new IllegalArgumentException("callback must not be null");
        }
    }

    public void a(MediaDescriptionCompat mediaDescriptionCompat) {
        this.f208a.m(mediaDescriptionCompat);
    }

    public void b(MediaDescriptionCompat mediaDescriptionCompat, int i7) {
        this.f208a.f(mediaDescriptionCompat, i7);
    }

    public void c(int i7, int i8) {
        this.f208a.b(i7, i8);
    }

    public boolean d(KeyEvent keyEvent) {
        if (keyEvent != null) {
            return this.f208a.d(keyEvent);
        }
        throw new IllegalArgumentException("KeyEvent may not be null");
    }

    public Bundle e() {
        return this.f208a.getExtras();
    }

    public long f() {
        return this.f208a.getFlags();
    }

    public Object h() {
        return this.f208a.q();
    }

    public MediaMetadataCompat i() {
        return this.f208a.j();
    }

    public String j() {
        return this.f208a.getPackageName();
    }

    public g k() {
        return this.f208a.a();
    }

    public PlaybackStateCompat l() {
        return this.f208a.k();
    }

    public List<MediaSessionCompat.QueueItem> m() {
        return this.f208a.u();
    }

    public CharSequence n() {
        return this.f208a.p();
    }

    public int o() {
        return this.f208a.o();
    }

    public int p() {
        return this.f208a.x();
    }

    public PendingIntent q() {
        return this.f208a.i();
    }

    public MediaSessionCompat.Token r() {
        return this.f209b;
    }

    @Nullable
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public Bundle s() {
        return this.f209b.m();
    }

    public int t() {
        return this.f208a.s();
    }

    public h u() {
        return this.f208a.n();
    }

    public boolean v() {
        return this.f208a.t();
    }

    public boolean w() {
        return this.f208a.h();
    }

    public void x(@NonNull a aVar) {
        y(aVar, null);
    }

    public void y(@NonNull a aVar, Handler handler) {
        if (aVar != null) {
            if (handler == null) {
                handler = new Handler();
            }
            aVar.o(handler);
            this.f208a.r(aVar, handler);
            this.f210c.add(aVar);
            return;
        }
        throw new IllegalArgumentException("callback must not be null");
    }

    public void z(MediaDescriptionCompat mediaDescriptionCompat) {
        this.f208a.l(mediaDescriptionCompat);
    }

    public MediaControllerCompat(Context context, @NonNull MediaSessionCompat mediaSessionCompat) {
        e eVar;
        if (mediaSessionCompat != null) {
            MediaSessionCompat.Token i7 = mediaSessionCompat.i();
            this.f209b = i7;
            try {
                eVar = new e(context, i7);
            } catch (RemoteException e7) {
                Log.w(f200d, "Failed to create MediaControllerImpl.", e7);
                eVar = null;
            }
            this.f208a = eVar;
            return;
        }
        throw new IllegalArgumentException("session must not be null");
    }
}
