package android.support.v4.media.session;

import android.app.PendingIntent;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.graphics.Bitmap;
import android.media.AudioManager;
import android.media.Rating;
import android.media.RemoteControlClient;
import android.media.session.MediaSession;
import android.net.Uri;
import android.os.BadParcelableException;
import android.os.Binder;
import android.os.Bundle;
import android.os.Handler;
import android.os.IBinder;
import android.os.Looper;
import android.os.Message;
import android.os.Parcel;
import android.os.Parcelable;
import android.os.RemoteCallbackList;
import android.os.RemoteException;
import android.os.ResultReceiver;
import android.os.SystemClock;
import android.support.v4.media.MediaDescriptionCompat;
import android.support.v4.media.MediaMetadataCompat;
import android.support.v4.media.RatingCompat;
import android.support.v4.media.session.PlaybackStateCompat;
import android.support.v4.media.session.b;
import android.support.v4.media.session.f;
import android.support.v4.media.session.h;
import android.support.v4.media.session.i;
import android.text.TextUtils;
import android.util.Log;
import android.util.TypedValue;
import android.view.KeyEvent;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.annotation.RestrictTo;
import androidx.core.app.BundleCompat;
import androidx.media.MediaSessionManager;
import androidx.media.VolumeProviderCompat;
import androidx.media.session.MediaButtonReceiver;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

public class MediaSessionCompat {
    @RestrictTo({RestrictTo.Scope.LIBRARY})
    public static final String A = "android.support.v4.media.session.action.ARGUMENT_QUERY";
    @RestrictTo({RestrictTo.Scope.LIBRARY})
    public static final String B = "android.support.v4.media.session.action.ARGUMENT_URI";
    @RestrictTo({RestrictTo.Scope.LIBRARY})
    public static final String C = "android.support.v4.media.session.action.ARGUMENT_RATING";
    @RestrictTo({RestrictTo.Scope.LIBRARY})
    public static final String D = "android.support.v4.media.session.action.ARGUMENT_EXTRAS";
    @RestrictTo({RestrictTo.Scope.LIBRARY})
    public static final String E = "android.support.v4.media.session.action.ARGUMENT_CAPTIONING_ENABLED";
    @RestrictTo({RestrictTo.Scope.LIBRARY})
    public static final String F = "android.support.v4.media.session.action.ARGUMENT_REPEAT_MODE";
    @RestrictTo({RestrictTo.Scope.LIBRARY})
    public static final String G = "android.support.v4.media.session.action.ARGUMENT_SHUFFLE_MODE";
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public static final String H = "android.support.v4.media.session.TOKEN";
    @RestrictTo({RestrictTo.Scope.LIBRARY})
    public static final String I = "android.support.v4.media.session.EXTRA_BINDER";
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public static final String J = "android.support.v4.media.session.SESSION_TOKEN2_BUNDLE";
    private static final int K = 320;
    private static final String L = "data_calling_pkg";
    private static final String M = "data_calling_pid";
    private static final String N = "data_calling_uid";
    private static final String O = "data_extras";
    static int P = 0;

    /* renamed from: d  reason: collision with root package name */
    static final String f249d = "MediaSessionCompat";

    /* renamed from: e  reason: collision with root package name */
    public static final int f250e = 1;

    /* renamed from: f  reason: collision with root package name */
    public static final int f251f = 2;

    /* renamed from: g  reason: collision with root package name */
    public static final int f252g = 4;

    /* renamed from: h  reason: collision with root package name */
    public static final String f253h = "android.support.v4.media.session.action.FLAG_AS_INAPPROPRIATE";

    /* renamed from: i  reason: collision with root package name */
    public static final String f254i = "android.support.v4.media.session.action.SKIP_AD";

    /* renamed from: j  reason: collision with root package name */
    public static final String f255j = "android.support.v4.media.session.action.FOLLOW";

    /* renamed from: k  reason: collision with root package name */
    public static final String f256k = "android.support.v4.media.session.action.UNFOLLOW";

    /* renamed from: l  reason: collision with root package name */
    public static final String f257l = "android.support.v4.media.session.ARGUMENT_MEDIA_ATTRIBUTE";

    /* renamed from: m  reason: collision with root package name */
    public static final String f258m = "android.support.v4.media.session.ARGUMENT_MEDIA_ATTRIBUTE_VALUE";

    /* renamed from: n  reason: collision with root package name */
    public static final int f259n = 0;

    /* renamed from: o  reason: collision with root package name */
    public static final int f260o = 1;

    /* renamed from: p  reason: collision with root package name */
    public static final int f261p = 2;
    @RestrictTo({RestrictTo.Scope.LIBRARY})

    /* renamed from: q  reason: collision with root package name */
    public static final String f262q = "android.support.v4.media.session.action.PLAY_FROM_URI";
    @RestrictTo({RestrictTo.Scope.LIBRARY})

    /* renamed from: r  reason: collision with root package name */
    public static final String f263r = "android.support.v4.media.session.action.PREPARE";
    @RestrictTo({RestrictTo.Scope.LIBRARY})

    /* renamed from: s  reason: collision with root package name */
    public static final String f264s = "android.support.v4.media.session.action.PREPARE_FROM_MEDIA_ID";
    @RestrictTo({RestrictTo.Scope.LIBRARY})

    /* renamed from: t  reason: collision with root package name */
    public static final String f265t = "android.support.v4.media.session.action.PREPARE_FROM_SEARCH";
    @RestrictTo({RestrictTo.Scope.LIBRARY})

    /* renamed from: u  reason: collision with root package name */
    public static final String f266u = "android.support.v4.media.session.action.PREPARE_FROM_URI";
    @RestrictTo({RestrictTo.Scope.LIBRARY})

    /* renamed from: v  reason: collision with root package name */
    public static final String f267v = "android.support.v4.media.session.action.SET_CAPTIONING_ENABLED";
    @RestrictTo({RestrictTo.Scope.LIBRARY})

    /* renamed from: w  reason: collision with root package name */
    public static final String f268w = "android.support.v4.media.session.action.SET_REPEAT_MODE";
    @RestrictTo({RestrictTo.Scope.LIBRARY})

    /* renamed from: x  reason: collision with root package name */
    public static final String f269x = "android.support.v4.media.session.action.SET_SHUFFLE_MODE";
    @RestrictTo({RestrictTo.Scope.LIBRARY})

    /* renamed from: y  reason: collision with root package name */
    public static final String f270y = "android.support.v4.media.session.action.SET_RATING";
    @RestrictTo({RestrictTo.Scope.LIBRARY})

    /* renamed from: z  reason: collision with root package name */
    public static final String f271z = "android.support.v4.media.session.action.ARGUMENT_MEDIA_ID";

    /* renamed from: a  reason: collision with root package name */
    private final e f272a;

    /* renamed from: b  reason: collision with root package name */
    private final MediaControllerCompat f273b;

    /* renamed from: c  reason: collision with root package name */
    private final ArrayList<k> f274c;

    public static final class QueueItem implements Parcelable {
        public static final Parcelable.Creator<QueueItem> CREATOR = new a();

        /* renamed from: x  reason: collision with root package name */
        public static final int f275x = -1;

        /* renamed from: f  reason: collision with root package name */
        private final MediaDescriptionCompat f276f;

        /* renamed from: g  reason: collision with root package name */
        private final long f277g;

        /* renamed from: p  reason: collision with root package name */
        private Object f278p;

        static class a implements Parcelable.Creator<QueueItem> {
            a() {
            }

            /* renamed from: a */
            public QueueItem createFromParcel(Parcel parcel) {
                return new QueueItem(parcel);
            }

            /* renamed from: b */
            public QueueItem[] newArray(int i7) {
                return new QueueItem[i7];
            }
        }

        QueueItem(Parcel parcel) {
            this.f276f = MediaDescriptionCompat.CREATOR.createFromParcel(parcel);
            this.f277g = parcel.readLong();
        }

        public static QueueItem a(Object obj) {
            if (obj != null) {
                return new QueueItem(obj, MediaDescriptionCompat.a(f.c.b(obj)), f.c.c(obj));
            }
            return null;
        }

        public static List<QueueItem> b(List<?> list) {
            if (list == null) {
                return null;
            }
            ArrayList arrayList = new ArrayList();
            Iterator<?> it = list.iterator();
            while (it.hasNext()) {
                arrayList.add(a(it.next()));
            }
            return arrayList;
        }

        public int describeContents() {
            return 0;
        }

        public MediaDescriptionCompat j() {
            return this.f276f;
        }

        public long l() {
            return this.f277g;
        }

        public Object m() {
            Object obj = this.f278p;
            if (obj != null) {
                return obj;
            }
            Object a8 = f.c.a(this.f276f.n(), this.f277g);
            this.f278p = a8;
            return a8;
        }

        public String toString() {
            return "MediaSession.QueueItem {Description=" + this.f276f + ", Id=" + this.f277g + " }";
        }

        public void writeToParcel(Parcel parcel, int i7) {
            this.f276f.writeToParcel(parcel, i7);
            parcel.writeLong(this.f277g);
        }

        public QueueItem(MediaDescriptionCompat mediaDescriptionCompat, long j7) {
            this(null, mediaDescriptionCompat, j7);
        }

        private QueueItem(Object obj, MediaDescriptionCompat mediaDescriptionCompat, long j7) {
            if (mediaDescriptionCompat == null) {
                throw new IllegalArgumentException("Description cannot be null.");
            } else if (j7 != -1) {
                this.f276f = mediaDescriptionCompat;
                this.f277g = j7;
                this.f278p = obj;
            } else {
                throw new IllegalArgumentException("Id cannot be QueueItem.UNKNOWN_ID");
            }
        }
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY})
    public static final class ResultReceiverWrapper implements Parcelable {
        public static final Parcelable.Creator<ResultReceiverWrapper> CREATOR = new a();

        /* renamed from: f  reason: collision with root package name */
        ResultReceiver f279f;

        static class a implements Parcelable.Creator<ResultReceiverWrapper> {
            a() {
            }

            /* renamed from: a */
            public ResultReceiverWrapper createFromParcel(Parcel parcel) {
                return new ResultReceiverWrapper(parcel);
            }

            /* renamed from: b */
            public ResultReceiverWrapper[] newArray(int i7) {
                return new ResultReceiverWrapper[i7];
            }
        }

        ResultReceiverWrapper(Parcel parcel) {
            this.f279f = (ResultReceiver) ResultReceiver.CREATOR.createFromParcel(parcel);
        }

        public int describeContents() {
            return 0;
        }

        public void writeToParcel(Parcel parcel, int i7) {
            this.f279f.writeToParcel(parcel, i7);
        }

        public ResultReceiverWrapper(ResultReceiver resultReceiver) {
            this.f279f = resultReceiver;
        }
    }

    public static final class Token implements Parcelable {
        public static final Parcelable.Creator<Token> CREATOR = new a();

        /* renamed from: f  reason: collision with root package name */
        private final Object f280f;

        /* renamed from: g  reason: collision with root package name */
        private b f281g;

        /* renamed from: p  reason: collision with root package name */
        private Bundle f282p;

        static class a implements Parcelable.Creator<Token> {
            a() {
            }

            /* renamed from: a */
            public Token createFromParcel(Parcel parcel) {
                return new Token(parcel.readParcelable(null));
            }

            /* renamed from: b */
            public Token[] newArray(int i7) {
                return new Token[i7];
            }
        }

        Token(Object obj) {
            this(obj, null, null);
        }

        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
        public static Token a(Bundle bundle) {
            if (bundle == null) {
                return null;
            }
            b d7 = b.a.d(BundleCompat.getBinder(bundle, MediaSessionCompat.I));
            Bundle bundle2 = bundle.getBundle(MediaSessionCompat.J);
            Token token = (Token) bundle.getParcelable(MediaSessionCompat.H);
            if (token == null) {
                return null;
            }
            return new Token(token.f280f, d7, bundle2);
        }

        public static Token b(Object obj) {
            return j(obj, null);
        }

        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
        public static Token j(Object obj, b bVar) {
            if (obj != null) {
                return new Token(f.u(obj), bVar);
            }
            return null;
        }

        public int describeContents() {
            return 0;
        }

        public boolean equals(Object obj) {
            if (this == obj) {
                return true;
            }
            if (!(obj instanceof Token)) {
                return false;
            }
            Token token = (Token) obj;
            Object obj2 = this.f280f;
            if (obj2 == null) {
                return token.f280f == null;
            }
            Object obj3 = token.f280f;
            if (obj3 == null) {
                return false;
            }
            return obj2.equals(obj3);
        }

        public int hashCode() {
            Object obj = this.f280f;
            if (obj == null) {
                return 0;
            }
            return obj.hashCode();
        }

        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
        public b l() {
            return this.f281g;
        }

        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
        public Bundle m() {
            return this.f282p;
        }

        public Object n() {
            return this.f280f;
        }

        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
        public void o(b bVar) {
            this.f281g = bVar;
        }

        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
        public void q(Bundle bundle) {
            this.f282p = bundle;
        }

        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
        public Bundle r() {
            Bundle bundle = new Bundle();
            bundle.putParcelable(MediaSessionCompat.H, this);
            b bVar = this.f281g;
            if (bVar != null) {
                BundleCompat.putBinder(bundle, MediaSessionCompat.I, bVar.asBinder());
            }
            Bundle bundle2 = this.f282p;
            if (bundle2 != null) {
                bundle.putBundle(MediaSessionCompat.J, bundle2);
            }
            return bundle;
        }

        public void writeToParcel(Parcel parcel, int i7) {
            parcel.writeParcelable((Parcelable) this.f280f, i7);
        }

        Token(Object obj, b bVar) {
            this(obj, bVar, null);
        }

        Token(Object obj, b bVar, Bundle bundle) {
            this.f280f = obj;
            this.f281g = bVar;
            this.f282p = bundle;
        }
    }

    class a extends d {
        a() {
        }
    }

    class b extends d {
        b() {
        }
    }

    class c extends d {
        c() {
        }
    }

    public static abstract class d {

        /* renamed from: a  reason: collision with root package name */
        final Object f286a = i.a(new C0007d());

        /* renamed from: b  reason: collision with root package name */
        WeakReference<e> f287b;

        /* renamed from: c  reason: collision with root package name */
        private a f288c = null;

        /* renamed from: d  reason: collision with root package name */
        private boolean f289d;

        /* access modifiers changed from: private */
        public class a extends Handler {

            /* renamed from: b  reason: collision with root package name */
            private static final int f290b = 1;

            a(Looper looper) {
                super(looper);
            }

            public void handleMessage(Message message) {
                if (message.what == 1) {
                    d.this.a((MediaSessionManager.RemoteUserInfo) message.obj);
                }
            }
        }

        @RequiresApi(21)
        private class b implements f.a {
            b() {
            }

            @Override // android.support.v4.media.session.f.a
            public void a() {
                d.this.h();
            }

            @Override // android.support.v4.media.session.f.a
            public void b() {
                d.this.C();
            }

            @Override // android.support.v4.media.session.f.a
            public void c() {
                d.this.z();
            }

            @Override // android.support.v4.media.session.f.a
            public void d() {
                d.this.s();
            }

            @Override // android.support.v4.media.session.f.a
            public void e(String str, Bundle bundle, ResultReceiver resultReceiver) {
                d dVar;
                MediaDescriptionCompat j7;
                try {
                    QueueItem queueItem = null;
                    IBinder iBinder = null;
                    queueItem = null;
                    if (str.equals(MediaControllerCompat.f201e)) {
                        h hVar = (h) d.this.f287b.get();
                        if (hVar != null) {
                            Bundle bundle2 = new Bundle();
                            Token d7 = hVar.d();
                            b l7 = d7.l();
                            if (l7 != null) {
                                iBinder = l7.asBinder();
                            }
                            BundleCompat.putBinder(bundle2, MediaSessionCompat.I, iBinder);
                            bundle2.putBundle(MediaSessionCompat.J, d7.m());
                            resultReceiver.send(0, bundle2);
                        }
                    } else if (str.equals(MediaControllerCompat.f202f)) {
                        d.this.b((MediaDescriptionCompat) bundle.getParcelable(MediaControllerCompat.f206j));
                    } else if (str.equals(MediaControllerCompat.f203g)) {
                        d.this.c((MediaDescriptionCompat) bundle.getParcelable(MediaControllerCompat.f206j), bundle.getInt(MediaControllerCompat.f207k));
                    } else {
                        if (str.equals(MediaControllerCompat.f204h)) {
                            dVar = d.this;
                            j7 = (MediaDescriptionCompat) bundle.getParcelable(MediaControllerCompat.f206j);
                        } else if (str.equals(MediaControllerCompat.f205i)) {
                            h hVar2 = (h) d.this.f287b.get();
                            if (hVar2 != null && hVar2.f302f != null) {
                                int i7 = bundle.getInt(MediaControllerCompat.f207k, -1);
                                if (i7 >= 0 && i7 < hVar2.f302f.size()) {
                                    queueItem = hVar2.f302f.get(i7);
                                }
                                if (queueItem != null) {
                                    dVar = d.this;
                                    j7 = queueItem.j();
                                } else {
                                    return;
                                }
                            } else {
                                return;
                            }
                        } else {
                            d.this.d(str, bundle, resultReceiver);
                            return;
                        }
                        dVar.q(j7);
                    }
                } catch (BadParcelableException unused) {
                    Log.e(MediaSessionCompat.f249d, "Could not unparcel the extra data.");
                }
            }

            @Override // android.support.v4.media.session.f.a
            public void f(long j7) {
                d.this.B(j7);
            }

            @Override // android.support.v4.media.session.f.a
            public void g(Object obj) {
                d.this.v(RatingCompat.a(obj));
            }

            @Override // android.support.v4.media.session.f.a
            public void h() {
                d.this.i();
            }

            @Override // android.support.v4.media.session.f.a
            public void j() {
                d.this.A();
            }

            @Override // android.support.v4.media.session.f.a
            public boolean k(Intent intent) {
                return d.this.g(intent);
            }

            @Override // android.support.v4.media.session.f.a
            public void n(Object obj, Bundle bundle) {
            }

            @Override // android.support.v4.media.session.f.a
            public void o(String str, Bundle bundle) {
                d.this.k(str, bundle);
            }

            @Override // android.support.v4.media.session.f.a
            public void p(String str, Bundle bundle) {
                d.this.j(str, bundle);
            }

            @Override // android.support.v4.media.session.f.a
            public void q() {
                d.this.f();
            }

            @Override // android.support.v4.media.session.f.a
            public void r(long j7) {
                d.this.t(j7);
            }

            @Override // android.support.v4.media.session.f.a
            public void s(String str, Bundle bundle) {
                Bundle bundle2 = bundle.getBundle(MediaSessionCompat.D);
                MediaSessionCompat.b(bundle2);
                if (str.equals(MediaSessionCompat.f262q)) {
                    d.this.l((Uri) bundle.getParcelable(MediaSessionCompat.B), bundle2);
                } else if (str.equals(MediaSessionCompat.f263r)) {
                    d.this.m();
                } else if (str.equals(MediaSessionCompat.f264s)) {
                    d.this.n(bundle.getString(MediaSessionCompat.f271z), bundle2);
                } else if (str.equals(MediaSessionCompat.f265t)) {
                    d.this.o(bundle.getString(MediaSessionCompat.A), bundle2);
                } else if (str.equals(MediaSessionCompat.f266u)) {
                    d.this.p((Uri) bundle.getParcelable(MediaSessionCompat.B), bundle2);
                } else if (str.equals(MediaSessionCompat.f267v)) {
                    d.this.u(bundle.getBoolean(MediaSessionCompat.E));
                } else if (str.equals(MediaSessionCompat.f268w)) {
                    d.this.x(bundle.getInt(MediaSessionCompat.F));
                } else if (str.equals(MediaSessionCompat.f269x)) {
                    d.this.y(bundle.getInt(MediaSessionCompat.G));
                } else if (str.equals(MediaSessionCompat.f270y)) {
                    d.this.w((RatingCompat) bundle.getParcelable(MediaSessionCompat.C), bundle2);
                } else {
                    d.this.e(str, bundle);
                }
            }
        }

        @RequiresApi(23)
        private class c extends b implements h.a {
            c() {
                super();
            }

            @Override // android.support.v4.media.session.h.a
            public void u(Uri uri, Bundle bundle) {
                d.this.l(uri, bundle);
            }
        }

        @RequiresApi(24)
        /* renamed from: android.support.v4.media.session.MediaSessionCompat$d$d  reason: collision with other inner class name */
        private class C0007d extends c implements i.a {
            C0007d() {
                super();
            }

            @Override // android.support.v4.media.session.i.a
            public void i(String str, Bundle bundle) {
                d.this.n(str, bundle);
            }

            @Override // android.support.v4.media.session.i.a
            public void l() {
                d.this.m();
            }

            @Override // android.support.v4.media.session.i.a
            public void m(Uri uri, Bundle bundle) {
                d.this.p(uri, bundle);
            }

            @Override // android.support.v4.media.session.i.a
            public void t(String str, Bundle bundle) {
                d.this.o(str, bundle);
            }
        }

        public void A() {
        }

        public void B(long j7) {
        }

        public void C() {
        }

        /* access modifiers changed from: package-private */
        public void D(e eVar, Handler handler) {
            this.f287b = new WeakReference<>(eVar);
            a aVar = this.f288c;
            if (aVar != null) {
                aVar.removeCallbacksAndMessages(null);
            }
            this.f288c = new a(handler.getLooper());
        }

        /* access modifiers changed from: package-private */
        public void a(MediaSessionManager.RemoteUserInfo remoteUserInfo) {
            if (this.f289d) {
                boolean z7 = false;
                this.f289d = false;
                this.f288c.removeMessages(1);
                e eVar = this.f287b.get();
                if (eVar != null) {
                    PlaybackStateCompat k7 = eVar.k();
                    long b7 = k7 == null ? 0 : k7.b();
                    boolean z8 = k7 != null && k7.w() == 3;
                    boolean z9 = (516 & b7) != 0;
                    if ((b7 & 514) != 0) {
                        z7 = true;
                    }
                    eVar.w(remoteUserInfo);
                    if (z8 && z7) {
                        h();
                    } else if (!z8 && z9) {
                        i();
                    }
                    eVar.w(null);
                }
            }
        }

        public void b(MediaDescriptionCompat mediaDescriptionCompat) {
        }

        public void c(MediaDescriptionCompat mediaDescriptionCompat, int i7) {
        }

        public void d(String str, Bundle bundle, ResultReceiver resultReceiver) {
        }

        public void e(String str, Bundle bundle) {
        }

        public void f() {
        }

        public boolean g(Intent intent) {
            return false;
        }

        public void h() {
        }

        public void i() {
        }

        public void j(String str, Bundle bundle) {
        }

        public void k(String str, Bundle bundle) {
        }

        public void l(Uri uri, Bundle bundle) {
        }

        public void m() {
        }

        public void n(String str, Bundle bundle) {
        }

        public void o(String str, Bundle bundle) {
        }

        public void p(Uri uri, Bundle bundle) {
        }

        public void q(MediaDescriptionCompat mediaDescriptionCompat) {
        }

        @Deprecated
        public void r(int i7) {
        }

        public void s() {
        }

        public void t(long j7) {
        }

        public void u(boolean z7) {
        }

        public void v(RatingCompat ratingCompat) {
        }

        public void w(RatingCompat ratingCompat, Bundle bundle) {
        }

        public void x(int i7) {
        }

        public void y(int i7) {
        }

        public void z() {
        }
    }

    /* access modifiers changed from: package-private */
    public interface e {
        void A(VolumeProviderCompat volumeProviderCompat);

        MediaSessionManager.RemoteUserInfo B();

        Token d();

        void f();

        boolean g();

        void h(String str, Bundle bundle);

        String i();

        void j(PendingIntent pendingIntent);

        PlaybackStateCompat k();

        void l(d dVar, Handler handler);

        void m(int i7);

        void n(CharSequence charSequence);

        void o(MediaMetadataCompat mediaMetadataCompat);

        void p(PendingIntent pendingIntent);

        void q(boolean z7);

        void r(int i7);

        void s(List<QueueItem> list);

        void setExtras(Bundle bundle);

        void setFlags(int i7);

        Object t();

        void u(boolean z7);

        void v(int i7);

        void w(MediaSessionManager.RemoteUserInfo remoteUserInfo);

        void x(PlaybackStateCompat playbackStateCompat);

        Object y();

        void z(int i7);
    }

    @RequiresApi(18)
    static class f extends j {
        private static boolean I = true;

        /* access modifiers changed from: package-private */
        public class a implements RemoteControlClient.OnPlaybackPositionUpdateListener {
            a() {
            }

            public void onPlaybackPositionUpdate(long j7) {
                f.this.C(18, -1, -1, Long.valueOf(j7), null);
            }
        }

        f(Context context, String str, ComponentName componentName, PendingIntent pendingIntent) {
            super(context, str, componentName, pendingIntent);
        }

        /* access modifiers changed from: package-private */
        @Override // android.support.v4.media.session.MediaSessionCompat.j
        public void D(PendingIntent pendingIntent, ComponentName componentName) {
            if (I) {
                try {
                    this.f316h.registerMediaButtonEventReceiver(pendingIntent);
                } catch (NullPointerException unused) {
                    Log.w(MediaSessionCompat.f249d, "Unable to register media button event receiver with PendingIntent, falling back to ComponentName.");
                    I = false;
                }
            }
            if (!I) {
                super.D(pendingIntent, componentName);
            }
        }

        /* access modifiers changed from: package-private */
        @Override // android.support.v4.media.session.MediaSessionCompat.j
        public void P(PlaybackStateCompat playbackStateCompat) {
            long v7 = playbackStateCompat.v();
            float t7 = playbackStateCompat.t();
            long s7 = playbackStateCompat.s();
            long elapsedRealtime = SystemClock.elapsedRealtime();
            if (playbackStateCompat.w() == 3) {
                long j7 = 0;
                if (v7 > 0) {
                    if (s7 > 0) {
                        j7 = elapsedRealtime - s7;
                        if (t7 > 0.0f && t7 != 1.0f) {
                            j7 = (long) (((float) j7) * t7);
                        }
                    }
                    v7 += j7;
                }
            }
            this.f317i.setPlaybackState(c(playbackStateCompat.w()), v7, t7);
        }

        /* access modifiers changed from: package-private */
        @Override // android.support.v4.media.session.MediaSessionCompat.j
        public void R(PendingIntent pendingIntent, ComponentName componentName) {
            if (I) {
                this.f316h.unregisterMediaButtonEventReceiver(pendingIntent);
            } else {
                super.R(pendingIntent, componentName);
            }
        }

        /* access modifiers changed from: package-private */
        @Override // android.support.v4.media.session.MediaSessionCompat.j
        public int e(long j7) {
            int e7 = super.e(j7);
            return (j7 & 256) != 0 ? e7 | 256 : e7;
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e, android.support.v4.media.session.MediaSessionCompat.j
        public void l(d dVar, Handler handler) {
            a aVar;
            RemoteControlClient remoteControlClient;
            super.l(dVar, handler);
            if (dVar == null) {
                remoteControlClient = this.f317i;
                aVar = null;
            } else {
                aVar = new a();
                remoteControlClient = this.f317i;
            }
            remoteControlClient.setPlaybackPositionUpdateListener(aVar);
        }
    }

    @RequiresApi(19)
    static class g extends f {

        class a implements RemoteControlClient.OnMetadataUpdateListener {
            a() {
            }

            public void onMetadataUpdate(int i7, Object obj) {
                if (i7 == 268435457 && (obj instanceof Rating)) {
                    g.this.C(19, -1, -1, RatingCompat.a(obj), null);
                }
            }
        }

        g(Context context, String str, ComponentName componentName, PendingIntent pendingIntent) {
            super(context, str, componentName, pendingIntent);
        }

        /* access modifiers changed from: package-private */
        @Override // android.support.v4.media.session.MediaSessionCompat.j
        public RemoteControlClient.MetadataEditor b(Bundle bundle) {
            RemoteControlClient.MetadataEditor b7 = super.b(bundle);
            PlaybackStateCompat playbackStateCompat = this.f329u;
            if (((playbackStateCompat == null ? 0 : playbackStateCompat.b()) & 128) != 0) {
                b7.addEditableKey(268435457);
            }
            if (bundle == null) {
                return b7;
            }
            if (bundle.containsKey(MediaMetadataCompat.f158a6)) {
                b7.putLong(8, bundle.getLong(MediaMetadataCompat.f158a6));
            }
            if (bundle.containsKey(MediaMetadataCompat.f169l6)) {
                b7.putObject(101, (Object) bundle.getParcelable(MediaMetadataCompat.f169l6));
            }
            if (bundle.containsKey(MediaMetadataCompat.f168k6)) {
                b7.putObject(268435457, (Object) bundle.getParcelable(MediaMetadataCompat.f168k6));
            }
            return b7;
        }

        /* access modifiers changed from: package-private */
        @Override // android.support.v4.media.session.MediaSessionCompat.f, android.support.v4.media.session.MediaSessionCompat.j
        public int e(long j7) {
            int e7 = super.e(j7);
            return (j7 & 128) != 0 ? e7 | 512 : e7;
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e, android.support.v4.media.session.MediaSessionCompat.f, android.support.v4.media.session.MediaSessionCompat.j
        public void l(d dVar, Handler handler) {
            a aVar;
            RemoteControlClient remoteControlClient;
            super.l(dVar, handler);
            if (dVar == null) {
                remoteControlClient = this.f317i;
                aVar = null;
            } else {
                aVar = new a();
                remoteControlClient = this.f317i;
            }
            remoteControlClient.setMetadataUpdateListener(aVar);
        }
    }

    @RequiresApi(21)
    static class h implements e {

        /* renamed from: a  reason: collision with root package name */
        final Object f297a;

        /* renamed from: b  reason: collision with root package name */
        final Token f298b;

        /* renamed from: c  reason: collision with root package name */
        boolean f299c = false;

        /* renamed from: d  reason: collision with root package name */
        final RemoteCallbackList<a> f300d = new RemoteCallbackList<>();

        /* renamed from: e  reason: collision with root package name */
        PlaybackStateCompat f301e;

        /* renamed from: f  reason: collision with root package name */
        List<QueueItem> f302f;

        /* renamed from: g  reason: collision with root package name */
        MediaMetadataCompat f303g;

        /* renamed from: h  reason: collision with root package name */
        int f304h;

        /* renamed from: i  reason: collision with root package name */
        boolean f305i;

        /* renamed from: j  reason: collision with root package name */
        int f306j;

        /* renamed from: k  reason: collision with root package name */
        int f307k;

        class a extends b.a {
            a() {
            }

            @Override // android.support.v4.media.session.b
            public void B0(Uri uri, Bundle bundle) throws RemoteException {
                throw new AssertionError();
            }

            @Override // android.support.v4.media.session.b
            public ParcelableVolumeInfo B1() {
                throw new AssertionError();
            }

            @Override // android.support.v4.media.session.b
            public void D(String str, Bundle bundle) throws RemoteException {
                throw new AssertionError();
            }

            @Override // android.support.v4.media.session.b
            public void D0(long j7) throws RemoteException {
                throw new AssertionError();
            }

            @Override // android.support.v4.media.session.b
            public void G(a aVar) {
                h hVar = h.this;
                if (!hVar.f299c) {
                    String i7 = hVar.i();
                    if (i7 == null) {
                        i7 = MediaSessionManager.RemoteUserInfo.LEGACY_CONTROLLER;
                    }
                    h.this.f300d.register(aVar, new MediaSessionManager.RemoteUserInfo(i7, Binder.getCallingPid(), Binder.getCallingUid()));
                }
            }

            @Override // android.support.v4.media.session.b
            public boolean J() {
                return false;
            }

            @Override // android.support.v4.media.session.b
            public void K(RatingCompat ratingCompat) throws RemoteException {
                throw new AssertionError();
            }

            @Override // android.support.v4.media.session.b
            public void N(int i7, int i8, String str) {
                throw new AssertionError();
            }

            @Override // android.support.v4.media.session.b
            public boolean N0(KeyEvent keyEvent) {
                throw new AssertionError();
            }

            @Override // android.support.v4.media.session.b
            public void O(Uri uri, Bundle bundle) throws RemoteException {
                throw new AssertionError();
            }

            @Override // android.support.v4.media.session.b
            public void S0(int i7, int i8, String str) {
                throw new AssertionError();
            }

            @Override // android.support.v4.media.session.b
            public void T0(RatingCompat ratingCompat, Bundle bundle) throws RemoteException {
                throw new AssertionError();
            }

            @Override // android.support.v4.media.session.b
            public void V0(MediaDescriptionCompat mediaDescriptionCompat, int i7) {
                throw new AssertionError();
            }

            @Override // android.support.v4.media.session.b
            public boolean Z() {
                throw new AssertionError();
            }

            @Override // android.support.v4.media.session.b
            public String a() {
                throw new AssertionError();
            }

            @Override // android.support.v4.media.session.b
            public PendingIntent c0() {
                throw new AssertionError();
            }

            @Override // android.support.v4.media.session.b
            public void f0(String str, Bundle bundle) throws RemoteException {
                throw new AssertionError();
            }

            @Override // android.support.v4.media.session.b
            public Bundle getExtras() {
                throw new AssertionError();
            }

            @Override // android.support.v4.media.session.b
            public long getFlags() {
                throw new AssertionError();
            }

            @Override // android.support.v4.media.session.b
            public String getPackageName() {
                throw new AssertionError();
            }

            @Override // android.support.v4.media.session.b
            public void h1(int i7) {
                throw new AssertionError();
            }

            @Override // android.support.v4.media.session.b
            public void i0() throws RemoteException {
                throw new AssertionError();
            }

            @Override // android.support.v4.media.session.b
            public MediaMetadataCompat j() {
                throw new AssertionError();
            }

            @Override // android.support.v4.media.session.b
            public PlaybackStateCompat k() {
                h hVar = h.this;
                return MediaSessionCompat.j(hVar.f301e, hVar.f303g);
            }

            @Override // android.support.v4.media.session.b
            public void l(MediaDescriptionCompat mediaDescriptionCompat) {
                throw new AssertionError();
            }

            @Override // android.support.v4.media.session.b
            public void m(MediaDescriptionCompat mediaDescriptionCompat) {
                throw new AssertionError();
            }

            @Override // android.support.v4.media.session.b
            public void next() throws RemoteException {
                throw new AssertionError();
            }

            @Override // android.support.v4.media.session.b
            public int o() {
                return h.this.f304h;
            }

            @Override // android.support.v4.media.session.b
            public void o1() throws RemoteException {
                throw new AssertionError();
            }

            @Override // android.support.v4.media.session.b
            public CharSequence p() {
                throw new AssertionError();
            }

            @Override // android.support.v4.media.session.b
            public void pause() throws RemoteException {
                throw new AssertionError();
            }

            @Override // android.support.v4.media.session.b
            public void previous() throws RemoteException {
                throw new AssertionError();
            }

            @Override // android.support.v4.media.session.b
            public void q(boolean z7) throws RemoteException {
                throw new AssertionError();
            }

            @Override // android.support.v4.media.session.b
            public void q0(String str, Bundle bundle) throws RemoteException {
                throw new AssertionError();
            }

            @Override // android.support.v4.media.session.b
            public void q1(String str, Bundle bundle, ResultReceiverWrapper resultReceiverWrapper) {
                throw new AssertionError();
            }

            @Override // android.support.v4.media.session.b
            public void r0(a aVar) {
                h.this.f300d.unregister(aVar);
            }

            @Override // android.support.v4.media.session.b
            public int s() {
                return h.this.f307k;
            }

            @Override // android.support.v4.media.session.b
            public void s1() throws RemoteException {
                throw new AssertionError();
            }

            @Override // android.support.v4.media.session.b
            public void stop() throws RemoteException {
                throw new AssertionError();
            }

            @Override // android.support.v4.media.session.b
            public boolean t() {
                return h.this.f305i;
            }

            @Override // android.support.v4.media.session.b
            public List<QueueItem> u() {
                return null;
            }

            @Override // android.support.v4.media.session.b
            public void u0(String str, Bundle bundle) throws RemoteException {
                throw new AssertionError();
            }

            @Override // android.support.v4.media.session.b
            public void v(int i7) throws RemoteException {
                throw new AssertionError();
            }

            @Override // android.support.v4.media.session.b
            public void w0(String str, Bundle bundle) throws RemoteException {
                throw new AssertionError();
            }

            @Override // android.support.v4.media.session.b
            public int x() {
                return h.this.f306j;
            }

            @Override // android.support.v4.media.session.b
            public void x1(long j7) {
                throw new AssertionError();
            }

            @Override // android.support.v4.media.session.b
            public void y1(boolean z7) throws RemoteException {
            }

            @Override // android.support.v4.media.session.b
            public void z(int i7) throws RemoteException {
                throw new AssertionError();
            }

            @Override // android.support.v4.media.session.b
            public void z0() throws RemoteException {
                throw new AssertionError();
            }
        }

        h(Context context, String str, Bundle bundle) {
            Object b7 = f.b(context, str);
            this.f297a = b7;
            this.f298b = new Token(f.c(b7), new a(), bundle);
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e
        public void A(VolumeProviderCompat volumeProviderCompat) {
            f.p(this.f297a, volumeProviderCompat.getVolumeProvider());
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e
        public MediaSessionManager.RemoteUserInfo B() {
            return null;
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e
        public Token d() {
            return this.f298b;
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e
        public void f() {
            this.f299c = true;
            f.f(this.f297a);
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e
        public boolean g() {
            return f.e(this.f297a);
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e
        public void h(String str, Bundle bundle) {
            f.g(this.f297a, str, bundle);
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e
        public String i() {
            return i.b(this.f297a);
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e
        public void j(PendingIntent pendingIntent) {
            f.s(this.f297a, pendingIntent);
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e
        public PlaybackStateCompat k() {
            return this.f301e;
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e
        public void l(d dVar, Handler handler) {
            f.i(this.f297a, dVar == null ? null : dVar.f286a, handler);
            if (dVar != null) {
                dVar.D(this, handler);
            }
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e
        public void m(int i7) {
            f.o(this.f297a, i7);
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e
        public void n(CharSequence charSequence) {
            f.r(this.f297a, charSequence);
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e
        public void o(MediaMetadataCompat mediaMetadataCompat) {
            this.f303g = mediaMetadataCompat;
            f.m(this.f297a, mediaMetadataCompat == null ? null : mediaMetadataCompat.o());
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e
        public void p(PendingIntent pendingIntent) {
            f.l(this.f297a, pendingIntent);
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e
        public void q(boolean z7) {
            if (this.f305i != z7) {
                this.f305i = z7;
                for (int beginBroadcast = this.f300d.beginBroadcast() - 1; beginBroadcast >= 0; beginBroadcast--) {
                    try {
                        this.f300d.getBroadcastItem(beginBroadcast).E0(z7);
                    } catch (RemoteException unused) {
                    }
                }
                this.f300d.finishBroadcast();
            }
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e
        public void r(int i7) {
            g.a(this.f297a, i7);
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e
        public void s(List<QueueItem> list) {
            ArrayList arrayList;
            this.f302f = list;
            if (list != null) {
                arrayList = new ArrayList();
                for (QueueItem queueItem : list) {
                    arrayList.add(queueItem.m());
                }
            } else {
                arrayList = null;
            }
            f.q(this.f297a, arrayList);
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e
        public void setExtras(Bundle bundle) {
            f.j(this.f297a, bundle);
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e
        public void setFlags(int i7) {
            f.k(this.f297a, i7);
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e
        public Object t() {
            return null;
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e
        public void u(boolean z7) {
            f.h(this.f297a, z7);
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e
        public void v(int i7) {
            if (this.f306j != i7) {
                this.f306j = i7;
                for (int beginBroadcast = this.f300d.beginBroadcast() - 1; beginBroadcast >= 0; beginBroadcast--) {
                    try {
                        this.f300d.getBroadcastItem(beginBroadcast).c1(i7);
                    } catch (RemoteException unused) {
                    }
                }
                this.f300d.finishBroadcast();
            }
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e
        public void w(MediaSessionManager.RemoteUserInfo remoteUserInfo) {
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e
        public void x(PlaybackStateCompat playbackStateCompat) {
            this.f301e = playbackStateCompat;
            for (int beginBroadcast = this.f300d.beginBroadcast() - 1; beginBroadcast >= 0; beginBroadcast--) {
                try {
                    this.f300d.getBroadcastItem(beginBroadcast).K1(playbackStateCompat);
                } catch (RemoteException unused) {
                }
            }
            this.f300d.finishBroadcast();
            f.n(this.f297a, playbackStateCompat == null ? null : playbackStateCompat.u());
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e
        public Object y() {
            return this.f297a;
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e
        public void z(int i7) {
            if (this.f307k != i7) {
                this.f307k = i7;
                for (int beginBroadcast = this.f300d.beginBroadcast() - 1; beginBroadcast >= 0; beginBroadcast--) {
                    try {
                        this.f300d.getBroadcastItem(beginBroadcast).m1(i7);
                    } catch (RemoteException unused) {
                    }
                }
                this.f300d.finishBroadcast();
            }
        }

        h(Object obj) {
            Object t7 = f.t(obj);
            this.f297a = t7;
            this.f298b = new Token(f.c(t7), new a());
        }
    }

    @RequiresApi(28)
    static class i extends h {
        i(Context context, String str, Bundle bundle) {
            super(context, str, bundle);
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e, android.support.v4.media.session.MediaSessionCompat.h
        @NonNull
        public final MediaSessionManager.RemoteUserInfo B() {
            return new MediaSessionManager.RemoteUserInfo(((MediaSession) this.f297a).getCurrentControllerInfo());
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e, android.support.v4.media.session.MediaSessionCompat.h
        public void w(MediaSessionManager.RemoteUserInfo remoteUserInfo) {
        }

        i(Object obj) {
            super(obj);
        }
    }

    /* access modifiers changed from: package-private */
    public static class j implements e {
        static final int H = 0;
        int A;
        int B;
        Bundle C;
        int D;
        int E;
        VolumeProviderCompat F;
        private VolumeProviderCompat.Callback G = new a();

        /* renamed from: a  reason: collision with root package name */
        private final Context f309a;

        /* renamed from: b  reason: collision with root package name */
        private final ComponentName f310b;

        /* renamed from: c  reason: collision with root package name */
        private final PendingIntent f311c;

        /* renamed from: d  reason: collision with root package name */
        private final c f312d;

        /* renamed from: e  reason: collision with root package name */
        private final Token f313e;

        /* renamed from: f  reason: collision with root package name */
        final String f314f;

        /* renamed from: g  reason: collision with root package name */
        final String f315g;

        /* renamed from: h  reason: collision with root package name */
        final AudioManager f316h;

        /* renamed from: i  reason: collision with root package name */
        final RemoteControlClient f317i;

        /* renamed from: j  reason: collision with root package name */
        final Object f318j = new Object();

        /* renamed from: k  reason: collision with root package name */
        final RemoteCallbackList<a> f319k = new RemoteCallbackList<>();

        /* renamed from: l  reason: collision with root package name */
        private d f320l;

        /* renamed from: m  reason: collision with root package name */
        boolean f321m = false;

        /* renamed from: n  reason: collision with root package name */
        boolean f322n = false;

        /* renamed from: o  reason: collision with root package name */
        private boolean f323o = false;

        /* renamed from: p  reason: collision with root package name */
        private boolean f324p = false;

        /* renamed from: q  reason: collision with root package name */
        volatile d f325q;

        /* renamed from: r  reason: collision with root package name */
        private MediaSessionManager.RemoteUserInfo f326r;

        /* renamed from: s  reason: collision with root package name */
        int f327s;

        /* renamed from: t  reason: collision with root package name */
        MediaMetadataCompat f328t;

        /* renamed from: u  reason: collision with root package name */
        PlaybackStateCompat f329u;

        /* renamed from: v  reason: collision with root package name */
        PendingIntent f330v;

        /* renamed from: w  reason: collision with root package name */
        List<QueueItem> f331w;

        /* renamed from: x  reason: collision with root package name */
        CharSequence f332x;

        /* renamed from: y  reason: collision with root package name */
        int f333y;

        /* renamed from: z  reason: collision with root package name */
        boolean f334z;

        class a extends VolumeProviderCompat.Callback {
            a() {
            }

            @Override // androidx.media.VolumeProviderCompat.Callback
            public void onVolumeChanged(VolumeProviderCompat volumeProviderCompat) {
                if (j.this.F == volumeProviderCompat) {
                    j jVar = j.this;
                    j.this.O(new ParcelableVolumeInfo(jVar.D, jVar.E, volumeProviderCompat.getVolumeControl(), volumeProviderCompat.getMaxVolume(), volumeProviderCompat.getCurrentVolume()));
                }
            }
        }

        private static final class b {

            /* renamed from: a  reason: collision with root package name */
            public final String f336a;

            /* renamed from: b  reason: collision with root package name */
            public final Bundle f337b;

            /* renamed from: c  reason: collision with root package name */
            public final ResultReceiver f338c;

            public b(String str, Bundle bundle, ResultReceiver resultReceiver) {
                this.f336a = str;
                this.f337b = bundle;
                this.f338c = resultReceiver;
            }
        }

        class c extends b.a {
            c() {
            }

            @Override // android.support.v4.media.session.b
            public void B0(Uri uri, Bundle bundle) throws RemoteException {
                P1(10, uri, bundle);
            }

            @Override // android.support.v4.media.session.b
            public ParcelableVolumeInfo B1() {
                int i7;
                int i8;
                int i9;
                int i10;
                int i11;
                synchronized (j.this.f318j) {
                    j jVar = j.this;
                    i7 = jVar.D;
                    i8 = jVar.E;
                    VolumeProviderCompat volumeProviderCompat = jVar.F;
                    i9 = 2;
                    if (i7 == 2) {
                        int volumeControl = volumeProviderCompat.getVolumeControl();
                        i9 = volumeControl;
                        i11 = volumeProviderCompat.getMaxVolume();
                        i10 = volumeProviderCompat.getCurrentVolume();
                    } else {
                        int streamMaxVolume = jVar.f316h.getStreamMaxVolume(i8);
                        i10 = j.this.f316h.getStreamVolume(i8);
                        i11 = streamMaxVolume;
                    }
                }
                return new ParcelableVolumeInfo(i7, i8, i9, i11, i10);
            }

            @Override // android.support.v4.media.session.b
            public void D(String str, Bundle bundle) throws RemoteException {
                P1(20, str, bundle);
            }

            @Override // android.support.v4.media.session.b
            public void D0(long j7) throws RemoteException {
                w(18, Long.valueOf(j7));
            }

            @Override // android.support.v4.media.session.b
            public void G(a aVar) {
                if (j.this.f321m) {
                    try {
                        aVar.i();
                    } catch (Exception unused) {
                    }
                } else {
                    j.this.f319k.register(aVar, new MediaSessionManager.RemoteUserInfo(MediaSessionManager.RemoteUserInfo.LEGACY_CONTROLLER, Binder.getCallingPid(), Binder.getCallingUid()));
                }
            }

            @Override // android.support.v4.media.session.b
            public boolean J() {
                return false;
            }

            @Override // android.support.v4.media.session.b
            public void K(RatingCompat ratingCompat) throws RemoteException {
                w(19, ratingCompat);
            }

            @Override // android.support.v4.media.session.b
            public void N(int i7, int i8, String str) {
                j.this.Q(i7, i8);
            }

            @Override // android.support.v4.media.session.b
            public boolean N0(KeyEvent keyEvent) {
                boolean z7 = true;
                if ((j.this.f327s & 1) == 0) {
                    z7 = false;
                }
                if (z7) {
                    w(21, keyEvent);
                }
                return z7;
            }

            @Override // android.support.v4.media.session.b
            public void O(Uri uri, Bundle bundle) throws RemoteException {
                P1(6, uri, bundle);
            }

            /* access modifiers changed from: package-private */
            public void O1(int i7, Object obj, int i8) {
                j.this.C(i7, i8, 0, obj, null);
            }

            /* access modifiers changed from: package-private */
            public void P1(int i7, Object obj, Bundle bundle) {
                j.this.C(i7, 0, 0, obj, bundle);
            }

            @Override // android.support.v4.media.session.b
            public void S0(int i7, int i8, String str) {
                j.this.a(i7, i8);
            }

            @Override // android.support.v4.media.session.b
            public void T0(RatingCompat ratingCompat, Bundle bundle) throws RemoteException {
                P1(31, ratingCompat, bundle);
            }

            @Override // android.support.v4.media.session.b
            public void V0(MediaDescriptionCompat mediaDescriptionCompat, int i7) {
                O1(26, mediaDescriptionCompat, i7);
            }

            @Override // android.support.v4.media.session.b
            public boolean Z() {
                return (j.this.f327s & 2) != 0;
            }

            @Override // android.support.v4.media.session.b
            public String a() {
                return j.this.f315g;
            }

            @Override // android.support.v4.media.session.b
            public PendingIntent c0() {
                PendingIntent pendingIntent;
                synchronized (j.this.f318j) {
                    pendingIntent = j.this.f330v;
                }
                return pendingIntent;
            }

            /* access modifiers changed from: package-private */
            public void e(int i7) {
                j.this.C(i7, 0, 0, null, null);
            }

            @Override // android.support.v4.media.session.b
            public void f0(String str, Bundle bundle) throws RemoteException {
                P1(5, str, bundle);
            }

            /* access modifiers changed from: package-private */
            public void g(int i7, int i8) {
                j.this.C(i7, i8, 0, null, null);
            }

            @Override // android.support.v4.media.session.b
            public Bundle getExtras() {
                Bundle bundle;
                synchronized (j.this.f318j) {
                    bundle = j.this.C;
                }
                return bundle;
            }

            @Override // android.support.v4.media.session.b
            public long getFlags() {
                long j7;
                synchronized (j.this.f318j) {
                    j7 = (long) j.this.f327s;
                }
                return j7;
            }

            @Override // android.support.v4.media.session.b
            public String getPackageName() {
                return j.this.f314f;
            }

            @Override // android.support.v4.media.session.b
            public void h1(int i7) {
                g(28, i7);
            }

            @Override // android.support.v4.media.session.b
            public void i0() throws RemoteException {
                e(3);
            }

            @Override // android.support.v4.media.session.b
            public MediaMetadataCompat j() {
                return j.this.f328t;
            }

            @Override // android.support.v4.media.session.b
            public PlaybackStateCompat k() {
                PlaybackStateCompat playbackStateCompat;
                MediaMetadataCompat mediaMetadataCompat;
                synchronized (j.this.f318j) {
                    j jVar = j.this;
                    playbackStateCompat = jVar.f329u;
                    mediaMetadataCompat = jVar.f328t;
                }
                return MediaSessionCompat.j(playbackStateCompat, mediaMetadataCompat);
            }

            @Override // android.support.v4.media.session.b
            public void l(MediaDescriptionCompat mediaDescriptionCompat) {
                w(27, mediaDescriptionCompat);
            }

            @Override // android.support.v4.media.session.b
            public void m(MediaDescriptionCompat mediaDescriptionCompat) {
                w(25, mediaDescriptionCompat);
            }

            @Override // android.support.v4.media.session.b
            public void next() throws RemoteException {
                e(14);
            }

            @Override // android.support.v4.media.session.b
            public int o() {
                return j.this.f333y;
            }

            @Override // android.support.v4.media.session.b
            public void o1() throws RemoteException {
                e(7);
            }

            @Override // android.support.v4.media.session.b
            public CharSequence p() {
                return j.this.f332x;
            }

            @Override // android.support.v4.media.session.b
            public void pause() throws RemoteException {
                e(12);
            }

            @Override // android.support.v4.media.session.b
            public void previous() throws RemoteException {
                e(15);
            }

            @Override // android.support.v4.media.session.b
            public void q(boolean z7) throws RemoteException {
                w(29, Boolean.valueOf(z7));
            }

            @Override // android.support.v4.media.session.b
            public void q0(String str, Bundle bundle) throws RemoteException {
                P1(4, str, bundle);
            }

            @Override // android.support.v4.media.session.b
            public void q1(String str, Bundle bundle, ResultReceiverWrapper resultReceiverWrapper) {
                w(1, new b(str, bundle, resultReceiverWrapper.f279f));
            }

            @Override // android.support.v4.media.session.b
            public void r0(a aVar) {
                j.this.f319k.unregister(aVar);
            }

            @Override // android.support.v4.media.session.b
            public int s() {
                return j.this.B;
            }

            @Override // android.support.v4.media.session.b
            public void s1() throws RemoteException {
                e(17);
            }

            @Override // android.support.v4.media.session.b
            public void stop() throws RemoteException {
                e(13);
            }

            @Override // android.support.v4.media.session.b
            public boolean t() {
                return j.this.f334z;
            }

            @Override // android.support.v4.media.session.b
            public List<QueueItem> u() {
                List<QueueItem> list;
                synchronized (j.this.f318j) {
                    list = j.this.f331w;
                }
                return list;
            }

            @Override // android.support.v4.media.session.b
            public void u0(String str, Bundle bundle) throws RemoteException {
                P1(8, str, bundle);
            }

            @Override // android.support.v4.media.session.b
            public void v(int i7) throws RemoteException {
                g(23, i7);
            }

            /* access modifiers changed from: package-private */
            public void w(int i7, Object obj) {
                j.this.C(i7, 0, 0, obj, null);
            }

            @Override // android.support.v4.media.session.b
            public void w0(String str, Bundle bundle) throws RemoteException {
                P1(9, str, bundle);
            }

            @Override // android.support.v4.media.session.b
            public int x() {
                return j.this.A;
            }

            @Override // android.support.v4.media.session.b
            public void x1(long j7) {
                w(11, Long.valueOf(j7));
            }

            @Override // android.support.v4.media.session.b
            public void y1(boolean z7) throws RemoteException {
            }

            @Override // android.support.v4.media.session.b
            public void z(int i7) throws RemoteException {
                g(30, i7);
            }

            @Override // android.support.v4.media.session.b
            public void z0() throws RemoteException {
                e(16);
            }
        }

        /* access modifiers changed from: package-private */
        public class d extends Handler {
            private static final int A = 26;
            private static final int B = 27;
            private static final int C = 28;
            private static final int D = 29;
            private static final int E = 30;
            private static final int F = 127;
            private static final int G = 126;

            /* renamed from: b  reason: collision with root package name */
            private static final int f340b = 1;

            /* renamed from: c  reason: collision with root package name */
            private static final int f341c = 2;

            /* renamed from: d  reason: collision with root package name */
            private static final int f342d = 3;

            /* renamed from: e  reason: collision with root package name */
            private static final int f343e = 4;

            /* renamed from: f  reason: collision with root package name */
            private static final int f344f = 5;

            /* renamed from: g  reason: collision with root package name */
            private static final int f345g = 6;

            /* renamed from: h  reason: collision with root package name */
            private static final int f346h = 7;

            /* renamed from: i  reason: collision with root package name */
            private static final int f347i = 8;

            /* renamed from: j  reason: collision with root package name */
            private static final int f348j = 9;

            /* renamed from: k  reason: collision with root package name */
            private static final int f349k = 10;

            /* renamed from: l  reason: collision with root package name */
            private static final int f350l = 11;

            /* renamed from: m  reason: collision with root package name */
            private static final int f351m = 12;

            /* renamed from: n  reason: collision with root package name */
            private static final int f352n = 13;

            /* renamed from: o  reason: collision with root package name */
            private static final int f353o = 14;

            /* renamed from: p  reason: collision with root package name */
            private static final int f354p = 15;

            /* renamed from: q  reason: collision with root package name */
            private static final int f355q = 16;

            /* renamed from: r  reason: collision with root package name */
            private static final int f356r = 17;

            /* renamed from: s  reason: collision with root package name */
            private static final int f357s = 18;

            /* renamed from: t  reason: collision with root package name */
            private static final int f358t = 19;

            /* renamed from: u  reason: collision with root package name */
            private static final int f359u = 31;

            /* renamed from: v  reason: collision with root package name */
            private static final int f360v = 20;

            /* renamed from: w  reason: collision with root package name */
            private static final int f361w = 21;

            /* renamed from: x  reason: collision with root package name */
            private static final int f362x = 22;

            /* renamed from: y  reason: collision with root package name */
            private static final int f363y = 23;

            /* renamed from: z  reason: collision with root package name */
            private static final int f364z = 25;

            public d(Looper looper) {
                super(looper);
            }

            private void a(KeyEvent keyEvent, d dVar) {
                if (keyEvent != null && keyEvent.getAction() == 0) {
                    PlaybackStateCompat playbackStateCompat = j.this.f329u;
                    long b7 = playbackStateCompat == null ? 0 : playbackStateCompat.b();
                    int keyCode = keyEvent.getKeyCode();
                    if (keyCode != 79) {
                        if (keyCode != G) {
                            if (keyCode != 127) {
                                switch (keyCode) {
                                    case 85:
                                        break;
                                    case 86:
                                        if ((1 & b7) != 0) {
                                            dVar.C();
                                            return;
                                        }
                                        return;
                                    case 87:
                                        if ((32 & b7) != 0) {
                                            dVar.z();
                                            return;
                                        }
                                        return;
                                    case 88:
                                        if ((16 & b7) != 0) {
                                            dVar.A();
                                            return;
                                        }
                                        return;
                                    case 89:
                                        if ((8 & b7) != 0) {
                                            dVar.s();
                                            return;
                                        }
                                        return;
                                    case 90:
                                        if ((64 & b7) != 0) {
                                            dVar.f();
                                            return;
                                        }
                                        return;
                                    default:
                                        return;
                                }
                            } else if ((2 & b7) != 0) {
                                dVar.h();
                                return;
                            } else {
                                return;
                            }
                        } else if ((4 & b7) != 0) {
                            dVar.i();
                            return;
                        } else {
                            return;
                        }
                    }
                    Log.w(MediaSessionCompat.f249d, "KEYCODE_MEDIA_PLAY_PAUSE and KEYCODE_HEADSETHOOK are handled already");
                }
            }

            public void handleMessage(Message message) {
                MediaDescriptionCompat mediaDescriptionCompat;
                d dVar = j.this.f325q;
                if (dVar != null) {
                    Bundle data = message.getData();
                    MediaSessionCompat.b(data);
                    j.this.w(new MediaSessionManager.RemoteUserInfo(data.getString(MediaSessionCompat.L), data.getInt("data_calling_pid"), data.getInt("data_calling_uid")));
                    Bundle bundle = data.getBundle(MediaSessionCompat.O);
                    MediaSessionCompat.b(bundle);
                    try {
                        switch (message.what) {
                            case 1:
                                b bVar = (b) message.obj;
                                dVar.d(bVar.f336a, bVar.f337b, bVar.f338c);
                                break;
                            case 2:
                                j.this.a(message.arg1, 0);
                                break;
                            case 3:
                                dVar.m();
                                break;
                            case 4:
                                dVar.n((String) message.obj, bundle);
                                break;
                            case 5:
                                dVar.o((String) message.obj, bundle);
                                break;
                            case 6:
                                dVar.p((Uri) message.obj, bundle);
                                break;
                            case 7:
                                dVar.i();
                                break;
                            case 8:
                                dVar.j((String) message.obj, bundle);
                                break;
                            case 9:
                                dVar.k((String) message.obj, bundle);
                                break;
                            case 10:
                                dVar.l((Uri) message.obj, bundle);
                                break;
                            case 11:
                                dVar.B(((Long) message.obj).longValue());
                                break;
                            case 12:
                                dVar.h();
                                break;
                            case 13:
                                dVar.C();
                                break;
                            case 14:
                                dVar.z();
                                break;
                            case 15:
                                dVar.A();
                                break;
                            case 16:
                                dVar.f();
                                break;
                            case 17:
                                dVar.s();
                                break;
                            case 18:
                                dVar.t(((Long) message.obj).longValue());
                                break;
                            case 19:
                                dVar.v((RatingCompat) message.obj);
                                break;
                            case 20:
                                dVar.e((String) message.obj, bundle);
                                break;
                            case 21:
                                KeyEvent keyEvent = (KeyEvent) message.obj;
                                Intent intent = new Intent("android.intent.action.MEDIA_BUTTON");
                                intent.putExtra("android.intent.extra.KEY_EVENT", keyEvent);
                                if (!dVar.g(intent)) {
                                    a(keyEvent, dVar);
                                    break;
                                }
                                break;
                            case 22:
                                j.this.Q(message.arg1, 0);
                                break;
                            case 23:
                                dVar.x(message.arg1);
                                break;
                            case 25:
                                dVar.b((MediaDescriptionCompat) message.obj);
                                break;
                            case 26:
                                dVar.c((MediaDescriptionCompat) message.obj, message.arg1);
                                break;
                            case 27:
                                mediaDescriptionCompat = (MediaDescriptionCompat) message.obj;
                                dVar.q(mediaDescriptionCompat);
                                break;
                            case 28:
                                List<QueueItem> list = j.this.f331w;
                                if (list != null) {
                                    int i7 = message.arg1;
                                    QueueItem queueItem = (i7 < 0 || i7 >= list.size()) ? null : j.this.f331w.get(message.arg1);
                                    if (queueItem != null) {
                                        mediaDescriptionCompat = queueItem.j();
                                        dVar.q(mediaDescriptionCompat);
                                        break;
                                    }
                                }
                                break;
                            case 29:
                                dVar.u(((Boolean) message.obj).booleanValue());
                                break;
                            case 30:
                                dVar.y(message.arg1);
                                break;
                            case 31:
                                dVar.w((RatingCompat) message.obj, bundle);
                                break;
                        }
                    } finally {
                        j.this.w(null);
                    }
                }
            }
        }

        public j(Context context, String str, ComponentName componentName, PendingIntent pendingIntent) {
            if (componentName != null) {
                this.f309a = context;
                this.f314f = context.getPackageName();
                this.f316h = (AudioManager) context.getSystemService("audio");
                this.f315g = str;
                this.f310b = componentName;
                this.f311c = pendingIntent;
                c cVar = new c();
                this.f312d = cVar;
                this.f313e = new Token(cVar);
                this.f333y = 0;
                this.D = 1;
                this.E = 3;
                this.f317i = new RemoteControlClient(pendingIntent);
                return;
            }
            throw new IllegalArgumentException("MediaButtonReceiver component may not be null.");
        }

        private void E(boolean z7) {
            for (int beginBroadcast = this.f319k.beginBroadcast() - 1; beginBroadcast >= 0; beginBroadcast--) {
                try {
                    this.f319k.getBroadcastItem(beginBroadcast).E0(z7);
                } catch (RemoteException unused) {
                }
            }
            this.f319k.finishBroadcast();
        }

        private void F(String str, Bundle bundle) {
            for (int beginBroadcast = this.f319k.beginBroadcast() - 1; beginBroadcast >= 0; beginBroadcast--) {
                try {
                    this.f319k.getBroadcastItem(beginBroadcast).L1(str, bundle);
                } catch (RemoteException unused) {
                }
            }
            this.f319k.finishBroadcast();
        }

        private void G(Bundle bundle) {
            for (int beginBroadcast = this.f319k.beginBroadcast() - 1; beginBroadcast >= 0; beginBroadcast--) {
                try {
                    this.f319k.getBroadcastItem(beginBroadcast).b(bundle);
                } catch (RemoteException unused) {
                }
            }
            this.f319k.finishBroadcast();
        }

        private void H(MediaMetadataCompat mediaMetadataCompat) {
            for (int beginBroadcast = this.f319k.beginBroadcast() - 1; beginBroadcast >= 0; beginBroadcast--) {
                try {
                    this.f319k.getBroadcastItem(beginBroadcast).W0(mediaMetadataCompat);
                } catch (RemoteException unused) {
                }
            }
            this.f319k.finishBroadcast();
        }

        private void I(List<QueueItem> list) {
            for (int beginBroadcast = this.f319k.beginBroadcast() - 1; beginBroadcast >= 0; beginBroadcast--) {
                try {
                    this.f319k.getBroadcastItem(beginBroadcast).c(list);
                } catch (RemoteException unused) {
                }
            }
            this.f319k.finishBroadcast();
        }

        private void J(CharSequence charSequence) {
            for (int beginBroadcast = this.f319k.beginBroadcast() - 1; beginBroadcast >= 0; beginBroadcast--) {
                try {
                    this.f319k.getBroadcastItem(beginBroadcast).h(charSequence);
                } catch (RemoteException unused) {
                }
            }
            this.f319k.finishBroadcast();
        }

        private void K(int i7) {
            for (int beginBroadcast = this.f319k.beginBroadcast() - 1; beginBroadcast >= 0; beginBroadcast--) {
                try {
                    this.f319k.getBroadcastItem(beginBroadcast).c1(i7);
                } catch (RemoteException unused) {
                }
            }
            this.f319k.finishBroadcast();
        }

        private void L() {
            for (int beginBroadcast = this.f319k.beginBroadcast() - 1; beginBroadcast >= 0; beginBroadcast--) {
                try {
                    this.f319k.getBroadcastItem(beginBroadcast).i();
                } catch (RemoteException unused) {
                }
            }
            this.f319k.finishBroadcast();
            this.f319k.kill();
        }

        private void M(int i7) {
            for (int beginBroadcast = this.f319k.beginBroadcast() - 1; beginBroadcast >= 0; beginBroadcast--) {
                try {
                    this.f319k.getBroadcastItem(beginBroadcast).m1(i7);
                } catch (RemoteException unused) {
                }
            }
            this.f319k.finishBroadcast();
        }

        private void N(PlaybackStateCompat playbackStateCompat) {
            for (int beginBroadcast = this.f319k.beginBroadcast() - 1; beginBroadcast >= 0; beginBroadcast--) {
                try {
                    this.f319k.getBroadcastItem(beginBroadcast).K1(playbackStateCompat);
                } catch (RemoteException unused) {
                }
            }
            this.f319k.finishBroadcast();
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e
        public void A(VolumeProviderCompat volumeProviderCompat) {
            if (volumeProviderCompat != null) {
                VolumeProviderCompat volumeProviderCompat2 = this.F;
                if (volumeProviderCompat2 != null) {
                    volumeProviderCompat2.setCallback(null);
                }
                this.D = 2;
                this.F = volumeProviderCompat;
                O(new ParcelableVolumeInfo(this.D, this.E, this.F.getVolumeControl(), this.F.getMaxVolume(), this.F.getCurrentVolume()));
                volumeProviderCompat.setCallback(this.G);
                return;
            }
            throw new IllegalArgumentException("volumeProvider may not be null");
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e
        public MediaSessionManager.RemoteUserInfo B() {
            MediaSessionManager.RemoteUserInfo remoteUserInfo;
            synchronized (this.f318j) {
                remoteUserInfo = this.f326r;
            }
            return remoteUserInfo;
        }

        /* access modifiers changed from: package-private */
        public void C(int i7, int i8, int i9, Object obj, Bundle bundle) {
            synchronized (this.f318j) {
                d dVar = this.f320l;
                if (dVar != null) {
                    Message obtainMessage = dVar.obtainMessage(i7, i8, i9, obj);
                    Bundle bundle2 = new Bundle();
                    bundle2.putString(MediaSessionCompat.L, MediaSessionManager.RemoteUserInfo.LEGACY_CONTROLLER);
                    bundle2.putInt("data_calling_pid", Binder.getCallingPid());
                    bundle2.putInt("data_calling_uid", Binder.getCallingUid());
                    if (bundle != null) {
                        bundle2.putBundle(MediaSessionCompat.O, bundle);
                    }
                    obtainMessage.setData(bundle2);
                    obtainMessage.sendToTarget();
                }
            }
        }

        /* access modifiers changed from: package-private */
        public void D(PendingIntent pendingIntent, ComponentName componentName) {
            this.f316h.registerMediaButtonEventReceiver(componentName);
        }

        /* access modifiers changed from: package-private */
        public void O(ParcelableVolumeInfo parcelableVolumeInfo) {
            for (int beginBroadcast = this.f319k.beginBroadcast() - 1; beginBroadcast >= 0; beginBroadcast--) {
                try {
                    this.f319k.getBroadcastItem(beginBroadcast).N1(parcelableVolumeInfo);
                } catch (RemoteException unused) {
                }
            }
            this.f319k.finishBroadcast();
        }

        /* access modifiers changed from: package-private */
        public void P(PlaybackStateCompat playbackStateCompat) {
            this.f317i.setPlaybackState(c(playbackStateCompat.w()));
        }

        /* access modifiers changed from: package-private */
        public void Q(int i7, int i8) {
            if (this.D == 2) {
                VolumeProviderCompat volumeProviderCompat = this.F;
                if (volumeProviderCompat != null) {
                    volumeProviderCompat.onSetVolumeTo(i7);
                    return;
                }
                return;
            }
            this.f316h.setStreamVolume(this.E, i7, i8);
        }

        /* access modifiers changed from: package-private */
        public void R(PendingIntent pendingIntent, ComponentName componentName) {
            this.f316h.unregisterMediaButtonEventReceiver(componentName);
        }

        /* access modifiers changed from: package-private */
        public boolean S() {
            if (this.f322n) {
                boolean z7 = this.f323o;
                if (!z7 && (this.f327s & 1) != 0) {
                    D(this.f311c, this.f310b);
                    this.f323o = true;
                } else if (z7 && (this.f327s & 1) == 0) {
                    R(this.f311c, this.f310b);
                    this.f323o = false;
                }
                boolean z8 = this.f324p;
                if (!z8 && (this.f327s & 2) != 0) {
                    this.f316h.registerRemoteControlClient(this.f317i);
                    this.f324p = true;
                    return true;
                } else if (!z8 || (this.f327s & 2) != 0) {
                    return false;
                }
            } else {
                if (this.f323o) {
                    R(this.f311c, this.f310b);
                    this.f323o = false;
                }
                if (!this.f324p) {
                    return false;
                }
            }
            this.f317i.setPlaybackState(0);
            this.f316h.unregisterRemoteControlClient(this.f317i);
            this.f324p = false;
            return false;
        }

        /* access modifiers changed from: package-private */
        public void a(int i7, int i8) {
            if (this.D == 2) {
                VolumeProviderCompat volumeProviderCompat = this.F;
                if (volumeProviderCompat != null) {
                    volumeProviderCompat.onAdjustVolume(i7);
                    return;
                }
                return;
            }
            this.f316h.adjustStreamVolume(this.E, i7, i8);
        }

        /* access modifiers changed from: package-private */
        /* JADX WARNING: Code restructure failed: missing block: B:12:0x0037, code lost:
            if (r1 != null) goto L_0x001d;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:6:0x001b, code lost:
            if (r1 != null) goto L_0x001d;
         */
        /* JADX WARNING: Removed duplicated region for block: B:15:0x0042  */
        /* JADX WARNING: Removed duplicated region for block: B:18:0x0051  */
        /* JADX WARNING: Removed duplicated region for block: B:21:0x0062  */
        /* JADX WARNING: Removed duplicated region for block: B:24:0x0072  */
        /* JADX WARNING: Removed duplicated region for block: B:27:0x0082  */
        /* JADX WARNING: Removed duplicated region for block: B:30:0x0093  */
        /* JADX WARNING: Removed duplicated region for block: B:33:0x00a3  */
        /* JADX WARNING: Removed duplicated region for block: B:36:0x00b3  */
        /* JADX WARNING: Removed duplicated region for block: B:39:0x00c4  */
        /* JADX WARNING: Removed duplicated region for block: B:42:0x00d5  */
        /* JADX WARNING: Removed duplicated region for block: B:45:0x00e5  */
        /* JADX WARNING: Removed duplicated region for block: B:48:0x00f5  */
        /* JADX WARNING: Removed duplicated region for block: B:51:0x0104  */
        public RemoteControlClient.MetadataEditor b(Bundle bundle) {
            Bitmap bitmap;
            RemoteControlClient.MetadataEditor editMetadata = this.f317i.editMetadata(true);
            if (bundle == null) {
                return editMetadata;
            }
            if (bundle.containsKey(MediaMetadataCompat.f164g6)) {
                bitmap = (Bitmap) bundle.getParcelable(MediaMetadataCompat.f164g6);
            } else {
                if (bundle.containsKey(MediaMetadataCompat.f166i6)) {
                    bitmap = (Bitmap) bundle.getParcelable(MediaMetadataCompat.f166i6);
                }
                if (bundle.containsKey(MediaMetadataCompat.U5)) {
                    editMetadata.putString(1, bundle.getString(MediaMetadataCompat.U5));
                }
                if (bundle.containsKey(MediaMetadataCompat.f163f6)) {
                    editMetadata.putString(13, bundle.getString(MediaMetadataCompat.f163f6));
                }
                if (bundle.containsKey(MediaMetadataCompat.C1)) {
                    editMetadata.putString(2, bundle.getString(MediaMetadataCompat.C1));
                }
                if (bundle.containsKey(MediaMetadataCompat.V5)) {
                    editMetadata.putString(3, bundle.getString(MediaMetadataCompat.V5));
                }
                if (bundle.containsKey(MediaMetadataCompat.Y5)) {
                    editMetadata.putString(15, bundle.getString(MediaMetadataCompat.Y5));
                }
                if (bundle.containsKey(MediaMetadataCompat.X5)) {
                    editMetadata.putString(4, bundle.getString(MediaMetadataCompat.X5));
                }
                if (bundle.containsKey(MediaMetadataCompat.Z5)) {
                    editMetadata.putString(5, bundle.getString(MediaMetadataCompat.Z5));
                }
                if (bundle.containsKey(MediaMetadataCompat.f162e6)) {
                    editMetadata.putLong(14, bundle.getLong(MediaMetadataCompat.f162e6));
                }
                if (bundle.containsKey(MediaMetadataCompat.C2)) {
                    editMetadata.putLong(9, bundle.getLong(MediaMetadataCompat.C2));
                }
                if (bundle.containsKey(MediaMetadataCompat.f159b6)) {
                    editMetadata.putString(6, bundle.getString(MediaMetadataCompat.f159b6));
                }
                if (bundle.containsKey(MediaMetadataCompat.f183y)) {
                    editMetadata.putString(7, bundle.getString(MediaMetadataCompat.f183y));
                }
                if (bundle.containsKey(MediaMetadataCompat.f160c6)) {
                    editMetadata.putLong(0, bundle.getLong(MediaMetadataCompat.f160c6));
                }
                if (bundle.containsKey(MediaMetadataCompat.W5)) {
                    editMetadata.putString(11, bundle.getString(MediaMetadataCompat.W5));
                }
                return editMetadata;
            }
            bitmap = bitmap.copy(bitmap.getConfig(), false);
            editMetadata.putBitmap(100, bitmap);
            if (bundle.containsKey(MediaMetadataCompat.U5)) {
            }
            if (bundle.containsKey(MediaMetadataCompat.f163f6)) {
            }
            if (bundle.containsKey(MediaMetadataCompat.C1)) {
            }
            if (bundle.containsKey(MediaMetadataCompat.V5)) {
            }
            if (bundle.containsKey(MediaMetadataCompat.Y5)) {
            }
            if (bundle.containsKey(MediaMetadataCompat.X5)) {
            }
            if (bundle.containsKey(MediaMetadataCompat.Z5)) {
            }
            if (bundle.containsKey(MediaMetadataCompat.f162e6)) {
            }
            if (bundle.containsKey(MediaMetadataCompat.C2)) {
            }
            if (bundle.containsKey(MediaMetadataCompat.f159b6)) {
            }
            if (bundle.containsKey(MediaMetadataCompat.f183y)) {
            }
            if (bundle.containsKey(MediaMetadataCompat.f160c6)) {
            }
            if (bundle.containsKey(MediaMetadataCompat.W5)) {
            }
            return editMetadata;
        }

        /* access modifiers changed from: package-private */
        public int c(int i7) {
            switch (i7) {
                case 0:
                    return 0;
                case 1:
                    return 1;
                case 2:
                    return 2;
                case 3:
                    return 3;
                case 4:
                    return 4;
                case 5:
                    return 5;
                case 6:
                case 8:
                    return 8;
                case 7:
                    return 9;
                case 9:
                    return 7;
                case 10:
                case 11:
                    return 6;
                default:
                    return -1;
            }
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e
        public Token d() {
            return this.f313e;
        }

        /* access modifiers changed from: package-private */
        public int e(long j7) {
            int i7 = (1 & j7) != 0 ? 32 : 0;
            if ((2 & j7) != 0) {
                i7 |= 16;
            }
            if ((4 & j7) != 0) {
                i7 |= 4;
            }
            if ((8 & j7) != 0) {
                i7 |= 2;
            }
            if ((16 & j7) != 0) {
                i7 |= 1;
            }
            if ((32 & j7) != 0) {
                i7 |= 128;
            }
            if ((64 & j7) != 0) {
                i7 |= 64;
            }
            return (j7 & 512) != 0 ? i7 | 8 : i7;
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e
        public void f() {
            this.f322n = false;
            this.f321m = true;
            S();
            L();
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e
        public boolean g() {
            return this.f322n;
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e
        public void h(String str, Bundle bundle) {
            F(str, bundle);
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e
        public String i() {
            return null;
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e
        public void j(PendingIntent pendingIntent) {
            synchronized (this.f318j) {
                this.f330v = pendingIntent;
            }
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e
        public PlaybackStateCompat k() {
            PlaybackStateCompat playbackStateCompat;
            synchronized (this.f318j) {
                playbackStateCompat = this.f329u;
            }
            return playbackStateCompat;
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e
        public void l(d dVar, Handler handler) {
            this.f325q = dVar;
            if (dVar != null) {
                if (handler == null) {
                    handler = new Handler();
                }
                synchronized (this.f318j) {
                    d dVar2 = this.f320l;
                    if (dVar2 != null) {
                        dVar2.removeCallbacksAndMessages(null);
                    }
                    this.f320l = new d(handler.getLooper());
                    this.f325q.D(this, handler);
                }
            }
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e
        public void m(int i7) {
            VolumeProviderCompat volumeProviderCompat = this.F;
            if (volumeProviderCompat != null) {
                volumeProviderCompat.setCallback(null);
            }
            this.E = i7;
            this.D = 1;
            int i8 = this.D;
            int i9 = this.E;
            O(new ParcelableVolumeInfo(i8, i9, 2, this.f316h.getStreamMaxVolume(i9), this.f316h.getStreamVolume(this.E)));
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e
        public void n(CharSequence charSequence) {
            this.f332x = charSequence;
            J(charSequence);
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e
        public void o(MediaMetadataCompat mediaMetadataCompat) {
            if (mediaMetadataCompat != null) {
                mediaMetadataCompat = new MediaMetadataCompat.c(mediaMetadataCompat, MediaSessionCompat.P).a();
            }
            synchronized (this.f318j) {
                this.f328t = mediaMetadataCompat;
            }
            H(mediaMetadataCompat);
            if (this.f322n) {
                b(mediaMetadataCompat == null ? null : mediaMetadataCompat.l()).apply();
            }
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e
        public void p(PendingIntent pendingIntent) {
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e
        public void q(boolean z7) {
            if (this.f334z != z7) {
                this.f334z = z7;
                E(z7);
            }
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e
        public void r(int i7) {
            this.f333y = i7;
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e
        public void s(List<QueueItem> list) {
            this.f331w = list;
            I(list);
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e
        public void setExtras(Bundle bundle) {
            this.C = bundle;
            G(bundle);
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e
        public void setFlags(int i7) {
            synchronized (this.f318j) {
                this.f327s = i7;
            }
            S();
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e
        public Object t() {
            return null;
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e
        public void u(boolean z7) {
            if (z7 != this.f322n) {
                this.f322n = z7;
                if (S()) {
                    o(this.f328t);
                    x(this.f329u);
                }
            }
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e
        public void v(int i7) {
            if (this.A != i7) {
                this.A = i7;
                K(i7);
            }
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e
        public void w(MediaSessionManager.RemoteUserInfo remoteUserInfo) {
            synchronized (this.f318j) {
                this.f326r = remoteUserInfo;
            }
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e
        public void x(PlaybackStateCompat playbackStateCompat) {
            synchronized (this.f318j) {
                this.f329u = playbackStateCompat;
            }
            N(playbackStateCompat);
            if (this.f322n) {
                if (playbackStateCompat == null) {
                    this.f317i.setPlaybackState(0);
                    this.f317i.setTransportControlFlags(0);
                    return;
                }
                P(playbackStateCompat);
                this.f317i.setTransportControlFlags(e(playbackStateCompat.b()));
            }
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e
        public Object y() {
            return null;
        }

        @Override // android.support.v4.media.session.MediaSessionCompat.e
        public void z(int i7) {
            if (this.B != i7) {
                this.B = i7;
                M(i7);
            }
        }
    }

    public interface k {
        void a();
    }

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public @interface l {
    }

    private MediaSessionCompat(Context context, e eVar) {
        this.f274c = new ArrayList<>();
        this.f272a = eVar;
        if (!f.d(eVar.y())) {
            p(new c());
        }
        this.f273b = new MediaControllerCompat(context, this);
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public static void b(@Nullable Bundle bundle) {
        if (bundle != null) {
            bundle.setClassLoader(MediaSessionCompat.class.getClassLoader());
        }
    }

    public static MediaSessionCompat c(Context context, Object obj) {
        if (context == null || obj == null) {
            return null;
        }
        return new MediaSessionCompat(context, new h(obj));
    }

    static PlaybackStateCompat j(PlaybackStateCompat playbackStateCompat, MediaMetadataCompat mediaMetadataCompat) {
        if (playbackStateCompat == null) {
            return playbackStateCompat;
        }
        long j7 = -1;
        if (playbackStateCompat.v() == -1) {
            return playbackStateCompat;
        }
        if (playbackStateCompat.w() != 3 && playbackStateCompat.w() != 4 && playbackStateCompat.w() != 5) {
            return playbackStateCompat;
        }
        long s7 = playbackStateCompat.s();
        if (s7 <= 0) {
            return playbackStateCompat;
        }
        long elapsedRealtime = SystemClock.elapsedRealtime();
        long t7 = ((long) (playbackStateCompat.t() * ((float) (elapsedRealtime - s7)))) + playbackStateCompat.v();
        if (mediaMetadataCompat != null && mediaMetadataCompat.a(MediaMetadataCompat.C2)) {
            j7 = mediaMetadataCompat.n(MediaMetadataCompat.C2);
        }
        return new PlaybackStateCompat.c(playbackStateCompat).k(playbackStateCompat.w(), (j7 < 0 || t7 <= j7) ? t7 < 0 ? 0 : t7 : j7, playbackStateCompat.t(), elapsedRealtime).c();
    }

    public void A(CharSequence charSequence) {
        this.f272a.n(charSequence);
    }

    public void B(int i7) {
        this.f272a.r(i7);
    }

    public void C(int i7) {
        this.f272a.v(i7);
    }

    public void D(PendingIntent pendingIntent) {
        this.f272a.j(pendingIntent);
    }

    public void E(int i7) {
        this.f272a.z(i7);
    }

    public void a(k kVar) {
        if (kVar != null) {
            this.f274c.add(kVar);
            return;
        }
        throw new IllegalArgumentException("Listener may not be null");
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public String d() {
        return this.f272a.i();
    }

    public MediaControllerCompat e() {
        return this.f273b;
    }

    @NonNull
    public final MediaSessionManager.RemoteUserInfo f() {
        return this.f272a.B();
    }

    public Object g() {
        return this.f272a.y();
    }

    public Object h() {
        return this.f272a.t();
    }

    public Token i() {
        return this.f272a.d();
    }

    public boolean k() {
        return this.f272a.g();
    }

    public void l() {
        this.f272a.f();
    }

    public void m(k kVar) {
        if (kVar != null) {
            this.f274c.remove(kVar);
            return;
        }
        throw new IllegalArgumentException("Listener may not be null");
    }

    public void n(String str, Bundle bundle) {
        if (!TextUtils.isEmpty(str)) {
            this.f272a.h(str, bundle);
            return;
        }
        throw new IllegalArgumentException("event cannot be null or empty");
    }

    public void o(boolean z7) {
        this.f272a.u(z7);
        Iterator<k> it = this.f274c.iterator();
        while (it.hasNext()) {
            it.next().a();
        }
    }

    public void p(d dVar) {
        q(dVar, null);
    }

    public void q(d dVar, Handler handler) {
        e eVar = this.f272a;
        if (dVar == null) {
            eVar.l(null, null);
            return;
        }
        if (handler == null) {
            handler = new Handler();
        }
        eVar.l(dVar, handler);
    }

    public void r(boolean z7) {
        this.f272a.q(z7);
    }

    public void s(Bundle bundle) {
        this.f272a.setExtras(bundle);
    }

    public void t(int i7) {
        this.f272a.setFlags(i7);
    }

    public void u(PendingIntent pendingIntent) {
        this.f272a.p(pendingIntent);
    }

    public void v(MediaMetadataCompat mediaMetadataCompat) {
        this.f272a.o(mediaMetadataCompat);
    }

    public void w(PlaybackStateCompat playbackStateCompat) {
        this.f272a.x(playbackStateCompat);
    }

    public void x(int i7) {
        this.f272a.m(i7);
    }

    public void y(VolumeProviderCompat volumeProviderCompat) {
        if (volumeProviderCompat != null) {
            this.f272a.A(volumeProviderCompat);
            return;
        }
        throw new IllegalArgumentException("volumeProvider may not be null!");
    }

    public void z(List<QueueItem> list) {
        this.f272a.s(list);
    }

    public MediaSessionCompat(Context context, String str) {
        this(context, str, null, null);
    }

    public MediaSessionCompat(Context context, String str, ComponentName componentName, PendingIntent pendingIntent) {
        this(context, str, componentName, pendingIntent, null);
    }

    private MediaSessionCompat(Context context, String str, ComponentName componentName, PendingIntent pendingIntent, Bundle bundle) {
        this.f274c = new ArrayList<>();
        if (context == null) {
            throw new IllegalArgumentException("context must not be null");
        } else if (!TextUtils.isEmpty(str)) {
            if (componentName == null && (componentName = MediaButtonReceiver.getMediaButtonReceiverComponent(context)) == null) {
                Log.w(f249d, "Couldn't find a unique registered media button receiver in the given context.");
            }
            if (componentName != null && pendingIntent == null) {
                Intent intent = new Intent("android.intent.action.MEDIA_BUTTON");
                intent.setComponent(componentName);
                pendingIntent = PendingIntent.getBroadcast(context, 0, intent, 0);
            }
            i iVar = new i(context, str, bundle);
            this.f272a = iVar;
            p(new a());
            iVar.p(pendingIntent);
            this.f273b = new MediaControllerCompat(context, this);
            if (P == 0) {
                P = (int) (TypedValue.applyDimension(1, 320.0f, context.getResources().getDisplayMetrics()) + 0.5f);
            }
        } else {
            throw new IllegalArgumentException("tag must not be null or empty");
        }
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public MediaSessionCompat(Context context, String str, Bundle bundle) {
        this(context, str, null, null, bundle);
    }
}
