package android.support.v4.media.session;

import android.app.PendingIntent;
import android.content.Context;
import android.content.Intent;
import android.media.AudioAttributes;
import android.media.MediaDescription;
import android.media.MediaMetadata;
import android.media.Rating;
import android.media.VolumeProvider;
import android.media.session.MediaSession;
import android.media.session.PlaybackState;
import android.os.Bundle;
import android.os.Handler;
import android.os.Parcelable;
import android.os.ResultReceiver;
import android.util.Log;
import androidx.annotation.RequiresApi;
import java.lang.reflect.Field;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

/* access modifiers changed from: package-private */
@RequiresApi(21)
public class f {

    /* renamed from: a  reason: collision with root package name */
    static final String f467a = "MediaSessionCompatApi21";

    interface a {
        void a();

        void b();

        void c();

        void d();

        void e(String str, Bundle bundle, ResultReceiver resultReceiver);

        void f(long j7);

        void g(Object obj);

        void h();

        void j();

        boolean k(Intent intent);

        void n(Object obj, Bundle bundle);

        void o(String str, Bundle bundle);

        void p(String str, Bundle bundle);

        void q();

        void r(long j7);

        void s(String str, Bundle bundle);
    }

    static class b<T extends a> extends MediaSession.Callback {

        /* renamed from: a  reason: collision with root package name */
        protected final T f468a;

        public b(T t7) {
            this.f468a = t7;
        }

        public void onCommand(String str, Bundle bundle, ResultReceiver resultReceiver) {
            MediaSessionCompat.b(bundle);
            this.f468a.e(str, bundle, resultReceiver);
        }

        public void onCustomAction(String str, Bundle bundle) {
            MediaSessionCompat.b(bundle);
            this.f468a.s(str, bundle);
        }

        public void onFastForward() {
            this.f468a.q();
        }

        public boolean onMediaButtonEvent(Intent intent) {
            return this.f468a.k(intent) || super.onMediaButtonEvent(intent);
        }

        public void onPause() {
            this.f468a.a();
        }

        public void onPlay() {
            this.f468a.h();
        }

        public void onPlayFromMediaId(String str, Bundle bundle) {
            MediaSessionCompat.b(bundle);
            this.f468a.p(str, bundle);
        }

        public void onPlayFromSearch(String str, Bundle bundle) {
            MediaSessionCompat.b(bundle);
            this.f468a.o(str, bundle);
        }

        public void onRewind() {
            this.f468a.d();
        }

        public void onSeekTo(long j7) {
            this.f468a.r(j7);
        }

        public void onSetRating(Rating rating) {
            this.f468a.g(rating);
        }

        public void onSkipToNext() {
            this.f468a.c();
        }

        public void onSkipToPrevious() {
            this.f468a.j();
        }

        public void onSkipToQueueItem(long j7) {
            this.f468a.f(j7);
        }

        public void onStop() {
            this.f468a.b();
        }
    }

    /* access modifiers changed from: package-private */
    public static class c {
        private c() {
        }

        public static Object a(Object obj, long j7) {
            return new MediaSession.QueueItem((MediaDescription) obj, j7);
        }

        public static Object b(Object obj) {
            return ((MediaSession.QueueItem) obj).getDescription();
        }

        public static long c(Object obj) {
            return ((MediaSession.QueueItem) obj).getQueueId();
        }
    }

    private f() {
    }

    public static Object a(a aVar) {
        return new b(aVar);
    }

    public static Object b(Context context, String str) {
        return new MediaSession(context, str);
    }

    public static Parcelable c(Object obj) {
        return ((MediaSession) obj).getSessionToken();
    }

    public static boolean d(Object obj) {
        try {
            Field declaredField = obj.getClass().getDeclaredField("mCallback");
            if (declaredField != null) {
                declaredField.setAccessible(true);
                return declaredField.get(obj) != null;
            }
        } catch (IllegalAccessException | NoSuchFieldException unused) {
            Log.w(f467a, "Failed to get mCallback object.");
        }
        return false;
    }

    public static boolean e(Object obj) {
        return ((MediaSession) obj).isActive();
    }

    public static void f(Object obj) {
        ((MediaSession) obj).release();
    }

    public static void g(Object obj, String str, Bundle bundle) {
        ((MediaSession) obj).sendSessionEvent(str, bundle);
    }

    public static void h(Object obj, boolean z7) {
        ((MediaSession) obj).setActive(z7);
    }

    public static void i(Object obj, Object obj2, Handler handler) {
        ((MediaSession) obj).setCallback((MediaSession.Callback) obj2, handler);
    }

    public static void j(Object obj, Bundle bundle) {
        ((MediaSession) obj).setExtras(bundle);
    }

    public static void k(Object obj, int i7) {
        ((MediaSession) obj).setFlags(i7);
    }

    public static void l(Object obj, PendingIntent pendingIntent) {
        ((MediaSession) obj).setMediaButtonReceiver(pendingIntent);
    }

    public static void m(Object obj, Object obj2) {
        ((MediaSession) obj).setMetadata((MediaMetadata) obj2);
    }

    public static void n(Object obj, Object obj2) {
        ((MediaSession) obj).setPlaybackState((PlaybackState) obj2);
    }

    public static void o(Object obj, int i7) {
        AudioAttributes.Builder builder = new AudioAttributes.Builder();
        builder.setLegacyStreamType(i7);
        ((MediaSession) obj).setPlaybackToLocal(builder.build());
    }

    public static void p(Object obj, Object obj2) {
        ((MediaSession) obj).setPlaybackToRemote((VolumeProvider) obj2);
    }

    public static void q(Object obj, List<Object> list) {
        if (list == null) {
            ((MediaSession) obj).setQueue(null);
            return;
        }
        ArrayList arrayList = new ArrayList();
        Iterator<Object> it = list.iterator();
        while (it.hasNext()) {
            arrayList.add((MediaSession.QueueItem) it.next());
        }
        ((MediaSession) obj).setQueue(arrayList);
    }

    public static void r(Object obj, CharSequence charSequence) {
        ((MediaSession) obj).setQueueTitle(charSequence);
    }

    public static void s(Object obj, PendingIntent pendingIntent) {
        ((MediaSession) obj).setSessionActivity(pendingIntent);
    }

    public static Object t(Object obj) {
        if (obj instanceof MediaSession) {
            return obj;
        }
        throw new IllegalArgumentException("mediaSession is not a valid MediaSession object");
    }

    public static Object u(Object obj) {
        if (obj instanceof MediaSession.Token) {
            return obj;
        }
        throw new IllegalArgumentException("token is not a valid MediaSession.Token object");
    }
}
