package androidx.constraintlayout.solver.state.helpers;

import androidx.constraintlayout.solver.state.ConstraintReference;
import androidx.constraintlayout.solver.state.HelperReference;
import androidx.constraintlayout.solver.state.State;
import java.util.Iterator;

public class AlignHorizontallyReference extends HelperReference {
    private float mBias = 0.5f;
    private Object mEndToEnd;
    private Object mEndToStart;
    private Object mStartToEnd;
    private Object mStartToStart;

    public AlignHorizontallyReference(State state) {
        super(state, State.Helper.ALIGN_VERTICALLY);
    }

    /* JADX WARNING: Removed duplicated region for block: B:12:0x0030  */
    /* JADX WARNING: Removed duplicated region for block: B:13:0x0034  */
    /* JADX WARNING: Removed duplicated region for block: B:19:0x0046  */
    /* JADX WARNING: Removed duplicated region for block: B:23:0x0006 A[SYNTHETIC] */
    @Override // androidx.constraintlayout.solver.state.HelperReference
    public void apply() {
        Object obj;
        float f7;
        Iterator<Object> it = this.mReferences.iterator();
        while (it.hasNext()) {
            ConstraintReference constraints = this.mState.constraints(it.next());
            constraints.clearHorizontal();
            Object obj2 = this.mStartToStart;
            if (obj2 == null) {
                Object obj3 = this.mStartToEnd;
                if (obj3 != null) {
                    constraints.startToEnd(obj3);
                    obj = this.mEndToStart;
                    if (obj == null) {
                        constraints.endToStart(obj);
                    } else {
                        Object obj4 = this.mEndToEnd;
                        if (obj4 == null) {
                            obj4 = State.PARENT;
                        }
                        constraints.endToEnd(obj4);
                    }
                    f7 = this.mBias;
                    if (f7 == 0.5f) {
                        constraints.horizontalBias(f7);
                    }
                } else {
                    obj2 = State.PARENT;
                }
            }
            constraints.startToStart(obj2);
            obj = this.mEndToStart;
            if (obj == null) {
            }
            f7 = this.mBias;
            if (f7 == 0.5f) {
            }
        }
    }

    public void bias(float f7) {
        this.mBias = f7;
    }

    public void endToEnd(Object obj) {
        this.mEndToEnd = obj;
    }

    public void endToStart(Object obj) {
        this.mEndToStart = obj;
    }

    public void startToEnd(Object obj) {
        this.mStartToEnd = obj;
    }

    public void startToStart(Object obj) {
        this.mStartToStart = obj;
    }
}
