package androidx.constraintlayout.solver.state.helpers;

import androidx.constraintlayout.solver.state.ConstraintReference;
import androidx.constraintlayout.solver.state.HelperReference;
import androidx.constraintlayout.solver.state.State;
import java.util.Iterator;

public class AlignVerticallyReference extends HelperReference {
    private float mBias = 0.5f;
    private Object mBottomToBottom;
    private Object mBottomToTop;
    private Object mTopToBottom;
    private Object mTopToTop;

    public AlignVerticallyReference(State state) {
        super(state, State.Helper.ALIGN_VERTICALLY);
    }

    /* JADX WARNING: Removed duplicated region for block: B:12:0x0030  */
    /* JADX WARNING: Removed duplicated region for block: B:13:0x0034  */
    /* JADX WARNING: Removed duplicated region for block: B:19:0x0046  */
    /* JADX WARNING: Removed duplicated region for block: B:23:0x0006 A[SYNTHETIC] */
    @Override // androidx.constraintlayout.solver.state.HelperReference
    public void apply() {
        Object obj;
        float f7;
        Iterator<Object> it = this.mReferences.iterator();
        while (it.hasNext()) {
            ConstraintReference constraints = this.mState.constraints(it.next());
            constraints.clearVertical();
            Object obj2 = this.mTopToTop;
            if (obj2 == null) {
                Object obj3 = this.mTopToBottom;
                if (obj3 != null) {
                    constraints.topToBottom(obj3);
                    obj = this.mBottomToTop;
                    if (obj == null) {
                        constraints.bottomToTop(obj);
                    } else {
                        Object obj4 = this.mBottomToBottom;
                        if (obj4 == null) {
                            obj4 = State.PARENT;
                        }
                        constraints.bottomToBottom(obj4);
                    }
                    f7 = this.mBias;
                    if (f7 == 0.5f) {
                        constraints.verticalBias(f7);
                    }
                } else {
                    obj2 = State.PARENT;
                }
            }
            constraints.topToTop(obj2);
            obj = this.mBottomToTop;
            if (obj == null) {
            }
            f7 = this.mBias;
            if (f7 == 0.5f) {
            }
        }
    }

    public void bias(float f7) {
        this.mBias = f7;
    }

    public void bottomToBottom(Object obj) {
        this.mBottomToBottom = obj;
    }

    public void bottomToTop(Object obj) {
        this.mBottomToTop = obj;
    }

    public void topToBottom(Object obj) {
        this.mTopToBottom = obj;
    }

    public void topToTop(Object obj) {
        this.mTopToTop = obj;
    }
}
