package androidx.navigation;

import a7.d;
import a7.e;
import androidx.annotation.IdRes;
import java.util.ArrayList;
import java.util.List;
import kotlin.b1;
import kotlin.i0;
import kotlin.jvm.internal.l0;
import kotlin.k;

@i0(d1 = {"\u0000<\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0004\n\u0002\u0018\u0002\n\u0002\b\u0004\n\u0002\u0010\b\n\u0002\b\u0002\n\u0002\u0010\u000e\n\u0002\b\u0002\n\u0002\u0010!\n\u0002\b\t\b\u0017\u0018\u00002\b\u0012\u0004\u0012\u00020\u00020\u0001B%\b\u0017\u0012\u0006\u0010\f\u001a\u00020\u000b\u0012\b\b\u0001\u0010\u0019\u001a\u00020\u0010\u0012\b\b\u0001\u0010\u001a\u001a\u00020\u0010¢\u0006\u0004\b\u001b\u0010\u001cB#\b\u0016\u0012\u0006\u0010\f\u001a\u00020\u000b\u0012\u0006\u0010\u001a\u001a\u00020\u0013\u0012\b\u0010\u001d\u001a\u0004\u0018\u00010\u0013¢\u0006\u0004\b\u001b\u0010\u001eJ\u001e\u0010\u0007\u001a\u00020\u0006\"\b\b\u0000\u0010\u0004*\u00020\u00032\f\u0010\u0005\u001a\b\u0012\u0004\u0012\u00028\u00000\u0001J\r\u0010\b\u001a\u00020\u0006*\u00020\u0003H\u0002J\u000e\u0010\t\u001a\u00020\u00062\u0006\u0010\u0007\u001a\u00020\u0003J\b\u0010\n\u001a\u00020\u0002H\u0016R\u0017\u0010\f\u001a\u00020\u000b8\u0006¢\u0006\f\n\u0004\b\f\u0010\r\u001a\u0004\b\u000e\u0010\u000fR\u0016\u0010\u0011\u001a\u00020\u00108\u0002@\u0002X\u000e¢\u0006\u0006\n\u0004\b\u0011\u0010\u0012R\u0018\u0010\u0014\u001a\u0004\u0018\u00010\u00138\u0002@\u0002X\u000e¢\u0006\u0006\n\u0004\b\u0014\u0010\u0015R\u001a\u0010\u0017\u001a\b\u0012\u0004\u0012\u00020\u00030\u00168\u0002X\u0004¢\u0006\u0006\n\u0004\b\u0017\u0010\u0018¨\u0006\u001f"}, d2 = {"Landroidx/navigation/NavGraphBuilder;", "Landroidx/navigation/NavDestinationBuilder;", "Landroidx/navigation/NavGraph;", "Landroidx/navigation/NavDestination;", "D", "navDestination", "Lkotlin/l2;", "destination", "unaryPlus", "addDestination", "build", "Landroidx/navigation/NavigatorProvider;", "provider", "Landroidx/navigation/NavigatorProvider;", "getProvider", "()Landroidx/navigation/NavigatorProvider;", "", "startDestinationId", "I", "", "startDestinationRoute", "Ljava/lang/String;", "", "destinations", "Ljava/util/List;", "id", "startDestination", "<init>", "(Landroidx/navigation/NavigatorProvider;II)V", "route", "(Landroidx/navigation/NavigatorProvider;Ljava/lang/String;Ljava/lang/String;)V", "navigation-common_release"}, k = 1, mv = {1, 6, 0})
@NavDestinationDsl
public class NavGraphBuilder extends NavDestinationBuilder<NavGraph> {
    @d
    private final List<NavDestination> destinations = new ArrayList();
    @d
    private final NavigatorProvider provider;
    @IdRes
    private int startDestinationId;
    @e
    private String startDestinationRoute;

    /* JADX INFO: super call moved to the top of the method (can break code semantics) */
    @k(message = "Use routes to build your NavGraph instead", replaceWith = @b1(expression = "NavGraphBuilder(provider, startDestination = startDestination.toString(), route = id.toString())", imports = {}))
    public NavGraphBuilder(@d NavigatorProvider navigatorProvider, @IdRes int i7, @IdRes int i8) {
        super(navigatorProvider.getNavigator(NavGraphNavigator.class), i7);
        l0.p(navigatorProvider, "provider");
        this.provider = navigatorProvider;
        this.startDestinationId = i8;
    }

    public final void addDestination(@d NavDestination navDestination) {
        l0.p(navDestination, "destination");
        this.destinations.add(navDestination);
    }

    public final <D extends NavDestination> void destination(@d NavDestinationBuilder<? extends D> navDestinationBuilder) {
        l0.p(navDestinationBuilder, "navDestination");
        this.destinations.add(navDestinationBuilder.build());
    }

    @d
    public final NavigatorProvider getProvider() {
        return this.provider;
    }

    public final void unaryPlus(@d NavDestination navDestination) {
        l0.p(navDestination, "<this>");
        addDestination(navDestination);
    }

    /* JADX INFO: super call moved to the top of the method (can break code semantics) */
    public NavGraphBuilder(@d NavigatorProvider navigatorProvider, @d String str, @e String str2) {
        super(navigatorProvider.getNavigator(NavGraphNavigator.class), str2);
        l0.p(navigatorProvider, "provider");
        l0.p(str, "startDestination");
        this.provider = navigatorProvider;
        this.startDestinationRoute = str;
    }

    @Override // androidx.navigation.NavDestinationBuilder
    @d
    public NavGraph build() {
        NavGraph navGraph = (NavGraph) super.build();
        navGraph.addDestinations(this.destinations);
        int i7 = this.startDestinationId;
        if (i7 != 0 || this.startDestinationRoute != null) {
            String str = this.startDestinationRoute;
            if (str != null) {
                l0.m(str);
                navGraph.setStartDestination(str);
            } else {
                navGraph.setStartDestination(i7);
            }
            return navGraph;
        } else if (getRoute() != null) {
            throw new IllegalStateException("You must set a start destination route");
        } else {
            throw new IllegalStateException("You must set a start destination id");
        }
    }
}
