package androidx.navigation.ui;

import a7.d;
import a7.e;
import android.content.Context;
import android.graphics.drawable.Drawable;
import android.os.Bundle;
import androidx.annotation.StringRes;
import androidx.appcompat.widget.Toolbar;
import androidx.navigation.NavController;
import androidx.navigation.NavDestination;
import androidx.transition.TransitionManager;
import com.google.android.material.appbar.a;
import java.lang.ref.WeakReference;
import kotlin.i0;
import kotlin.jvm.internal.l0;

@i0(d1 = {"\u0000R\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\r\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\b\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0004\b\u0000\u0018\u00002\u00020\u0001B\u001f\u0012\u0006\u0010\u0018\u001a\u00020\u0013\u0012\u0006\u0010\u0019\u001a\u00020\u0016\u0012\u0006\u0010\u001b\u001a\u00020\u001a¢\u0006\u0004\b\u001c\u0010\u001dJ\"\u0010\t\u001a\u00020\b2\u0006\u0010\u0003\u001a\u00020\u00022\u0006\u0010\u0005\u001a\u00020\u00042\b\u0010\u0007\u001a\u0004\u0018\u00010\u0006H\u0016J\u0012\u0010\f\u001a\u00020\b2\b\u0010\u000b\u001a\u0004\u0018\u00010\nH\u0014J\u001c\u0010\u0011\u001a\u00020\b2\b\u0010\u000e\u001a\u0004\u0018\u00010\r2\b\b\u0001\u0010\u0010\u001a\u00020\u000fH\u0014R\u001a\u0010\u0014\u001a\b\u0012\u0004\u0012\u00020\u00130\u00128\u0002X\u0004¢\u0006\u0006\n\u0004\b\u0014\u0010\u0015R\u001a\u0010\u0017\u001a\b\u0012\u0004\u0012\u00020\u00160\u00128\u0002X\u0004¢\u0006\u0006\n\u0004\b\u0017\u0010\u0015¨\u0006\u001e"}, d2 = {"Landroidx/navigation/ui/CollapsingToolbarOnDestinationChangedListener;", "Landroidx/navigation/ui/AbstractAppBarOnDestinationChangedListener;", "Landroidx/navigation/NavController;", "controller", "Landroidx/navigation/NavDestination;", "destination", "Landroid/os/Bundle;", "arguments", "Lkotlin/l2;", "onDestinationChanged", "", "title", "setTitle", "Landroid/graphics/drawable/Drawable;", "icon", "", "contentDescription", "setNavigationIcon", "Ljava/lang/ref/WeakReference;", "Lcom/google/android/material/appbar/a;", "mCollapsingToolbarLayoutWeakReference", "Ljava/lang/ref/WeakReference;", "Landroidx/appcompat/widget/Toolbar;", "mToolbarWeakReference", "collapsingToolbarLayout", "toolbar", "Landroidx/navigation/ui/AppBarConfiguration;", "configuration", "<init>", "(Lcom/google/android/material/appbar/a;Landroidx/appcompat/widget/Toolbar;Landroidx/navigation/ui/AppBarConfiguration;)V", "navigation-ui_release"}, k = 1, mv = {1, 6, 0})
public final class CollapsingToolbarOnDestinationChangedListener extends AbstractAppBarOnDestinationChangedListener {
    @d
    private final WeakReference<a> mCollapsingToolbarLayoutWeakReference;
    @d
    private final WeakReference<Toolbar> mToolbarWeakReference;

    /* JADX WARNING: Illegal instructions before constructor call */
    public CollapsingToolbarOnDestinationChangedListener(@d a aVar, @d Toolbar toolbar, @d AppBarConfiguration appBarConfiguration) {
        super(r0, appBarConfiguration);
        l0.p(aVar, "collapsingToolbarLayout");
        l0.p(toolbar, "toolbar");
        l0.p(appBarConfiguration, "configuration");
        Context context = aVar.getContext();
        l0.o(context, "collapsingToolbarLayout.context");
        this.mCollapsingToolbarLayoutWeakReference = new WeakReference<>(aVar);
        this.mToolbarWeakReference = new WeakReference<>(toolbar);
    }

    @Override // androidx.navigation.NavController.OnDestinationChangedListener, androidx.navigation.ui.AbstractAppBarOnDestinationChangedListener
    public void onDestinationChanged(@d NavController navController, @d NavDestination navDestination, @e Bundle bundle) {
        l0.p(navController, "controller");
        l0.p(navDestination, "destination");
        a aVar = this.mCollapsingToolbarLayoutWeakReference.get();
        Toolbar toolbar = this.mToolbarWeakReference.get();
        if (aVar == null || toolbar == null) {
            navController.removeOnDestinationChangedListener(this);
        } else {
            super.onDestinationChanged(navController, navDestination, bundle);
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.navigation.ui.AbstractAppBarOnDestinationChangedListener
    public void setNavigationIcon(@e Drawable drawable, @StringRes int i7) {
        Toolbar toolbar = this.mToolbarWeakReference.get();
        if (toolbar != null) {
            boolean z7 = drawable == null && toolbar.getNavigationIcon() != null;
            toolbar.setNavigationIcon(drawable);
            toolbar.setNavigationContentDescription(i7);
            if (z7) {
                TransitionManager.beginDelayedTransition(toolbar);
            }
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.navigation.ui.AbstractAppBarOnDestinationChangedListener
    public void setTitle(@e CharSequence charSequence) {
        a aVar = this.mCollapsingToolbarLayoutWeakReference.get();
        if (aVar != null) {
            aVar.setTitle(charSequence);
        }
    }
}
