package androidx.transition;

import android.animation.LayoutTransition;
import android.annotation.SuppressLint;
import android.util.Log;
import android.view.ViewGroup;
import androidx.annotation.NonNull;
import java.lang.reflect.Field;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;

class ViewGroupUtilsApi14 {
    private static final int LAYOUT_TRANSITION_CHANGING = 4;
    private static final String TAG = "ViewGroupUtilsApi14";
    private static Method sCancelMethod;
    private static boolean sCancelMethodFetched;
    private static LayoutTransition sEmptyLayoutTransition;
    private static Field sLayoutSuppressedField;
    private static boolean sLayoutSuppressedFieldFetched;

    private ViewGroupUtilsApi14() {
    }

    @SuppressLint({"SoonBlockedPrivateApi"})
    private static void cancelLayoutTransition(LayoutTransition layoutTransition) {
        if (!sCancelMethodFetched) {
            try {
                Method declaredMethod = LayoutTransition.class.getDeclaredMethod("cancel", new Class[0]);
                sCancelMethod = declaredMethod;
                declaredMethod.setAccessible(true);
            } catch (NoSuchMethodException unused) {
                Log.i(TAG, "Failed to access cancel method by reflection");
            }
            sCancelMethodFetched = true;
        }
        Method method = sCancelMethod;
        if (method != null) {
            try {
                method.invoke(layoutTransition, new Object[0]);
            } catch (IllegalAccessException unused2) {
                Log.i(TAG, "Failed to access cancel method by reflection");
            } catch (InvocationTargetException unused3) {
                Log.i(TAG, "Failed to invoke cancel method by reflection");
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:35:0x0081  */
    /* JADX WARNING: Removed duplicated region for block: B:38:0x008e  */
    /* JADX WARNING: Removed duplicated region for block: B:40:? A[RETURN, SYNTHETIC] */
    static void suppressLayout(@NonNull ViewGroup viewGroup, boolean z7) {
        LayoutTransition layoutTransition;
        boolean z8 = false;
        if (sEmptyLayoutTransition == null) {
            AnonymousClass1 r02 = new LayoutTransition() {
                /* class androidx.transition.ViewGroupUtilsApi14.AnonymousClass1 */

                public boolean isChangingLayout() {
                    return true;
                }
            };
            sEmptyLayoutTransition = r02;
            r02.setAnimator(2, null);
            sEmptyLayoutTransition.setAnimator(0, null);
            sEmptyLayoutTransition.setAnimator(1, null);
            sEmptyLayoutTransition.setAnimator(3, null);
            sEmptyLayoutTransition.setAnimator(4, null);
        }
        if (z7) {
            LayoutTransition layoutTransition2 = viewGroup.getLayoutTransition();
            if (layoutTransition2 != null) {
                if (layoutTransition2.isRunning()) {
                    cancelLayoutTransition(layoutTransition2);
                }
                if (layoutTransition2 != sEmptyLayoutTransition) {
                    viewGroup.setTag(R.id.transition_layout_save, layoutTransition2);
                }
            }
            layoutTransition = sEmptyLayoutTransition;
        } else {
            viewGroup.setLayoutTransition(null);
            if (!sLayoutSuppressedFieldFetched) {
                try {
                    Field declaredField = ViewGroup.class.getDeclaredField("mLayoutSuppressed");
                    sLayoutSuppressedField = declaredField;
                    declaredField.setAccessible(true);
                } catch (NoSuchFieldException unused) {
                    Log.i(TAG, "Failed to access mLayoutSuppressed field by reflection");
                }
                sLayoutSuppressedFieldFetched = true;
            }
            Field field = sLayoutSuppressedField;
            if (field != null) {
                try {
                    boolean z9 = field.getBoolean(viewGroup);
                    if (z9) {
                        try {
                            sLayoutSuppressedField.setBoolean(viewGroup, false);
                        } catch (IllegalAccessException unused2) {
                            z8 = z9;
                        }
                    }
                    z8 = z9;
                } catch (IllegalAccessException unused3) {
                    Log.i(TAG, "Failed to get mLayoutSuppressed field by reflection");
                    if (z8) {
                    }
                    layoutTransition = (LayoutTransition) viewGroup.getTag(R.id.transition_layout_save);
                    if (layoutTransition == null) {
                    }
                }
            }
            if (z8) {
                viewGroup.requestLayout();
            }
            layoutTransition = (LayoutTransition) viewGroup.getTag(R.id.transition_layout_save);
            if (layoutTransition == null) {
                viewGroup.setTag(R.id.transition_layout_save, null);
            } else {
                return;
            }
        }
        viewGroup.setLayoutTransition(layoutTransition);
    }
}
