package androidx.work.impl.constraints;

import androidx.annotation.NonNull;

public class NetworkState {
    private boolean mIsConnected;
    private boolean mIsMetered;
    private boolean mIsNotRoaming;
    private boolean mIsValidated;

    public NetworkState(boolean z7, boolean z8, boolean z9, boolean z10) {
        this.mIsConnected = z7;
        this.mIsValidated = z8;
        this.mIsMetered = z9;
        this.mIsNotRoaming = z10;
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof NetworkState)) {
            return false;
        }
        NetworkState networkState = (NetworkState) obj;
        return this.mIsConnected == networkState.mIsConnected && this.mIsValidated == networkState.mIsValidated && this.mIsMetered == networkState.mIsMetered && this.mIsNotRoaming == networkState.mIsNotRoaming;
    }

    /* JADX WARN: Type inference failed for: r0v0, types: [boolean, int] */
    /* JADX WARNING: Unknown variable types count: 1 */
    public int hashCode() {
        ?? r02 = this.mIsConnected;
        int i7 = r02;
        if (this.mIsValidated) {
            i7 = r02 + 16;
        }
        int i8 = i7;
        if (this.mIsMetered) {
            i8 = i7 + 256;
        }
        return this.mIsNotRoaming ? i8 + 4096 : i8 == 1 ? 1 : 0;
    }

    public boolean isConnected() {
        return this.mIsConnected;
    }

    public boolean isMetered() {
        return this.mIsMetered;
    }

    public boolean isNotRoaming() {
        return this.mIsNotRoaming;
    }

    public boolean isValidated() {
        return this.mIsValidated;
    }

    @NonNull
    public String toString() {
        return String.format("[ Connected=%b Validated=%b Metered=%b NotRoaming=%b ]", Boolean.valueOf(this.mIsConnected), Boolean.valueOf(this.mIsValidated), Boolean.valueOf(this.mIsMetered), Boolean.valueOf(this.mIsNotRoaming));
    }
}
