package com.android.billingclient.api;

import android.app.Activity;
import android.app.PendingIntent;
import android.content.Intent;
import android.content.IntentSender;
import android.os.Bundle;
import android.os.ResultReceiver;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import com.google.android.gms.internal.play_billing.a;

public class ProxyBillingActivity extends Activity {
    @Nullable

    /* renamed from: a  reason: collision with root package name */
    private ResultReceiver f2359a;

    /* renamed from: b  reason: collision with root package name */
    private boolean f2360b;

    private final Intent a() {
        Intent intent = new Intent("com.android.vending.billing.PURCHASES_UPDATED");
        intent.setPackage(getApplicationContext().getPackageName());
        return intent;
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Removed duplicated region for block: B:10:0x003d  */
    /* JADX WARNING: Removed duplicated region for block: B:14:0x0049  */
    public void onActivityResult(int i7, int i8, @Nullable Intent intent) {
        ResultReceiver resultReceiver;
        super.onActivityResult(i7, i8, intent);
        if (i7 == 100) {
            int b7 = a.g(intent, "ProxyBillingActivity").b();
            if (i8 == -1) {
                if (b7 != 0) {
                    i8 = -1;
                } else {
                    b7 = 0;
                    resultReceiver = this.f2359a;
                    if (resultReceiver == null) {
                        resultReceiver.send(b7, intent == null ? null : intent.getExtras());
                    } else {
                        Intent a8 = a();
                        if (intent != null) {
                            if (intent.getExtras() != null) {
                                a8.putExtras(intent.getExtras());
                            } else {
                                a.k("ProxyBillingActivity", "Got null bundle!");
                                a8.putExtra("RESPONSE_CODE", 6);
                                a8.putExtra("DEBUG_MESSAGE", "An internal error occurred.");
                            }
                        }
                        sendBroadcast(a8);
                    }
                }
            }
            StringBuilder sb = new StringBuilder(85);
            sb.append("Activity finished with resultCode ");
            sb.append(i8);
            sb.append(" and billing's responseCode: ");
            sb.append(b7);
            a.k("ProxyBillingActivity", sb.toString());
            resultReceiver = this.f2359a;
            if (resultReceiver == null) {
            }
        } else {
            StringBuilder sb2 = new StringBuilder(69);
            sb2.append("Got onActivityResult with wrong requestCode: ");
            sb2.append(i7);
            sb2.append("; skipping...");
            a.k("ProxyBillingActivity", sb2.toString());
        }
        this.f2360b = false;
        finish();
    }

    /* access modifiers changed from: protected */
    public void onCreate(@Nullable Bundle bundle) {
        PendingIntent pendingIntent;
        super.onCreate(bundle);
        if (bundle == null) {
            a.j("ProxyBillingActivity", "Launching Play Store billing flow");
            if (getIntent().hasExtra("BUY_INTENT")) {
                pendingIntent = (PendingIntent) getIntent().getParcelableExtra("BUY_INTENT");
            } else if (getIntent().hasExtra("SUBS_MANAGEMENT_INTENT")) {
                pendingIntent = (PendingIntent) getIntent().getParcelableExtra("SUBS_MANAGEMENT_INTENT");
                this.f2359a = (ResultReceiver) getIntent().getParcelableExtra("result_receiver");
            } else {
                pendingIntent = null;
            }
            try {
                this.f2360b = true;
                startIntentSenderForResult(pendingIntent.getIntentSender(), 100, new Intent(), 0, 0, 0);
            } catch (IntentSender.SendIntentException e7) {
                String valueOf = String.valueOf(e7);
                StringBuilder sb = new StringBuilder(valueOf.length() + 53);
                sb.append("Got exception while trying to start a purchase flow: ");
                sb.append(valueOf);
                a.k("ProxyBillingActivity", sb.toString());
                ResultReceiver resultReceiver = this.f2359a;
                if (resultReceiver != null) {
                    resultReceiver.send(6, null);
                } else {
                    Intent a8 = a();
                    a8.putExtra("RESPONSE_CODE", 6);
                    a8.putExtra("DEBUG_MESSAGE", "An internal error occurred.");
                    sendBroadcast(a8);
                }
                this.f2360b = false;
                finish();
            }
        } else {
            a.j("ProxyBillingActivity", "Launching Play Store billing flow from savedInstanceState");
            this.f2360b = bundle.getBoolean("send_cancelled_broadcast_if_finished", false);
            if (bundle.containsKey("result_receiver")) {
                this.f2359a = (ResultReceiver) bundle.getParcelable("result_receiver");
            }
        }
    }

    /* access modifiers changed from: protected */
    public void onDestroy() {
        super.onDestroy();
        if (isFinishing() && this.f2360b) {
            Intent a8 = a();
            a8.putExtra("RESPONSE_CODE", 1);
            a8.putExtra("DEBUG_MESSAGE", "Billing dialog closed.");
            sendBroadcast(a8);
        }
    }

    /* access modifiers changed from: protected */
    public void onSaveInstanceState(@NonNull Bundle bundle) {
        ResultReceiver resultReceiver = this.f2359a;
        if (resultReceiver != null) {
            bundle.putParcelable("result_receiver", resultReceiver);
        }
        bundle.putBoolean("send_cancelled_broadcast_if_finished", this.f2360b);
    }
}
