package com.android.billingclient.api;

import android.text.TextUtils;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import com.google.firebase.messaging.c;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.util.ArrayList;
import java.util.List;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

public class Purchase {

    /* renamed from: a  reason: collision with root package name */
    private final String f2361a;

    /* renamed from: b  reason: collision with root package name */
    private final String f2362b;

    /* renamed from: c  reason: collision with root package name */
    private final JSONObject f2363c;

    @Retention(RetentionPolicy.SOURCE)
    public @interface a {
        public static final int D = 0;
        public static final int E = 1;
        public static final int F = 2;
    }

    public static class b {
        @Nullable

        /* renamed from: a  reason: collision with root package name */
        private final List<Purchase> f2364a;

        /* renamed from: b  reason: collision with root package name */
        private final i f2365b;

        public b(@NonNull i iVar, @Nullable List<Purchase> list) {
            this.f2364a = list;
            this.f2365b = iVar;
        }

        @NonNull
        public i a() {
            return this.f2365b;
        }

        @Nullable
        public List<Purchase> b() {
            return this.f2364a;
        }

        public int c() {
            return a().b();
        }
    }

    public Purchase(@NonNull String str, @NonNull String str2) throws JSONException {
        this.f2361a = str;
        this.f2362b = str2;
        this.f2363c = new JSONObject(str);
    }

    @Nullable
    public a a() {
        String optString = this.f2363c.optString("obfuscatedAccountId");
        String optString2 = this.f2363c.optString("obfuscatedProfileId");
        if (optString == null && optString2 == null) {
            return null;
        }
        return new a(optString, optString2);
    }

    @NonNull
    public String b() {
        return this.f2363c.optString("developerPayload");
    }

    @NonNull
    public String c() {
        return this.f2363c.optString("orderId");
    }

    @NonNull
    public String d() {
        return this.f2361a;
    }

    @NonNull
    public String e() {
        return this.f2363c.optString(c.b.f14469l);
    }

    public boolean equals(@Nullable Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof Purchase)) {
            return false;
        }
        Purchase purchase = (Purchase) obj;
        return TextUtils.equals(this.f2361a, purchase.d()) && TextUtils.equals(this.f2362b, purchase.j());
    }

    public int f() {
        return this.f2363c.optInt("purchaseState", 1) != 4 ? 1 : 2;
    }

    public long g() {
        return this.f2363c.optLong("purchaseTime");
    }

    @NonNull
    public String h() {
        JSONObject jSONObject = this.f2363c;
        return jSONObject.optString("token", jSONObject.optString("purchaseToken"));
    }

    public int hashCode() {
        return this.f2361a.hashCode();
    }

    @p0
    public int i() {
        return this.f2363c.optInt("quantity", 1);
    }

    @NonNull
    public String j() {
        return this.f2362b;
    }

    @NonNull
    @o0
    public ArrayList<String> k() {
        ArrayList<String> arrayList = new ArrayList<>();
        if (this.f2363c.has("productIds")) {
            JSONArray optJSONArray = this.f2363c.optJSONArray("productIds");
            if (optJSONArray != null) {
                for (int i7 = 0; i7 < optJSONArray.length(); i7++) {
                    arrayList.add(optJSONArray.optString(i7));
                }
            }
        } else if (this.f2363c.has("productId")) {
            arrayList.add(this.f2363c.optString("productId"));
        }
        return arrayList;
    }

    public boolean l() {
        return this.f2363c.optBoolean("acknowledged", true);
    }

    public boolean m() {
        return this.f2363c.optBoolean("autoRenewing");
    }

    @NonNull
    public String toString() {
        String valueOf = String.valueOf(this.f2361a);
        return valueOf.length() != 0 ? "Purchase. Json: ".concat(valueOf) : new String("Purchase. Json: ");
    }
}
