package com.android.billingclient.api;

import android.text.TextUtils;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import com.google.firebase.messaging.c;
import org.json.JSONException;
import org.json.JSONObject;

public class SkuDetails {

    /* renamed from: a  reason: collision with root package name */
    private final String f2369a;

    /* renamed from: b  reason: collision with root package name */
    private final JSONObject f2370b;

    public SkuDetails(@NonNull String str) throws JSONException {
        this.f2369a = str;
        JSONObject jSONObject = new JSONObject(str);
        this.f2370b = jSONObject;
        if (TextUtils.isEmpty(jSONObject.optString("productId"))) {
            throw new IllegalArgumentException("SKU cannot be empty.");
        } else if (TextUtils.isEmpty(jSONObject.optString("type"))) {
            throw new IllegalArgumentException("SkuType cannot be empty.");
        }
    }

    @NonNull
    public String a() {
        return this.f2370b.optString("description");
    }

    @NonNull
    public String b() {
        return this.f2370b.optString("freeTrialPeriod");
    }

    @NonNull
    public String c() {
        return this.f2370b.optString("iconUrl");
    }

    @NonNull
    public String d() {
        return this.f2370b.optString("introductoryPrice");
    }

    public long e() {
        return this.f2370b.optLong("introductoryPriceAmountMicros");
    }

    public boolean equals(@Nullable Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof SkuDetails)) {
            return false;
        }
        return TextUtils.equals(this.f2369a, ((SkuDetails) obj).f2369a);
    }

    public int f() {
        return this.f2370b.optInt("introductoryPriceCycles");
    }

    @NonNull
    public String g() {
        return this.f2370b.optString("introductoryPricePeriod");
    }

    @NonNull
    public String h() {
        return this.f2369a;
    }

    public int hashCode() {
        return this.f2369a.hashCode();
    }

    @NonNull
    public String i() {
        return this.f2370b.has("original_price") ? this.f2370b.optString("original_price") : k();
    }

    public long j() {
        return this.f2370b.has("original_price_micros") ? this.f2370b.optLong("original_price_micros") : l();
    }

    @NonNull
    public String k() {
        return this.f2370b.optString("price");
    }

    public long l() {
        return this.f2370b.optLong("price_amount_micros");
    }

    @NonNull
    public String m() {
        return this.f2370b.optString("price_currency_code");
    }

    @NonNull
    public String n() {
        return this.f2370b.optString("productId");
    }

    @NonNull
    public String o() {
        return this.f2370b.optString("subscriptionPeriod");
    }

    @NonNull
    public String p() {
        return this.f2370b.optString("title");
    }

    @NonNull
    public String q() {
        return this.f2370b.optString("type");
    }

    public int r() {
        return this.f2370b.optInt("offer_type");
    }

    @NonNull
    public String s() {
        return this.f2370b.optString("offer_id");
    }

    @NonNull
    public final String t() {
        return this.f2370b.optString(c.b.f14469l);
    }

    @NonNull
    public String toString() {
        String valueOf = String.valueOf(this.f2369a);
        return valueOf.length() != 0 ? "SkuDetails: ".concat(valueOf) : new String("SkuDetails: ");
    }

    @NonNull
    public String u() {
        return this.f2370b.optString("serializedDocid");
    }

    /* access modifiers changed from: package-private */
    public final String v() {
        return this.f2370b.optString("skuDetailsToken");
    }
}
