package com.android.billingclient.api;

import android.app.Activity;
import android.app.PendingIntent;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.pm.PackageManager;
import android.content.pm.ResolveInfo;
import android.content.pm.ServiceInfo;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.RemoteException;
import android.text.TextUtils;
import androidx.work.WorkRequest;
import com.android.billingclient.api.Purchase;
import com.android.billingclient.api.d;
import com.android.billingclient.api.i;
import com.google.android.gms.internal.play_billing.a;
import com.google.android.gms.internal.play_billing.d;
import com.google.android.gms.internal.play_billing.p;
import java.util.ArrayList;
import java.util.List;
import java.util.concurrent.Callable;
import java.util.concurrent.CancellationException;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import java.util.concurrent.Future;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.TimeoutException;
import org.json.JSONException;
import org.json.JSONObject;

public class e extends d {

    /* renamed from: a */
    private volatile int f2421a;

    /* renamed from: b */
    private final String f2422b;

    /* renamed from: c */
    private final Handler f2423c;

    /* renamed from: d */
    private volatile t0 f2424d;

    /* renamed from: e */
    private Context f2425e;

    /* renamed from: f */
    private Context f2426f;

    /* renamed from: g */
    private volatile d f2427g;

    /* renamed from: h */
    private volatile c0 f2428h;

    /* renamed from: i */
    private boolean f2429i;

    /* renamed from: j */
    private boolean f2430j;

    /* renamed from: k */
    private int f2431k;

    /* renamed from: l */
    private boolean f2432l;

    /* renamed from: m */
    private boolean f2433m;

    /* renamed from: n */
    private boolean f2434n;

    /* renamed from: o */
    private boolean f2435o;

    /* renamed from: p */
    private boolean f2436p;

    /* renamed from: q */
    private boolean f2437q;

    /* renamed from: r */
    private boolean f2438r;

    /* renamed from: s */
    private boolean f2439s;

    /* renamed from: t */
    private boolean f2440t;

    /* renamed from: u */
    private ExecutorService f2441u;

    private e(Activity activity, boolean z7, String str) {
        this(activity.getApplicationContext(), z7, new zzah(), str, null);
    }

    private final void A(i iVar, m mVar) {
        if (!Thread.interrupted()) {
            this.f2423c.post(new e1(mVar, iVar));
        }
    }

    static /* synthetic */ int B(e eVar) {
        return eVar.f2431k;
    }

    static /* synthetic */ int C(e eVar, int i7) {
        eVar.f2431k = i7;
        return i7;
    }

    static /* synthetic */ int D(e eVar, int i7) {
        eVar.f2421a = i7;
        return i7;
    }

    static /* synthetic */ Context E(e eVar) {
        return eVar.f2426f;
    }

    static /* synthetic */ Handler I(e eVar) {
        return eVar.v();
    }

    static /* synthetic */ d0 J(e eVar, String str) {
        String valueOf = String.valueOf(str);
        a.j("BillingClient", valueOf.length() != 0 ? "Querying purchase history, item type: ".concat(valueOf) : new String("Querying purchase history, item type: "));
        ArrayList arrayList = new ArrayList();
        Bundle f7 = a.f(eVar.f2434n, eVar.f2440t, eVar.f2422b);
        String str2 = null;
        while (eVar.f2432l) {
            try {
                Bundle g02 = eVar.f2427g.g0(6, eVar.f2426f.getPackageName(), str, str2, f7);
                i a8 = i0.a(g02, "BillingClient", "getPurchaseHistory()");
                if (a8 != g0.f2465p) {
                    return new d0(a8, null);
                }
                ArrayList<String> stringArrayList = g02.getStringArrayList("INAPP_PURCHASE_ITEM_LIST");
                ArrayList<String> stringArrayList2 = g02.getStringArrayList("INAPP_PURCHASE_DATA_LIST");
                ArrayList<String> stringArrayList3 = g02.getStringArrayList("INAPP_DATA_SIGNATURE_LIST");
                for (int i7 = 0; i7 < stringArrayList2.size(); i7++) {
                    String str3 = stringArrayList2.get(i7);
                    String str4 = stringArrayList3.get(i7);
                    String valueOf2 = String.valueOf(stringArrayList.get(i7));
                    a.j("BillingClient", valueOf2.length() != 0 ? "Purchase record found for sku : ".concat(valueOf2) : new String("Purchase record found for sku : "));
                    try {
                        PurchaseHistoryRecord purchaseHistoryRecord = new PurchaseHistoryRecord(str3, str4);
                        if (TextUtils.isEmpty(purchaseHistoryRecord.d())) {
                            a.k("BillingClient", "BUG: empty/null token!");
                        }
                        arrayList.add(purchaseHistoryRecord);
                    } catch (JSONException e7) {
                        String valueOf3 = String.valueOf(e7);
                        StringBuilder sb = new StringBuilder(valueOf3.length() + 48);
                        sb.append("Got an exception trying to decode the purchase: ");
                        sb.append(valueOf3);
                        a.k("BillingClient", sb.toString());
                        return new d0(g0.f2461l, null);
                    }
                }
                str2 = g02.getString("INAPP_CONTINUATION_TOKEN");
                String valueOf4 = String.valueOf(str2);
                a.j("BillingClient", valueOf4.length() != 0 ? "Continuation token: ".concat(valueOf4) : new String("Continuation token: "));
                if (TextUtils.isEmpty(str2)) {
                    return new d0(g0.f2465p, arrayList);
                }
            } catch (RemoteException e8) {
                String valueOf5 = String.valueOf(e8);
                StringBuilder sb2 = new StringBuilder(valueOf5.length() + 64);
                sb2.append("Got exception trying to get purchase history: ");
                sb2.append(valueOf5);
                sb2.append("; try to reconnect");
                a.k("BillingClient", sb2.toString());
                return new d0(g0.f2466q, null);
            }
        }
        a.k("BillingClient", "getPurchaseHistory is not supported on current device");
        return new d0(g0.f2459j, null);
    }

    static /* synthetic */ i K(e eVar) {
        return eVar.x();
    }

    static /* synthetic */ Purchase.b L(e eVar, String str) {
        String valueOf = String.valueOf(str);
        a.j("BillingClient", valueOf.length() != 0 ? "Querying owned items, item type: ".concat(valueOf) : new String("Querying owned items, item type: "));
        ArrayList arrayList = new ArrayList();
        Bundle f7 = a.f(eVar.f2434n, eVar.f2440t, eVar.f2422b);
        String str2 = null;
        do {
            try {
                Bundle D1 = eVar.f2434n ? eVar.f2427g.D1(9, eVar.f2426f.getPackageName(), str, str2, f7) : eVar.f2427g.x0(3, eVar.f2426f.getPackageName(), str, str2);
                i a8 = i0.a(D1, "BillingClient", "getPurchase()");
                if (a8 != g0.f2465p) {
                    return new Purchase.b(a8, null);
                }
                ArrayList<String> stringArrayList = D1.getStringArrayList("INAPP_PURCHASE_ITEM_LIST");
                ArrayList<String> stringArrayList2 = D1.getStringArrayList("INAPP_PURCHASE_DATA_LIST");
                ArrayList<String> stringArrayList3 = D1.getStringArrayList("INAPP_DATA_SIGNATURE_LIST");
                for (int i7 = 0; i7 < stringArrayList2.size(); i7++) {
                    String str3 = stringArrayList2.get(i7);
                    String str4 = stringArrayList3.get(i7);
                    String valueOf2 = String.valueOf(stringArrayList.get(i7));
                    a.j("BillingClient", valueOf2.length() != 0 ? "Sku is owned: ".concat(valueOf2) : new String("Sku is owned: "));
                    try {
                        Purchase purchase = new Purchase(str3, str4);
                        if (TextUtils.isEmpty(purchase.h())) {
                            a.k("BillingClient", "BUG: empty/null token!");
                        }
                        arrayList.add(purchase);
                    } catch (JSONException e7) {
                        String valueOf3 = String.valueOf(e7);
                        StringBuilder sb = new StringBuilder(valueOf3.length() + 48);
                        sb.append("Got an exception trying to decode the purchase: ");
                        sb.append(valueOf3);
                        a.k("BillingClient", sb.toString());
                        return new Purchase.b(g0.f2461l, null);
                    }
                }
                str2 = D1.getString("INAPP_CONTINUATION_TOKEN");
                String valueOf4 = String.valueOf(str2);
                a.j("BillingClient", valueOf4.length() != 0 ? "Continuation token: ".concat(valueOf4) : new String("Continuation token: "));
            } catch (Exception e8) {
                String valueOf5 = String.valueOf(e8);
                StringBuilder sb2 = new StringBuilder(valueOf5.length() + 57);
                sb2.append("Got exception trying to get purchases: ");
                sb2.append(valueOf5);
                sb2.append("; try to reconnect");
                a.k("BillingClient", sb2.toString());
                return new Purchase.b(g0.f2466q, null);
            }
        } while (!TextUtils.isEmpty(str2));
        return new Purchase.b(g0.f2465p, arrayList);
    }

    static /* synthetic */ d M(e eVar) {
        return eVar.f2427g;
    }

    static /* synthetic */ d N(e eVar, d dVar) {
        eVar.f2427g = dVar;
        return dVar;
    }

    static /* synthetic */ Future S(e eVar, Callable callable, long j7, Runnable runnable, Handler handler) {
        return eVar.z(callable, WorkRequest.DEFAULT_BACKOFF_DELAY_MILLIS, runnable, handler);
    }

    static /* synthetic */ boolean U(e eVar, boolean z7) {
        eVar.f2429i = z7;
        return z7;
    }

    static /* synthetic */ boolean V(e eVar, boolean z7) {
        eVar.f2439s = z7;
        return z7;
    }

    static /* synthetic */ boolean W(e eVar, boolean z7) {
        eVar.f2438r = z7;
        return z7;
    }

    static /* synthetic */ boolean X(e eVar, boolean z7) {
        eVar.f2437q = z7;
        return z7;
    }

    static /* synthetic */ boolean Y(e eVar, boolean z7) {
        eVar.f2436p = z7;
        return z7;
    }

    static /* synthetic */ boolean Z(e eVar, boolean z7) {
        eVar.f2435o = z7;
        return z7;
    }

    private void o(Context context, s sVar, boolean z7) {
        Context applicationContext = context.getApplicationContext();
        this.f2426f = applicationContext;
        this.f2424d = new t0(applicationContext, sVar);
        this.f2425e = context;
        this.f2440t = z7;
    }

    private int p(Activity activity, h hVar) {
        return g(activity, hVar).b();
    }

    private void q(Activity activity, n nVar, long j7) {
        h(activity, nVar, new zzah(j7));
    }

    private void r(long j7) {
        ServiceInfo serviceInfo;
        String str;
        zzah zzah = new zzah(j7);
        if (f()) {
            a.j("BillingClient", "Service connection is valid. No need to re-initialize.");
            zzah.f(g0.f2465p);
        } else if (this.f2421a == 1) {
            a.k("BillingClient", "Client is already in the process of connecting to billing service.");
            zzah.f(g0.f2453d);
        } else if (this.f2421a == 3) {
            a.k("BillingClient", "Client was already closed and can't be reused. Please create another instance.");
            zzah.f(g0.f2466q);
        } else {
            this.f2421a = 1;
            this.f2424d.d();
            a.j("BillingClient", "Starting in-app billing setup.");
            this.f2428h = new c0(this, zzah, null);
            Intent intent = new Intent("com.android.vending.billing.InAppBillingService.BIND");
            intent.setPackage("com.android.vending");
            List<ResolveInfo> queryIntentServices = this.f2426f.getPackageManager().queryIntentServices(intent, 0);
            if (!(queryIntentServices == null || queryIntentServices.isEmpty() || (serviceInfo = queryIntentServices.get(0).serviceInfo) == null)) {
                String str2 = serviceInfo.packageName;
                String str3 = serviceInfo.name;
                if (!"com.android.vending".equals(str2) || str3 == null) {
                    str = "The device doesn't have valid Play Store.";
                } else {
                    ComponentName componentName = new ComponentName(str2, str3);
                    Intent intent2 = new Intent(intent);
                    intent2.setComponent(componentName);
                    intent2.putExtra("playBillingLibraryVersion", this.f2422b);
                    if (this.f2426f.bindService(intent2, this.f2428h, 1)) {
                        a.j("BillingClient", "Service was bonded successfully.");
                        return;
                    }
                    str = "Connection to Billing service is blocked.";
                }
                a.k("BillingClient", str);
            }
            this.f2421a = 0;
            a.j("BillingClient", "Billing service unavailable on device.");
            zzah.f(g0.f2452c);
        }
    }

    private final Handler v() {
        return Looper.myLooper() == null ? this.f2423c : new Handler(Looper.myLooper());
    }

    private final i w(i iVar) {
        if (Thread.interrupted()) {
            return iVar;
        }
        this.f2423c.post(new c1(this, iVar));
        return iVar;
    }

    private final i x() {
        return (this.f2421a == 0 || this.f2421a == 3) ? g0.f2466q : g0.f2461l;
    }

    private final i y(String str) {
        try {
            return ((Integer) z(new z0(this, str), 5000, null, v()).get(5000, TimeUnit.MILLISECONDS)).intValue() == 0 ? g0.f2465p : g0.f2458i;
        } catch (Exception unused) {
            a.k("BillingClient", "Exception while checking if billing is supported; try to reconnect");
            return g0.f2466q;
        }
    }

    private final <T> Future<T> z(Callable<T> callable, long j7, Runnable runnable, Handler handler) {
        long j8 = (long) (((double) j7) * 0.95d);
        if (this.f2441u == null) {
            this.f2441u = Executors.newFixedThreadPool(a.f6253a, new z(this));
        }
        try {
            Future<T> submit = this.f2441u.submit(callable);
            handler.postDelayed(new i1(submit, runnable), j8);
            return submit;
        } catch (Exception e7) {
            String valueOf = String.valueOf(e7);
            StringBuilder sb = new StringBuilder(valueOf.length() + 28);
            sb.append("Async task throws exception ");
            sb.append(valueOf);
            a.k("BillingClient", sb.toString());
            return null;
        }
    }

    public final /* synthetic */ Bundle F(int i7, SkuDetails skuDetails, String str, h hVar, Bundle bundle) {
        return this.f2427g.f1(i7, this.f2426f.getPackageName(), skuDetails.n(), str, null, bundle);
    }

    public final /* synthetic */ Bundle G(SkuDetails skuDetails, String str) {
        return this.f2427g.C0(3, this.f2426f.getPackageName(), skuDetails.n(), str, null);
    }

    public final /* synthetic */ Bundle H(String str, Bundle bundle) {
        return this.f2427g.p0(8, this.f2426f.getPackageName(), str, d.e.f2416w, bundle);
    }

    public final /* synthetic */ Integer O(String str) {
        com.google.android.gms.internal.play_billing.d dVar = this.f2427g;
        String packageName = this.f2426f.getPackageName();
        Bundle bundle = new Bundle();
        bundle.putBoolean(h.f2475j, true);
        return Integer.valueOf(dVar.v1(7, packageName, str, bundle));
    }

    public final /* synthetic */ Object P(b bVar, c cVar) {
        i iVar;
        try {
            Bundle J1 = this.f2427g.J1(9, this.f2426f.getPackageName(), bVar.a(), a.b(bVar, this.f2422b));
            int a8 = a.a(J1, "BillingClient");
            String h7 = a.h(J1, "BillingClient");
            i.a c7 = i.c();
            c7.c(a8);
            c7.b(h7);
            iVar = c7.a();
        } catch (Exception e7) {
            String valueOf = String.valueOf(e7);
            StringBuilder sb = new StringBuilder(valueOf.length() + 32);
            sb.append("Error acknowledge purchase; ex: ");
            sb.append(valueOf);
            a.k("BillingClient", sb.toString());
            iVar = g0.f2466q;
        }
        cVar.d(iVar);
        return null;
    }

    public final /* synthetic */ Object Q(j jVar, k kVar) {
        int i7;
        String str;
        String a8 = jVar.a();
        try {
            String valueOf = String.valueOf(a8);
            a.j("BillingClient", valueOf.length() != 0 ? "Consuming purchase with token: ".concat(valueOf) : new String("Consuming purchase with token: "));
            if (this.f2434n) {
                Bundle R = this.f2427g.R(9, this.f2426f.getPackageName(), a8, a.c(jVar, this.f2434n, this.f2422b));
                i7 = R.getInt("RESPONSE_CODE");
                str = a.h(R, "BillingClient");
            } else {
                i7 = this.f2427g.M(3, this.f2426f.getPackageName(), a8);
                str = "";
            }
            i.a c7 = i.c();
            c7.c(i7);
            c7.b(str);
            i a9 = c7.a();
            if (i7 == 0) {
                a.j("BillingClient", "Successfully consumed purchase.");
            } else {
                StringBuilder sb = new StringBuilder(63);
                sb.append("Error consuming purchase with token. Response code: ");
                sb.append(i7);
                a.k("BillingClient", sb.toString());
            }
            kVar.i(a9, a8);
            return null;
        } catch (Exception e7) {
            String valueOf2 = String.valueOf(e7);
            StringBuilder sb2 = new StringBuilder(valueOf2.length() + 30);
            sb2.append("Error consuming purchase; ex: ");
            sb2.append(valueOf2);
            a.k("BillingClient", sb2.toString());
            kVar.i(g0.f2466q, a8);
            return null;
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:19:0x008a, code lost:
        com.google.android.gms.internal.play_billing.a.k("BillingClient", r0);
        r2 = null;
        r4 = 4;
     */
    public final /* synthetic */ Object R(String str, List list, String str2, u uVar) {
        String str3;
        String str4;
        ArrayList arrayList = new ArrayList();
        int size = list.size();
        int i7 = 0;
        int i8 = 0;
        while (true) {
            if (i8 >= size) {
                str3 = "";
                break;
            }
            int i9 = i8 + 20;
            ArrayList arrayList2 = new ArrayList(list.subList(i8, i9 > size ? size : i9));
            ArrayList<String> arrayList3 = new ArrayList<>();
            int size2 = arrayList2.size();
            for (int i10 = 0; i10 < size2; i10++) {
                arrayList3.add(((m0) arrayList2.get(i10)).a());
            }
            Bundle bundle = new Bundle();
            bundle.putStringArrayList("ITEM_ID_LIST", arrayList3);
            bundle.putString("playBillingLibraryVersion", this.f2422b);
            try {
                Bundle H = this.f2435o ? this.f2427g.H(10, this.f2426f.getPackageName(), str, bundle, a.d(this.f2431k, this.f2440t, this.f2422b, null, arrayList2)) : this.f2427g.g1(3, this.f2426f.getPackageName(), str, bundle);
                str3 = "Item is unavailable for purchase.";
                if (H == null) {
                    str4 = "querySkuDetailsAsync got null sku details list";
                    break;
                } else if (!H.containsKey("DETAILS_LIST")) {
                    i7 = a.a(H, "BillingClient");
                    str3 = a.h(H, "BillingClient");
                    if (i7 != 0) {
                        StringBuilder sb = new StringBuilder(50);
                        sb.append("getSkuDetails() failed. Response code: ");
                        sb.append(i7);
                        a.k("BillingClient", sb.toString());
                    } else {
                        a.k("BillingClient", "getSkuDetails() returned a bundle with neither an error nor a detail list.");
                    }
                } else {
                    ArrayList<String> stringArrayList = H.getStringArrayList("DETAILS_LIST");
                    if (stringArrayList == null) {
                        str4 = "querySkuDetailsAsync got null response list";
                        break;
                    }
                    for (int i11 = 0; i11 < stringArrayList.size(); i11++) {
                        try {
                            SkuDetails skuDetails = new SkuDetails(stringArrayList.get(i11));
                            String valueOf = String.valueOf(skuDetails);
                            StringBuilder sb2 = new StringBuilder(valueOf.length() + 17);
                            sb2.append("Got sku details: ");
                            sb2.append(valueOf);
                            a.j("BillingClient", sb2.toString());
                            arrayList.add(skuDetails);
                        } catch (JSONException unused) {
                            a.k("BillingClient", "Got a JSON exception trying to decode SkuDetails.");
                            str3 = "Error trying to decode SkuDetails.";
                            arrayList = null;
                            i7 = 6;
                            i.a c7 = i.c();
                            c7.c(i7);
                            c7.b(str3);
                            uVar.b(c7.a(), arrayList);
                            return null;
                        }
                    }
                    i8 = i9;
                }
            } catch (Exception e7) {
                String valueOf2 = String.valueOf(e7);
                StringBuilder sb3 = new StringBuilder(valueOf2.length() + 63);
                sb3.append("querySkuDetailsAsync got a remote exception (try to reconnect).");
                sb3.append(valueOf2);
                a.k("BillingClient", sb3.toString());
                str3 = "Service connection is disconnected.";
                i7 = -1;
                arrayList = null;
            }
        }
        i.a c72 = i.c();
        c72.c(i7);
        c72.b(str3);
        uVar.b(c72.a(), arrayList);
        return null;
    }

    public final /* synthetic */ void T(i iVar) {
        this.f2424d.b().c(iVar, null);
    }

    @Override // com.android.billingclient.api.d
    public final void a(b bVar, c cVar) {
        i x7;
        if (!f()) {
            x7 = g0.f2466q;
        } else if (TextUtils.isEmpty(bVar.a())) {
            a.k("BillingClient", "Please provide a valid purchase token.");
            x7 = g0.f2460k;
        } else if (!this.f2434n) {
            x7 = g0.f2451b;
        } else if (z(new w0(this, bVar, cVar), WorkRequest.DEFAULT_BACKOFF_DELAY_MILLIS, new v0(cVar), v()) == null) {
            x7 = x();
        } else {
            return;
        }
        cVar.d(x7);
    }

    @Override // com.android.billingclient.api.d
    public final void b(j jVar, k kVar) {
        i x7;
        if (!f()) {
            x7 = g0.f2466q;
        } else if (z(new x0(this, jVar, kVar), WorkRequest.DEFAULT_BACKOFF_DELAY_MILLIS, new d1(kVar, jVar), v()) == null) {
            x7 = x();
        } else {
            return;
        }
        kVar.i(x7, jVar.a());
    }

    @Override // com.android.billingclient.api.d
    public final void c() {
        try {
            this.f2425e = null;
            this.f2424d.c();
            if (this.f2428h != null) {
                this.f2428h.c();
            }
            if (!(this.f2428h == null || this.f2427g == null)) {
                a.j("BillingClient", "Unbinding from service.");
                this.f2426f.unbindService(this.f2428h);
                this.f2428h = null;
            }
            this.f2427g = null;
            ExecutorService executorService = this.f2441u;
            if (executorService != null) {
                executorService.shutdownNow();
                this.f2441u = null;
            }
        } catch (Exception e7) {
            String valueOf = String.valueOf(e7);
            StringBuilder sb = new StringBuilder(valueOf.length() + 48);
            sb.append("There was an exception while ending connection: ");
            sb.append(valueOf);
            a.k("BillingClient", sb.toString());
        } finally {
            this.f2421a = 3;
        }
    }

    @Override // com.android.billingclient.api.d
    public final int d() {
        return this.f2421a;
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    @Override // com.android.billingclient.api.d
    public final i e(String str) {
        char c7;
        if (!f()) {
            return g0.f2466q;
        }
        switch (str.hashCode()) {
            case -422092961:
                if (str.equals(d.AbstractC0017d.f2411r)) {
                    c7 = 1;
                    break;
                }
                c7 = 65535;
                break;
            case 96321:
                if (str.equals("aaa")) {
                    c7 = 6;
                    break;
                }
                c7 = 65535;
                break;
            case 97314:
                if (str.equals("bbb")) {
                    c7 = 5;
                    break;
                }
                c7 = 65535;
                break;
            case 98307:
                if (str.equals("ccc")) {
                    c7 = '\b';
                    break;
                }
                c7 = 65535;
                break;
            case 99300:
                if (str.equals("ddd")) {
                    c7 = 7;
                    break;
                }
                c7 = 65535;
                break;
            case 100293:
                if (str.equals("eee")) {
                    c7 = '\t';
                    break;
                }
                c7 = 65535;
                break;
            case 207616302:
                if (str.equals(d.AbstractC0017d.f2414u)) {
                    c7 = 4;
                    break;
                }
                c7 = 65535;
                break;
            case 292218239:
                if (str.equals(d.AbstractC0017d.f2412s)) {
                    c7 = 2;
                    break;
                }
                c7 = 65535;
                break;
            case 1219490065:
                if (str.equals(d.AbstractC0017d.f2413t)) {
                    c7 = 3;
                    break;
                }
                c7 = 65535;
                break;
            case 1987365622:
                if (str.equals(d.AbstractC0017d.f2410q)) {
                    c7 = 0;
                    break;
                }
                c7 = 65535;
                break;
            default:
                c7 = 65535;
                break;
        }
        switch (c7) {
            case 0:
                return this.f2429i ? g0.f2465p : g0.f2458i;
            case 1:
                return this.f2430j ? g0.f2465p : g0.f2458i;
            case 2:
                return y(d.e.f2415v);
            case 3:
                return y(d.e.f2416w);
            case 4:
                return this.f2433m ? g0.f2465p : g0.f2458i;
            case 5:
                return this.f2436p ? g0.f2465p : g0.f2458i;
            case 6:
                return this.f2438r ? g0.f2465p : g0.f2458i;
            case 7:
                return this.f2437q ? g0.f2465p : g0.f2458i;
            case '\b':
            case '\t':
                return this.f2439s ? g0.f2465p : g0.f2458i;
            default:
                a.k("BillingClient", str.length() != 0 ? "Unsupported feature: ".concat(str) : new String("Unsupported feature: "));
                return g0.f2471v;
        }
    }

    @Override // com.android.billingclient.api.d
    public final boolean f() {
        return (this.f2421a != 2 || this.f2427g == null || this.f2428h == null) ? false : true;
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r8v2, types: [com.android.billingclient.api.j1] */
    /* JADX WARNING: Unknown variable types count: 1 */
    @Override // com.android.billingclient.api.d
    public final i g(Activity activity, h hVar) {
        String str;
        String str2;
        String str3;
        Handler handler;
        Runnable runnable;
        long j7;
        y0 y0Var;
        e eVar;
        i iVar;
        boolean z7;
        int i7;
        String str4;
        String str5 = "BUY_INTENT";
        if (f()) {
            ArrayList<SkuDetails> l7 = hVar.l();
            SkuDetails skuDetails = l7.get(0);
            String q7 = skuDetails.q();
            if (q7.equals(d.e.f2416w) && !this.f2429i) {
                a.k("BillingClient", "Current client doesn't support subscriptions.");
                iVar = g0.f2468s;
                w(iVar);
                return iVar;
            } else if (hVar.o() && !this.f2432l) {
                a.k("BillingClient", "Current client doesn't support extra params for buy intent.");
                iVar = g0.f2457h;
                w(iVar);
                return iVar;
            } else if (l7.size() <= 1 || this.f2439s) {
                String str6 = "";
                for (int i8 = 0; i8 < l7.size(); i8++) {
                    String valueOf = String.valueOf(str6);
                    String valueOf2 = String.valueOf(l7.get(i8));
                    StringBuilder sb = new StringBuilder(valueOf.length() + valueOf2.length());
                    sb.append(valueOf);
                    sb.append(valueOf2);
                    String sb2 = sb.toString();
                    if (i8 < l7.size() - 1) {
                        sb2 = String.valueOf(sb2).concat(", ");
                    }
                    str6 = sb2;
                }
                StringBuilder sb3 = new StringBuilder(String.valueOf(str6).length() + 41 + q7.length());
                sb3.append("Constructing buy intent for ");
                sb3.append(str6);
                sb3.append(", item type: ");
                sb3.append(q7);
                a.j("BillingClient", sb3.toString());
                if (this.f2432l) {
                    Bundle e7 = a.e(hVar, this.f2434n, this.f2440t, this.f2422b);
                    ArrayList<String> arrayList = new ArrayList<>();
                    ArrayList<String> arrayList2 = new ArrayList<>();
                    ArrayList<String> arrayList3 = new ArrayList<>();
                    ArrayList<Integer> arrayList4 = new ArrayList<>();
                    ArrayList<String> arrayList5 = new ArrayList<>();
                    str3 = "; try to reconnect";
                    int size = l7.size();
                    str2 = str6;
                    int i9 = 0;
                    boolean z8 = false;
                    boolean z9 = false;
                    boolean z10 = false;
                    boolean z11 = false;
                    while (i9 < size) {
                        SkuDetails skuDetails2 = l7.get(i9);
                        if (!skuDetails2.v().isEmpty()) {
                            i7 = size;
                            arrayList.add(skuDetails2.v());
                        } else {
                            i7 = size;
                        }
                        try {
                            str4 = new JSONObject(skuDetails2.h()).optString("offer_id_token");
                        } catch (JSONException unused) {
                            str4 = "";
                        }
                        String s7 = skuDetails2.s();
                        int r7 = skuDetails2.r();
                        String u7 = skuDetails2.u();
                        arrayList2.add(str4);
                        z8 |= !TextUtils.isEmpty(str4);
                        arrayList3.add(s7);
                        z9 |= !TextUtils.isEmpty(s7);
                        arrayList4.add(Integer.valueOf(r7));
                        z10 |= r7 != 0;
                        z11 |= !TextUtils.isEmpty(u7);
                        arrayList5.add(u7);
                        i9++;
                        size = i7;
                        str5 = str5;
                    }
                    str = str5;
                    if (!arrayList.isEmpty()) {
                        e7.putStringArrayList("skuDetailsTokens", arrayList);
                    }
                    if (z8) {
                        if (!this.f2437q) {
                            iVar = g0.f2458i;
                            w(iVar);
                            return iVar;
                        }
                        e7.putStringArrayList("SKU_OFFER_ID_TOKEN_LIST", arrayList2);
                    }
                    if (z9) {
                        e7.putStringArrayList("SKU_OFFER_ID_LIST", arrayList3);
                    }
                    if (z10) {
                        e7.putIntegerArrayList("SKU_OFFER_TYPE_LIST", arrayList4);
                    }
                    if (z11) {
                        e7.putStringArrayList("SKU_SERIALIZED_DOCID_LIST", arrayList5);
                    }
                    if (!TextUtils.isEmpty(skuDetails.t())) {
                        e7.putString("skuPackageName", skuDetails.t());
                        z7 = true;
                    } else {
                        z7 = false;
                    }
                    if (!TextUtils.isEmpty(null)) {
                        e7.putString("accountName", null);
                    }
                    if (l7.size() > 1) {
                        ArrayList<String> arrayList6 = new ArrayList<>(l7.size() - 1);
                        ArrayList<String> arrayList7 = new ArrayList<>(l7.size() - 1);
                        for (int i10 = 1; i10 < l7.size(); i10++) {
                            arrayList6.add(l7.get(i10).n());
                            arrayList7.add(l7.get(i10).q());
                        }
                        e7.putStringArrayList("additionalSkus", arrayList6);
                        e7.putStringArrayList("additionalSkuTypes", arrayList7);
                    }
                    if (!TextUtils.isEmpty(activity.getIntent().getStringExtra("PROXY_PACKAGE"))) {
                        String stringExtra = activity.getIntent().getStringExtra("PROXY_PACKAGE");
                        e7.putString("proxyPackage", stringExtra);
                        try {
                            e7.putString("proxyPackageVersion", this.f2426f.getPackageManager().getPackageInfo(stringExtra, 0).versionName);
                        } catch (PackageManager.NameNotFoundException unused2) {
                            e7.putString("proxyPackageVersion", "package not found");
                        }
                    }
                    ?? j1Var = new j1(this, (!this.f2438r || !z7) ? this.f2434n ? 9 : hVar.a() ? 7 : 6 : 15, skuDetails, q7, hVar, e7);
                    j7 = 5000;
                    runnable = null;
                    handler = this.f2423c;
                    eVar = this;
                    y0Var = j1Var;
                } else {
                    str = str5;
                    str3 = "; try to reconnect";
                    str2 = str6;
                    y0Var = new y0(this, skuDetails, q7);
                    j7 = 5000;
                    runnable = null;
                    handler = this.f2423c;
                    eVar = this;
                }
                try {
                    Bundle bundle = (Bundle) eVar.z(y0Var, j7, runnable, handler).get(5000, TimeUnit.MILLISECONDS);
                    int a8 = a.a(bundle, "BillingClient");
                    String h7 = a.h(bundle, "BillingClient");
                    if (a8 != 0) {
                        StringBuilder sb4 = new StringBuilder(52);
                        sb4.append("Unable to buy item, Error response code: ");
                        sb4.append(a8);
                        a.k("BillingClient", sb4.toString());
                        i.a c7 = i.c();
                        c7.c(a8);
                        c7.b(h7);
                        i a9 = c7.a();
                        w(a9);
                        return a9;
                    }
                    Intent intent = new Intent(activity, ProxyBillingActivity.class);
                    intent.putExtra(str, (PendingIntent) bundle.getParcelable(str));
                    activity.startActivity(intent);
                    return g0.f2465p;
                } catch (CancellationException | TimeoutException unused3) {
                    StringBuilder sb5 = new StringBuilder(String.valueOf(str2).length() + 68);
                    sb5.append("Time out while launching billing flow: ; for sku: ");
                    sb5.append(str2);
                    sb5.append(str3);
                    a.k("BillingClient", sb5.toString());
                    iVar = g0.f2467r;
                } catch (Exception unused4) {
                    StringBuilder sb6 = new StringBuilder(String.valueOf(str2).length() + 69);
                    sb6.append("Exception while launching billing flow: ; for sku: ");
                    sb6.append(str2);
                    sb6.append(str3);
                    a.k("BillingClient", sb6.toString());
                }
            } else {
                a.k("BillingClient", "Current client doesn't support multi-item purchases.");
                iVar = g0.f2470u;
                w(iVar);
                return iVar;
            }
        }
        iVar = g0.f2466q;
        w(iVar);
        return iVar;
    }

    @Override // com.android.billingclient.api.d
    public final void h(Activity activity, n nVar, m mVar) {
        i iVar;
        String n7;
        if (f()) {
            if (nVar == null || nVar.a() == null || (n7 = nVar.a().n()) == null) {
                a.k("BillingClient", "Please fix the input params. priceChangeFlowParams must contain valid sku.");
                iVar = g0.f2463n;
                A(iVar, mVar);
            } else if (!this.f2433m) {
                a.k("BillingClient", "Current client doesn't support price change confirmation flow.");
                iVar = g0.f2458i;
                A(iVar, mVar);
            } else {
                Bundle bundle = new Bundle();
                bundle.putString("playBillingLibraryVersion", this.f2422b);
                bundle.putBoolean("subs_price_change", true);
                try {
                    Bundle bundle2 = (Bundle) z(new a1(this, n7, bundle), 5000, null, this.f2423c).get(5000, TimeUnit.MILLISECONDS);
                    int a8 = a.a(bundle2, "BillingClient");
                    String h7 = a.h(bundle2, "BillingClient");
                    i.a c7 = i.c();
                    c7.c(a8);
                    c7.b(h7);
                    i a9 = c7.a();
                    if (a8 != 0) {
                        StringBuilder sb = new StringBuilder(68);
                        sb.append("Unable to launch price change flow, error response code: ");
                        sb.append(a8);
                        a.k("BillingClient", sb.toString());
                        A(a9, mVar);
                        return;
                    }
                    zzy zzy = new zzy(this, this.f2423c, mVar);
                    Intent intent = new Intent(activity, ProxyBillingActivity.class);
                    intent.putExtra("SUBS_MANAGEMENT_INTENT", (PendingIntent) bundle2.getParcelable("SUBS_MANAGEMENT_INTENT"));
                    intent.putExtra("result_receiver", zzy);
                    activity.startActivity(intent);
                    return;
                } catch (CancellationException | TimeoutException unused) {
                    StringBuilder sb2 = new StringBuilder(n7.length() + 70);
                    sb2.append("Time out while launching Price Change Flow for sku: ");
                    sb2.append(n7);
                    sb2.append("; try to reconnect");
                    a.k("BillingClient", sb2.toString());
                    iVar = g0.f2467r;
                } catch (Exception unused2) {
                    StringBuilder sb3 = new StringBuilder(n7.length() + 78);
                    sb3.append("Exception caught while launching Price Change Flow for sku: ");
                    sb3.append(n7);
                    sb3.append("; try to reconnect");
                    a.k("BillingClient", sb3.toString());
                }
            }
        }
        iVar = g0.f2466q;
        A(iVar, mVar);
    }

    @Override // com.android.billingclient.api.d
    public final void j(String str, o oVar) {
        i x7;
        if (!f()) {
            x7 = g0.f2466q;
        } else if (z(new y(this, str, oVar), WorkRequest.DEFAULT_BACKOFF_DELAY_MILLIS, new f1(oVar), v()) == null) {
            x7 = x();
        } else {
            return;
        }
        oVar.e(x7, null);
    }

    @Override // com.android.billingclient.api.d
    public final Purchase.b k(String str) {
        if (!f()) {
            return new Purchase.b(g0.f2466q, null);
        }
        if (TextUtils.isEmpty(str)) {
            a.k("BillingClient", "Please provide a valid SKU type.");
            return new Purchase.b(g0.f2456g, null);
        }
        try {
            return (Purchase.b) z(new k1(this, str), 5000, null, this.f2423c).get(5000, TimeUnit.MILLISECONDS);
        } catch (CancellationException | TimeoutException unused) {
            return new Purchase.b(g0.f2467r, null);
        } catch (Exception unused2) {
            return new Purchase.b(g0.f2461l, null);
        }
    }

    @Override // com.android.billingclient.api.d
    public void l(String str, q qVar) {
        i x7;
        if (!f()) {
            x7 = g0.f2466q;
        } else if (TextUtils.isEmpty(str)) {
            a.k("BillingClient", "Please provide a valid SKU type.");
            x7 = g0.f2456g;
        } else if (z(new x(this, str, qVar), WorkRequest.DEFAULT_BACKOFF_DELAY_MILLIS, new g1(qVar), v()) == null) {
            x7 = x();
        } else {
            return;
        }
        qVar.a(x7, p.n());
    }

    @Override // com.android.billingclient.api.d
    public final void m(t tVar, u uVar) {
        i iVar;
        if (!f()) {
            iVar = g0.f2466q;
        } else {
            String a8 = tVar.a();
            List<String> b7 = tVar.b();
            if (TextUtils.isEmpty(a8)) {
                a.k("BillingClient", "Please fix the input params. SKU type can't be empty.");
                iVar = g0.f2456g;
            } else if (b7 != null) {
                ArrayList arrayList = new ArrayList();
                for (String str : b7) {
                    l0 l0Var = new l0(null);
                    l0Var.a(str);
                    arrayList.add(l0Var.b());
                }
                if (z(new b1(this, a8, arrayList, null, uVar), WorkRequest.DEFAULT_BACKOFF_DELAY_MILLIS, new h1(uVar), v()) == null) {
                    iVar = x();
                } else {
                    return;
                }
            } else {
                a.k("BillingClient", "Please fix the input params. The list of SKUs can't be empty - set SKU list or SkuWithOffer list.");
                iVar = g0.f2455f;
            }
        }
        uVar.b(iVar, null);
    }

    @Override // com.android.billingclient.api.d
    public final void n(g gVar) {
        ServiceInfo serviceInfo;
        String str;
        if (f()) {
            a.j("BillingClient", "Service connection is valid. No need to re-initialize.");
            gVar.f(g0.f2465p);
        } else if (this.f2421a == 1) {
            a.k("BillingClient", "Client is already in the process of connecting to billing service.");
            gVar.f(g0.f2453d);
        } else if (this.f2421a == 3) {
            a.k("BillingClient", "Client was already closed and can't be reused. Please create another instance.");
            gVar.f(g0.f2466q);
        } else {
            this.f2421a = 1;
            this.f2424d.d();
            a.j("BillingClient", "Starting in-app billing setup.");
            this.f2428h = new c0(this, gVar, null);
            Intent intent = new Intent("com.android.vending.billing.InAppBillingService.BIND");
            intent.setPackage("com.android.vending");
            List<ResolveInfo> queryIntentServices = this.f2426f.getPackageManager().queryIntentServices(intent, 0);
            if (!(queryIntentServices == null || queryIntentServices.isEmpty() || (serviceInfo = queryIntentServices.get(0).serviceInfo) == null)) {
                String str2 = serviceInfo.packageName;
                String str3 = serviceInfo.name;
                if (!"com.android.vending".equals(str2) || str3 == null) {
                    str = "The device doesn't have valid Play Store.";
                } else {
                    ComponentName componentName = new ComponentName(str2, str3);
                    Intent intent2 = new Intent(intent);
                    intent2.setComponent(componentName);
                    intent2.putExtra("playBillingLibraryVersion", this.f2422b);
                    if (this.f2426f.bindService(intent2, this.f2428h, 1)) {
                        a.j("BillingClient", "Service was bonded successfully.");
                        return;
                    }
                    str = "Connection to Billing service is blocked.";
                }
                a.k("BillingClient", str);
            }
            this.f2421a = 0;
            a.j("BillingClient", "Billing service unavailable on device.");
            gVar.f(g0.f2452c);
        }
    }

    private e(Context context, boolean z7, s sVar, String str, String str2) {
        this.f2421a = 0;
        this.f2423c = new Handler(Looper.getMainLooper());
        this.f2431k = 0;
        this.f2422b = str;
        o(context, sVar, z7);
    }

    private e(String str) {
        this.f2421a = 0;
        this.f2423c = new Handler(Looper.getMainLooper());
        this.f2431k = 0;
        this.f2422b = str;
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    e(String str, boolean z7, Context context, s sVar) {
        this(context, z7, sVar, r7, null);
        String str2;
        try {
            str2 = (String) d.a.class.getField("VERSION_NAME").get(null);
        } catch (Exception unused) {
            str2 = c.a.f2206b;
        }
    }
}
