package com.flurry.sdk;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import com.flurry.sdk.o5;
import java.io.IOException;
import java.net.InetAddress;
import java.net.InetSocketAddress;
import java.net.Proxy;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.concurrent.atomic.AtomicLong;
import okhttp3.Call;
import okhttp3.EventListener;
import okhttp3.Interceptor;
import okhttp3.Protocol;
import okhttp3.Request;
import okhttp3.Response;

public final class q2 {

    public static class a extends EventListener {

        /* renamed from: i  reason: collision with root package name */
        private static final AtomicLong f3558i = new AtomicLong(1);

        /* renamed from: a  reason: collision with root package name */
        private long f3559a = f3558i.getAndIncrement();

        /* renamed from: b  reason: collision with root package name */
        private String f3560b;

        /* renamed from: c  reason: collision with root package name */
        private Map<String, String> f3561c;

        /* renamed from: d  reason: collision with root package name */
        private long f3562d;

        /* renamed from: e  reason: collision with root package name */
        private long f3563e;

        /* renamed from: f  reason: collision with root package name */
        private long f3564f;

        /* renamed from: g  reason: collision with root package name */
        private long f3565g;

        /* renamed from: h  reason: collision with root package name */
        private boolean f3566h;

        /* renamed from: com.flurry.sdk.q2$a$a  reason: collision with other inner class name */
        public static class C0032a implements EventListener.Factory {

            /* renamed from: a  reason: collision with root package name */
            private String f3567a;

            public C0032a(String str) {
                s2.c();
                this.f3567a = str;
            }

            /* renamed from: a */
            public a b(Call call) {
                return new a(this.f3567a);
            }

            public void c(String str) {
                this.f3567a = str;
            }
        }

        public a(String str) {
            s2.c();
            this.f3560b = str;
            this.f3562d = System.nanoTime();
            this.f3566h = false;
            this.f3561c = new HashMap();
        }

        private void a() {
            if (s2.d()) {
                this.f3561c.put("fl.total.time", Long.toString((long) (((double) (System.nanoTime() - this.f3562d)) / 1000000.0d)));
                e2.n("HttpLogging", "Logging parameters: " + this.f3561c);
                a.x().u("Flurry.HTTPRequestTime", o5.a.PERFORMANCE, this.f3561c);
            }
        }

        private boolean b() {
            try {
                int parseInt = Integer.parseInt(this.f3561c.get("fl.response.code"));
                return parseInt >= 300 && parseInt < 400;
            } catch (NumberFormatException unused) {
                return false;
            }
        }

        public void c(Call call) {
            if (!b()) {
                a();
            }
        }

        public void d(Call call, IOException iOException) {
            if ((!this.f3561c.containsKey("fl.response.code") || b()) && "timeout".equals(iOException.getMessage())) {
                this.f3561c.put("fl.response.code", Integer.toString(408));
            }
            a();
        }

        public void e(Call call) {
            this.f3561c.clear();
            this.f3561c.put("fl.id", this.f3560b);
            this.f3562d = System.nanoTime();
            Request request = call.request();
            if (request != null) {
                this.f3561c.put("fl.request.url", request.url().toString());
            }
        }

        public void f(Call call, InetSocketAddress inetSocketAddress, Proxy proxy, @Nullable Protocol protocol) {
            this.f3561c.put("fl.connect.time", Long.toString((long) (((double) (System.nanoTime() - this.f3564f)) / 1000000.0d)));
        }

        public void g(Call call, InetSocketAddress inetSocketAddress, Proxy proxy) {
            this.f3564f = System.nanoTime();
        }

        public void h(Call call, String str, List<InetAddress> list) {
            this.f3561c.put("fl.dns.time", Long.toString((long) (((double) (System.nanoTime() - this.f3563e)) / 1000000.0d)));
        }

        public void i(Call call, String str) {
            this.f3563e = System.nanoTime();
        }

        public void j(Call call, long j7) {
            this.f3565g = System.nanoTime();
        }

        public void k(Call call) {
        }

        public void l(Call call, Request request) {
            if (!this.f3566h) {
                this.f3566h = true;
                this.f3561c.put("fl.request.url", request.url().toString());
            }
            this.f3565g = System.nanoTime();
        }

        public void m(Call call) {
        }

        public void n(Call call, long j7) {
            if (b()) {
                this.f3561c.put("fl.redirect.time", Long.toString((long) (((double) (System.nanoTime() - this.f3562d)) / 1000000.0d)));
            }
            this.f3561c.put("fl.transfer.time", Long.toString((long) (((double) (System.nanoTime() - this.f3565g)) / 1000000.0d)));
        }

        public void o(Call call) {
        }

        public void p(Call call, Response response) {
            int code = response.code();
            String httpUrl = response.request().url().toString();
            this.f3561c.put("fl.response.code", Integer.toString(code));
            this.f3561c.put("fl.response.url", httpUrl);
            this.f3561c.put("fl.response.time", Long.toString((long) (((double) (System.nanoTime() - this.f3565g)) / 1000000.0d)));
        }

        public void q(Call call) {
        }

        public void r(String str) {
            this.f3560b = str;
        }
    }

    public static class b implements Interceptor {

        /* renamed from: a  reason: collision with root package name */
        private String f3568a;

        public b(String str) {
            s2.c();
            this.f3568a = str;
        }

        @NonNull
        public Response a(@NonNull Interceptor.Chain chain) throws IOException {
            Request request = chain.request();
            long nanoTime = System.nanoTime();
            String httpUrl = request.url().toString();
            e2.c(3, "HttpLogging", "Sending request for ".concat(String.valueOf(httpUrl)));
            Response proceed = chain.proceed(request);
            long nanoTime2 = (long) (((double) (System.nanoTime() - nanoTime)) / 1000000.0d);
            int code = proceed.code();
            String httpUrl2 = proceed.request().url().toString();
            e2.c(3, "HttpLogging", "Received response " + code + " for " + httpUrl2 + " in " + nanoTime2 + " ms");
            q2.a(this.f3568a, httpUrl, code, httpUrl2, nanoTime2);
            return proceed;
        }

        public void b(String str) {
            this.f3568a = str;
        }
    }

    public static void a(String str, String str2, int i7, String str3, long j7) {
        if (s2.d()) {
            HashMap hashMap = new HashMap();
            hashMap.put("fl.id", str);
            hashMap.put("fl.request.url", str2);
            hashMap.put("fl.response.code", Integer.toString(i7));
            hashMap.put("fl.response.url", str3);
            hashMap.put("fl.total.time", Long.toString(j7));
            e2.n("HttpLogging", "Logging parameters: ".concat(String.valueOf(hashMap)));
            a.x().u("Flurry.HTTPRequestTime", o5.a.PERFORMANCE, hashMap);
        }
    }
}
