package com.flurry.sdk;

import android.net.TrafficStats;
import android.os.Build;
import android.text.TextUtils;
import com.flurry.sdk.i1;
import com.google.common.net.c;
import java.io.BufferedWriter;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.io.OutputStreamWriter;
import java.net.URL;
import java.util.HashMap;
import java.util.Locale;
import java.util.UUID;
import javax.net.ssl.HttpsURLConnection;

public final class s1 extends v1 {
    private static String Y5;
    private HttpsURLConnection V5;
    private String W5;
    private boolean X5;

    s1(String str) {
        this.f3781f = str;
        Y5 = "Flurry-Config/1.0 (Android " + Build.VERSION.RELEASE + "/" + Build.ID + ")";
    }

    private boolean k(String str) {
        String str2;
        if (TextUtils.isEmpty(str)) {
            str2 = "Content-Signature is empty.";
        } else {
            HashMap hashMap = new HashMap();
            String[] split = str.split(";");
            for (String str3 : split) {
                int indexOf = str3.indexOf("=");
                if (indexOf > 0) {
                    hashMap.put(str3.substring(0, indexOf), str3.substring(indexOf + 1));
                }
            }
            String str4 = (String) hashMap.get("keyid");
            this.f3784x = str4;
            if (TextUtils.isEmpty(str4)) {
                str2 = "Error to get keyid from Signature.";
            } else {
                this.f3785y = y1.f3886a.get(this.f3784x);
                e2.c(4, "HttpTransport", "Signature keyid: " + this.f3784x + ", key: " + this.f3785y);
                if (this.f3785y == null) {
                    str2 = "Unknown keyid from Signature.";
                } else {
                    String str5 = "sha256ecdsa";
                    boolean containsKey = hashMap.containsKey(str5);
                    this.X5 = containsKey;
                    if (!containsKey) {
                        str5 = "sha256rsa";
                    }
                    String str6 = (String) hashMap.get(str5);
                    this.C1 = str6;
                    if (TextUtils.isEmpty(str6)) {
                        str2 = "Error to get rsa from Signature.";
                    } else {
                        e2.c(4, "HttpTransport", "Signature rsa: " + this.C1);
                        return true;
                    }
                }
            }
        }
        e2.k("HttpTransport", str2);
        return false;
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Removed duplicated region for block: B:28:0x0114  */
    /* JADX WARNING: Removed duplicated region for block: B:30:0x0119  */
    @Override // com.flurry.sdk.v1
    public final InputStream a() throws IOException {
        Throwable th;
        OutputStream outputStream;
        BufferedWriter bufferedWriter;
        HttpsURLConnection httpsURLConnection = (HttpsURLConnection) new URL(this.f3781f).openConnection();
        this.V5 = httpsURLConnection;
        httpsURLConnection.setReadTimeout(10000);
        this.V5.setConnectTimeout(15000);
        this.V5.setRequestMethod("POST");
        this.V5.setRequestProperty(c.N, Y5);
        this.V5.setRequestProperty(c.f11583c, "application/json");
        this.V5.setDoInput(true);
        this.V5.setDoOutput(true);
        TrafficStats.setThreadStatsTag(1234);
        this.V5.connect();
        n2.b(this.V5);
        this.f3783p = UUID.randomUUID().toString().toUpperCase(Locale.ENGLISH);
        BufferedWriter bufferedWriter2 = null;
        try {
            outputStream = this.V5.getOutputStream();
            try {
                bufferedWriter = new BufferedWriter(new OutputStreamWriter(outputStream, "UTF-8"));
            } catch (Throwable th2) {
                th = th2;
                if (bufferedWriter2 != null) {
                }
                if (outputStream != null) {
                }
                throw th;
            }
            try {
                bufferedWriter.write(u1.a(this.f3783p));
                bufferedWriter.close();
                if (outputStream != null) {
                    outputStream.close();
                }
                int responseCode = this.V5.getResponseCode();
                if (responseCode < 400) {
                    this.W5 = this.V5.getHeaderField("Content-Signature");
                    this.C2 = this.V5.getHeaderField(c.f11605j0);
                    e2.c(4, "HttpTransport", "Content-Signature: " + this.W5 + ", ETag: " + this.C2);
                    if (responseCode == 304) {
                        if (b(this.f3783p)) {
                            this.f3782g = i1.f3246d;
                            e2.e("HttpTransport", "Empty 304 payload; No Change.");
                        } else {
                            this.f3782g = new i1(i1.a.AUTHENTICATE, "GUID Signature Error.");
                            e2.k("HttpTransport", "Authentication error: " + this.f3782g);
                        }
                    }
                    return this.V5.getInputStream();
                }
                throw new IOException("Server response code is ".concat(String.valueOf(responseCode)));
            } catch (Throwable th3) {
                th = th3;
                bufferedWriter2 = bufferedWriter;
                if (bufferedWriter2 != null) {
                }
                if (outputStream != null) {
                }
                throw th;
            }
        } catch (Throwable th4) {
            th = th4;
            outputStream = null;
            if (bufferedWriter2 != null) {
                bufferedWriter2.close();
            }
            if (outputStream != null) {
                outputStream.close();
            }
            throw th;
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.flurry.sdk.v1
    public final boolean b(String str) {
        if (!k(this.W5)) {
            return false;
        }
        if (this.X5 ? x1.k(this.f3785y, str, this.C1) : x1.i(this.f3785y, str, this.C1)) {
            return true;
        }
        e2.k("HttpTransport", "Incorrect signature for response.");
        return false;
    }

    /* access modifiers changed from: protected */
    @Override // com.flurry.sdk.v1
    public final void c() {
        HttpsURLConnection httpsURLConnection = this.V5;
        if (httpsURLConnection != null) {
            httpsURLConnection.disconnect();
        }
    }

    @Override // com.flurry.sdk.v1
    public final boolean d() {
        return "https://cfg.flurry.com/sdk/v1/config".equals(this.f3781f);
    }
}
