package com.google.android.datatransport.cct;

import android.content.Context;
import android.content.pm.PackageManager;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.os.Build;
import android.telephony.TelephonyManager;
import androidx.annotation.Nullable;
import androidx.annotation.VisibleForTesting;
import com.google.android.datatransport.cct.internal.j;
import com.google.android.datatransport.cct.internal.k;
import com.google.android.datatransport.cct.internal.l;
import com.google.android.datatransport.cct.internal.m;
import com.google.android.datatransport.cct.internal.o;
import com.google.android.datatransport.cct.internal.p;
import com.google.android.datatransport.runtime.backends.g;
import com.google.android.datatransport.runtime.backends.n;
import com.google.android.datatransport.runtime.h;
import com.google.android.datatransport.runtime.i;
import com.google.common.net.c;
import com.google.firebase.iid.z;
import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.io.OutputStreamWriter;
import java.net.ConnectException;
import java.net.HttpURLConnection;
import java.net.MalformedURLException;
import java.net.URL;
import java.net.UnknownHostException;
import java.nio.charset.Charset;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.HashMap;
import java.util.List;
import java.util.Locale;
import java.util.Map;
import java.util.TimeZone;
import java.util.zip.GZIPInputStream;
import java.util.zip.GZIPOutputStream;

/* access modifiers changed from: package-private */
public final class d implements n {
    private static final String A = "fingerprint";
    private static final String B = "locale";
    private static final String C = "country";
    private static final String D = "mcc_mnc";
    private static final String E = "tz-offset";
    private static final String F = "application_build";

    /* renamed from: h  reason: collision with root package name */
    private static final String f3961h = "CctTransportBackend";

    /* renamed from: i  reason: collision with root package name */
    private static final int f3962i = 30000;

    /* renamed from: j  reason: collision with root package name */
    private static final int f3963j = 40000;

    /* renamed from: k  reason: collision with root package name */
    private static final int f3964k = -1;

    /* renamed from: l  reason: collision with root package name */
    private static final String f3965l = "Accept-Encoding";

    /* renamed from: m  reason: collision with root package name */
    private static final String f3966m = "Content-Encoding";

    /* renamed from: n  reason: collision with root package name */
    private static final String f3967n = "gzip";

    /* renamed from: o  reason: collision with root package name */
    private static final String f3968o = "Content-Type";

    /* renamed from: p  reason: collision with root package name */
    static final String f3969p = "X-Goog-Api-Key";

    /* renamed from: q  reason: collision with root package name */
    private static final String f3970q = "application/json";
    @VisibleForTesting

    /* renamed from: r  reason: collision with root package name */
    static final String f3971r = "net-type";
    @VisibleForTesting

    /* renamed from: s  reason: collision with root package name */
    static final String f3972s = "mobile-subtype";

    /* renamed from: t  reason: collision with root package name */
    private static final String f3973t = "sdk-version";

    /* renamed from: u  reason: collision with root package name */
    private static final String f3974u = "model";

    /* renamed from: v  reason: collision with root package name */
    private static final String f3975v = "hardware";

    /* renamed from: w  reason: collision with root package name */
    private static final String f3976w = "device";

    /* renamed from: x  reason: collision with root package name */
    private static final String f3977x = "product";

    /* renamed from: y  reason: collision with root package name */
    private static final String f3978y = "os-uild";

    /* renamed from: z  reason: collision with root package name */
    private static final String f3979z = "manufacturer";

    /* renamed from: a  reason: collision with root package name */
    private final com.google.firebase.encoders.a f3980a;

    /* renamed from: b  reason: collision with root package name */
    private final ConnectivityManager f3981b;

    /* renamed from: c  reason: collision with root package name */
    private final Context f3982c;

    /* renamed from: d  reason: collision with root package name */
    final URL f3983d;

    /* renamed from: e  reason: collision with root package name */
    private final com.google.android.datatransport.runtime.time.a f3984e;

    /* renamed from: f  reason: collision with root package name */
    private final com.google.android.datatransport.runtime.time.a f3985f;

    /* renamed from: g  reason: collision with root package name */
    private final int f3986g;

    /* access modifiers changed from: package-private */
    public static final class a {

        /* renamed from: a  reason: collision with root package name */
        final URL f3987a;

        /* renamed from: b  reason: collision with root package name */
        final j f3988b;
        @Nullable

        /* renamed from: c  reason: collision with root package name */
        final String f3989c;

        a(URL url, j jVar, @Nullable String str) {
            this.f3987a = url;
            this.f3988b = jVar;
            this.f3989c = str;
        }

        /* access modifiers changed from: package-private */
        public a a(URL url) {
            return new a(url, this.f3988b, this.f3989c);
        }
    }

    /* access modifiers changed from: package-private */
    public static final class b {

        /* renamed from: a  reason: collision with root package name */
        final int f3990a;
        @Nullable

        /* renamed from: b  reason: collision with root package name */
        final URL f3991b;

        /* renamed from: c  reason: collision with root package name */
        final long f3992c;

        b(int i7, @Nullable URL url, long j7) {
            this.f3990a = i7;
            this.f3991b = url;
            this.f3992c = j7;
        }
    }

    d(Context context, com.google.android.datatransport.runtime.time.a aVar, com.google.android.datatransport.runtime.time.a aVar2) {
        this(context, aVar, aVar2, f3963j);
    }

    /* access modifiers changed from: private */
    public b d(a aVar) throws IOException {
        l.a.b(f3961h, "Making request to: %s", aVar.f3987a);
        HttpURLConnection httpURLConnection = (HttpURLConnection) aVar.f3987a.openConnection();
        httpURLConnection.setConnectTimeout(f3962i);
        httpURLConnection.setReadTimeout(this.f3986g);
        httpURLConnection.setDoOutput(true);
        httpURLConnection.setInstanceFollowRedirects(false);
        httpURLConnection.setRequestMethod("POST");
        httpURLConnection.setRequestProperty(c.N, String.format("datatransport/%s android/", i.a.f19063f));
        httpURLConnection.setRequestProperty("Content-Encoding", f3967n);
        httpURLConnection.setRequestProperty("Content-Type", f3970q);
        httpURLConnection.setRequestProperty("Accept-Encoding", f3967n);
        String str = aVar.f3989c;
        if (str != null) {
            httpURLConnection.setRequestProperty(f3969p, str);
        }
        OutputStream outputStream = httpURLConnection.getOutputStream();
        try {
            GZIPOutputStream gZIPOutputStream = new GZIPOutputStream(outputStream);
            try {
                this.f3980a.a(aVar.f3988b, new BufferedWriter(new OutputStreamWriter(gZIPOutputStream)));
                gZIPOutputStream.close();
                if (outputStream != null) {
                    try {
                        outputStream.close();
                    } catch (ConnectException | UnknownHostException e7) {
                        l.a.e(f3961h, "Couldn't open connection, returning with 500", e7);
                        return new b(z.f14061f, null, 0);
                    } catch (com.google.firebase.encoders.c | IOException e8) {
                        l.a.e(f3961h, "Couldn't encode request, returning with 400", e8);
                        return new b(400, null, 0);
                    }
                }
                int responseCode = httpURLConnection.getResponseCode();
                l.a.g(f3961h, "Status Code: " + responseCode);
                l.a.g(f3961h, "Content-Type: " + httpURLConnection.getHeaderField("Content-Type"));
                l.a.g(f3961h, "Content-Encoding: " + httpURLConnection.getHeaderField("Content-Encoding"));
                if (responseCode == 302 || responseCode == 301 || responseCode == 307) {
                    return new b(responseCode, new URL(httpURLConnection.getHeaderField(c.f11617n0)), 0);
                }
                if (responseCode != 200) {
                    return new b(responseCode, null, 0);
                }
                InputStream inputStream = httpURLConnection.getInputStream();
                try {
                    InputStream l7 = l(inputStream, httpURLConnection.getHeaderField("Content-Encoding"));
                    try {
                        b bVar = new b(responseCode, null, com.google.android.datatransport.cct.internal.n.b(new BufferedReader(new InputStreamReader(l7))).c());
                        if (l7 != null) {
                            l7.close();
                        }
                        if (inputStream != null) {
                            inputStream.close();
                        }
                        return bVar;
                    } catch (Throwable unused) {
                    }
                } catch (Throwable unused2) {
                }
            } catch (Throwable unused3) {
            }
            throw th;
            throw th;
            throw th;
            throw th;
        } catch (Throwable unused4) {
        }
    }

    private static int e(NetworkInfo networkInfo) {
        o.b bVar;
        if (networkInfo == null) {
            bVar = o.b.UNKNOWN_MOBILE_SUBTYPE;
        } else {
            int subtype = networkInfo.getSubtype();
            if (subtype == -1) {
                bVar = o.b.COMBINED;
            } else if (o.b.a(subtype) != null) {
                return subtype;
            } else {
                return 0;
            }
        }
        return bVar.b();
    }

    private static int f(NetworkInfo networkInfo) {
        return networkInfo == null ? o.c.NONE.b() : networkInfo.getType();
    }

    private static int g(Context context) {
        try {
            return context.getPackageManager().getPackageInfo(context.getPackageName(), 0).versionCode;
        } catch (PackageManager.NameNotFoundException e7) {
            l.a.e(f3961h, "Unable to find version code for package", e7);
            return -1;
        }
    }

    private j h(g gVar) {
        l.a aVar;
        HashMap hashMap = new HashMap();
        for (i iVar : gVar.c()) {
            String l7 = iVar.l();
            if (!hashMap.containsKey(l7)) {
                ArrayList arrayList = new ArrayList();
                arrayList.add(iVar);
                hashMap.put(l7, arrayList);
            } else {
                ((List) hashMap.get(l7)).add(iVar);
            }
        }
        ArrayList arrayList2 = new ArrayList();
        for (Map.Entry entry : hashMap.entrySet()) {
            i iVar2 = (i) ((List) entry.getValue()).get(0);
            m.a b7 = m.a().f(p.DEFAULT).g(this.f3985f.a()).h(this.f3984e.a()).b(k.a().c(k.b.ANDROID_FIREBASE).b(com.google.android.datatransport.cct.internal.a.a().m(Integer.valueOf(iVar2.g(f3973t))).j(iVar2.b(f3974u)).f(iVar2.b(f3975v)).d(iVar2.b(f3976w)).l(iVar2.b(f3977x)).k(iVar2.b(f3978y)).h(iVar2.b(f3979z)).e(iVar2.b(A)).c(iVar2.b(C)).g(iVar2.b(B)).i(iVar2.b(D)).b(iVar2.b(F)).a()).a());
            try {
                b7.i(Integer.parseInt((String) entry.getKey()));
            } catch (NumberFormatException unused) {
                b7.j((String) entry.getKey());
            }
            ArrayList arrayList3 = new ArrayList();
            for (i iVar3 : (List) entry.getValue()) {
                h e7 = iVar3.e();
                com.google.android.datatransport.c b8 = e7.b();
                if (b8.equals(com.google.android.datatransport.c.b("proto"))) {
                    aVar = l.j(e7.a());
                } else if (b8.equals(com.google.android.datatransport.c.b("json"))) {
                    aVar = l.i(new String(e7.a(), Charset.forName("UTF-8")));
                } else {
                    l.a.h(f3961h, "Received event of unsupported encoding %s. Skipping...", b8);
                }
                aVar.c(iVar3.f()).d(iVar3.m()).h(iVar3.h(E)).e(o.a().c(o.c.a(iVar3.g(f3971r))).b(o.b.a(iVar3.g(f3972s))).a());
                if (iVar3.d() != null) {
                    aVar.b(iVar3.d());
                }
                arrayList3.add(aVar.a());
            }
            b7.c(arrayList3);
            arrayList2.add(b7.a());
        }
        return j.a(arrayList2);
    }

    private static TelephonyManager i(Context context) {
        return (TelephonyManager) context.getSystemService("phone");
    }

    @VisibleForTesting
    static long j() {
        Calendar.getInstance();
        return (long) (TimeZone.getDefault().getOffset(Calendar.getInstance().getTimeInMillis()) / 1000);
    }

    static /* synthetic */ a k(a aVar, b bVar) {
        URL url = bVar.f3991b;
        if (url == null) {
            return null;
        }
        l.a.b(f3961h, "Following redirect to: %s", url);
        return aVar.a(bVar.f3991b);
    }

    private static InputStream l(InputStream inputStream, String str) throws IOException {
        return f3967n.equals(str) ? new GZIPInputStream(inputStream) : inputStream;
    }

    private static URL m(String str) {
        try {
            return new URL(str);
        } catch (MalformedURLException e7) {
            throw new IllegalArgumentException("Invalid url: " + str, e7);
        }
    }

    @Override // com.google.android.datatransport.runtime.backends.n
    public com.google.android.datatransport.runtime.backends.h a(g gVar) {
        j h7 = h(gVar);
        URL url = this.f3983d;
        String str = null;
        if (gVar.d() != null) {
            try {
                a e7 = a.e(gVar.d());
                if (e7.f() != null) {
                    str = e7.f();
                }
                if (e7.g() != null) {
                    url = m(e7.g());
                }
            } catch (IllegalArgumentException unused) {
                return com.google.android.datatransport.runtime.backends.h.a();
            }
        }
        try {
            b bVar = (b) m.b.a(5, new a(url, h7, str), b.a(this), c.b());
            int i7 = bVar.f3990a;
            if (i7 == 200) {
                return com.google.android.datatransport.runtime.backends.h.d(bVar.f3992c);
            }
            if (i7 < 500) {
                if (i7 != 404) {
                    return com.google.android.datatransport.runtime.backends.h.a();
                }
            }
            return com.google.android.datatransport.runtime.backends.h.e();
        } catch (IOException e8) {
            l.a.e(f3961h, "Could not make request to the backend", e8);
            return com.google.android.datatransport.runtime.backends.h.e();
        }
    }

    @Override // com.google.android.datatransport.runtime.backends.n
    public i b(i iVar) {
        NetworkInfo activeNetworkInfo = this.f3981b.getActiveNetworkInfo();
        return iVar.n().a(f3973t, Build.VERSION.SDK_INT).c(f3974u, Build.MODEL).c(f3975v, Build.HARDWARE).c(f3976w, Build.DEVICE).c(f3977x, Build.PRODUCT).c(f3978y, Build.ID).c(f3979z, Build.MANUFACTURER).c(A, Build.FINGERPRINT).b(E, j()).a(f3971r, f(activeNetworkInfo)).a(f3972s, e(activeNetworkInfo)).c(C, Locale.getDefault().getCountry()).c(B, Locale.getDefault().getLanguage()).c(D, i(this.f3982c).getSimOperator()).c(F, Integer.toString(g(this.f3982c))).d();
    }

    d(Context context, com.google.android.datatransport.runtime.time.a aVar, com.google.android.datatransport.runtime.time.a aVar2, int i7) {
        this.f3980a = j.b();
        this.f3982c = context;
        this.f3981b = (ConnectivityManager) context.getSystemService("connectivity");
        this.f3983d = m(a.f3949d);
        this.f3984e = aVar2;
        this.f3985f = aVar;
        this.f3986g = i7;
    }
}
