package com.google.android.datatransport.runtime.backends;

import android.content.ComponentName;
import android.content.Context;
import android.content.pm.PackageManager;
import android.content.pm.ServiceInfo;
import android.os.Bundle;
import android.util.Log;
import androidx.annotation.Nullable;
import h4.f;
import java.lang.reflect.InvocationTargetException;
import java.util.Collections;
import java.util.HashMap;
import java.util.Map;

@f
class l implements e {

    /* renamed from: d  reason: collision with root package name */
    private static final String f4181d = "BackendRegistry";

    /* renamed from: e  reason: collision with root package name */
    private static final String f4182e = "backend:";

    /* renamed from: a  reason: collision with root package name */
    private final a f4183a;

    /* renamed from: b  reason: collision with root package name */
    private final j f4184b;

    /* renamed from: c  reason: collision with root package name */
    private final Map<String, n> f4185c;

    static class a {

        /* renamed from: a  reason: collision with root package name */
        private final Context f4186a;

        /* renamed from: b  reason: collision with root package name */
        private Map<String, String> f4187b = null;

        a(Context context) {
            this.f4186a = context;
        }

        private Map<String, String> a(Context context) {
            Bundle d7 = d(context);
            if (d7 == null) {
                Log.w(l.f4181d, "Could not retrieve metadata, returning empty list of transport backends.");
                return Collections.emptyMap();
            }
            HashMap hashMap = new HashMap();
            for (String str : d7.keySet()) {
                Object obj = d7.get(str);
                if ((obj instanceof String) && str.startsWith(l.f4182e)) {
                    for (String str2 : ((String) obj).split(",", -1)) {
                        String trim = str2.trim();
                        if (!trim.isEmpty()) {
                            hashMap.put(trim, str.substring(8));
                        }
                    }
                }
            }
            return hashMap;
        }

        private Map<String, String> c() {
            if (this.f4187b == null) {
                this.f4187b = a(this.f4186a);
            }
            return this.f4187b;
        }

        private static Bundle d(Context context) {
            try {
                PackageManager packageManager = context.getPackageManager();
                if (packageManager == null) {
                    Log.w(l.f4181d, "Context has no PackageManager.");
                    return null;
                }
                ServiceInfo serviceInfo = packageManager.getServiceInfo(new ComponentName(context, TransportBackendDiscovery.class), 128);
                if (serviceInfo != null) {
                    return serviceInfo.metaData;
                }
                Log.w(l.f4181d, "TransportBackendDiscovery has no service info.");
                return null;
            } catch (PackageManager.NameNotFoundException unused) {
                Log.w(l.f4181d, "Application info not found.");
                return null;
            }
        }

        /* access modifiers changed from: package-private */
        @Nullable
        public d b(String str) {
            String str2;
            Throwable e7;
            String str3;
            Throwable e8;
            String str4 = c().get(str);
            if (str4 == null) {
                return null;
            }
            try {
                return (d) Class.forName(str4).asSubclass(d.class).getDeclaredConstructor(new Class[0]).newInstance(new Object[0]);
            } catch (ClassNotFoundException e9) {
                e7 = e9;
                str2 = String.format("Class %s is not found.", str4);
                Log.w(l.f4181d, str2, e7);
                return null;
            } catch (IllegalAccessException e10) {
                e7 = e10;
                str2 = String.format("Could not instantiate %s.", str4);
                Log.w(l.f4181d, str2, e7);
                return null;
            } catch (InstantiationException e11) {
                e7 = e11;
                str2 = String.format("Could not instantiate %s.", str4);
                Log.w(l.f4181d, str2, e7);
                return null;
            } catch (NoSuchMethodException e12) {
                e8 = e12;
                str3 = String.format("Could not instantiate %s", str4);
                Log.w(l.f4181d, str3, e8);
                return null;
            } catch (InvocationTargetException e13) {
                e8 = e13;
                str3 = String.format("Could not instantiate %s", str4);
                Log.w(l.f4181d, str3, e8);
                return null;
            }
        }
    }

    @h4.a
    l(Context context, j jVar) {
        this(new a(context), jVar);
    }

    @Override // com.google.android.datatransport.runtime.backends.e
    @Nullable
    public synchronized n get(String str) {
        if (this.f4185c.containsKey(str)) {
            return this.f4185c.get(str);
        }
        d b7 = this.f4183a.b(str);
        if (b7 == null) {
            return null;
        }
        n create = b7.create(this.f4184b.a(str));
        this.f4185c.put(str, create);
        return create;
    }

    l(a aVar, j jVar) {
        this.f4185c = new HashMap();
        this.f4183a = aVar;
        this.f4184b = jVar;
    }
}
