package com.google.android.datatransport.runtime.scheduling.jobscheduling;

import android.app.job.JobInfo;
import android.app.job.JobScheduler;
import android.content.ComponentName;
import android.content.Context;
import android.os.PersistableBundle;
import android.util.Base64;
import androidx.annotation.RequiresApi;
import androidx.annotation.VisibleForTesting;
import com.google.android.datatransport.runtime.o;
import com.google.android.datatransport.runtime.scheduling.persistence.c;
import java.nio.ByteBuffer;
import java.nio.charset.Charset;
import java.util.zip.Adler32;
import l.a;

@RequiresApi(api = 21)
public class e implements s {

    /* renamed from: d  reason: collision with root package name */
    private static final String f4292d = "JobInfoScheduler";

    /* renamed from: e  reason: collision with root package name */
    static final String f4293e = "attemptNumber";

    /* renamed from: f  reason: collision with root package name */
    static final String f4294f = "backendName";

    /* renamed from: g  reason: collision with root package name */
    static final String f4295g = "priority";

    /* renamed from: h  reason: collision with root package name */
    static final String f4296h = "extras";

    /* renamed from: a  reason: collision with root package name */
    private final Context f4297a;

    /* renamed from: b  reason: collision with root package name */
    private final c f4298b;

    /* renamed from: c  reason: collision with root package name */
    private final g f4299c;

    public e(Context context, c cVar, g gVar) {
        this.f4297a = context;
        this.f4298b = cVar;
        this.f4299c = gVar;
    }

    private boolean c(JobScheduler jobScheduler, int i7, int i8) {
        for (JobInfo jobInfo : jobScheduler.getAllPendingJobs()) {
            int i9 = jobInfo.getExtras().getInt(f4293e);
            if (jobInfo.getId() == i7) {
                return i9 >= i8;
            }
        }
        return false;
    }

    @Override // com.google.android.datatransport.runtime.scheduling.jobscheduling.s
    public void a(o oVar, int i7) {
        ComponentName componentName = new ComponentName(this.f4297a, JobInfoSchedulerService.class);
        JobScheduler jobScheduler = (JobScheduler) this.f4297a.getSystemService("jobscheduler");
        int b7 = b(oVar);
        if (c(jobScheduler, b7, i7)) {
            a.b(f4292d, "Upload for context %s is already scheduled. Returning...", oVar);
            return;
        }
        long E = this.f4298b.E(oVar);
        JobInfo.Builder c7 = this.f4299c.c(new JobInfo.Builder(b7, componentName), oVar.d(), E, i7);
        PersistableBundle persistableBundle = new PersistableBundle();
        persistableBundle.putInt(f4293e, i7);
        persistableBundle.putString(f4294f, oVar.b());
        persistableBundle.putInt("priority", o.a.a(oVar.d()));
        if (oVar.c() != null) {
            persistableBundle.putString(f4296h, Base64.encodeToString(oVar.c(), 0));
        }
        c7.setExtras(persistableBundle);
        a.d(f4292d, "Scheduling upload for context %s with jobId=%d in %dms(Backend next call timestamp %d). Attempt %d", oVar, Integer.valueOf(b7), Long.valueOf(this.f4299c.h(oVar.d(), E, i7)), Long.valueOf(E), Integer.valueOf(i7));
        jobScheduler.schedule(c7.build());
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public int b(o oVar) {
        Adler32 adler32 = new Adler32();
        adler32.update(this.f4297a.getPackageName().getBytes(Charset.forName("UTF-8")));
        adler32.update(oVar.b().getBytes(Charset.forName("UTF-8")));
        adler32.update(ByteBuffer.allocate(4).putInt(o.a.a(oVar.d())).array());
        if (oVar.c() != null) {
            adler32.update(oVar.c());
        }
        return (int) adler32.getValue();
    }
}
