package com.google.android.datatransport.runtime.scheduling.persistence;

import android.content.ContentValues;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteDatabaseLockedException;
import android.os.SystemClock;
import android.util.Base64;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.annotation.VisibleForTesting;
import androidx.annotation.WorkerThread;
import com.google.android.datatransport.runtime.i;
import com.google.android.datatransport.runtime.o;
import com.google.android.datatransport.runtime.time.h;
import com.google.firebase.messaging.c;
import h4.f;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Iterator;
import java.util.List;
import java.util.ListIterator;
import java.util.Map;
import java.util.Set;
import n.b;

@f
@WorkerThread
public class c0 implements c, n.b {
    static final int C1 = 16;
    private static final int C2 = 50;
    private static final com.google.android.datatransport.c U5 = com.google.android.datatransport.c.b("proto");

    /* renamed from: y  reason: collision with root package name */
    private static final String f4368y = "SQLiteEventStore";

    /* renamed from: f  reason: collision with root package name */
    private final i0 f4369f;

    /* renamed from: g  reason: collision with root package name */
    private final com.google.android.datatransport.runtime.time.a f4370g;

    /* renamed from: p  reason: collision with root package name */
    private final com.google.android.datatransport.runtime.time.a f4371p;

    /* renamed from: x  reason: collision with root package name */
    private final d f4372x;

    /* access modifiers changed from: package-private */
    public interface b<T, U> {
        U apply(T t7);
    }

    /* access modifiers changed from: private */
    public static class c {

        /* renamed from: a  reason: collision with root package name */
        final String f4373a;

        /* renamed from: b  reason: collision with root package name */
        final String f4374b;

        private c(String str, String str2) {
            this.f4373a = str;
            this.f4374b = str2;
        }
    }

    /* access modifiers changed from: package-private */
    public interface d<T> {
        T a();
    }

    @h4.a
    c0(@h com.google.android.datatransport.runtime.time.a aVar, @com.google.android.datatransport.runtime.time.b com.google.android.datatransport.runtime.time.a aVar2, d dVar, i0 i0Var) {
        this.f4369f = i0Var;
        this.f4370g = aVar;
        this.f4371p = aVar2;
        this.f4372x = dVar;
    }

    static /* synthetic */ Object B(c0 c0Var, List list, o oVar, Cursor cursor) {
        while (cursor.moveToNext()) {
            boolean z7 = false;
            long j7 = cursor.getLong(0);
            if (cursor.getInt(7) != 0) {
                z7 = true;
            }
            i.a k7 = i.a().j(cursor.getString(1)).i(cursor.getLong(2)).k(cursor.getLong(3));
            k7.h(z7 ? new com.google.android.datatransport.runtime.h(Q(cursor.getString(4)), cursor.getBlob(5)) : new com.google.android.datatransport.runtime.h(Q(cursor.getString(4)), c0Var.O(j7)));
            if (!cursor.isNull(6)) {
                k7.g(Integer.valueOf(cursor.getInt(6)));
            }
            list.add(i.a(j7, oVar, k7.d()));
        }
        return null;
    }

    static /* synthetic */ Object D(Map map, Cursor cursor) {
        while (cursor.moveToNext()) {
            long j7 = cursor.getLong(0);
            Set set = (Set) map.get(Long.valueOf(j7));
            if (set == null) {
                set = new HashSet();
                map.put(Long.valueOf(j7), set);
            }
            set.add(new c(cursor.getString(1), cursor.getString(2)));
        }
        return null;
    }

    static /* synthetic */ Long G(c0 c0Var, o oVar, i iVar, SQLiteDatabase sQLiteDatabase) {
        if (c0Var.j()) {
            return -1L;
        }
        long d7 = c0Var.d(sQLiteDatabase, oVar);
        int e7 = c0Var.f4372x.e();
        byte[] a8 = iVar.e().a();
        boolean z7 = a8.length <= e7;
        ContentValues contentValues = new ContentValues();
        contentValues.put("context_id", Long.valueOf(d7));
        contentValues.put("transport_name", iVar.l());
        contentValues.put("timestamp_ms", Long.valueOf(iVar.f()));
        contentValues.put("uptime_ms", Long.valueOf(iVar.m()));
        contentValues.put("payload_encoding", iVar.e().b().a());
        contentValues.put("code", iVar.d());
        contentValues.put("num_attempts", (Integer) 0);
        contentValues.put("inline", Boolean.valueOf(z7));
        contentValues.put("payload", z7 ? a8 : new byte[0]);
        long insert = sQLiteDatabase.insert("events", null, contentValues);
        if (!z7) {
            int ceil = (int) Math.ceil(((double) a8.length) / ((double) e7));
            for (int i7 = 1; i7 <= ceil; i7++) {
                byte[] copyOfRange = Arrays.copyOfRange(a8, (i7 - 1) * e7, Math.min(i7 * e7, a8.length));
                ContentValues contentValues2 = new ContentValues();
                contentValues2.put("event_id", Long.valueOf(insert));
                contentValues2.put("sequence_num", Integer.valueOf(i7));
                contentValues2.put("bytes", copyOfRange);
                sQLiteDatabase.insert("event_payloads", null, contentValues2);
            }
        }
        for (Map.Entry<String, String> entry : iVar.i().entrySet()) {
            ContentValues contentValues3 = new ContentValues();
            contentValues3.put("event_id", Long.valueOf(insert));
            contentValues3.put("name", entry.getKey());
            contentValues3.put("value", entry.getValue());
            sQLiteDatabase.insert("event_metadata", null, contentValues3);
        }
        return Long.valueOf(insert);
    }

    static /* synthetic */ byte[] I(Cursor cursor) {
        ArrayList arrayList = new ArrayList();
        int i7 = 0;
        while (cursor.moveToNext()) {
            byte[] blob = cursor.getBlob(0);
            arrayList.add(blob);
            i7 += blob.length;
        }
        byte[] bArr = new byte[i7];
        int i8 = 0;
        for (int i9 = 0; i9 < arrayList.size(); i9++) {
            byte[] bArr2 = (byte[]) arrayList.get(i9);
            System.arraycopy(bArr2, 0, bArr, i8, bArr2.length);
            i8 += bArr2.length;
        }
        return bArr;
    }

    static /* synthetic */ Object J(String str, SQLiteDatabase sQLiteDatabase) {
        sQLiteDatabase.compileStatement(str).execute();
        sQLiteDatabase.compileStatement("DELETE FROM events WHERE num_attempts >= 16").execute();
        return null;
    }

    static /* synthetic */ Object K(long j7, o oVar, SQLiteDatabase sQLiteDatabase) {
        ContentValues contentValues = new ContentValues();
        contentValues.put("next_request_ms", Long.valueOf(j7));
        if (sQLiteDatabase.update("transport_contexts", contentValues, "backend_name = ? and priority = ?", new String[]{oVar.b(), String.valueOf(o.a.a(oVar.d()))}) < 1) {
            contentValues.put("backend_name", oVar.b());
            contentValues.put(c.b.f14461d, Integer.valueOf(o.a.a(oVar.d())));
            sQLiteDatabase.insert("transport_contexts", null, contentValues);
        }
        return null;
    }

    /* access modifiers changed from: private */
    public List<i> L(SQLiteDatabase sQLiteDatabase, o oVar) {
        ArrayList arrayList = new ArrayList();
        Long h7 = h(sQLiteDatabase, oVar);
        if (h7 == null) {
            return arrayList;
        }
        S(sQLiteDatabase.query("events", new String[]{"_id", "transport_name", "timestamp_ms", "uptime_ms", "payload_encoding", "payload", "code", "inline"}, "context_id = ?", new String[]{h7.toString()}, null, null, null, String.valueOf(this.f4372x.d())), o.a(this, arrayList, oVar));
        return arrayList;
    }

    private Map<Long, Set<c>> M(SQLiteDatabase sQLiteDatabase, List<i> list) {
        HashMap hashMap = new HashMap();
        StringBuilder sb = new StringBuilder("event_id IN (");
        for (int i7 = 0; i7 < list.size(); i7++) {
            sb.append(list.get(i7).c());
            if (i7 < list.size() - 1) {
                sb.append(',');
            }
        }
        sb.append(')');
        S(sQLiteDatabase.query("event_metadata", new String[]{"event_id", "name", "value"}, sb.toString(), null, null, null, null), q.a(hashMap));
        return hashMap;
    }

    private static byte[] N(@Nullable String str) {
        if (str == null) {
            return null;
        }
        return Base64.decode(str, 0);
    }

    private byte[] O(long j7) {
        return (byte[]) S(f().query("event_payloads", new String[]{"bytes"}, "event_id = ?", new String[]{String.valueOf(j7)}, null, null, "sequence_num"), p.a());
    }

    private <T> T P(d<T> dVar, b<Throwable, T> bVar) {
        long a8 = this.f4371p.a();
        while (true) {
            try {
                return dVar.a();
            } catch (SQLiteDatabaseLockedException e7) {
                if (this.f4371p.a() >= ((long) this.f4372x.b()) + a8) {
                    return bVar.apply(e7);
                }
                SystemClock.sleep(50);
            }
        }
    }

    private static com.google.android.datatransport.c Q(@Nullable String str) {
        return str == null ? U5 : com.google.android.datatransport.c.b(str);
    }

    private static String R(Iterable<i> iterable) {
        StringBuilder sb = new StringBuilder("(");
        Iterator<i> it = iterable.iterator();
        while (it.hasNext()) {
            sb.append(it.next().c());
            if (it.hasNext()) {
                sb.append(',');
            }
        }
        sb.append(')');
        return sb.toString();
    }

    private static <T> T S(Cursor cursor, b<Cursor, T> bVar) {
        try {
            return bVar.apply(cursor);
        } finally {
            cursor.close();
        }
    }

    private void c(SQLiteDatabase sQLiteDatabase) {
        P(r.b(sQLiteDatabase), s.a());
    }

    private long d(SQLiteDatabase sQLiteDatabase, o oVar) {
        Long h7 = h(sQLiteDatabase, oVar);
        if (h7 != null) {
            return h7.longValue();
        }
        ContentValues contentValues = new ContentValues();
        contentValues.put("backend_name", oVar.b());
        contentValues.put(c.b.f14461d, Integer.valueOf(o.a.a(oVar.d())));
        contentValues.put("next_request_ms", (Integer) 0);
        if (oVar.c() != null) {
            contentValues.put("extras", Base64.encodeToString(oVar.c(), 0));
        }
        return sQLiteDatabase.insert("transport_contexts", null, contentValues);
    }

    private long g() {
        return f().compileStatement("PRAGMA page_count").simpleQueryForLong();
    }

    private long getPageSize() {
        return f().compileStatement("PRAGMA page_size").simpleQueryForLong();
    }

    @Nullable
    private Long h(SQLiteDatabase sQLiteDatabase, o oVar) {
        StringBuilder sb = new StringBuilder("backend_name = ? and priority = ?");
        ArrayList arrayList = new ArrayList(Arrays.asList(oVar.b(), String.valueOf(o.a.a(oVar.d()))));
        if (oVar.c() != null) {
            sb.append(" and extras = ?");
            arrayList.add(Base64.encodeToString(oVar.c(), 0));
        }
        return (Long) S(sQLiteDatabase.query("transport_contexts", new String[]{"_id"}, sb.toString(), (String[]) arrayList.toArray(new String[0]), null, null, null), y.a());
    }

    private <T> T i(b<SQLiteDatabase, T> bVar) {
        SQLiteDatabase f7 = f();
        f7.beginTransaction();
        try {
            T apply = bVar.apply(f7);
            f7.setTransactionSuccessful();
            return apply;
        } finally {
            f7.endTransaction();
        }
    }

    private boolean j() {
        return g() * getPageSize() >= this.f4372x.f();
    }

    private List<i> k(List<i> list, Map<Long, Set<c>> map) {
        ListIterator<i> listIterator = list.listIterator();
        while (listIterator.hasNext()) {
            i next = listIterator.next();
            if (map.containsKey(Long.valueOf(next.c()))) {
                i.a n7 = next.b().n();
                for (c cVar : map.get(Long.valueOf(next.c()))) {
                    n7.c(cVar.f4373a, cVar.f4374b);
                }
                listIterator.set(i.a(next.c(), next.d(), n7.d()));
            }
        }
        return list;
    }

    static /* synthetic */ Object m(SQLiteDatabase sQLiteDatabase) {
        sQLiteDatabase.delete("events", null, new String[0]);
        sQLiteDatabase.delete("transport_contexts", null, new String[0]);
        return null;
    }

    static /* synthetic */ Object o(Throwable th) {
        throw new n.a("Timed out while trying to acquire the lock.", th);
    }

    static /* synthetic */ SQLiteDatabase p(Throwable th) {
        throw new n.a("Timed out while trying to open db.", th);
    }

    static /* synthetic */ Long r(Cursor cursor) {
        return Long.valueOf(cursor.moveToNext() ? cursor.getLong(0) : 0);
    }

    static /* synthetic */ Long t(Cursor cursor) {
        if (!cursor.moveToNext()) {
            return null;
        }
        return Long.valueOf(cursor.getLong(0));
    }

    static /* synthetic */ Boolean x(c0 c0Var, o oVar, SQLiteDatabase sQLiteDatabase) {
        Long h7 = c0Var.h(sQLiteDatabase, oVar);
        if (h7 == null) {
            return Boolean.FALSE;
        }
        return (Boolean) S(c0Var.f().rawQuery("SELECT 1 FROM events WHERE context_id = ? LIMIT 1", new String[]{h7.toString()}), v.a());
    }

    static /* synthetic */ List y(Cursor cursor) {
        ArrayList arrayList = new ArrayList();
        while (cursor.moveToNext()) {
            arrayList.add(o.a().b(cursor.getString(1)).d(o.a.b(cursor.getInt(2))).c(N(cursor.getString(3))).a());
        }
        return arrayList;
    }

    static /* synthetic */ List z(SQLiteDatabase sQLiteDatabase) {
        return (List) S(sQLiteDatabase.rawQuery("SELECT distinct t._id, t.backend_name, t.priority, t.extras FROM transport_contexts AS t, events AS e WHERE e.context_id = t._id", new String[0]), u.a());
    }

    @Override // com.google.android.datatransport.runtime.scheduling.persistence.c
    @Nullable
    public i C(o oVar, i iVar) {
        l.a.d(f4368y, "Storing event with priority=%s, name=%s for destination %s", oVar.d(), iVar.l(), oVar.b());
        long longValue = ((Long) i(x.a(this, oVar, iVar))).longValue();
        if (longValue < 1) {
            return null;
        }
        return i.a(longValue, oVar, iVar);
    }

    @Override // com.google.android.datatransport.runtime.scheduling.persistence.c
    public long E(o oVar) {
        return ((Long) S(f().rawQuery("SELECT next_request_ms FROM transport_contexts WHERE backend_name = ? and priority = ?", new String[]{oVar.b(), String.valueOf(o.a.a(oVar.d()))}), a0.a())).longValue();
    }

    @Override // com.google.android.datatransport.runtime.scheduling.persistence.c
    public boolean F(o oVar) {
        return ((Boolean) i(b0.a(this, oVar))).booleanValue();
    }

    @Override // com.google.android.datatransport.runtime.scheduling.persistence.c
    public void H(Iterable<i> iterable) {
        if (iterable.iterator().hasNext()) {
            i(z.a("UPDATE events SET num_attempts = num_attempts + 1 WHERE _id in " + R(iterable)));
        }
    }

    @Override // n.b
    public <T> T a(b.a<T> aVar) {
        SQLiteDatabase f7 = f();
        c(f7);
        try {
            T execute = aVar.execute();
            f7.setTransactionSuccessful();
            return execute;
        } finally {
            f7.endTransaction();
        }
    }

    @RestrictTo({RestrictTo.Scope.TESTS})
    public void b() {
        i(n.a());
    }

    @Override // java.io.Closeable, java.lang.AutoCloseable
    public void close() {
        this.f4369f.close();
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public long e() {
        return g() * getPageSize();
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public SQLiteDatabase f() {
        i0 i0Var = this.f4369f;
        i0Var.getClass();
        return (SQLiteDatabase) P(t.b(i0Var), w.a());
    }

    @Override // com.google.android.datatransport.runtime.scheduling.persistence.c
    public int q() {
        return ((Integer) i(m.a(this.f4370g.a() - this.f4372x.c()))).intValue();
    }

    @Override // com.google.android.datatransport.runtime.scheduling.persistence.c
    public void s(Iterable<i> iterable) {
        if (iterable.iterator().hasNext()) {
            f().compileStatement("DELETE FROM events WHERE _id in " + R(iterable)).execute();
        }
    }

    @Override // com.google.android.datatransport.runtime.scheduling.persistence.c
    public Iterable<i> u(o oVar) {
        return (Iterable) i(k.a(this, oVar));
    }

    @Override // com.google.android.datatransport.runtime.scheduling.persistence.c
    public void v(o oVar, long j7) {
        i(j.a(j7, oVar));
    }

    @Override // com.google.android.datatransport.runtime.scheduling.persistence.c
    public Iterable<o> w() {
        return (Iterable) i(l.a());
    }
}
