package com.google.android.datatransport.runtime.scheduling.persistence;

import android.content.Context;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;
import h4.b;
import java.util.Arrays;
import java.util.List;

/* access modifiers changed from: package-private */
public final class i0 extends SQLiteOpenHelper {
    private static final String C1 = "CREATE TABLE transport_contexts (_id INTEGER PRIMARY KEY, backend_name TEXT NOT NULL, priority INTEGER NOT NULL, next_request_ms INTEGER NOT NULL)";
    private static final String C2 = "CREATE INDEX events_backend_id on events(context_id)";
    private static final String U5 = "CREATE UNIQUE INDEX contexts_backend_priority on transport_contexts(backend_name, priority)";
    private static final String V5 = "DROP TABLE events";
    private static final String W5 = "DROP TABLE event_metadata";
    private static final String X5 = "DROP TABLE transport_contexts";
    private static final String Y5 = "CREATE TABLE event_payloads (sequence_num INTEGER NOT NULL, event_id INTEGER NOT NULL, bytes BLOB NOT NULL,FOREIGN KEY (event_id) REFERENCES events(_id) ON DELETE CASCADE,PRIMARY KEY (sequence_num, event_id))";
    private static final String Z5 = "DROP TABLE IF EXISTS event_payloads";

    /* renamed from: a6  reason: collision with root package name */
    static int f4392a6 = 4;

    /* renamed from: b6  reason: collision with root package name */
    private static final a f4393b6;

    /* renamed from: c6  reason: collision with root package name */
    private static final a f4394c6;

    /* renamed from: d6  reason: collision with root package name */
    private static final a f4395d6;

    /* renamed from: e6  reason: collision with root package name */
    private static final a f4396e6;

    /* renamed from: f6  reason: collision with root package name */
    private static final List<a> f4397f6;

    /* renamed from: p  reason: collision with root package name */
    static final String f4398p = "com.google.android.datatransport.events";

    /* renamed from: x  reason: collision with root package name */
    private static final String f4399x = "CREATE TABLE events (_id INTEGER PRIMARY KEY, context_id INTEGER NOT NULL, transport_name TEXT NOT NULL, timestamp_ms INTEGER NOT NULL, uptime_ms INTEGER NOT NULL, payload BLOB NOT NULL, code INTEGER, num_attempts INTEGER NOT NULL,FOREIGN KEY (context_id) REFERENCES transport_contexts(_id) ON DELETE CASCADE)";

    /* renamed from: y  reason: collision with root package name */
    private static final String f4400y = "CREATE TABLE event_metadata (_id INTEGER PRIMARY KEY, event_id INTEGER NOT NULL, name TEXT NOT NULL, value TEXT NOT NULL,FOREIGN KEY (event_id) REFERENCES events(_id) ON DELETE CASCADE)";

    /* renamed from: f  reason: collision with root package name */
    private final int f4401f;

    /* renamed from: g  reason: collision with root package name */
    private boolean f4402g = false;

    public interface a {
        void a(SQLiteDatabase sQLiteDatabase);
    }

    static {
        a b7 = e0.b();
        f4393b6 = b7;
        a b8 = f0.b();
        f4394c6 = b8;
        a b9 = g0.b();
        f4395d6 = b9;
        a b10 = h0.b();
        f4396e6 = b10;
        f4397f6 = Arrays.asList(b7, b8, b9, b10);
    }

    @h4.a
    i0(Context context, @b("SQLITE_DB_NAME") String str, @b("SCHEMA_VERSION") int i7) {
        super(context, str, (SQLiteDatabase.CursorFactory) null, i7);
        this.f4401f = i7;
    }

    private void a(SQLiteDatabase sQLiteDatabase) {
        if (!this.f4402g) {
            onConfigure(sQLiteDatabase);
        }
    }

    static /* synthetic */ void b(SQLiteDatabase sQLiteDatabase) {
        sQLiteDatabase.execSQL(f4399x);
        sQLiteDatabase.execSQL(f4400y);
        sQLiteDatabase.execSQL(C1);
        sQLiteDatabase.execSQL(C2);
        sQLiteDatabase.execSQL(U5);
    }

    static /* synthetic */ void c(SQLiteDatabase sQLiteDatabase) {
        sQLiteDatabase.execSQL("ALTER TABLE transport_contexts ADD COLUMN extras BLOB");
        sQLiteDatabase.execSQL("CREATE UNIQUE INDEX contexts_backend_priority_extras on transport_contexts(backend_name, priority, extras)");
        sQLiteDatabase.execSQL("DROP INDEX contexts_backend_priority");
    }

    static /* synthetic */ void e(SQLiteDatabase sQLiteDatabase) {
        sQLiteDatabase.execSQL("ALTER TABLE events ADD COLUMN inline BOOLEAN NOT NULL DEFAULT 1");
        sQLiteDatabase.execSQL(Z5);
        sQLiteDatabase.execSQL(Y5);
    }

    private void f(SQLiteDatabase sQLiteDatabase, int i7) {
        a(sQLiteDatabase);
        g(sQLiteDatabase, 0, i7);
    }

    private void g(SQLiteDatabase sQLiteDatabase, int i7, int i8) {
        List<a> list = f4397f6;
        if (i8 <= list.size()) {
            while (i7 < i8) {
                f4397f6.get(i7).a(sQLiteDatabase);
                i7++;
            }
            return;
        }
        throw new IllegalArgumentException("Migration from " + i7 + " to " + i8 + " was requested, but cannot be performed. Only " + list.size() + " migrations are provided");
    }

    public void onConfigure(SQLiteDatabase sQLiteDatabase) {
        this.f4402g = true;
        sQLiteDatabase.rawQuery("PRAGMA busy_timeout=0;", new String[0]).close();
        sQLiteDatabase.setForeignKeyConstraintsEnabled(true);
    }

    public void onCreate(SQLiteDatabase sQLiteDatabase) {
        f(sQLiteDatabase, this.f4401f);
    }

    public void onDowngrade(SQLiteDatabase sQLiteDatabase, int i7, int i8) {
        sQLiteDatabase.execSQL(V5);
        sQLiteDatabase.execSQL(W5);
        sQLiteDatabase.execSQL(X5);
        sQLiteDatabase.execSQL(Z5);
        f(sQLiteDatabase, i8);
    }

    public void onOpen(SQLiteDatabase sQLiteDatabase) {
        a(sQLiteDatabase);
    }

    public void onUpgrade(SQLiteDatabase sQLiteDatabase, int i7, int i8) {
        a(sQLiteDatabase);
        g(sQLiteDatabase, i7, i8);
    }
}
