package com.google.android.gms.auth.api.signin;

import android.accounts.Account;
import android.net.Uri;
import android.os.Parcel;
import android.os.Parcelable;
import android.text.TextUtils;
import com.google.android.gms.common.api.Scope;
import com.google.android.gms.common.internal.ReflectedParcelable;
import com.google.android.gms.common.internal.b;
import com.google.android.gms.common.internal.b0;
import com.google.android.gms.common.internal.safeparcel.AbstractSafeParcelable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collection;
import java.util.Collections;
import java.util.HashSet;
import java.util.List;
import java.util.Set;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;
import x.g;
import x.k;

public class GoogleSignInAccount extends AbstractSafeParcelable implements ReflectedParcelable {
    public static final Parcelable.Creator<GoogleSignInAccount> CREATOR = new c();

    /* renamed from: a6 */
    private static g f4442a6 = k.e();
    private Uri C1;
    private String C2;
    private long U5;
    private String V5;
    private List<Scope> W5;
    private String X5;
    private String Y5;
    private Set<Scope> Z5 = new HashSet();

    /* renamed from: f */
    private final int f4443f;

    /* renamed from: g */
    private String f4444g;

    /* renamed from: p */
    private String f4445p;

    /* renamed from: x */
    private String f4446x;

    /* renamed from: y */
    private String f4447y;

    GoogleSignInAccount(int i7, String str, String str2, String str3, String str4, Uri uri, String str5, long j7, String str6, List<Scope> list, String str7, String str8) {
        this.f4443f = i7;
        this.f4444g = str;
        this.f4445p = str2;
        this.f4446x = str3;
        this.f4447y = str4;
        this.C1 = uri;
        this.C2 = str5;
        this.U5 = j7;
        this.V5 = str6;
        this.W5 = list;
        this.X5 = str7;
        this.Y5 = str8;
    }

    public static GoogleSignInAccount J() {
        Account account = new Account("<<default account>>", b.f5193a);
        return d0(null, null, account.name, null, null, null, null, 0L, account.name, new HashSet());
    }

    public static GoogleSignInAccount c0(String str) {
        if (TextUtils.isEmpty(str)) {
            return null;
        }
        JSONObject jSONObject = new JSONObject(str);
        String optString = jSONObject.optString("photoUrl", null);
        Uri parse = !TextUtils.isEmpty(optString) ? Uri.parse(optString) : null;
        long parseLong = Long.parseLong(jSONObject.getString("expirationTime"));
        HashSet hashSet = new HashSet();
        JSONArray jSONArray = jSONObject.getJSONArray("grantedScopes");
        int length = jSONArray.length();
        for (int i7 = 0; i7 < length; i7++) {
            hashSet.add(new Scope(jSONArray.getString(i7)));
        }
        GoogleSignInAccount d02 = d0(jSONObject.optString("id"), jSONObject.optString("tokenId", null), jSONObject.optString("email", null), jSONObject.optString("displayName", null), jSONObject.optString("givenName", null), jSONObject.optString("familyName", null), parse, Long.valueOf(parseLong), jSONObject.getString("obfuscatedIdentifier"), hashSet);
        d02.C2 = jSONObject.optString("serverAuthCode", null);
        return d02;
    }

    private static GoogleSignInAccount d0(String str, String str2, String str3, String str4, String str5, String str6, Uri uri, Long l7, String str7, Set<Scope> set) {
        return new GoogleSignInAccount(3, str, str2, str3, str4, uri, null, (l7 == null ? Long.valueOf(f4442a6.a() / 1000) : l7).longValue(), b0.g(str7), new ArrayList((Collection) b0.k(set)), str5, str6);
    }

    private final JSONObject h0() {
        JSONObject jSONObject = new JSONObject();
        try {
            if (S() != null) {
                jSONObject.put("id", S());
            }
            if (T() != null) {
                jSONObject.put("tokenId", T());
            }
            if (L() != null) {
                jSONObject.put("email", L());
            }
            if (K() != null) {
                jSONObject.put("displayName", K());
            }
            if (N() != null) {
                jSONObject.put("givenName", N());
            }
            if (M() != null) {
                jSONObject.put("familyName", M());
            }
            if (U() != null) {
                jSONObject.put("photoUrl", U().toString());
            }
            if (W() != null) {
                jSONObject.put("serverAuthCode", W());
            }
            jSONObject.put("expirationTime", this.U5);
            jSONObject.put("obfuscatedIdentifier", this.V5);
            JSONArray jSONArray = new JSONArray();
            List<Scope> list = this.W5;
            Scope[] scopeArr = (Scope[]) list.toArray(new Scope[list.size()]);
            Arrays.sort(scopeArr, b.f4468f);
            for (Scope scope : scopeArr) {
                jSONArray.put(scope.J());
            }
            jSONObject.put("grantedScopes", jSONArray);
            return jSONObject;
        } catch (JSONException e7) {
            throw new RuntimeException(e7);
        }
    }

    public String K() {
        return this.f4447y;
    }

    public String L() {
        return this.f4446x;
    }

    public String M() {
        return this.Y5;
    }

    public String N() {
        return this.X5;
    }

    public Set<Scope> O() {
        return new HashSet(this.W5);
    }

    public String S() {
        return this.f4444g;
    }

    public String T() {
        return this.f4445p;
    }

    public Uri U() {
        return this.C1;
    }

    public Set<Scope> V() {
        HashSet hashSet = new HashSet(this.W5);
        hashSet.addAll(this.Z5);
        return hashSet;
    }

    public String W() {
        return this.C2;
    }

    public boolean X() {
        return f4442a6.a() / 1000 >= this.U5 - 300;
    }

    public GoogleSignInAccount Y(Scope... scopeArr) {
        if (scopeArr != null) {
            Collections.addAll(this.Z5, scopeArr);
        }
        return this;
    }

    public boolean equals(Object obj) {
        if (obj == this) {
            return true;
        }
        if (!(obj instanceof GoogleSignInAccount)) {
            return false;
        }
        GoogleSignInAccount googleSignInAccount = (GoogleSignInAccount) obj;
        return googleSignInAccount.V5.equals(this.V5) && googleSignInAccount.V().equals(V());
    }

    public final String f0() {
        return this.V5;
    }

    public final String g0() {
        JSONObject h02 = h0();
        h02.remove("serverAuthCode");
        return h02.toString();
    }

    public int hashCode() {
        return ((this.V5.hashCode() + 527) * 31) + V().hashCode();
    }

    public Account r() {
        if (this.f4446x == null) {
            return null;
        }
        return new Account(this.f4446x, b.f5193a);
    }

    public void writeToParcel(Parcel parcel, int i7) {
        int a8 = t.b.a(parcel);
        t.b.F(parcel, 1, this.f4443f);
        t.b.X(parcel, 2, S(), false);
        t.b.X(parcel, 3, T(), false);
        t.b.X(parcel, 4, L(), false);
        t.b.X(parcel, 5, K(), false);
        t.b.S(parcel, 6, U(), i7, false);
        t.b.X(parcel, 7, W(), false);
        t.b.K(parcel, 8, this.U5);
        t.b.X(parcel, 9, this.V5, false);
        t.b.c0(parcel, 10, this.W5, false);
        t.b.X(parcel, 11, N(), false);
        t.b.X(parcel, 12, M(), false);
        t.b.b(parcel, a8);
    }
}
