package com.google.android.gms.auth.api.signin;

import android.accounts.Account;
import android.os.Parcel;
import android.os.Parcelable;
import android.text.TextUtils;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import com.google.android.gms.auth.api.signin.internal.GoogleSignInOptionsExtensionParcelable;
import com.google.android.gms.common.api.Scope;
import com.google.android.gms.common.api.a;
import com.google.android.gms.common.internal.ReflectedParcelable;
import com.google.android.gms.common.internal.b;
import com.google.android.gms.common.internal.b0;
import com.google.android.gms.common.internal.safeparcel.AbstractSafeParcelable;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable;
import com.google.android.gms.common.m;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.Comparator;
import java.util.HashMap;
import java.util.HashSet;
import java.util.List;
import java.util.Map;
import java.util.Set;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;
import x.d0;

@SafeParcelable.a(creator = "GoogleSignInOptionsCreator")
public class GoogleSignInOptions extends AbstractSafeParcelable implements a.d.f, ReflectedParcelable {
    public static final Parcelable.Creator<GoogleSignInOptions> CREATOR = new e();
    @d0
    public static final Scope X5 = new Scope(m.f5357a);
    @d0
    public static final Scope Y5 = new Scope("email");
    @d0
    public static final Scope Z5 = new Scope(m.f5359c);
    @d0

    /* renamed from: a6  reason: collision with root package name */
    public static final Scope f4448a6;
    @d0

    /* renamed from: b6  reason: collision with root package name */
    public static final Scope f4449b6 = new Scope(m.f5362f);

    /* renamed from: c6  reason: collision with root package name */
    public static final GoogleSignInOptions f4450c6 = new a().d().f().b();

    /* renamed from: d6  reason: collision with root package name */
    public static final GoogleSignInOptions f4451d6;

    /* renamed from: e6  reason: collision with root package name */
    private static Comparator<Scope> f4452e6 = new d();
    @SafeParcelable.c(getter = "isForceCodeForRefreshToken", id = 6)
    private final boolean C1;
    @SafeParcelable.c(getter = "getServerClientId", id = 7)
    private String C2;
    @SafeParcelable.c(getter = "getHostedDomain", id = 8)
    private String U5;
    @SafeParcelable.c(getter = "getExtensions", id = 9)
    private ArrayList<GoogleSignInOptionsExtensionParcelable> V5;
    private Map<Integer, GoogleSignInOptionsExtensionParcelable> W5;
    @SafeParcelable.g(id = 1)

    /* renamed from: f  reason: collision with root package name */
    private final int f4453f;
    @SafeParcelable.c(getter = "getScopes", id = 2)

    /* renamed from: g  reason: collision with root package name */
    private final ArrayList<Scope> f4454g;
    @SafeParcelable.c(getter = "getAccount", id = 3)

    /* renamed from: p  reason: collision with root package name */
    private Account f4455p;
    @SafeParcelable.c(getter = "isIdTokenRequested", id = 4)

    /* renamed from: x  reason: collision with root package name */
    private boolean f4456x;
    @SafeParcelable.c(getter = "isServerAuthCodeRequested", id = 5)

    /* renamed from: y  reason: collision with root package name */
    private final boolean f4457y;

    public static final class a {

        /* renamed from: a  reason: collision with root package name */
        private Set<Scope> f4458a = new HashSet();

        /* renamed from: b  reason: collision with root package name */
        private boolean f4459b;

        /* renamed from: c  reason: collision with root package name */
        private boolean f4460c;

        /* renamed from: d  reason: collision with root package name */
        private boolean f4461d;

        /* renamed from: e  reason: collision with root package name */
        private String f4462e;

        /* renamed from: f  reason: collision with root package name */
        private Account f4463f;

        /* renamed from: g  reason: collision with root package name */
        private String f4464g;

        /* renamed from: h  reason: collision with root package name */
        private Map<Integer, GoogleSignInOptionsExtensionParcelable> f4465h = new HashMap();

        public a() {
        }

        private final String l(String str) {
            b0.g(str);
            String str2 = this.f4462e;
            b0.b(str2 == null || str2.equals(str), "two different server client ids provided");
            return str;
        }

        public final a a(a aVar) {
            if (!this.f4465h.containsKey(Integer.valueOf(aVar.a()))) {
                if (aVar.b() != null) {
                    this.f4458a.addAll(aVar.b());
                }
                this.f4465h.put(Integer.valueOf(aVar.a()), new GoogleSignInOptionsExtensionParcelable(aVar));
                return this;
            }
            throw new IllegalStateException("Only one extension per type may be added");
        }

        public final GoogleSignInOptions b() {
            if (this.f4458a.contains(GoogleSignInOptions.f4449b6)) {
                Set<Scope> set = this.f4458a;
                Scope scope = GoogleSignInOptions.f4448a6;
                if (set.contains(scope)) {
                    this.f4458a.remove(scope);
                }
            }
            if (this.f4461d && (this.f4463f == null || !this.f4458a.isEmpty())) {
                d();
            }
            return new GoogleSignInOptions(3, new ArrayList(this.f4458a), this.f4463f, this.f4461d, this.f4459b, this.f4460c, this.f4462e, this.f4464g, this.f4465h, null);
        }

        public final a c() {
            this.f4458a.add(GoogleSignInOptions.Y5);
            return this;
        }

        public final a d() {
            this.f4458a.add(GoogleSignInOptions.Z5);
            return this;
        }

        public final a e(String str) {
            this.f4461d = true;
            this.f4462e = l(str);
            return this;
        }

        public final a f() {
            this.f4458a.add(GoogleSignInOptions.X5);
            return this;
        }

        public final a g(Scope scope, Scope... scopeArr) {
            this.f4458a.add(scope);
            this.f4458a.addAll(Arrays.asList(scopeArr));
            return this;
        }

        public final a h(String str) {
            return i(str, false);
        }

        public final a i(String str, boolean z7) {
            this.f4459b = true;
            this.f4462e = l(str);
            this.f4460c = z7;
            return this;
        }

        public final a j(String str) {
            this.f4463f = new Account(b0.g(str), b.f5193a);
            return this;
        }

        public final a k(String str) {
            this.f4464g = b0.g(str);
            return this;
        }

        public a(@NonNull GoogleSignInOptions googleSignInOptions) {
            b0.k(googleSignInOptions);
            this.f4458a = new HashSet(googleSignInOptions.f4454g);
            this.f4459b = googleSignInOptions.f4457y;
            this.f4460c = googleSignInOptions.C1;
            this.f4461d = googleSignInOptions.f4456x;
            this.f4462e = googleSignInOptions.C2;
            this.f4463f = googleSignInOptions.f4455p;
            this.f4464g = googleSignInOptions.U5;
            this.f4465h = GoogleSignInOptions.U(googleSignInOptions.V5);
        }
    }

    static {
        Scope scope = new Scope(m.f5363g);
        f4448a6 = scope;
        f4451d6 = new a().g(scope, new Scope[0]).b();
    }

    @SafeParcelable.b
    GoogleSignInOptions(@SafeParcelable.e(id = 1) int i7, @SafeParcelable.e(id = 2) ArrayList<Scope> arrayList, @SafeParcelable.e(id = 3) Account account, @SafeParcelable.e(id = 4) boolean z7, @SafeParcelable.e(id = 5) boolean z8, @SafeParcelable.e(id = 6) boolean z9, @SafeParcelable.e(id = 7) String str, @SafeParcelable.e(id = 8) String str2, @SafeParcelable.e(id = 9) ArrayList<GoogleSignInOptionsExtensionParcelable> arrayList2) {
        this(i7, arrayList, account, z7, z8, z9, str, str2, U(arrayList2));
    }

    /* access modifiers changed from: private */
    public static Map<Integer, GoogleSignInOptionsExtensionParcelable> U(@Nullable List<GoogleSignInOptionsExtensionParcelable> list) {
        HashMap hashMap = new HashMap();
        if (list == null) {
            return hashMap;
        }
        for (GoogleSignInOptionsExtensionParcelable googleSignInOptionsExtensionParcelable : list) {
            hashMap.put(Integer.valueOf(googleSignInOptionsExtensionParcelable.J()), googleSignInOptionsExtensionParcelable);
        }
        return hashMap;
    }

    @Nullable
    public static GoogleSignInOptions V(@Nullable String str) throws JSONException {
        if (TextUtils.isEmpty(str)) {
            return null;
        }
        JSONObject jSONObject = new JSONObject(str);
        HashSet hashSet = new HashSet();
        JSONArray jSONArray = jSONObject.getJSONArray("scopes");
        int length = jSONArray.length();
        for (int i7 = 0; i7 < length; i7++) {
            hashSet.add(new Scope(jSONArray.getString(i7)));
        }
        String optString = jSONObject.optString("accountName", null);
        return new GoogleSignInOptions(3, new ArrayList(hashSet), !TextUtils.isEmpty(optString) ? new Account(optString, b.f5193a) : null, jSONObject.getBoolean("idTokenRequested"), jSONObject.getBoolean("serverAuthRequested"), jSONObject.getBoolean("forceCodeForRefreshToken"), jSONObject.optString("serverClientId", null), jSONObject.optString("hostedDomain", null), new HashMap());
    }

    private final JSONObject b0() {
        JSONObject jSONObject = new JSONObject();
        try {
            JSONArray jSONArray = new JSONArray();
            Collections.sort(this.f4454g, f4452e6);
            ArrayList<Scope> arrayList = this.f4454g;
            int size = arrayList.size();
            int i7 = 0;
            while (i7 < size) {
                Scope scope = arrayList.get(i7);
                i7++;
                jSONArray.put(scope.J());
            }
            jSONObject.put("scopes", jSONArray);
            Account account = this.f4455p;
            if (account != null) {
                jSONObject.put("accountName", account.name);
            }
            jSONObject.put("idTokenRequested", this.f4456x);
            jSONObject.put("forceCodeForRefreshToken", this.C1);
            jSONObject.put("serverAuthRequested", this.f4457y);
            if (!TextUtils.isEmpty(this.C2)) {
                jSONObject.put("serverClientId", this.C2);
            }
            if (!TextUtils.isEmpty(this.U5)) {
                jSONObject.put("hostedDomain", this.U5);
            }
            return jSONObject;
        } catch (JSONException e7) {
            throw new RuntimeException(e7);
        }
    }

    @r.a
    public ArrayList<GoogleSignInOptionsExtensionParcelable> J() {
        return this.V5;
    }

    public Scope[] K() {
        ArrayList<Scope> arrayList = this.f4454g;
        return (Scope[]) arrayList.toArray(new Scope[arrayList.size()]);
    }

    @r.a
    public ArrayList<Scope> L() {
        return new ArrayList<>(this.f4454g);
    }

    @r.a
    public String M() {
        return this.C2;
    }

    @r.a
    public boolean N() {
        return this.C1;
    }

    @r.a
    public boolean O() {
        return this.f4456x;
    }

    @r.a
    public boolean S() {
        return this.f4457y;
    }

    public final String d0() {
        return b0().toString();
    }

    /* JADX WARNING: Code restructure failed: missing block: B:20:0x0047, code lost:
        if (r1.equals(r4.r()) != false) goto L_0x0049;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:27:0x0066, code lost:
        if (r3.C2.equals(r4.M()) != false) goto L_0x0068;
     */
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        try {
            GoogleSignInOptions googleSignInOptions = (GoogleSignInOptions) obj;
            if (this.V5.size() <= 0) {
                if (googleSignInOptions.V5.size() <= 0) {
                    if (this.f4454g.size() == googleSignInOptions.L().size()) {
                        if (this.f4454g.containsAll(googleSignInOptions.L())) {
                            Account account = this.f4455p;
                            if (account == null) {
                                if (googleSignInOptions.r() == null) {
                                }
                            }
                            if (TextUtils.isEmpty(this.C2)) {
                                if (TextUtils.isEmpty(googleSignInOptions.M())) {
                                }
                            }
                            return this.C1 == googleSignInOptions.N() && this.f4456x == googleSignInOptions.O() && this.f4457y == googleSignInOptions.S();
                        }
                    }
                }
            }
        } catch (ClassCastException unused) {
        }
    }

    public int hashCode() {
        ArrayList arrayList = new ArrayList();
        ArrayList<Scope> arrayList2 = this.f4454g;
        int size = arrayList2.size();
        int i7 = 0;
        while (i7 < size) {
            Scope scope = arrayList2.get(i7);
            i7++;
            arrayList.add(scope.J());
        }
        Collections.sort(arrayList);
        return new com.google.android.gms.auth.api.signin.internal.a().a(arrayList).a(this.f4455p).a(this.C2).c(this.C1).c(this.f4456x).c(this.f4457y).b();
    }

    @r.a
    public Account r() {
        return this.f4455p;
    }

    public void writeToParcel(Parcel parcel, int i7) {
        int a8 = t.b.a(parcel);
        t.b.F(parcel, 1, this.f4453f);
        t.b.c0(parcel, 2, L(), false);
        t.b.S(parcel, 3, r(), i7, false);
        t.b.g(parcel, 4, O());
        t.b.g(parcel, 5, S());
        t.b.g(parcel, 6, N());
        t.b.X(parcel, 7, M(), false);
        t.b.X(parcel, 8, this.U5, false);
        t.b.c0(parcel, 9, J(), false);
        t.b.b(parcel, a8);
    }

    private GoogleSignInOptions(int i7, ArrayList<Scope> arrayList, Account account, boolean z7, boolean z8, boolean z9, String str, String str2, Map<Integer, GoogleSignInOptionsExtensionParcelable> map) {
        this.f4453f = i7;
        this.f4454g = arrayList;
        this.f4455p = account;
        this.f4456x = z7;
        this.f4457y = z8;
        this.C1 = z9;
        this.C2 = str;
        this.U5 = str2;
        this.V5 = new ArrayList<>(map.values());
        this.W5 = map;
    }

    /* synthetic */ GoogleSignInOptions(int i7, ArrayList arrayList, Account account, boolean z7, boolean z8, boolean z9, String str, String str2, Map map, d dVar) {
        this(3, arrayList, account, z7, z8, z9, str, str2, map);
    }
}
