package com.google.android.gms.auth.api.signin.internal;

import android.content.Context;
import android.content.SharedPreferences;
import android.text.TextUtils;
import com.google.android.gms.auth.api.signin.GoogleSignInAccount;
import com.google.android.gms.auth.api.signin.GoogleSignInOptions;
import com.google.android.gms.common.internal.b0;
import e4.h;
import f4.a;
import java.util.concurrent.locks.Lock;
import java.util.concurrent.locks.ReentrantLock;
import org.json.JSONException;
import x.d0;

public class b {

    /* renamed from: c  reason: collision with root package name */
    private static final Lock f4474c = new ReentrantLock();
    @a("sLk")

    /* renamed from: d  reason: collision with root package name */
    private static b f4475d;

    /* renamed from: a  reason: collision with root package name */
    private final Lock f4476a = new ReentrantLock();
    @a("mLk")

    /* renamed from: b  reason: collision with root package name */
    private final SharedPreferences f4477b;

    @d0
    private b(Context context) {
        this.f4477b = context.getSharedPreferences("com.google.android.gms.signin", 0);
    }

    @r.a
    public static b b(Context context) {
        b0.k(context);
        Lock lock = f4474c;
        lock.lock();
        try {
            if (f4475d == null) {
                f4475d = new b(context.getApplicationContext());
            }
            b bVar = f4475d;
            lock.unlock();
            return bVar;
        } catch (Throwable th) {
            f4474c.unlock();
            throw th;
        }
    }

    private final void g(String str, String str2) {
        this.f4476a.lock();
        try {
            this.f4477b.edit().putString(str, str2).apply();
        } finally {
            this.f4476a.unlock();
        }
    }

    private static String h(String str, String str2) {
        StringBuilder sb = new StringBuilder(String.valueOf(str).length() + 1 + String.valueOf(str2).length());
        sb.append(str);
        sb.append(":");
        sb.append(str2);
        return sb.toString();
    }

    @h
    @d0
    private final GoogleSignInAccount i(String str) {
        String k7;
        if (!TextUtils.isEmpty(str) && (k7 = k(h("googleSignInAccount", str))) != null) {
            try {
                return GoogleSignInAccount.c0(k7);
            } catch (JSONException unused) {
            }
        }
        return null;
    }

    @h
    @d0
    private final GoogleSignInOptions j(String str) {
        String k7;
        if (!TextUtils.isEmpty(str) && (k7 = k(h("googleSignInOptions", str))) != null) {
            try {
                return GoogleSignInOptions.V(k7);
            } catch (JSONException unused) {
            }
        }
        return null;
    }

    @h
    private final String k(String str) {
        this.f4476a.lock();
        try {
            return this.f4477b.getString(str, null);
        } finally {
            this.f4476a.unlock();
        }
    }

    private final void m(String str) {
        this.f4476a.lock();
        try {
            this.f4477b.edit().remove(str).apply();
        } finally {
            this.f4476a.unlock();
        }
    }

    @r.a
    public void a() {
        this.f4476a.lock();
        try {
            this.f4477b.edit().clear().apply();
        } finally {
            this.f4476a.unlock();
        }
    }

    @h
    @r.a
    public GoogleSignInAccount c() {
        return i(k("defaultGoogleSignInAccount"));
    }

    @h
    @r.a
    public GoogleSignInOptions d() {
        return j(k("defaultGoogleSignInAccount"));
    }

    @h
    @r.a
    public String e() {
        return k("refreshToken");
    }

    @r.a
    public void f(GoogleSignInAccount googleSignInAccount, GoogleSignInOptions googleSignInOptions) {
        b0.k(googleSignInAccount);
        b0.k(googleSignInOptions);
        g("defaultGoogleSignInAccount", googleSignInAccount.f0());
        b0.k(googleSignInAccount);
        b0.k(googleSignInOptions);
        String f02 = googleSignInAccount.f0();
        g(h("googleSignInAccount", f02), googleSignInAccount.g0());
        g(h("googleSignInOptions", f02), googleSignInOptions.d0());
    }

    public final void l() {
        String k7 = k("defaultGoogleSignInAccount");
        m("defaultGoogleSignInAccount");
        if (!TextUtils.isEmpty(k7)) {
            m(h("googleSignInAccount", k7));
            m(h("googleSignInOptions", k7));
        }
    }
}
