package com.google.android.gms.cloudmessaging;

import android.content.Intent;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.Log;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.collection.ArrayMap;
import com.google.android.gms.common.internal.safeparcel.AbstractSafeParcelable;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable;
import com.google.firebase.messaging.c;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;
import java.util.Map;
import t.b;

@SafeParcelable.a(creator = "CloudMessageCreator")
public final class CloudMessage extends AbstractSafeParcelable {
    @NonNull
    public static final Parcelable.Creator<CloudMessage> CREATOR = new e();

    /* renamed from: p  reason: collision with root package name */
    public static final int f4520p = 0;

    /* renamed from: x  reason: collision with root package name */
    public static final int f4521x = 1;

    /* renamed from: y  reason: collision with root package name */
    public static final int f4522y = 2;
    @NonNull
    @SafeParcelable.c(id = 1)

    /* renamed from: f  reason: collision with root package name */
    private Intent f4523f;
    @f4.a("this")

    /* renamed from: g  reason: collision with root package name */
    private Map<String, String> f4524g;

    @Target({ElementType.TYPE_PARAMETER, ElementType.TYPE_USE})
    @Retention(RetentionPolicy.SOURCE)
    public @interface a {
    }

    @SafeParcelable.b
    public CloudMessage(@NonNull @SafeParcelable.e(id = 1) Intent intent) {
        this.f4523f = intent;
    }

    private static int b0(@Nullable String str) {
        if ("high".equals(str)) {
            return 1;
        }
        return "normal".equals(str) ? 2 : 0;
    }

    @Nullable
    public final String J() {
        return this.f4523f.getStringExtra(c.d.f14506e);
    }

    @NonNull
    public final synchronized Map<String, String> K() {
        if (this.f4524g == null) {
            Bundle extras = this.f4523f.getExtras();
            ArrayMap arrayMap = new ArrayMap();
            if (extras != null) {
                for (String str : extras.keySet()) {
                    Object obj = extras.get(str);
                    if (obj instanceof String) {
                        String str2 = (String) obj;
                        if (!str.startsWith(c.d.f14502a) && !str.equals(c.d.f14503b) && !str.equals(c.d.f14505d) && !str.equals(c.d.f14506e)) {
                            arrayMap.put(str, str2);
                        }
                    }
                }
            }
            this.f4524g = arrayMap;
        }
        return this.f4524g;
    }

    @Nullable
    public final String L() {
        return this.f4523f.getStringExtra(c.d.f14503b);
    }

    @NonNull
    public final Intent M() {
        return this.f4523f;
    }

    @Nullable
    public final String N() {
        String stringExtra = this.f4523f.getStringExtra(c.d.f14509h);
        return stringExtra == null ? this.f4523f.getStringExtra(c.d.f14507f) : stringExtra;
    }

    @Nullable
    public final String O() {
        return this.f4523f.getStringExtra(c.d.f14505d);
    }

    public final int S() {
        String stringExtra = this.f4523f.getStringExtra(c.d.f14512k);
        if (stringExtra == null) {
            stringExtra = this.f4523f.getStringExtra(c.d.f14514m);
        }
        return b0(stringExtra);
    }

    public final int T() {
        String stringExtra = this.f4523f.getStringExtra(c.d.f14513l);
        if (stringExtra == null) {
            if ("1".equals(this.f4523f.getStringExtra(c.d.f14515n))) {
                return 2;
            }
            stringExtra = this.f4523f.getStringExtra(c.d.f14514m);
        }
        return b0(stringExtra);
    }

    @Nullable
    public final byte[] U() {
        return this.f4523f.getByteArrayExtra(c.d.f14504c);
    }

    @Nullable
    public final String V() {
        return this.f4523f.getStringExtra(c.d.f14517p);
    }

    public final long W() {
        Bundle extras = this.f4523f.getExtras();
        Object obj = extras != null ? extras.get(c.d.f14511j) : null;
        if (obj instanceof Long) {
            return ((Long) obj).longValue();
        }
        if (!(obj instanceof String)) {
            return 0;
        }
        try {
            return Long.parseLong((String) obj);
        } catch (NumberFormatException unused) {
            String valueOf = String.valueOf(obj);
            StringBuilder sb = new StringBuilder(valueOf.length() + 19);
            sb.append("Invalid sent time: ");
            sb.append(valueOf);
            Log.w("CloudMessage", sb.toString());
            return 0;
        }
    }

    @Nullable
    public final String X() {
        return this.f4523f.getStringExtra(c.d.f14508g);
    }

    public final int Y() {
        Bundle extras = this.f4523f.getExtras();
        Object obj = extras != null ? extras.get(c.d.f14510i) : null;
        if (obj instanceof Integer) {
            return ((Integer) obj).intValue();
        }
        if (!(obj instanceof String)) {
            return 0;
        }
        try {
            return Integer.parseInt((String) obj);
        } catch (NumberFormatException unused) {
            String valueOf = String.valueOf(obj);
            StringBuilder sb = new StringBuilder(valueOf.length() + 13);
            sb.append("Invalid TTL: ");
            sb.append(valueOf);
            Log.w("CloudMessage", sb.toString());
            return 0;
        }
    }

    public final void writeToParcel(@NonNull Parcel parcel, int i7) {
        int a8 = b.a(parcel);
        b.S(parcel, 1, this.f4523f, i7, false);
        b.b(parcel, a8);
    }
}
