package com.google.android.gms.cloudmessaging;

import android.app.PendingIntent;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.os.Parcelable;
import android.text.TextUtils;
import android.util.Log;
import androidx.annotation.NonNull;
import androidx.annotation.WorkerThread;
import com.google.android.gms.internal.cloudmessaging.f;
import com.google.android.gms.tasks.l;
import com.google.android.gms.tasks.o;
import com.google.firebase.iid.z;
import com.google.firebase.messaging.c;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.Executor;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.TimeoutException;

public abstract class a extends BroadcastReceiver {

    /* renamed from: a  reason: collision with root package name */
    private final ExecutorService f4525a = com.google.android.gms.internal.cloudmessaging.a.a().b(new com.google.android.gms.common.util.concurrent.b("firebase-iid-executor"), f.f6212a);

    /* renamed from: com.google.android.gms.cloudmessaging.a$a  reason: collision with other inner class name */
    public static final class C0045a {
        @NonNull

        /* renamed from: a  reason: collision with root package name */
        public static final String f4526a = "com.google.firebase.messaging.NOTIFICATION_OPEN";
        @NonNull

        /* renamed from: b  reason: collision with root package name */
        public static final String f4527b = "com.google.firebase.messaging.NOTIFICATION_DISMISS";

        private C0045a() {
        }
    }

    public static final class b {
        @NonNull

        /* renamed from: a  reason: collision with root package name */
        public static final String f4528a = "pending_intent";
        @NonNull

        /* renamed from: b  reason: collision with root package name */
        public static final String f4529b = "wrapped_intent";

        private b() {
        }
    }

    @WorkerThread
    private final int e(@NonNull Context context, @NonNull Intent intent) {
        PendingIntent pendingIntent = (PendingIntent) intent.getParcelableExtra(b.f4528a);
        if (pendingIntent != null) {
            try {
                pendingIntent.send();
            } catch (PendingIntent.CanceledException unused) {
                Log.e("CloudMessagingReceiver", "Notification pending intent canceled");
            }
        }
        Bundle extras = intent.getExtras();
        if (extras != null) {
            extras.remove(b.f4528a);
        } else {
            extras = new Bundle();
        }
        if (C0045a.f4526a.equals(intent.getAction())) {
            d(context, extras);
            return -1;
        } else if (C0045a.f4527b.equals(intent.getAction())) {
            c(context, extras);
            return -1;
        } else {
            Log.e("CloudMessagingReceiver", "Unknown notification action");
            return z.f14061f;
        }
    }

    @WorkerThread
    private final int g(@NonNull Context context, @NonNull Intent intent) {
        l<Void> lVar;
        if (intent.getExtras() == null) {
            return z.f14061f;
        }
        String stringExtra = intent.getStringExtra(c.d.f14509h);
        if (TextUtils.isEmpty(stringExtra)) {
            lVar = o.g(null);
        } else {
            Bundle bundle = new Bundle();
            bundle.putString(c.d.f14509h, stringExtra);
            lVar = h.c(context).d(2, bundle);
        }
        int b7 = b(context, new CloudMessage(intent));
        try {
            o.b(lVar, TimeUnit.SECONDS.toMillis(1), TimeUnit.MILLISECONDS);
        } catch (InterruptedException | ExecutionException | TimeoutException e7) {
            String valueOf = String.valueOf(e7);
            StringBuilder sb = new StringBuilder(valueOf.length() + 20);
            sb.append("Message ack failed: ");
            sb.append(valueOf);
            Log.w("CloudMessagingReceiver", sb.toString());
        }
        return b7;
    }

    /* access modifiers changed from: protected */
    @NonNull
    public Executor a() {
        return this.f4525a;
    }

    /* access modifiers changed from: protected */
    @WorkerThread
    public abstract int b(@NonNull Context context, @NonNull CloudMessage cloudMessage);

    /* access modifiers changed from: protected */
    @WorkerThread
    public void c(@NonNull Context context, @NonNull Bundle bundle) {
    }

    /* access modifiers changed from: protected */
    @WorkerThread
    public void d(@NonNull Context context, @NonNull Bundle bundle) {
    }

    /* access modifiers changed from: package-private */
    public final /* synthetic */ void f(Intent intent, Context context, boolean z7, BroadcastReceiver.PendingResult pendingResult) {
        try {
            Parcelable parcelableExtra = intent.getParcelableExtra(b.f4529b);
            Intent intent2 = parcelableExtra instanceof Intent ? (Intent) parcelableExtra : null;
            int e7 = intent2 != null ? e(context, intent2) : g(context, intent);
            if (z7) {
                pendingResult.setResultCode(e7);
            }
        } finally {
            pendingResult.finish();
        }
    }

    public final void onReceive(@NonNull Context context, @NonNull Intent intent) {
        if (intent != null) {
            a().execute(new g(this, intent, context, isOrderedBroadcast(), goAsync()));
        }
    }
}
