package com.google.android.gms.cloudmessaging;

import android.app.PendingIntent;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.os.Looper;
import android.os.Message;
import android.os.Messenger;
import android.os.Parcelable;
import android.os.RemoteException;
import android.util.Log;
import androidx.annotation.AnyThread;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.collection.SimpleArrayMap;
import com.google.android.gms.cloudmessaging.zza;
import com.google.android.gms.tasks.l;
import com.google.android.gms.tasks.m;
import com.google.android.gms.tasks.o;
import com.google.firebase.iid.q;
import com.google.firebase.messaging.c;
import f4.a;
import java.io.IOException;
import java.util.concurrent.Executor;
import java.util.concurrent.ScheduledExecutorService;
import java.util.concurrent.ScheduledFuture;
import java.util.concurrent.ScheduledThreadPoolExecutor;
import java.util.concurrent.TimeUnit;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class d {

    /* renamed from: h  reason: collision with root package name */
    private static int f4538h;

    /* renamed from: i  reason: collision with root package name */
    private static PendingIntent f4539i;

    /* renamed from: j  reason: collision with root package name */
    private static final Executor f4540j = c0.f4537f;
    @a("responseCallbacks")

    /* renamed from: a  reason: collision with root package name */
    private final SimpleArrayMap<String, m<Bundle>> f4541a = new SimpleArrayMap<>();

    /* renamed from: b  reason: collision with root package name */
    private final Context f4542b;

    /* renamed from: c  reason: collision with root package name */
    private final u f4543c;

    /* renamed from: d  reason: collision with root package name */
    private final ScheduledExecutorService f4544d;

    /* renamed from: e  reason: collision with root package name */
    private Messenger f4545e;

    /* renamed from: f  reason: collision with root package name */
    private Messenger f4546f;

    /* renamed from: g  reason: collision with root package name */
    private zza f4547g;

    public d(@NonNull Context context) {
        this.f4542b = context;
        this.f4543c = new u(context);
        this.f4545e = new Messenger(new b0(this, Looper.getMainLooper()));
        ScheduledThreadPoolExecutor scheduledThreadPoolExecutor = new ScheduledThreadPoolExecutor(1);
        scheduledThreadPoolExecutor.setKeepAliveTime(60, TimeUnit.SECONDS);
        scheduledThreadPoolExecutor.allowCoreThreadTimeOut(true);
        this.f4544d = scheduledThreadPoolExecutor;
    }

    static final /* synthetic */ Bundle b(l lVar) throws Exception {
        if (lVar.v()) {
            return (Bundle) lVar.r();
        }
        if (Log.isLoggable("Rpc", 3)) {
            String valueOf = String.valueOf(lVar.q());
            StringBuilder sb = new StringBuilder(valueOf.length() + 22);
            sb.append("Error making request: ");
            sb.append(valueOf);
            Log.d("Rpc", sb.toString());
        }
        throw new IOException(q.f14039g, lVar.q());
    }

    static final /* synthetic */ l c(Bundle bundle) throws Exception {
        return l(bundle) ? o.g(null) : o.g(bundle);
    }

    private static synchronized String e() {
        String num;
        synchronized (d.class) {
            int i7 = f4538h;
            f4538h = i7 + 1;
            num = Integer.toString(i7);
        }
        return num;
    }

    private static synchronized void f(Context context, Intent intent) {
        synchronized (d.class) {
            if (f4539i == null) {
                Intent intent2 = new Intent();
                intent2.setPackage("com.google.example.invalidpackage");
                f4539i = PendingIntent.getBroadcast(context, 0, intent2, 0);
            }
            intent.putExtra("app", f4539i);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void g(Message message) {
        if (message != null) {
            Object obj = message.obj;
            if (obj instanceof Intent) {
                Intent intent = (Intent) obj;
                intent.setExtrasClassLoader(new zza.a());
                if (intent.hasExtra("google.messenger")) {
                    Parcelable parcelableExtra = intent.getParcelableExtra("google.messenger");
                    if (parcelableExtra instanceof zza) {
                        this.f4547g = (zza) parcelableExtra;
                    }
                    if (parcelableExtra instanceof Messenger) {
                        this.f4546f = (Messenger) parcelableExtra;
                    }
                }
                Intent intent2 = (Intent) message.obj;
                String action = intent2.getAction();
                if ("com.google.android.c2dm.intent.REGISTRATION".equals(action)) {
                    String stringExtra = intent2.getStringExtra("registration_id");
                    if (stringExtra == null) {
                        stringExtra = intent2.getStringExtra("unregistered");
                    }
                    if (stringExtra == null) {
                        String stringExtra2 = intent2.getStringExtra(c.f14447d);
                        if (stringExtra2 == null) {
                            String valueOf = String.valueOf(intent2.getExtras());
                            StringBuilder sb = new StringBuilder(valueOf.length() + 49);
                            sb.append("Unexpected response, no error or registration id ");
                            sb.append(valueOf);
                            Log.w("Rpc", sb.toString());
                            return;
                        }
                        if (Log.isLoggable("Rpc", 3)) {
                            Log.d("Rpc", stringExtra2.length() != 0 ? "Received InstanceID error ".concat(stringExtra2) : new String("Received InstanceID error "));
                        }
                        if (stringExtra2.startsWith("|")) {
                            String[] split = stringExtra2.split("\\|");
                            if (split.length <= 2 || !"ID".equals(split[1])) {
                                Log.w("Rpc", stringExtra2.length() != 0 ? "Unexpected structured response ".concat(stringExtra2) : new String("Unexpected structured response "));
                                return;
                            }
                            String str = split[2];
                            String str2 = split[3];
                            if (str2.startsWith(":")) {
                                str2 = str2.substring(1);
                            }
                            j(str, intent2.putExtra(c.f14447d, str2).getExtras());
                            return;
                        }
                        synchronized (this.f4541a) {
                            for (int i7 = 0; i7 < this.f4541a.size(); i7++) {
                                j(this.f4541a.keyAt(i7), intent2.getExtras());
                            }
                        }
                        return;
                    }
                    Matcher matcher = Pattern.compile("\\|ID\\|([^|]+)\\|:?+(.*)").matcher(stringExtra);
                    if (matcher.matches()) {
                        String group = matcher.group(1);
                        String group2 = matcher.group(2);
                        if (group != null) {
                            Bundle extras = intent2.getExtras();
                            extras.putString("registration_id", group2);
                            j(group, extras);
                            return;
                        }
                        return;
                    } else if (Log.isLoggable("Rpc", 3)) {
                        Log.d("Rpc", stringExtra.length() != 0 ? "Unexpected response string: ".concat(stringExtra) : new String("Unexpected response string: "));
                        return;
                    } else {
                        return;
                    }
                } else if (Log.isLoggable("Rpc", 3)) {
                    String valueOf2 = String.valueOf(action);
                    Log.d("Rpc", valueOf2.length() != 0 ? "Unexpected response action: ".concat(valueOf2) : new String("Unexpected response action: "));
                    return;
                } else {
                    return;
                }
            }
        }
        Log.w("Rpc", "Dropping invalid message");
    }

    static final /* synthetic */ void i(m mVar) {
        if (mVar.d(new IOException("TIMEOUT"))) {
            Log.w("Rpc", "No response");
        }
    }

    private final void j(String str, @Nullable Bundle bundle) {
        synchronized (this.f4541a) {
            m<Bundle> remove = this.f4541a.remove(str);
            if (remove == null) {
                String valueOf = String.valueOf(str);
                Log.w("Rpc", valueOf.length() != 0 ? "Missing callback for ".concat(valueOf) : new String("Missing callback for "));
                return;
            }
            remove.c(bundle);
        }
    }

    private static boolean l(Bundle bundle) {
        return bundle != null && bundle.containsKey("google.messenger");
    }

    @AnyThread
    private final l<Bundle> m(Bundle bundle) {
        String e7 = e();
        m<Bundle> mVar = new m<>();
        synchronized (this.f4541a) {
            this.f4541a.put(e7, mVar);
        }
        Intent intent = new Intent();
        intent.setPackage("com.google.android.gms");
        intent.setAction(this.f4543c.a() == 2 ? "com.google.iid.TOKEN_REQUEST" : "com.google.android.c2dm.intent.REGISTER");
        intent.putExtras(bundle);
        f(this.f4542b, intent);
        StringBuilder sb = new StringBuilder(String.valueOf(e7).length() + 5);
        sb.append("|ID|");
        sb.append(e7);
        sb.append("|");
        intent.putExtra("kid", sb.toString());
        if (Log.isLoggable("Rpc", 3)) {
            String valueOf = String.valueOf(intent.getExtras());
            StringBuilder sb2 = new StringBuilder(valueOf.length() + 8);
            sb2.append("Sending ");
            sb2.append(valueOf);
            Log.d("Rpc", sb2.toString());
        }
        intent.putExtra("google.messenger", this.f4545e);
        if (!(this.f4546f == null && this.f4547g == null)) {
            Message obtain = Message.obtain();
            obtain.obj = intent;
            try {
                Messenger messenger = this.f4546f;
                if (messenger != null) {
                    messenger.send(obtain);
                } else {
                    this.f4547g.b(obtain);
                }
            } catch (RemoteException unused) {
                if (Log.isLoggable("Rpc", 3)) {
                    Log.d("Rpc", "Messenger failed, fallback to startService");
                }
            }
            mVar.a().f(f4540j, new a0(this, e7, this.f4544d.schedule(new x(mVar), 30, TimeUnit.SECONDS)));
            return mVar.a();
        }
        if (this.f4543c.a() == 2) {
            this.f4542b.sendBroadcast(intent);
        } else {
            this.f4542b.startService(intent);
        }
        mVar.a().f(f4540j, new a0(this, e7, this.f4544d.schedule(new x(mVar), 30, TimeUnit.SECONDS)));
        return mVar.a();
    }

    @NonNull
    public l<Bundle> a(@NonNull Bundle bundle) {
        boolean z7 = true;
        if (this.f4543c.c() >= 12000000) {
            return h.c(this.f4542b).f(1, bundle).n(f4540j, w.f4582a);
        }
        if (this.f4543c.a() == 0) {
            z7 = false;
        }
        return !z7 ? o.f(new IOException("MISSING_INSTANCEID_SERVICE")) : m(bundle).p(f4540j, new y(this, bundle));
    }

    /* access modifiers changed from: package-private */
    public final /* synthetic */ l d(Bundle bundle, l lVar) throws Exception {
        return (lVar.v() && l((Bundle) lVar.r())) ? m(bundle).x(f4540j, z.f4586a) : lVar;
    }

    /* access modifiers changed from: package-private */
    public final /* synthetic */ void k(String str, ScheduledFuture scheduledFuture, l lVar) {
        synchronized (this.f4541a) {
            this.f4541a.remove(str);
        }
        scheduledFuture.cancel(false);
    }
}
