package com.google.android.gms.common;

import android.app.Activity;
import android.app.PendingIntent;
import android.content.IntentSender;
import android.os.Parcel;
import android.os.Parcelable;
import androidx.annotation.Nullable;
import com.google.android.gms.common.internal.safeparcel.AbstractSafeParcelable;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable;
import com.google.android.gms.common.internal.z;
import r.a;
import t.b;

@SafeParcelable.a(creator = "ConnectionResultCreator")
public final class ConnectionResult extends AbstractSafeParcelable {
    public static final int C1 = 0;
    public static final int C2 = 1;
    public static final Parcelable.Creator<ConnectionResult> CREATOR = new r();
    public static final int U5 = 2;
    public static final int V5 = 3;
    public static final int W5 = 4;
    public static final int X5 = 5;
    public static final int Y5 = 6;
    public static final int Z5 = 7;

    /* renamed from: a6  reason: collision with root package name */
    public static final int f4589a6 = 8;

    /* renamed from: b6  reason: collision with root package name */
    public static final int f4590b6 = 9;

    /* renamed from: c6  reason: collision with root package name */
    public static final int f4591c6 = 10;

    /* renamed from: d6  reason: collision with root package name */
    public static final int f4592d6 = 11;

    /* renamed from: e6  reason: collision with root package name */
    public static final int f4593e6 = 13;

    /* renamed from: f6  reason: collision with root package name */
    public static final int f4594f6 = 14;

    /* renamed from: g6  reason: collision with root package name */
    public static final int f4595g6 = 15;

    /* renamed from: h6  reason: collision with root package name */
    public static final int f4596h6 = 16;

    /* renamed from: i6  reason: collision with root package name */
    public static final int f4597i6 = 17;

    /* renamed from: j6  reason: collision with root package name */
    public static final int f4598j6 = 18;

    /* renamed from: k6  reason: collision with root package name */
    public static final int f4599k6 = 19;

    /* renamed from: l6  reason: collision with root package name */
    public static final int f4600l6 = 20;
    @Deprecated

    /* renamed from: m6  reason: collision with root package name */
    public static final int f4601m6 = 1500;
    @a

    /* renamed from: n6  reason: collision with root package name */
    public static final ConnectionResult f4602n6 = new ConnectionResult(0);
    @a

    /* renamed from: y  reason: collision with root package name */
    public static final int f4603y = -1;
    @SafeParcelable.g(id = 1)

    /* renamed from: f  reason: collision with root package name */
    private final int f4604f;
    @SafeParcelable.c(getter = "getErrorCode", id = 2)

    /* renamed from: g  reason: collision with root package name */
    private final int f4605g;
    @SafeParcelable.c(getter = "getResolution", id = 3)

    /* renamed from: p  reason: collision with root package name */
    private final PendingIntent f4606p;
    @SafeParcelable.c(getter = "getErrorMessage", id = 4)

    /* renamed from: x  reason: collision with root package name */
    private final String f4607x;

    public ConnectionResult(int i7) {
        this(i7, null, null);
    }

    static String S(int i7) {
        if (i7 == 99) {
            return "UNFINISHED";
        }
        if (i7 == 1500) {
            return "DRIVE_EXTERNAL_STORAGE_REQUIRED";
        }
        switch (i7) {
            case -1:
                return "UNKNOWN";
            case 0:
                return "SUCCESS";
            case 1:
                return "SERVICE_MISSING";
            case 2:
                return "SERVICE_VERSION_UPDATE_REQUIRED";
            case 3:
                return "SERVICE_DISABLED";
            case 4:
                return "SIGN_IN_REQUIRED";
            case 5:
                return "INVALID_ACCOUNT";
            case 6:
                return "RESOLUTION_REQUIRED";
            case 7:
                return "NETWORK_ERROR";
            case 8:
                return "INTERNAL_ERROR";
            case 9:
                return "SERVICE_INVALID";
            case 10:
                return "DEVELOPER_ERROR";
            case 11:
                return "LICENSE_CHECK_FAILED";
            default:
                switch (i7) {
                    case 13:
                        return "CANCELED";
                    case 14:
                        return "TIMEOUT";
                    case 15:
                        return "INTERRUPTED";
                    case 16:
                        return "API_UNAVAILABLE";
                    case 17:
                        return "SIGN_IN_FAILED";
                    case 18:
                        return "SERVICE_UPDATING";
                    case 19:
                        return "SERVICE_MISSING_PERMISSION";
                    case 20:
                        return "RESTRICTED_PROFILE";
                    case 21:
                        return "API_VERSION_UPDATE_REQUIRED";
                    default:
                        StringBuilder sb = new StringBuilder(31);
                        sb.append("UNKNOWN_ERROR_CODE(");
                        sb.append(i7);
                        sb.append(")");
                        return sb.toString();
                }
        }
    }

    public final int J() {
        return this.f4605g;
    }

    @Nullable
    public final String K() {
        return this.f4607x;
    }

    @Nullable
    public final PendingIntent L() {
        return this.f4606p;
    }

    public final boolean M() {
        return (this.f4605g == 0 || this.f4606p == null) ? false : true;
    }

    public final boolean N() {
        return this.f4605g == 0;
    }

    public final void O(Activity activity, int i7) throws IntentSender.SendIntentException {
        if (M()) {
            activity.startIntentSenderForResult(this.f4606p.getIntentSender(), i7, null, 0, 0, 0);
        }
    }

    public final boolean equals(Object obj) {
        if (obj == this) {
            return true;
        }
        if (!(obj instanceof ConnectionResult)) {
            return false;
        }
        ConnectionResult connectionResult = (ConnectionResult) obj;
        return this.f4605g == connectionResult.f4605g && z.a(this.f4606p, connectionResult.f4606p) && z.a(this.f4607x, connectionResult.f4607x);
    }

    public final int hashCode() {
        return z.b(Integer.valueOf(this.f4605g), this.f4606p, this.f4607x);
    }

    public final String toString() {
        return z.c(this).a("statusCode", S(this.f4605g)).a("resolution", this.f4606p).a("message", this.f4607x).toString();
    }

    public final void writeToParcel(Parcel parcel, int i7) {
        int a8 = b.a(parcel);
        b.F(parcel, 1, this.f4604f);
        b.F(parcel, 2, J());
        b.S(parcel, 3, L(), i7, false);
        b.X(parcel, 4, K(), false);
        b.b(parcel, a8);
    }

    @SafeParcelable.b
    ConnectionResult(@SafeParcelable.e(id = 1) int i7, @SafeParcelable.e(id = 2) int i8, @SafeParcelable.e(id = 3) PendingIntent pendingIntent, @SafeParcelable.e(id = 4) String str) {
        this.f4604f = i7;
        this.f4605g = i8;
        this.f4606p = pendingIntent;
        this.f4607x = str;
    }

    public ConnectionResult(int i7, PendingIntent pendingIntent) {
        this(i7, pendingIntent, null);
    }

    public ConnectionResult(int i7, PendingIntent pendingIntent, String str) {
        this(1, i7, pendingIntent, str);
    }
}
