package com.google.android.gms.common;

import android.os.Parcel;
import android.os.Parcelable;
import androidx.annotation.Nullable;
import com.google.android.gms.common.internal.safeparcel.AbstractSafeParcelable;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable;
import com.google.android.gms.common.internal.z;
import r.a;
import t.b;

@SafeParcelable.a(creator = "FeatureCreator")
@a
public class Feature extends AbstractSafeParcelable {
    public static final Parcelable.Creator<Feature> CREATOR = new s();
    @SafeParcelable.c(getter = "getName", id = 1)

    /* renamed from: f  reason: collision with root package name */
    private final String f4608f;
    @SafeParcelable.c(getter = "getOldVersion", id = 2)
    @Deprecated

    /* renamed from: g  reason: collision with root package name */
    private final int f4609g;
    @SafeParcelable.c(defaultValue = "-1", getter = "getVersion", id = 3)

    /* renamed from: p  reason: collision with root package name */
    private final long f4610p;

    @SafeParcelable.b
    public Feature(@SafeParcelable.e(id = 1) String str, @SafeParcelable.e(id = 2) int i7, @SafeParcelable.e(id = 3) long j7) {
        this.f4608f = str;
        this.f4609g = i7;
        this.f4610p = j7;
    }

    @a
    public String J() {
        return this.f4608f;
    }

    @a
    public long K() {
        long j7 = this.f4610p;
        return j7 == -1 ? (long) this.f4609g : j7;
    }

    public boolean equals(@Nullable Object obj) {
        if (obj instanceof Feature) {
            Feature feature = (Feature) obj;
            return ((J() != null && J().equals(feature.J())) || (J() == null && feature.J() == null)) && K() == feature.K();
        }
    }

    public int hashCode() {
        return z.b(J(), Long.valueOf(K()));
    }

    public String toString() {
        return z.c(this).a("name", J()).a("version", Long.valueOf(K())).toString();
    }

    public void writeToParcel(Parcel parcel, int i7) {
        int a8 = b.a(parcel);
        b.X(parcel, 1, J(), false);
        b.F(parcel, 2, this.f4609g);
        b.K(parcel, 3, K());
        b.b(parcel, a8);
    }

    @a
    public Feature(String str, long j7) {
        this.f4608f = str;
        this.f4610p = j7;
        this.f4609g = -1;
    }
}
