package com.google.android.gms.common.api;

import android.app.Activity;
import android.app.PendingIntent;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.IntentSender;
import android.os.Bundle;
import android.util.Log;
import com.google.android.gms.cloudmessaging.a;
import com.google.android.gms.common.ConnectionResult;
import com.google.android.gms.common.annotation.KeepName;
import com.google.android.gms.common.api.internal.g;
import com.google.android.gms.common.e;
import x.d0;

@KeepName
public class GoogleApiActivity extends Activity implements DialogInterface.OnCancelListener {
    @d0

    /* renamed from: a  reason: collision with root package name */
    private int f4611a = 0;

    public static PendingIntent a(Context context, PendingIntent pendingIntent, int i7) {
        return PendingIntent.getActivity(context, 0, b(context, pendingIntent, i7, true), 134217728);
    }

    public static Intent b(Context context, PendingIntent pendingIntent, int i7, boolean z7) {
        Intent intent = new Intent(context, GoogleApiActivity.class);
        intent.putExtra(a.b.f4528a, pendingIntent);
        intent.putExtra("failing_client_id", i7);
        intent.putExtra("notify_manager", z7);
        return intent;
    }

    /* access modifiers changed from: protected */
    public void onActivityResult(int i7, int i8, Intent intent) {
        super.onActivityResult(i7, i8, intent);
        if (i7 == 1) {
            boolean booleanExtra = getIntent().getBooleanExtra("notify_manager", true);
            this.f4611a = 0;
            setResult(i8, intent);
            if (booleanExtra) {
                g n7 = g.n(this);
                if (i8 == -1) {
                    n7.E();
                } else if (i8 == 0) {
                    n7.h(new ConnectionResult(13, null), getIntent().getIntExtra("failing_client_id", -1));
                }
            }
        } else if (i7 == 2) {
            this.f4611a = 0;
            setResult(i8, intent);
        }
        finish();
    }

    public void onCancel(DialogInterface dialogInterface) {
        this.f4611a = 0;
        setResult(0);
        finish();
    }

    /* access modifiers changed from: protected */
    public void onCreate(Bundle bundle) {
        String str;
        super.onCreate(bundle);
        if (bundle != null) {
            this.f4611a = bundle.getInt("resolution");
        }
        if (this.f4611a != 1) {
            Bundle extras = getIntent().getExtras();
            if (extras == null) {
                str = "Activity started without extras";
            } else {
                PendingIntent pendingIntent = (PendingIntent) extras.get(a.b.f4528a);
                Integer num = (Integer) extras.get("error_code");
                if (pendingIntent == null && num == null) {
                    str = "Activity started without resolution";
                } else if (pendingIntent != null) {
                    try {
                        startIntentSenderForResult(pendingIntent.getIntentSender(), 1, null, 0, 0, 0);
                        this.f4611a = 1;
                        return;
                    } catch (IntentSender.SendIntentException e7) {
                        Log.e("GoogleApiActivity", "Failed to launch pendingIntent", e7);
                    }
                } else {
                    e.v().z(this, num.intValue(), 2, this);
                    this.f4611a = 1;
                    return;
                }
            }
            Log.e("GoogleApiActivity", str);
            finish();
        }
    }

    /* access modifiers changed from: protected */
    public void onSaveInstanceState(Bundle bundle) {
        bundle.putInt("resolution", this.f4611a);
        super.onSaveInstanceState(bundle);
    }
}
