package com.google.android.gms.common.api;

import android.app.Activity;
import android.app.PendingIntent;
import android.content.IntentSender;
import android.os.Parcel;
import android.os.Parcelable;
import androidx.annotation.Nullable;
import com.google.android.gms.common.internal.ReflectedParcelable;
import com.google.android.gms.common.internal.safeparcel.AbstractSafeParcelable;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable;
import com.google.android.gms.common.internal.z;
import r.a;
import t.b;
import x.d0;

@SafeParcelable.a(creator = "StatusCreator")
@a
public final class Status extends AbstractSafeParcelable implements s, ReflectedParcelable {
    @a
    public static final Status C1 = new Status(14);
    @a
    public static final Status C2 = new Status(8);
    public static final Parcelable.Creator<Status> CREATOR = new c0();
    @a
    public static final Status U5 = new Status(15);
    @a
    public static final Status V5 = new Status(16);
    private static final Status W5 = new Status(17);
    @a
    public static final Status X5 = new Status(18);
    @a
    @d0

    /* renamed from: y  reason: collision with root package name */
    public static final Status f4614y = new Status(0);
    @SafeParcelable.g(id = 1000)

    /* renamed from: f  reason: collision with root package name */
    private final int f4615f;
    @SafeParcelable.c(getter = "getStatusCode", id = 1)

    /* renamed from: g  reason: collision with root package name */
    private final int f4616g;
    @Nullable
    @SafeParcelable.c(getter = "getStatusMessage", id = 2)

    /* renamed from: p  reason: collision with root package name */
    private final String f4617p;
    @Nullable
    @SafeParcelable.c(getter = "getPendingIntent", id = 3)

    /* renamed from: x  reason: collision with root package name */
    private final PendingIntent f4618x;

    @a
    public Status(int i7) {
        this(i7, null);
    }

    public final PendingIntent J() {
        return this.f4618x;
    }

    public final int K() {
        return this.f4616g;
    }

    @Nullable
    public final String L() {
        return this.f4617p;
    }

    @d0
    public final boolean M() {
        return this.f4618x != null;
    }

    public final boolean N() {
        return this.f4616g == 16;
    }

    public final boolean O() {
        return this.f4616g == 14;
    }

    public final boolean S() {
        return this.f4616g <= 0;
    }

    public final void T(Activity activity, int i7) throws IntentSender.SendIntentException {
        if (M()) {
            activity.startIntentSenderForResult(this.f4618x.getIntentSender(), i7, null, 0, 0, 0);
        }
    }

    public final String U() {
        String str = this.f4617p;
        return str != null ? str : h.a(this.f4616g);
    }

    public final boolean equals(Object obj) {
        if (!(obj instanceof Status)) {
            return false;
        }
        Status status = (Status) obj;
        return this.f4615f == status.f4615f && this.f4616g == status.f4616g && z.a(this.f4617p, status.f4617p) && z.a(this.f4618x, status.f4618x);
    }

    public final int hashCode() {
        return z.b(Integer.valueOf(this.f4615f), Integer.valueOf(this.f4616g), this.f4617p, this.f4618x);
    }

    @Override // com.google.android.gms.common.api.s
    @a
    public final Status m() {
        return this;
    }

    public final String toString() {
        return z.c(this).a("statusCode", U()).a("resolution", this.f4618x).toString();
    }

    @a
    public final void writeToParcel(Parcel parcel, int i7) {
        int a8 = b.a(parcel);
        b.F(parcel, 1, K());
        b.X(parcel, 2, L(), false);
        b.S(parcel, 3, this.f4618x, i7, false);
        b.F(parcel, 1000, this.f4615f);
        b.b(parcel, a8);
    }

    @a
    @SafeParcelable.b
    Status(@SafeParcelable.e(id = 1000) int i7, @SafeParcelable.e(id = 1) int i8, @Nullable @SafeParcelable.e(id = 2) String str, @Nullable @SafeParcelable.e(id = 3) PendingIntent pendingIntent) {
        this.f4615f = i7;
        this.f4616g = i8;
        this.f4617p = str;
        this.f4618x = pendingIntent;
    }

    @a
    public Status(int i7, @Nullable String str) {
        this(1, i7, str, null);
    }

    @a
    public Status(int i7, @Nullable String str, @Nullable PendingIntent pendingIntent) {
        this(1, i7, str, pendingIntent);
    }
}
