package com.google.android.gms.common.api.internal;

import android.os.Looper;
import android.os.Message;
import android.os.RemoteException;
import android.util.Log;
import android.util.Pair;
import androidx.annotation.NonNull;
import com.google.android.gms.common.annotation.KeepName;
import com.google.android.gms.common.api.Status;
import com.google.android.gms.common.api.k;
import com.google.android.gms.common.api.m;
import com.google.android.gms.common.api.o;
import com.google.android.gms.common.api.s;
import com.google.android.gms.common.api.t;
import com.google.android.gms.common.api.v;
import com.google.android.gms.common.api.w;
import com.google.android.gms.common.internal.b0;
import com.google.android.gms.common.internal.r;
import com.google.android.gms.internal.base.p;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.concurrent.CountDownLatch;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.atomic.AtomicReference;
import x.d0;

@r.a
@KeepName
public abstract class BasePendingResult<R extends s> extends m<R> {

    /* renamed from: p  reason: collision with root package name */
    static final ThreadLocal<Boolean> f4658p = new h3();

    /* renamed from: a  reason: collision with root package name */
    private final Object f4659a;

    /* renamed from: b  reason: collision with root package name */
    private final a<R> f4660b;

    /* renamed from: c  reason: collision with root package name */
    private final WeakReference<k> f4661c;

    /* renamed from: d  reason: collision with root package name */
    private final CountDownLatch f4662d;

    /* renamed from: e  reason: collision with root package name */
    private final ArrayList<m.a> f4663e;

    /* renamed from: f  reason: collision with root package name */
    private t<? super R> f4664f;

    /* renamed from: g  reason: collision with root package name */
    private final AtomicReference<u2> f4665g;

    /* renamed from: h  reason: collision with root package name */
    private R f4666h;

    /* renamed from: i  reason: collision with root package name */
    private Status f4667i;

    /* renamed from: j  reason: collision with root package name */
    private volatile boolean f4668j;

    /* renamed from: k  reason: collision with root package name */
    private boolean f4669k;

    /* renamed from: l  reason: collision with root package name */
    private boolean f4670l;

    /* renamed from: m  reason: collision with root package name */
    private r f4671m;
    @KeepName
    private b mResultGuardian;

    /* renamed from: n  reason: collision with root package name */
    private volatile o2<R> f4672n;

    /* renamed from: o  reason: collision with root package name */
    private boolean f4673o;

    @d0
    public static class a<R extends s> extends p {
        public a() {
            this(Looper.getMainLooper());
        }

        public final void a(t<? super R> tVar, R r7) {
            sendMessage(obtainMessage(1, new Pair(tVar, r7)));
        }

        /* JADX DEBUG: Multi-variable search result rejected for r2v2, resolved type: com.google.android.gms.common.api.t */
        /* JADX WARN: Multi-variable type inference failed */
        public void handleMessage(Message message) {
            int i7 = message.what;
            if (i7 == 1) {
                Pair pair = (Pair) message.obj;
                t tVar = (t) pair.first;
                s sVar = (s) pair.second;
                try {
                    tVar.a(sVar);
                } catch (RuntimeException e7) {
                    BasePendingResult.t(sVar);
                    throw e7;
                }
            } else if (i7 != 2) {
                StringBuilder sb = new StringBuilder(45);
                sb.append("Don't know how to handle message: ");
                sb.append(i7);
                Log.wtf("BasePendingResult", sb.toString(), new Exception());
            } else {
                ((BasePendingResult) message.obj).u(Status.U5);
            }
        }

        public a(Looper looper) {
            super(looper);
        }
    }

    /* access modifiers changed from: private */
    public final class b {
        private b() {
        }

        /* access modifiers changed from: protected */
        public final void finalize() throws Throwable {
            BasePendingResult.t(BasePendingResult.this.f4666h);
            super.finalize();
        }

        /* synthetic */ b(BasePendingResult basePendingResult, h3 h3Var) {
            this();
        }
    }

    @Deprecated
    BasePendingResult() {
        this.f4659a = new Object();
        this.f4662d = new CountDownLatch(1);
        this.f4663e = new ArrayList<>();
        this.f4665g = new AtomicReference<>();
        this.f4673o = false;
        this.f4660b = new a<>(Looper.getMainLooper());
        this.f4661c = new WeakReference<>(null);
    }

    private final R m() {
        R r7;
        synchronized (this.f4659a) {
            b0.r(!this.f4668j, "Result has already been consumed.");
            b0.r(n(), "Result is not ready.");
            r7 = this.f4666h;
            this.f4666h = null;
            this.f4664f = null;
            this.f4668j = true;
        }
        u2 andSet = this.f4665g.getAndSet(null);
        if (andSet != null) {
            andSet.a(this);
        }
        return r7;
    }

    private final void r(R r7) {
        this.f4666h = r7;
        this.f4671m = null;
        this.f4662d.countDown();
        this.f4667i = this.f4666h.m();
        if (this.f4669k) {
            this.f4664f = null;
        } else if (this.f4664f != null) {
            this.f4660b.removeMessages(2);
            this.f4660b.a(this.f4664f, m());
        } else if (this.f4666h instanceof o) {
            this.mResultGuardian = new b(this, null);
        }
        ArrayList<m.a> arrayList = this.f4663e;
        int size = arrayList.size();
        int i7 = 0;
        while (i7 < size) {
            m.a aVar = arrayList.get(i7);
            i7++;
            aVar.a(this.f4667i);
        }
        this.f4663e.clear();
    }

    public static void t(s sVar) {
        if (sVar instanceof o) {
            try {
                ((o) sVar).f();
            } catch (RuntimeException e7) {
                String valueOf = String.valueOf(sVar);
                StringBuilder sb = new StringBuilder(valueOf.length() + 18);
                sb.append("Unable to release ");
                sb.append(valueOf);
                Log.w("BasePendingResult", sb.toString(), e7);
            }
        }
    }

    @Override // com.google.android.gms.common.api.m
    public final void c(m.a aVar) {
        b0.b(aVar != null, "Callback cannot be null.");
        synchronized (this.f4659a) {
            if (n()) {
                aVar.a(this.f4667i);
            } else {
                this.f4663e.add(aVar);
            }
        }
    }

    @Override // com.google.android.gms.common.api.m
    public final R d() {
        b0.j("await must not be called on the UI thread");
        boolean z7 = true;
        b0.r(!this.f4668j, "Result has already been consumed");
        if (this.f4672n != null) {
            z7 = false;
        }
        b0.r(z7, "Cannot await if then() has been called.");
        try {
            this.f4662d.await();
        } catch (InterruptedException unused) {
            u(Status.C1);
        }
        b0.r(n(), "Result is not ready.");
        return m();
    }

    @Override // com.google.android.gms.common.api.m
    public final R e(long j7, TimeUnit timeUnit) {
        if (j7 > 0) {
            b0.j("await must not be called on the UI thread when time is greater than zero.");
        }
        boolean z7 = true;
        b0.r(!this.f4668j, "Result has already been consumed.");
        if (this.f4672n != null) {
            z7 = false;
        }
        b0.r(z7, "Cannot await if then() has been called.");
        try {
            if (!this.f4662d.await(j7, timeUnit)) {
                u(Status.U5);
            }
        } catch (InterruptedException unused) {
            u(Status.C1);
        }
        b0.r(n(), "Result is not ready.");
        return m();
    }

    @Override // com.google.android.gms.common.api.m
    @r.a
    public void f() {
        synchronized (this.f4659a) {
            if (!this.f4669k) {
                if (!this.f4668j) {
                    r rVar = this.f4671m;
                    if (rVar != null) {
                        try {
                            rVar.cancel();
                        } catch (RemoteException unused) {
                        }
                    }
                    t(this.f4666h);
                    this.f4669k = true;
                    r(l(Status.V5));
                }
            }
        }
    }

    @Override // com.google.android.gms.common.api.m
    public boolean g() {
        boolean z7;
        synchronized (this.f4659a) {
            z7 = this.f4669k;
        }
        return z7;
    }

    @Override // com.google.android.gms.common.api.m
    @r.a
    public final void h(t<? super R> tVar) {
        synchronized (this.f4659a) {
            if (tVar == null) {
                this.f4664f = null;
                return;
            }
            boolean z7 = true;
            b0.r(!this.f4668j, "Result has already been consumed.");
            if (this.f4672n != null) {
                z7 = false;
            }
            b0.r(z7, "Cannot set callbacks if then() has been called.");
            if (!g()) {
                if (n()) {
                    this.f4660b.a(tVar, m());
                } else {
                    this.f4664f = tVar;
                }
            }
        }
    }

    @Override // com.google.android.gms.common.api.m
    @r.a
    public final void i(t<? super R> tVar, long j7, TimeUnit timeUnit) {
        synchronized (this.f4659a) {
            if (tVar == null) {
                this.f4664f = null;
                return;
            }
            boolean z7 = true;
            b0.r(!this.f4668j, "Result has already been consumed.");
            if (this.f4672n != null) {
                z7 = false;
            }
            b0.r(z7, "Cannot set callbacks if then() has been called.");
            if (!g()) {
                if (n()) {
                    this.f4660b.a(tVar, m());
                } else {
                    this.f4664f = tVar;
                    a<R> aVar = this.f4660b;
                    aVar.sendMessageDelayed(aVar.obtainMessage(2, this), timeUnit.toMillis(j7));
                }
            }
        }
    }

    @Override // com.google.android.gms.common.api.m
    public <S extends s> w<S> j(v<? super R, ? extends S> vVar) {
        w<S> c7;
        b0.r(!this.f4668j, "Result has already been consumed.");
        synchronized (this.f4659a) {
            boolean z7 = false;
            b0.r(this.f4672n == null, "Cannot call then() twice.");
            b0.r(this.f4664f == null, "Cannot call then() if callbacks are set.");
            if (!this.f4669k) {
                z7 = true;
            }
            b0.r(z7, "Cannot call then() if result was canceled.");
            this.f4673o = true;
            this.f4672n = new o2<>(this.f4661c);
            c7 = this.f4672n.c(vVar);
            if (n()) {
                this.f4660b.a(this.f4672n, m());
            } else {
                this.f4664f = this.f4672n;
            }
        }
        return c7;
    }

    @Override // com.google.android.gms.common.api.m
    public final Integer k() {
        return null;
    }

    /* access modifiers changed from: protected */
    @NonNull
    @r.a
    public abstract R l(Status status);

    @r.a
    public final boolean n() {
        return this.f4662d.getCount() == 0;
    }

    /* access modifiers changed from: protected */
    @r.a
    public final void o(r rVar) {
        synchronized (this.f4659a) {
            this.f4671m = rVar;
        }
    }

    @r.a
    public final void p(R r7) {
        synchronized (this.f4659a) {
            if (this.f4670l || this.f4669k) {
                t(r7);
                return;
            }
            n();
            boolean z7 = true;
            b0.r(!n(), "Results have already been set");
            if (this.f4668j) {
                z7 = false;
            }
            b0.r(z7, "Result has already been consumed");
            r(r7);
        }
    }

    public final void s(u2 u2Var) {
        this.f4665g.set(u2Var);
    }

    public final void u(Status status) {
        synchronized (this.f4659a) {
            if (!n()) {
                p(l(status));
                this.f4670l = true;
            }
        }
    }

    public final boolean v() {
        boolean g7;
        synchronized (this.f4659a) {
            if (this.f4661c.get() == null || !this.f4673o) {
                f();
            }
            g7 = g();
        }
        return g7;
    }

    public final void w() {
        this.f4673o = this.f4673o || f4658p.get().booleanValue();
    }

    @r.a
    @Deprecated
    protected BasePendingResult(Looper looper) {
        this.f4659a = new Object();
        this.f4662d = new CountDownLatch(1);
        this.f4663e = new ArrayList<>();
        this.f4665g = new AtomicReference<>();
        this.f4673o = false;
        this.f4660b = new a<>(looper);
        this.f4661c = new WeakReference<>(null);
    }

    @r.a
    protected BasePendingResult(k kVar) {
        this.f4659a = new Object();
        this.f4662d = new CountDownLatch(1);
        this.f4663e = new ArrayList<>();
        this.f4665g = new AtomicReference<>();
        this.f4673o = false;
        this.f4660b = new a<>(kVar != null ? kVar.r() : Looper.getMainLooper());
        this.f4661c = new WeakReference<>(kVar);
    }

    @r.a
    @d0
    protected BasePendingResult(@NonNull a<R> aVar) {
        this.f4659a = new Object();
        this.f4662d = new CountDownLatch(1);
        this.f4663e = new ArrayList<>();
        this.f4665g = new AtomicReference<>();
        this.f4673o = false;
        this.f4660b = (a) b0.l(aVar, "CallbackHandler must not be null");
        this.f4661c = new WeakReference<>(null);
    }
}
