package com.google.android.gms.common.api.internal;

import android.app.Application;
import android.app.PendingIntent;
import android.content.Context;
import android.os.Bundle;
import android.os.DeadObjectException;
import android.os.Handler;
import android.os.HandlerThread;
import android.os.Looper;
import android.os.Message;
import android.os.RemoteException;
import android.util.Log;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.WorkerThread;
import androidx.collection.ArrayMap;
import androidx.collection.ArraySet;
import androidx.work.PeriodicWorkRequest;
import androidx.work.WorkRequest;
import com.google.android.gms.common.ConnectionResult;
import com.google.android.gms.common.Feature;
import com.google.android.gms.common.api.Scope;
import com.google.android.gms.common.api.Status;
import com.google.android.gms.common.api.a;
import com.google.android.gms.common.api.internal.d;
import com.google.android.gms.common.api.internal.l;
import com.google.android.gms.common.api.j;
import com.google.android.gms.common.api.k;
import com.google.android.gms.common.api.s;
import com.google.android.gms.common.api.x;
import com.google.android.gms.common.e;
import com.google.android.gms.common.internal.b0;
import com.google.android.gms.common.internal.e;
import com.google.android.gms.common.internal.h0;
import com.google.android.gms.common.internal.o;
import com.google.android.gms.common.internal.q;
import com.google.android.gms.common.internal.z;
import com.google.android.gms.internal.base.p;
import com.google.android.gms.tasks.m;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Iterator;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;
import java.util.Queue;
import java.util.Set;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.atomic.AtomicInteger;
import x.v;

@r.a
public class g implements Handler.Callback {

    /* renamed from: n  reason: collision with root package name */
    public static final Status f4747n = new Status(4, "Sign-out occurred while this API call was in progress.");

    /* renamed from: o  reason: collision with root package name */
    private static final Status f4748o = new Status(4, "The user must be signed in to make this API call.");

    /* renamed from: p  reason: collision with root package name */
    private static final Object f4749p = new Object();
    @f4.a("lock")

    /* renamed from: q  reason: collision with root package name */
    private static g f4750q;

    /* renamed from: a  reason: collision with root package name */
    private long f4751a = 5000;

    /* renamed from: b  reason: collision with root package name */
    private long f4752b = 120000;

    /* renamed from: c  reason: collision with root package name */
    private long f4753c = WorkRequest.MIN_BACKOFF_MILLIS;

    /* renamed from: d  reason: collision with root package name */
    private final Context f4754d;

    /* renamed from: e  reason: collision with root package name */
    private final e f4755e;

    /* renamed from: f  reason: collision with root package name */
    private final o f4756f;

    /* renamed from: g  reason: collision with root package name */
    private final AtomicInteger f4757g = new AtomicInteger(1);

    /* renamed from: h  reason: collision with root package name */
    private final AtomicInteger f4758h = new AtomicInteger(0);

    /* renamed from: i  reason: collision with root package name */
    private final Map<a3<?>, a<?>> f4759i = new ConcurrentHashMap(5, 0.75f, 1);
    @f4.a("lock")

    /* renamed from: j  reason: collision with root package name */
    private e0 f4760j = null;
    @f4.a("lock")

    /* renamed from: k  reason: collision with root package name */
    private final Set<a3<?>> f4761k = new ArraySet();

    /* renamed from: l  reason: collision with root package name */
    private final Set<a3<?>> f4762l = new ArraySet();

    /* renamed from: m  reason: collision with root package name */
    private final Handler f4763m;

    public class a<O extends a.d> implements k.b, k.c, j3 {

        /* renamed from: e  reason: collision with root package name */
        private final Queue<a1> f4764e = new LinkedList();

        /* renamed from: f  reason: collision with root package name */
        private final a.f f4765f;

        /* renamed from: g  reason: collision with root package name */
        private final a.b f4766g;

        /* renamed from: h  reason: collision with root package name */
        private final a3<O> f4767h;

        /* renamed from: i  reason: collision with root package name */
        private final b0 f4768i;

        /* renamed from: j  reason: collision with root package name */
        private final Set<c3> f4769j = new HashSet();

        /* renamed from: k  reason: collision with root package name */
        private final Map<l.a<?>, x1> f4770k = new HashMap();

        /* renamed from: l  reason: collision with root package name */
        private final int f4771l;

        /* renamed from: m  reason: collision with root package name */
        private final g2 f4772m;

        /* renamed from: n  reason: collision with root package name */
        private boolean f4773n;

        /* renamed from: o  reason: collision with root package name */
        private final List<b> f4774o = new ArrayList();

        /* renamed from: p  reason: collision with root package name */
        private ConnectionResult f4775p = null;

        @WorkerThread
        public a(j<O> jVar) {
            a.f t7 = jVar.t(g.this.f4763m.getLooper(), this);
            this.f4765f = t7;
            if (t7 instanceof h0) {
                this.f4766g = ((h0) t7).s0();
            } else {
                this.f4766g = t7;
            }
            this.f4767h = jVar.x();
            this.f4768i = new b0();
            this.f4771l = jVar.q();
            if (t7.w()) {
                this.f4772m = jVar.v(g.this.f4754d, g.this.f4763m);
            } else {
                this.f4772m = null;
            }
        }

        @WorkerThread
        private final void B() {
            if (this.f4773n) {
                g.this.f4763m.removeMessages(11, this.f4767h);
                g.this.f4763m.removeMessages(9, this.f4767h);
                this.f4773n = false;
            }
        }

        private final void C() {
            g.this.f4763m.removeMessages(12, this.f4767h);
            g.this.f4763m.sendMessageDelayed(g.this.f4763m.obtainMessage(12, this.f4767h), g.this.f4753c);
        }

        @WorkerThread
        private final void G(a1 a1Var) {
            a1Var.d(this.f4768i, f());
            try {
                a1Var.c(this);
            } catch (DeadObjectException unused) {
                d(1);
                this.f4765f.a();
            }
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        @WorkerThread
        private final boolean H(boolean z7) {
            b0.d(g.this.f4763m);
            if (!this.f4765f.c() || this.f4770k.size() != 0) {
                return false;
            }
            if (this.f4768i.e()) {
                if (z7) {
                    C();
                }
                return false;
            }
            this.f4765f.a();
            return true;
        }

        @WorkerThread
        private final boolean M(@NonNull ConnectionResult connectionResult) {
            synchronized (g.f4749p) {
                if (g.this.f4760j == null || !g.this.f4761k.contains(this.f4767h)) {
                    return false;
                }
                g.this.f4760j.o(connectionResult, this.f4771l);
                return true;
            }
        }

        @WorkerThread
        private final void N(ConnectionResult connectionResult) {
            for (c3 c3Var : this.f4769j) {
                c3Var.b(this.f4767h, connectionResult, z.a(connectionResult, ConnectionResult.f4602n6) ? this.f4765f.m() : null);
            }
            this.f4769j.clear();
        }

        @Nullable
        @WorkerThread
        private final Feature i(@Nullable Feature[] featureArr) {
            if (!(featureArr == null || featureArr.length == 0)) {
                Feature[] u7 = this.f4765f.u();
                if (u7 == null) {
                    u7 = new Feature[0];
                }
                ArrayMap arrayMap = new ArrayMap(u7.length);
                for (Feature feature : u7) {
                    arrayMap.put(feature.J(), Long.valueOf(feature.K()));
                }
                for (Feature feature2 : featureArr) {
                    if (!arrayMap.containsKey(feature2.J()) || ((Long) arrayMap.get(feature2.J())).longValue() < feature2.K()) {
                        return feature2;
                    }
                }
            }
            return null;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        @WorkerThread
        private final void k(b bVar) {
            if (!this.f4774o.contains(bVar) || this.f4773n) {
                return;
            }
            if (!this.f4765f.c()) {
                a();
            } else {
                v();
            }
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        @WorkerThread
        private final void r(b bVar) {
            Feature[] g7;
            if (this.f4774o.remove(bVar)) {
                g.this.f4763m.removeMessages(15, bVar);
                g.this.f4763m.removeMessages(16, bVar);
                Feature feature = bVar.f4778b;
                ArrayList arrayList = new ArrayList(this.f4764e.size());
                for (a1 a1Var : this.f4764e) {
                    if ((a1Var instanceof b2) && (g7 = ((b2) a1Var).g(this)) != null && x.b.e(g7, feature)) {
                        arrayList.add(a1Var);
                    }
                }
                int size = arrayList.size();
                int i7 = 0;
                while (i7 < size) {
                    Object obj = arrayList.get(i7);
                    i7++;
                    a1 a1Var2 = (a1) obj;
                    this.f4764e.remove(a1Var2);
                    a1Var2.e(new x(feature));
                }
            }
        }

        @WorkerThread
        private final boolean s(a1 a1Var) {
            if (!(a1Var instanceof b2)) {
                G(a1Var);
                return true;
            }
            b2 b2Var = (b2) a1Var;
            Feature i7 = i(b2Var.g(this));
            if (i7 == null) {
                G(a1Var);
                return true;
            } else if (b2Var.h(this)) {
                b bVar = new b(this.f4767h, i7, null);
                int indexOf = this.f4774o.indexOf(bVar);
                if (indexOf >= 0) {
                    b bVar2 = this.f4774o.get(indexOf);
                    g.this.f4763m.removeMessages(15, bVar2);
                    g.this.f4763m.sendMessageDelayed(Message.obtain(g.this.f4763m, 15, bVar2), g.this.f4751a);
                    return false;
                }
                this.f4774o.add(bVar);
                g.this.f4763m.sendMessageDelayed(Message.obtain(g.this.f4763m, 15, bVar), g.this.f4751a);
                g.this.f4763m.sendMessageDelayed(Message.obtain(g.this.f4763m, 16, bVar), g.this.f4752b);
                ConnectionResult connectionResult = new ConnectionResult(2, null);
                if (M(connectionResult)) {
                    return false;
                }
                g.this.w(connectionResult, this.f4771l);
                return false;
            } else {
                b2Var.e(new x(i7));
                return false;
            }
        }

        /* access modifiers changed from: private */
        @WorkerThread
        public final void t() {
            z();
            N(ConnectionResult.f4602n6);
            B();
            Iterator<x1> it = this.f4770k.values().iterator();
            while (it.hasNext()) {
                x1 next = it.next();
                if (i(next.f4996a.c()) == null) {
                    try {
                        next.f4996a.d(this.f4766g, new m<>());
                    } catch (DeadObjectException unused) {
                        d(1);
                        this.f4765f.a();
                    } catch (RemoteException unused2) {
                    }
                }
                it.remove();
            }
            v();
            C();
        }

        /* access modifiers changed from: private */
        @WorkerThread
        public final void u() {
            z();
            this.f4773n = true;
            this.f4768i.g();
            g.this.f4763m.sendMessageDelayed(Message.obtain(g.this.f4763m, 9, this.f4767h), g.this.f4751a);
            g.this.f4763m.sendMessageDelayed(Message.obtain(g.this.f4763m, 11, this.f4767h), g.this.f4752b);
            g.this.f4756f.a();
        }

        @WorkerThread
        private final void v() {
            ArrayList arrayList = new ArrayList(this.f4764e);
            int size = arrayList.size();
            int i7 = 0;
            while (i7 < size) {
                Object obj = arrayList.get(i7);
                i7++;
                a1 a1Var = (a1) obj;
                if (!this.f4765f.c()) {
                    return;
                }
                if (s(a1Var)) {
                    this.f4764e.remove(a1Var);
                }
            }
        }

        @WorkerThread
        public final ConnectionResult A() {
            b0.d(g.this.f4763m);
            return this.f4775p;
        }

        @WorkerThread
        public final boolean D() {
            return H(true);
        }

        /* access modifiers changed from: package-private */
        public final com.google.android.gms.signin.e E() {
            g2 g2Var = this.f4772m;
            if (g2Var == null) {
                return null;
            }
            return g2Var.S1();
        }

        @WorkerThread
        public final void F(Status status) {
            b0.d(g.this.f4763m);
            for (a1 a1Var : this.f4764e) {
                a1Var.b(status);
            }
            this.f4764e.clear();
        }

        @WorkerThread
        public final void L(@NonNull ConnectionResult connectionResult) {
            b0.d(g.this.f4763m);
            this.f4765f.a();
            w(connectionResult);
        }

        @WorkerThread
        public final void a() {
            b0.d(g.this.f4763m);
            if (!this.f4765f.c() && !this.f4765f.f()) {
                int b7 = g.this.f4756f.b(g.this.f4754d, this.f4765f);
                if (b7 != 0) {
                    w(new ConnectionResult(b7, null));
                    return;
                }
                c cVar = new c(this.f4765f, this.f4767h);
                if (this.f4765f.w()) {
                    this.f4772m.R1(cVar);
                }
                this.f4765f.n(cVar);
            }
        }

        public final int b() {
            return this.f4771l;
        }

        /* access modifiers changed from: package-private */
        public final boolean c() {
            return this.f4765f.c();
        }

        @Override // com.google.android.gms.common.api.k.b
        public final void d(int i7) {
            if (Looper.myLooper() == g.this.f4763m.getLooper()) {
                u();
            } else {
                g.this.f4763m.post(new l1(this));
            }
        }

        @Override // com.google.android.gms.common.api.k.b
        public final void e(@Nullable Bundle bundle) {
            if (Looper.myLooper() == g.this.f4763m.getLooper()) {
                t();
            } else {
                g.this.f4763m.post(new k1(this));
            }
        }

        public final boolean f() {
            return this.f4765f.w();
        }

        @Override // com.google.android.gms.common.api.internal.j3
        public final void g(ConnectionResult connectionResult, com.google.android.gms.common.api.a<?> aVar, boolean z7) {
            if (Looper.myLooper() == g.this.f4763m.getLooper()) {
                w(connectionResult);
            } else {
                g.this.f4763m.post(new m1(this, connectionResult));
            }
        }

        @WorkerThread
        public final void h() {
            b0.d(g.this.f4763m);
            if (this.f4773n) {
                a();
            }
        }

        @WorkerThread
        public final void l(a1 a1Var) {
            b0.d(g.this.f4763m);
            if (!this.f4765f.c()) {
                this.f4764e.add(a1Var);
                ConnectionResult connectionResult = this.f4775p;
                if (connectionResult == null || !connectionResult.M()) {
                    a();
                } else {
                    w(this.f4775p);
                }
            } else if (s(a1Var)) {
                C();
            } else {
                this.f4764e.add(a1Var);
            }
        }

        @WorkerThread
        public final void m(c3 c3Var) {
            b0.d(g.this.f4763m);
            this.f4769j.add(c3Var);
        }

        public final a.f o() {
            return this.f4765f;
        }

        @WorkerThread
        public final void p() {
            b0.d(g.this.f4763m);
            if (this.f4773n) {
                B();
                F(g.this.f4755e.j(g.this.f4754d) == 18 ? new Status(8, "Connection timed out while waiting for Google Play services update to complete.") : new Status(8, "API failed to connect while resuming due to an unknown error."));
                this.f4765f.a();
            }
        }

        @Override // com.google.android.gms.common.api.k.c
        @WorkerThread
        public final void w(@NonNull ConnectionResult connectionResult) {
            b0.d(g.this.f4763m);
            g2 g2Var = this.f4772m;
            if (g2Var != null) {
                g2Var.T1();
            }
            z();
            g.this.f4756f.a();
            N(connectionResult);
            if (connectionResult.J() == 4) {
                F(g.f4748o);
            } else if (this.f4764e.isEmpty()) {
                this.f4775p = connectionResult;
            } else if (!M(connectionResult) && !g.this.w(connectionResult, this.f4771l)) {
                if (connectionResult.J() == 18) {
                    this.f4773n = true;
                }
                if (this.f4773n) {
                    g.this.f4763m.sendMessageDelayed(Message.obtain(g.this.f4763m, 9, this.f4767h), g.this.f4751a);
                    return;
                }
                String c7 = this.f4767h.c();
                StringBuilder sb = new StringBuilder(String.valueOf(c7).length() + 38);
                sb.append("API: ");
                sb.append(c7);
                sb.append(" is not available on this device.");
                F(new Status(17, sb.toString()));
            }
        }

        @WorkerThread
        public final void x() {
            b0.d(g.this.f4763m);
            F(g.f4747n);
            this.f4768i.f();
            for (l.a aVar : (l.a[]) this.f4770k.keySet().toArray(new l.a[this.f4770k.size()])) {
                l(new z2(aVar, new m()));
            }
            N(new ConnectionResult(4));
            if (this.f4765f.c()) {
                this.f4765f.o(new n1(this));
            }
        }

        public final Map<l.a<?>, x1> y() {
            return this.f4770k;
        }

        @WorkerThread
        public final void z() {
            b0.d(g.this.f4763m);
            this.f4775p = null;
        }
    }

    /* access modifiers changed from: private */
    public static class b {

        /* renamed from: a  reason: collision with root package name */
        private final a3<?> f4777a;

        /* renamed from: b  reason: collision with root package name */
        private final Feature f4778b;

        private b(a3<?> a3Var, Feature feature) {
            this.f4777a = a3Var;
            this.f4778b = feature;
        }

        public final boolean equals(Object obj) {
            if (obj != null && (obj instanceof b)) {
                b bVar = (b) obj;
                return z.a(this.f4777a, bVar.f4777a) && z.a(this.f4778b, bVar.f4778b);
            }
        }

        public final int hashCode() {
            return z.b(this.f4777a, this.f4778b);
        }

        public final String toString() {
            return z.c(this).a("key", this.f4777a).a("feature", this.f4778b).toString();
        }

        /* synthetic */ b(a3 a3Var, Feature feature, j1 j1Var) {
            this(a3Var, feature);
        }
    }

    /* access modifiers changed from: private */
    public class c implements j2, e.c {

        /* renamed from: a  reason: collision with root package name */
        private final a.f f4779a;

        /* renamed from: b  reason: collision with root package name */
        private final a3<?> f4780b;

        /* renamed from: c  reason: collision with root package name */
        private q f4781c = null;

        /* renamed from: d  reason: collision with root package name */
        private Set<Scope> f4782d = null;

        /* renamed from: e  reason: collision with root package name */
        private boolean f4783e = false;

        public c(a.f fVar, a3<?> a3Var) {
            this.f4779a = fVar;
            this.f4780b = a3Var;
        }

        /* access modifiers changed from: private */
        @WorkerThread
        public final void g() {
            q qVar;
            if (this.f4783e && (qVar = this.f4781c) != null) {
                this.f4779a.l(qVar, this.f4782d);
            }
        }

        @Override // com.google.android.gms.common.internal.e.c
        public final void a(@NonNull ConnectionResult connectionResult) {
            g.this.f4763m.post(new p1(this, connectionResult));
        }

        @Override // com.google.android.gms.common.api.internal.j2
        @WorkerThread
        public final void b(q qVar, Set<Scope> set) {
            if (qVar == null || set == null) {
                Log.wtf("GoogleApiManager", "Received null response from onSignInSuccess", new Exception());
                c(new ConnectionResult(4));
                return;
            }
            this.f4781c = qVar;
            this.f4782d = set;
            g();
        }

        @Override // com.google.android.gms.common.api.internal.j2
        @WorkerThread
        public final void c(ConnectionResult connectionResult) {
            ((a) g.this.f4759i.get(this.f4780b)).L(connectionResult);
        }
    }

    @r.a
    private g(Context context, Looper looper, com.google.android.gms.common.e eVar) {
        this.f4754d = context;
        p pVar = new p(looper, this);
        this.f4763m = pVar;
        this.f4755e = eVar;
        this.f4756f = new o(eVar);
        pVar.sendMessage(pVar.obtainMessage(6));
    }

    @r.a
    public static void b() {
        synchronized (f4749p) {
            g gVar = f4750q;
            if (gVar != null) {
                gVar.f4758h.incrementAndGet();
                Handler handler = gVar.f4763m;
                handler.sendMessageAtFrontOfQueue(handler.obtainMessage(10));
            }
        }
    }

    public static g n(Context context) {
        g gVar;
        synchronized (f4749p) {
            if (f4750q == null) {
                HandlerThread handlerThread = new HandlerThread("GoogleApiHandler", 9);
                handlerThread.start();
                f4750q = new g(context.getApplicationContext(), handlerThread.getLooper(), com.google.android.gms.common.e.v());
            }
            gVar = f4750q;
        }
        return gVar;
    }

    @WorkerThread
    private final void o(j<?> jVar) {
        a3<?> x7 = jVar.x();
        a<?> aVar = this.f4759i.get(x7);
        if (aVar == null) {
            aVar = new a<>(jVar);
            this.f4759i.put(x7, aVar);
        }
        if (aVar.f()) {
            this.f4762l.add(x7);
        }
        aVar.a();
    }

    public static g q() {
        g gVar;
        synchronized (f4749p) {
            b0.l(f4750q, "Must guarantee manager is non-null before using getInstance");
            gVar = f4750q;
        }
        return gVar;
    }

    public final void E() {
        Handler handler = this.f4763m;
        handler.sendMessage(handler.obtainMessage(3));
    }

    /* access modifiers changed from: package-private */
    public final void a() {
        this.f4758h.incrementAndGet();
        Handler handler = this.f4763m;
        handler.sendMessage(handler.obtainMessage(10));
    }

    /* access modifiers changed from: package-private */
    public final PendingIntent c(a3<?> a3Var, int i7) {
        com.google.android.gms.signin.e E;
        a<?> aVar = this.f4759i.get(a3Var);
        if (aVar == null || (E = aVar.E()) == null) {
            return null;
        }
        return PendingIntent.getActivity(this.f4754d, i7, E.v(), 134217728);
    }

    public final <O extends a.d> com.google.android.gms.tasks.l<Boolean> e(@NonNull j<O> jVar, @NonNull l.a<?> aVar) {
        m mVar = new m();
        z2 z2Var = new z2(aVar, mVar);
        Handler handler = this.f4763m;
        handler.sendMessage(handler.obtainMessage(13, new w1(z2Var, this.f4758h.get(), jVar)));
        return mVar.a();
    }

    public final <O extends a.d> com.google.android.gms.tasks.l<Void> f(@NonNull j<O> jVar, @NonNull p<a.b, ?> pVar, @NonNull y<a.b, ?> yVar) {
        m mVar = new m();
        x2 x2Var = new x2(new x1(pVar, yVar), mVar);
        Handler handler = this.f4763m;
        handler.sendMessage(handler.obtainMessage(8, new w1(x2Var, this.f4758h.get(), jVar)));
        return mVar.a();
    }

    public final com.google.android.gms.tasks.l<Map<a3<?>, String>> g(Iterable<? extends j<?>> iterable) {
        c3 c3Var = new c3(iterable);
        Handler handler = this.f4763m;
        handler.sendMessage(handler.obtainMessage(2, c3Var));
        return c3Var.a();
    }

    public final void h(ConnectionResult connectionResult, int i7) {
        if (!w(connectionResult, i7)) {
            Handler handler = this.f4763m;
            handler.sendMessage(handler.obtainMessage(5, i7, 0, connectionResult));
        }
    }

    @WorkerThread
    public boolean handleMessage(Message message) {
        int i7 = message.what;
        long j7 = PeriodicWorkRequest.MIN_PERIODIC_FLEX_MILLIS;
        a<?> aVar = null;
        switch (i7) {
            case 1:
                if (((Boolean) message.obj).booleanValue()) {
                    j7 = WorkRequest.MIN_BACKOFF_MILLIS;
                }
                this.f4753c = j7;
                this.f4763m.removeMessages(12);
                for (a3<?> a3Var : this.f4759i.keySet()) {
                    Handler handler = this.f4763m;
                    handler.sendMessageDelayed(handler.obtainMessage(12, a3Var), this.f4753c);
                }
                break;
            case 2:
                c3 c3Var = (c3) message.obj;
                Iterator<a3<?>> it = c3Var.c().iterator();
                while (true) {
                    if (!it.hasNext()) {
                        break;
                    } else {
                        a3<?> next = it.next();
                        a<?> aVar2 = this.f4759i.get(next);
                        if (aVar2 == null) {
                            c3Var.b(next, new ConnectionResult(13), null);
                            break;
                        } else if (aVar2.c()) {
                            c3Var.b(next, ConnectionResult.f4602n6, aVar2.o().m());
                        } else if (aVar2.A() != null) {
                            c3Var.b(next, aVar2.A(), null);
                        } else {
                            aVar2.m(c3Var);
                            aVar2.a();
                        }
                    }
                }
            case 3:
                for (a<?> aVar3 : this.f4759i.values()) {
                    aVar3.z();
                    aVar3.a();
                }
                break;
            case 4:
            case 8:
            case 13:
                w1 w1Var = (w1) message.obj;
                a<?> aVar4 = this.f4759i.get(w1Var.f4993c.x());
                if (aVar4 == null) {
                    o(w1Var.f4993c);
                    aVar4 = this.f4759i.get(w1Var.f4993c.x());
                }
                if (!aVar4.f() || this.f4758h.get() == w1Var.f4992b) {
                    aVar4.l(w1Var.f4991a);
                    break;
                } else {
                    w1Var.f4991a.b(f4747n);
                    aVar4.x();
                    break;
                }
                break;
            case 5:
                int i8 = message.arg1;
                ConnectionResult connectionResult = (ConnectionResult) message.obj;
                Iterator<a<?>> it2 = this.f4759i.values().iterator();
                while (true) {
                    if (it2.hasNext()) {
                        a<?> next2 = it2.next();
                        if (next2.b() == i8) {
                            aVar = next2;
                        }
                    }
                }
                if (aVar != null) {
                    String h7 = this.f4755e.h(connectionResult.J());
                    String K = connectionResult.K();
                    StringBuilder sb = new StringBuilder(String.valueOf(h7).length() + 69 + String.valueOf(K).length());
                    sb.append("Error resolution was canceled by the user, original error message: ");
                    sb.append(h7);
                    sb.append(": ");
                    sb.append(K);
                    aVar.F(new Status(17, sb.toString()));
                    break;
                } else {
                    StringBuilder sb2 = new StringBuilder(76);
                    sb2.append("Could not find API instance ");
                    sb2.append(i8);
                    sb2.append(" while trying to fail enqueued calls.");
                    Log.wtf("GoogleApiManager", sb2.toString(), new Exception());
                    break;
                }
            case 6:
                if (v.c() && (this.f4754d.getApplicationContext() instanceof Application)) {
                    c.c((Application) this.f4754d.getApplicationContext());
                    c.b().a(new j1(this));
                    if (!c.b().f(true)) {
                        this.f4753c = PeriodicWorkRequest.MIN_PERIODIC_FLEX_MILLIS;
                        break;
                    }
                }
                break;
            case 7:
                o((j) message.obj);
                break;
            case 9:
                if (this.f4759i.containsKey(message.obj)) {
                    this.f4759i.get(message.obj).h();
                    break;
                }
                break;
            case 10:
                for (a3<?> a3Var2 : this.f4762l) {
                    this.f4759i.remove(a3Var2).x();
                }
                this.f4762l.clear();
                break;
            case 11:
                if (this.f4759i.containsKey(message.obj)) {
                    this.f4759i.get(message.obj).p();
                    break;
                }
                break;
            case 12:
                if (this.f4759i.containsKey(message.obj)) {
                    this.f4759i.get(message.obj).D();
                    break;
                }
                break;
            case 14:
                f0 f0Var = (f0) message.obj;
                a3<?> b7 = f0Var.b();
                if (!this.f4759i.containsKey(b7)) {
                    f0Var.a().c(Boolean.FALSE);
                    break;
                } else {
                    f0Var.a().c(Boolean.valueOf(this.f4759i.get(b7).H(false)));
                    break;
                }
            case 15:
                b bVar = (b) message.obj;
                if (this.f4759i.containsKey(bVar.f4777a)) {
                    this.f4759i.get(bVar.f4777a).k(bVar);
                    break;
                }
                break;
            case 16:
                b bVar2 = (b) message.obj;
                if (this.f4759i.containsKey(bVar2.f4777a)) {
                    this.f4759i.get(bVar2.f4777a).r(bVar2);
                    break;
                }
                break;
            default:
                StringBuilder sb3 = new StringBuilder(31);
                sb3.append("Unknown message id: ");
                sb3.append(i7);
                Log.w("GoogleApiManager", sb3.toString());
                return false;
        }
        return true;
    }

    public final void i(j<?> jVar) {
        Handler handler = this.f4763m;
        handler.sendMessage(handler.obtainMessage(7, jVar));
    }

    public final <O extends a.d> void j(j<O> jVar, int i7, d.a<? extends s, a.b> aVar) {
        w2 w2Var = new w2(i7, aVar);
        Handler handler = this.f4763m;
        handler.sendMessage(handler.obtainMessage(4, new w1(w2Var, this.f4758h.get(), jVar)));
    }

    public final <O extends a.d, ResultT> void k(j<O> jVar, int i7, w<a.b, ResultT> wVar, m<ResultT> mVar, u uVar) {
        y2 y2Var = new y2(i7, wVar, mVar, uVar);
        Handler handler = this.f4763m;
        handler.sendMessage(handler.obtainMessage(4, new w1(y2Var, this.f4758h.get(), jVar)));
    }

    public final void l(@NonNull e0 e0Var) {
        synchronized (f4749p) {
            if (this.f4760j != e0Var) {
                this.f4760j = e0Var;
                this.f4761k.clear();
            }
            this.f4761k.addAll(e0Var.s());
        }
    }

    /* access modifiers changed from: package-private */
    public final void p(@NonNull e0 e0Var) {
        synchronized (f4749p) {
            if (this.f4760j == e0Var) {
                this.f4760j = null;
                this.f4761k.clear();
            }
        }
    }

    public final int r() {
        return this.f4757g.getAndIncrement();
    }

    public final com.google.android.gms.tasks.l<Boolean> v(j<?> jVar) {
        f0 f0Var = new f0(jVar.x());
        Handler handler = this.f4763m;
        handler.sendMessage(handler.obtainMessage(14, f0Var));
        return f0Var.a().a();
    }

    /* access modifiers changed from: package-private */
    public final boolean w(ConnectionResult connectionResult, int i7) {
        return this.f4755e.J(this.f4754d, connectionResult, i7);
    }
}
