package com.google.android.gms.common.api.internal;

import android.content.Context;
import android.os.Bundle;
import android.os.Looper;
import android.util.Log;
import com.google.android.gms.common.ConnectionResult;
import com.google.android.gms.common.api.Scope;
import com.google.android.gms.common.api.a;
import com.google.android.gms.common.api.internal.d;
import com.google.android.gms.common.api.s;
import com.google.android.gms.common.f;
import com.google.android.gms.common.internal.ResolveAccountResponse;
import com.google.android.gms.common.internal.f;
import com.google.android.gms.common.internal.q;
import com.google.android.gms.signin.e;
import com.google.android.gms.signin.internal.zaj;
import java.util.ArrayList;
import java.util.Collections;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Map;
import java.util.Set;
import java.util.concurrent.Future;
import java.util.concurrent.locks.Lock;

public final class k0 implements e1 {

    /* renamed from: a  reason: collision with root package name */
    private final f1 f4817a;

    /* renamed from: b  reason: collision with root package name */
    private final Lock f4818b;

    /* renamed from: c  reason: collision with root package name */
    private final Context f4819c;

    /* renamed from: d  reason: collision with root package name */
    private final f f4820d;

    /* renamed from: e  reason: collision with root package name */
    private ConnectionResult f4821e;

    /* renamed from: f  reason: collision with root package name */
    private int f4822f;

    /* renamed from: g  reason: collision with root package name */
    private int f4823g = 0;

    /* renamed from: h  reason: collision with root package name */
    private int f4824h;

    /* renamed from: i  reason: collision with root package name */
    private final Bundle f4825i = new Bundle();

    /* renamed from: j  reason: collision with root package name */
    private final Set<a.c> f4826j = new HashSet();

    /* renamed from: k  reason: collision with root package name */
    private e f4827k;

    /* renamed from: l  reason: collision with root package name */
    private boolean f4828l;

    /* renamed from: m  reason: collision with root package name */
    private boolean f4829m;

    /* renamed from: n  reason: collision with root package name */
    private boolean f4830n;

    /* renamed from: o  reason: collision with root package name */
    private q f4831o;

    /* renamed from: p  reason: collision with root package name */
    private boolean f4832p;

    /* renamed from: q  reason: collision with root package name */
    private boolean f4833q;

    /* renamed from: r  reason: collision with root package name */
    private final com.google.android.gms.common.internal.f f4834r;

    /* renamed from: s  reason: collision with root package name */
    private final Map<a<?>, Boolean> f4835s;

    /* renamed from: t  reason: collision with root package name */
    private final a.AbstractC0047a<? extends e, com.google.android.gms.signin.a> f4836t;

    /* renamed from: u  reason: collision with root package name */
    private ArrayList<Future<?>> f4837u = new ArrayList<>();

    public k0(f1 f1Var, com.google.android.gms.common.internal.f fVar, Map<a<?>, Boolean> map, f fVar2, a.AbstractC0047a<? extends e, com.google.android.gms.signin.a> aVar, Lock lock, Context context) {
        this.f4817a = f1Var;
        this.f4834r = fVar;
        this.f4835s = map;
        this.f4820d = fVar2;
        this.f4836t = aVar;
        this.f4818b = lock;
        this.f4819c = context;
    }

    private static String B(int i7) {
        return i7 != 0 ? i7 != 1 ? "UNKNOWN" : "STEP_GETTING_REMOTE_SERVICE" : "STEP_SERVICE_BINDINGS_AND_SIGN_IN";
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    @f4.a("mLock")
    private final boolean C(ConnectionResult connectionResult) {
        return this.f4828l && !connectionResult.M();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    @f4.a("mLock")
    private final void D(ConnectionResult connectionResult) {
        s();
        w(!connectionResult.M());
        this.f4817a.w(connectionResult);
        this.f4817a.f4743s.a(connectionResult);
    }

    /* access modifiers changed from: private */
    @f4.a("mLock")
    public final void m(zaj zaj) {
        if (z(0)) {
            ConnectionResult J = zaj.J();
            if (J.N()) {
                ResolveAccountResponse K = zaj.K();
                ConnectionResult K2 = K.K();
                if (!K2.N()) {
                    String valueOf = String.valueOf(K2);
                    StringBuilder sb = new StringBuilder(valueOf.length() + 48);
                    sb.append("Sign-in succeeded with resolve account failure: ");
                    sb.append(valueOf);
                    Log.wtf("GoogleApiClientConnecting", sb.toString(), new Exception());
                    D(K2);
                    return;
                }
                this.f4830n = true;
                this.f4831o = K.J();
                this.f4832p = K.L();
                this.f4833q = K.M();
                p();
            } else if (C(J)) {
                r();
                p();
            } else {
                D(J);
            }
        }
    }

    static /* synthetic */ boolean n(k0 k0Var, int i7) {
        return k0Var.z(0);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    @f4.a("mLock")
    private final boolean o() {
        ConnectionResult connectionResult;
        int i7 = this.f4824h - 1;
        this.f4824h = i7;
        if (i7 > 0) {
            return false;
        }
        if (i7 < 0) {
            Log.w("GoogleApiClientConnecting", this.f4817a.f4742r.T());
            Log.wtf("GoogleApiClientConnecting", "GoogleApiClient received too many callbacks for the given step. Clients may be in an unexpected state; GoogleApiClient will now disconnect.", new Exception());
            connectionResult = new ConnectionResult(8, null);
        } else {
            connectionResult = this.f4821e;
            if (connectionResult == null) {
                return true;
            }
            this.f4817a.f4741q = this.f4822f;
        }
        D(connectionResult);
        return false;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    @f4.a("mLock")
    private final void p() {
        if (this.f4824h == 0) {
            if (!this.f4829m || this.f4830n) {
                ArrayList arrayList = new ArrayList();
                this.f4823g = 1;
                this.f4824h = this.f4817a.f4734j.size();
                for (a.c<?> cVar : this.f4817a.f4734j.keySet()) {
                    if (!this.f4817a.f4735k.containsKey(cVar)) {
                        arrayList.add(this.f4817a.f4734j.get(cVar));
                    } else if (o()) {
                        q();
                    }
                }
                if (!arrayList.isEmpty()) {
                    this.f4837u.add(i1.a().submit(new q0(this, arrayList)));
                }
            }
        }
    }

    @f4.a("mLock")
    private final void q() {
        this.f4817a.v();
        i1.a().execute(new l0(this));
        e eVar = this.f4827k;
        if (eVar != null) {
            if (this.f4832p) {
                eVar.d(this.f4831o, this.f4833q);
            }
            w(false);
        }
        for (a.c<?> cVar : this.f4817a.f4735k.keySet()) {
            this.f4817a.f4734j.get(cVar).a();
        }
        this.f4817a.f4743s.b(this.f4825i.isEmpty() ? null : this.f4825i);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    @f4.a("mLock")
    private final void r() {
        this.f4829m = false;
        this.f4817a.f4742r.f4984t = Collections.emptySet();
        for (a.c<?> cVar : this.f4826j) {
            if (!this.f4817a.f4735k.containsKey(cVar)) {
                this.f4817a.f4735k.put(cVar, new ConnectionResult(17, null));
            }
        }
    }

    private final void s() {
        ArrayList<Future<?>> arrayList = this.f4837u;
        int size = arrayList.size();
        int i7 = 0;
        while (i7 < size) {
            Future<?> future = arrayList.get(i7);
            i7++;
            future.cancel(true);
        }
        this.f4837u.clear();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final Set<Scope> t() {
        if (this.f4834r == null) {
            return Collections.emptySet();
        }
        HashSet hashSet = new HashSet(this.f4834r.l());
        Map<a<?>, f.b> i7 = this.f4834r.i();
        for (a<?> aVar : i7.keySet()) {
            if (!this.f4817a.f4735k.containsKey(aVar.a())) {
                hashSet.addAll(i7.get(aVar).f5279a);
            }
        }
        return hashSet;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* JADX WARNING: Code restructure failed: missing block: B:8:0x0022, code lost:
        if ((r5.M() || r4.f4820d.d(r5.J()) != null) != false) goto L_0x0024;
     */
    @f4.a("mLock")
    private final void v(ConnectionResult connectionResult, a<?> aVar, boolean z7) {
        int b7 = aVar.c().b();
        boolean z8 = false;
        if (z7) {
        }
        if (this.f4821e == null || b7 < this.f4822f) {
            z8 = true;
        }
        if (z8) {
            this.f4821e = connectionResult;
            this.f4822f = b7;
        }
        this.f4817a.f4735k.put(aVar.a(), connectionResult);
    }

    @f4.a("mLock")
    private final void w(boolean z7) {
        e eVar = this.f4827k;
        if (eVar != null) {
            if (eVar.c() && z7) {
                this.f4827k.e();
            }
            this.f4827k.a();
            if (this.f4834r.o()) {
                this.f4827k = null;
            }
            this.f4831o = null;
        }
    }

    @f4.a("mLock")
    private final boolean z(int i7) {
        if (this.f4823g == i7) {
            return true;
        }
        Log.w("GoogleApiClientConnecting", this.f4817a.f4742r.T());
        String valueOf = String.valueOf(this);
        StringBuilder sb = new StringBuilder(valueOf.length() + 23);
        sb.append("Unexpected callback in ");
        sb.append(valueOf);
        Log.w("GoogleApiClientConnecting", sb.toString());
        int i8 = this.f4824h;
        StringBuilder sb2 = new StringBuilder(33);
        sb2.append("mRemainingConnections=");
        sb2.append(i8);
        Log.w("GoogleApiClientConnecting", sb2.toString());
        String B = B(this.f4823g);
        String B2 = B(i7);
        StringBuilder sb3 = new StringBuilder(String.valueOf(B).length() + 70 + String.valueOf(B2).length());
        sb3.append("GoogleApiClient connecting is in step ");
        sb3.append(B);
        sb3.append(" but received callback for step ");
        sb3.append(B2);
        Log.wtf("GoogleApiClientConnecting", sb3.toString(), new Exception());
        D(new ConnectionResult(8, null));
        return false;
    }

    @Override // com.google.android.gms.common.api.internal.e1
    @f4.a("mLock")
    public final boolean a() {
        s();
        w(true);
        this.f4817a.w(null);
        return true;
    }

    @Override // com.google.android.gms.common.api.internal.e1
    public final void b() {
    }

    @Override // com.google.android.gms.common.api.internal.e1
    @f4.a("mLock")
    public final void d(int i7) {
        D(new ConnectionResult(8, null));
    }

    @Override // com.google.android.gms.common.api.internal.e1
    @f4.a("mLock")
    public final void e(Bundle bundle) {
        if (z(1)) {
            if (bundle != null) {
                this.f4825i.putAll(bundle);
            }
            if (o()) {
                q();
            }
        }
    }

    @Override // com.google.android.gms.common.api.internal.e1
    @f4.a("mLock")
    public final void g(ConnectionResult connectionResult, a<?> aVar, boolean z7) {
        if (z(1)) {
            v(connectionResult, aVar, z7);
            if (o()) {
                q();
            }
        }
    }

    @Override // com.google.android.gms.common.api.internal.e1
    public final <A extends a.b, T extends d.a<? extends s, A>> T h(T t7) {
        throw new IllegalStateException("GoogleApiClient is not connected yet.");
    }

    @Override // com.google.android.gms.common.api.internal.e1
    public final <A extends a.b, R extends s, T extends d.a<R, A>> T j(T t7) {
        this.f4817a.f4742r.f4976l.add(t7);
        return t7;
    }

    @Override // com.google.android.gms.common.api.internal.e1
    @f4.a("mLock")
    public final void k() {
        this.f4817a.f4735k.clear();
        this.f4829m = false;
        this.f4821e = null;
        this.f4823g = 0;
        this.f4828l = true;
        this.f4830n = false;
        this.f4832p = false;
        HashMap hashMap = new HashMap();
        boolean z7 = false;
        for (a<?> aVar : this.f4835s.keySet()) {
            a.f fVar = this.f4817a.f4734j.get(aVar.a());
            z7 |= aVar.c().b() == 1;
            boolean booleanValue = this.f4835s.get(aVar).booleanValue();
            if (fVar.w()) {
                this.f4829m = true;
                if (booleanValue) {
                    this.f4826j.add(aVar.a());
                } else {
                    this.f4828l = false;
                }
            }
            hashMap.put(fVar, new m0(this, aVar, booleanValue));
        }
        if (z7) {
            this.f4829m = false;
        }
        if (this.f4829m) {
            this.f4834r.p(Integer.valueOf(System.identityHashCode(this.f4817a.f4742r)));
            t0 t0Var = new t0(this, null);
            a.AbstractC0047a<? extends e, com.google.android.gms.signin.a> aVar2 = this.f4836t;
            Context context = this.f4819c;
            Looper r7 = this.f4817a.f4742r.r();
            com.google.android.gms.common.internal.f fVar2 = this.f4834r;
            this.f4827k = (e) aVar2.c(context, r7, fVar2, fVar2.m(), t0Var, t0Var);
        }
        this.f4824h = this.f4817a.f4734j.size();
        this.f4837u.add(i1.a().submit(new n0(this, hashMap)));
    }
}
