package com.google.android.gms.common.api.internal;

import android.app.PendingIntent;
import android.content.Context;
import android.os.Bundle;
import android.os.Looper;
import android.util.Log;
import androidx.collection.ArrayMap;
import com.google.android.gms.common.ConnectionResult;
import com.google.android.gms.common.api.Status;
import com.google.android.gms.common.api.a;
import com.google.android.gms.common.api.internal.d;
import com.google.android.gms.common.api.s;
import com.google.android.gms.common.f;
import com.google.android.gms.common.internal.b0;
import com.google.android.gms.internal.base.p;
import com.google.android.gms.signin.e;
import java.io.FileDescriptor;
import java.io.PrintWriter;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Map;
import java.util.Set;
import java.util.WeakHashMap;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.locks.Lock;

public final class k3 implements t1 {

    /* renamed from: e */
    private final Context f4839e;

    /* renamed from: f */
    private final w0 f4840f;

    /* renamed from: g */
    private final Looper f4841g;

    /* renamed from: h */
    private final f1 f4842h;

    /* renamed from: i */
    private final f1 f4843i;

    /* renamed from: j */
    private final Map<a.c<?>, f1> f4844j;

    /* renamed from: k */
    private final Set<s> f4845k = Collections.newSetFromMap(new WeakHashMap());

    /* renamed from: l */
    private final a.f f4846l;

    /* renamed from: m */
    private Bundle f4847m;

    /* renamed from: n */
    private ConnectionResult f4848n = null;

    /* renamed from: o */
    private ConnectionResult f4849o = null;

    /* renamed from: p */
    private boolean f4850p = false;

    /* renamed from: q */
    private final Lock f4851q;

    /* renamed from: r */
    private int f4852r = 0;

    private k3(Context context, w0 w0Var, Lock lock, Looper looper, f fVar, Map<a.c<?>, a.f> map, Map<a.c<?>, a.f> map2, com.google.android.gms.common.internal.f fVar2, a.AbstractC0047a<? extends e, com.google.android.gms.signin.a> aVar, a.f fVar3, ArrayList<i3> arrayList, ArrayList<i3> arrayList2, Map<a<?>, Boolean> map3, Map<a<?>, Boolean> map4) {
        this.f4839e = context;
        this.f4840f = w0Var;
        this.f4851q = lock;
        this.f4841g = looper;
        this.f4846l = fVar3;
        this.f4842h = new f1(context, w0Var, lock, looper, fVar, map2, null, map4, null, arrayList2, new m3(this, null));
        this.f4843i = new f1(context, w0Var, lock, looper, fVar, map, fVar2, map3, aVar, arrayList, new n3(this, null));
        ArrayMap arrayMap = new ArrayMap();
        for (a.c<?> cVar : map2.keySet()) {
            arrayMap.put(cVar, this.f4842h);
        }
        for (a.c<?> cVar2 : map.keySet()) {
            arrayMap.put(cVar2, this.f4843i);
        }
        this.f4844j = Collections.unmodifiableMap(arrayMap);
    }

    private static boolean A(ConnectionResult connectionResult) {
        return connectionResult != null && connectionResult.N();
    }

    /* access modifiers changed from: public */
    private final void F() {
        ConnectionResult connectionResult;
        if (A(this.f4848n)) {
            if (A(this.f4849o) || H()) {
                int i7 = this.f4852r;
                if (i7 != 1) {
                    if (i7 != 2) {
                        Log.wtf("CompositeGAC", "Attempted to call success callbacks in CONNECTION_MODE_NONE. Callbacks should be disabled via GmsClientSupervisor", new AssertionError());
                        this.f4852r = 0;
                        return;
                    }
                    this.f4840f.b(this.f4847m);
                }
                G();
                this.f4852r = 0;
                return;
            }
            ConnectionResult connectionResult2 = this.f4849o;
            if (connectionResult2 == null) {
                return;
            }
            if (this.f4852r == 1) {
                G();
                return;
            }
            s(connectionResult2);
            this.f4842h.a();
        } else if (this.f4848n == null || !A(this.f4849o)) {
            ConnectionResult connectionResult3 = this.f4848n;
            if (connectionResult3 != null && (connectionResult = this.f4849o) != null) {
                if (this.f4843i.f4741q < this.f4842h.f4741q) {
                    connectionResult3 = connectionResult;
                }
                s(connectionResult3);
            }
        } else {
            this.f4843i.a();
            s(this.f4848n);
        }
    }

    private final void G() {
        for (s sVar : this.f4845k) {
            sVar.a();
        }
        this.f4845k.clear();
    }

    private final boolean H() {
        ConnectionResult connectionResult = this.f4849o;
        return connectionResult != null && connectionResult.J() == 4;
    }

    public static k3 e(Context context, w0 w0Var, Lock lock, Looper looper, f fVar, Map<a.c<?>, a.f> map, com.google.android.gms.common.internal.f fVar2, Map<a<?>, Boolean> map2, a.AbstractC0047a<? extends e, com.google.android.gms.signin.a> aVar, ArrayList<i3> arrayList) {
        ArrayMap arrayMap = new ArrayMap();
        ArrayMap arrayMap2 = new ArrayMap();
        a.f fVar3 = null;
        for (Map.Entry<a.c<?>, a.f> entry : map.entrySet()) {
            a.f value = entry.getValue();
            if (value.k()) {
                fVar3 = value;
            }
            boolean w7 = value.w();
            a.c<?> key = entry.getKey();
            if (w7) {
                arrayMap.put(key, value);
            } else {
                arrayMap2.put(key, value);
            }
        }
        b0.r(!arrayMap.isEmpty(), "CompositeGoogleApiClient should not be used without any APIs that require sign-in.");
        ArrayMap arrayMap3 = new ArrayMap();
        ArrayMap arrayMap4 = new ArrayMap();
        for (a<?> aVar2 : map2.keySet()) {
            a.c<?> a8 = aVar2.a();
            if (arrayMap.containsKey(a8)) {
                arrayMap3.put(aVar2, map2.get(aVar2));
            } else if (arrayMap2.containsKey(a8)) {
                arrayMap4.put(aVar2, map2.get(aVar2));
            } else {
                throw new IllegalStateException("Each API in the isOptionalMap must have a corresponding client in the clients map.");
            }
        }
        ArrayList arrayList2 = new ArrayList();
        ArrayList arrayList3 = new ArrayList();
        int size = arrayList.size();
        int i7 = 0;
        while (i7 < size) {
            i3 i3Var = arrayList.get(i7);
            i7++;
            i3 i3Var2 = i3Var;
            if (arrayMap3.containsKey(i3Var2.f4811e)) {
                arrayList2.add(i3Var2);
            } else if (arrayMap4.containsKey(i3Var2.f4811e)) {
                arrayList3.add(i3Var2);
            } else {
                throw new IllegalStateException("Each ClientCallbacks must have a corresponding API in the isOptionalMap");
            }
        }
        return new k3(context, w0Var, lock, looper, fVar, arrayMap, arrayMap2, fVar2, aVar, fVar3, arrayList2, arrayList3, arrayMap3, arrayMap4);
    }

    /* access modifiers changed from: public */
    private final void q(int i7, boolean z7) {
        this.f4840f.c(i7, z7);
        this.f4849o = null;
        this.f4848n = null;
    }

    /* access modifiers changed from: public */
    private final void r(Bundle bundle) {
        Bundle bundle2 = this.f4847m;
        if (bundle2 == null) {
            this.f4847m = bundle;
        } else if (bundle != null) {
            bundle2.putAll(bundle);
        }
    }

    private final void s(ConnectionResult connectionResult) {
        int i7 = this.f4852r;
        if (i7 != 1) {
            if (i7 != 2) {
                Log.wtf("CompositeGAC", "Attempted to call failure callbacks in CONNECTION_MODE_NONE. Callbacks should be disabled via GmsClientSupervisor", new Exception());
                this.f4852r = 0;
            }
            this.f4840f.a(connectionResult);
        }
        G();
        this.f4852r = 0;
    }

    private final boolean v(d.a<? extends s, ? extends a.b> aVar) {
        a.c<? extends a.b> z7 = aVar.z();
        b0.b(this.f4844j.containsKey(z7), "GoogleApiClient is not configured to use the API required for this call.");
        return this.f4844j.get(z7).equals(this.f4843i);
    }

    private final PendingIntent x() {
        if (this.f4846l == null) {
            return null;
        }
        return PendingIntent.getActivity(this.f4839e, System.identityHashCode(this.f4840f), this.f4846l.v(), 134217728);
    }

    @Override // com.google.android.gms.common.api.internal.t1
    public final void a() {
        this.f4849o = null;
        this.f4848n = null;
        this.f4852r = 0;
        this.f4842h.a();
        this.f4843i.a();
        G();
    }

    @Override // com.google.android.gms.common.api.internal.t1
    public final void b() {
        this.f4852r = 2;
        this.f4850p = false;
        this.f4849o = null;
        this.f4848n = null;
        this.f4842h.b();
        this.f4843i.b();
    }

    /* JADX WARNING: Code restructure failed: missing block: B:9:0x001e, code lost:
        if (r2.f4852r != 1) goto L_0x0021;
     */
    @Override // com.google.android.gms.common.api.internal.t1
    public final boolean c() {
        boolean z7;
        this.f4851q.lock();
        try {
            if (this.f4842h.c()) {
                z7 = true;
                if (!this.f4843i.c()) {
                    if (!H()) {
                    }
                }
                return z7;
            }
            z7 = false;
            return z7;
        } finally {
            this.f4851q.unlock();
        }
    }

    @Override // com.google.android.gms.common.api.internal.t1
    public final boolean f() {
        this.f4851q.lock();
        try {
            return this.f4852r == 2;
        } finally {
            this.f4851q.unlock();
        }
    }

    @Override // com.google.android.gms.common.api.internal.t1
    public final <A extends a.b, T extends d.a<? extends s, A>> T h(T t7) {
        f1 f1Var;
        if (!v(t7)) {
            f1Var = this.f4842h;
        } else if (H()) {
            t7.a(new Status(4, null, x()));
            return t7;
        } else {
            f1Var = this.f4843i;
        }
        return (T) f1Var.h(t7);
    }

    @Override // com.google.android.gms.common.api.internal.t1
    public final void i(String str, FileDescriptor fileDescriptor, PrintWriter printWriter, String[] strArr) {
        printWriter.append((CharSequence) str).append("authClient").println(":");
        this.f4843i.i(String.valueOf(str).concat("  "), fileDescriptor, printWriter, strArr);
        printWriter.append((CharSequence) str).append("anonClient").println(":");
        this.f4842h.i(String.valueOf(str).concat("  "), fileDescriptor, printWriter, strArr);
    }

    @Override // com.google.android.gms.common.api.internal.t1
    public final <A extends a.b, R extends s, T extends d.a<R, A>> T j(T t7) {
        f1 f1Var;
        if (!v(t7)) {
            f1Var = this.f4842h;
        } else if (H()) {
            t7.a(new Status(4, null, x()));
            return t7;
        } else {
            f1Var = this.f4843i;
        }
        return (T) f1Var.j(t7);
    }

    @Override // com.google.android.gms.common.api.internal.t1
    public final boolean k(s sVar) {
        this.f4851q.lock();
        try {
            if ((f() || c()) && !this.f4843i.c()) {
                this.f4845k.add(sVar);
                if (this.f4852r == 0) {
                    this.f4852r = 1;
                }
                this.f4849o = null;
                this.f4843i.b();
                return true;
            }
            this.f4851q.unlock();
            return false;
        } finally {
            this.f4851q.unlock();
        }
    }

    @Override // com.google.android.gms.common.api.internal.t1
    public final ConnectionResult l(long j7, TimeUnit timeUnit) {
        throw new UnsupportedOperationException();
    }

    @Override // com.google.android.gms.common.api.internal.t1
    public final void m() {
        this.f4842h.m();
        this.f4843i.m();
    }

    @Override // com.google.android.gms.common.api.internal.t1
    public final void n() {
        this.f4851q.lock();
        try {
            boolean f7 = f();
            this.f4843i.a();
            this.f4849o = new ConnectionResult(4);
            if (f7) {
                new p(this.f4841g).post(new l3(this));
            } else {
                G();
            }
        } finally {
            this.f4851q.unlock();
        }
    }

    @Override // com.google.android.gms.common.api.internal.t1
    public final ConnectionResult o(a<?> aVar) {
        f1 f1Var;
        if (!this.f4844j.get(aVar.a()).equals(this.f4843i)) {
            f1Var = this.f4842h;
        } else if (H()) {
            return new ConnectionResult(4, x());
        } else {
            f1Var = this.f4843i;
        }
        return f1Var.o(aVar);
    }

    @Override // com.google.android.gms.common.api.internal.t1
    public final ConnectionResult p() {
        throw new UnsupportedOperationException();
    }
}
