package com.google.android.gms.common.api.internal;

import android.os.Looper;
import android.util.Log;
import androidx.annotation.NonNull;
import com.google.android.gms.common.api.Status;
import com.google.android.gms.common.api.k;
import com.google.android.gms.common.api.m;
import com.google.android.gms.common.api.o;
import com.google.android.gms.common.api.s;
import com.google.android.gms.common.api.t;
import com.google.android.gms.common.api.u;
import com.google.android.gms.common.api.v;
import com.google.android.gms.common.api.w;
import com.google.android.gms.common.internal.b0;
import f4.a;
import java.lang.ref.WeakReference;

public final class o2<R extends s> extends w<R> implements t<R> {

    /* renamed from: a  reason: collision with root package name */
    private v<? super R, ? extends s> f4879a = null;

    /* renamed from: b  reason: collision with root package name */
    private o2<? extends s> f4880b = null;

    /* renamed from: c  reason: collision with root package name */
    private volatile u<? super R> f4881c = null;

    /* renamed from: d  reason: collision with root package name */
    private m<R> f4882d = null;

    /* renamed from: e  reason: collision with root package name */
    private final Object f4883e = new Object();

    /* renamed from: f  reason: collision with root package name */
    private Status f4884f = null;

    /* renamed from: g  reason: collision with root package name */
    private final WeakReference<k> f4885g;

    /* renamed from: h  reason: collision with root package name */
    private final q2 f4886h;

    /* renamed from: i  reason: collision with root package name */
    private boolean f4887i = false;

    public o2(WeakReference<k> weakReference) {
        b0.l(weakReference, "GoogleApiClient reference must not be null");
        this.f4885g = weakReference;
        k kVar = weakReference.get();
        this.f4886h = new q2(this, kVar != null ? kVar.r() : Looper.getMainLooper());
    }

    /* access modifiers changed from: private */
    public static void g(s sVar) {
        if (sVar instanceof o) {
            try {
                ((o) sVar).f();
            } catch (RuntimeException e7) {
                String valueOf = String.valueOf(sVar);
                StringBuilder sb = new StringBuilder(valueOf.length() + 18);
                sb.append("Unable to release ");
                sb.append(valueOf);
                Log.w("TransformedResultImpl", sb.toString(), e7);
            }
        }
    }

    @a("mSyncToken")
    private final void h() {
        if (this.f4879a != null || this.f4881c != null) {
            k kVar = this.f4885g.get();
            if (!(this.f4887i || this.f4879a == null || kVar == null)) {
                kVar.H(this);
                this.f4887i = true;
            }
            Status status = this.f4884f;
            if (status != null) {
                o(status);
                return;
            }
            m<R> mVar = this.f4882d;
            if (mVar != null) {
                mVar.h(this);
            }
        }
    }

    @a("mSyncToken")
    private final boolean j() {
        return (this.f4881c == null || this.f4885g.get() == null) ? false : true;
    }

    /* access modifiers changed from: private */
    public final void m(Status status) {
        synchronized (this.f4883e) {
            this.f4884f = status;
            o(status);
        }
    }

    private final void o(Status status) {
        synchronized (this.f4883e) {
            v<? super R, ? extends s> vVar = this.f4879a;
            if (vVar != null) {
                Status b7 = vVar.b(status);
                b0.l(b7, "onFailure must not return null");
                this.f4880b.m(b7);
            } else if (j()) {
                this.f4881c.b(status);
            }
        }
    }

    @Override // com.google.android.gms.common.api.t
    public final void a(R r7) {
        synchronized (this.f4883e) {
            if (!r7.m().S()) {
                m(r7.m());
                g(r7);
            } else if (this.f4879a != null) {
                e2.a().submit(new p2(this, r7));
            } else if (j()) {
                this.f4881c.c(r7);
            }
        }
    }

    @Override // com.google.android.gms.common.api.w
    public final void b(@NonNull u<? super R> uVar) {
        synchronized (this.f4883e) {
            boolean z7 = true;
            b0.r(this.f4881c == null, "Cannot call andFinally() twice.");
            if (this.f4879a != null) {
                z7 = false;
            }
            b0.r(z7, "Cannot call then() and andFinally() on the same TransformedResult.");
            this.f4881c = uVar;
            h();
        }
    }

    @Override // com.google.android.gms.common.api.w
    @NonNull
    public final <S extends s> w<S> c(@NonNull v<? super R, ? extends S> vVar) {
        o2<? extends s> o2Var;
        synchronized (this.f4883e) {
            boolean z7 = true;
            b0.r(this.f4879a == null, "Cannot call then() twice.");
            if (this.f4881c != null) {
                z7 = false;
            }
            b0.r(z7, "Cannot call then() and andFinally() on the same TransformedResult.");
            this.f4879a = vVar;
            o2Var = new o2<>(this.f4885g);
            this.f4880b = o2Var;
            h();
        }
        return o2Var;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: com.google.android.gms.common.api.m<?> */
    /* JADX WARN: Multi-variable type inference failed */
    public final void d(m<?> mVar) {
        synchronized (this.f4883e) {
            this.f4882d = mVar;
            h();
        }
    }

    /* access modifiers changed from: package-private */
    public final void i() {
        this.f4881c = null;
    }
}
