package com.google.android.gms.common.api.internal;

import android.content.Context;
import android.os.Looper;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.collection.ArrayMap;
import com.google.android.gms.common.ConnectionResult;
import com.google.android.gms.common.api.Scope;
import com.google.android.gms.common.api.Status;
import com.google.android.gms.common.api.a;
import com.google.android.gms.common.api.internal.d;
import com.google.android.gms.common.api.s;
import com.google.android.gms.common.f;
import com.google.android.gms.common.internal.f;
import com.google.android.gms.signin.e;
import java.io.FileDescriptor;
import java.io.PrintWriter;
import java.util.ArrayList;
import java.util.Collections;
import java.util.HashMap;
import java.util.HashSet;
import java.util.LinkedList;
import java.util.Map;
import java.util.Queue;
import java.util.Set;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.locks.Condition;
import java.util.concurrent.locks.Lock;

public final class p3 implements t1 {

    /* renamed from: e  reason: collision with root package name */
    private final Map<a.c<?>, o3<?>> f4900e = new HashMap();

    /* renamed from: f  reason: collision with root package name */
    private final Map<a.c<?>, o3<?>> f4901f = new HashMap();

    /* renamed from: g  reason: collision with root package name */
    private final Map<a<?>, Boolean> f4902g;

    /* renamed from: h  reason: collision with root package name */
    private final g f4903h;

    /* renamed from: i  reason: collision with root package name */
    private final w0 f4904i;

    /* renamed from: j  reason: collision with root package name */
    private final Lock f4905j;

    /* renamed from: k  reason: collision with root package name */
    private final Looper f4906k;

    /* renamed from: l  reason: collision with root package name */
    private final f f4907l;

    /* renamed from: m  reason: collision with root package name */
    private final Condition f4908m;

    /* renamed from: n  reason: collision with root package name */
    private final com.google.android.gms.common.internal.f f4909n;

    /* renamed from: o  reason: collision with root package name */
    private final boolean f4910o;

    /* renamed from: p  reason: collision with root package name */
    private final boolean f4911p;

    /* renamed from: q  reason: collision with root package name */
    private final Queue<d.a<?, ?>> f4912q = new LinkedList();
    @f4.a("mLock")

    /* renamed from: r  reason: collision with root package name */
    private boolean f4913r;
    @f4.a("mLock")

    /* renamed from: s  reason: collision with root package name */
    private Map<a3<?>, ConnectionResult> f4914s;
    @f4.a("mLock")

    /* renamed from: t  reason: collision with root package name */
    private Map<a3<?>, ConnectionResult> f4915t;
    @f4.a("mLock")

    /* renamed from: u  reason: collision with root package name */
    private a0 f4916u;
    @f4.a("mLock")

    /* renamed from: v  reason: collision with root package name */
    private ConnectionResult f4917v;

    public p3(Context context, Lock lock, Looper looper, f fVar, Map<a.c<?>, a.f> map, com.google.android.gms.common.internal.f fVar2, Map<a<?>, Boolean> map2, a.AbstractC0047a<? extends e, com.google.android.gms.signin.a> aVar, ArrayList<i3> arrayList, w0 w0Var, boolean z7) {
        boolean z8;
        boolean z9;
        boolean z10;
        this.f4905j = lock;
        this.f4906k = looper;
        this.f4908m = lock.newCondition();
        this.f4907l = fVar;
        this.f4904i = w0Var;
        this.f4902g = map2;
        this.f4909n = fVar2;
        this.f4910o = z7;
        HashMap hashMap = new HashMap();
        for (a<?> aVar2 : map2.keySet()) {
            hashMap.put(aVar2.a(), aVar2);
        }
        HashMap hashMap2 = new HashMap();
        int size = arrayList.size();
        int i7 = 0;
        while (i7 < size) {
            i3 i3Var = arrayList.get(i7);
            i7++;
            i3 i3Var2 = i3Var;
            hashMap2.put(i3Var2.f4811e, i3Var2);
        }
        boolean z11 = true;
        boolean z12 = false;
        boolean z13 = false;
        for (Map.Entry<a.c<?>, a.f> entry : map.entrySet()) {
            a aVar3 = (a) hashMap.get(entry.getKey());
            a.f value = entry.getValue();
            if (value.r()) {
                z9 = z11;
                if (!this.f4902g.get(aVar3).booleanValue()) {
                    z10 = true;
                    z8 = true;
                } else {
                    z8 = z13;
                    z10 = true;
                }
            } else {
                z10 = z12;
                z8 = z13;
                z9 = false;
            }
            o3<?> o3Var = new o3<>(context, aVar3, looper, value, (i3) hashMap2.get(aVar3), fVar2, aVar);
            this.f4900e.put(entry.getKey(), o3Var);
            if (value.w()) {
                this.f4901f.put(entry.getKey(), o3Var);
            }
            z12 = z10;
            z11 = z9;
            z13 = z8;
        }
        this.f4911p = z12 && !z11 && !z13;
        this.f4903h = g.q();
    }

    @Nullable
    private final ConnectionResult d(@NonNull a.c<?> cVar) {
        this.f4905j.lock();
        try {
            o3<?> o3Var = this.f4900e.get(cVar);
            Map<a3<?>, ConnectionResult> map = this.f4914s;
            if (map != null && o3Var != null) {
                return map.get(o3Var.x());
            }
            this.f4905j.unlock();
            return null;
        } finally {
            this.f4905j.unlock();
        }
    }

    /* access modifiers changed from: private */
    public final boolean r(o3<?> o3Var, ConnectionResult connectionResult) {
        return !connectionResult.N() && !connectionResult.M() && this.f4902g.get(o3Var.n()).booleanValue() && o3Var.y().r() && this.f4907l.o(connectionResult.J());
    }

    private final boolean u() {
        this.f4905j.lock();
        try {
            if (this.f4913r) {
                if (this.f4910o) {
                    for (a.c<?> cVar : this.f4901f.keySet()) {
                        ConnectionResult d7 = d(cVar);
                        if (d7 != null) {
                            if (!d7.N()) {
                            }
                        }
                    }
                    this.f4905j.unlock();
                    return true;
                }
            }
            return false;
        } finally {
            this.f4905j.unlock();
        }
    }

    /* access modifiers changed from: private */
    @f4.a("mLock")
    public final void v() {
        Set<Scope> hashSet;
        w0 w0Var;
        if (this.f4909n == null) {
            w0Var = this.f4904i;
            hashSet = Collections.emptySet();
        } else {
            hashSet = new HashSet<>(this.f4909n.l());
            Map<a<?>, f.b> i7 = this.f4909n.i();
            for (a<?> aVar : i7.keySet()) {
                ConnectionResult o7 = o(aVar);
                if (o7 != null && o7.N()) {
                    hashSet.addAll(i7.get(aVar).f5279a);
                }
            }
            w0Var = this.f4904i;
        }
        w0Var.f4984t = hashSet;
    }

    /* access modifiers changed from: private */
    @f4.a("mLock")
    public final void w() {
        while (!this.f4912q.isEmpty()) {
            h(this.f4912q.remove());
        }
        this.f4904i.b(null);
    }

    /* access modifiers changed from: private */
    @Nullable
    @f4.a("mLock")
    public final ConnectionResult x() {
        ConnectionResult connectionResult = null;
        int i7 = 0;
        int i8 = 0;
        ConnectionResult connectionResult2 = null;
        for (o3<?> o3Var : this.f4900e.values()) {
            a<?> n7 = o3Var.n();
            ConnectionResult connectionResult3 = this.f4914s.get(o3Var.x());
            if (!connectionResult3.N() && (!this.f4902g.get(n7).booleanValue() || connectionResult3.M() || this.f4907l.o(connectionResult3.J()))) {
                if (connectionResult3.J() != 4 || !this.f4910o) {
                    int b7 = n7.c().b();
                    if (connectionResult == null || i7 > b7) {
                        connectionResult = connectionResult3;
                        i7 = b7;
                    }
                } else {
                    int b8 = n7.c().b();
                    if (connectionResult2 == null || i8 > b8) {
                        connectionResult2 = connectionResult3;
                        i8 = b8;
                    }
                }
            }
        }
        return (connectionResult == null || connectionResult2 == null || i7 <= i8) ? connectionResult : connectionResult2;
    }

    private final <T extends d.a<? extends s, ? extends a.b>> boolean z(@NonNull T t7) {
        a.c<?> z7 = t7.z();
        ConnectionResult d7 = d(z7);
        if (d7 == null || d7.J() != 4) {
            return false;
        }
        t7.a(new Status(4, null, this.f4903h.c(this.f4900e.get(z7).x(), System.identityHashCode(this.f4904i))));
        return true;
    }

    @Override // com.google.android.gms.common.api.internal.t1
    public final void a() {
        this.f4905j.lock();
        try {
            this.f4913r = false;
            this.f4914s = null;
            this.f4915t = null;
            a0 a0Var = this.f4916u;
            if (a0Var != null) {
                a0Var.a();
                this.f4916u = null;
            }
            this.f4917v = null;
            while (!this.f4912q.isEmpty()) {
                d.a<?, ?> remove = this.f4912q.remove();
                remove.s(null);
                remove.f();
            }
            this.f4908m.signalAll();
        } finally {
            this.f4905j.unlock();
        }
    }

    @Override // com.google.android.gms.common.api.internal.t1
    public final void b() {
        this.f4905j.lock();
        try {
            if (!this.f4913r) {
                this.f4913r = true;
                this.f4914s = null;
                this.f4915t = null;
                this.f4916u = null;
                this.f4917v = null;
                this.f4903h.E();
                this.f4903h.g(this.f4900e.values()).f(new com.google.android.gms.common.util.concurrent.a(this.f4906k), new r3(this));
            }
        } finally {
            this.f4905j.unlock();
        }
    }

    @Override // com.google.android.gms.common.api.internal.t1
    public final boolean c() {
        this.f4905j.lock();
        try {
            return this.f4914s != null && this.f4917v == null;
        } finally {
            this.f4905j.unlock();
        }
    }

    @Override // com.google.android.gms.common.api.internal.t1
    public final boolean f() {
        this.f4905j.lock();
        try {
            return this.f4914s == null && this.f4913r;
        } finally {
            this.f4905j.unlock();
        }
    }

    @Override // com.google.android.gms.common.api.internal.t1
    public final <A extends a.b, T extends d.a<? extends s, A>> T h(@NonNull T t7) {
        a.c<A> z7 = t7.z();
        if (this.f4910o && z(t7)) {
            return t7;
        }
        this.f4904i.B.b(t7);
        return (T) this.f4900e.get(z7).l(t7);
    }

    @Override // com.google.android.gms.common.api.internal.t1
    public final void i(String str, FileDescriptor fileDescriptor, PrintWriter printWriter, String[] strArr) {
    }

    @Override // com.google.android.gms.common.api.internal.t1
    public final <A extends a.b, R extends s, T extends d.a<R, A>> T j(@NonNull T t7) {
        if (this.f4910o && z(t7)) {
            return t7;
        }
        if (!c()) {
            this.f4912q.add(t7);
            return t7;
        }
        this.f4904i.B.b(t7);
        return (T) this.f4900e.get(t7.z()).g(t7);
    }

    /* JADX INFO: finally extract failed */
    @Override // com.google.android.gms.common.api.internal.t1
    public final boolean k(s sVar) {
        this.f4905j.lock();
        try {
            if (!this.f4913r || u()) {
                this.f4905j.unlock();
                return false;
            }
            this.f4903h.E();
            this.f4916u = new a0(this, sVar);
            this.f4903h.g(this.f4901f.values()).f(new com.google.android.gms.common.util.concurrent.a(this.f4906k), this.f4916u);
            this.f4905j.unlock();
            return true;
        } catch (Throwable th) {
            this.f4905j.unlock();
            throw th;
        }
    }

    @Override // com.google.android.gms.common.api.internal.t1
    @f4.a("mLock")
    public final ConnectionResult l(long j7, TimeUnit timeUnit) {
        b();
        long nanos = timeUnit.toNanos(j7);
        while (f()) {
            if (nanos <= 0) {
                try {
                    a();
                    return new ConnectionResult(14, null);
                } catch (InterruptedException unused) {
                    Thread.currentThread().interrupt();
                    return new ConnectionResult(15, null);
                }
            } else {
                nanos = this.f4908m.awaitNanos(nanos);
            }
        }
        if (c()) {
            return ConnectionResult.f4602n6;
        }
        ConnectionResult connectionResult = this.f4917v;
        return connectionResult != null ? connectionResult : new ConnectionResult(13, null);
    }

    @Override // com.google.android.gms.common.api.internal.t1
    public final void m() {
    }

    @Override // com.google.android.gms.common.api.internal.t1
    public final void n() {
        this.f4905j.lock();
        try {
            this.f4903h.a();
            a0 a0Var = this.f4916u;
            if (a0Var != null) {
                a0Var.a();
                this.f4916u = null;
            }
            if (this.f4915t == null) {
                this.f4915t = new ArrayMap(this.f4901f.size());
            }
            ConnectionResult connectionResult = new ConnectionResult(4);
            for (o3<?> o3Var : this.f4901f.values()) {
                this.f4915t.put(o3Var.x(), connectionResult);
            }
            Map<a3<?>, ConnectionResult> map = this.f4914s;
            if (map != null) {
                map.putAll(this.f4915t);
            }
        } finally {
            this.f4905j.unlock();
        }
    }

    @Override // com.google.android.gms.common.api.internal.t1
    @Nullable
    public final ConnectionResult o(@NonNull a<?> aVar) {
        return d(aVar.a());
    }

    @Override // com.google.android.gms.common.api.internal.t1
    @f4.a("mLock")
    public final ConnectionResult p() {
        b();
        while (f()) {
            try {
                this.f4908m.await();
            } catch (InterruptedException unused) {
                Thread.currentThread().interrupt();
                return new ConnectionResult(15, null);
            }
        }
        if (c()) {
            return ConnectionResult.f4602n6;
        }
        ConnectionResult connectionResult = this.f4917v;
        return connectionResult != null ? connectionResult : new ConnectionResult(13, null);
    }
}
