package com.google.android.gms.common.api.internal;

import android.app.Activity;
import android.app.Fragment;
import android.content.Intent;
import android.os.Bundle;
import android.os.Looper;
import androidx.annotation.NonNull;
import androidx.collection.ArrayMap;
import com.google.android.gms.internal.common.e;
import java.io.FileDescriptor;
import java.io.PrintWriter;
import java.lang.ref.WeakReference;
import java.util.Map;
import java.util.WeakHashMap;

public final class s3 extends Fragment implements k {

    /* renamed from: d  reason: collision with root package name */
    private static WeakHashMap<Activity, WeakReference<s3>> f4941d = new WeakHashMap<>();

    /* renamed from: a  reason: collision with root package name */
    private Map<String, LifecycleCallback> f4942a = new ArrayMap();

    /* renamed from: b  reason: collision with root package name */
    private int f4943b = 0;

    /* renamed from: c  reason: collision with root package name */
    private Bundle f4944c;

    public static s3 f(Activity activity) {
        s3 s3Var;
        WeakReference<s3> weakReference = f4941d.get(activity);
        if (weakReference != null && (s3Var = weakReference.get()) != null) {
            return s3Var;
        }
        try {
            s3 s3Var2 = (s3) activity.getFragmentManager().findFragmentByTag("LifecycleFragmentImpl");
            if (s3Var2 == null || s3Var2.isRemoving()) {
                s3Var2 = new s3();
                activity.getFragmentManager().beginTransaction().add(s3Var2, "LifecycleFragmentImpl").commitAllowingStateLoss();
            }
            f4941d.put(activity, new WeakReference<>(s3Var2));
            return s3Var2;
        } catch (ClassCastException e7) {
            throw new IllegalStateException("Fragment with tag LifecycleFragmentImpl is not a LifecycleFragmentImpl", e7);
        }
    }

    @Override // com.google.android.gms.common.api.internal.k
    public final boolean b() {
        return this.f4943b > 0;
    }

    @Override // com.google.android.gms.common.api.internal.k
    public final void c(String str, @NonNull LifecycleCallback lifecycleCallback) {
        if (!this.f4942a.containsKey(str)) {
            this.f4942a.put(str, lifecycleCallback);
            if (this.f4943b > 0) {
                new e(Looper.getMainLooper()).post(new t3(this, lifecycleCallback, str));
                return;
            }
            return;
        }
        StringBuilder sb = new StringBuilder(String.valueOf(str).length() + 59);
        sb.append("LifecycleCallback with tag ");
        sb.append(str);
        sb.append(" already added to this fragment.");
        throw new IllegalArgumentException(sb.toString());
    }

    @Override // com.google.android.gms.common.api.internal.k
    public final <T extends LifecycleCallback> T d(String str, Class<T> cls) {
        return cls.cast(this.f4942a.get(str));
    }

    public final void dump(String str, FileDescriptor fileDescriptor, PrintWriter printWriter, String[] strArr) {
        super.dump(str, fileDescriptor, printWriter, strArr);
        for (LifecycleCallback lifecycleCallback : this.f4942a.values()) {
            lifecycleCallback.a(str, fileDescriptor, printWriter, strArr);
        }
    }

    @Override // com.google.android.gms.common.api.internal.k
    public final Activity e() {
        return getActivity();
    }

    @Override // com.google.android.gms.common.api.internal.k
    public final boolean k() {
        return this.f4943b >= 2;
    }

    public final void onActivityResult(int i7, int i8, Intent intent) {
        super.onActivityResult(i7, i8, intent);
        for (LifecycleCallback lifecycleCallback : this.f4942a.values()) {
            lifecycleCallback.f(i7, i8, intent);
        }
    }

    public final void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        this.f4943b = 1;
        this.f4944c = bundle;
        for (Map.Entry<String, LifecycleCallback> entry : this.f4942a.entrySet()) {
            entry.getValue().g(bundle != null ? bundle.getBundle(entry.getKey()) : null);
        }
    }

    public final void onDestroy() {
        super.onDestroy();
        this.f4943b = 5;
        for (LifecycleCallback lifecycleCallback : this.f4942a.values()) {
            lifecycleCallback.h();
        }
    }

    public final void onResume() {
        super.onResume();
        this.f4943b = 3;
        for (LifecycleCallback lifecycleCallback : this.f4942a.values()) {
            lifecycleCallback.i();
        }
    }

    public final void onSaveInstanceState(Bundle bundle) {
        super.onSaveInstanceState(bundle);
        if (bundle != null) {
            for (Map.Entry<String, LifecycleCallback> entry : this.f4942a.entrySet()) {
                Bundle bundle2 = new Bundle();
                entry.getValue().j(bundle2);
                bundle.putBundle(entry.getKey(), bundle2);
            }
        }
    }

    public final void onStart() {
        super.onStart();
        this.f4943b = 2;
        for (LifecycleCallback lifecycleCallback : this.f4942a.values()) {
            lifecycleCallback.k();
        }
    }

    public final void onStop() {
        super.onStop();
        this.f4943b = 4;
        for (LifecycleCallback lifecycleCallback : this.f4942a.values()) {
            lifecycleCallback.l();
        }
    }
}
