package com.google.android.gms.common.api.internal;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.os.Looper;
import androidx.annotation.NonNull;
import androidx.collection.ArrayMap;
import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentActivity;
import com.google.android.gms.internal.common.e;
import java.io.FileDescriptor;
import java.io.PrintWriter;
import java.lang.ref.WeakReference;
import java.util.Map;
import java.util.WeakHashMap;

public final class u3 extends Fragment implements k {

    /* renamed from: d  reason: collision with root package name */
    private static WeakHashMap<FragmentActivity, WeakReference<u3>> f4954d = new WeakHashMap<>();

    /* renamed from: a  reason: collision with root package name */
    private Map<String, LifecycleCallback> f4955a = new ArrayMap();

    /* renamed from: b  reason: collision with root package name */
    private int f4956b = 0;

    /* renamed from: c  reason: collision with root package name */
    private Bundle f4957c;

    public static u3 n(FragmentActivity fragmentActivity) {
        u3 u3Var;
        WeakReference<u3> weakReference = f4954d.get(fragmentActivity);
        if (weakReference != null && (u3Var = weakReference.get()) != null) {
            return u3Var;
        }
        try {
            u3 u3Var2 = (u3) fragmentActivity.getSupportFragmentManager().findFragmentByTag("SupportLifecycleFragmentImpl");
            if (u3Var2 == null || u3Var2.isRemoving()) {
                u3Var2 = new u3();
                fragmentActivity.getSupportFragmentManager().beginTransaction().add(u3Var2, "SupportLifecycleFragmentImpl").commitAllowingStateLoss();
            }
            f4954d.put(fragmentActivity, new WeakReference<>(u3Var2));
            return u3Var2;
        } catch (ClassCastException e7) {
            throw new IllegalStateException("Fragment with tag SupportLifecycleFragmentImpl is not a SupportLifecycleFragmentImpl", e7);
        }
    }

    @Override // com.google.android.gms.common.api.internal.k
    public final boolean b() {
        return this.f4956b > 0;
    }

    @Override // com.google.android.gms.common.api.internal.k
    public final void c(String str, @NonNull LifecycleCallback lifecycleCallback) {
        if (!this.f4955a.containsKey(str)) {
            this.f4955a.put(str, lifecycleCallback);
            if (this.f4956b > 0) {
                new e(Looper.getMainLooper()).post(new v3(this, lifecycleCallback, str));
                return;
            }
            return;
        }
        StringBuilder sb = new StringBuilder(String.valueOf(str).length() + 59);
        sb.append("LifecycleCallback with tag ");
        sb.append(str);
        sb.append(" already added to this fragment.");
        throw new IllegalArgumentException(sb.toString());
    }

    @Override // com.google.android.gms.common.api.internal.k
    public final <T extends LifecycleCallback> T d(String str, Class<T> cls) {
        return cls.cast(this.f4955a.get(str));
    }

    @Override // androidx.fragment.app.Fragment
    public final void dump(String str, FileDescriptor fileDescriptor, PrintWriter printWriter, String[] strArr) {
        super.dump(str, fileDescriptor, printWriter, strArr);
        for (LifecycleCallback lifecycleCallback : this.f4955a.values()) {
            lifecycleCallback.a(str, fileDescriptor, printWriter, strArr);
        }
    }

    @Override // com.google.android.gms.common.api.internal.k
    public final /* synthetic */ Activity e() {
        return getActivity();
    }

    @Override // com.google.android.gms.common.api.internal.k
    public final boolean k() {
        return this.f4956b >= 2;
    }

    @Override // androidx.fragment.app.Fragment
    public final void onActivityResult(int i7, int i8, Intent intent) {
        super.onActivityResult(i7, i8, intent);
        for (LifecycleCallback lifecycleCallback : this.f4955a.values()) {
            lifecycleCallback.f(i7, i8, intent);
        }
    }

    @Override // androidx.fragment.app.Fragment
    public final void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        this.f4956b = 1;
        this.f4957c = bundle;
        for (Map.Entry<String, LifecycleCallback> entry : this.f4955a.entrySet()) {
            entry.getValue().g(bundle != null ? bundle.getBundle(entry.getKey()) : null);
        }
    }

    @Override // androidx.fragment.app.Fragment
    public final void onDestroy() {
        super.onDestroy();
        this.f4956b = 5;
        for (LifecycleCallback lifecycleCallback : this.f4955a.values()) {
            lifecycleCallback.h();
        }
    }

    @Override // androidx.fragment.app.Fragment
    public final void onResume() {
        super.onResume();
        this.f4956b = 3;
        for (LifecycleCallback lifecycleCallback : this.f4955a.values()) {
            lifecycleCallback.i();
        }
    }

    @Override // androidx.fragment.app.Fragment
    public final void onSaveInstanceState(Bundle bundle) {
        super.onSaveInstanceState(bundle);
        if (bundle != null) {
            for (Map.Entry<String, LifecycleCallback> entry : this.f4955a.entrySet()) {
                Bundle bundle2 = new Bundle();
                entry.getValue().j(bundle2);
                bundle.putBundle(entry.getKey(), bundle2);
            }
        }
    }

    @Override // androidx.fragment.app.Fragment
    public final void onStart() {
        super.onStart();
        this.f4956b = 2;
        for (LifecycleCallback lifecycleCallback : this.f4955a.values()) {
            lifecycleCallback.k();
        }
    }

    @Override // androidx.fragment.app.Fragment
    public final void onStop() {
        super.onStop();
        this.f4956b = 4;
        for (LifecycleCallback lifecycleCallback : this.f4955a.values()) {
            lifecycleCallback.l();
        }
    }
}
