package com.google.android.gms.common.api;

import android.accounts.Account;
import android.app.Activity;
import android.content.Context;
import android.os.Handler;
import android.os.Looper;
import androidx.annotation.MainThread;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.WorkerThread;
import com.google.android.gms.auth.api.signin.GoogleSignInAccount;
import com.google.android.gms.common.api.a;
import com.google.android.gms.common.api.a.d;
import com.google.android.gms.common.api.internal.a3;
import com.google.android.gms.common.api.internal.b;
import com.google.android.gms.common.api.internal.d;
import com.google.android.gms.common.api.internal.e0;
import com.google.android.gms.common.api.internal.g;
import com.google.android.gms.common.api.internal.g2;
import com.google.android.gms.common.api.internal.l;
import com.google.android.gms.common.api.internal.p;
import com.google.android.gms.common.api.internal.q;
import com.google.android.gms.common.api.internal.q1;
import com.google.android.gms.common.api.internal.u;
import com.google.android.gms.common.api.internal.w;
import com.google.android.gms.common.api.internal.y;
import com.google.android.gms.common.internal.b0;
import com.google.android.gms.common.internal.f;
import com.google.android.gms.tasks.l;
import com.google.android.gms.tasks.m;
import java.util.Collections;

@r.a
public class j<O extends a.d> {

    /* renamed from: a  reason: collision with root package name */
    private final Context f5012a;

    /* renamed from: b  reason: collision with root package name */
    private final a<O> f5013b;

    /* renamed from: c  reason: collision with root package name */
    private final O f5014c;

    /* renamed from: d  reason: collision with root package name */
    private final a3<O> f5015d;

    /* renamed from: e  reason: collision with root package name */
    private final Looper f5016e;

    /* renamed from: f  reason: collision with root package name */
    private final int f5017f;

    /* renamed from: g  reason: collision with root package name */
    private final k f5018g;

    /* renamed from: h  reason: collision with root package name */
    private final u f5019h;

    /* renamed from: i  reason: collision with root package name */
    protected final g f5020i;

    @r.a
    public static class a {
        @r.a

        /* renamed from: c  reason: collision with root package name */
        public static final a f5021c = new C0051a().a();

        /* renamed from: a  reason: collision with root package name */
        public final u f5022a;

        /* renamed from: b  reason: collision with root package name */
        public final Looper f5023b;

        @r.a
        /* renamed from: com.google.android.gms.common.api.j$a$a  reason: collision with other inner class name */
        public static class C0051a {

            /* renamed from: a  reason: collision with root package name */
            private u f5024a;

            /* renamed from: b  reason: collision with root package name */
            private Looper f5025b;

            @r.a
            public a a() {
                if (this.f5024a == null) {
                    this.f5024a = new b();
                }
                if (this.f5025b == null) {
                    this.f5025b = Looper.getMainLooper();
                }
                return new a(this.f5024a, this.f5025b);
            }

            @r.a
            public C0051a b(Looper looper) {
                b0.l(looper, "Looper must not be null.");
                this.f5025b = looper;
                return this;
            }

            @r.a
            public C0051a c(u uVar) {
                b0.l(uVar, "StatusExceptionMapper must not be null.");
                this.f5024a = uVar;
                return this;
            }
        }

        @r.a
        private a(u uVar, Account account, Looper looper) {
            this.f5022a = uVar;
            this.f5023b = looper;
        }
    }

    @r.a
    @MainThread
    public j(@NonNull Activity activity, a<O> aVar, @Nullable O o7, a aVar2) {
        b0.l(activity, "Null activity is not permitted.");
        b0.l(aVar, "Api must not be null.");
        b0.l(aVar2, "Settings must not be null; use Settings.DEFAULT_SETTINGS instead.");
        Context applicationContext = activity.getApplicationContext();
        this.f5012a = applicationContext;
        this.f5013b = aVar;
        this.f5014c = o7;
        this.f5016e = aVar2.f5023b;
        a3<O> b7 = a3.b(aVar, o7);
        this.f5015d = b7;
        this.f5018g = new q1(this);
        g n7 = g.n(applicationContext);
        this.f5020i = n7;
        this.f5017f = n7.r();
        this.f5019h = aVar2.f5022a;
        if (!(activity instanceof GoogleApiActivity)) {
            e0.r(activity, n7, b7);
        }
        n7.i(this);
    }

    private final <A extends a.b, T extends d.a<? extends s, A>> T u(int i7, @NonNull T t7) {
        t7.w();
        this.f5020i.j(this, i7, t7);
        return t7;
    }

    private final <TResult, A extends a.b> l<TResult> w(int i7, @NonNull w<A, TResult> wVar) {
        m mVar = new m();
        this.f5020i.k(this, i7, wVar, mVar, this.f5019h);
        return mVar.a();
    }

    @r.a
    public k b() {
        return this.f5018g;
    }

    /* access modifiers changed from: protected */
    @r.a
    public f.a c() {
        Account account;
        GoogleSignInAccount j7;
        GoogleSignInAccount j8;
        f.a aVar = new f.a();
        O o7 = this.f5014c;
        if (!(o7 instanceof a.d.b) || (j8 = ((a.d.b) o7).j()) == null) {
            O o8 = this.f5014c;
            account = o8 instanceof a.d.AbstractC0048a ? ((a.d.AbstractC0048a) o8).r() : null;
        } else {
            account = j8.r();
        }
        f.a e7 = aVar.e(account);
        O o9 = this.f5014c;
        return e7.a((!(o9 instanceof a.d.b) || (j7 = ((a.d.b) o9).j()) == null) ? Collections.emptySet() : j7.V()).h(this.f5012a.getClass().getName()).i(this.f5012a.getPackageName());
    }

    /* access modifiers changed from: protected */
    @r.a
    public l<Boolean> d() {
        return this.f5020i.v(this);
    }

    @r.a
    public <A extends a.b, T extends d.a<? extends s, A>> T e(@NonNull T t7) {
        return (T) u(2, t7);
    }

    @r.a
    public <TResult, A extends a.b> l<TResult> f(w<A, TResult> wVar) {
        return w(2, wVar);
    }

    @r.a
    public <A extends a.b, T extends d.a<? extends s, A>> T g(@NonNull T t7) {
        return (T) u(0, t7);
    }

    @r.a
    public <TResult, A extends a.b> l<TResult> h(w<A, TResult> wVar) {
        return w(0, wVar);
    }

    @r.a
    @Deprecated
    public <A extends a.b, T extends p<A, ?>, U extends y<A, ?>> l<Void> i(@NonNull T t7, U u7) {
        b0.k(t7);
        b0.k(u7);
        b0.l(t7.b(), "Listener has already been released.");
        b0.l(u7.a(), "Listener has already been released.");
        b0.b(t7.b().equals(u7.a()), "Listener registration and unregistration methods must be constructed with the same ListenerHolder.");
        return this.f5020i.f(this, t7, u7);
    }

    @r.a
    public <A extends a.b> l<Void> j(@NonNull q<A, ?> qVar) {
        b0.k(qVar);
        b0.l(qVar.f4918a.b(), "Listener has already been released.");
        b0.l(qVar.f4919b.a(), "Listener has already been released.");
        return this.f5020i.f(this, qVar.f4918a, qVar.f4919b);
    }

    @r.a
    public l<Boolean> k(@NonNull l.a<?> aVar) {
        b0.l(aVar, "Listener key cannot be null.");
        return this.f5020i.e(this, aVar);
    }

    @r.a
    public <A extends a.b, T extends d.a<? extends s, A>> T l(@NonNull T t7) {
        return (T) u(1, t7);
    }

    @r.a
    public <TResult, A extends a.b> com.google.android.gms.tasks.l<TResult> m(w<A, TResult> wVar) {
        return w(1, wVar);
    }

    public final a<O> n() {
        return this.f5013b;
    }

    @r.a
    public O o() {
        return this.f5014c;
    }

    @r.a
    public Context p() {
        return this.f5012a;
    }

    public final int q() {
        return this.f5017f;
    }

    @r.a
    public Looper r() {
        return this.f5016e;
    }

    @r.a
    public <L> com.google.android.gms.common.api.internal.l<L> s(@NonNull L l7, String str) {
        return com.google.android.gms.common.api.internal.m.a(l7, this.f5016e, str);
    }

    @WorkerThread
    public a.f t(Looper looper, g.a<O> aVar) {
        return this.f5013b.d().c(this.f5012a, looper, c().c(), this.f5014c, aVar, aVar);
    }

    public g2 v(Context context, Handler handler) {
        return new g2(context, handler, c().c());
    }

    public final a3<O> x() {
        return this.f5015d;
    }

    @r.a
    @Deprecated
    public j(@NonNull Activity activity, a<O> aVar, @Nullable O o7, u uVar) {
        this(activity, (a) aVar, (a.d) o7, new a.C0051a().c(uVar).b(activity.getMainLooper()).a());
    }

    @r.a
    protected j(@NonNull Context context, a<O> aVar, Looper looper) {
        b0.l(context, "Null context is not permitted.");
        b0.l(aVar, "Api must not be null.");
        b0.l(looper, "Looper must not be null.");
        Context applicationContext = context.getApplicationContext();
        this.f5012a = applicationContext;
        this.f5013b = aVar;
        this.f5014c = null;
        this.f5016e = looper;
        this.f5015d = a3.a(aVar);
        this.f5018g = new q1(this);
        g n7 = g.n(applicationContext);
        this.f5020i = n7;
        this.f5017f = n7.r();
        this.f5019h = new b();
    }

    @r.a
    @Deprecated
    public j(@NonNull Context context, a<O> aVar, @Nullable O o7, Looper looper, u uVar) {
        this(context, aVar, o7, new a.C0051a().b(looper).c(uVar).a());
    }

    @r.a
    public j(@NonNull Context context, a<O> aVar, @Nullable O o7, a aVar2) {
        b0.l(context, "Null context is not permitted.");
        b0.l(aVar, "Api must not be null.");
        b0.l(aVar2, "Settings must not be null; use Settings.DEFAULT_SETTINGS instead.");
        Context applicationContext = context.getApplicationContext();
        this.f5012a = applicationContext;
        this.f5013b = aVar;
        this.f5014c = o7;
        this.f5016e = aVar2.f5023b;
        this.f5015d = a3.b(aVar, o7);
        this.f5018g = new q1(this);
        g n7 = g.n(applicationContext);
        this.f5020i = n7;
        this.f5017f = n7.r();
        this.f5019h = aVar2.f5022a;
        n7.i(this);
    }

    @r.a
    @Deprecated
    public j(@NonNull Context context, a<O> aVar, @Nullable O o7, u uVar) {
        this(context, aVar, o7, new a.C0051a().c(uVar).a());
    }
}
