package com.google.android.gms.common.api;

import android.accounts.Account;
import android.app.Activity;
import android.content.Context;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.view.View;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.collection.ArrayMap;
import androidx.fragment.app.FragmentActivity;
import com.google.android.gms.common.ConnectionResult;
import com.google.android.gms.common.api.a;
import com.google.android.gms.common.api.internal.b3;
import com.google.android.gms.common.api.internal.d;
import com.google.android.gms.common.api.internal.i3;
import com.google.android.gms.common.api.internal.j;
import com.google.android.gms.common.api.internal.l;
import com.google.android.gms.common.api.internal.o2;
import com.google.android.gms.common.api.internal.s;
import com.google.android.gms.common.api.internal.w0;
import com.google.android.gms.common.e;
import com.google.android.gms.common.internal.b0;
import com.google.android.gms.common.internal.f;
import java.io.FileDescriptor;
import java.io.PrintWriter;
import java.util.ArrayList;
import java.util.Collections;
import java.util.HashSet;
import java.util.List;
import java.util.Map;
import java.util.Set;
import java.util.WeakHashMap;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.locks.ReentrantLock;
import x.d0;

@r.a
public abstract class k {
    @r.a

    /* renamed from: a  reason: collision with root package name */
    public static final String f5026a = "<<default account>>";
    @f4.a("sAllClients")

    /* renamed from: b  reason: collision with root package name */
    private static final Set<k> f5027b = Collections.newSetFromMap(new WeakHashMap());

    /* renamed from: c  reason: collision with root package name */
    public static final int f5028c = 1;

    /* renamed from: d  reason: collision with root package name */
    public static final int f5029d = 2;

    @r.a
    public static final class a {

        /* renamed from: a  reason: collision with root package name */
        private Account f5030a;

        /* renamed from: b  reason: collision with root package name */
        private final Set<Scope> f5031b;

        /* renamed from: c  reason: collision with root package name */
        private final Set<Scope> f5032c;

        /* renamed from: d  reason: collision with root package name */
        private int f5033d;

        /* renamed from: e  reason: collision with root package name */
        private View f5034e;

        /* renamed from: f  reason: collision with root package name */
        private String f5035f;

        /* renamed from: g  reason: collision with root package name */
        private String f5036g;

        /* renamed from: h  reason: collision with root package name */
        private final Map<a<?>, f.b> f5037h;

        /* renamed from: i  reason: collision with root package name */
        private boolean f5038i;

        /* renamed from: j  reason: collision with root package name */
        private final Context f5039j;

        /* renamed from: k  reason: collision with root package name */
        private final Map<a<?>, a.d> f5040k;

        /* renamed from: l  reason: collision with root package name */
        private j f5041l;

        /* renamed from: m  reason: collision with root package name */
        private int f5042m;

        /* renamed from: n  reason: collision with root package name */
        private c f5043n;

        /* renamed from: o  reason: collision with root package name */
        private Looper f5044o;

        /* renamed from: p  reason: collision with root package name */
        private e f5045p;

        /* renamed from: q  reason: collision with root package name */
        private a.AbstractC0047a<? extends com.google.android.gms.signin.e, com.google.android.gms.signin.a> f5046q;

        /* renamed from: r  reason: collision with root package name */
        private final ArrayList<b> f5047r;

        /* renamed from: s  reason: collision with root package name */
        private final ArrayList<c> f5048s;

        /* renamed from: t  reason: collision with root package name */
        private boolean f5049t;

        @r.a
        public a(@NonNull Context context) {
            this.f5031b = new HashSet();
            this.f5032c = new HashSet();
            this.f5037h = new ArrayMap();
            this.f5038i = false;
            this.f5040k = new ArrayMap();
            this.f5042m = -1;
            this.f5045p = e.v();
            this.f5046q = com.google.android.gms.signin.b.f6636c;
            this.f5047r = new ArrayList<>();
            this.f5048s = new ArrayList<>();
            this.f5049t = false;
            this.f5039j = context;
            this.f5044o = context.getMainLooper();
            this.f5035f = context.getPackageName();
            this.f5036g = context.getClass().getName();
        }

        private final <O extends a.d> void r(a<O> aVar, O o7, Scope... scopeArr) {
            HashSet hashSet = new HashSet(aVar.c().a(o7));
            for (Scope scope : scopeArr) {
                hashSet.add(scope);
            }
            this.f5037h.put(aVar, new f.b(hashSet));
        }

        public final a a(@NonNull a<? extends a.d.e> aVar) {
            b0.l(aVar, "Api must not be null");
            this.f5040k.put(aVar, null);
            List<Scope> a8 = aVar.c().a(null);
            this.f5032c.addAll(a8);
            this.f5031b.addAll(a8);
            return this;
        }

        public final <O extends a.d.c> a b(@NonNull a<O> aVar, @NonNull O o7) {
            b0.l(aVar, "Api must not be null");
            b0.l(o7, "Null options are not permitted for this Api");
            this.f5040k.put(aVar, o7);
            List<Scope> a8 = aVar.c().a(o7);
            this.f5032c.addAll(a8);
            this.f5031b.addAll(a8);
            return this;
        }

        public final <O extends a.d.c> a c(@NonNull a<O> aVar, @NonNull O o7, Scope... scopeArr) {
            b0.l(aVar, "Api must not be null");
            b0.l(o7, "Null options are not permitted for this Api");
            this.f5040k.put(aVar, o7);
            r(aVar, o7, scopeArr);
            return this;
        }

        public final a d(@NonNull a<? extends a.d.e> aVar, Scope... scopeArr) {
            b0.l(aVar, "Api must not be null");
            this.f5040k.put(aVar, null);
            r(aVar, null, scopeArr);
            return this;
        }

        public final a e(@NonNull b bVar) {
            b0.l(bVar, "Listener must not be null");
            this.f5047r.add(bVar);
            return this;
        }

        public final a f(@NonNull c cVar) {
            b0.l(cVar, "Listener must not be null");
            this.f5048s.add(cVar);
            return this;
        }

        public final a g(@NonNull Scope scope) {
            b0.l(scope, "Scope must not be null");
            this.f5031b.add(scope);
            return this;
        }

        @r.a
        public final a h(String[] strArr) {
            for (String str : strArr) {
                this.f5031b.add(new Scope(str));
            }
            return this;
        }

        public final k i() {
            b0.b(!this.f5040k.isEmpty(), "must call addApi() to add at least one API");
            f j7 = j();
            Map<a<?>, f.b> i7 = j7.i();
            ArrayMap arrayMap = new ArrayMap();
            ArrayMap arrayMap2 = new ArrayMap();
            ArrayList arrayList = new ArrayList();
            a<?> aVar = null;
            boolean z7 = false;
            for (a<?> aVar2 : this.f5040k.keySet()) {
                a.d dVar = this.f5040k.get(aVar2);
                boolean z8 = i7.get(aVar2) != null;
                arrayMap.put(aVar2, Boolean.valueOf(z8));
                i3 i3Var = new i3(aVar2, z8);
                arrayList.add(i3Var);
                a.AbstractC0047a<?, ?> d7 = aVar2.d();
                a.f c7 = d7.c(this.f5039j, this.f5044o, j7, dVar, i3Var, i3Var);
                arrayMap2.put(aVar2.a(), c7);
                if (d7.b() == 1) {
                    z7 = dVar != null;
                }
                if (c7.k()) {
                    if (aVar == null) {
                        aVar = aVar2;
                    } else {
                        String b7 = aVar2.b();
                        String b8 = aVar.b();
                        StringBuilder sb = new StringBuilder(String.valueOf(b7).length() + 21 + String.valueOf(b8).length());
                        sb.append(b7);
                        sb.append(" cannot be used with ");
                        sb.append(b8);
                        throw new IllegalStateException(sb.toString());
                    }
                }
            }
            if (aVar != null) {
                if (!z7) {
                    b0.s(this.f5030a == null, "Must not set an account in GoogleApiClient.Builder when using %s. Set account in GoogleSignInOptions.Builder instead", aVar.b());
                    b0.s(this.f5031b.equals(this.f5032c), "Must not set scopes in GoogleApiClient.Builder when using %s. Set account in GoogleSignInOptions.Builder instead.", aVar.b());
                } else {
                    String b9 = aVar.b();
                    StringBuilder sb2 = new StringBuilder(String.valueOf(b9).length() + 82);
                    sb2.append("With using ");
                    sb2.append(b9);
                    sb2.append(", GamesOptions can only be specified within GoogleSignInOptions.Builder");
                    throw new IllegalStateException(sb2.toString());
                }
            }
            w0 w0Var = new w0(this.f5039j, new ReentrantLock(), this.f5044o, j7, this.f5045p, this.f5046q, arrayMap, this.f5047r, this.f5048s, arrayMap2, this.f5042m, w0.L(arrayMap2.values(), true), arrayList, false);
            synchronized (k.f5027b) {
                k.f5027b.add(w0Var);
            }
            if (this.f5042m >= 0) {
                b3.r(this.f5041l).t(this.f5042m, w0Var, this.f5043n);
            }
            return w0Var;
        }

        @r.a
        @d0
        public final f j() {
            com.google.android.gms.signin.a aVar = com.google.android.gms.signin.a.V5;
            Map<a<?>, a.d> map = this.f5040k;
            a<com.google.android.gms.signin.a> aVar2 = com.google.android.gms.signin.b.f6640g;
            if (map.containsKey(aVar2)) {
                aVar = (com.google.android.gms.signin.a) this.f5040k.get(aVar2);
            }
            return new f(this.f5030a, this.f5031b, this.f5037h, this.f5033d, this.f5034e, this.f5035f, this.f5036g, aVar, false);
        }

        public final a k(@NonNull FragmentActivity fragmentActivity, int i7, @Nullable c cVar) {
            j jVar = new j((Activity) fragmentActivity);
            b0.b(i7 >= 0, "clientId must be non-negative");
            this.f5042m = i7;
            this.f5043n = cVar;
            this.f5041l = jVar;
            return this;
        }

        public final a l(@NonNull FragmentActivity fragmentActivity, @Nullable c cVar) {
            return k(fragmentActivity, 0, cVar);
        }

        public final a m(String str) {
            this.f5030a = str == null ? null : new Account(str, com.google.android.gms.common.internal.b.f5193a);
            return this;
        }

        public final a n(int i7) {
            this.f5033d = i7;
            return this;
        }

        public final a o(@NonNull Handler handler) {
            b0.l(handler, "Handler must not be null");
            this.f5044o = handler.getLooper();
            return this;
        }

        public final a p(@NonNull View view) {
            b0.l(view, "View must not be null");
            this.f5034e = view;
            return this;
        }

        public final a q() {
            return m("<<default account>>");
        }

        @r.a
        public a(@NonNull Context context, @NonNull b bVar, @NonNull c cVar) {
            this(context);
            b0.l(bVar, "Must provide a connected listener");
            this.f5047r.add(bVar);
            b0.l(cVar, "Must provide a connection failed listener");
            this.f5048s.add(cVar);
        }
    }

    public interface b {

        /* renamed from: c  reason: collision with root package name */
        public static final int f5050c = 1;

        /* renamed from: d  reason: collision with root package name */
        public static final int f5051d = 2;

        void d(int i7);

        void e(@Nullable Bundle bundle);
    }

    public interface c {
        void w(@NonNull ConnectionResult connectionResult);
    }

    public static void k(String str, FileDescriptor fileDescriptor, PrintWriter printWriter, String[] strArr) {
        Set<k> set = f5027b;
        synchronized (set) {
            String concat = String.valueOf(str).concat("  ");
            int i7 = 0;
            for (k kVar : set) {
                printWriter.append((CharSequence) str).append("GoogleApiClient#").println(i7);
                kVar.j(concat, fileDescriptor, printWriter, strArr);
                i7++;
            }
        }
    }

    @r.a
    public static Set<k> n() {
        Set<k> set = f5027b;
        synchronized (set) {
        }
        return set;
    }

    public abstract void A();

    public abstract void B(@NonNull b bVar);

    public abstract void C(@NonNull c cVar);

    @r.a
    public <L> l<L> D(@NonNull L l7) {
        throw new UnsupportedOperationException();
    }

    public abstract void E(@NonNull FragmentActivity fragmentActivity);

    public abstract void F(@NonNull b bVar);

    public abstract void G(@NonNull c cVar);

    public void H(o2 o2Var) {
        throw new UnsupportedOperationException();
    }

    public void I(o2 o2Var) {
        throw new UnsupportedOperationException();
    }

    public abstract ConnectionResult d();

    public abstract ConnectionResult e(long j7, @NonNull TimeUnit timeUnit);

    public abstract m<Status> f();

    public abstract void g();

    public void h(int i7) {
        throw new UnsupportedOperationException();
    }

    public abstract void i();

    public abstract void j(String str, FileDescriptor fileDescriptor, PrintWriter printWriter, String[] strArr);

    @r.a
    public <A extends a.b, R extends s, T extends d.a<R, A>> T l(@NonNull T t7) {
        throw new UnsupportedOperationException();
    }

    @r.a
    public <A extends a.b, T extends d.a<? extends s, A>> T m(@NonNull T t7) {
        throw new UnsupportedOperationException();
    }

    @NonNull
    @r.a
    public <C extends a.f> C o(@NonNull a.c<C> cVar) {
        throw new UnsupportedOperationException();
    }

    @NonNull
    public abstract ConnectionResult p(@NonNull a<?> aVar);

    @r.a
    public Context q() {
        throw new UnsupportedOperationException();
    }

    @r.a
    public Looper r() {
        throw new UnsupportedOperationException();
    }

    @r.a
    public boolean s(@NonNull a<?> aVar) {
        throw new UnsupportedOperationException();
    }

    public abstract boolean t(@NonNull a<?> aVar);

    public abstract boolean u();

    public abstract boolean v();

    public abstract boolean w(@NonNull b bVar);

    public abstract boolean x(@NonNull c cVar);

    @r.a
    public boolean y(s sVar) {
        throw new UnsupportedOperationException();
    }

    @r.a
    public void z() {
        throw new UnsupportedOperationException();
    }
}
