package com.google.android.gms.common.data;

import android.graphics.Bitmap;
import android.os.Parcel;
import android.os.ParcelFileDescriptor;
import android.os.Parcelable;
import android.util.Log;
import com.google.android.gms.common.internal.ReflectedParcelable;
import com.google.android.gms.common.internal.e0;
import com.google.android.gms.common.internal.safeparcel.AbstractSafeParcelable;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable;
import java.io.BufferedOutputStream;
import java.io.Closeable;
import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.nio.ByteBuffer;
import r.a;
import t.b;

@SafeParcelable.a(creator = "BitmapTeleporterCreator")
@a
@e0
public class BitmapTeleporter extends AbstractSafeParcelable implements ReflectedParcelable {
    @a
    public static final Parcelable.Creator<BitmapTeleporter> CREATOR = new m();
    private File C1;
    @SafeParcelable.g(id = 1)

    /* renamed from: f  reason: collision with root package name */
    private final int f5076f;
    @SafeParcelable.c(id = 2)

    /* renamed from: g  reason: collision with root package name */
    private ParcelFileDescriptor f5077g;
    @SafeParcelable.c(id = 3)

    /* renamed from: p  reason: collision with root package name */
    private final int f5078p;

    /* renamed from: x  reason: collision with root package name */
    private Bitmap f5079x;

    /* renamed from: y  reason: collision with root package name */
    private boolean f5080y;

    @SafeParcelable.b
    BitmapTeleporter(@SafeParcelable.e(id = 1) int i7, @SafeParcelable.e(id = 2) ParcelFileDescriptor parcelFileDescriptor, @SafeParcelable.e(id = 3) int i8) {
        this.f5076f = i7;
        this.f5077g = parcelFileDescriptor;
        this.f5078p = i8;
        this.f5079x = null;
        this.f5080y = false;
    }

    private static void M(Closeable closeable) {
        try {
            closeable.close();
        } catch (IOException e7) {
            Log.w("BitmapTeleporter", "Could not close stream", e7);
        }
    }

    private final FileOutputStream N() {
        File file = this.C1;
        if (file != null) {
            try {
                File createTempFile = File.createTempFile("teleporter", ".tmp", file);
                try {
                    FileOutputStream fileOutputStream = new FileOutputStream(createTempFile);
                    this.f5077g = ParcelFileDescriptor.open(createTempFile, 268435456);
                    createTempFile.delete();
                    return fileOutputStream;
                } catch (FileNotFoundException unused) {
                    throw new IllegalStateException("Temporary file is somehow already deleted");
                }
            } catch (IOException e7) {
                throw new IllegalStateException("Could not create temporary file", e7);
            }
        } else {
            throw new IllegalStateException("setTempDir() must be called before writing this object to a parcel");
        }
    }

    @a
    public Bitmap J() {
        if (!this.f5080y) {
            DataInputStream dataInputStream = new DataInputStream(new ParcelFileDescriptor.AutoCloseInputStream(this.f5077g));
            try {
                byte[] bArr = new byte[dataInputStream.readInt()];
                int readInt = dataInputStream.readInt();
                int readInt2 = dataInputStream.readInt();
                Bitmap.Config valueOf = Bitmap.Config.valueOf(dataInputStream.readUTF());
                dataInputStream.read(bArr);
                M(dataInputStream);
                ByteBuffer wrap = ByteBuffer.wrap(bArr);
                Bitmap createBitmap = Bitmap.createBitmap(readInt, readInt2, valueOf);
                createBitmap.copyPixelsFromBuffer(wrap);
                this.f5079x = createBitmap;
                this.f5080y = true;
            } catch (IOException e7) {
                throw new IllegalStateException("Could not read from parcel file descriptor", e7);
            } catch (Throwable th) {
                M(dataInputStream);
                throw th;
            }
        }
        return this.f5079x;
    }

    @a
    public void K() {
        if (!this.f5080y) {
            try {
                this.f5077g.close();
            } catch (IOException e7) {
                Log.w("BitmapTeleporter", "Could not close PFD", e7);
            }
        }
    }

    @a
    public void L(File file) {
        if (file != null) {
            this.C1 = file;
            return;
        }
        throw new NullPointerException("Cannot set null temp directory");
    }

    public void writeToParcel(Parcel parcel, int i7) {
        if (this.f5077g == null) {
            Bitmap bitmap = this.f5079x;
            ByteBuffer allocate = ByteBuffer.allocate(bitmap.getRowBytes() * bitmap.getHeight());
            bitmap.copyPixelsToBuffer(allocate);
            byte[] array = allocate.array();
            DataOutputStream dataOutputStream = new DataOutputStream(new BufferedOutputStream(N()));
            try {
                dataOutputStream.writeInt(array.length);
                dataOutputStream.writeInt(bitmap.getWidth());
                dataOutputStream.writeInt(bitmap.getHeight());
                dataOutputStream.writeUTF(bitmap.getConfig().toString());
                dataOutputStream.write(array);
                M(dataOutputStream);
            } catch (IOException e7) {
                throw new IllegalStateException("Could not write into unlinked file", e7);
            } catch (Throwable th) {
                M(dataOutputStream);
                throw th;
            }
        }
        int a8 = b.a(parcel);
        b.F(parcel, 1, this.f5076f);
        b.S(parcel, 2, this.f5077g, i7 | 1, false);
        b.F(parcel, 3, this.f5078p);
        b.b(parcel, a8);
        this.f5077g = null;
    }

    @a
    public BitmapTeleporter(Bitmap bitmap) {
        this.f5076f = 1;
        this.f5077g = null;
        this.f5078p = 0;
        this.f5079x = bitmap;
        this.f5080y = true;
    }
}
