package com.google.android.gms.common.data;

import android.content.ContentValues;
import android.database.CharArrayBuffer;
import android.database.Cursor;
import android.database.CursorIndexOutOfBoundsException;
import android.database.CursorWindow;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.Log;
import com.google.android.gms.common.annotation.KeepName;
import com.google.android.gms.common.internal.b0;
import com.google.android.gms.common.internal.d;
import com.google.android.gms.common.internal.safeparcel.AbstractSafeParcelable;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable;
import java.io.Closeable;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@r.a
@SafeParcelable.a(creator = "DataHolderCreator", validate = true)
@KeepName
public final class DataHolder extends AbstractSafeParcelable implements Closeable {
    @r.a
    public static final Parcelable.Creator<DataHolder> CREATOR = new o();
    private static final a X5 = new n(new String[0], null);
    @SafeParcelable.c(getter = "getMetadata", id = 4)
    private final Bundle C1;
    private int[] C2;
    private int U5;
    private boolean V5;
    private boolean W5;
    @SafeParcelable.g(id = 1000)

    /* renamed from: f  reason: collision with root package name */
    private final int f5081f;
    @SafeParcelable.c(getter = "getColumns", id = 1)

    /* renamed from: g  reason: collision with root package name */
    private final String[] f5082g;

    /* renamed from: p  reason: collision with root package name */
    private Bundle f5083p;
    @SafeParcelable.c(getter = "getWindows", id = 2)

    /* renamed from: x  reason: collision with root package name */
    private final CursorWindow[] f5084x;
    @SafeParcelable.c(getter = "getStatusCode", id = 3)

    /* renamed from: y  reason: collision with root package name */
    private final int f5085y;

    @r.a
    public static class a {

        /* renamed from: a  reason: collision with root package name */
        private final String[] f5086a;

        /* renamed from: b  reason: collision with root package name */
        private final ArrayList<HashMap<String, Object>> f5087b;

        /* renamed from: c  reason: collision with root package name */
        private final String f5088c;

        /* renamed from: d  reason: collision with root package name */
        private final HashMap<Object, Integer> f5089d;

        /* renamed from: e  reason: collision with root package name */
        private boolean f5090e;

        /* renamed from: f  reason: collision with root package name */
        private String f5091f;

        private a(String[] strArr, String str) {
            this.f5086a = (String[]) b0.k(strArr);
            this.f5087b = new ArrayList<>();
            this.f5088c = str;
            this.f5089d = new HashMap<>();
            this.f5090e = false;
            this.f5091f = null;
        }

        @r.a
        public DataHolder a(int i7) {
            return new DataHolder(this, i7, (Bundle) null, (n) null);
        }

        @r.a
        public DataHolder b(int i7, Bundle bundle) {
            return new DataHolder(this, i7, bundle, -1, (n) null);
        }

        @r.a
        public a c(ContentValues contentValues) {
            d.c(contentValues);
            HashMap<String, Object> hashMap = new HashMap<>(contentValues.size());
            for (Map.Entry<String, Object> entry : contentValues.valueSet()) {
                hashMap.put(entry.getKey(), entry.getValue());
            }
            return d(hashMap);
        }

        /* JADX WARNING: Removed duplicated region for block: B:10:0x0031  */
        /* JADX WARNING: Removed duplicated region for block: B:11:0x0037  */
        public a d(HashMap<String, Object> hashMap) {
            int i7;
            Object obj;
            d.c(hashMap);
            String str = this.f5088c;
            if (!(str == null || (obj = hashMap.get(str)) == null)) {
                Integer num = this.f5089d.get(obj);
                if (num == null) {
                    this.f5089d.put(obj, Integer.valueOf(this.f5087b.size()));
                } else {
                    i7 = num.intValue();
                    if (i7 != -1) {
                        this.f5087b.add(hashMap);
                    } else {
                        this.f5087b.remove(i7);
                        this.f5087b.add(i7, hashMap);
                    }
                    this.f5090e = false;
                    return this;
                }
            }
            i7 = -1;
            if (i7 != -1) {
            }
            this.f5090e = false;
            return this;
        }

        /* synthetic */ a(String[] strArr, String str, n nVar) {
            this(strArr, null);
        }
    }

    public static class b extends RuntimeException {
        public b(String str) {
            super(str);
        }
    }

    @SafeParcelable.b
    DataHolder(@SafeParcelable.e(id = 1000) int i7, @SafeParcelable.e(id = 1) String[] strArr, @SafeParcelable.e(id = 2) CursorWindow[] cursorWindowArr, @SafeParcelable.e(id = 3) int i8, @SafeParcelable.e(id = 4) Bundle bundle) {
        this.V5 = false;
        this.W5 = true;
        this.f5081f = i7;
        this.f5082g = strArr;
        this.f5084x = cursorWindowArr;
        this.f5085y = i8;
        this.C1 = bundle;
    }

    @r.a
    public static a J(String[] strArr) {
        return new a(strArr, null, null);
    }

    @r.a
    public static DataHolder K(int i7) {
        return new DataHolder(X5, i7, (Bundle) null);
    }

    private final void b0(String str, int i7) {
        Bundle bundle = this.f5083p;
        if (bundle == null || !bundle.containsKey(str)) {
            String valueOf = String.valueOf(str);
            throw new IllegalArgumentException(valueOf.length() != 0 ? "No such column: ".concat(valueOf) : new String("No such column: "));
        } else if (isClosed()) {
            throw new IllegalArgumentException("Buffer is closed.");
        } else if (i7 < 0 || i7 >= this.U5) {
            throw new CursorIndexOutOfBoundsException(i7, this.U5);
        }
    }

    private static CursorWindow[] d0(a aVar, int i7) {
        long j7;
        if (aVar.f5086a.length == 0) {
            return new CursorWindow[0];
        }
        List subList = (i7 < 0 || i7 >= aVar.f5087b.size()) ? aVar.f5087b : aVar.f5087b.subList(0, i7);
        int size = subList.size();
        CursorWindow cursorWindow = new CursorWindow(false);
        ArrayList arrayList = new ArrayList();
        arrayList.add(cursorWindow);
        cursorWindow.setNumColumns(aVar.f5086a.length);
        int i8 = 0;
        boolean z7 = false;
        while (i8 < size) {
            try {
                if (!cursorWindow.allocRow()) {
                    StringBuilder sb = new StringBuilder(72);
                    sb.append("Allocating additional cursor window for large data set (row ");
                    sb.append(i8);
                    sb.append(")");
                    Log.d("DataHolder", sb.toString());
                    cursorWindow = new CursorWindow(false);
                    cursorWindow.setStartPosition(i8);
                    cursorWindow.setNumColumns(aVar.f5086a.length);
                    arrayList.add(cursorWindow);
                    if (!cursorWindow.allocRow()) {
                        Log.e("DataHolder", "Unable to allocate row to hold data.");
                        arrayList.remove(cursorWindow);
                        return (CursorWindow[]) arrayList.toArray(new CursorWindow[arrayList.size()]);
                    }
                }
                Map map = (Map) subList.get(i8);
                boolean z8 = true;
                for (int i9 = 0; i9 < aVar.f5086a.length && z8; i9++) {
                    String str = aVar.f5086a[i9];
                    Object obj = map.get(str);
                    if (obj == null) {
                        z8 = cursorWindow.putNull(i8, i9);
                    } else if (obj instanceof String) {
                        z8 = cursorWindow.putString((String) obj, i8, i9);
                    } else {
                        if (obj instanceof Long) {
                            j7 = ((Long) obj).longValue();
                        } else if (obj instanceof Integer) {
                            z8 = cursorWindow.putLong((long) ((Integer) obj).intValue(), i8, i9);
                        } else if (obj instanceof Boolean) {
                            j7 = ((Boolean) obj).booleanValue() ? 1 : 0;
                        } else if (obj instanceof byte[]) {
                            z8 = cursorWindow.putBlob((byte[]) obj, i8, i9);
                        } else if (obj instanceof Double) {
                            z8 = cursorWindow.putDouble(((Double) obj).doubleValue(), i8, i9);
                        } else if (obj instanceof Float) {
                            z8 = cursorWindow.putDouble((double) ((Float) obj).floatValue(), i8, i9);
                        } else {
                            String valueOf = String.valueOf(obj);
                            StringBuilder sb2 = new StringBuilder(String.valueOf(str).length() + 32 + valueOf.length());
                            sb2.append("Unsupported object for column ");
                            sb2.append(str);
                            sb2.append(": ");
                            sb2.append(valueOf);
                            throw new IllegalArgumentException(sb2.toString());
                        }
                        z8 = cursorWindow.putLong(j7, i8, i9);
                    }
                }
                if (z8) {
                    z7 = false;
                } else if (!z7) {
                    StringBuilder sb3 = new StringBuilder(74);
                    sb3.append("Couldn't populate window data for row ");
                    sb3.append(i8);
                    sb3.append(" - allocating new window.");
                    Log.d("DataHolder", sb3.toString());
                    cursorWindow.freeLastRow();
                    cursorWindow = new CursorWindow(false);
                    cursorWindow.setStartPosition(i8);
                    cursorWindow.setNumColumns(aVar.f5086a.length);
                    arrayList.add(cursorWindow);
                    i8--;
                    z7 = true;
                } else {
                    throw new b("Could not add the value to a new CursorWindow. The size of value may be larger than what a CursorWindow can handle.");
                }
                i8++;
            } catch (RuntimeException e7) {
                int size2 = arrayList.size();
                for (int i10 = 0; i10 < size2; i10++) {
                    ((CursorWindow) arrayList.get(i10)).close();
                }
                throw e7;
            }
        }
        return (CursorWindow[]) arrayList.toArray(new CursorWindow[arrayList.size()]);
    }

    /* JADX INFO: finally extract failed */
    private static CursorWindow[] f0(w.a aVar) {
        int i7;
        ArrayList arrayList = new ArrayList();
        try {
            int count = aVar.getCount();
            CursorWindow window = aVar.getWindow();
            if (window == null || window.getStartPosition() != 0) {
                i7 = 0;
            } else {
                window.acquireReference();
                aVar.a(null);
                arrayList.add(window);
                i7 = window.getNumRows();
            }
            while (i7 < count && aVar.moveToPosition(i7)) {
                CursorWindow window2 = aVar.getWindow();
                if (window2 != null) {
                    window2.acquireReference();
                    aVar.a(null);
                } else {
                    window2 = new CursorWindow(false);
                    window2.setStartPosition(i7);
                    aVar.fillWindow(i7, window2);
                }
                if (window2.getNumRows() == 0) {
                    break;
                }
                arrayList.add(window2);
                i7 = window2.getStartPosition() + window2.getNumRows();
            }
            aVar.close();
            return (CursorWindow[]) arrayList.toArray(new CursorWindow[arrayList.size()]);
        } catch (Throwable th) {
            aVar.close();
            throw th;
        }
    }

    @r.a
    public final boolean L(String str, int i7, int i8) {
        b0(str, i7);
        return Long.valueOf(this.f5084x[i8].getLong(i7, this.f5083p.getInt(str))).longValue() == 1;
    }

    @r.a
    public final byte[] M(String str, int i7, int i8) {
        b0(str, i7);
        return this.f5084x[i8].getBlob(i7, this.f5083p.getInt(str));
    }

    @r.a
    public final int N(String str, int i7, int i8) {
        b0(str, i7);
        return this.f5084x[i8].getInt(i7, this.f5083p.getInt(str));
    }

    @r.a
    public final long O(String str, int i7, int i8) {
        b0(str, i7);
        return this.f5084x[i8].getLong(i7, this.f5083p.getInt(str));
    }

    @r.a
    public final Bundle S() {
        return this.C1;
    }

    @r.a
    public final int T() {
        return this.f5085y;
    }

    @r.a
    public final String U(String str, int i7, int i8) {
        b0(str, i7);
        return this.f5084x[i8].getString(i7, this.f5083p.getInt(str));
    }

    @r.a
    public final int V(int i7) {
        int[] iArr;
        int i8 = 0;
        b0.q(i7 >= 0 && i7 < this.U5);
        while (true) {
            iArr = this.C2;
            if (i8 >= iArr.length) {
                break;
            } else if (i7 < iArr[i8]) {
                i8--;
                break;
            } else {
                i8++;
            }
        }
        return i8 == iArr.length ? i8 - 1 : i8;
    }

    @r.a
    public final boolean W(String str) {
        return this.f5083p.containsKey(str);
    }

    @r.a
    public final boolean X(String str, int i7, int i8) {
        b0(str, i7);
        return this.f5084x[i8].isNull(i7, this.f5083p.getInt(str));
    }

    public final float Y(String str, int i7, int i8) {
        b0(str, i7);
        return this.f5084x[i8].getFloat(i7, this.f5083p.getInt(str));
    }

    public final void c0(String str, int i7, int i8, CharArrayBuffer charArrayBuffer) {
        b0(str, i7);
        this.f5084x[i8].copyStringToBuffer(i7, this.f5083p.getInt(str), charArrayBuffer);
    }

    @Override // java.io.Closeable, java.lang.AutoCloseable
    @r.a
    public final void close() {
        synchronized (this) {
            if (!this.V5) {
                this.V5 = true;
                int i7 = 0;
                while (true) {
                    CursorWindow[] cursorWindowArr = this.f5084x;
                    if (i7 >= cursorWindowArr.length) {
                        break;
                    }
                    cursorWindowArr[i7].close();
                    i7++;
                }
            }
        }
    }

    /* access modifiers changed from: protected */
    @Override // java.lang.Object
    public final void finalize() throws Throwable {
        try {
            if (this.W5 && this.f5084x.length > 0 && !isClosed()) {
                close();
                String obj = toString();
                StringBuilder sb = new StringBuilder(String.valueOf(obj).length() + 178);
                sb.append("Internal data leak within a DataBuffer object detected!  Be sure to explicitly call release() on all DataBuffer extending objects when you are done with them. (internal object: ");
                sb.append(obj);
                sb.append(")");
                Log.e("DataBuffer", sb.toString());
            }
        } finally {
            super.finalize();
        }
    }

    public final double g0(String str, int i7, int i8) {
        b0(str, i7);
        return this.f5084x[i8].getDouble(i7, this.f5083p.getInt(str));
    }

    @r.a
    public final int getCount() {
        return this.U5;
    }

    public final void h0() {
        this.f5083p = new Bundle();
        int i7 = 0;
        int i8 = 0;
        while (true) {
            String[] strArr = this.f5082g;
            if (i8 >= strArr.length) {
                break;
            }
            this.f5083p.putInt(strArr[i8], i8);
            i8++;
        }
        this.C2 = new int[this.f5084x.length];
        int i9 = 0;
        while (true) {
            CursorWindow[] cursorWindowArr = this.f5084x;
            if (i7 < cursorWindowArr.length) {
                this.C2[i7] = i9;
                i9 += this.f5084x[i7].getNumRows() - (i9 - cursorWindowArr[i7].getStartPosition());
                i7++;
            } else {
                this.U5 = i9;
                return;
            }
        }
    }

    @r.a
    public final boolean isClosed() {
        boolean z7;
        synchronized (this) {
            z7 = this.V5;
        }
        return z7;
    }

    public final void writeToParcel(Parcel parcel, int i7) {
        int a8 = t.b.a(parcel);
        t.b.Y(parcel, 1, this.f5082g, false);
        t.b.b0(parcel, 2, this.f5084x, i7, false);
        t.b.F(parcel, 3, T());
        t.b.k(parcel, 4, S(), false);
        t.b.F(parcel, 1000, this.f5081f);
        t.b.b(parcel, a8);
        if ((i7 & 1) != 0) {
            close();
        }
    }

    @r.a
    public DataHolder(Cursor cursor, int i7, Bundle bundle) {
        this(new w.a(cursor), i7, bundle);
    }

    private DataHolder(a aVar, int i7, Bundle bundle) {
        this(aVar.f5086a, d0(aVar, -1), i7, (Bundle) null);
    }

    private DataHolder(a aVar, int i7, Bundle bundle, int i8) {
        this(aVar.f5086a, d0(aVar, -1), i7, bundle);
    }

    /* synthetic */ DataHolder(a aVar, int i7, Bundle bundle, int i8, n nVar) {
        this(aVar, i7, bundle, -1);
    }

    /* synthetic */ DataHolder(a aVar, int i7, Bundle bundle, n nVar) {
        this(aVar, i7, (Bundle) null);
    }

    private DataHolder(w.a aVar, int i7, Bundle bundle) {
        this(aVar.getColumnNames(), f0(aVar), i7, bundle);
    }

    @r.a
    public DataHolder(String[] strArr, CursorWindow[] cursorWindowArr, int i7, Bundle bundle) {
        this.V5 = false;
        this.W5 = true;
        this.f5081f = 1;
        this.f5082g = (String[]) b0.k(strArr);
        this.f5084x = (CursorWindow[]) b0.k(cursorWindowArr);
        this.f5085y = i7;
        this.C1 = bundle;
        h0();
    }
}
