package com.google.android.gms.common;

import android.annotation.SuppressLint;
import android.annotation.TargetApi;
import android.app.Activity;
import android.app.AlertDialog;
import android.app.Dialog;
import android.app.Notification;
import android.app.NotificationChannel;
import android.app.NotificationManager;
import android.app.PendingIntent;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.IntentFilter;
import android.content.res.Resources;
import android.os.Looper;
import android.os.Message;
import android.util.Log;
import android.util.TypedValue;
import android.widget.ProgressBar;
import androidx.annotation.GuardedBy;
import androidx.annotation.MainThread;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.VisibleForTesting;
import androidx.core.app.NotificationCompat;
import androidx.fragment.app.FragmentActivity;
import com.google.android.gms.common.api.GoogleApiActivity;
import com.google.android.gms.common.api.internal.k;
import com.google.android.gms.common.api.internal.r1;
import com.google.android.gms.common.api.internal.s1;
import com.google.android.gms.common.api.internal.v1;
import com.google.android.gms.common.api.j;
import com.google.android.gms.common.internal.b0;
import com.google.android.gms.common.internal.e0;
import com.google.android.gms.common.internal.g;
import com.google.android.gms.common.internal.i;
import com.google.android.gms.internal.base.p;
import com.google.android.gms.tasks.o;
import java.util.ArrayList;
import java.util.Arrays;
import q.a;
import x.l;
import x.v;

public class e extends f {

    /* renamed from: h  reason: collision with root package name */
    private static final Object f5106h = new Object();

    /* renamed from: i  reason: collision with root package name */
    private static final e f5107i = new e();

    /* renamed from: j  reason: collision with root package name */
    public static final int f5108j = f.f5114a;

    /* renamed from: k  reason: collision with root package name */
    public static final String f5109k = "com.google.android.gms";
    @GuardedBy("mLock")

    /* renamed from: g  reason: collision with root package name */
    private String f5110g;

    /* access modifiers changed from: private */
    @SuppressLint({"HandlerLeak"})
    public class a extends p {

        /* renamed from: b  reason: collision with root package name */
        private final Context f5111b;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        public a(Context context) {
            super(Looper.myLooper() == null ? Looper.getMainLooper() : Looper.myLooper());
            this.f5111b = context.getApplicationContext();
        }

        public final void handleMessage(Message message) {
            int i7 = message.what;
            if (i7 != 1) {
                StringBuilder sb = new StringBuilder(50);
                sb.append("Don't know how to handle this message: ");
                sb.append(i7);
                Log.w("GoogleApiAvailability", sb.toString());
                return;
            }
            int j7 = e.this.j(this.f5111b);
            if (e.this.o(j7)) {
                e.this.A(this.f5111b, j7);
            }
        }
    }

    public static Dialog C(Activity activity, DialogInterface.OnCancelListener onCancelListener) {
        ProgressBar progressBar = new ProgressBar(activity, null, 16842874);
        progressBar.setIndeterminate(true);
        progressBar.setVisibility(0);
        AlertDialog.Builder builder = new AlertDialog.Builder(activity);
        builder.setView(progressBar);
        builder.setMessage(g.d(activity, 18));
        builder.setPositiveButton("", (DialogInterface.OnClickListener) null);
        AlertDialog create = builder.create();
        F(activity, create, "GooglePlayServicesUpdatingDialog", onCancelListener);
        return create;
    }

    static Dialog D(Context context, int i7, i iVar, DialogInterface.OnCancelListener onCancelListener) {
        AlertDialog.Builder builder = null;
        if (i7 == 0) {
            return null;
        }
        TypedValue typedValue = new TypedValue();
        context.getTheme().resolveAttribute(16843529, typedValue, true);
        if ("Theme.Dialog.Alert".equals(context.getResources().getResourceEntryName(typedValue.resourceId))) {
            builder = new AlertDialog.Builder(context, 5);
        }
        if (builder == null) {
            builder = new AlertDialog.Builder(context);
        }
        builder.setMessage(g.d(context, i7));
        if (onCancelListener != null) {
            builder.setOnCancelListener(onCancelListener);
        }
        String c7 = g.c(context, i7);
        if (c7 != null) {
            builder.setPositiveButton(c7, iVar);
        }
        String g7 = g.g(context, i7);
        if (g7 != null) {
            builder.setTitle(g7);
        }
        return builder.create();
    }

    static void F(Activity activity, Dialog dialog, String str, DialogInterface.OnCancelListener onCancelListener) {
        if (activity instanceof FragmentActivity) {
            o.n(dialog, onCancelListener).show(((FragmentActivity) activity).getSupportFragmentManager(), str);
            return;
        }
        c.b(dialog, onCancelListener).show(activity.getFragmentManager(), str);
    }

    @TargetApi(20)
    private final void H(Context context, int i7, String str, PendingIntent pendingIntent) {
        int i8;
        if (i7 == 18) {
            G(context);
        } else if (pendingIntent != null) {
            String f7 = g.f(context, i7);
            String e7 = g.e(context, i7);
            Resources resources = context.getResources();
            NotificationManager notificationManager = (NotificationManager) context.getSystemService("notification");
            NotificationCompat.Builder style = new NotificationCompat.Builder(context).setLocalOnly(true).setAutoCancel(true).setContentTitle(f7).setStyle(new NotificationCompat.BigTextStyle().bigText(e7));
            if (l.g(context)) {
                b0.q(v.i());
                style.setSmallIcon(context.getApplicationInfo().icon).setPriority(2);
                if (l.h(context)) {
                    style.addAction(a.c.f25050a, resources.getString(a.e.f25094o), pendingIntent);
                } else {
                    style.setContentIntent(pendingIntent);
                }
            } else {
                style.setSmallIcon(17301642).setTicker(resources.getString(a.e.f25087h)).setWhen(System.currentTimeMillis()).setContentIntent(pendingIntent).setContentText(e7);
            }
            if (v.n()) {
                b0.q(v.n());
                String K = K();
                if (K == null) {
                    K = "com.google.android.gms.availability";
                    NotificationChannel notificationChannel = notificationManager.getNotificationChannel(K);
                    String b7 = g.b(context);
                    if (notificationChannel == null) {
                        notificationChannel = new NotificationChannel(K, b7, 4);
                    } else if (!b7.contentEquals(notificationChannel.getName())) {
                        notificationChannel.setName(b7);
                    }
                    notificationManager.createNotificationChannel(notificationChannel);
                }
                style.setChannelId(K);
            }
            Notification build = style.build();
            if (i7 == 1 || i7 == 2 || i7 == 3) {
                i.sCanceledAvailabilityNotification.set(false);
                i8 = 10436;
            } else {
                i8 = 39789;
            }
            notificationManager.notify(i8, build);
        } else if (i7 == 6) {
            Log.w("GoogleApiAvailability", "Missing resolution for ConnectionResult.RESOLUTION_REQUIRED. Call GoogleApiAvailability#showErrorNotification(Context, ConnectionResult) instead.");
        }
    }

    @VisibleForTesting(otherwise = 2)
    private final String K() {
        String str;
        synchronized (f5106h) {
            str = this.f5110g;
        }
        return str;
    }

    public static e v() {
        return f5107i;
    }

    public void A(Context context, int i7) {
        H(context, i7, null, g(context, i7, 0, "n"));
    }

    public void B(Context context, ConnectionResult connectionResult) {
        H(context, connectionResult.J(), null, u(context, connectionResult));
    }

    @Nullable
    public final r1 E(Context context, s1 s1Var) {
        IntentFilter intentFilter = new IntentFilter("android.intent.action.PACKAGE_ADDED");
        intentFilter.addDataScheme("package");
        r1 r1Var = new r1(s1Var);
        context.registerReceiver(r1Var, intentFilter);
        r1Var.b(context);
        if (n(context, "com.google.android.gms")) {
            return r1Var;
        }
        s1Var.a();
        r1Var.a();
        return null;
    }

    /* access modifiers changed from: package-private */
    public final void G(Context context) {
        new a(context).sendEmptyMessageDelayed(1, 120000);
    }

    public final boolean I(Activity activity, @NonNull k kVar, int i7, int i8, DialogInterface.OnCancelListener onCancelListener) {
        Dialog D = D(activity, i7, i.c(kVar, e(activity, i7, "d"), 2), onCancelListener);
        if (D == null) {
            return false;
        }
        F(activity, D, GooglePlayServicesUtil.GMS_ERROR_DIALOG, onCancelListener);
        return true;
    }

    public final boolean J(Context context, ConnectionResult connectionResult, int i7) {
        PendingIntent u7 = u(context, connectionResult);
        if (u7 == null) {
            return false;
        }
        H(context, connectionResult.J(), null, GoogleApiActivity.a(context, u7, i7));
        return true;
    }

    @Override // com.google.android.gms.common.f
    @r.a
    @e0
    public int c(Context context) {
        return super.c(context);
    }

    @Override // com.google.android.gms.common.f
    @Nullable
    @r.a
    @e0
    public Intent e(Context context, int i7, @Nullable String str) {
        return super.e(context, i7, str);
    }

    @Override // com.google.android.gms.common.f
    @Nullable
    public PendingIntent f(Context context, int i7, int i8) {
        return super.f(context, i7, i8);
    }

    @Override // com.google.android.gms.common.f
    public final String h(int i7) {
        return super.h(i7);
    }

    @Override // com.google.android.gms.common.f
    @com.google.android.gms.common.internal.p
    public int j(Context context) {
        return super.j(context);
    }

    @Override // com.google.android.gms.common.f
    @r.a
    @e0
    public int k(Context context, int i7) {
        return super.k(context, i7);
    }

    @Override // com.google.android.gms.common.f
    public final boolean o(int i7) {
        return super.o(i7);
    }

    public com.google.android.gms.tasks.l<Void> r(j<?> jVar, j<?>... jVarArr) {
        b0.l(jVar, "Requested API must not be null.");
        for (j<?> jVar2 : jVarArr) {
            b0.l(jVar2, "Requested API must not be null.");
        }
        ArrayList arrayList = new ArrayList(jVarArr.length + 1);
        arrayList.add(jVar);
        arrayList.addAll(Arrays.asList(jVarArr));
        return com.google.android.gms.common.api.internal.g.q().g(arrayList).m(new q(this));
    }

    public Dialog s(Activity activity, int i7, int i8) {
        return t(activity, i7, i8, null);
    }

    public Dialog t(Activity activity, int i7, int i8, DialogInterface.OnCancelListener onCancelListener) {
        return D(activity, i7, i.a(activity, e(activity, i7, "d"), i8), onCancelListener);
    }

    @Nullable
    public PendingIntent u(Context context, ConnectionResult connectionResult) {
        return connectionResult.M() ? connectionResult.L() : f(context, connectionResult.J(), 0);
    }

    @MainThread
    public com.google.android.gms.tasks.l<Void> w(Activity activity) {
        int i7 = f5108j;
        b0.f("makeGooglePlayServicesAvailable must be called from the main thread");
        int k7 = k(activity, i7);
        if (k7 == 0) {
            return o.g(null);
        }
        v1 s7 = v1.s(activity);
        s7.o(new ConnectionResult(k7, null), 0);
        return s7.r();
    }

    @TargetApi(26)
    public void x(@NonNull Context context, @NonNull String str) {
        if (v.n()) {
            b0.k(((NotificationManager) context.getSystemService("notification")).getNotificationChannel(str));
        }
        synchronized (f5106h) {
            this.f5110g = str;
        }
    }

    public boolean y(Activity activity, int i7, int i8) {
        return z(activity, i7, i8, null);
    }

    public boolean z(Activity activity, int i7, int i8, DialogInterface.OnCancelListener onCancelListener) {
        Dialog t7 = t(activity, i7, i8, onCancelListener);
        if (t7 == null) {
            return false;
        }
        F(activity, t7, GooglePlayServicesUtil.GMS_ERROR_DIALOG, onCancelListener);
        return true;
    }
}
