package com.google.android.gms.common;

import android.annotation.TargetApi;
import android.app.NotificationManager;
import android.app.PendingIntent;
import android.content.Context;
import android.content.Intent;
import android.content.pm.ApplicationInfo;
import android.content.pm.PackageInfo;
import android.content.pm.PackageInstaller;
import android.content.pm.PackageManager;
import android.content.res.Resources;
import android.os.Bundle;
import android.os.UserManager;
import android.util.Log;
import com.google.android.gms.common.internal.b0;
import com.google.android.gms.common.internal.e0;
import com.google.android.gms.common.internal.n1;
import com.google.android.gms.common.internal.p;
import com.google.android.gms.common.l;
import java.util.concurrent.atomic.AtomicBoolean;
import r.a;
import x.c0;
import x.d0;
import x.e;
import x.g0;
import x.l;
import x.v;
import y.c;

@a
@e0
public class i {
    @a
    static final int GMS_AVAILABILITY_NOTIFICATION_ID = 10436;
    @a
    static final int GMS_GENERAL_ERROR_NOTIFICATION_ID = 39789;
    @a
    public static final String GOOGLE_PLAY_GAMES_PACKAGE = "com.google.android.play.games";
    @a
    @Deprecated
    public static final String GOOGLE_PLAY_SERVICES_PACKAGE = "com.google.android.gms";
    @a
    @Deprecated
    public static final int GOOGLE_PLAY_SERVICES_VERSION_CODE = 12451000;
    @a
    public static final String GOOGLE_PLAY_STORE_PACKAGE = "com.android.vending";
    @a
    @d0
    static final AtomicBoolean sCanceledAvailabilityNotification = new AtomicBoolean();
    @d0
    private static boolean zzah = false;
    @d0
    private static boolean zzai = false;
    private static boolean zzaj = false;
    @d0
    private static boolean zzak = false;
    private static final AtomicBoolean zzal = new AtomicBoolean();

    @a
    i() {
    }

    /* JADX WARNING: Removed duplicated region for block: B:19:0x0035  */
    /* JADX WARNING: Removed duplicated region for block: B:20:0x0038  */
    @d0
    private static int a(Context context, boolean z7, int i7) {
        PackageInfo packageInfo;
        PackageInfo packageInfo2;
        String str;
        b0.a(i7 >= 0);
        PackageManager packageManager = context.getPackageManager();
        if (z7) {
            try {
                packageInfo = packageManager.getPackageInfo("com.android.vending", 8256);
                try {
                    packageInfo2 = packageManager.getPackageInfo("com.google.android.gms", 64);
                    j.a(context);
                    if (j.g(packageInfo2, true)) {
                        str = "Google Play services signature invalid.";
                    } else if (z7 && (!j.g(packageInfo, true) || !packageInfo.signatures[0].equals(packageInfo2.signatures[0]))) {
                        str = "Google Play Store signature invalid.";
                    } else if (g0.a(packageInfo2.versionCode) < g0.a(i7)) {
                        int i8 = packageInfo2.versionCode;
                        StringBuilder sb = new StringBuilder(77);
                        sb.append("Google Play services out of date.  Requires ");
                        sb.append(i7);
                        sb.append(" but found ");
                        sb.append(i8);
                        Log.w("GooglePlayServicesUtil", sb.toString());
                        return 2;
                    } else {
                        ApplicationInfo applicationInfo = packageInfo2.applicationInfo;
                        if (applicationInfo == null) {
                            try {
                                applicationInfo = packageManager.getApplicationInfo("com.google.android.gms", 0);
                            } catch (PackageManager.NameNotFoundException e7) {
                                Log.wtf("GooglePlayServicesUtil", "Google Play services missing when getting application info.", e7);
                                return 1;
                            }
                        }
                        return !applicationInfo.enabled ? 3 : 0;
                    }
                } catch (PackageManager.NameNotFoundException unused) {
                    Log.w("GooglePlayServicesUtil", "Google Play services is missing.");
                    return 1;
                }
            } catch (PackageManager.NameNotFoundException unused2) {
                str = "Google Play Store is missing.";
            }
        } else {
            packageInfo = null;
            packageInfo2 = packageManager.getPackageInfo("com.google.android.gms", 64);
            j.a(context);
            if (j.g(packageInfo2, true)) {
            }
        }
        Log.w("GooglePlayServicesUtil", str);
        return 9;
    }

    @a
    @Deprecated
    public static void cancelAvailabilityErrorNotifications(Context context) {
        if (!sCanceledAvailabilityNotification.getAndSet(true)) {
            try {
                NotificationManager notificationManager = (NotificationManager) context.getSystemService("notification");
                if (notificationManager != null) {
                    notificationManager.cancel(GMS_AVAILABILITY_NOTIFICATION_ID);
                }
            } catch (SecurityException unused) {
            }
        }
    }

    @a
    @e0
    public static void enableUsingApkIndependentContext() {
        zzal.set(true);
    }

    @a
    @Deprecated
    public static void ensurePlayServicesAvailable(Context context, int i7) throws h, g {
        int k7 = f.i().k(context, i7);
        if (k7 != 0) {
            Intent e7 = f.i().e(context, k7, "e");
            StringBuilder sb = new StringBuilder(57);
            sb.append("GooglePlayServices not available due to error ");
            sb.append(k7);
            Log.e("GooglePlayServicesUtil", sb.toString());
            if (e7 == null) {
                throw new g(k7);
            }
            throw new h(k7, "Google Play Services not available", e7);
        }
    }

    @a
    @e0
    @Deprecated
    public static int getApkVersion(Context context) {
        try {
            return context.getPackageManager().getPackageInfo("com.google.android.gms", 0).versionCode;
        } catch (PackageManager.NameNotFoundException unused) {
            Log.w("GooglePlayServicesUtil", "Google Play services is missing.");
            return 0;
        }
    }

    @a
    @e0
    @Deprecated
    public static int getClientVersion(Context context) {
        b0.q(true);
        return e.a(context, context.getPackageName());
    }

    @a
    @Deprecated
    public static PendingIntent getErrorPendingIntent(int i7, Context context, int i8) {
        return f.i().f(context, i7, i8);
    }

    @a
    @d0
    @Deprecated
    public static String getErrorString(int i7) {
        return ConnectionResult.S(i7);
    }

    @a
    @e0
    @Deprecated
    public static Intent getGooglePlayServicesAvailabilityRecoveryIntent(int i7) {
        return f.i().e(null, i7, null);
    }

    @a
    public static Context getRemoteContext(Context context) {
        try {
            return context.createPackageContext("com.google.android.gms", 3);
        } catch (PackageManager.NameNotFoundException unused) {
            return null;
        }
    }

    @a
    public static Resources getRemoteResource(Context context) {
        try {
            return context.getPackageManager().getResourcesForApplication("com.google.android.gms");
        } catch (PackageManager.NameNotFoundException unused) {
            return null;
        }
    }

    @a
    @e0
    public static boolean honorsDebugCertificates(Context context) {
        if (!zzak) {
            try {
                PackageInfo e7 = c.a(context).e("com.google.android.gms", 64);
                j.a(context);
                if (e7 == null || j.g(e7, false) || !j.g(e7, true)) {
                    zzaj = false;
                } else {
                    zzaj = true;
                }
            } catch (PackageManager.NameNotFoundException e8) {
                Log.w("GooglePlayServicesUtil", "Cannot find Google Play services package name.", e8);
            } catch (Throwable th) {
                zzak = true;
                throw th;
            }
            zzak = true;
        }
        return zzaj || !l.f();
    }

    @p
    @a
    @Deprecated
    public static int isGooglePlayServicesAvailable(Context context) {
        return isGooglePlayServicesAvailable(context, GOOGLE_PLAY_SERVICES_VERSION_CODE);
    }

    @a
    @Deprecated
    public static boolean isGooglePlayServicesUid(Context context, int i7) {
        return c0.a(context, i7);
    }

    @a
    @e0
    @Deprecated
    public static boolean isPlayServicesPossiblyUpdating(Context context, int i7) {
        if (i7 == 18) {
            return true;
        }
        if (i7 == 1) {
            return isUninstalledAppPossiblyUpdating(context, "com.google.android.gms");
        }
        return false;
    }

    @a
    @e0
    @Deprecated
    public static boolean isPlayStorePossiblyUpdating(Context context, int i7) {
        if (i7 == 9) {
            return isUninstalledAppPossiblyUpdating(context, "com.android.vending");
        }
        return false;
    }

    @a
    @TargetApi(18)
    public static boolean isRestrictedUserProfile(Context context) {
        Bundle applicationRestrictions;
        return v.g() && (applicationRestrictions = ((UserManager) context.getSystemService("user")).getApplicationRestrictions(context.getPackageName())) != null && "true".equals(applicationRestrictions.getString("restricted_profile"));
    }

    @a
    @e0
    @Deprecated
    @d0
    public static boolean isSidewinderDevice(Context context) {
        return l.c(context);
    }

    @TargetApi(21)
    static boolean isUninstalledAppPossiblyUpdating(Context context, String str) {
        boolean equals = str.equals("com.google.android.gms");
        if (v.j()) {
            try {
                for (PackageInstaller.SessionInfo sessionInfo : context.getPackageManager().getPackageInstaller().getAllSessions()) {
                    if (str.equals(sessionInfo.getAppPackageName())) {
                        return true;
                    }
                }
            } catch (Exception unused) {
                return false;
            }
        }
        try {
            ApplicationInfo applicationInfo = context.getPackageManager().getApplicationInfo(str, 8192);
            return equals ? applicationInfo.enabled : applicationInfo.enabled && !isRestrictedUserProfile(context);
        } catch (PackageManager.NameNotFoundException unused2) {
        }
    }

    @a
    @Deprecated
    public static boolean isUserRecoverableError(int i7) {
        return i7 == 1 || i7 == 2 || i7 == 3 || i7 == 9;
    }

    @a
    @TargetApi(19)
    @Deprecated
    public static boolean uidHasPackageName(Context context, int i7, String str) {
        return c0.b(context, i7, str);
    }

    @a
    @Deprecated
    public static int isGooglePlayServicesAvailable(Context context, int i7) {
        try {
            context.getResources().getString(l.b.f5356a);
        } catch (Throwable unused) {
            Log.e("GooglePlayServicesUtil", "The Google Play services resources were not found. Check your project configuration to ensure that the resources are included.");
        }
        if (!"com.google.android.gms".equals(context.getPackageName()) && !zzal.get()) {
            int b7 = n1.b(context);
            if (b7 != 0) {
                int i8 = GOOGLE_PLAY_SERVICES_VERSION_CODE;
                if (b7 != i8) {
                    StringBuilder sb = new StringBuilder(320);
                    sb.append("The meta-data tag in your app's AndroidManifest.xml does not have the right value.  Expected ");
                    sb.append(i8);
                    sb.append(" but found ");
                    sb.append(b7);
                    sb.append(".  You must have the following declaration within the <application> element:     <meta-data android:name=\"com.google.android.gms.version\" android:value=\"@integer/google_play_services_version\" />");
                    throw new IllegalStateException(sb.toString());
                }
            } else {
                throw new IllegalStateException("A required meta-data tag in your app's AndroidManifest.xml does not exist.  You must have the following declaration within the <application> element:     <meta-data android:name=\"com.google.android.gms.version\" android:value=\"@integer/google_play_services_version\" />");
            }
        }
        return a(context, !x.l.h(context) && !x.l.i(context), i7);
    }
}
