package com.google.android.gms.common.images;

import android.net.Uri;
import android.os.Parcel;
import android.os.Parcelable;
import com.google.android.gms.common.internal.safeparcel.AbstractSafeParcelable;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable;
import com.google.android.gms.common.internal.w;
import com.google.android.gms.common.internal.z;
import java.util.Locale;
import org.json.JSONException;
import org.json.JSONObject;
import r.a;
import t.b;

@SafeParcelable.a(creator = "WebImageCreator")
public final class WebImage extends AbstractSafeParcelable {
    public static final Parcelable.Creator<WebImage> CREATOR = new f();
    @SafeParcelable.g(id = 1)

    /* renamed from: f  reason: collision with root package name */
    private final int f5146f;
    @SafeParcelable.c(getter = "getUrl", id = 2)

    /* renamed from: g  reason: collision with root package name */
    private final Uri f5147g;
    @SafeParcelable.c(getter = "getWidth", id = 3)

    /* renamed from: p  reason: collision with root package name */
    private final int f5148p;
    @SafeParcelable.c(getter = "getHeight", id = 4)

    /* renamed from: x  reason: collision with root package name */
    private final int f5149x;

    @SafeParcelable.b
    WebImage(@SafeParcelable.e(id = 1) int i7, @SafeParcelable.e(id = 2) Uri uri, @SafeParcelable.e(id = 3) int i8, @SafeParcelable.e(id = 4) int i9) {
        this.f5146f = i7;
        this.f5147g = uri;
        this.f5148p = i8;
        this.f5149x = i9;
    }

    private static Uri N(JSONObject jSONObject) {
        if (jSONObject.has(w.f5341a)) {
            try {
                return Uri.parse(jSONObject.getString(w.f5341a));
            } catch (JSONException unused) {
            }
        }
        return null;
    }

    public final int J() {
        return this.f5149x;
    }

    public final Uri K() {
        return this.f5147g;
    }

    public final int L() {
        return this.f5148p;
    }

    @a
    public final JSONObject M() {
        JSONObject jSONObject = new JSONObject();
        try {
            jSONObject.put(w.f5341a, this.f5147g.toString());
            jSONObject.put("width", this.f5148p);
            jSONObject.put("height", this.f5149x);
        } catch (JSONException unused) {
        }
        return jSONObject;
    }

    public final boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj != null && (obj instanceof WebImage)) {
            WebImage webImage = (WebImage) obj;
            return z.a(this.f5147g, webImage.f5147g) && this.f5148p == webImage.f5148p && this.f5149x == webImage.f5149x;
        }
    }

    public final int hashCode() {
        return z.b(this.f5147g, Integer.valueOf(this.f5148p), Integer.valueOf(this.f5149x));
    }

    public final String toString() {
        return String.format(Locale.US, "Image %dx%d %s", Integer.valueOf(this.f5148p), Integer.valueOf(this.f5149x), this.f5147g.toString());
    }

    public final void writeToParcel(Parcel parcel, int i7) {
        int a8 = b.a(parcel);
        b.F(parcel, 1, this.f5146f);
        b.S(parcel, 2, K(), i7, false);
        b.F(parcel, 3, L());
        b.F(parcel, 4, J());
        b.b(parcel, a8);
    }

    public WebImage(Uri uri) throws IllegalArgumentException {
        this(uri, 0, 0);
    }

    public WebImage(Uri uri, int i7, int i8) throws IllegalArgumentException {
        this(1, uri, i7, i8);
        if (uri == null) {
            throw new IllegalArgumentException("url cannot be null");
        } else if (i7 < 0 || i8 < 0) {
            throw new IllegalArgumentException("width and height must not be negative");
        }
    }

    @a
    public WebImage(JSONObject jSONObject) throws IllegalArgumentException {
        this(N(jSONObject), jSONObject.optInt("width", 0), jSONObject.optInt("height", 0));
    }
}
