package com.google.android.gms.common.internal;

import android.accounts.Account;
import android.os.IBinder;
import android.os.Parcel;
import android.os.Parcelable;
import com.google.android.gms.common.api.Scope;
import com.google.android.gms.common.internal.q;
import com.google.android.gms.common.internal.safeparcel.AbstractSafeParcelable;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable;
import e4.h;
import java.util.Arrays;
import java.util.HashSet;
import java.util.Set;
import t.b;

@SafeParcelable.a(creator = "AuthAccountRequestCreator")
public class AuthAccountRequest extends AbstractSafeParcelable {
    public static final Parcelable.Creator<AuthAccountRequest> CREATOR = new k0();
    @SafeParcelable.c(id = 6, type = "android.accounts.Account")
    private Account C1;
    @SafeParcelable.g(id = 1)

    /* renamed from: f  reason: collision with root package name */
    private final int f5162f;
    @SafeParcelable.c(id = 2)
    @Deprecated

    /* renamed from: g  reason: collision with root package name */
    private final IBinder f5163g;
    @SafeParcelable.c(id = 3)

    /* renamed from: p  reason: collision with root package name */
    private final Scope[] f5164p;
    @SafeParcelable.c(id = 4)

    /* renamed from: x  reason: collision with root package name */
    private Integer f5165x;
    @SafeParcelable.c(id = 5)

    /* renamed from: y  reason: collision with root package name */
    private Integer f5166y;

    @SafeParcelable.b
    AuthAccountRequest(@SafeParcelable.e(id = 1) int i7, @SafeParcelable.e(id = 2) IBinder iBinder, @SafeParcelable.e(id = 3) Scope[] scopeArr, @SafeParcelable.e(id = 4) Integer num, @SafeParcelable.e(id = 5) Integer num2, @SafeParcelable.e(id = 6) Account account) {
        this.f5162f = i7;
        this.f5163g = iBinder;
        this.f5164p = scopeArr;
        this.f5165x = num;
        this.f5166y = num2;
        this.C1 = account;
    }

    @h
    public Integer J() {
        return this.f5165x;
    }

    @h
    public Integer K() {
        return this.f5166y;
    }

    public Set<Scope> L() {
        return new HashSet(Arrays.asList(this.f5164p));
    }

    public AuthAccountRequest M(@h Integer num) {
        this.f5165x = num;
        return this;
    }

    public AuthAccountRequest N(@h Integer num) {
        this.f5166y = num;
        return this;
    }

    public Account r() {
        Account account = this.C1;
        if (account != null) {
            return account;
        }
        IBinder iBinder = this.f5163g;
        if (iBinder != null) {
            return a.g(q.a.e(iBinder));
        }
        return null;
    }

    public void writeToParcel(Parcel parcel, int i7) {
        int a8 = b.a(parcel);
        b.F(parcel, 1, this.f5162f);
        b.B(parcel, 2, this.f5163g, false);
        b.b0(parcel, 3, this.f5164p, i7, false);
        b.I(parcel, 4, this.f5165x, false);
        b.I(parcel, 5, this.f5166y, false);
        b.S(parcel, 6, this.C1, i7, false);
        b.b(parcel, a8);
    }

    public AuthAccountRequest(Account account, Set<Scope> set) {
        this(3, null, (Scope[]) set.toArray(new Scope[set.size()]), null, null, (Account) b0.k(account));
    }

    @Deprecated
    public AuthAccountRequest(q qVar, Set<Scope> set) {
        this(3, qVar.asBinder(), (Scope[]) set.toArray(new Scope[set.size()]), null, null, null);
    }
}
