package com.google.android.gms.common.internal;

import android.accounts.Account;
import android.os.Parcel;
import android.os.Parcelable;
import androidx.annotation.Nullable;
import com.google.android.gms.auth.api.signin.GoogleSignInAccount;
import com.google.android.gms.common.internal.safeparcel.AbstractSafeParcelable;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable;
import t.b;

@SafeParcelable.a(creator = "ResolveAccountRequestCreator")
public class ResolveAccountRequest extends AbstractSafeParcelable {
    public static final Parcelable.Creator<ResolveAccountRequest> CREATOR = new w0();
    @SafeParcelable.g(id = 1)

    /* renamed from: f  reason: collision with root package name */
    private final int f5179f;
    @SafeParcelable.c(getter = "getAccount", id = 2)

    /* renamed from: g  reason: collision with root package name */
    private final Account f5180g;
    @SafeParcelable.c(getter = "getSessionId", id = 3)

    /* renamed from: p  reason: collision with root package name */
    private final int f5181p;
    @SafeParcelable.c(getter = "getSignInAccountHint", id = 4)

    /* renamed from: x  reason: collision with root package name */
    private final GoogleSignInAccount f5182x;

    @SafeParcelable.b
    ResolveAccountRequest(@SafeParcelable.e(id = 1) int i7, @SafeParcelable.e(id = 2) Account account, @SafeParcelable.e(id = 3) int i8, @SafeParcelable.e(id = 4) GoogleSignInAccount googleSignInAccount) {
        this.f5179f = i7;
        this.f5180g = account;
        this.f5181p = i8;
        this.f5182x = googleSignInAccount;
    }

    public int J() {
        return this.f5181p;
    }

    @Nullable
    public GoogleSignInAccount K() {
        return this.f5182x;
    }

    public Account r() {
        return this.f5180g;
    }

    public void writeToParcel(Parcel parcel, int i7) {
        int a8 = b.a(parcel);
        b.F(parcel, 1, this.f5179f);
        b.S(parcel, 2, r(), i7, false);
        b.F(parcel, 3, J());
        b.S(parcel, 4, K(), i7, false);
        b.b(parcel, a8);
    }

    public ResolveAccountRequest(Account account, int i7, GoogleSignInAccount googleSignInAccount) {
        this(2, account, i7, googleSignInAccount);
    }
}
