package com.google.android.gms.common.internal;

import android.content.ComponentName;
import android.content.Context;
import android.content.ServiceConnection;
import android.os.Handler;
import android.os.Message;
import android.util.Log;
import androidx.core.os.EnvironmentCompat;
import androidx.work.PeriodicWorkRequest;
import com.google.android.gms.common.internal.m;
import com.google.android.gms.internal.common.e;
import f4.a;
import java.util.HashMap;

/* access modifiers changed from: package-private */
public final class c1 extends m implements Handler.Callback {
    @a("mConnectionStatus")

    /* renamed from: c  reason: collision with root package name */
    private final HashMap<m.a, d1> f5196c = new HashMap<>();

    /* renamed from: d  reason: collision with root package name */
    private final Context f5197d;

    /* renamed from: e  reason: collision with root package name */
    private final Handler f5198e;

    /* renamed from: f  reason: collision with root package name */
    private final com.google.android.gms.common.stats.a f5199f;

    /* renamed from: g  reason: collision with root package name */
    private final long f5200g;

    /* renamed from: h  reason: collision with root package name */
    private final long f5201h;

    c1(Context context) {
        this.f5197d = context.getApplicationContext();
        this.f5198e = new e(context.getMainLooper(), this);
        this.f5199f = com.google.android.gms.common.stats.a.b();
        this.f5200g = 5000;
        this.f5201h = PeriodicWorkRequest.MIN_PERIODIC_FLEX_MILLIS;
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.common.internal.m
    public final boolean g(m.a aVar, ServiceConnection serviceConnection, String str) {
        boolean d7;
        b0.l(serviceConnection, "ServiceConnection must not be null");
        synchronized (this.f5196c) {
            d1 d1Var = this.f5196c.get(aVar);
            if (d1Var == null) {
                d1Var = new d1(this, aVar);
                d1Var.e(serviceConnection, str);
                d1Var.h(str);
                this.f5196c.put(aVar, d1Var);
            } else {
                this.f5198e.removeMessages(0, aVar);
                if (!d1Var.f(serviceConnection)) {
                    d1Var.e(serviceConnection, str);
                    int c7 = d1Var.c();
                    if (c7 == 1) {
                        serviceConnection.onServiceConnected(d1Var.b(), d1Var.a());
                    } else if (c7 == 2) {
                        d1Var.h(str);
                    }
                } else {
                    String valueOf = String.valueOf(aVar);
                    StringBuilder sb = new StringBuilder(valueOf.length() + 81);
                    sb.append("Trying to bind a GmsServiceConnection that was already connected before.  config=");
                    sb.append(valueOf);
                    throw new IllegalStateException(sb.toString());
                }
            }
            d7 = d1Var.d();
        }
        return d7;
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.common.internal.m
    public final void h(m.a aVar, ServiceConnection serviceConnection, String str) {
        b0.l(serviceConnection, "ServiceConnection must not be null");
        synchronized (this.f5196c) {
            d1 d1Var = this.f5196c.get(aVar);
            if (d1Var == null) {
                String valueOf = String.valueOf(aVar);
                StringBuilder sb = new StringBuilder(valueOf.length() + 50);
                sb.append("Nonexistent connection status for service config: ");
                sb.append(valueOf);
                throw new IllegalStateException(sb.toString());
            } else if (d1Var.f(serviceConnection)) {
                d1Var.g(serviceConnection, str);
                if (d1Var.j()) {
                    this.f5198e.sendMessageDelayed(this.f5198e.obtainMessage(0, aVar), this.f5200g);
                }
            } else {
                String valueOf2 = String.valueOf(aVar);
                StringBuilder sb2 = new StringBuilder(valueOf2.length() + 76);
                sb2.append("Trying to unbind a GmsServiceConnection  that was not bound before.  config=");
                sb2.append(valueOf2);
                throw new IllegalStateException(sb2.toString());
            }
        }
    }

    public final boolean handleMessage(Message message) {
        int i7 = message.what;
        if (i7 == 0) {
            synchronized (this.f5196c) {
                m.a aVar = (m.a) message.obj;
                d1 d1Var = this.f5196c.get(aVar);
                if (d1Var != null && d1Var.j()) {
                    if (d1Var.d()) {
                        d1Var.i("GmsClientSupervisor");
                    }
                    this.f5196c.remove(aVar);
                }
            }
            return true;
        } else if (i7 != 1) {
            return false;
        } else {
            synchronized (this.f5196c) {
                m.a aVar2 = (m.a) message.obj;
                d1 d1Var2 = this.f5196c.get(aVar2);
                if (d1Var2 != null && d1Var2.c() == 3) {
                    String valueOf = String.valueOf(aVar2);
                    StringBuilder sb = new StringBuilder(valueOf.length() + 47);
                    sb.append("Timeout waiting for ServiceConnection callback ");
                    sb.append(valueOf);
                    Log.e("GmsClientSupervisor", sb.toString(), new Exception());
                    ComponentName b7 = d1Var2.b();
                    if (b7 == null) {
                        b7 = aVar2.a();
                    }
                    if (b7 == null) {
                        b7 = new ComponentName(aVar2.b(), EnvironmentCompat.MEDIA_UNKNOWN);
                    }
                    d1Var2.onServiceDisconnected(b7);
                }
            }
            return true;
        }
    }
}
