package com.google.android.gms.common.internal;

import android.accounts.Account;
import android.app.PendingIntent;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.ServiceConnection;
import android.os.Bundle;
import android.os.DeadObjectException;
import android.os.Handler;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Looper;
import android.os.Message;
import android.os.RemoteException;
import android.text.TextUtils;
import android.util.Log;
import androidx.annotation.BinderThread;
import androidx.annotation.CallSuper;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.WorkerThread;
import com.google.android.gms.common.ConnectionResult;
import com.google.android.gms.common.Feature;
import com.google.android.gms.common.api.Scope;
import com.google.android.gms.common.internal.m;
import com.google.android.gms.common.internal.s;
import com.google.android.gms.common.internal.t;
import java.io.FileDescriptor;
import java.io.PrintWriter;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Date;
import java.util.Locale;
import java.util.Set;
import java.util.concurrent.atomic.AtomicInteger;
import x.d0;

@r.a
public abstract class e<T extends IInterface> {
    @r.a
    public static final int B = 1;
    @r.a
    public static final int C = 4;
    @r.a
    public static final int D = 5;
    private static final Feature[] E = new Feature[0];
    @r.a
    public static final String F = "pendingIntent";
    @r.a
    public static final String G = "<<default account>>";
    @r.a
    public static final String[] H = {"service_esmobile", "service_googleme"};
    @d0
    protected AtomicInteger A;

    /* renamed from: a  reason: collision with root package name */
    private int f5215a;

    /* renamed from: b  reason: collision with root package name */
    private long f5216b;

    /* renamed from: c  reason: collision with root package name */
    private long f5217c;

    /* renamed from: d  reason: collision with root package name */
    private int f5218d;

    /* renamed from: e  reason: collision with root package name */
    private long f5219e;
    @d0

    /* renamed from: f  reason: collision with root package name */
    private f1 f5220f;

    /* renamed from: g  reason: collision with root package name */
    private final Context f5221g;

    /* renamed from: h  reason: collision with root package name */
    private final Looper f5222h;

    /* renamed from: i  reason: collision with root package name */
    private final m f5223i;

    /* renamed from: j  reason: collision with root package name */
    private final com.google.android.gms.common.f f5224j;

    /* renamed from: k  reason: collision with root package name */
    final Handler f5225k;

    /* renamed from: l  reason: collision with root package name */
    private final Object f5226l;

    /* renamed from: m  reason: collision with root package name */
    private final Object f5227m;
    @f4.a("mServiceBrokerLock")

    /* renamed from: n  reason: collision with root package name */
    private t f5228n;
    @d0

    /* renamed from: o  reason: collision with root package name */
    protected c f5229o;
    @f4.a("mLock")

    /* renamed from: p  reason: collision with root package name */
    private T f5230p;

    /* renamed from: q  reason: collision with root package name */
    private final ArrayList<h<?>> f5231q;
    @f4.a("mLock")

    /* renamed from: r  reason: collision with root package name */
    private j f5232r;
    @f4.a("mLock")

    /* renamed from: s  reason: collision with root package name */
    private int f5233s;

    /* renamed from: t  reason: collision with root package name */
    private final a f5234t;

    /* renamed from: u  reason: collision with root package name */
    private final b f5235u;

    /* renamed from: v  reason: collision with root package name */
    private final int f5236v;

    /* renamed from: w  reason: collision with root package name */
    private final String f5237w;

    /* renamed from: x  reason: collision with root package name */
    private ConnectionResult f5238x;

    /* renamed from: y  reason: collision with root package name */
    private boolean f5239y;

    /* renamed from: z  reason: collision with root package name */
    private volatile zzb f5240z;

    @r.a
    public interface a {
        @r.a
        void d(int i7);

        @r.a
        void e(@Nullable Bundle bundle);
    }

    @r.a
    public interface b {
        void w(@NonNull ConnectionResult connectionResult);
    }

    @r.a
    public interface c {
        @r.a
        void a(@NonNull ConnectionResult connectionResult);
    }

    protected class d implements c {
        @r.a
        public d() {
        }

        @Override // com.google.android.gms.common.internal.e.c
        public void a(@NonNull ConnectionResult connectionResult) {
            if (connectionResult.N()) {
                e eVar = e.this;
                eVar.l(null, eVar.I());
            } else if (e.this.f5235u != null) {
                e.this.f5235u.w(connectionResult);
            }
        }
    }

    @r.a
    /* renamed from: com.google.android.gms.common.internal.e$e  reason: collision with other inner class name */
    public interface AbstractC0053e {
        @r.a
        void a();
    }

    private abstract class f extends h<Boolean> {

        /* renamed from: d  reason: collision with root package name */
        private final int f5242d;

        /* renamed from: e  reason: collision with root package name */
        private final Bundle f5243e;

        @BinderThread
        protected f(int i7, Bundle bundle) {
            super(Boolean.TRUE);
            this.f5242d = i7;
            this.f5243e = bundle;
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        /* access modifiers changed from: protected */
        @Override // com.google.android.gms.common.internal.e.h
        public final /* synthetic */ void c(Boolean bool) {
            PendingIntent pendingIntent = null;
            if (bool == null) {
                e.this.W(1, null);
                return;
            }
            int i7 = this.f5242d;
            if (i7 != 0) {
                if (i7 != 10) {
                    e.this.W(1, null);
                    Bundle bundle = this.f5243e;
                    if (bundle != null) {
                        pendingIntent = (PendingIntent) bundle.getParcelable(e.F);
                    }
                    f(new ConnectionResult(this.f5242d, pendingIntent));
                    return;
                }
                e.this.W(1, null);
                throw new IllegalStateException(String.format("A fatal developer error has occurred. Class name: %s. Start service action: %s. Service Descriptor: %s. ", getClass().getSimpleName(), e.this.y(), e.this.h()));
            } else if (!g()) {
                e.this.W(1, null);
                f(new ConnectionResult(8, null));
            }
        }

        /* access modifiers changed from: protected */
        @Override // com.google.android.gms.common.internal.e.h
        public final void d() {
        }

        /* access modifiers changed from: protected */
        public abstract void f(ConnectionResult connectionResult);

        /* access modifiers changed from: protected */
        public abstract boolean g();
    }

    final class g extends com.google.android.gms.internal.common.e {
        public g(Looper looper) {
            super(looper);
        }

        private static void a(Message message) {
            h hVar = (h) message.obj;
            hVar.d();
            hVar.b();
        }

        private static boolean b(Message message) {
            int i7 = message.what;
            return i7 == 2 || i7 == 1 || i7 == 7;
        }

        public final void handleMessage(Message message) {
            if (e.this.A.get() == message.arg1) {
                int i7 = message.what;
                if ((i7 == 1 || i7 == 7 || ((i7 == 4 && !e.this.C()) || message.what == 5)) && !e.this.f()) {
                    a(message);
                    return;
                }
                int i8 = message.what;
                PendingIntent pendingIntent = null;
                if (i8 == 4) {
                    e.this.f5238x = new ConnectionResult(message.arg2);
                    if (!e.this.m0() || e.this.f5239y) {
                        ConnectionResult connectionResult = e.this.f5238x != null ? e.this.f5238x : new ConnectionResult(8);
                        e.this.f5229o.a(connectionResult);
                        e.this.M(connectionResult);
                        return;
                    }
                    e.this.W(3, null);
                } else if (i8 == 5) {
                    ConnectionResult connectionResult2 = e.this.f5238x != null ? e.this.f5238x : new ConnectionResult(8);
                    e.this.f5229o.a(connectionResult2);
                    e.this.M(connectionResult2);
                } else if (i8 == 3) {
                    Object obj = message.obj;
                    if (obj instanceof PendingIntent) {
                        pendingIntent = (PendingIntent) obj;
                    }
                    ConnectionResult connectionResult3 = new ConnectionResult(message.arg2, pendingIntent);
                    e.this.f5229o.a(connectionResult3);
                    e.this.M(connectionResult3);
                } else if (i8 == 6) {
                    e.this.W(5, null);
                    if (e.this.f5234t != null) {
                        e.this.f5234t.d(message.arg2);
                    }
                    e.this.N(message.arg2);
                    e.this.b0(5, 1, null);
                } else if (i8 == 2 && !e.this.c()) {
                    a(message);
                } else if (b(message)) {
                    ((h) message.obj).e();
                } else {
                    int i9 = message.what;
                    StringBuilder sb = new StringBuilder(45);
                    sb.append("Don't know how to handle message: ");
                    sb.append(i9);
                    Log.wtf("GmsClient", sb.toString(), new Exception());
                }
            } else if (b(message)) {
                a(message);
            }
        }
    }

    /* access modifiers changed from: protected */
    public abstract class h<TListener> {

        /* renamed from: a  reason: collision with root package name */
        private TListener f5246a;

        /* renamed from: b  reason: collision with root package name */
        private boolean f5247b = false;

        public h(TListener tlistener) {
            this.f5246a = tlistener;
        }

        public final void a() {
            synchronized (this) {
                this.f5246a = null;
            }
        }

        public final void b() {
            a();
            synchronized (e.this.f5231q) {
                e.this.f5231q.remove(this);
            }
        }

        /* access modifiers changed from: protected */
        public abstract void c(TListener tlistener);

        /* access modifiers changed from: protected */
        public abstract void d();

        public final void e() {
            TListener tlistener;
            synchronized (this) {
                tlistener = this.f5246a;
                if (this.f5247b) {
                    String valueOf = String.valueOf(this);
                    StringBuilder sb = new StringBuilder(valueOf.length() + 47);
                    sb.append("Callback proxy ");
                    sb.append(valueOf);
                    sb.append(" being reused. This is not safe.");
                    Log.w("GmsClient", sb.toString());
                }
            }
            if (tlistener != null) {
                try {
                    c(tlistener);
                } catch (RuntimeException e7) {
                    d();
                    throw e7;
                }
            } else {
                d();
            }
            synchronized (this) {
                this.f5247b = true;
            }
            b();
        }
    }

    @d0
    public static final class i extends s.a {

        /* renamed from: f  reason: collision with root package name */
        private e f5249f;

        /* renamed from: g  reason: collision with root package name */
        private final int f5250g;

        public i(@NonNull e eVar, int i7) {
            this.f5249f = eVar;
            this.f5250g = i7;
        }

        @Override // com.google.android.gms.common.internal.s
        @BinderThread
        public final void A0(int i7, @NonNull IBinder iBinder, @NonNull zzb zzb) {
            b0.l(this.f5249f, "onPostInitCompleteWithConnectionInfo can be called only once per call togetRemoteService");
            b0.k(zzb);
            this.f5249f.a0(zzb);
            M0(i7, iBinder, zzb.f5348f);
        }

        @Override // com.google.android.gms.common.internal.s
        @BinderThread
        public final void H0(int i7, @Nullable Bundle bundle) {
            Log.wtf("GmsClient", "received deprecated onAccountValidationComplete callback, ignoring", new Exception());
        }

        @Override // com.google.android.gms.common.internal.s
        @BinderThread
        public final void M0(int i7, @NonNull IBinder iBinder, @Nullable Bundle bundle) {
            b0.l(this.f5249f, "onPostInitComplete can be called only once per call to getRemoteService");
            this.f5249f.O(i7, iBinder, bundle, this.f5250g);
            this.f5249f = null;
        }
    }

    @d0
    public final class j implements ServiceConnection {

        /* renamed from: a  reason: collision with root package name */
        private final int f5251a;

        public j(int i7) {
            this.f5251a = i7;
        }

        public final void onServiceConnected(ComponentName componentName, IBinder iBinder) {
            if (iBinder == null) {
                e.this.d0(16);
                return;
            }
            synchronized (e.this.f5227m) {
                e eVar = e.this;
                IInterface queryLocalInterface = iBinder.queryLocalInterface("com.google.android.gms.common.internal.IGmsServiceBroker");
                eVar.f5228n = (queryLocalInterface == null || !(queryLocalInterface instanceof t)) ? new t.a.C0056a(iBinder) : (t) queryLocalInterface;
            }
            e.this.V(0, null, this.f5251a);
        }

        public final void onServiceDisconnected(ComponentName componentName) {
            synchronized (e.this.f5227m) {
                e.this.f5228n = null;
            }
            Handler handler = e.this.f5225k;
            handler.sendMessage(handler.obtainMessage(6, this.f5251a, 1));
        }
    }

    /* access modifiers changed from: protected */
    public final class k extends f {

        /* renamed from: g  reason: collision with root package name */
        private final IBinder f5253g;

        @BinderThread
        public k(int i7, IBinder iBinder, Bundle bundle) {
            super(i7, bundle);
            this.f5253g = iBinder;
        }

        /* access modifiers changed from: protected */
        @Override // com.google.android.gms.common.internal.e.f
        public final void f(ConnectionResult connectionResult) {
            if (e.this.f5235u != null) {
                e.this.f5235u.w(connectionResult);
            }
            e.this.M(connectionResult);
        }

        /* access modifiers changed from: protected */
        @Override // com.google.android.gms.common.internal.e.f
        public final boolean g() {
            try {
                String interfaceDescriptor = this.f5253g.getInterfaceDescriptor();
                if (!e.this.h().equals(interfaceDescriptor)) {
                    String h7 = e.this.h();
                    StringBuilder sb = new StringBuilder(String.valueOf(h7).length() + 34 + String.valueOf(interfaceDescriptor).length());
                    sb.append("service descriptor mismatch: ");
                    sb.append(h7);
                    sb.append(" vs. ");
                    sb.append(interfaceDescriptor);
                    Log.e("GmsClient", sb.toString());
                    return false;
                }
                IInterface q7 = e.this.q(this.f5253g);
                if (q7 == null || (!e.this.b0(2, 4, q7) && !e.this.b0(3, 4, q7))) {
                    return false;
                }
                e.this.f5238x = null;
                Bundle z7 = e.this.z();
                if (e.this.f5234t == null) {
                    return true;
                }
                e.this.f5234t.e(z7);
                return true;
            } catch (RemoteException unused) {
                Log.w("GmsClient", "service probably died");
                return false;
            }
        }
    }

    /* access modifiers changed from: protected */
    public final class l extends f {
        @BinderThread
        public l(int i7, @Nullable Bundle bundle) {
            super(i7, null);
        }

        /* access modifiers changed from: protected */
        @Override // com.google.android.gms.common.internal.e.f
        public final void f(ConnectionResult connectionResult) {
            if (!e.this.C() || !e.this.m0()) {
                e.this.f5229o.a(connectionResult);
                e.this.M(connectionResult);
                return;
            }
            e.this.d0(16);
        }

        /* access modifiers changed from: protected */
        @Override // com.google.android.gms.common.internal.e.f
        public final boolean g() {
            e.this.f5229o.a(ConnectionResult.f4602n6);
            return true;
        }
    }

    @r.a
    @d0
    protected e(Context context, Handler handler, m mVar, com.google.android.gms.common.f fVar, int i7, a aVar, b bVar) {
        this.f5226l = new Object();
        this.f5227m = new Object();
        this.f5231q = new ArrayList<>();
        this.f5233s = 1;
        this.f5238x = null;
        this.f5239y = false;
        this.f5240z = null;
        this.A = new AtomicInteger(0);
        this.f5221g = (Context) b0.l(context, "Context must not be null");
        this.f5225k = (Handler) b0.l(handler, "Handler must not be null");
        this.f5222h = handler.getLooper();
        this.f5223i = (m) b0.l(mVar, "Supervisor must not be null");
        this.f5224j = (com.google.android.gms.common.f) b0.l(fVar, "API availability must not be null");
        this.f5236v = i7;
        this.f5234t = aVar;
        this.f5235u = bVar;
        this.f5237w = null;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void W(int i7, T t7) {
        f1 f1Var;
        b0.a((i7 == 4) == (t7 != null));
        synchronized (this.f5226l) {
            this.f5233s = i7;
            this.f5230p = t7;
            P(i7, t7);
            if (i7 != 1) {
                if (i7 == 2 || i7 == 3) {
                    if (!(this.f5232r == null || (f1Var = this.f5220f) == null)) {
                        String c7 = f1Var.c();
                        String a8 = this.f5220f.a();
                        StringBuilder sb = new StringBuilder(String.valueOf(c7).length() + 70 + String.valueOf(a8).length());
                        sb.append("Calling connect() while still connected, missing disconnect() for ");
                        sb.append(c7);
                        sb.append(" on ");
                        sb.append(a8);
                        Log.e("GmsClient", sb.toString());
                        this.f5223i.f(this.f5220f.c(), this.f5220f.a(), this.f5220f.b(), this.f5232r, k0());
                        this.A.incrementAndGet();
                    }
                    this.f5232r = new j(this.A.get());
                    f1 f1Var2 = (this.f5233s != 3 || G() == null) ? new f1(K(), y(), false, 129) : new f1(getContext().getPackageName(), G(), true, 129);
                    this.f5220f = f1Var2;
                    if (!this.f5223i.g(new m.a(f1Var2.c(), this.f5220f.a(), this.f5220f.b()), this.f5232r, k0())) {
                        String c8 = this.f5220f.c();
                        String a9 = this.f5220f.a();
                        StringBuilder sb2 = new StringBuilder(String.valueOf(c8).length() + 34 + String.valueOf(a9).length());
                        sb2.append("unable to connect to service: ");
                        sb2.append(c8);
                        sb2.append(" on ");
                        sb2.append(a9);
                        Log.e("GmsClient", sb2.toString());
                        V(16, null, this.A.get());
                    }
                } else if (i7 == 4) {
                    L(t7);
                }
            } else if (this.f5232r != null) {
                this.f5223i.f(this.f5220f.c(), this.f5220f.a(), this.f5220f.b(), this.f5232r, k0());
                this.f5232r = null;
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void a0(zzb zzb) {
        this.f5240z = zzb;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final boolean b0(int i7, int i8, T t7) {
        synchronized (this.f5226l) {
            if (this.f5233s != i7) {
                return false;
            }
            W(i8, t7);
            return true;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void d0(int i7) {
        int i8;
        if (l0()) {
            this.f5239y = true;
            i8 = 5;
        } else {
            i8 = 4;
        }
        Handler handler = this.f5225k;
        handler.sendMessage(handler.obtainMessage(i8, this.A.get(), 16));
    }

    @Nullable
    private final String k0() {
        String str = this.f5237w;
        return str == null ? this.f5221g.getClass().getName() : str;
    }

    private final boolean l0() {
        boolean z7;
        synchronized (this.f5226l) {
            z7 = this.f5233s == 3;
        }
        return z7;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final boolean m0() {
        if (this.f5239y || TextUtils.isEmpty(h()) || TextUtils.isEmpty(G())) {
            return false;
        }
        try {
            Class.forName(h());
            return true;
        } catch (ClassNotFoundException unused) {
            return false;
        }
    }

    @r.a
    public void A() {
        int k7 = this.f5224j.k(this.f5221g, s());
        if (k7 != 0) {
            W(1, null);
            R(new d(), k7, null);
            return;
        }
        n(new d());
    }

    /* access modifiers changed from: protected */
    @r.a
    public final void B() {
        if (!c()) {
            throw new IllegalStateException("Not connected. Call connect() and wait for onConnected() to be called.");
        }
    }

    /* access modifiers changed from: protected */
    @r.a
    public boolean C() {
        return false;
    }

    @r.a
    public Account D() {
        return null;
    }

    @r.a
    public Feature[] E() {
        return E;
    }

    /* access modifiers changed from: protected */
    @r.a
    public Bundle F() {
        return new Bundle();
    }

    /* access modifiers changed from: protected */
    @Nullable
    @r.a
    public String G() {
        return null;
    }

    @r.a
    public final Looper H() {
        return this.f5222h;
    }

    /* access modifiers changed from: protected */
    @r.a
    public Set<Scope> I() {
        return Collections.EMPTY_SET;
    }

    @r.a
    public final T J() throws DeadObjectException {
        T t7;
        synchronized (this.f5226l) {
            if (this.f5233s != 5) {
                B();
                b0.r(this.f5230p != null, "Client is connected but service is null");
                t7 = this.f5230p;
            } else {
                throw new DeadObjectException();
            }
        }
        return t7;
    }

    /* access modifiers changed from: protected */
    @r.a
    public String K() {
        return "com.google.android.gms";
    }

    /* access modifiers changed from: protected */
    @r.a
    @CallSuper
    public void L(@NonNull T t7) {
        this.f5217c = System.currentTimeMillis();
    }

    /* access modifiers changed from: protected */
    @r.a
    @CallSuper
    public void M(ConnectionResult connectionResult) {
        this.f5218d = connectionResult.J();
        this.f5219e = System.currentTimeMillis();
    }

    /* access modifiers changed from: protected */
    @r.a
    @CallSuper
    public void N(int i7) {
        this.f5215a = i7;
        this.f5216b = System.currentTimeMillis();
    }

    /* access modifiers changed from: protected */
    @r.a
    public void O(int i7, IBinder iBinder, Bundle bundle, int i8) {
        Handler handler = this.f5225k;
        handler.sendMessage(handler.obtainMessage(1, i8, -1, new k(i7, iBinder, bundle)));
    }

    /* access modifiers changed from: package-private */
    @r.a
    public void P(int i7, T t7) {
    }

    @r.a
    public void Q(int i7) {
        Handler handler = this.f5225k;
        handler.sendMessage(handler.obtainMessage(6, this.A.get(), i7));
    }

    /* access modifiers changed from: protected */
    @r.a
    @d0
    public void R(@NonNull c cVar, int i7, @Nullable PendingIntent pendingIntent) {
        this.f5229o = (c) b0.l(cVar, "Connection progress callbacks cannot be null.");
        Handler handler = this.f5225k;
        handler.sendMessage(handler.obtainMessage(3, this.A.get(), i7, pendingIntent));
    }

    /* access modifiers changed from: protected */
    public final void V(int i7, @Nullable Bundle bundle, int i8) {
        Handler handler = this.f5225k;
        handler.sendMessage(handler.obtainMessage(7, i8, -1, new l(i7, null)));
    }

    @r.a
    public void a() {
        this.A.incrementAndGet();
        synchronized (this.f5231q) {
            int size = this.f5231q.size();
            for (int i7 = 0; i7 < size; i7++) {
                this.f5231q.get(i7).a();
            }
            this.f5231q.clear();
        }
        synchronized (this.f5227m) {
            this.f5228n = null;
        }
        W(1, null);
    }

    @r.a
    public boolean c() {
        boolean z7;
        synchronized (this.f5226l) {
            z7 = this.f5233s == 4;
        }
        return z7;
    }

    @r.a
    public boolean f() {
        boolean z7;
        synchronized (this.f5226l) {
            int i7 = this.f5233s;
            if (i7 != 2) {
                if (i7 != 3) {
                    z7 = false;
                }
            }
            z7 = true;
        }
        return z7;
    }

    @r.a
    public final Context getContext() {
        return this.f5221g;
    }

    /* access modifiers changed from: protected */
    @NonNull
    @r.a
    public abstract String h();

    @r.a
    public void i(String str, FileDescriptor fileDescriptor, PrintWriter printWriter, String[] strArr) {
        int i7;
        T t7;
        t tVar;
        synchronized (this.f5226l) {
            i7 = this.f5233s;
            t7 = this.f5230p;
        }
        synchronized (this.f5227m) {
            tVar = this.f5228n;
        }
        printWriter.append((CharSequence) str).append("mConnectState=");
        printWriter.print(i7 != 1 ? i7 != 2 ? i7 != 3 ? i7 != 4 ? i7 != 5 ? "UNKNOWN" : "DISCONNECTING" : "CONNECTED" : "LOCAL_CONNECTING" : "REMOTE_CONNECTING" : "DISCONNECTED");
        printWriter.append(" mService=");
        if (t7 == null) {
            printWriter.append("null");
        } else {
            printWriter.append((CharSequence) h()).append("@").append((CharSequence) Integer.toHexString(System.identityHashCode(t7.asBinder())));
        }
        printWriter.append(" mServiceBroker=");
        if (tVar == null) {
            printWriter.println("null");
        } else {
            printWriter.append("IGmsServiceBroker@").println(Integer.toHexString(System.identityHashCode(tVar.asBinder())));
        }
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss.SSS", Locale.US);
        if (this.f5217c > 0) {
            PrintWriter append = printWriter.append((CharSequence) str).append("lastConnectedTime=");
            long j7 = this.f5217c;
            String format = simpleDateFormat.format(new Date(this.f5217c));
            StringBuilder sb = new StringBuilder(String.valueOf(format).length() + 21);
            sb.append(j7);
            sb.append(" ");
            sb.append(format);
            append.println(sb.toString());
        }
        if (this.f5216b > 0) {
            printWriter.append((CharSequence) str).append("lastSuspendedCause=");
            int i8 = this.f5215a;
            printWriter.append((CharSequence) (i8 != 1 ? i8 != 2 ? String.valueOf(i8) : "CAUSE_NETWORK_LOST" : "CAUSE_SERVICE_DISCONNECTED"));
            PrintWriter append2 = printWriter.append(" lastSuspendedTime=");
            long j8 = this.f5216b;
            String format2 = simpleDateFormat.format(new Date(this.f5216b));
            StringBuilder sb2 = new StringBuilder(String.valueOf(format2).length() + 21);
            sb2.append(j8);
            sb2.append(" ");
            sb2.append(format2);
            append2.println(sb2.toString());
        }
        if (this.f5219e > 0) {
            printWriter.append((CharSequence) str).append("lastFailedStatus=").append((CharSequence) com.google.android.gms.common.api.h.a(this.f5218d));
            PrintWriter append3 = printWriter.append(" lastFailedTime=");
            long j9 = this.f5219e;
            String format3 = simpleDateFormat.format(new Date(this.f5219e));
            StringBuilder sb3 = new StringBuilder(String.valueOf(format3).length() + 21);
            sb3.append(j9);
            sb3.append(" ");
            sb3.append(format3);
            append3.println(sb3.toString());
        }
    }

    @r.a
    public boolean j() {
        return false;
    }

    @r.a
    public boolean k() {
        return false;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:30:0x0082, code lost:
        r4 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:31:0x0083, code lost:
        android.util.Log.w("GmsClient", "IGmsServiceBroker.getService failed", r4);
        O(8, null, null, r3.A.get());
     */
    /* JADX WARNING: Code restructure failed: missing block: B:32:0x0096, code lost:
        return;
     */
    @r.a
    @WorkerThread
    public void l(q qVar, Set<Scope> set) {
        Bundle F2 = F();
        GetServiceRequest getServiceRequest = new GetServiceRequest(this.f5236v);
        getServiceRequest.f5177x = this.f5221g.getPackageName();
        getServiceRequest.C2 = F2;
        if (set != null) {
            getServiceRequest.C1 = (Scope[]) set.toArray(new Scope[set.size()]);
        }
        if (w()) {
            getServiceRequest.U5 = D() != null ? D() : new Account("<<default account>>", b.f5193a);
            if (qVar != null) {
                getServiceRequest.f5178y = qVar.asBinder();
            }
        } else if (j()) {
            getServiceRequest.U5 = D();
        }
        getServiceRequest.V5 = E;
        getServiceRequest.W5 = E();
        try {
            synchronized (this.f5227m) {
                t tVar = this.f5228n;
                if (tVar != null) {
                    tVar.h0(new i(this, this.A.get()), getServiceRequest);
                } else {
                    Log.w("GmsClient", "mServiceBroker is null, client disconnected");
                }
            }
        } catch (DeadObjectException e7) {
            Log.w("GmsClient", "IGmsServiceBroker.getService failed", e7);
            Q(1);
        } catch (SecurityException e8) {
            throw e8;
        }
    }

    @r.a
    public String m() {
        f1 f1Var;
        if (c() && (f1Var = this.f5220f) != null) {
            return f1Var.a();
        }
        throw new RuntimeException("Failed to connect when checking package");
    }

    @r.a
    public void n(@NonNull c cVar) {
        this.f5229o = (c) b0.l(cVar, "Connection progress callbacks cannot be null.");
        W(2, null);
    }

    @r.a
    public void o(@NonNull AbstractC0053e eVar) {
        eVar.a();
    }

    /* access modifiers changed from: protected */
    @Nullable
    @r.a
    public abstract T q(IBinder iBinder);

    @r.a
    public boolean r() {
        return true;
    }

    @r.a
    public int s() {
        return com.google.android.gms.common.f.f5114a;
    }

    @Nullable
    @r.a
    public final Feature[] u() {
        zzb zzb = this.f5240z;
        if (zzb == null) {
            return null;
        }
        return zzb.f5349g;
    }

    @r.a
    public Intent v() {
        throw new UnsupportedOperationException("Not a sign in API");
    }

    @r.a
    public boolean w() {
        return false;
    }

    @Nullable
    @r.a
    public IBinder x() {
        synchronized (this.f5227m) {
            t tVar = this.f5228n;
            if (tVar == null) {
                return null;
            }
            return tVar.asBinder();
        }
    }

    /* access modifiers changed from: protected */
    @NonNull
    @r.a
    public abstract String y();

    @r.a
    public Bundle z() {
        return null;
    }

    @r.a
    protected e(Context context, Looper looper, int i7, a aVar, b bVar, String str) {
        this(context, looper, m.c(context), com.google.android.gms.common.f.i(), i7, (a) b0.k(aVar), (b) b0.k(bVar), str);
    }

    @r.a
    @d0
    protected e(Context context, Looper looper, m mVar, com.google.android.gms.common.f fVar, int i7, a aVar, b bVar, String str) {
        this.f5226l = new Object();
        this.f5227m = new Object();
        this.f5231q = new ArrayList<>();
        this.f5233s = 1;
        this.f5238x = null;
        this.f5239y = false;
        this.f5240z = null;
        this.A = new AtomicInteger(0);
        this.f5221g = (Context) b0.l(context, "Context must not be null");
        this.f5222h = (Looper) b0.l(looper, "Looper must not be null");
        this.f5223i = (m) b0.l(mVar, "Supervisor must not be null");
        this.f5224j = (com.google.android.gms.common.f) b0.l(fVar, "API availability must not be null");
        this.f5225k = new g(looper);
        this.f5236v = i7;
        this.f5234t = aVar;
        this.f5235u = bVar;
        this.f5237w = str;
    }
}
