package com.google.android.gms.common.internal;

import android.content.Context;
import android.content.pm.PackageManager;
import android.content.res.Resources;
import android.text.TextUtils;
import android.util.Log;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.collection.SimpleArrayMap;
import com.google.android.gms.common.GooglePlayServicesUtil;
import com.google.android.gms.common.l;
import f4.a;
import q.a;
import y.c;

public final class g {
    @a("sCache")

    /* renamed from: a  reason: collision with root package name */
    private static final SimpleArrayMap<String, String> f5285a = new SimpleArrayMap<>();

    private g() {
    }

    public static String a(Context context) {
        String packageName = context.getPackageName();
        try {
            return c.a(context).d(packageName).toString();
        } catch (PackageManager.NameNotFoundException | NullPointerException unused) {
            String str = context.getApplicationInfo().name;
            return TextUtils.isEmpty(str) ? packageName : str;
        }
    }

    public static String b(Context context) {
        return context.getResources().getString(a.e.f25086g);
    }

    @NonNull
    public static String c(Context context, int i7) {
        return context.getResources().getString(i7 != 1 ? i7 != 2 ? i7 != 3 ? 17039370 : a.e.f25080a : a.e.f25089j : a.e.f25083d);
    }

    @NonNull
    public static String d(Context context, int i7) {
        Resources resources = context.getResources();
        String a8 = a(context);
        if (i7 == 1) {
            return resources.getString(a.e.f25084e, a8);
        } else if (i7 != 2) {
            if (i7 == 3) {
                return resources.getString(a.e.f25081b, a8);
            } else if (i7 == 5) {
                return i(context, "common_google_play_services_invalid_account_text", a8);
            } else {
                if (i7 == 7) {
                    return i(context, "common_google_play_services_network_error_text", a8);
                }
                if (i7 == 9) {
                    return resources.getString(a.e.f25088i, a8);
                } else if (i7 == 20) {
                    return i(context, "common_google_play_services_restricted_profile_text", a8);
                } else {
                    switch (i7) {
                        case 16:
                            return i(context, "common_google_play_services_api_unavailable_text", a8);
                        case 17:
                            return i(context, "common_google_play_services_sign_in_failed_text", a8);
                        case 18:
                            return resources.getString(a.e.f25092m, a8);
                        default:
                            return resources.getString(l.b.f5356a, a8);
                    }
                }
            }
        } else if (x.l.h(context)) {
            return resources.getString(a.e.f25093n);
        } else {
            return resources.getString(a.e.f25090k, a8);
        }
    }

    @NonNull
    public static String e(Context context, int i7) {
        return i7 == 6 ? i(context, "common_google_play_services_resolution_required_text", a(context)) : d(context, i7);
    }

    @NonNull
    public static String f(Context context, int i7) {
        String h7 = i7 == 6 ? h(context, "common_google_play_services_resolution_required_title") : g(context, i7);
        return h7 == null ? context.getResources().getString(a.e.f25087h) : h7;
    }

    @Nullable
    public static String g(Context context, int i7) {
        String str;
        Resources resources = context.getResources();
        switch (i7) {
            case 1:
                return resources.getString(a.e.f25085f);
            case 2:
                return resources.getString(a.e.f25091l);
            case 3:
                return resources.getString(a.e.f25082c);
            case 4:
            case 6:
            case 18:
                return null;
            case 5:
                Log.e("GoogleApiAvailability", "An invalid account was specified when connecting. Please provide a valid account.");
                return h(context, "common_google_play_services_invalid_account_title");
            case 7:
                Log.e("GoogleApiAvailability", "Network error occurred. Please retry request later.");
                return h(context, "common_google_play_services_network_error_title");
            case 8:
                str = "Internal error occurred. Please see logs for detailed information";
                break;
            case 9:
                str = "Google Play services is invalid. Cannot recover.";
                break;
            case 10:
                str = "Developer error occurred. Please see logs for detailed information";
                break;
            case 11:
                str = "The application is not licensed to the user.";
                break;
            case 12:
            case 13:
            case 14:
            case 15:
            case 19:
            default:
                StringBuilder sb = new StringBuilder(33);
                sb.append("Unexpected error code ");
                sb.append(i7);
                str = sb.toString();
                break;
            case 16:
                str = "One of the API components you attempted to connect to is not available.";
                break;
            case 17:
                Log.e("GoogleApiAvailability", "The specified account could not be signed in.");
                return h(context, "common_google_play_services_sign_in_failed_title");
            case 20:
                Log.e("GoogleApiAvailability", "The current user profile is restricted and could not use authenticated features.");
                return h(context, "common_google_play_services_restricted_profile_title");
        }
        Log.e("GoogleApiAvailability", str);
        return null;
    }

    @Nullable
    private static String h(Context context, String str) {
        SimpleArrayMap<String, String> simpleArrayMap = f5285a;
        synchronized (simpleArrayMap) {
            String str2 = simpleArrayMap.get(str);
            if (str2 != null) {
                return str2;
            }
            Resources remoteResource = GooglePlayServicesUtil.getRemoteResource(context);
            if (remoteResource == null) {
                return null;
            }
            int identifier = remoteResource.getIdentifier(str, "string", "com.google.android.gms");
            if (identifier == 0) {
                String valueOf = String.valueOf(str);
                Log.w("GoogleApiAvailability", valueOf.length() != 0 ? "Missing resource: ".concat(valueOf) : new String("Missing resource: "));
                return null;
            }
            String string = remoteResource.getString(identifier);
            if (TextUtils.isEmpty(string)) {
                String valueOf2 = String.valueOf(str);
                Log.w("GoogleApiAvailability", valueOf2.length() != 0 ? "Got empty resource: ".concat(valueOf2) : new String("Got empty resource: "));
                return null;
            }
            simpleArrayMap.put(str, string);
            return string;
        }
    }

    private static String i(Context context, String str, String str2) {
        Resources resources = context.getResources();
        String h7 = h(context, str);
        if (h7 == null) {
            h7 = resources.getString(l.b.f5356a);
        }
        return String.format(resources.getConfiguration().locale, h7, str2);
    }
}
