package com.google.android.gms.common.internal;

import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.util.Log;
import com.google.android.gms.common.ConnectionResult;
import com.google.android.gms.common.api.k;
import com.google.android.gms.internal.base.p;
import java.util.ArrayList;
import java.util.concurrent.atomic.AtomicInteger;
import x.d0;

public final class l implements Handler.Callback {

    /* renamed from: a  reason: collision with root package name */
    private final a f5294a;

    /* renamed from: b  reason: collision with root package name */
    private final ArrayList<k.b> f5295b = new ArrayList<>();
    @d0

    /* renamed from: c  reason: collision with root package name */
    private final ArrayList<k.b> f5296c = new ArrayList<>();

    /* renamed from: d  reason: collision with root package name */
    private final ArrayList<k.c> f5297d = new ArrayList<>();

    /* renamed from: e  reason: collision with root package name */
    private volatile boolean f5298e = false;

    /* renamed from: f  reason: collision with root package name */
    private final AtomicInteger f5299f = new AtomicInteger(0);

    /* renamed from: g  reason: collision with root package name */
    private boolean f5300g = false;

    /* renamed from: h  reason: collision with root package name */
    private final Handler f5301h;

    /* renamed from: i  reason: collision with root package name */
    private final Object f5302i = new Object();

    @d0
    public interface a {
        boolean c();

        Bundle z();
    }

    public l(Looper looper, a aVar) {
        this.f5294a = aVar;
        this.f5301h = new p(looper, this);
    }

    public final boolean a() {
        return this.f5298e;
    }

    public final void b() {
        this.f5298e = false;
        this.f5299f.incrementAndGet();
    }

    public final void c() {
        this.f5298e = true;
    }

    public final boolean d(k.b bVar) {
        boolean contains;
        b0.k(bVar);
        synchronized (this.f5302i) {
            contains = this.f5295b.contains(bVar);
        }
        return contains;
    }

    public final boolean e(k.c cVar) {
        boolean contains;
        b0.k(cVar);
        synchronized (this.f5302i) {
            contains = this.f5297d.contains(cVar);
        }
        return contains;
    }

    @d0
    public final void f(ConnectionResult connectionResult) {
        b0.e(this.f5301h, "onConnectionFailure must only be called on the Handler thread");
        this.f5301h.removeMessages(1);
        synchronized (this.f5302i) {
            ArrayList arrayList = new ArrayList(this.f5297d);
            int i7 = this.f5299f.get();
            int size = arrayList.size();
            int i8 = 0;
            while (i8 < size) {
                Object obj = arrayList.get(i8);
                i8++;
                k.c cVar = (k.c) obj;
                if (this.f5298e) {
                    if (this.f5299f.get() == i7) {
                        if (this.f5297d.contains(cVar)) {
                            cVar.w(connectionResult);
                        }
                    }
                }
                return;
            }
        }
    }

    /* access modifiers changed from: protected */
    @d0
    public final void g() {
        synchronized (this.f5302i) {
            h(this.f5294a.z());
        }
    }

    @d0
    public final void h(Bundle bundle) {
        b0.e(this.f5301h, "onConnectionSuccess must only be called on the Handler thread");
        synchronized (this.f5302i) {
            boolean z7 = true;
            b0.q(!this.f5300g);
            this.f5301h.removeMessages(1);
            this.f5300g = true;
            if (this.f5296c.size() != 0) {
                z7 = false;
            }
            b0.q(z7);
            ArrayList arrayList = new ArrayList(this.f5295b);
            int i7 = this.f5299f.get();
            int size = arrayList.size();
            int i8 = 0;
            while (i8 < size) {
                Object obj = arrayList.get(i8);
                i8++;
                k.b bVar = (k.b) obj;
                if (!this.f5298e || !this.f5294a.c() || this.f5299f.get() != i7) {
                    break;
                } else if (!this.f5296c.contains(bVar)) {
                    bVar.e(bundle);
                }
            }
            this.f5296c.clear();
            this.f5300g = false;
        }
    }

    public final boolean handleMessage(Message message) {
        int i7 = message.what;
        if (i7 == 1) {
            k.b bVar = (k.b) message.obj;
            synchronized (this.f5302i) {
                if (this.f5298e && this.f5294a.c() && this.f5295b.contains(bVar)) {
                    bVar.e(this.f5294a.z());
                }
            }
            return true;
        }
        StringBuilder sb = new StringBuilder(45);
        sb.append("Don't know how to handle message: ");
        sb.append(i7);
        Log.wtf("GmsClientEvents", sb.toString(), new Exception());
        return false;
    }

    @d0
    public final void i(int i7) {
        b0.e(this.f5301h, "onUnintentionalDisconnection must only be called on the Handler thread");
        this.f5301h.removeMessages(1);
        synchronized (this.f5302i) {
            this.f5300g = true;
            ArrayList arrayList = new ArrayList(this.f5295b);
            int i8 = this.f5299f.get();
            int size = arrayList.size();
            int i9 = 0;
            while (i9 < size) {
                Object obj = arrayList.get(i9);
                i9++;
                k.b bVar = (k.b) obj;
                if (!this.f5298e || this.f5299f.get() != i8) {
                    break;
                } else if (this.f5295b.contains(bVar)) {
                    bVar.d(i7);
                }
            }
            this.f5296c.clear();
            this.f5300g = false;
        }
    }

    public final void j(k.b bVar) {
        b0.k(bVar);
        synchronized (this.f5302i) {
            if (this.f5295b.contains(bVar)) {
                String valueOf = String.valueOf(bVar);
                StringBuilder sb = new StringBuilder(valueOf.length() + 62);
                sb.append("registerConnectionCallbacks(): listener ");
                sb.append(valueOf);
                sb.append(" is already registered");
                Log.w("GmsClientEvents", sb.toString());
            } else {
                this.f5295b.add(bVar);
            }
        }
        if (this.f5294a.c()) {
            Handler handler = this.f5301h;
            handler.sendMessage(handler.obtainMessage(1, bVar));
        }
    }

    public final void k(k.c cVar) {
        b0.k(cVar);
        synchronized (this.f5302i) {
            if (this.f5297d.contains(cVar)) {
                String valueOf = String.valueOf(cVar);
                StringBuilder sb = new StringBuilder(valueOf.length() + 67);
                sb.append("registerConnectionFailedListener(): listener ");
                sb.append(valueOf);
                sb.append(" is already registered");
                Log.w("GmsClientEvents", sb.toString());
            } else {
                this.f5297d.add(cVar);
            }
        }
    }

    public final void l(k.b bVar) {
        b0.k(bVar);
        synchronized (this.f5302i) {
            if (!this.f5295b.remove(bVar)) {
                String valueOf = String.valueOf(bVar);
                StringBuilder sb = new StringBuilder(valueOf.length() + 52);
                sb.append("unregisterConnectionCallbacks(): listener ");
                sb.append(valueOf);
                sb.append(" not found");
                Log.w("GmsClientEvents", sb.toString());
            } else if (this.f5300g) {
                this.f5296c.add(bVar);
            }
        }
    }

    public final void m(k.c cVar) {
        b0.k(cVar);
        synchronized (this.f5302i) {
            if (!this.f5297d.remove(cVar)) {
                String valueOf = String.valueOf(cVar);
                StringBuilder sb = new StringBuilder(valueOf.length() + 57);
                sb.append("unregisterConnectionFailedListener(): listener ");
                sb.append(valueOf);
                sb.append(" not found");
                Log.w("GmsClientEvents", sb.toString());
            }
        }
    }
}
