package com.google.android.gms.common;

import android.content.Context;
import android.content.pm.ApplicationInfo;
import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import android.content.pm.Signature;
import android.util.Log;
import com.google.android.gms.common.internal.b0;
import com.google.android.gms.common.internal.e0;
import e4.c;
import r.a;

@a
@e0
@c
public class j {

    /* renamed from: c  reason: collision with root package name */
    private static j f5351c;

    /* renamed from: a  reason: collision with root package name */
    private final Context f5352a;

    /* renamed from: b  reason: collision with root package name */
    private volatile String f5353b;

    private j(Context context) {
        this.f5352a = context.getApplicationContext();
    }

    @a
    public static j a(Context context) {
        b0.k(context);
        synchronized (j.class) {
            if (f5351c == null) {
                t.c(context);
                f5351c = new j(context);
            }
        }
        return f5351c;
    }

    private static v e(PackageInfo packageInfo, v... vVarArr) {
        Signature[] signatureArr = packageInfo.signatures;
        if (signatureArr == null) {
            return null;
        }
        if (signatureArr.length != 1) {
            Log.w("GoogleSignatureVerifier", "Package has more than one signature.");
            return null;
        }
        w wVar = new w(packageInfo.signatures[0].toByteArray());
        for (int i7 = 0; i7 < vVarArr.length; i7++) {
            if (vVarArr[i7].equals(wVar)) {
                return vVarArr[i7];
            }
        }
        return null;
    }

    private final c0 f(String str, int i7) {
        ApplicationInfo applicationInfo;
        try {
            PackageInfo h7 = y.c.a(this.f5352a).h(str, 64, i7);
            boolean honorsDebugCertificates = i.honorsDebugCertificates(this.f5352a);
            if (h7 == null) {
                return c0.d("null pkg");
            }
            if (h7.signatures.length != 1) {
                return c0.d("single cert required");
            }
            w wVar = new w(h7.signatures[0].toByteArray());
            String str2 = h7.packageName;
            c0 a8 = t.a(str2, wVar, honorsDebugCertificates, false);
            return (!a8.f5064a || (applicationInfo = h7.applicationInfo) == null || (applicationInfo.flags & 2) == 0 || !t.a(str2, wVar, false, true).f5064a) ? a8 : c0.d("debuggable release cert app rejected");
        } catch (PackageManager.NameNotFoundException unused) {
            String valueOf = String.valueOf(str);
            return c0.d(valueOf.length() != 0 ? "no pkg ".concat(valueOf) : new String("no pkg "));
        }
    }

    public static boolean g(PackageInfo packageInfo, boolean z7) {
        v vVar;
        if (!(packageInfo == null || packageInfo.signatures == null)) {
            if (z7) {
                vVar = e(packageInfo, y.f5499a);
            } else {
                vVar = e(packageInfo, y.f5499a[0]);
            }
            if (vVar != null) {
                return true;
            }
        }
        return false;
    }

    /* JADX WARNING: Removed duplicated region for block: B:28:0x006a  */
    private final c0 h(String str) {
        c0 c0Var;
        ApplicationInfo applicationInfo;
        String str2 = "null pkg";
        if (str == null) {
            return c0.d(str2);
        }
        if (str.equals(this.f5353b)) {
            return c0.f();
        }
        try {
            PackageInfo e7 = y.c.a(this.f5352a).e(str, 64);
            boolean honorsDebugCertificates = i.honorsDebugCertificates(this.f5352a);
            if (e7 != null) {
                if (e7.signatures.length != 1) {
                    str2 = "single cert required";
                } else {
                    w wVar = new w(e7.signatures[0].toByteArray());
                    String str3 = e7.packageName;
                    c0 a8 = t.a(str3, wVar, honorsDebugCertificates, false);
                    if (!a8.f5064a || (applicationInfo = e7.applicationInfo) == null || (applicationInfo.flags & 2) == 0 || !t.a(str3, wVar, false, true).f5064a) {
                        c0Var = a8;
                        if (c0Var.f5064a) {
                            this.f5353b = str;
                        }
                        return c0Var;
                    }
                    str2 = "debuggable release cert app rejected";
                }
            }
            c0Var = c0.d(str2);
            if (c0Var.f5064a) {
            }
            return c0Var;
        } catch (PackageManager.NameNotFoundException unused) {
            return c0.d(str.length() != 0 ? "no pkg ".concat(str) : new String("no pkg "));
        }
    }

    @a
    public boolean b(PackageInfo packageInfo) {
        if (packageInfo == null) {
            return false;
        }
        if (g(packageInfo, false)) {
            return true;
        }
        if (g(packageInfo, true)) {
            if (i.honorsDebugCertificates(this.f5352a)) {
                return true;
            }
            Log.w("GoogleSignatureVerifier", "Test-keys aren't accepted on this build.");
        }
        return false;
    }

    @a
    @e0
    public boolean c(String str) {
        c0 h7 = h(str);
        h7.g();
        return h7.f5064a;
    }

    @a
    @e0
    public boolean d(int i7) {
        c0 c0Var;
        String[] f7 = y.c.a(this.f5352a).f(i7);
        if (f7 == null || f7.length == 0) {
            c0Var = c0.d("no pkgs");
        } else {
            c0Var = null;
            for (String str : f7) {
                c0Var = f(str, i7);
                if (c0Var.f5064a) {
                    break;
                }
            }
        }
        c0Var.g();
        return c0Var.f5064a;
    }
}
