package com.google.android.gms.common.server.converter;

import android.os.Parcel;
import android.os.Parcelable;
import android.util.SparseArray;
import com.google.android.gms.common.internal.safeparcel.AbstractSafeParcelable;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable;
import com.google.android.gms.common.server.response.FastJsonResponse;
import java.util.ArrayList;
import java.util.HashMap;
import r.a;
import t.b;

@a
@SafeParcelable.a(creator = "StringToIntConverterCreator")
public final class StringToIntConverter extends AbstractSafeParcelable implements FastJsonResponse.a<String, Integer> {
    public static final Parcelable.Creator<StringToIntConverter> CREATOR = new b();
    @SafeParcelable.g(id = 1)

    /* renamed from: f  reason: collision with root package name */
    private final int f5400f;

    /* renamed from: g  reason: collision with root package name */
    private final HashMap<String, Integer> f5401g;

    /* renamed from: p  reason: collision with root package name */
    private final SparseArray<String> f5402p;
    @SafeParcelable.c(getter = "getSerializedMap", id = 2)

    /* renamed from: x  reason: collision with root package name */
    private final ArrayList<zaa> f5403x;

    @SafeParcelable.a(creator = "StringToIntConverterEntryCreator")
    public static final class zaa extends AbstractSafeParcelable {
        public static final Parcelable.Creator<zaa> CREATOR = new c();
        @SafeParcelable.g(id = 1)

        /* renamed from: f  reason: collision with root package name */
        private final int f5404f;
        @SafeParcelable.c(id = 2)

        /* renamed from: g  reason: collision with root package name */
        final String f5405g;
        @SafeParcelable.c(id = 3)

        /* renamed from: p  reason: collision with root package name */
        final int f5406p;

        @SafeParcelable.b
        zaa(@SafeParcelable.e(id = 1) int i7, @SafeParcelable.e(id = 2) String str, @SafeParcelable.e(id = 3) int i8) {
            this.f5404f = i7;
            this.f5405g = str;
            this.f5406p = i8;
        }

        public final void writeToParcel(Parcel parcel, int i7) {
            int a8 = b.a(parcel);
            b.F(parcel, 1, this.f5404f);
            b.X(parcel, 2, this.f5405g, false);
            b.F(parcel, 3, this.f5406p);
            b.b(parcel, a8);
        }

        zaa(String str, int i7) {
            this.f5404f = 1;
            this.f5405g = str;
            this.f5406p = i7;
        }
    }

    @a
    public StringToIntConverter() {
        this.f5400f = 1;
        this.f5401g = new HashMap<>();
        this.f5402p = new SparseArray<>();
        this.f5403x = null;
    }

    @a
    public final StringToIntConverter J(String str, int i7) {
        this.f5401g.put(str, Integer.valueOf(i7));
        this.f5402p.put(i7, str);
        return this;
    }

    /* Return type fixed from 'java.lang.Object' to match base method */
    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
    @Override // com.google.android.gms.common.server.response.FastJsonResponse.a
    public final /* synthetic */ Integer a(String str) {
        Integer num = this.f5401g.get(str);
        return num == null ? this.f5401g.get("gms_unknown") : num;
    }

    /* Return type fixed from 'java.lang.Object' to match base method */
    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
    @Override // com.google.android.gms.common.server.response.FastJsonResponse.a
    public final /* synthetic */ String b(Integer num) {
        String str = this.f5402p.get(num.intValue());
        return (str != null || !this.f5401g.containsKey("gms_unknown")) ? str : "gms_unknown";
    }

    @Override // com.google.android.gms.common.server.response.FastJsonResponse.a
    public final int l() {
        return 7;
    }

    @Override // com.google.android.gms.common.server.response.FastJsonResponse.a
    public final int o() {
        return 0;
    }

    public final void writeToParcel(Parcel parcel, int i7) {
        int a8 = b.a(parcel);
        b.F(parcel, 1, this.f5400f);
        ArrayList arrayList = new ArrayList();
        for (String str : this.f5401g.keySet()) {
            arrayList.add(new zaa(str, this.f5401g.get(str).intValue()));
        }
        b.c0(parcel, 2, arrayList, false);
        b.b(parcel, a8);
    }

    @SafeParcelable.b
    StringToIntConverter(@SafeParcelable.e(id = 1) int i7, @SafeParcelable.e(id = 2) ArrayList<zaa> arrayList) {
        this.f5400f = i7;
        this.f5401g = new HashMap<>();
        this.f5402p = new SparseArray<>();
        this.f5403x = null;
        int size = arrayList.size();
        int i8 = 0;
        while (i8 < size) {
            zaa zaa2 = arrayList.get(i8);
            i8++;
            zaa zaa3 = zaa2;
            J(zaa3.f5405g, zaa3.f5406p);
        }
    }
}
