package com.google.android.gms.common.server.response;

import android.os.Parcel;
import android.util.Log;
import com.google.android.gms.common.internal.b0;
import com.google.android.gms.common.internal.e0;
import com.google.android.gms.common.internal.safeparcel.AbstractSafeParcelable;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable;
import com.google.android.gms.common.internal.z;
import com.google.android.gms.common.server.converter.zaa;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;
import t.b;
import x.c;
import x.d0;
import x.r;
import x.s;

@r.a
@e0
public abstract class FastJsonResponse {

    @r.a
    @e0
    @SafeParcelable.a(creator = "FieldCreator")
    @d0
    public static class Field<I, O> extends AbstractSafeParcelable {
        public static final j CREATOR = new j();
        @SafeParcelable.c(getter = "getOutputFieldName", id = 6)
        protected final String C1;
        @SafeParcelable.c(getter = "getSafeParcelableFieldId", id = 7)
        protected final int C2;
        protected final Class<? extends FastJsonResponse> U5;
        @SafeParcelable.c(getter = "getConcreteTypeName", id = 8)
        private final String V5;
        private zak W5;
        @SafeParcelable.c(getter = "getWrappedConverter", id = 9, type = "com.google.android.gms.common.server.converter.ConverterWrapper")
        private a<I, O> X5;
        @SafeParcelable.g(getter = "getVersionCode", id = 1)

        /* renamed from: f  reason: collision with root package name */
        private final int f5409f;
        @SafeParcelable.c(getter = "getTypeIn", id = 2)

        /* renamed from: g  reason: collision with root package name */
        protected final int f5410g;
        @SafeParcelable.c(getter = "isTypeInArray", id = 3)

        /* renamed from: p  reason: collision with root package name */
        protected final boolean f5411p;
        @SafeParcelable.c(getter = "getTypeOut", id = 4)

        /* renamed from: x  reason: collision with root package name */
        protected final int f5412x;
        @SafeParcelable.c(getter = "isTypeOutArray", id = 5)

        /* renamed from: y  reason: collision with root package name */
        protected final boolean f5413y;

        @SafeParcelable.b
        Field(@SafeParcelable.e(id = 1) int i7, @SafeParcelable.e(id = 2) int i8, @SafeParcelable.e(id = 3) boolean z7, @SafeParcelable.e(id = 4) int i9, @SafeParcelable.e(id = 5) boolean z8, @SafeParcelable.e(id = 6) String str, @SafeParcelable.e(id = 7) int i10, @SafeParcelable.e(id = 8) String str2, @SafeParcelable.e(id = 9) zaa zaa) {
            this.f5409f = i7;
            this.f5410g = i8;
            this.f5411p = z7;
            this.f5412x = i9;
            this.f5413y = z8;
            this.C1 = str;
            this.C2 = i10;
            if (str2 == null) {
                this.U5 = null;
                this.V5 = null;
            } else {
                this.U5 = SafeParcelResponse.class;
                this.V5 = str2;
            }
            if (zaa == null) {
                this.X5 = null;
            } else {
                this.X5 = (a<I, O>) zaa.K();
            }
        }

        @r.a
        @d0
        public static Field<byte[], byte[]> J(String str, int i7) {
            return new Field<>(8, false, 8, false, str, i7, null, null);
        }

        @r.a
        public static Field<Boolean, Boolean> K(String str, int i7) {
            return new Field<>(6, false, 6, false, str, i7, null, null);
        }

        @r.a
        public static <T extends FastJsonResponse> Field<T, T> L(String str, int i7, Class<T> cls) {
            return new Field<>(11, false, 11, false, str, i7, cls, null);
        }

        @r.a
        public static <T extends FastJsonResponse> Field<ArrayList<T>, ArrayList<T>> M(String str, int i7, Class<T> cls) {
            return new Field<>(11, true, 11, true, str, i7, cls, null);
        }

        @r.a
        public static Field<Double, Double> N(String str, int i7) {
            return new Field<>(4, false, 4, false, str, i7, null, null);
        }

        @r.a
        public static Field<Float, Float> O(String str, int i7) {
            return new Field<>(3, false, 3, false, str, i7, null, null);
        }

        @r.a
        @d0
        public static Field<Integer, Integer> S(String str, int i7) {
            return new Field<>(0, false, 0, false, str, i7, null, null);
        }

        @r.a
        public static Field<Long, Long> T(String str, int i7) {
            return new Field<>(2, false, 2, false, str, i7, null, null);
        }

        @r.a
        public static Field<String, String> U(String str, int i7) {
            return new Field<>(7, false, 7, false, str, i7, null, null);
        }

        @r.a
        public static Field<ArrayList<String>, ArrayList<String>> V(String str, int i7) {
            return new Field<>(7, true, 7, true, str, i7, null, null);
        }

        @r.a
        public static Field X(String str, int i7, a<?, ?> aVar, boolean z7) {
            return new Field(aVar.l(), z7, aVar.o(), false, str, i7, null, aVar);
        }

        private final String d0() {
            String str = this.V5;
            if (str == null) {
                return null;
            }
            return str;
        }

        private final zaa g0() {
            a<I, O> aVar = this.X5;
            if (aVar == null) {
                return null;
            }
            return zaa.J(aVar);
        }

        @r.a
        public int W() {
            return this.C2;
        }

        public final O a(I i7) {
            return this.X5.a(i7);
        }

        public final I b(O o7) {
            return this.X5.b(o7);
        }

        public final void b0(zak zak) {
            this.W5 = zak;
        }

        public final Field<I, O> c0() {
            return new Field<>(this.f5409f, this.f5410g, this.f5411p, this.f5412x, this.f5413y, this.C1, this.C2, this.V5, g0());
        }

        public final boolean f0() {
            return this.X5 != null;
        }

        public final FastJsonResponse h0() throws InstantiationException, IllegalAccessException {
            Class<? extends FastJsonResponse> cls = this.U5;
            if (cls != SafeParcelResponse.class) {
                return (FastJsonResponse) cls.newInstance();
            }
            b0.l(this.W5, "The field mapping dictionary must be set if the concrete type is a SafeParcelResponse object.");
            return new SafeParcelResponse(this.W5, this.V5);
        }

        public final Map<String, Field<?, ?>> i0() {
            b0.k(this.V5);
            b0.k(this.W5);
            return this.W5.O(this.V5);
        }

        public String toString() {
            z.a a8 = z.c(this).a("versionCode", Integer.valueOf(this.f5409f)).a("typeIn", Integer.valueOf(this.f5410g)).a("typeInArray", Boolean.valueOf(this.f5411p)).a("typeOut", Integer.valueOf(this.f5412x)).a("typeOutArray", Boolean.valueOf(this.f5413y)).a("outputFieldName", this.C1).a("safeParcelFieldId", Integer.valueOf(this.C2)).a("concreteTypeName", d0());
            Class<? extends FastJsonResponse> cls = this.U5;
            if (cls != null) {
                a8.a("concreteType.class", cls.getCanonicalName());
            }
            a<I, O> aVar = this.X5;
            if (aVar != null) {
                a8.a("converterName", aVar.getClass().getCanonicalName());
            }
            return a8.toString();
        }

        public void writeToParcel(Parcel parcel, int i7) {
            int a8 = b.a(parcel);
            b.F(parcel, 1, this.f5409f);
            b.F(parcel, 2, this.f5410g);
            b.g(parcel, 3, this.f5411p);
            b.F(parcel, 4, this.f5412x);
            b.g(parcel, 5, this.f5413y);
            b.X(parcel, 6, this.C1, false);
            b.F(parcel, 7, W());
            b.X(parcel, 8, d0(), false);
            b.S(parcel, 9, g0(), i7, false);
            b.b(parcel, a8);
        }

        private Field(int i7, boolean z7, int i8, boolean z8, String str, int i9, Class<? extends FastJsonResponse> cls, a<I, O> aVar) {
            this.f5409f = 1;
            this.f5410g = i7;
            this.f5411p = z7;
            this.f5412x = i8;
            this.f5413y = z8;
            this.C1 = str;
            this.C2 = i9;
            this.U5 = cls;
            this.V5 = cls == null ? null : cls.getCanonicalName();
            this.X5 = aVar;
        }
    }

    @e0
    public interface a<I, O> {
        O a(I i7);

        I b(O o7);

        int l();

        int o();
    }

    private final <I, O> void E(Field<I, O> field, I i7) {
        String str = field.C1;
        O a8 = field.a(i7);
        switch (field.f5412x) {
            case 0:
                if (V(str, a8)) {
                    s(field, str, a8.intValue());
                    return;
                }
                return;
            case 1:
                L(field, str, a8);
                return;
            case 2:
                if (V(str, a8)) {
                    t(field, str, a8.longValue());
                    return;
                }
                return;
            case 3:
            default:
                int i8 = field.f5412x;
                StringBuilder sb = new StringBuilder(44);
                sb.append("Unsupported type for conversion: ");
                sb.append(i8);
                throw new IllegalStateException(sb.toString());
            case 4:
                if (V(str, a8)) {
                    H(field, str, a8.doubleValue());
                    return;
                }
                return;
            case 5:
                K(field, str, a8);
                return;
            case 6:
                if (V(str, a8)) {
                    q(field, str, a8.booleanValue());
                    return;
                }
                return;
            case 7:
                u(field, str, a8);
                return;
            case 8:
            case 9:
                if (V(str, a8)) {
                    r(field, str, (byte[]) a8);
                    return;
                }
                return;
        }
    }

    private static void U(StringBuilder sb, Field field, Object obj) {
        String str;
        int i7 = field.f5410g;
        if (i7 == 11) {
            str = ((FastJsonResponse) field.U5.cast(obj)).toString();
        } else if (i7 == 7) {
            str = "\"";
            sb.append(str);
            sb.append(r.b((String) obj));
        } else {
            sb.append(obj);
            return;
        }
        sb.append(str);
    }

    private static <O> boolean V(String str, O o7) {
        if (o7 != null) {
            return true;
        }
        if (!Log.isLoggable("FastJsonResponse", 6)) {
            return false;
        }
        StringBuilder sb = new StringBuilder(String.valueOf(str).length() + 58);
        sb.append("Output field (");
        sb.append(str);
        sb.append(") has a null value, but expected a primitive");
        Log.e("FastJsonResponse", sb.toString());
        return false;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: java.lang.Object */
    /* JADX WARN: Multi-variable type inference failed */
    protected static <O, I> I W(Field<I, O> field, Object obj) {
        return ((Field) field).X5 != null ? field.b(obj) : obj;
    }

    public final <O> void C(Field<Integer, O> field, int i7) {
        if (((Field) field).X5 != null) {
            E(field, Integer.valueOf(i7));
        } else {
            s(field, field.C1, i7);
        }
    }

    public final <O> void D(Field<Long, O> field, long j7) {
        if (((Field) field).X5 != null) {
            E(field, Long.valueOf(j7));
        } else {
            t(field, field.C1, j7);
        }
    }

    public final <O> void F(Field<String, O> field, String str) {
        if (((Field) field).X5 != null) {
            E(field, str);
        } else {
            u(field, field.C1, str);
        }
    }

    /* access modifiers changed from: protected */
    public void H(Field<?, ?> field, String str, double d7) {
        throw new UnsupportedOperationException("Double not supported");
    }

    /* access modifiers changed from: protected */
    public void J(Field<?, ?> field, String str, float f7) {
        throw new UnsupportedOperationException("Float not supported");
    }

    /* access modifiers changed from: protected */
    public void K(Field<?, ?> field, String str, BigDecimal bigDecimal) {
        throw new UnsupportedOperationException("BigDecimal not supported");
    }

    /* access modifiers changed from: protected */
    public void L(Field<?, ?> field, String str, BigInteger bigInteger) {
        throw new UnsupportedOperationException("BigInteger not supported");
    }

    /* access modifiers changed from: protected */
    public void M(Field<?, ?> field, String str, ArrayList<Integer> arrayList) {
        throw new UnsupportedOperationException("Integer list not supported");
    }

    /* access modifiers changed from: protected */
    public void N(Field<?, ?> field, String str, Map<String, String> map) {
        throw new UnsupportedOperationException("String map not supported");
    }

    public final <O> void O(Field<BigDecimal, O> field, BigDecimal bigDecimal) {
        if (((Field) field).X5 != null) {
            E(field, bigDecimal);
        } else {
            K(field, field.C1, bigDecimal);
        }
    }

    public final <O> void P(Field<BigInteger, O> field, BigInteger bigInteger) {
        if (((Field) field).X5 != null) {
            E(field, bigInteger);
        } else {
            L(field, field.C1, bigInteger);
        }
    }

    public final <O> void Q(Field<ArrayList<Integer>, O> field, ArrayList<Integer> arrayList) {
        if (((Field) field).X5 != null) {
            E(field, arrayList);
        } else {
            M(field, field.C1, arrayList);
        }
    }

    public final <O> void R(Field<Map<String, String>, O> field, Map<String, String> map) {
        if (((Field) field).X5 != null) {
            E(field, map);
        } else {
            N(field, field.C1, map);
        }
    }

    public final <O> void S(Field<Boolean, O> field, boolean z7) {
        if (((Field) field).X5 != null) {
            E(field, Boolean.valueOf(z7));
        } else {
            q(field, field.C1, z7);
        }
    }

    public final <O> void T(Field<byte[], O> field, byte[] bArr) {
        if (((Field) field).X5 != null) {
            E(field, bArr);
        } else {
            r(field, field.C1, bArr);
        }
    }

    /* access modifiers changed from: protected */
    public void X(Field<?, ?> field, String str, ArrayList<BigInteger> arrayList) {
        throw new UnsupportedOperationException("BigInteger list not supported");
    }

    public final <O> void Y(Field<ArrayList<BigInteger>, O> field, ArrayList<BigInteger> arrayList) {
        if (((Field) field).X5 != null) {
            E(field, arrayList);
        } else {
            X(field, field.C1, arrayList);
        }
    }

    /* access modifiers changed from: protected */
    public void Z(Field<?, ?> field, String str, ArrayList<Long> arrayList) {
        throw new UnsupportedOperationException("Long list not supported");
    }

    @r.a
    public <T extends FastJsonResponse> void a(Field<?, ?> field, String str, ArrayList<T> arrayList) {
        throw new UnsupportedOperationException("Concrete type array not supported");
    }

    public final <O> void a0(Field<ArrayList<Long>, O> field, ArrayList<Long> arrayList) {
        if (((Field) field).X5 != null) {
            E(field, arrayList);
        } else {
            Z(field, field.C1, arrayList);
        }
    }

    @r.a
    public <T extends FastJsonResponse> void b(Field<?, ?> field, String str, T t7) {
        throw new UnsupportedOperationException("Concrete type not supported");
    }

    /* access modifiers changed from: protected */
    public void b0(Field<?, ?> field, String str, ArrayList<Float> arrayList) {
        throw new UnsupportedOperationException("Float list not supported");
    }

    public final <O> void c0(Field<ArrayList<Float>, O> field, ArrayList<Float> arrayList) {
        if (((Field) field).X5 != null) {
            E(field, arrayList);
        } else {
            b0(field, field.C1, arrayList);
        }
    }

    /* access modifiers changed from: protected */
    public void d0(Field<?, ?> field, String str, ArrayList<Double> arrayList) {
        throw new UnsupportedOperationException("Double list not supported");
    }

    public final <O> void e0(Field<ArrayList<Double>, O> field, ArrayList<Double> arrayList) {
        if (((Field) field).X5 != null) {
            E(field, arrayList);
        } else {
            d0(field, field.C1, arrayList);
        }
    }

    /* access modifiers changed from: protected */
    public void f0(Field<?, ?> field, String str, ArrayList<BigDecimal> arrayList) {
        throw new UnsupportedOperationException("BigDecimal list not supported");
    }

    public final <O> void g0(Field<ArrayList<BigDecimal>, O> field, ArrayList<BigDecimal> arrayList) {
        if (((Field) field).X5 != null) {
            E(field, arrayList);
        } else {
            f0(field, field.C1, arrayList);
        }
    }

    /* access modifiers changed from: protected */
    public void h0(Field<?, ?> field, String str, ArrayList<Boolean> arrayList) {
        throw new UnsupportedOperationException("Boolean list not supported");
    }

    public final <O> void i0(Field<ArrayList<Boolean>, O> field, ArrayList<Boolean> arrayList) {
        if (((Field) field).X5 != null) {
            E(field, arrayList);
        } else {
            h0(field, field.C1, arrayList);
        }
    }

    @r.a
    public abstract Map<String, Field<?, ?>> j();

    public final <O> void j0(Field<ArrayList<String>, O> field, ArrayList<String> arrayList) {
        if (((Field) field).X5 != null) {
            E(field, arrayList);
        } else {
            v(field, field.C1, arrayList);
        }
    }

    /* access modifiers changed from: protected */
    @r.a
    public Object l(Field field) {
        String str = field.C1;
        if (field.U5 == null) {
            return m(str);
        }
        b0.s(m(str) == null, "Concrete field shouldn't be value object: %s", field.C1);
        try {
            char upperCase = Character.toUpperCase(str.charAt(0));
            String substring = str.substring(1);
            StringBuilder sb = new StringBuilder(String.valueOf(substring).length() + 4);
            sb.append("get");
            sb.append(upperCase);
            sb.append(substring);
            return getClass().getMethod(sb.toString(), new Class[0]).invoke(this, new Object[0]);
        } catch (Exception e7) {
            throw new RuntimeException(e7);
        }
    }

    /* access modifiers changed from: protected */
    @r.a
    public abstract Object m(String str);

    /* access modifiers changed from: protected */
    @r.a
    public boolean n(Field field) {
        if (field.f5412x != 11) {
            return o(field.C1);
        }
        if (field.f5413y) {
            throw new UnsupportedOperationException("Concrete type arrays not supported");
        }
        throw new UnsupportedOperationException("Concrete types not supported");
    }

    /* access modifiers changed from: protected */
    @r.a
    public abstract boolean o(String str);

    /* access modifiers changed from: protected */
    @r.a
    public void q(Field<?, ?> field, String str, boolean z7) {
        throw new UnsupportedOperationException("Boolean not supported");
    }

    /* access modifiers changed from: protected */
    @r.a
    public void r(Field<?, ?> field, String str, byte[] bArr) {
        throw new UnsupportedOperationException("byte[] not supported");
    }

    /* access modifiers changed from: protected */
    @r.a
    public void s(Field<?, ?> field, String str, int i7) {
        throw new UnsupportedOperationException("Integer not supported");
    }

    /* access modifiers changed from: protected */
    @r.a
    public void t(Field<?, ?> field, String str, long j7) {
        throw new UnsupportedOperationException("Long not supported");
    }

    @r.a
    public String toString() {
        String str;
        String str2;
        Map<String, Field<?, ?>> j7 = j();
        StringBuilder sb = new StringBuilder(100);
        for (String str3 : j7.keySet()) {
            Field<?, ?> field = j7.get(str3);
            if (n(field)) {
                Object W = W(field, l(field));
                if (sb.length() == 0) {
                    sb.append("{");
                } else {
                    sb.append(",");
                }
                sb.append("\"");
                sb.append(str3);
                sb.append("\":");
                if (W != null) {
                    switch (field.f5412x) {
                        case 8:
                            sb.append("\"");
                            str = c.d((byte[]) W);
                            sb.append(str);
                            sb.append("\"");
                            break;
                        case 9:
                            sb.append("\"");
                            str = c.e((byte[]) W);
                            sb.append(str);
                            sb.append("\"");
                            break;
                        case 10:
                            s.a(sb, (HashMap) W);
                            break;
                        default:
                            if (field.f5411p) {
                                ArrayList arrayList = (ArrayList) W;
                                sb.append("[");
                                int size = arrayList.size();
                                for (int i7 = 0; i7 < size; i7++) {
                                    if (i7 > 0) {
                                        sb.append(",");
                                    }
                                    Object obj = arrayList.get(i7);
                                    if (obj != null) {
                                        U(sb, field, obj);
                                    }
                                }
                                str2 = "]";
                                break;
                            } else {
                                U(sb, field, W);
                                break;
                            }
                    }
                } else {
                    str2 = "null";
                }
                sb.append(str2);
            }
        }
        sb.append(sb.length() > 0 ? "}" : "{}");
        return sb.toString();
    }

    /* access modifiers changed from: protected */
    @r.a
    public void u(Field<?, ?> field, String str, String str2) {
        throw new UnsupportedOperationException("String not supported");
    }

    /* access modifiers changed from: protected */
    @r.a
    public void v(Field<?, ?> field, String str, ArrayList<String> arrayList) {
        throw new UnsupportedOperationException("String list not supported");
    }

    public final <O> void w(Field<Double, O> field, double d7) {
        if (((Field) field).X5 != null) {
            E(field, Double.valueOf(d7));
        } else {
            H(field, field.C1, d7);
        }
    }

    public final <O> void x(Field<Float, O> field, float f7) {
        if (((Field) field).X5 != null) {
            E(field, Float.valueOf(f7));
        } else {
            J(field, field.C1, f7);
        }
    }
}
