package com.google.android.gms.common.server.response;

import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.SparseArray;
import com.google.android.gms.common.internal.b0;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable;
import com.google.android.gms.common.server.response.FastJsonResponse;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;
import java.util.Set;
import r.a;
import t.a;
import x.b;
import x.c;
import x.d0;
import x.r;
import x.s;

@SafeParcelable.a(creator = "SafeParcelResponseCreator")
@a
@d0
public class SafeParcelResponse extends FastSafeParcelableJsonResponse {
    @a
    public static final Parcelable.Creator<SafeParcelResponse> CREATOR = new n();
    private int C1;
    private int C2;
    @SafeParcelable.g(getter = "getVersionCode", id = 1)

    /* renamed from: f  reason: collision with root package name */
    private final int f5414f;
    @SafeParcelable.c(getter = "getParcel", id = 2)

    /* renamed from: g  reason: collision with root package name */
    private final Parcel f5415g;

    /* renamed from: p  reason: collision with root package name */
    private final int f5416p;
    @SafeParcelable.c(getter = "getFieldMappingDictionary", id = 3)

    /* renamed from: x  reason: collision with root package name */
    private final zak f5417x;

    /* renamed from: y  reason: collision with root package name */
    private final String f5418y;

    @SafeParcelable.b
    SafeParcelResponse(@SafeParcelable.e(id = 1) int i7, @SafeParcelable.e(id = 2) Parcel parcel, @SafeParcelable.e(id = 3) zak zak) {
        this.f5414f = i7;
        this.f5415g = (Parcel) b0.k(parcel);
        this.f5416p = 2;
        this.f5417x = zak;
        this.f5418y = zak == null ? null : zak.N();
        this.C1 = 2;
    }

    @a
    public static <T extends FastJsonResponse & SafeParcelable> SafeParcelResponse l0(T t7) {
        String canonicalName = t7.getClass().getCanonicalName();
        zak zak = new zak(t7.getClass());
        m0(zak, t7);
        zak.M();
        zak.L();
        return new SafeParcelResponse(t7, zak, canonicalName);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r3v0, resolved type: com.google.android.gms.common.server.response.zak */
    /* JADX WARN: Multi-variable type inference failed */
    private static void m0(zak zak, FastJsonResponse fastJsonResponse) {
        Class<?> cls = fastJsonResponse.getClass();
        if (!zak.K(cls)) {
            Map<String, FastJsonResponse.Field<?, ?>> j7 = fastJsonResponse.j();
            zak.J(cls, j7);
            for (String str : j7.keySet()) {
                FastJsonResponse.Field<?, ?> field = j7.get(str);
                Class<? extends FastJsonResponse> cls2 = field.U5;
                if (cls2 != null) {
                    try {
                        m0(zak, (FastJsonResponse) cls2.newInstance());
                    } catch (InstantiationException e7) {
                        String valueOf = String.valueOf(field.U5.getCanonicalName());
                        throw new IllegalStateException(valueOf.length() != 0 ? "Could not instantiate an object of type ".concat(valueOf) : new String("Could not instantiate an object of type "), e7);
                    } catch (IllegalAccessException e8) {
                        String valueOf2 = String.valueOf(field.U5.getCanonicalName());
                        throw new IllegalStateException(valueOf2.length() != 0 ? "Could not access object of type ".concat(valueOf2) : new String("Could not access object of type "), e8);
                    }
                }
            }
        }
    }

    private static void n0(StringBuilder sb, int i7, Object obj) {
        switch (i7) {
            case 0:
            case 1:
            case 2:
            case 3:
            case 4:
            case 5:
            case 6:
                sb.append(obj);
                return;
            case 7:
                sb.append("\"");
                sb.append(r.b(obj.toString()));
                sb.append("\"");
                return;
            case 8:
                sb.append("\"");
                sb.append(c.d((byte[]) obj));
                sb.append("\"");
                return;
            case 9:
                sb.append("\"");
                sb.append(c.e((byte[]) obj));
                sb.append("\"");
                return;
            case 10:
                s.a(sb, (HashMap) obj);
                return;
            case 11:
                throw new IllegalArgumentException("Method does not accept concrete type.");
            default:
                StringBuilder sb2 = new StringBuilder(26);
                sb2.append("Unknown type = ");
                sb2.append(i7);
                throw new IllegalArgumentException(sb2.toString());
        }
    }

    private final void o0(StringBuilder sb, Map<String, FastJsonResponse.Field<?, ?>> map, Parcel parcel) {
        Object obj;
        String str;
        String str2;
        Object obj2;
        Object obj3;
        SparseArray sparseArray = new SparseArray();
        for (Map.Entry<String, FastJsonResponse.Field<?, ?>> entry : map.entrySet()) {
            sparseArray.put(entry.getValue().W(), entry);
        }
        sb.append('{');
        int h02 = t.a.h0(parcel);
        boolean z7 = false;
        while (parcel.dataPosition() < h02) {
            int X = t.a.X(parcel);
            Map.Entry entry2 = (Map.Entry) sparseArray.get(t.a.O(X));
            if (entry2 != null) {
                if (z7) {
                    sb.append(",");
                }
                FastJsonResponse.Field<?, ?> field = (FastJsonResponse.Field) entry2.getValue();
                sb.append("\"");
                sb.append((String) entry2.getKey());
                sb.append("\":");
                if (field.f0()) {
                    switch (field.f5412x) {
                        case 0:
                            obj3 = Integer.valueOf(t.a.Z(parcel, X));
                            obj2 = FastJsonResponse.W(field, obj3);
                            break;
                        case 1:
                            obj3 = t.a.c(parcel, X);
                            obj2 = FastJsonResponse.W(field, obj3);
                            break;
                        case 2:
                            obj3 = Long.valueOf(t.a.c0(parcel, X));
                            obj2 = FastJsonResponse.W(field, obj3);
                            break;
                        case 3:
                            obj3 = Float.valueOf(t.a.V(parcel, X));
                            obj2 = FastJsonResponse.W(field, obj3);
                            break;
                        case 4:
                            obj3 = Double.valueOf(t.a.T(parcel, X));
                            obj2 = FastJsonResponse.W(field, obj3);
                            break;
                        case 5:
                            obj3 = t.a.a(parcel, X);
                            obj2 = FastJsonResponse.W(field, obj3);
                            break;
                        case 6:
                            obj3 = Boolean.valueOf(t.a.P(parcel, X));
                            obj2 = FastJsonResponse.W(field, obj3);
                            break;
                        case 7:
                            obj3 = t.a.G(parcel, X);
                            obj2 = FastJsonResponse.W(field, obj3);
                            break;
                        case 8:
                        case 9:
                            obj2 = FastJsonResponse.W(field, t.a.h(parcel, X));
                            break;
                        case 10:
                            Bundle g7 = t.a.g(parcel, X);
                            HashMap hashMap = new HashMap();
                            for (String str3 : g7.keySet()) {
                                hashMap.put(str3, g7.getString(str3));
                            }
                            obj2 = FastJsonResponse.W(field, hashMap);
                            break;
                        case 11:
                            throw new IllegalArgumentException("Method does not accept concrete type.");
                        default:
                            int i7 = field.f5412x;
                            StringBuilder sb2 = new StringBuilder(36);
                            sb2.append("Unknown field out type = ");
                            sb2.append(i7);
                            throw new IllegalArgumentException(sb2.toString());
                    }
                    q0(sb, field, obj2);
                } else {
                    if (field.f5413y) {
                        sb.append("[");
                        switch (field.f5412x) {
                            case 0:
                                b.m(sb, t.a.u(parcel, X));
                                break;
                            case 1:
                                b.o(sb, t.a.d(parcel, X));
                                break;
                            case 2:
                                b.n(sb, t.a.w(parcel, X));
                                break;
                            case 3:
                                b.l(sb, t.a.o(parcel, X));
                                break;
                            case 4:
                                b.k(sb, t.a.l(parcel, X));
                                break;
                            case 5:
                                b.o(sb, t.a.b(parcel, X));
                                break;
                            case 6:
                                b.p(sb, t.a.e(parcel, X));
                                break;
                            case 7:
                                b.q(sb, t.a.H(parcel, X));
                                break;
                            case 8:
                            case 9:
                            case 10:
                                throw new UnsupportedOperationException("List of type BASE64, BASE64_URL_SAFE, or STRING_MAP is not supported");
                            case 11:
                                Parcel[] z8 = t.a.z(parcel, X);
                                int length = z8.length;
                                for (int i8 = 0; i8 < length; i8++) {
                                    if (i8 > 0) {
                                        sb.append(",");
                                    }
                                    z8[i8].setDataPosition(0);
                                    o0(sb, field.i0(), z8[i8]);
                                }
                                break;
                            default:
                                throw new IllegalStateException("Unknown field type out.");
                        }
                        str2 = "]";
                    } else {
                        switch (field.f5412x) {
                            case 0:
                                sb.append(t.a.Z(parcel, X));
                                break;
                            case 1:
                                obj = t.a.c(parcel, X);
                                sb.append(obj);
                                break;
                            case 2:
                                sb.append(t.a.c0(parcel, X));
                                break;
                            case 3:
                                sb.append(t.a.V(parcel, X));
                                break;
                            case 4:
                                sb.append(t.a.T(parcel, X));
                                break;
                            case 5:
                                obj = t.a.a(parcel, X);
                                sb.append(obj);
                                break;
                            case 6:
                                sb.append(t.a.P(parcel, X));
                                break;
                            case 7:
                                String G = t.a.G(parcel, X);
                                sb.append("\"");
                                str = r.b(G);
                                sb.append(str);
                                sb.append("\"");
                                break;
                            case 8:
                                byte[] h7 = t.a.h(parcel, X);
                                sb.append("\"");
                                str = c.d(h7);
                                sb.append(str);
                                sb.append("\"");
                                break;
                            case 9:
                                byte[] h8 = t.a.h(parcel, X);
                                sb.append("\"");
                                str = c.e(h8);
                                sb.append(str);
                                sb.append("\"");
                                break;
                            case 10:
                                Bundle g8 = t.a.g(parcel, X);
                                Set<String> keySet = g8.keySet();
                                keySet.size();
                                sb.append("{");
                                boolean z9 = true;
                                for (String str4 : keySet) {
                                    if (!z9) {
                                        sb.append(",");
                                    }
                                    sb.append("\"");
                                    sb.append(str4);
                                    sb.append("\"");
                                    sb.append(":");
                                    sb.append("\"");
                                    sb.append(r.b(g8.getString(str4)));
                                    sb.append("\"");
                                    z9 = false;
                                }
                                str2 = "}";
                                break;
                            case 11:
                                Parcel y7 = t.a.y(parcel, X);
                                y7.setDataPosition(0);
                                o0(sb, field.i0(), y7);
                                break;
                            default:
                                throw new IllegalStateException("Unknown field type out");
                        }
                    }
                    sb.append(str2);
                }
                z7 = true;
            }
        }
        if (parcel.dataPosition() == h02) {
            sb.append('}');
            return;
        }
        StringBuilder sb3 = new StringBuilder(37);
        sb3.append("Overread allowed size end=");
        sb3.append(h02);
        throw new a.C0375a(sb3.toString(), parcel);
    }

    private final void p0(FastJsonResponse.Field<?, ?> field) {
        if (field.C2 != -1) {
            Parcel parcel = this.f5415g;
            if (parcel != null) {
                int i7 = this.C1;
                if (i7 == 0) {
                    this.C2 = t.b.a(parcel);
                    this.C1 = 1;
                } else if (i7 == 1) {
                } else {
                    if (i7 != 2) {
                        throw new IllegalStateException("Unknown parse state in SafeParcelResponse.");
                    }
                    throw new IllegalStateException("Attempted to parse JSON with a SafeParcelResponse object that is already filled with data.");
                }
            } else {
                throw new IllegalStateException("Internal Parcel object is null.");
            }
        } else {
            throw new IllegalStateException("Field does not have a valid safe parcelable field id.");
        }
    }

    private final void q0(StringBuilder sb, FastJsonResponse.Field<?, ?> field, Object obj) {
        if (field.f5411p) {
            ArrayList arrayList = (ArrayList) obj;
            sb.append("[");
            int size = arrayList.size();
            for (int i7 = 0; i7 < size; i7++) {
                if (i7 != 0) {
                    sb.append(",");
                }
                n0(sb, field.f5410g, arrayList.get(i7));
            }
            sb.append("]");
            return;
        }
        n0(sb, field.f5410g, obj);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:3:0x0005, code lost:
        if (r0 != 1) goto L_0x001a;
     */
    private final Parcel r0() {
        int i7 = this.C1;
        if (i7 == 0) {
            this.C2 = t.b.a(this.f5415g);
        }
        t.b.b(this.f5415g, this.C2);
        this.C1 = 2;
        return this.f5415g;
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.common.server.response.FastJsonResponse
    public final void H(FastJsonResponse.Field<?, ?> field, String str, double d7) {
        p0(field);
        t.b.r(this.f5415g, field.W(), d7);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.common.server.response.FastJsonResponse
    public final void J(FastJsonResponse.Field<?, ?> field, String str, float f7) {
        p0(field);
        t.b.w(this.f5415g, field.W(), f7);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.common.server.response.FastJsonResponse
    public final void K(FastJsonResponse.Field<?, ?> field, String str, BigDecimal bigDecimal) {
        p0(field);
        t.b.c(this.f5415g, field.W(), bigDecimal, true);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.common.server.response.FastJsonResponse
    public final void L(FastJsonResponse.Field<?, ?> field, String str, BigInteger bigInteger) {
        p0(field);
        t.b.e(this.f5415g, field.W(), bigInteger, true);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.common.server.response.FastJsonResponse
    public final void M(FastJsonResponse.Field<?, ?> field, String str, ArrayList<Integer> arrayList) {
        p0(field);
        int size = arrayList.size();
        int[] iArr = new int[size];
        for (int i7 = 0; i7 < size; i7++) {
            iArr[i7] = arrayList.get(i7).intValue();
        }
        t.b.G(this.f5415g, field.W(), iArr, true);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.common.server.response.FastJsonResponse
    public final void N(FastJsonResponse.Field<?, ?> field, String str, Map<String, String> map) {
        p0(field);
        Bundle bundle = new Bundle();
        for (String str2 : map.keySet()) {
            bundle.putString(str2, map.get(str2));
        }
        t.b.k(this.f5415g, field.W(), bundle, true);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.common.server.response.FastJsonResponse
    public final void X(FastJsonResponse.Field<?, ?> field, String str, ArrayList<BigInteger> arrayList) {
        p0(field);
        int size = arrayList.size();
        BigInteger[] bigIntegerArr = new BigInteger[size];
        for (int i7 = 0; i7 < size; i7++) {
            bigIntegerArr[i7] = arrayList.get(i7);
        }
        t.b.f(this.f5415g, field.W(), bigIntegerArr, true);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.common.server.response.FastJsonResponse
    public final void Z(FastJsonResponse.Field<?, ?> field, String str, ArrayList<Long> arrayList) {
        p0(field);
        int size = arrayList.size();
        long[] jArr = new long[size];
        for (int i7 = 0; i7 < size; i7++) {
            jArr[i7] = arrayList.get(i7).longValue();
        }
        t.b.L(this.f5415g, field.W(), jArr, true);
    }

    @Override // com.google.android.gms.common.server.response.FastJsonResponse
    public <T extends FastJsonResponse> void a(FastJsonResponse.Field<?, ?> field, String str, ArrayList<T> arrayList) {
        p0(field);
        ArrayList arrayList2 = new ArrayList();
        arrayList.size();
        int size = arrayList.size();
        int i7 = 0;
        while (i7 < size) {
            T t7 = arrayList.get(i7);
            i7++;
            arrayList2.add(((SafeParcelResponse) t7).r0());
        }
        t.b.Q(this.f5415g, field.W(), arrayList2, true);
    }

    @Override // com.google.android.gms.common.server.response.FastJsonResponse
    public <T extends FastJsonResponse> void b(FastJsonResponse.Field<?, ?> field, String str, T t7) {
        p0(field);
        t.b.O(this.f5415g, field.W(), ((SafeParcelResponse) t7).r0(), true);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.common.server.response.FastJsonResponse
    public final void b0(FastJsonResponse.Field<?, ?> field, String str, ArrayList<Float> arrayList) {
        p0(field);
        int size = arrayList.size();
        float[] fArr = new float[size];
        for (int i7 = 0; i7 < size; i7++) {
            fArr[i7] = arrayList.get(i7).floatValue();
        }
        t.b.x(this.f5415g, field.W(), fArr, true);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.common.server.response.FastJsonResponse
    public final void d0(FastJsonResponse.Field<?, ?> field, String str, ArrayList<Double> arrayList) {
        p0(field);
        int size = arrayList.size();
        double[] dArr = new double[size];
        for (int i7 = 0; i7 < size; i7++) {
            dArr[i7] = arrayList.get(i7).doubleValue();
        }
        t.b.s(this.f5415g, field.W(), dArr, true);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.common.server.response.FastJsonResponse
    public final void f0(FastJsonResponse.Field<?, ?> field, String str, ArrayList<BigDecimal> arrayList) {
        p0(field);
        int size = arrayList.size();
        BigDecimal[] bigDecimalArr = new BigDecimal[size];
        for (int i7 = 0; i7 < size; i7++) {
            bigDecimalArr[i7] = arrayList.get(i7);
        }
        t.b.d(this.f5415g, field.W(), bigDecimalArr, true);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.common.server.response.FastJsonResponse
    public final void h0(FastJsonResponse.Field<?, ?> field, String str, ArrayList<Boolean> arrayList) {
        p0(field);
        int size = arrayList.size();
        boolean[] zArr = new boolean[size];
        for (int i7 = 0; i7 < size; i7++) {
            zArr[i7] = arrayList.get(i7).booleanValue();
        }
        t.b.h(this.f5415g, field.W(), zArr, true);
    }

    @Override // com.google.android.gms.common.server.response.FastJsonResponse
    public Map<String, FastJsonResponse.Field<?, ?>> j() {
        zak zak = this.f5417x;
        if (zak == null) {
            return null;
        }
        return zak.O(this.f5418y);
    }

    @Override // com.google.android.gms.common.server.response.FastSafeParcelableJsonResponse, com.google.android.gms.common.server.response.FastJsonResponse
    public Object m(String str) {
        throw new UnsupportedOperationException("Converting to JSON does not require this method.");
    }

    @Override // com.google.android.gms.common.server.response.FastSafeParcelableJsonResponse, com.google.android.gms.common.server.response.FastJsonResponse
    public boolean o(String str) {
        throw new UnsupportedOperationException("Converting to JSON does not require this method.");
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.common.server.response.FastJsonResponse
    public void q(FastJsonResponse.Field<?, ?> field, String str, boolean z7) {
        p0(field);
        t.b.g(this.f5415g, field.W(), z7);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.common.server.response.FastJsonResponse
    public void r(FastJsonResponse.Field<?, ?> field, String str, byte[] bArr) {
        p0(field);
        t.b.m(this.f5415g, field.W(), bArr, true);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.common.server.response.FastJsonResponse
    public void s(FastJsonResponse.Field<?, ?> field, String str, int i7) {
        p0(field);
        t.b.F(this.f5415g, field.W(), i7);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.common.server.response.FastJsonResponse
    public void t(FastJsonResponse.Field<?, ?> field, String str, long j7) {
        p0(field);
        t.b.K(this.f5415g, field.W(), j7);
    }

    @Override // com.google.android.gms.common.server.response.FastJsonResponse
    public String toString() {
        b0.l(this.f5417x, "Cannot convert to JSON on client side.");
        Parcel r02 = r0();
        r02.setDataPosition(0);
        StringBuilder sb = new StringBuilder(100);
        o0(sb, this.f5417x.O(this.f5418y), r02);
        return sb.toString();
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.common.server.response.FastJsonResponse
    public void u(FastJsonResponse.Field<?, ?> field, String str, String str2) {
        p0(field);
        t.b.X(this.f5415g, field.W(), str2, true);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.common.server.response.FastJsonResponse
    public void v(FastJsonResponse.Field<?, ?> field, String str, ArrayList<String> arrayList) {
        p0(field);
        int size = arrayList.size();
        String[] strArr = new String[size];
        for (int i7 = 0; i7 < size; i7++) {
            strArr[i7] = arrayList.get(i7);
        }
        t.b.Y(this.f5415g, field.W(), strArr, true);
    }

    public void writeToParcel(Parcel parcel, int i7) {
        zak zak;
        int a8 = t.b.a(parcel);
        t.b.F(parcel, 1, this.f5414f);
        t.b.O(parcel, 2, r0(), false);
        int i8 = this.f5416p;
        if (i8 == 0) {
            zak = null;
        } else if (i8 == 1 || i8 == 2) {
            zak = this.f5417x;
        } else {
            int i9 = this.f5416p;
            StringBuilder sb = new StringBuilder(34);
            sb.append("Invalid creation type: ");
            sb.append(i9);
            throw new IllegalStateException(sb.toString());
        }
        t.b.S(parcel, 3, zak, i7, false);
        t.b.b(parcel, a8);
    }

    private SafeParcelResponse(SafeParcelable safeParcelable, zak zak, String str) {
        this.f5414f = 1;
        Parcel obtain = Parcel.obtain();
        this.f5415g = obtain;
        safeParcelable.writeToParcel(obtain, 0);
        this.f5416p = 1;
        this.f5417x = (zak) b0.k(zak);
        this.f5418y = (String) b0.k(str);
        this.C1 = 2;
    }

    public SafeParcelResponse(zak zak, String str) {
        this.f5414f = 1;
        this.f5415g = Parcel.obtain();
        this.f5416p = 0;
        this.f5417x = (zak) b0.k(zak);
        this.f5418y = (String) b0.k(str);
        this.C1 = 0;
    }
}
