package com.google.android.gms.common.stats;

import android.os.Parcel;
import android.os.Parcelable;
import android.text.TextUtils;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable;
import java.util.List;
import t.b;

@SafeParcelable.a(creator = "WakeLockEventCreator")
public final class WakeLockEvent extends StatsEvent {
    public static final Parcelable.Creator<WakeLockEvent> CREATOR = new e();
    @SafeParcelable.c(getter = "getCodePackage", id = 17)
    private final String C1;
    @SafeParcelable.c(getter = "getWakeLockType", id = 5)
    private final int C2;
    @SafeParcelable.c(getter = "getCallingPackages", id = 6)
    private final List<String> U5;
    @SafeParcelable.c(getter = "getEventKey", id = 12)
    private final String V5;
    @SafeParcelable.c(getter = "getElapsedRealtime", id = 8)
    private final long W5;
    @SafeParcelable.c(getter = "getDeviceState", id = 14)
    private int X5;
    @SafeParcelable.c(getter = "getHostPackage", id = 13)
    private final String Y5;
    @SafeParcelable.c(getter = "getBeginPowerPercentage", id = 15)
    private final float Z5;
    @SafeParcelable.c(getter = "getTimeout", id = 16)

    /* renamed from: a6  reason: collision with root package name */
    private final long f5451a6;
    @SafeParcelable.c(getter = "getAcquiredWithTimeout", id = 18)

    /* renamed from: b6  reason: collision with root package name */
    private final boolean f5452b6;

    /* renamed from: c6  reason: collision with root package name */
    private long f5453c6;
    @SafeParcelable.g(id = 1)

    /* renamed from: f  reason: collision with root package name */
    private final int f5454f;
    @SafeParcelable.c(getter = "getTimeMillis", id = 2)

    /* renamed from: g  reason: collision with root package name */
    private final long f5455g;
    @SafeParcelable.c(getter = "getEventType", id = 11)

    /* renamed from: p  reason: collision with root package name */
    private int f5456p;
    @SafeParcelable.c(getter = "getWakeLockName", id = 4)

    /* renamed from: x  reason: collision with root package name */
    private final String f5457x;
    @SafeParcelable.c(getter = "getSecondaryWakeLockName", id = 10)

    /* renamed from: y  reason: collision with root package name */
    private final String f5458y;

    @SafeParcelable.b
    WakeLockEvent(@SafeParcelable.e(id = 1) int i7, @SafeParcelable.e(id = 2) long j7, @SafeParcelable.e(id = 11) int i8, @SafeParcelable.e(id = 4) String str, @SafeParcelable.e(id = 5) int i9, @SafeParcelable.e(id = 6) List<String> list, @SafeParcelable.e(id = 12) String str2, @SafeParcelable.e(id = 8) long j8, @SafeParcelable.e(id = 14) int i10, @SafeParcelable.e(id = 10) String str3, @SafeParcelable.e(id = 13) String str4, @SafeParcelable.e(id = 15) float f7, @SafeParcelable.e(id = 16) long j9, @SafeParcelable.e(id = 17) String str5, @SafeParcelable.e(id = 18) boolean z7) {
        this.f5454f = i7;
        this.f5455g = j7;
        this.f5456p = i8;
        this.f5457x = str;
        this.f5458y = str3;
        this.C1 = str5;
        this.C2 = i9;
        this.f5453c6 = -1;
        this.U5 = list;
        this.V5 = str2;
        this.W5 = j8;
        this.X5 = i10;
        this.Y5 = str4;
        this.Z5 = f7;
        this.f5451a6 = j9;
        this.f5452b6 = z7;
    }

    @Override // com.google.android.gms.common.stats.StatsEvent
    public final int J() {
        return this.f5456p;
    }

    @Override // com.google.android.gms.common.stats.StatsEvent
    public final long K() {
        return this.f5455g;
    }

    @Override // com.google.android.gms.common.stats.StatsEvent
    public final long L() {
        return this.f5453c6;
    }

    @Override // com.google.android.gms.common.stats.StatsEvent
    public final String M() {
        String str = this.f5457x;
        int i7 = this.C2;
        List<String> list = this.U5;
        String str2 = "";
        String join = list == null ? str2 : TextUtils.join(",", list);
        int i8 = this.X5;
        String str3 = this.f5458y;
        if (str3 == null) {
            str3 = str2;
        }
        String str4 = this.Y5;
        if (str4 == null) {
            str4 = str2;
        }
        float f7 = this.Z5;
        String str5 = this.C1;
        if (str5 != null) {
            str2 = str5;
        }
        boolean z7 = this.f5452b6;
        StringBuilder sb = new StringBuilder(String.valueOf(str).length() + 51 + String.valueOf(join).length() + String.valueOf(str3).length() + String.valueOf(str4).length() + String.valueOf(str2).length());
        sb.append("\t");
        sb.append(str);
        sb.append("\t");
        sb.append(i7);
        sb.append("\t");
        sb.append(join);
        sb.append("\t");
        sb.append(i8);
        sb.append("\t");
        sb.append(str3);
        sb.append("\t");
        sb.append(str4);
        sb.append("\t");
        sb.append(f7);
        sb.append("\t");
        sb.append(str2);
        sb.append("\t");
        sb.append(z7);
        return sb.toString();
    }

    public final void writeToParcel(Parcel parcel, int i7) {
        int a8 = b.a(parcel);
        b.F(parcel, 1, this.f5454f);
        b.K(parcel, 2, K());
        b.X(parcel, 4, this.f5457x, false);
        b.F(parcel, 5, this.C2);
        b.Z(parcel, 6, this.U5, false);
        b.K(parcel, 8, this.W5);
        b.X(parcel, 10, this.f5458y, false);
        b.F(parcel, 11, J());
        b.X(parcel, 12, this.V5, false);
        b.X(parcel, 13, this.Y5, false);
        b.F(parcel, 14, this.X5);
        b.w(parcel, 15, this.Z5);
        b.K(parcel, 16, this.f5451a6);
        b.X(parcel, 17, this.C1, false);
        b.g(parcel, 18, this.f5452b6);
        b.b(parcel, a8);
    }

    public WakeLockEvent(long j7, int i7, String str, int i8, List<String> list, String str2, long j8, int i9, String str3, String str4, float f7, long j9, String str5, boolean z7) {
        this(2, j7, i7, str, i8, list, str2, j8, i9, str3, str4, f7, j9, str5, z7);
    }
}
