package com.google.android.gms.common;

import android.os.IBinder;
import android.os.Parcel;
import android.os.Parcelable;
import android.os.RemoteException;
import android.util.Log;
import com.google.android.gms.common.internal.h1;
import com.google.android.gms.common.internal.safeparcel.AbstractSafeParcelable;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable;
import com.google.android.gms.dynamic.d;
import com.google.android.gms.dynamic.f;
import e4.h;
import t.b;

@SafeParcelable.a(creator = "GoogleCertificatesQueryCreator")
public final class zzk extends AbstractSafeParcelable {
    public static final Parcelable.Creator<zzk> CREATOR = new b0();
    @SafeParcelable.c(getter = "getCallingPackage", id = 1)

    /* renamed from: f  reason: collision with root package name */
    private final String f5500f;
    @h
    @SafeParcelable.c(getter = "getCallingCertificateBinder", id = 2, type = "android.os.IBinder")

    /* renamed from: g  reason: collision with root package name */
    private final v f5501g;
    @SafeParcelable.c(getter = "getAllowTestKeys", id = 3)

    /* renamed from: p  reason: collision with root package name */
    private final boolean f5502p;
    @SafeParcelable.c(defaultValue = "false", getter = "getForbidTestKeys", id = 4)

    /* renamed from: x  reason: collision with root package name */
    private final boolean f5503x;

    @SafeParcelable.b
    zzk(@SafeParcelable.e(id = 1) String str, @SafeParcelable.e(id = 2) @h IBinder iBinder, @SafeParcelable.e(id = 3) boolean z7, @SafeParcelable.e(id = 4) boolean z8) {
        this.f5500f = str;
        this.f5501g = J(iBinder);
        this.f5502p = z7;
        this.f5503x = z8;
    }

    @h
    private static v J(@h IBinder iBinder) {
        if (iBinder == null) {
            return null;
        }
        try {
            d A1 = h1.e(iBinder).A1();
            byte[] bArr = A1 == null ? null : (byte[]) f.g(A1);
            if (bArr != null) {
                return new w(bArr);
            }
            Log.e("GoogleCertificatesQuery", "Could not unwrap certificate");
            return null;
        } catch (RemoteException e7) {
            Log.e("GoogleCertificatesQuery", "Could not unwrap certificate", e7);
            return null;
        }
    }

    public final void writeToParcel(Parcel parcel, int i7) {
        IBinder iBinder;
        int a8 = b.a(parcel);
        b.X(parcel, 1, this.f5500f, false);
        v vVar = this.f5501g;
        if (vVar == null) {
            Log.w("GoogleCertificatesQuery", "certificate binder is null");
            iBinder = null;
        } else {
            iBinder = vVar.asBinder();
        }
        b.B(parcel, 2, iBinder, false);
        b.g(parcel, 3, this.f5502p);
        b.g(parcel, 4, this.f5503x);
        b.b(parcel, a8);
    }

    zzk(String str, @h v vVar, boolean z7, boolean z8) {
        this.f5500f = str;
        this.f5501g = vVar;
        this.f5502p = z7;
        this.f5503x = z8;
    }
}
