package com.google.android.gms.dynamite;

import android.content.ContentResolver;
import android.content.Context;
import android.database.Cursor;
import android.net.Uri;
import android.os.IBinder;
import android.os.IInterface;
import android.os.RemoteException;
import android.util.Log;
import com.google.android.gms.common.internal.b0;
import com.google.android.gms.common.util.DynamiteApi;
import com.google.android.gms.dynamic.f;
import java.lang.reflect.Field;
import java.lang.reflect.InvocationTargetException;
import x.i;

@r.a
public final class DynamiteModule {
    @f4.a("DynamiteModule.class")

    /* renamed from: b  reason: collision with root package name */
    private static Boolean f5529b = null;
    @f4.a("DynamiteModule.class")

    /* renamed from: c  reason: collision with root package name */
    private static i f5530c = null;
    @f4.a("DynamiteModule.class")

    /* renamed from: d  reason: collision with root package name */
    private static k f5531d = null;
    @f4.a("DynamiteModule.class")

    /* renamed from: e  reason: collision with root package name */
    private static String f5532e = null;
    @f4.a("DynamiteModule.class")

    /* renamed from: f  reason: collision with root package name */
    private static int f5533f = -1;

    /* renamed from: g  reason: collision with root package name */
    private static final ThreadLocal<c> f5534g = new ThreadLocal<>();

    /* renamed from: h  reason: collision with root package name */
    private static final b.a f5535h = new a();
    @r.a

    /* renamed from: i  reason: collision with root package name */
    public static final b f5536i = new b();
    @r.a

    /* renamed from: j  reason: collision with root package name */
    public static final b f5537j = new c();
    @r.a

    /* renamed from: k  reason: collision with root package name */
    public static final b f5538k = new d();
    @r.a

    /* renamed from: l  reason: collision with root package name */
    public static final b f5539l = new e();
    @r.a

    /* renamed from: m  reason: collision with root package name */
    public static final b f5540m = new f();

    /* renamed from: n  reason: collision with root package name */
    private static final b f5541n = new g();

    /* renamed from: a  reason: collision with root package name */
    private final Context f5542a;

    @DynamiteApi
    public static class DynamiteLoaderClassLoader {
        @f4.a("DynamiteLoaderClassLoader.class")
        public static ClassLoader sClassLoader;
    }

    @r.a
    public static class a extends Exception {
        private a(String str) {
            super(str);
        }

        /* synthetic */ a(String str, a aVar) {
            this(str);
        }

        private a(String str, Throwable th) {
            super(str, th);
        }

        /* synthetic */ a(String str, Throwable th, a aVar) {
            this(str, th);
        }
    }

    public interface b {

        public interface a {
            int a(Context context, String str);

            int b(Context context, String str, boolean z7) throws a;
        }

        /* renamed from: com.google.android.gms.dynamite.DynamiteModule$b$b  reason: collision with other inner class name */
        public static class C0063b {

            /* renamed from: a  reason: collision with root package name */
            public int f5543a = 0;

            /* renamed from: b  reason: collision with root package name */
            public int f5544b = 0;

            /* renamed from: c  reason: collision with root package name */
            public int f5545c = 0;
        }

        C0063b a(Context context, String str, a aVar) throws a;
    }

    /* access modifiers changed from: private */
    public static class c {

        /* renamed from: a  reason: collision with root package name */
        public Cursor f5546a;

        private c() {
        }

        /* synthetic */ c(a aVar) {
            this();
        }
    }

    /* access modifiers changed from: private */
    public static class d implements b.a {

        /* renamed from: a  reason: collision with root package name */
        private final int f5547a;

        /* renamed from: b  reason: collision with root package name */
        private final int f5548b = 0;

        public d(int i7, int i8) {
            this.f5547a = i7;
        }

        @Override // com.google.android.gms.dynamite.DynamiteModule.b.a
        public final int a(Context context, String str) {
            return this.f5547a;
        }

        @Override // com.google.android.gms.dynamite.DynamiteModule.b.a
        public final int b(Context context, String str, boolean z7) {
            return 0;
        }
    }

    private DynamiteModule(Context context) {
        this.f5542a = (Context) b0.k(context);
    }

    @r.a
    public static int a(Context context, String str) {
        try {
            ClassLoader classLoader = context.getApplicationContext().getClassLoader();
            StringBuilder sb = new StringBuilder(String.valueOf(str).length() + 61);
            sb.append("com.google.android.gms.dynamite.descriptors.");
            sb.append(str);
            sb.append(".ModuleDescriptor");
            Class<?> loadClass = classLoader.loadClass(sb.toString());
            Field declaredField = loadClass.getDeclaredField("MODULE_ID");
            Field declaredField2 = loadClass.getDeclaredField("MODULE_VERSION");
            if (declaredField.get(null).equals(str)) {
                return declaredField2.getInt(null);
            }
            String valueOf = String.valueOf(declaredField.get(null));
            StringBuilder sb2 = new StringBuilder(valueOf.length() + 51 + String.valueOf(str).length());
            sb2.append("Module descriptor id '");
            sb2.append(valueOf);
            sb2.append("' didn't match expected id '");
            sb2.append(str);
            sb2.append("'");
            Log.e("DynamiteModule", sb2.toString());
            return 0;
        } catch (ClassNotFoundException unused) {
            StringBuilder sb3 = new StringBuilder(String.valueOf(str).length() + 45);
            sb3.append("Local module descriptor class for ");
            sb3.append(str);
            sb3.append(" not found.");
            Log.w("DynamiteModule", sb3.toString());
            return 0;
        } catch (Exception e7) {
            String valueOf2 = String.valueOf(e7.getMessage());
            Log.e("DynamiteModule", valueOf2.length() != 0 ? "Failed to load module descriptor class: ".concat(valueOf2) : new String("Failed to load module descriptor class: "));
            return 0;
        }
    }

    @r.a
    public static int c(Context context, String str) {
        return f(context, str, false);
    }

    @r.a
    public static DynamiteModule e(Context context, b bVar, String str) throws a {
        Cursor cursor;
        ThreadLocal<c> threadLocal = f5534g;
        c cVar = threadLocal.get();
        c cVar2 = new c(null);
        threadLocal.set(cVar2);
        try {
            b.C0063b a8 = bVar.a(context, str, f5535h);
            int i7 = a8.f5543a;
            int i8 = a8.f5544b;
            StringBuilder sb = new StringBuilder(String.valueOf(str).length() + 68 + String.valueOf(str).length());
            sb.append("Considering local module ");
            sb.append(str);
            sb.append(":");
            sb.append(i7);
            sb.append(" and remote module ");
            sb.append(str);
            sb.append(":");
            sb.append(i8);
            Log.i("DynamiteModule", sb.toString());
            int i9 = a8.f5545c;
            if (i9 == 0 || ((i9 == -1 && a8.f5543a == 0) || (i9 == 1 && a8.f5544b == 0))) {
                int i10 = a8.f5543a;
                int i11 = a8.f5544b;
                StringBuilder sb2 = new StringBuilder(91);
                sb2.append("No acceptable module found. Local version is ");
                sb2.append(i10);
                sb2.append(" and remote version is ");
                sb2.append(i11);
                sb2.append(".");
                throw new a(sb2.toString(), (a) null);
            } else if (i9 == -1) {
                DynamiteModule m7 = m(context, str);
                Cursor cursor2 = cVar2.f5546a;
                if (cursor2 != null) {
                    cursor2.close();
                }
                threadLocal.set(cVar);
                return m7;
            } else if (i9 == 1) {
                try {
                    DynamiteModule g7 = g(context, str, a8.f5544b);
                    Cursor cursor3 = cVar2.f5546a;
                    if (cursor3 != null) {
                        cursor3.close();
                    }
                    threadLocal.set(cVar);
                    return g7;
                } catch (a e7) {
                    String valueOf = String.valueOf(e7.getMessage());
                    Log.w("DynamiteModule", valueOf.length() != 0 ? "Failed to load remote module: ".concat(valueOf) : new String("Failed to load remote module: "));
                    int i12 = a8.f5543a;
                    if (i12 == 0 || bVar.a(context, str, new d(i12, 0)).f5545c != -1) {
                        throw new a("Remote load failed. No local fallback found.", e7, null);
                    }
                    return m(context, str);
                }
            } else {
                int i13 = a8.f5545c;
                StringBuilder sb3 = new StringBuilder(47);
                sb3.append("VersionPolicy returned invalid code:");
                sb3.append(i13);
                throw new a(sb3.toString(), (a) null);
            }
        } finally {
            cursor = cVar2.f5546a;
            if (cursor != null) {
                cursor.close();
            }
            f5534g.set(cVar);
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:38:0x0083, code lost:
        r1 = r2;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:43:0x0088, code lost:
        r1 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:44:0x0089, code lost:
        r1 = java.lang.String.valueOf(r1);
        r4 = new java.lang.StringBuilder(r1.length() + 30);
        r4.append("Failed to load module via V2: ");
        r4.append(r1);
        android.util.Log.w("DynamiteModule", r4.toString());
        r1 = java.lang.Boolean.FALSE;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:45:0x00ab, code lost:
        com.google.android.gms.dynamite.DynamiteModule.f5529b = r1;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:48:0x00b2, code lost:
        if (r1.booleanValue() == false) goto L_0x00db;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:51:0x00b8, code lost:
        return l(r8, r9, r10);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:52:0x00b9, code lost:
        r9 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:53:0x00ba, code lost:
        r9 = java.lang.String.valueOf(r9.getMessage());
     */
    /* JADX WARNING: Code restructure failed: missing block: B:54:0x00ca, code lost:
        if (r9.length() != 0) goto L_0x00cc;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:55:0x00cc, code lost:
        r9 = "Failed to retrieve remote module version: ".concat(r9);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:56:0x00d1, code lost:
        r9 = new java.lang.String("Failed to retrieve remote module version: ");
     */
    /* JADX WARNING: Code restructure failed: missing block: B:57:0x00d6, code lost:
        android.util.Log.w("DynamiteModule", r9);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:58:0x00da, code lost:
        return 0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:60:0x00df, code lost:
        return j(r8, r9, r10);
     */
    /* JADX WARNING: Removed duplicated region for block: B:43:0x0088 A[ExcHandler: ClassNotFoundException | IllegalAccessException | NoSuchFieldException (r1v7 'e' java.lang.Throwable A[CUSTOM_DECLARE]), Splitter:B:41:0x0087] */
    public static int f(Context context, String str, boolean z7) {
        Boolean bool;
        try {
            synchronized (DynamiteModule.class) {
                Boolean bool2 = f5529b;
                if (bool2 == null) {
                    Class<?> loadClass = context.getApplicationContext().getClassLoader().loadClass(DynamiteLoaderClassLoader.class.getName());
                    Field declaredField = loadClass.getDeclaredField("sClassLoader");
                    synchronized (loadClass) {
                        ClassLoader classLoader = (ClassLoader) declaredField.get(null);
                        if (classLoader != null) {
                            if (classLoader != ClassLoader.getSystemClassLoader()) {
                                try {
                                    h(classLoader);
                                } catch (a unused) {
                                }
                                bool = Boolean.TRUE;
                            }
                        } else if ("com.google.android.gms".equals(context.getApplicationContext().getPackageName())) {
                            declaredField.set(null, ClassLoader.getSystemClassLoader());
                        } else {
                            try {
                                int l7 = l(context, str, z7);
                                String str2 = f5532e;
                                if (str2 != null) {
                                    if (!str2.isEmpty()) {
                                        h hVar = new h(f5532e, ClassLoader.getSystemClassLoader());
                                        h(hVar);
                                        declaredField.set(null, hVar);
                                        f5529b = Boolean.TRUE;
                                        return l7;
                                    }
                                }
                                return l7;
                            } catch (a unused2) {
                                declaredField.set(null, ClassLoader.getSystemClassLoader());
                            }
                        }
                        bool = Boolean.FALSE;
                    }
                }
            }
        } catch (Throwable th) {
            i.a(context, th);
            throw th;
        }
    }

    private static DynamiteModule g(Context context, String str, int i7) throws a {
        Boolean bool;
        com.google.android.gms.dynamic.d dVar;
        try {
            synchronized (DynamiteModule.class) {
                bool = f5529b;
            }
            if (bool == null) {
                throw new a("Failed to determine which loading route to use.", (a) null);
            } else if (bool.booleanValue()) {
                return k(context, str, i7);
            } else {
                StringBuilder sb = new StringBuilder(String.valueOf(str).length() + 51);
                sb.append("Selected remote version of ");
                sb.append(str);
                sb.append(", version >= ");
                sb.append(i7);
                Log.i("DynamiteModule", sb.toString());
                i n7 = n(context);
                if (n7 != null) {
                    if (n7.y() >= 2) {
                        dVar = n7.l1(f.w(context), str, i7);
                    } else {
                        Log.w("DynamiteModule", "Dynamite loader version < 2, falling back to createModuleContext");
                        dVar = n7.t0(f.w(context), str, i7);
                    }
                    if (f.g(dVar) != null) {
                        return new DynamiteModule((Context) f.g(dVar));
                    }
                    throw new a("Failed to load remote module.", (a) null);
                }
                throw new a("Failed to create IDynamiteLoader.", (a) null);
            }
        } catch (RemoteException e7) {
            throw new a("Failed to load remote module.", e7, null);
        } catch (a e8) {
            throw e8;
        } catch (Throwable th) {
            i.a(context, th);
            throw new a("Failed to load remote module.", th, null);
        }
    }

    @f4.a("DynamiteModule.class")
    private static void h(ClassLoader classLoader) throws a {
        k kVar;
        try {
            IBinder iBinder = (IBinder) classLoader.loadClass("com.google.android.gms.dynamiteloader.DynamiteLoaderV2").getConstructor(new Class[0]).newInstance(new Object[0]);
            if (iBinder == null) {
                kVar = null;
            } else {
                IInterface queryLocalInterface = iBinder.queryLocalInterface("com.google.android.gms.dynamite.IDynamiteLoaderV2");
                kVar = queryLocalInterface instanceof k ? (k) queryLocalInterface : new l(iBinder);
            }
            f5531d = kVar;
        } catch (ClassNotFoundException | IllegalAccessException | InstantiationException | NoSuchMethodException | InvocationTargetException e7) {
            throw new a("Failed to instantiate dynamite loader", e7, null);
        }
    }

    private static Boolean i() {
        Boolean valueOf;
        synchronized (DynamiteModule.class) {
            valueOf = Boolean.valueOf(f5533f >= 2);
        }
        return valueOf;
    }

    private static int j(Context context, String str, boolean z7) {
        i n7 = n(context);
        if (n7 == null) {
            return 0;
        }
        try {
            if (n7.y() >= 2) {
                return n7.O0(f.w(context), str, z7);
            }
            Log.w("DynamiteModule", "IDynamite loader version < 2, falling back to getModuleVersion2");
            return n7.e1(f.w(context), str, z7);
        } catch (RemoteException e7) {
            String valueOf = String.valueOf(e7.getMessage());
            Log.w("DynamiteModule", valueOf.length() != 0 ? "Failed to retrieve remote module version: ".concat(valueOf) : new String("Failed to retrieve remote module version: "));
            return 0;
        }
    }

    private static DynamiteModule k(Context context, String str, int i7) throws a, RemoteException {
        k kVar;
        com.google.android.gms.dynamic.d dVar;
        StringBuilder sb = new StringBuilder(String.valueOf(str).length() + 51);
        sb.append("Selected remote version of ");
        sb.append(str);
        sb.append(", version >= ");
        sb.append(i7);
        Log.i("DynamiteModule", sb.toString());
        synchronized (DynamiteModule.class) {
            kVar = f5531d;
        }
        if (kVar != null) {
            c cVar = f5534g.get();
            if (cVar == null || cVar.f5546a == null) {
                throw new a("No result cursor", (a) null);
            }
            Context applicationContext = context.getApplicationContext();
            Cursor cursor = cVar.f5546a;
            f.w(null);
            if (i().booleanValue()) {
                Log.v("DynamiteModule", "Dynamite loader version >= 2, using loadModule2NoCrashUtils");
                dVar = kVar.Y(f.w(applicationContext), str, i7, f.w(cursor));
            } else {
                Log.w("DynamiteModule", "Dynamite loader version < 2, falling back to loadModule2");
                dVar = kVar.V(f.w(applicationContext), str, i7, f.w(cursor));
            }
            Context context2 = (Context) f.g(dVar);
            if (context2 != null) {
                return new DynamiteModule(context2);
            }
            throw new a("Failed to get module context", (a) null);
        }
        throw new a("DynamiteLoaderV2 was not cached.", (a) null);
    }

    /* JADX WARNING: Removed duplicated region for block: B:31:0x007f  */
    /* JADX WARNING: Removed duplicated region for block: B:45:0x00a3 A[Catch:{ all -> 0x00ac }] */
    /* JADX WARNING: Removed duplicated region for block: B:46:0x00a4 A[Catch:{ all -> 0x00ac }] */
    /* JADX WARNING: Removed duplicated region for block: B:51:0x00b0  */
    private static int l(Context context, String str, boolean z7) throws a {
        Throwable th;
        Cursor cursor;
        Exception e7;
        Cursor cursor2 = null;
        try {
            ContentResolver contentResolver = context.getContentResolver();
            String str2 = z7 ? "api_force_staging" : "api";
            StringBuilder sb = new StringBuilder(str2.length() + 42 + String.valueOf(str).length());
            sb.append("content://com.google.android.gms.chimera/");
            sb.append(str2);
            sb.append("/");
            sb.append(str);
            Cursor query = contentResolver.query(Uri.parse(sb.toString()), null, null, null, null);
            if (query != null) {
                try {
                    if (query.moveToFirst()) {
                        int i7 = query.getInt(0);
                        if (i7 > 0) {
                            synchronized (DynamiteModule.class) {
                                f5532e = query.getString(2);
                                int columnIndex = query.getColumnIndex("loaderVersion");
                                if (columnIndex >= 0) {
                                    f5533f = query.getInt(columnIndex);
                                }
                            }
                            c cVar = f5534g.get();
                            if (cVar != null && cVar.f5546a == null) {
                                cVar.f5546a = query;
                                if (cursor2 != null) {
                                    cursor2.close();
                                }
                                return i7;
                            }
                        }
                        cursor2 = query;
                        if (cursor2 != null) {
                        }
                        return i7;
                    }
                } catch (Exception e8) {
                    cursor = query;
                    e7 = e8;
                    try {
                        if (!(e7 instanceof a)) {
                            throw e7;
                        }
                        throw new a("V2 version check failed", e7, null);
                    } catch (Throwable th2) {
                        th = th2;
                        cursor2 = cursor;
                        if (cursor2 != null) {
                        }
                        throw th;
                    }
                } catch (Throwable th3) {
                    cursor2 = query;
                    th = th3;
                    if (cursor2 != null) {
                        cursor2.close();
                    }
                    throw th;
                }
            }
            Log.w("DynamiteModule", "Failed to retrieve remote module version.");
            throw new a("Failed to connect to dynamite module ContentResolver.", (a) null);
        } catch (Exception e9) {
            e7 = e9;
            cursor = null;
            if (!(e7 instanceof a)) {
            }
        } catch (Throwable th4) {
            th = th4;
            if (cursor2 != null) {
            }
            throw th;
        }
    }

    private static DynamiteModule m(Context context, String str) {
        String valueOf = String.valueOf(str);
        Log.i("DynamiteModule", valueOf.length() != 0 ? "Selected local version of ".concat(valueOf) : new String("Selected local version of "));
        return new DynamiteModule(context.getApplicationContext());
    }

    private static i n(Context context) {
        i iVar;
        synchronized (DynamiteModule.class) {
            i iVar2 = f5530c;
            if (iVar2 != null) {
                return iVar2;
            }
            if (com.google.android.gms.common.f.i().j(context) != 0) {
                return null;
            }
            try {
                IBinder iBinder = (IBinder) context.createPackageContext("com.google.android.gms", 3).getClassLoader().loadClass("com.google.android.gms.chimera.container.DynamiteLoaderImpl").newInstance();
                if (iBinder == null) {
                    iVar = null;
                } else {
                    IInterface queryLocalInterface = iBinder.queryLocalInterface("com.google.android.gms.dynamite.IDynamiteLoader");
                    iVar = queryLocalInterface instanceof i ? (i) queryLocalInterface : new j(iBinder);
                }
                if (iVar != null) {
                    f5530c = iVar;
                    return iVar;
                }
            } catch (Exception e7) {
                String valueOf = String.valueOf(e7.getMessage());
                Log.e("DynamiteModule", valueOf.length() != 0 ? "Failed to load IDynamiteLoader from GmsCore: ".concat(valueOf) : new String("Failed to load IDynamiteLoader from GmsCore: "));
            }
            return null;
        }
    }

    @r.a
    public final Context b() {
        return this.f5542a;
    }

    @r.a
    public final IBinder d(String str) throws a {
        try {
            return (IBinder) this.f5542a.getClassLoader().loadClass(str).newInstance();
        } catch (ClassNotFoundException | IllegalAccessException | InstantiationException e7) {
            String valueOf = String.valueOf(str);
            throw new a(valueOf.length() != 0 ? "Failed to instantiate module class: ".concat(valueOf) : new String("Failed to instantiate module class: "), e7, null);
        }
    }
}
