package com.google.android.gms.internal.base;

import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.SystemClock;

public final class e extends Drawable implements Drawable.Callback {

    /* renamed from: a  reason: collision with root package name */
    private int f5584a;

    /* renamed from: b  reason: collision with root package name */
    private long f5585b;

    /* renamed from: c  reason: collision with root package name */
    private int f5586c;

    /* renamed from: d  reason: collision with root package name */
    private int f5587d;

    /* renamed from: e  reason: collision with root package name */
    private int f5588e;

    /* renamed from: f  reason: collision with root package name */
    private int f5589f;

    /* renamed from: g  reason: collision with root package name */
    private int f5590g;

    /* renamed from: h  reason: collision with root package name */
    private boolean f5591h;

    /* renamed from: i  reason: collision with root package name */
    private boolean f5592i;

    /* renamed from: j  reason: collision with root package name */
    private i f5593j;

    /* renamed from: k  reason: collision with root package name */
    private Drawable f5594k;

    /* renamed from: l  reason: collision with root package name */
    private Drawable f5595l;

    /* renamed from: m  reason: collision with root package name */
    private boolean f5596m;

    /* renamed from: n  reason: collision with root package name */
    private boolean f5597n;

    /* renamed from: o  reason: collision with root package name */
    private boolean f5598o;

    /* renamed from: p  reason: collision with root package name */
    private int f5599p;

    public e(Drawable drawable, Drawable drawable2) {
        this(null);
        drawable = drawable == null ? g.a() : drawable;
        this.f5594k = drawable;
        drawable.setCallback(this);
        i iVar = this.f5593j;
        iVar.f5603b = drawable.getChangingConfigurations() | iVar.f5603b;
        drawable2 = drawable2 == null ? g.a() : drawable2;
        this.f5595l = drawable2;
        drawable2.setCallback(this);
        this.f5593j.f5603b |= drawable2.getChangingConfigurations();
    }

    private final boolean a() {
        if (!this.f5596m) {
            this.f5597n = (this.f5594k.getConstantState() == null || this.f5595l.getConstantState() == null) ? false : true;
            this.f5596m = true;
        }
        return this.f5597n;
    }

    public final void b(int i7) {
        this.f5586c = 0;
        this.f5587d = this.f5588e;
        this.f5590g = 0;
        this.f5589f = 250;
        this.f5584a = 1;
        invalidateSelf();
    }

    public final Drawable c() {
        return this.f5595l;
    }

    public final void draw(Canvas canvas) {
        int i7 = this.f5584a;
        boolean z7 = false;
        boolean z8 = true;
        if (i7 != 1) {
            if (i7 == 2 && this.f5585b >= 0) {
                float uptimeMillis = ((float) (SystemClock.uptimeMillis() - this.f5585b)) / ((float) this.f5589f);
                if (uptimeMillis < 1.0f) {
                    z8 = false;
                }
                if (z8) {
                    this.f5584a = 0;
                }
                this.f5590g = (int) ((((float) this.f5587d) * Math.min(uptimeMillis, 1.0f)) + 0.0f);
            }
            z7 = z8;
        } else {
            this.f5585b = SystemClock.uptimeMillis();
            this.f5584a = 2;
        }
        int i8 = this.f5590g;
        boolean z9 = this.f5591h;
        Drawable drawable = this.f5594k;
        Drawable drawable2 = this.f5595l;
        if (z7) {
            if (!z9 || i8 == 0) {
                drawable.draw(canvas);
            }
            int i9 = this.f5588e;
            if (i8 == i9) {
                drawable2.setAlpha(i9);
                drawable2.draw(canvas);
                return;
            }
            return;
        }
        if (z9) {
            drawable.setAlpha(this.f5588e - i8);
        }
        drawable.draw(canvas);
        if (z9) {
            drawable.setAlpha(this.f5588e);
        }
        if (i8 > 0) {
            drawable2.setAlpha(i8);
            drawable2.draw(canvas);
            drawable2.setAlpha(this.f5588e);
        }
        invalidateSelf();
    }

    public final int getChangingConfigurations() {
        int changingConfigurations = super.getChangingConfigurations();
        i iVar = this.f5593j;
        return iVar.f5603b | changingConfigurations | iVar.f5602a;
    }

    public final Drawable.ConstantState getConstantState() {
        if (!a()) {
            return null;
        }
        this.f5593j.f5602a = getChangingConfigurations();
        return this.f5593j;
    }

    public final int getIntrinsicHeight() {
        return Math.max(this.f5594k.getIntrinsicHeight(), this.f5595l.getIntrinsicHeight());
    }

    public final int getIntrinsicWidth() {
        return Math.max(this.f5594k.getIntrinsicWidth(), this.f5595l.getIntrinsicWidth());
    }

    public final int getOpacity() {
        if (!this.f5598o) {
            this.f5599p = Drawable.resolveOpacity(this.f5594k.getOpacity(), this.f5595l.getOpacity());
            this.f5598o = true;
        }
        return this.f5599p;
    }

    public final void invalidateDrawable(Drawable drawable) {
        Drawable.Callback callback = getCallback();
        if (callback != null) {
            callback.invalidateDrawable(this);
        }
    }

    public final Drawable mutate() {
        if (!this.f5592i && super.mutate() == this) {
            if (a()) {
                this.f5594k.mutate();
                this.f5595l.mutate();
                this.f5592i = true;
            } else {
                throw new IllegalStateException("One or more children of this LayerDrawable does not have constant state; this drawable cannot be mutated.");
            }
        }
        return this;
    }

    /* access modifiers changed from: protected */
    public final void onBoundsChange(Rect rect) {
        this.f5594k.setBounds(rect);
        this.f5595l.setBounds(rect);
    }

    public final void scheduleDrawable(Drawable drawable, Runnable runnable, long j7) {
        Drawable.Callback callback = getCallback();
        if (callback != null) {
            callback.scheduleDrawable(this, runnable, j7);
        }
    }

    public final void setAlpha(int i7) {
        if (this.f5590g == this.f5588e) {
            this.f5590g = i7;
        }
        this.f5588e = i7;
        invalidateSelf();
    }

    public final void setColorFilter(ColorFilter colorFilter) {
        this.f5594k.setColorFilter(colorFilter);
        this.f5595l.setColorFilter(colorFilter);
    }

    public final void unscheduleDrawable(Drawable drawable, Runnable runnable) {
        Drawable.Callback callback = getCallback();
        if (callback != null) {
            callback.unscheduleDrawable(this, runnable);
        }
    }

    e(i iVar) {
        this.f5584a = 0;
        this.f5588e = 255;
        this.f5590g = 0;
        this.f5591h = true;
        this.f5593j = new i(iVar);
    }
}
