package com.google.android.gms.internal.clearcut;

import android.content.ContentResolver;
import android.database.ContentObserver;
import android.database.Cursor;
import android.database.sqlite.SQLiteException;
import android.net.Uri;
import android.util.Log;
import androidx.annotation.GuardedBy;
import java.util.ArrayList;
import java.util.Collections;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

public final class c {

    /* renamed from: h  reason: collision with root package name */
    private static final ConcurrentHashMap<Uri, c> f5632h = new ConcurrentHashMap<>();

    /* renamed from: i  reason: collision with root package name */
    private static final String[] f5633i = {"key", "value"};

    /* renamed from: a  reason: collision with root package name */
    private final ContentResolver f5634a;

    /* renamed from: b  reason: collision with root package name */
    private final Uri f5635b;

    /* renamed from: c  reason: collision with root package name */
    private final ContentObserver f5636c;

    /* renamed from: d  reason: collision with root package name */
    private final Object f5637d = new Object();

    /* renamed from: e  reason: collision with root package name */
    private volatile Map<String, String> f5638e;

    /* renamed from: f  reason: collision with root package name */
    private final Object f5639f = new Object();
    @GuardedBy("listenersLock")

    /* renamed from: g  reason: collision with root package name */
    private final List<e> f5640g = new ArrayList();

    private c(ContentResolver contentResolver, Uri uri) {
        this.f5634a = contentResolver;
        this.f5635b = uri;
        this.f5636c = new d(this, null);
    }

    public static c a(ContentResolver contentResolver, Uri uri) {
        ConcurrentHashMap<Uri, c> concurrentHashMap = f5632h;
        c cVar = concurrentHashMap.get(uri);
        if (cVar != null) {
            return cVar;
        }
        c cVar2 = new c(contentResolver, uri);
        c putIfAbsent = concurrentHashMap.putIfAbsent(uri, cVar2);
        if (putIfAbsent != null) {
            return putIfAbsent;
        }
        cVar2.f5634a.registerContentObserver(cVar2.f5635b, false, cVar2.f5636c);
        return cVar2;
    }

    private final Map<String, String> e() {
        HashMap hashMap = new HashMap();
        Cursor query = this.f5634a.query(this.f5635b, f5633i, null, null, null);
        if (query != null) {
            while (query.moveToNext()) {
                try {
                    hashMap.put(query.getString(0), query.getString(1));
                } catch (SQLiteException | SecurityException unused) {
                    Log.e("ConfigurationContentLoader", "PhenotypeFlag unable to load ContentProvider, using default values");
                    return null;
                } catch (Throwable th) {
                    query.close();
                    throw th;
                }
            }
            query.close();
        }
        return hashMap;
    }

    /* access modifiers changed from: private */
    public final void f() {
        synchronized (this.f5639f) {
            for (e eVar : this.f5640g) {
                eVar.a();
            }
        }
    }

    public final Map<String, String> c() {
        Map<String, String> e7 = f.h("gms:phenotype:phenotype_flag:debug_disable_caching", false) ? e() : this.f5638e;
        if (e7 == null) {
            synchronized (this.f5637d) {
                e7 = this.f5638e;
                if (e7 == null) {
                    e7 = e();
                    this.f5638e = e7;
                }
            }
        }
        return e7 != null ? e7 : Collections.emptyMap();
    }

    public final void d() {
        synchronized (this.f5637d) {
            this.f5638e = null;
        }
    }
}
