package com.google.android.gms.internal.clearcut;

import android.annotation.SuppressLint;
import android.annotation.TargetApi;
import android.content.Context;
import android.content.SharedPreferences;
import android.os.Binder;
import android.os.UserManager;
import android.util.Log;
import androidx.core.content.PermissionChecker;
import e4.h;

public abstract class f<T> {

    /* renamed from: h  reason: collision with root package name */
    private static final Object f5701h = new Object();
    @SuppressLint({"StaticFieldLeak"})

    /* renamed from: i  reason: collision with root package name */
    private static Context f5702i = null;

    /* renamed from: j  reason: collision with root package name */
    private static boolean f5703j = false;

    /* renamed from: k  reason: collision with root package name */
    private static volatile Boolean f5704k;

    /* renamed from: l  reason: collision with root package name */
    private static volatile Boolean f5705l;

    /* renamed from: a  reason: collision with root package name */
    private final p f5706a;

    /* renamed from: b  reason: collision with root package name */
    final String f5707b;

    /* renamed from: c  reason: collision with root package name */
    private final String f5708c;

    /* renamed from: d  reason: collision with root package name */
    private final T f5709d;

    /* renamed from: e  reason: collision with root package name */
    private T f5710e;

    /* renamed from: f  reason: collision with root package name */
    private volatile c f5711f;

    /* renamed from: g  reason: collision with root package name */
    private volatile SharedPreferences f5712g;

    private f(p pVar, String str, T t7) {
        this.f5710e = null;
        this.f5711f = null;
        this.f5712g = null;
        if (p.c(pVar) == null && p.d(pVar) == null) {
            throw new IllegalArgumentException("Must pass a valid SharedPreferences file name or ContentProvider URI");
        } else if (p.c(pVar) == null || p.d(pVar) == null) {
            this.f5706a = pVar;
            String valueOf = String.valueOf(p.g(pVar));
            String valueOf2 = String.valueOf(str);
            this.f5708c = valueOf2.length() != 0 ? valueOf.concat(valueOf2) : new String(valueOf);
            String valueOf3 = String.valueOf(p.i(pVar));
            String valueOf4 = String.valueOf(str);
            this.f5707b = valueOf4.length() != 0 ? valueOf3.concat(valueOf4) : new String(valueOf3);
            this.f5709d = t7;
        } else {
            throw new IllegalArgumentException("Must pass one of SharedPreferences file name or ContentProvider URI");
        }
    }

    public static void b(Context context) {
        if (f5702i == null) {
            synchronized (f5701h) {
                if (!context.isDeviceProtectedStorage()) {
                    Context applicationContext = context.getApplicationContext();
                    if (applicationContext != null) {
                        context = applicationContext;
                    }
                }
                if (f5702i != context) {
                    f5704k = null;
                }
                f5702i = context;
            }
            f5703j = false;
        }
    }

    /* access modifiers changed from: private */
    public static <T> f<T> c(p pVar, String str, T t7, o<T> oVar) {
        return new m(pVar, str, t7, oVar);
    }

    /* access modifiers changed from: private */
    public static f<String> d(p pVar, String str, String str2) {
        return new l(pVar, str, str2);
    }

    /* access modifiers changed from: private */
    public static f<Boolean> e(p pVar, String str, boolean z7) {
        return new k(pVar, str, Boolean.valueOf(z7));
    }

    private static <V> V g(n<V> nVar) {
        long clearCallingIdentity;
        try {
            return nVar.a();
        } catch (SecurityException unused) {
            clearCallingIdentity = Binder.clearCallingIdentity();
            V a8 = nVar.a();
            Binder.restoreCallingIdentity(clearCallingIdentity);
            return a8;
        } catch (Throwable th) {
            Binder.restoreCallingIdentity(clearCallingIdentity);
            throw th;
        }
    }

    static boolean h(String str, boolean z7) {
        if (p()) {
            return ((Boolean) g(new i(str, false))).booleanValue();
        }
        return false;
    }

    @h
    @TargetApi(24)
    private final T n() {
        boolean z7;
        if (h("gms:phenotype:phenotype_flag:debug_bypass_phenotype", false)) {
            String valueOf = String.valueOf(this.f5707b);
            Log.w("PhenotypeFlag", valueOf.length() != 0 ? "Bypass reading Phenotype values for flag: ".concat(valueOf) : new String("Bypass reading Phenotype values for flag: "));
        } else if (p.d(this.f5706a) != null) {
            if (this.f5711f == null) {
                this.f5711f = c.a(f5702i.getContentResolver(), p.d(this.f5706a));
            }
            String str = (String) g(new g(this, this.f5711f));
            if (str != null) {
                return m(str);
            }
        } else if (p.c(this.f5706a) != null) {
            if (!f5702i.isDeviceProtectedStorage()) {
                if (f5705l == null || !f5705l.booleanValue()) {
                    f5705l = Boolean.valueOf(((UserManager) f5702i.getSystemService(UserManager.class)).isUserUnlocked());
                }
                z7 = f5705l.booleanValue();
            } else {
                z7 = true;
            }
            if (!z7) {
                return null;
            }
            if (this.f5712g == null) {
                this.f5712g = f5702i.getSharedPreferences(p.c(this.f5706a), 0);
            }
            SharedPreferences sharedPreferences = this.f5712g;
            if (sharedPreferences.contains(this.f5707b)) {
                return f(sharedPreferences);
            }
        }
        return null;
    }

    @h
    private final T o() {
        String str;
        if (p.k(this.f5706a) || !p() || (str = (String) g(new h(this))) == null) {
            return null;
        }
        return m(str);
    }

    private static boolean p() {
        if (f5704k == null) {
            Context context = f5702i;
            boolean z7 = false;
            if (context == null) {
                return false;
            }
            if (PermissionChecker.checkCallingOrSelfPermission(context, "com.google.android.providers.gsf.permission.READ_GSERVICES") == 0) {
                z7 = true;
            }
            f5704k = Boolean.valueOf(z7);
        }
        return f5704k.booleanValue();
    }

    public final T a() {
        if (f5702i != null) {
            if (p.j(this.f5706a)) {
                T o7 = o();
                if (o7 != null) {
                    return o7;
                }
                T n7 = n();
                if (n7 != null) {
                    return n7;
                }
            } else {
                T n8 = n();
                if (n8 != null) {
                    return n8;
                }
                T o8 = o();
                if (o8 != null) {
                    return o8;
                }
            }
            return this.f5709d;
        }
        throw new IllegalStateException("Must call PhenotypeFlag.init() first");
    }

    /* access modifiers changed from: protected */
    public abstract T f(SharedPreferences sharedPreferences);

    /* access modifiers changed from: protected */
    public abstract T m(String str);

    /* access modifiers changed from: package-private */
    public final /* synthetic */ String q() {
        return z6.c(f5702i.getContentResolver(), this.f5708c, null);
    }

    /* synthetic */ f(p pVar, String str, Object obj, j jVar) {
        this(pVar, str, obj);
    }
}
