package com.google.android.gms.internal.clearcut;

import java.lang.Comparable;
import java.util.AbstractMap;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Set;
import java.util.SortedMap;
import java.util.TreeMap;

/* access modifiers changed from: package-private */
public class n3<K extends Comparable<K>, V> extends AbstractMap<K, V> {
    private Map<K, V> C1;
    private volatile q3 C2;

    /* renamed from: f  reason: collision with root package name */
    private final int f6022f;

    /* renamed from: g  reason: collision with root package name */
    private List<u3> f6023g;

    /* renamed from: p  reason: collision with root package name */
    private Map<K, V> f6024p;

    /* renamed from: x  reason: collision with root package name */
    private boolean f6025x;

    /* renamed from: y  reason: collision with root package name */
    private volatile w3 f6026y;

    private n3(int i7) {
        this.f6022f = i7;
        this.f6023g = Collections.emptyList();
        this.f6024p = Collections.emptyMap();
        this.C1 = Collections.emptyMap();
    }

    private final int b(K k7) {
        int size = this.f6023g.size() - 1;
        if (size >= 0) {
            int compareTo = k7.compareTo((Comparable) this.f6023g.get(size).getKey());
            if (compareTo > 0) {
                return -(size + 2);
            }
            if (compareTo == 0) {
                return size;
            }
        }
        int i7 = 0;
        while (i7 <= size) {
            int i8 = (i7 + size) / 2;
            int compareTo2 = k7.compareTo((Comparable) this.f6023g.get(i8).getKey());
            if (compareTo2 < 0) {
                size = i8 - 1;
            } else if (compareTo2 <= 0) {
                return i8;
            } else {
                i7 = i8 + 1;
            }
        }
        return -(i7 + 1);
    }

    static <FieldDescriptorType extends d1<FieldDescriptorType>> n3<FieldDescriptorType, Object> f(int i7) {
        return new o3(i7);
    }

    /* access modifiers changed from: private */
    public final V h(int i7) {
        o();
        V v7 = (V) this.f6023g.remove(i7).getValue();
        if (!this.f6024p.isEmpty()) {
            Iterator<Map.Entry<K, V>> it = p().entrySet().iterator();
            this.f6023g.add(new u3(this, it.next()));
            it.remove();
        }
        return v7;
    }

    /* access modifiers changed from: private */
    public final void o() {
        if (this.f6025x) {
            throw new UnsupportedOperationException();
        }
    }

    private final SortedMap<K, V> p() {
        o();
        if (this.f6024p.isEmpty() && !(this.f6024p instanceof TreeMap)) {
            TreeMap treeMap = new TreeMap();
            this.f6024p = treeMap;
            this.C1 = treeMap.descendingMap();
        }
        return (SortedMap) this.f6024p;
    }

    public final boolean a() {
        return this.f6025x;
    }

    public void clear() {
        o();
        if (!this.f6023g.isEmpty()) {
            this.f6023g.clear();
        }
        if (!this.f6024p.isEmpty()) {
            this.f6024p.clear();
        }
    }

    /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: com.google.android.gms.internal.clearcut.n3<K extends java.lang.Comparable<K>, V> */
    /* JADX WARN: Multi-variable type inference failed */
    public boolean containsKey(Object obj) {
        Comparable comparable = (Comparable) obj;
        return b(comparable) >= 0 || this.f6024p.containsKey(comparable);
    }

    /* renamed from: d */
    public final V put(K k7, V v7) {
        o();
        int b7 = b(k7);
        if (b7 >= 0) {
            return (V) this.f6023g.get(b7).setValue(v7);
        }
        o();
        if (this.f6023g.isEmpty() && !(this.f6023g instanceof ArrayList)) {
            this.f6023g = new ArrayList(this.f6022f);
        }
        int i7 = -(b7 + 1);
        if (i7 >= this.f6022f) {
            return p().put(k7, v7);
        }
        int size = this.f6023g.size();
        int i8 = this.f6022f;
        if (size == i8) {
            u3 remove = this.f6023g.remove(i8 - 1);
            p().put((K) ((Comparable) remove.getKey()), (V) remove.getValue());
        }
        this.f6023g.add(i7, new u3(this, k7, v7));
        return null;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public Set<Map.Entry<K, V>> entrySet() {
        if (this.f6026y == null) {
            this.f6026y = new w3(this, null);
        }
        return this.f6026y;
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof n3)) {
            return super.equals(obj);
        }
        n3 n3Var = (n3) obj;
        int size = size();
        if (size != n3Var.size()) {
            return false;
        }
        int l7 = l();
        if (l7 != n3Var.l()) {
            return entrySet().equals(n3Var.entrySet());
        }
        for (int i7 = 0; i7 < l7; i7++) {
            if (!g(i7).equals(n3Var.g(i7))) {
                return false;
            }
        }
        if (l7 != size) {
            return this.f6024p.equals(n3Var.f6024p);
        }
        return true;
    }

    public final Map.Entry<K, V> g(int i7) {
        return this.f6023g.get(i7);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: com.google.android.gms.internal.clearcut.n3<K extends java.lang.Comparable<K>, V> */
    /* JADX WARN: Multi-variable type inference failed */
    @Override // java.util.AbstractMap, java.util.Map
    public V get(Object obj) {
        Comparable comparable = (Comparable) obj;
        int b7 = b(comparable);
        return b7 >= 0 ? (V) this.f6023g.get(b7).getValue() : this.f6024p.get(comparable);
    }

    public int hashCode() {
        int l7 = l();
        int i7 = 0;
        for (int i8 = 0; i8 < l7; i8++) {
            i7 += this.f6023g.get(i8).hashCode();
        }
        return this.f6024p.size() > 0 ? i7 + this.f6024p.hashCode() : i7;
    }

    public final int l() {
        return this.f6023g.size();
    }

    public final Iterable<Map.Entry<K, V>> m() {
        return this.f6024p.isEmpty() ? r3.a() : this.f6024p.entrySet();
    }

    /* access modifiers changed from: package-private */
    public final Set<Map.Entry<K, V>> n() {
        if (this.C2 == null) {
            this.C2 = new q3(this, null);
        }
        return this.C2;
    }

    public void q() {
        if (!this.f6025x) {
            this.f6024p = this.f6024p.isEmpty() ? Collections.emptyMap() : Collections.unmodifiableMap(this.f6024p);
            this.C1 = this.C1.isEmpty() ? Collections.emptyMap() : Collections.unmodifiableMap(this.C1);
            this.f6025x = true;
        }
    }

    /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: com.google.android.gms.internal.clearcut.n3<K extends java.lang.Comparable<K>, V> */
    /* JADX WARN: Multi-variable type inference failed */
    @Override // java.util.AbstractMap, java.util.Map
    public V remove(Object obj) {
        o();
        Comparable comparable = (Comparable) obj;
        int b7 = b(comparable);
        if (b7 >= 0) {
            return (V) h(b7);
        }
        if (this.f6024p.isEmpty()) {
            return null;
        }
        return this.f6024p.remove(comparable);
    }

    public int size() {
        return this.f6023g.size() + this.f6024p.size();
    }

    /* synthetic */ n3(int i7, o3 o3Var) {
        this(i7);
    }
}
