package com.google.android.gms.internal.clearcut;

import java.io.IOException;
import java.nio.BufferOverflowException;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.nio.ReadOnlyBufferException;
import kotlinx.coroutines.scheduling.r;

public final class y4 {

    /* renamed from: a  reason: collision with root package name */
    private final ByteBuffer f6179a;

    /* renamed from: b  reason: collision with root package name */
    private p0 f6180b;

    /* renamed from: c  reason: collision with root package name */
    private int f6181c;

    private y4(ByteBuffer byteBuffer) {
        this.f6179a = byteBuffer;
        byteBuffer.order(ByteOrder.LITTLE_ENDIAN);
    }

    private static int A(int i7) {
        if ((i7 & -128) == 0) {
            return 1;
        }
        if ((i7 & -16384) == 0) {
            return 2;
        }
        if ((-2097152 & i7) == 0) {
            return 3;
        }
        return (i7 & -268435456) == 0 ? 4 : 5;
    }

    private static int a(CharSequence charSequence) {
        int length = charSequence.length();
        int i7 = 0;
        int i8 = 0;
        while (i8 < length && charSequence.charAt(i8) < 128) {
            i8++;
        }
        int i9 = length;
        while (true) {
            if (i8 >= length) {
                break;
            }
            char charAt = charSequence.charAt(i8);
            if (charAt < 2048) {
                i9 += (127 - charAt) >>> 31;
                i8++;
            } else {
                int length2 = charSequence.length();
                while (i8 < length2) {
                    char charAt2 = charSequence.charAt(i8);
                    if (charAt2 < 2048) {
                        i7 += (127 - charAt2) >>> 31;
                    } else {
                        i7 += 2;
                        if (55296 <= charAt2 && charAt2 <= 57343) {
                            if (Character.codePointAt(charSequence, i8) >= 65536) {
                                i8++;
                            } else {
                                StringBuilder sb = new StringBuilder(39);
                                sb.append("Unpaired surrogate at index ");
                                sb.append(i8);
                                throw new IllegalArgumentException(sb.toString());
                            }
                        }
                    }
                    i8++;
                }
                i9 += i7;
            }
        }
        if (i9 >= length) {
            return i9;
        }
        StringBuilder sb2 = new StringBuilder(54);
        sb2.append("UTF-8 length does not fit in int: ");
        sb2.append(((long) i9) + 4294967296L);
        throw new IllegalArgumentException(sb2.toString());
    }

    private final void e(int i7) throws IOException {
        byte b7 = (byte) i7;
        if (this.f6179a.hasRemaining()) {
            this.f6179a.put(b7);
            return;
        }
        throw new z4(this.f6179a.position(), this.f6179a.limit());
    }

    private final void f(int i7) throws IOException {
        while ((i7 & -128) != 0) {
            e((i7 & r.f21961c) | 128);
            i7 >>>= 7;
        }
        e(i7);
    }

    public static int g(int i7, f5 f5Var) {
        int y7 = y(i7);
        int c7 = f5Var.c();
        return y7 + A(c7) + c7;
    }

    public static int h(int i7, String str) {
        return y(i7) + r(str);
    }

    public static int i(int i7, byte[] bArr) {
        return y(i7) + s(bArr);
    }

    public static int m(int i7, long j7) {
        return y(i7) + x(j7);
    }

    private static void n(CharSequence charSequence, ByteBuffer byteBuffer) {
        int i7;
        int i8;
        int i9;
        char charAt;
        if (!byteBuffer.isReadOnly()) {
            int i10 = 0;
            if (byteBuffer.hasArray()) {
                try {
                    byte[] array = byteBuffer.array();
                    int arrayOffset = byteBuffer.arrayOffset() + byteBuffer.position();
                    int remaining = byteBuffer.remaining();
                    int length = charSequence.length();
                    int i11 = remaining + arrayOffset;
                    while (i10 < length) {
                        int i12 = i10 + arrayOffset;
                        if (i12 >= i11 || (charAt = charSequence.charAt(i10)) >= 128) {
                            break;
                        }
                        array[i12] = (byte) charAt;
                        i10++;
                    }
                    if (i10 == length) {
                        i8 = arrayOffset + length;
                    } else {
                        i8 = arrayOffset + i10;
                        while (i10 < length) {
                            char charAt2 = charSequence.charAt(i10);
                            if (charAt2 < 128 && i8 < i11) {
                                i9 = i8 + 1;
                                array[i8] = (byte) charAt2;
                            } else if (charAt2 < 2048 && i8 <= i11 - 2) {
                                int i13 = i8 + 1;
                                array[i8] = (byte) ((charAt2 >>> 6) | 960);
                                i8 = i13 + 1;
                                array[i13] = (byte) ((charAt2 & '?') | 128);
                                i10++;
                            } else if ((charAt2 < 55296 || 57343 < charAt2) && i8 <= i11 - 3) {
                                int i14 = i8 + 1;
                                array[i8] = (byte) ((charAt2 >>> '\f') | 480);
                                int i15 = i14 + 1;
                                array[i14] = (byte) (((charAt2 >>> 6) & 63) | 128);
                                i9 = i15 + 1;
                                array[i15] = (byte) ((charAt2 & '?') | 128);
                            } else if (i8 <= i11 - 4) {
                                int i16 = i10 + 1;
                                if (i16 != charSequence.length()) {
                                    char charAt3 = charSequence.charAt(i16);
                                    if (Character.isSurrogatePair(charAt2, charAt3)) {
                                        int codePoint = Character.toCodePoint(charAt2, charAt3);
                                        int i17 = i8 + 1;
                                        array[i8] = (byte) ((codePoint >>> 18) | 240);
                                        int i18 = i17 + 1;
                                        array[i17] = (byte) (((codePoint >>> 12) & 63) | 128);
                                        int i19 = i18 + 1;
                                        array[i18] = (byte) (((codePoint >>> 6) & 63) | 128);
                                        i8 = i19 + 1;
                                        array[i19] = (byte) ((codePoint & 63) | 128);
                                        i10 = i16;
                                        i10++;
                                    } else {
                                        i10 = i16;
                                    }
                                }
                                StringBuilder sb = new StringBuilder(39);
                                sb.append("Unpaired surrogate at index ");
                                sb.append(i10 - 1);
                                throw new IllegalArgumentException(sb.toString());
                            } else {
                                StringBuilder sb2 = new StringBuilder(37);
                                sb2.append("Failed writing ");
                                sb2.append(charAt2);
                                sb2.append(" at index ");
                                sb2.append(i8);
                                throw new ArrayIndexOutOfBoundsException(sb2.toString());
                            }
                            i8 = i9;
                            i10++;
                        }
                    }
                    byteBuffer.position(i8 - byteBuffer.arrayOffset());
                } catch (ArrayIndexOutOfBoundsException e7) {
                    BufferOverflowException bufferOverflowException = new BufferOverflowException();
                    bufferOverflowException.initCause(e7);
                    throw bufferOverflowException;
                }
            } else {
                int length2 = charSequence.length();
                while (i10 < length2) {
                    char charAt4 = charSequence.charAt(i10);
                    char c7 = charAt4;
                    if (charAt4 >= 128) {
                        if (charAt4 < 2048) {
                            i7 = (charAt4 >>> 6) | 960;
                        } else if (charAt4 < 55296 || 57343 < charAt4) {
                            byteBuffer.put((byte) ((charAt4 >>> '\f') | 480));
                            i7 = ((charAt4 >>> 6) & 63) | 128;
                        } else {
                            int i20 = i10 + 1;
                            if (i20 != charSequence.length()) {
                                char charAt5 = charSequence.charAt(i20);
                                if (Character.isSurrogatePair(charAt4, charAt5)) {
                                    int codePoint2 = Character.toCodePoint(charAt4, charAt5);
                                    byteBuffer.put((byte) ((codePoint2 >>> 18) | 240));
                                    byteBuffer.put((byte) (((codePoint2 >>> 12) & 63) | 128));
                                    byteBuffer.put((byte) (((codePoint2 >>> 6) & 63) | 128));
                                    byteBuffer.put((byte) ((codePoint2 & 63) | 128));
                                    i10 = i20;
                                    i10++;
                                } else {
                                    i10 = i20;
                                }
                            }
                            StringBuilder sb3 = new StringBuilder(39);
                            sb3.append("Unpaired surrogate at index ");
                            sb3.append(i10 - 1);
                            throw new IllegalArgumentException(sb3.toString());
                        }
                        byteBuffer.put((byte) i7);
                        c7 = (charAt4 & '?') | 128;
                    }
                    byteBuffer.put(c7 == 1 ? (byte) 1 : 0);
                    i10++;
                }
            }
        } else {
            throw new ReadOnlyBufferException();
        }
    }

    public static y4 q(byte[] bArr) {
        return t(bArr, 0, bArr.length);
    }

    public static int r(String str) {
        int a8 = a(str);
        return A(a8) + a8;
    }

    public static int s(byte[] bArr) {
        return A(bArr.length) + bArr.length;
    }

    public static y4 t(byte[] bArr, int i7, int i8) {
        return new y4(bArr, 0, i8);
    }

    public static long v(long j7) {
        return (j7 >> 63) ^ (j7 << 1);
    }

    public static int x(long j7) {
        if ((-128 & j7) == 0) {
            return 1;
        }
        if ((-16384 & j7) == 0) {
            return 2;
        }
        if ((-2097152 & j7) == 0) {
            return 3;
        }
        if ((-268435456 & j7) == 0) {
            return 4;
        }
        if ((-34359738368L & j7) == 0) {
            return 5;
        }
        if ((-4398046511104L & j7) == 0) {
            return 6;
        }
        if ((-562949953421312L & j7) == 0) {
            return 7;
        }
        if ((-72057594037927936L & j7) == 0) {
            return 8;
        }
        return (j7 & Long.MIN_VALUE) == 0 ? 9 : 10;
    }

    public static int y(int i7) {
        return A(i7 << 3);
    }

    public static int z(int i7) {
        if (i7 >= 0) {
            return A(i7);
        }
        return 10;
    }

    public final void b(int i7, f5 f5Var) throws IOException {
        j(i7, 2);
        if (f5Var.f5718f < 0) {
            f5Var.c();
        }
        f(f5Var.f5718f);
        f5Var.a(this);
    }

    public final void c(int i7, String str) throws IOException {
        j(i7, 2);
        try {
            int A = A(str.length());
            if (A == A(str.length() * 3)) {
                int position = this.f6179a.position();
                if (this.f6179a.remaining() >= A) {
                    this.f6179a.position(position + A);
                    n(str, this.f6179a);
                    int position2 = this.f6179a.position();
                    this.f6179a.position(position);
                    f((position2 - position) - A);
                    this.f6179a.position(position2);
                    return;
                }
                throw new z4(position + A, this.f6179a.limit());
            }
            f(a(str));
            n(str, this.f6179a);
        } catch (BufferOverflowException e7) {
            z4 z4Var = new z4(this.f6179a.position(), this.f6179a.limit());
            z4Var.initCause(e7);
            throw z4Var;
        }
    }

    public final void d(int i7, byte[] bArr) throws IOException {
        j(i7, 2);
        f(bArr.length);
        int length = bArr.length;
        if (this.f6179a.remaining() >= length) {
            this.f6179a.put(bArr, 0, length);
            return;
        }
        throw new z4(this.f6179a.position(), this.f6179a.limit());
    }

    public final void j(int i7, int i8) throws IOException {
        f((i7 << 3) | i8);
    }

    public final void k(int i7, boolean z7) throws IOException {
        j(25, 0);
        byte b7 = z7 ? (byte) 1 : 0;
        if (this.f6179a.hasRemaining()) {
            this.f6179a.put(b7);
            return;
        }
        throw new z4(this.f6179a.position(), this.f6179a.limit());
    }

    public final void l(int i7, int i8) throws IOException {
        j(i7, 0);
        if (i8 >= 0) {
            f(i8);
        } else {
            w((long) i8);
        }
    }

    public final void o(int i7, s2 s2Var) throws IOException {
        if (this.f6180b == null) {
            this.f6180b = p0.f(this.f6179a);
        } else {
            if (this.f6181c != this.f6179a.position()) {
                this.f6180b.c(this.f6179a.array(), this.f6181c, this.f6179a.position() - this.f6181c);
            }
            p0 p0Var = this.f6180b;
            p0Var.n(i7, s2Var);
            p0Var.b();
            this.f6181c = this.f6179a.position();
        }
        this.f6181c = this.f6179a.position();
        p0 p0Var2 = this.f6180b;
        p0Var2.n(i7, s2Var);
        p0Var2.b();
        this.f6181c = this.f6179a.position();
    }

    public final void p() {
        if (this.f6179a.remaining() != 0) {
            throw new IllegalStateException(String.format("Did not write as much data as expected, %s bytes remaining.", Integer.valueOf(this.f6179a.remaining())));
        }
    }

    public final void u(int i7, long j7) throws IOException {
        j(i7, 0);
        w(j7);
    }

    public final void w(long j7) throws IOException {
        while ((-128 & j7) != 0) {
            e((((int) j7) & r.f21961c) | 128);
            j7 >>>= 7;
        }
        e((int) j7);
    }

    private y4(byte[] bArr, int i7, int i8) {
        this(ByteBuffer.wrap(bArr, i7, i8));
    }
}
