package com.google.android.gms.internal.play_billing;

import android.content.Intent;
import android.os.Bundle;
import android.text.TextUtils;
import android.util.Log;
import androidx.annotation.Nullable;
import com.android.billingclient.api.Purchase;
import com.android.billingclient.api.b;
import com.android.billingclient.api.h;
import com.android.billingclient.api.i;
import com.android.billingclient.api.j;
import com.android.billingclient.api.m0;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import org.json.JSONException;

public final class a {

    /* renamed from: a  reason: collision with root package name */
    public static final int f6253a = Runtime.getRuntime().availableProcessors();

    public static int a(Bundle bundle, String str) {
        if (bundle == null) {
            k(str, "Unexpected null bundle received!");
            return 6;
        }
        Object obj = bundle.get("RESPONSE_CODE");
        if (obj == null) {
            j(str, "getResponseCodeFromBundle() got null response code, assuming OK");
            return 0;
        } else if (obj instanceof Integer) {
            return ((Integer) obj).intValue();
        } else {
            String name = obj.getClass().getName();
            k(str, name.length() != 0 ? "Unexpected type for bundle response code: ".concat(name) : new String("Unexpected type for bundle response code: "));
            return 6;
        }
    }

    public static Bundle b(b bVar, String str) {
        Bundle bundle = new Bundle();
        bundle.putString("playBillingLibraryVersion", str);
        return bundle;
    }

    public static Bundle c(j jVar, boolean z7, String str) {
        Bundle bundle = new Bundle();
        if (z7) {
            bundle.putString("playBillingLibraryVersion", str);
        }
        return bundle;
    }

    public static Bundle d(int i7, boolean z7, String str, @Nullable String str2, ArrayList<m0> arrayList) {
        Bundle bundle = new Bundle();
        if (i7 >= 9) {
            bundle.putString("playBillingLibraryVersion", str);
        }
        if (i7 >= 9 && z7) {
            bundle.putBoolean("enablePendingPurchases", true);
        }
        if (i7 >= 14) {
            ArrayList<String> arrayList2 = new ArrayList<>();
            int size = arrayList.size();
            boolean z8 = false;
            for (int i8 = 0; i8 < size; i8++) {
                arrayList.get(i8);
                arrayList2.add(null);
                z8 |= !TextUtils.isEmpty(null);
            }
            if (z8) {
                bundle.putStringArrayList("SKU_OFFER_ID_TOKEN_LIST", arrayList2);
            }
        }
        return bundle;
    }

    public static Bundle e(h hVar, boolean z7, boolean z8, String str) {
        Bundle bundle = new Bundle();
        bundle.putString("playBillingLibraryVersion", str);
        if (hVar.d() != 0) {
            bundle.putInt(h.f2474i, hVar.d());
        }
        if (!TextUtils.isEmpty(hVar.h())) {
            bundle.putString(h.f2473h, hVar.h());
        }
        if (!TextUtils.isEmpty(hVar.i())) {
            bundle.putString("obfuscatedProfileId", hVar.i());
        }
        if (hVar.a()) {
            bundle.putBoolean(h.f2475j, true);
        }
        if (!TextUtils.isEmpty(null)) {
            bundle.putStringArrayList(h.f2476k, new ArrayList<>(Arrays.asList(null)));
        }
        if (!TextUtils.isEmpty(hVar.j())) {
            bundle.putString(h.f2477l, hVar.j());
        }
        if (!TextUtils.isEmpty(null)) {
            bundle.putString("oldSkuPurchaseId", null);
        }
        if (!TextUtils.isEmpty(null)) {
            bundle.putString("paymentsPurchaseParams", null);
        }
        if (z7 && z8) {
            bundle.putBoolean("enablePendingPurchases", true);
        }
        return bundle;
    }

    public static Bundle f(boolean z7, boolean z8, String str) {
        Bundle bundle = new Bundle();
        bundle.putString("playBillingLibraryVersion", str);
        if (z7 && z8) {
            bundle.putBoolean("enablePendingPurchases", true);
        }
        return bundle;
    }

    public static i g(Intent intent, String str) {
        if (intent == null) {
            k("BillingHelper", "Got null intent!");
            i.a c7 = i.c();
            c7.c(6);
            c7.b("An internal error occurred.");
            return c7.a();
        }
        i.a c8 = i.c();
        c8.c(a(intent.getExtras(), str));
        c8.b(h(intent.getExtras(), str));
        return c8.a();
    }

    public static String h(Bundle bundle, String str) {
        if (bundle == null) {
            k(str, "Unexpected null bundle received!");
            return "";
        }
        Object obj = bundle.get("DEBUG_MESSAGE");
        if (obj == null) {
            j(str, "getDebugMessageFromBundle() got null response code, assuming OK");
            return "";
        } else if (obj instanceof String) {
            return (String) obj;
        } else {
            String name = obj.getClass().getName();
            k(str, name.length() != 0 ? "Unexpected type for debug message: ".concat(name) : new String("Unexpected type for debug message: "));
            return "";
        }
    }

    public static List<Purchase> i(Bundle bundle) {
        if (bundle == null) {
            return null;
        }
        ArrayList<String> stringArrayList = bundle.getStringArrayList("INAPP_PURCHASE_DATA_LIST");
        ArrayList<String> stringArrayList2 = bundle.getStringArrayList("INAPP_DATA_SIGNATURE_LIST");
        ArrayList arrayList = new ArrayList();
        if (stringArrayList == null || stringArrayList2 == null) {
            k("BillingHelper", "Couldn't find purchase lists, trying to find single data.");
            Purchase l7 = l(bundle.getString("INAPP_PURCHASE_DATA"), bundle.getString("INAPP_DATA_SIGNATURE"));
            if (l7 == null) {
                k("BillingHelper", "Couldn't find single purchase data as well.");
                return null;
            }
            arrayList.add(l7);
        } else {
            int i7 = 0;
            while (i7 < stringArrayList.size() && i7 < stringArrayList2.size()) {
                Purchase l8 = l(stringArrayList.get(i7), stringArrayList2.get(i7));
                if (l8 != null) {
                    arrayList.add(l8);
                }
                i7++;
            }
        }
        return arrayList;
    }

    public static void j(String str, String str2) {
        if (Log.isLoggable(str, 2)) {
            Log.v(str, str2);
        }
    }

    public static void k(String str, String str2) {
        if (Log.isLoggable(str, 5)) {
            Log.w(str, str2);
        }
    }

    private static Purchase l(String str, String str2) {
        if (str == null || str2 == null) {
            k("BillingHelper", "Received a bad purchase data.");
            return null;
        }
        try {
            return new Purchase(str, str2);
        } catch (JSONException e7) {
            String valueOf = String.valueOf(e7);
            StringBuilder sb = new StringBuilder(valueOf.length() + 47);
            sb.append("Got JSONException while parsing purchase data: ");
            sb.append(valueOf);
            k("BillingHelper", sb.toString());
            return null;
        }
    }
}
