package com.google.android.gms.internal.vision;

import java.lang.Comparable;
import java.util.AbstractMap;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Set;
import java.util.SortedMap;
import java.util.TreeMap;

/* access modifiers changed from: package-private */
public class u2<K extends Comparable<K>, V> extends AbstractMap<K, V> {
    private Map<K, V> C1;
    private volatile x2 C2;

    /* renamed from: f  reason: collision with root package name */
    private final int f6510f;

    /* renamed from: g  reason: collision with root package name */
    private List<b3> f6511g;

    /* renamed from: p  reason: collision with root package name */
    private Map<K, V> f6512p;

    /* renamed from: x  reason: collision with root package name */
    private boolean f6513x;

    /* renamed from: y  reason: collision with root package name */
    private volatile d3 f6514y;

    private u2(int i7) {
        this.f6510f = i7;
        this.f6511g = Collections.emptyList();
        this.f6512p = Collections.emptyMap();
        this.C1 = Collections.emptyMap();
    }

    private final int b(K k7) {
        int size = this.f6511g.size() - 1;
        if (size >= 0) {
            int compareTo = k7.compareTo((Comparable) this.f6511g.get(size).getKey());
            if (compareTo > 0) {
                return -(size + 2);
            }
            if (compareTo == 0) {
                return size;
            }
        }
        int i7 = 0;
        while (i7 <= size) {
            int i8 = (i7 + size) / 2;
            int compareTo2 = k7.compareTo((Comparable) this.f6511g.get(i8).getKey());
            if (compareTo2 < 0) {
                size = i8 - 1;
            } else if (compareTo2 <= 0) {
                return i8;
            } else {
                i7 = i8 + 1;
            }
        }
        return -(i7 + 1);
    }

    static <FieldDescriptorType extends o0<FieldDescriptorType>> u2<FieldDescriptorType, Object> f(int i7) {
        return new v2(i7);
    }

    /* access modifiers changed from: private */
    public final V h(int i7) {
        p();
        V v7 = (V) this.f6511g.remove(i7).getValue();
        if (!this.f6512p.isEmpty()) {
            Iterator<Map.Entry<K, V>> it = q().entrySet().iterator();
            this.f6511g.add(new b3(this, it.next()));
            it.remove();
        }
        return v7;
    }

    /* access modifiers changed from: private */
    public final void p() {
        if (this.f6513x) {
            throw new UnsupportedOperationException();
        }
    }

    private final SortedMap<K, V> q() {
        p();
        if (this.f6512p.isEmpty() && !(this.f6512p instanceof TreeMap)) {
            TreeMap treeMap = new TreeMap();
            this.f6512p = treeMap;
            this.C1 = treeMap.descendingMap();
        }
        return (SortedMap) this.f6512p;
    }

    public final boolean a() {
        return this.f6513x;
    }

    public void clear() {
        p();
        if (!this.f6511g.isEmpty()) {
            this.f6511g.clear();
        }
        if (!this.f6512p.isEmpty()) {
            this.f6512p.clear();
        }
    }

    /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: com.google.android.gms.internal.vision.u2<K extends java.lang.Comparable<K>, V> */
    /* JADX WARN: Multi-variable type inference failed */
    public boolean containsKey(Object obj) {
        Comparable comparable = (Comparable) obj;
        return b(comparable) >= 0 || this.f6512p.containsKey(comparable);
    }

    /* renamed from: d */
    public final V put(K k7, V v7) {
        p();
        int b7 = b(k7);
        if (b7 >= 0) {
            return (V) this.f6511g.get(b7).setValue(v7);
        }
        p();
        if (this.f6511g.isEmpty() && !(this.f6511g instanceof ArrayList)) {
            this.f6511g = new ArrayList(this.f6510f);
        }
        int i7 = -(b7 + 1);
        if (i7 >= this.f6510f) {
            return q().put(k7, v7);
        }
        int size = this.f6511g.size();
        int i8 = this.f6510f;
        if (size == i8) {
            b3 remove = this.f6511g.remove(i8 - 1);
            q().put((K) ((Comparable) remove.getKey()), (V) remove.getValue());
        }
        this.f6511g.add(i7, new b3(this, k7, v7));
        return null;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public Set<Map.Entry<K, V>> entrySet() {
        if (this.f6514y == null) {
            this.f6514y = new d3(this, null);
        }
        return this.f6514y;
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof u2)) {
            return super.equals(obj);
        }
        u2 u2Var = (u2) obj;
        int size = size();
        if (size != u2Var.size()) {
            return false;
        }
        int m7 = m();
        if (m7 != u2Var.m()) {
            return entrySet().equals(u2Var.entrySet());
        }
        for (int i7 = 0; i7 < m7; i7++) {
            if (!g(i7).equals(u2Var.g(i7))) {
                return false;
            }
        }
        if (m7 != size) {
            return this.f6512p.equals(u2Var.f6512p);
        }
        return true;
    }

    public final Map.Entry<K, V> g(int i7) {
        return this.f6511g.get(i7);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: com.google.android.gms.internal.vision.u2<K extends java.lang.Comparable<K>, V> */
    /* JADX WARN: Multi-variable type inference failed */
    @Override // java.util.AbstractMap, java.util.Map
    public V get(Object obj) {
        Comparable comparable = (Comparable) obj;
        int b7 = b(comparable);
        return b7 >= 0 ? (V) this.f6511g.get(b7).getValue() : this.f6512p.get(comparable);
    }

    public int hashCode() {
        int m7 = m();
        int i7 = 0;
        for (int i8 = 0; i8 < m7; i8++) {
            i7 += this.f6511g.get(i8).hashCode();
        }
        return this.f6512p.size() > 0 ? i7 + this.f6512p.hashCode() : i7;
    }

    public void i() {
        if (!this.f6513x) {
            this.f6512p = this.f6512p.isEmpty() ? Collections.emptyMap() : Collections.unmodifiableMap(this.f6512p);
            this.C1 = this.C1.isEmpty() ? Collections.emptyMap() : Collections.unmodifiableMap(this.C1);
            this.f6513x = true;
        }
    }

    public final int m() {
        return this.f6511g.size();
    }

    public final Iterable<Map.Entry<K, V>> n() {
        return this.f6512p.isEmpty() ? y2.a() : this.f6512p.entrySet();
    }

    /* access modifiers changed from: package-private */
    public final Set<Map.Entry<K, V>> o() {
        if (this.C2 == null) {
            this.C2 = new x2(this, null);
        }
        return this.C2;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: com.google.android.gms.internal.vision.u2<K extends java.lang.Comparable<K>, V> */
    /* JADX WARN: Multi-variable type inference failed */
    @Override // java.util.AbstractMap, java.util.Map
    public V remove(Object obj) {
        p();
        Comparable comparable = (Comparable) obj;
        int b7 = b(comparable);
        if (b7 >= 0) {
            return (V) h(b7);
        }
        if (this.f6512p.isEmpty()) {
            return null;
        }
        return this.f6512p.remove(comparable);
    }

    public int size() {
        return this.f6511g.size() + this.f6512p.size();
    }

    /* synthetic */ u2(int i7, v2 v2Var) {
        this(i7);
    }
}
