package com.google.android.gms.phenotype;

import android.os.Parcel;
import android.os.Parcelable;
import com.google.android.gms.common.internal.safeparcel.AbstractSafeParcelable;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable;
import java.util.Arrays;
import java.util.Map;
import java.util.TreeMap;
import r.a;
import t.b;

@a
@SafeParcelable.f({1})
@SafeParcelable.a(creator = "ConfigurationCreator")
public class Configuration extends AbstractSafeParcelable implements Comparable<Configuration> {
    @a
    public static final Parcelable.Creator<Configuration> CREATOR = new f();
    @SafeParcelable.c(id = 2)

    /* renamed from: f  reason: collision with root package name */
    private final int f6576f;
    @SafeParcelable.c(id = 3)

    /* renamed from: g  reason: collision with root package name */
    private final zzi[] f6577g;
    @SafeParcelable.c(id = 4)

    /* renamed from: p  reason: collision with root package name */
    private final String[] f6578p;

    /* renamed from: x  reason: collision with root package name */
    private final Map<String, zzi> f6579x = new TreeMap();

    @SafeParcelable.b
    public Configuration(@SafeParcelable.e(id = 2) int i7, @SafeParcelable.e(id = 3) zzi[] zziArr, @SafeParcelable.e(id = 4) String[] strArr) {
        this.f6576f = i7;
        this.f6577g = zziArr;
        for (zzi zzi : zziArr) {
            this.f6579x.put(zzi.f6618f, zzi);
        }
        this.f6578p = strArr;
        if (strArr != null) {
            Arrays.sort(strArr);
        }
    }

    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
    @Override // java.lang.Comparable
    public /* synthetic */ int compareTo(Configuration configuration) {
        return this.f6576f - configuration.f6576f;
    }

    public boolean equals(Object obj) {
        if (obj instanceof Configuration) {
            Configuration configuration = (Configuration) obj;
            return this.f6576f == configuration.f6576f && p.a(this.f6579x, configuration.f6579x) && Arrays.equals(this.f6578p, configuration.f6578p);
        }
    }

    public String toString() {
        StringBuilder sb = new StringBuilder("Configuration(");
        sb.append(this.f6576f);
        sb.append(", ");
        sb.append("(");
        for (zzi zzi : this.f6579x.values()) {
            sb.append(zzi);
            sb.append(", ");
        }
        sb.append(")");
        sb.append(", ");
        sb.append("(");
        String[] strArr = this.f6578p;
        if (strArr != null) {
            for (String str : strArr) {
                sb.append(str);
                sb.append(", ");
            }
        } else {
            sb.append("null");
        }
        sb.append(")");
        sb.append(")");
        return sb.toString();
    }

    public void writeToParcel(Parcel parcel, int i7) {
        int a8 = b.a(parcel);
        b.F(parcel, 2, this.f6576f);
        b.b0(parcel, 3, this.f6577g, i7, false);
        b.Y(parcel, 4, this.f6578p, false);
        b.b(parcel, a8);
    }
}
