package com.google.android.gms.tasks;

import android.app.Activity;
import androidx.annotation.MainThread;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import com.google.android.gms.common.api.internal.LifecycleCallback;
import com.google.android.gms.common.api.internal.k;
import com.google.android.gms.common.internal.b0;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.List;
import java.util.concurrent.CancellationException;
import java.util.concurrent.Executor;

/* access modifiers changed from: package-private */
public final class j0<TResult> extends l<TResult> {

    /* renamed from: a  reason: collision with root package name */
    private final Object f6684a = new Object();

    /* renamed from: b  reason: collision with root package name */
    private final g0<TResult> f6685b = new g0<>();
    @f4.a("mLock")

    /* renamed from: c  reason: collision with root package name */
    private boolean f6686c;

    /* renamed from: d  reason: collision with root package name */
    private volatile boolean f6687d;
    @f4.a("mLock")

    /* renamed from: e  reason: collision with root package name */
    private TResult f6688e;
    @f4.a("mLock")

    /* renamed from: f  reason: collision with root package name */
    private Exception f6689f;

    private static class a extends LifecycleCallback {

        /* renamed from: b  reason: collision with root package name */
        private final List<WeakReference<f0<?>>> f6690b = new ArrayList();

        private a(k kVar) {
            super(kVar);
            this.f4675a.c("TaskOnStopCallback", this);
        }

        public static a m(Activity activity) {
            k c7 = LifecycleCallback.c(activity);
            a aVar = (a) c7.d("TaskOnStopCallback", a.class);
            return aVar == null ? new a(c7) : aVar;
        }

        @Override // com.google.android.gms.common.api.internal.LifecycleCallback
        @MainThread
        public void l() {
            synchronized (this.f6690b) {
                for (WeakReference<f0<?>> weakReference : this.f6690b) {
                    f0<?> f0Var = weakReference.get();
                    if (f0Var != null) {
                        f0Var.cancel();
                    }
                }
                this.f6690b.clear();
            }
        }

        public final <T> void n(f0<T> f0Var) {
            synchronized (this.f6690b) {
                this.f6690b.add(new WeakReference<>(f0Var));
            }
        }
    }

    j0() {
    }

    @f4.a("mLock")
    private final void D() {
        b0.r(this.f6686c, "Task is not yet complete");
    }

    @f4.a("mLock")
    private final void E() {
        b0.r(!this.f6686c, "Task is already complete");
    }

    @f4.a("mLock")
    private final void F() {
        if (this.f6687d) {
            throw new CancellationException("Task is already canceled.");
        }
    }

    private final void G() {
        synchronized (this.f6684a) {
            if (this.f6686c) {
                this.f6685b.a(this);
            }
        }
    }

    public final boolean A(@NonNull Exception exc) {
        b0.l(exc, "Exception must not be null");
        synchronized (this.f6684a) {
            if (this.f6686c) {
                return false;
            }
            this.f6686c = true;
            this.f6689f = exc;
            this.f6685b.a(this);
            return true;
        }
    }

    public final boolean B(TResult tresult) {
        synchronized (this.f6684a) {
            if (this.f6686c) {
                return false;
            }
            this.f6686c = true;
            this.f6688e = tresult;
            this.f6685b.a(this);
            return true;
        }
    }

    public final boolean C() {
        synchronized (this.f6684a) {
            if (this.f6686c) {
                return false;
            }
            this.f6686c = true;
            this.f6687d = true;
            this.f6685b.a(this);
            return true;
        }
    }

    @Override // com.google.android.gms.tasks.l
    @NonNull
    public final l<TResult> a(@NonNull Activity activity, @NonNull d dVar) {
        v vVar = new v(n.f6696a, dVar);
        this.f6685b.b(vVar);
        a.m(activity).n(vVar);
        G();
        return this;
    }

    @Override // com.google.android.gms.tasks.l
    @NonNull
    public final l<TResult> b(@NonNull d dVar) {
        return c(n.f6696a, dVar);
    }

    @Override // com.google.android.gms.tasks.l
    @NonNull
    public final l<TResult> c(@NonNull Executor executor, @NonNull d dVar) {
        this.f6685b.b(new v(executor, dVar));
        G();
        return this;
    }

    @Override // com.google.android.gms.tasks.l
    @NonNull
    public final l<TResult> d(@NonNull Activity activity, @NonNull e<TResult> eVar) {
        x xVar = new x(n.f6696a, eVar);
        this.f6685b.b(xVar);
        a.m(activity).n(xVar);
        G();
        return this;
    }

    @Override // com.google.android.gms.tasks.l
    @NonNull
    public final l<TResult> e(@NonNull e<TResult> eVar) {
        return f(n.f6696a, eVar);
    }

    @Override // com.google.android.gms.tasks.l
    @NonNull
    public final l<TResult> f(@NonNull Executor executor, @NonNull e<TResult> eVar) {
        this.f6685b.b(new x(executor, eVar));
        G();
        return this;
    }

    @Override // com.google.android.gms.tasks.l
    @NonNull
    public final l<TResult> g(@NonNull Activity activity, @NonNull f fVar) {
        z zVar = new z(n.f6696a, fVar);
        this.f6685b.b(zVar);
        a.m(activity).n(zVar);
        G();
        return this;
    }

    @Override // com.google.android.gms.tasks.l
    @NonNull
    public final l<TResult> h(@NonNull f fVar) {
        return i(n.f6696a, fVar);
    }

    @Override // com.google.android.gms.tasks.l
    @NonNull
    public final l<TResult> i(@NonNull Executor executor, @NonNull f fVar) {
        this.f6685b.b(new z(executor, fVar));
        G();
        return this;
    }

    @Override // com.google.android.gms.tasks.l
    @NonNull
    public final l<TResult> j(@NonNull Activity activity, @NonNull g<? super TResult> gVar) {
        b0 b0Var = new b0(n.f6696a, gVar);
        this.f6685b.b(b0Var);
        a.m(activity).n(b0Var);
        G();
        return this;
    }

    @Override // com.google.android.gms.tasks.l
    @NonNull
    public final l<TResult> k(@NonNull g<? super TResult> gVar) {
        return l(n.f6696a, gVar);
    }

    @Override // com.google.android.gms.tasks.l
    @NonNull
    public final l<TResult> l(@NonNull Executor executor, @NonNull g<? super TResult> gVar) {
        this.f6685b.b(new b0(executor, gVar));
        G();
        return this;
    }

    @Override // com.google.android.gms.tasks.l
    @NonNull
    public final <TContinuationResult> l<TContinuationResult> m(@NonNull c<TResult, TContinuationResult> cVar) {
        return n(n.f6696a, cVar);
    }

    @Override // com.google.android.gms.tasks.l
    @NonNull
    public final <TContinuationResult> l<TContinuationResult> n(@NonNull Executor executor, @NonNull c<TResult, TContinuationResult> cVar) {
        j0 j0Var = new j0();
        this.f6685b.b(new r(executor, cVar, j0Var));
        G();
        return j0Var;
    }

    @Override // com.google.android.gms.tasks.l
    @NonNull
    public final <TContinuationResult> l<TContinuationResult> o(@NonNull c<TResult, l<TContinuationResult>> cVar) {
        return p(n.f6696a, cVar);
    }

    @Override // com.google.android.gms.tasks.l
    @NonNull
    public final <TContinuationResult> l<TContinuationResult> p(@NonNull Executor executor, @NonNull c<TResult, l<TContinuationResult>> cVar) {
        j0 j0Var = new j0();
        this.f6685b.b(new t(executor, cVar, j0Var));
        G();
        return j0Var;
    }

    @Override // com.google.android.gms.tasks.l
    @Nullable
    public final Exception q() {
        Exception exc;
        synchronized (this.f6684a) {
            exc = this.f6689f;
        }
        return exc;
    }

    @Override // com.google.android.gms.tasks.l
    public final TResult r() {
        TResult tresult;
        synchronized (this.f6684a) {
            D();
            F();
            if (this.f6689f == null) {
                tresult = this.f6688e;
            } else {
                throw new j(this.f6689f);
            }
        }
        return tresult;
    }

    @Override // com.google.android.gms.tasks.l
    public final <X extends Throwable> TResult s(@NonNull Class<X> cls) throws Throwable {
        TResult tresult;
        synchronized (this.f6684a) {
            D();
            F();
            if (cls.isInstance(this.f6689f)) {
                throw cls.cast(this.f6689f);
            } else if (this.f6689f == null) {
                tresult = this.f6688e;
            } else {
                throw new j(this.f6689f);
            }
        }
        return tresult;
    }

    @Override // com.google.android.gms.tasks.l
    public final boolean t() {
        return this.f6687d;
    }

    @Override // com.google.android.gms.tasks.l
    public final boolean u() {
        boolean z7;
        synchronized (this.f6684a) {
            z7 = this.f6686c;
        }
        return z7;
    }

    @Override // com.google.android.gms.tasks.l
    public final boolean v() {
        boolean z7;
        synchronized (this.f6684a) {
            z7 = this.f6686c && !this.f6687d && this.f6689f == null;
        }
        return z7;
    }

    @Override // com.google.android.gms.tasks.l
    @NonNull
    public final <TContinuationResult> l<TContinuationResult> w(@NonNull k<TResult, TContinuationResult> kVar) {
        return x(n.f6696a, kVar);
    }

    @Override // com.google.android.gms.tasks.l
    @NonNull
    public final <TContinuationResult> l<TContinuationResult> x(Executor executor, k<TResult, TContinuationResult> kVar) {
        j0 j0Var = new j0();
        this.f6685b.b(new d0(executor, kVar, j0Var));
        G();
        return j0Var;
    }

    public final void y(@NonNull Exception exc) {
        b0.l(exc, "Exception must not be null");
        synchronized (this.f6684a) {
            E();
            this.f6686c = true;
            this.f6689f = exc;
        }
        this.f6685b.a(this);
    }

    public final void z(TResult tresult) {
        synchronized (this.f6684a) {
            E();
            this.f6686c = true;
            this.f6688e = tresult;
        }
        this.f6685b.a(this);
    }
}
