package com.google.android.gms.tasks;

import androidx.annotation.NonNull;
import com.google.android.gms.common.internal.b0;
import java.util.Arrays;
import java.util.Collection;
import java.util.Iterator;
import java.util.List;
import java.util.concurrent.Callable;
import java.util.concurrent.CancellationException;
import java.util.concurrent.CountDownLatch;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.Executor;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.TimeoutException;

public final class o {

    /* access modifiers changed from: private */
    public static final class a implements b {

        /* renamed from: a  reason: collision with root package name */
        private final CountDownLatch f6699a;

        private a() {
            this.f6699a = new CountDownLatch(1);
        }

        @Override // com.google.android.gms.tasks.g
        public final void a(Object obj) {
            this.f6699a.countDown();
        }

        public final void b() throws InterruptedException {
            this.f6699a.await();
        }

        @Override // com.google.android.gms.tasks.d
        public final void c() {
            this.f6699a.countDown();
        }

        @Override // com.google.android.gms.tasks.f
        public final void d(@NonNull Exception exc) {
            this.f6699a.countDown();
        }

        public final boolean e(long j7, TimeUnit timeUnit) throws InterruptedException {
            return this.f6699a.await(j7, timeUnit);
        }

        /* synthetic */ a(k0 k0Var) {
            this();
        }
    }

    /* access modifiers changed from: package-private */
    public interface b extends d, f, g<Object> {
    }

    /* access modifiers changed from: private */
    public static final class c implements b {

        /* renamed from: a  reason: collision with root package name */
        private final Object f6700a = new Object();

        /* renamed from: b  reason: collision with root package name */
        private final int f6701b;

        /* renamed from: c  reason: collision with root package name */
        private final j0<Void> f6702c;
        @f4.a("mLock")

        /* renamed from: d  reason: collision with root package name */
        private int f6703d;
        @f4.a("mLock")

        /* renamed from: e  reason: collision with root package name */
        private int f6704e;
        @f4.a("mLock")

        /* renamed from: f  reason: collision with root package name */
        private int f6705f;
        @f4.a("mLock")

        /* renamed from: g  reason: collision with root package name */
        private Exception f6706g;
        @f4.a("mLock")

        /* renamed from: h  reason: collision with root package name */
        private boolean f6707h;

        public c(int i7, j0<Void> j0Var) {
            this.f6701b = i7;
            this.f6702c = j0Var;
        }

        @f4.a("mLock")
        private final void b() {
            if (this.f6703d + this.f6704e + this.f6705f != this.f6701b) {
                return;
            }
            if (this.f6706g != null) {
                j0<Void> j0Var = this.f6702c;
                int i7 = this.f6704e;
                int i8 = this.f6701b;
                StringBuilder sb = new StringBuilder(54);
                sb.append(i7);
                sb.append(" out of ");
                sb.append(i8);
                sb.append(" underlying tasks failed");
                j0Var.y(new ExecutionException(sb.toString(), this.f6706g));
                return;
            }
            boolean z7 = this.f6707h;
            j0<Void> j0Var2 = this.f6702c;
            if (z7) {
                j0Var2.C();
            } else {
                j0Var2.z(null);
            }
        }

        @Override // com.google.android.gms.tasks.g
        public final void a(Object obj) {
            synchronized (this.f6700a) {
                this.f6703d++;
                b();
            }
        }

        @Override // com.google.android.gms.tasks.d
        public final void c() {
            synchronized (this.f6700a) {
                this.f6705f++;
                this.f6707h = true;
                b();
            }
        }

        @Override // com.google.android.gms.tasks.f
        public final void d(@NonNull Exception exc) {
            synchronized (this.f6700a) {
                this.f6704e++;
                this.f6706g = exc;
                b();
            }
        }
    }

    private o() {
    }

    public static <TResult> TResult a(@NonNull l<TResult> lVar) throws ExecutionException, InterruptedException {
        b0.i();
        b0.l(lVar, "Task must not be null");
        if (lVar.u()) {
            return (TResult) o(lVar);
        }
        a aVar = new a(null);
        n(lVar, aVar);
        aVar.b();
        return (TResult) o(lVar);
    }

    public static <TResult> TResult b(@NonNull l<TResult> lVar, long j7, @NonNull TimeUnit timeUnit) throws ExecutionException, InterruptedException, TimeoutException {
        b0.i();
        b0.l(lVar, "Task must not be null");
        b0.l(timeUnit, "TimeUnit must not be null");
        if (lVar.u()) {
            return (TResult) o(lVar);
        }
        a aVar = new a(null);
        n(lVar, aVar);
        if (aVar.e(j7, timeUnit)) {
            return (TResult) o(lVar);
        }
        throw new TimeoutException("Timed out waiting for Task");
    }

    public static <TResult> l<TResult> c(@NonNull Callable<TResult> callable) {
        return d(n.f6696a, callable);
    }

    public static <TResult> l<TResult> d(@NonNull Executor executor, @NonNull Callable<TResult> callable) {
        b0.l(executor, "Executor must not be null");
        b0.l(callable, "Callback must not be null");
        j0 j0Var = new j0();
        executor.execute(new k0(j0Var, callable));
        return j0Var;
    }

    public static <TResult> l<TResult> e() {
        j0 j0Var = new j0();
        j0Var.C();
        return j0Var;
    }

    public static <TResult> l<TResult> f(@NonNull Exception exc) {
        j0 j0Var = new j0();
        j0Var.y(exc);
        return j0Var;
    }

    public static <TResult> l<TResult> g(TResult tresult) {
        j0 j0Var = new j0();
        j0Var.z(tresult);
        return j0Var;
    }

    public static l<Void> h(Collection<? extends l<?>> collection) {
        if (collection.isEmpty()) {
            return g(null);
        }
        Iterator<? extends l<?>> it = collection.iterator();
        while (it.hasNext()) {
            if (((l) it.next()) == null) {
                throw new NullPointerException("null tasks are not accepted");
            }
        }
        j0 j0Var = new j0();
        c cVar = new c(collection.size(), j0Var);
        Iterator<? extends l<?>> it2 = collection.iterator();
        while (it2.hasNext()) {
            n((l) it2.next(), cVar);
        }
        return j0Var;
    }

    public static l<Void> i(l<?>... lVarArr) {
        return lVarArr.length == 0 ? g(null) : h(Arrays.asList(lVarArr));
    }

    public static l<List<l<?>>> j(Collection<? extends l<?>> collection) {
        return h(collection).o(new m0(collection));
    }

    public static l<List<l<?>>> k(l<?>... lVarArr) {
        return j(Arrays.asList(lVarArr));
    }

    public static <TResult> l<List<TResult>> l(Collection<? extends l<?>> collection) {
        return h(collection).m(new l0(collection));
    }

    public static <TResult> l<List<TResult>> m(l<?>... lVarArr) {
        return l(Arrays.asList(lVarArr));
    }

    private static void n(l<?> lVar, b bVar) {
        Executor executor = n.f6697b;
        lVar.l(executor, bVar);
        lVar.i(executor, bVar);
        lVar.c(executor, bVar);
    }

    private static <TResult> TResult o(l<TResult> lVar) throws ExecutionException {
        if (lVar.v()) {
            return lVar.r();
        }
        if (lVar.t()) {
            throw new CancellationException("Task is already canceled");
        }
        throw new ExecutionException(lVar.q());
    }
}
