package com.google.android.gms.vision;

import android.annotation.SuppressLint;
import android.content.Context;
import android.graphics.ImageFormat;
import android.graphics.SurfaceTexture;
import android.hardware.Camera;
import android.os.SystemClock;
import android.util.Log;
import android.view.SurfaceHolder;
import android.view.WindowManager;
import androidx.annotation.RequiresPermission;
import com.google.android.gms.vision.d;
import java.io.IOException;
import java.nio.ByteBuffer;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import x.d0;

public class a {
    @SuppressLint({"InlinedApi"})

    /* renamed from: p  reason: collision with root package name */
    public static final int f6732p = 0;
    @SuppressLint({"InlinedApi"})

    /* renamed from: q  reason: collision with root package name */
    public static final int f6733q = 1;

    /* renamed from: a  reason: collision with root package name */
    private Context f6734a;

    /* renamed from: b  reason: collision with root package name */
    private final Object f6735b;
    @f4.a("cameraLock")

    /* renamed from: c  reason: collision with root package name */
    private Camera f6736c;

    /* renamed from: d  reason: collision with root package name */
    private int f6737d;

    /* renamed from: e  reason: collision with root package name */
    private int f6738e;

    /* renamed from: f  reason: collision with root package name */
    private com.google.android.gms.common.images.a f6739f;

    /* renamed from: g  reason: collision with root package name */
    private float f6740g;

    /* renamed from: h  reason: collision with root package name */
    private int f6741h;

    /* renamed from: i  reason: collision with root package name */
    private int f6742i;

    /* renamed from: j  reason: collision with root package name */
    private boolean f6743j;

    /* renamed from: k  reason: collision with root package name */
    private SurfaceTexture f6744k;

    /* renamed from: l  reason: collision with root package name */
    private boolean f6745l;

    /* renamed from: m  reason: collision with root package name */
    private Thread f6746m;

    /* renamed from: n  reason: collision with root package name */
    private e f6747n;

    /* renamed from: o  reason: collision with root package name */
    private Map<byte[], ByteBuffer> f6748o;

    /* renamed from: com.google.android.gms.vision.a$a  reason: collision with other inner class name */
    public static class C0076a {

        /* renamed from: a  reason: collision with root package name */
        private final b<?> f6749a;

        /* renamed from: b  reason: collision with root package name */
        private a f6750b;

        public C0076a(Context context, b<?> bVar) {
            a aVar = new a();
            this.f6750b = aVar;
            if (context == null) {
                throw new IllegalArgumentException("No context supplied.");
            } else if (bVar != null) {
                this.f6749a = bVar;
                aVar.f6734a = context;
            } else {
                throw new IllegalArgumentException("No detector supplied.");
            }
        }

        public a a() {
            a aVar = this.f6750b;
            aVar.getClass();
            aVar.f6747n = new e(this.f6749a);
            return this.f6750b;
        }

        public C0076a b(boolean z7) {
            this.f6750b.f6743j = z7;
            return this;
        }

        public C0076a c(int i7) {
            if (i7 == 0 || i7 == 1) {
                this.f6750b.f6737d = i7;
                return this;
            }
            StringBuilder sb = new StringBuilder(27);
            sb.append("Invalid camera: ");
            sb.append(i7);
            throw new IllegalArgumentException(sb.toString());
        }

        public C0076a d(float f7) {
            if (f7 > 0.0f) {
                this.f6750b.f6740g = f7;
                return this;
            }
            StringBuilder sb = new StringBuilder(28);
            sb.append("Invalid fps: ");
            sb.append(f7);
            throw new IllegalArgumentException(sb.toString());
        }

        public C0076a e(int i7, int i8) {
            if (i7 <= 0 || i7 > 1000000 || i8 <= 0 || i8 > 1000000) {
                StringBuilder sb = new StringBuilder(45);
                sb.append("Invalid preview size: ");
                sb.append(i7);
                sb.append("x");
                sb.append(i8);
                throw new IllegalArgumentException(sb.toString());
            }
            this.f6750b.f6741h = i7;
            this.f6750b.f6742i = i8;
            return this;
        }
    }

    public interface b {
        void a(byte[] bArr);
    }

    public interface c {
        void onShutter();
    }

    /* access modifiers changed from: package-private */
    public class d implements Camera.PreviewCallback {
        private d() {
        }

        public final void onPreviewFrame(byte[] bArr, Camera camera) {
            a.this.f6747n.c(bArr, camera);
        }
    }

    /* access modifiers changed from: package-private */
    public class e implements Runnable {
        private int C1 = 0;
        private ByteBuffer C2;

        /* renamed from: f  reason: collision with root package name */
        private b<?> f6752f;

        /* renamed from: g  reason: collision with root package name */
        private long f6753g = SystemClock.elapsedRealtime();

        /* renamed from: p  reason: collision with root package name */
        private final Object f6754p = new Object();

        /* renamed from: x  reason: collision with root package name */
        private boolean f6755x = true;

        /* renamed from: y  reason: collision with root package name */
        private long f6756y;

        e(b<?> bVar) {
            this.f6752f = bVar;
        }

        /* access modifiers changed from: package-private */
        @SuppressLint({"Assert"})
        public final void a() {
            this.f6752f.d();
            this.f6752f = null;
        }

        /* access modifiers changed from: package-private */
        public final void b(boolean z7) {
            synchronized (this.f6754p) {
                this.f6755x = z7;
                this.f6754p.notifyAll();
            }
        }

        /* access modifiers changed from: package-private */
        public final void c(byte[] bArr, Camera camera) {
            synchronized (this.f6754p) {
                ByteBuffer byteBuffer = this.C2;
                if (byteBuffer != null) {
                    camera.addCallbackBuffer(byteBuffer.array());
                    this.C2 = null;
                }
                if (!a.this.f6748o.containsKey(bArr)) {
                    Log.d("CameraSource", "Skipping frame. Could not find ByteBuffer associated with the image data from the camera.");
                    return;
                }
                this.f6756y = SystemClock.elapsedRealtime() - this.f6753g;
                this.C1++;
                this.C2 = (ByteBuffer) a.this.f6748o.get(bArr);
                this.f6754p.notifyAll();
            }
        }

        /* JADX WARNING: Code restructure failed: missing block: B:19:?, code lost:
            r6.f6752f.c(r1);
         */
        /* JADX WARNING: Code restructure failed: missing block: B:21:0x0073, code lost:
            r0 = move-exception;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:22:0x0075, code lost:
            r0 = move-exception;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:25:?, code lost:
            android.util.Log.e("CameraSource", "Exception thrown from receiver.", r0);
         */
        /* JADX WARNING: Code restructure failed: missing block: B:27:0x008c, code lost:
            r6.U5.f6736c.addCallbackBuffer(r2.array());
         */
        /* JADX WARNING: Code restructure failed: missing block: B:28:0x0099, code lost:
            throw r0;
         */
        /* JADX WARNING: Removed duplicated region for block: B:16:0x001f  */
        /* JADX WARNING: Removed duplicated region for block: B:33:0x001d A[SYNTHETIC] */
        @SuppressLint({"InlinedApi"})
        public final void run() {
            boolean z7;
            while (true) {
                synchronized (this.f6754p) {
                    while (true) {
                        z7 = this.f6755x;
                        if (z7 && this.C2 == null) {
                            try {
                                this.f6754p.wait();
                            } catch (InterruptedException e7) {
                                Log.d("CameraSource", "Frame processing loop terminated.", e7);
                                return;
                            }
                        } else if (!z7) {
                            d a8 = new d.a().d(this.C2, a.this.f6739f.b(), a.this.f6739f.a(), 17).c(this.C1).f(this.f6756y).e(a.this.f6738e).a();
                            ByteBuffer byteBuffer = this.C2;
                            this.C2 = null;
                        } else {
                            return;
                        }
                    }
                    if (!z7) {
                    }
                }
            }
        }
    }

    class f implements Camera.PictureCallback {

        /* renamed from: a  reason: collision with root package name */
        private b f6757a;

        private f() {
        }

        public final void onPictureTaken(byte[] bArr, Camera camera) {
            b bVar = this.f6757a;
            if (bVar != null) {
                bVar.a(bArr);
            }
            synchronized (a.this.f6735b) {
                if (a.this.f6736c != null) {
                    a.this.f6736c.startPreview();
                }
            }
        }
    }

    static class g implements Camera.ShutterCallback {

        /* renamed from: a  reason: collision with root package name */
        private c f6759a;

        private g() {
        }

        public final void onShutter() {
            c cVar = this.f6759a;
            if (cVar != null) {
                cVar.onShutter();
            }
        }
    }

    /* access modifiers changed from: package-private */
    @d0
    public static class h {

        /* renamed from: a  reason: collision with root package name */
        private com.google.android.gms.common.images.a f6760a;

        /* renamed from: b  reason: collision with root package name */
        private com.google.android.gms.common.images.a f6761b;

        public h(Camera.Size size, @e4.h Camera.Size size2) {
            this.f6760a = new com.google.android.gms.common.images.a(size.width, size.height);
            if (size2 != null) {
                this.f6761b = new com.google.android.gms.common.images.a(size2.width, size2.height);
            }
        }

        public final com.google.android.gms.common.images.a a() {
            return this.f6760a;
        }

        @e4.h
        public final com.google.android.gms.common.images.a b() {
            return this.f6761b;
        }
    }

    private a() {
        this.f6735b = new Object();
        this.f6737d = 0;
        this.f6740g = 30.0f;
        this.f6741h = 1024;
        this.f6742i = 768;
        this.f6743j = false;
        this.f6748o = new HashMap();
    }

    @SuppressLint({"InlinedApi"})
    private final Camera k() throws IOException {
        int i7;
        int i8;
        int i9 = this.f6737d;
        Camera.CameraInfo cameraInfo = new Camera.CameraInfo();
        int i10 = 0;
        int i11 = 0;
        while (true) {
            if (i11 >= Camera.getNumberOfCameras()) {
                i11 = -1;
                break;
            }
            Camera.getCameraInfo(i11, cameraInfo);
            if (cameraInfo.facing == i9) {
                break;
            }
            i11++;
        }
        if (i11 != -1) {
            Camera open = Camera.open(i11);
            int i12 = this.f6741h;
            int i13 = this.f6742i;
            Camera.Parameters parameters = open.getParameters();
            List<Camera.Size> supportedPreviewSizes = parameters.getSupportedPreviewSizes();
            List<Camera.Size> supportedPictureSizes = parameters.getSupportedPictureSizes();
            ArrayList arrayList = new ArrayList();
            for (Camera.Size size : supportedPreviewSizes) {
                float f7 = ((float) size.width) / ((float) size.height);
                Iterator<Camera.Size> it = supportedPictureSizes.iterator();
                while (true) {
                    if (!it.hasNext()) {
                        break;
                    }
                    Camera.Size next = it.next();
                    if (Math.abs(f7 - (((float) next.width) / ((float) next.height))) < 0.01f) {
                        arrayList.add(new h(size, next));
                        break;
                    }
                }
            }
            if (arrayList.size() == 0) {
                Log.w("CameraSource", "No preview sizes have a corresponding same-aspect-ratio picture size");
                for (Camera.Size size2 : supportedPreviewSizes) {
                    arrayList.add(new h(size2, null));
                }
            }
            int size3 = arrayList.size();
            int i14 = Integer.MAX_VALUE;
            int i15 = 0;
            int i16 = Integer.MAX_VALUE;
            h hVar = null;
            while (i15 < size3) {
                Object obj = arrayList.get(i15);
                i15++;
                h hVar2 = (h) obj;
                com.google.android.gms.common.images.a a8 = hVar2.a();
                int abs = Math.abs(a8.b() - i12) + Math.abs(a8.a() - i13);
                if (abs < i16) {
                    hVar = hVar2;
                    i16 = abs;
                }
            }
            if (hVar != null) {
                com.google.android.gms.common.images.a b7 = hVar.b();
                this.f6739f = hVar.a();
                int i17 = (int) (this.f6740g * 1000.0f);
                int[] iArr = null;
                for (int[] iArr2 : open.getParameters().getSupportedPreviewFpsRange()) {
                    int abs2 = Math.abs(i17 - iArr2[0]) + Math.abs(i17 - iArr2[1]);
                    if (abs2 < i14) {
                        iArr = iArr2;
                        i14 = abs2;
                    }
                }
                if (iArr != null) {
                    Camera.Parameters parameters2 = open.getParameters();
                    if (b7 != null) {
                        parameters2.setPictureSize(b7.b(), b7.a());
                    }
                    parameters2.setPreviewSize(this.f6739f.b(), this.f6739f.a());
                    parameters2.setPreviewFpsRange(iArr[0], iArr[1]);
                    parameters2.setPreviewFormat(17);
                    int rotation = ((WindowManager) this.f6734a.getSystemService("window")).getDefaultDisplay().getRotation();
                    if (rotation != 0) {
                        if (rotation == 1) {
                            i10 = 90;
                        } else if (rotation == 2) {
                            i10 = 180;
                        } else if (rotation != 3) {
                            StringBuilder sb = new StringBuilder(31);
                            sb.append("Bad rotation value: ");
                            sb.append(rotation);
                            Log.e("CameraSource", sb.toString());
                        } else {
                            i10 = 270;
                        }
                    }
                    Camera.CameraInfo cameraInfo2 = new Camera.CameraInfo();
                    Camera.getCameraInfo(i11, cameraInfo2);
                    int i18 = cameraInfo2.facing;
                    int i19 = cameraInfo2.orientation;
                    if (i18 == 1) {
                        i8 = (i19 + i10) % 360;
                        i7 = (360 - i8) % 360;
                    } else {
                        i8 = ((i19 - i10) + 360) % 360;
                        i7 = i8;
                    }
                    this.f6738e = i8 / 90;
                    open.setDisplayOrientation(i7);
                    parameters2.setRotation(i8);
                    if (this.f6743j) {
                        if (parameters2.getSupportedFocusModes().contains("continuous-video")) {
                            parameters2.setFocusMode("continuous-video");
                        } else {
                            Log.i("CameraSource", "Camera auto focus is not supported on this device.");
                        }
                    }
                    open.setParameters(parameters2);
                    open.setPreviewCallbackWithBuffer(new d());
                    open.addCallbackBuffer(o(this.f6739f));
                    open.addCallbackBuffer(o(this.f6739f));
                    open.addCallbackBuffer(o(this.f6739f));
                    open.addCallbackBuffer(o(this.f6739f));
                    return open;
                }
                throw new IOException("Could not find suitable preview frames per second range.");
            }
            throw new IOException("Could not find suitable preview size.");
        }
        throw new IOException("Could not find requested camera.");
    }

    @SuppressLint({"InlinedApi"})
    private final byte[] o(com.google.android.gms.common.images.a aVar) {
        byte[] bArr = new byte[(((int) Math.ceil(((double) ((long) ((aVar.a() * aVar.b()) * ImageFormat.getBitsPerPixel(17)))) / 8.0d)) + 1)];
        ByteBuffer wrap = ByteBuffer.wrap(bArr);
        if (!wrap.hasArray() || wrap.array() != bArr) {
            throw new IllegalStateException("Failed to create valid buffer for camera source.");
        }
        this.f6748o.put(bArr, wrap);
        return bArr;
    }

    public int a() {
        return this.f6737d;
    }

    public com.google.android.gms.common.images.a b() {
        return this.f6739f;
    }

    public void c() {
        synchronized (this.f6735b) {
            f();
            this.f6747n.a();
        }
    }

    @RequiresPermission("android.permission.CAMERA")
    public a d() throws IOException {
        synchronized (this.f6735b) {
            if (this.f6736c != null) {
                return this;
            }
            this.f6736c = k();
            SurfaceTexture surfaceTexture = new SurfaceTexture(100);
            this.f6744k = surfaceTexture;
            this.f6736c.setPreviewTexture(surfaceTexture);
            this.f6745l = true;
            this.f6736c.startPreview();
            this.f6746m = new Thread(this.f6747n);
            this.f6747n.b(true);
            this.f6746m.start();
            return this;
        }
    }

    @RequiresPermission("android.permission.CAMERA")
    public a e(SurfaceHolder surfaceHolder) throws IOException {
        synchronized (this.f6735b) {
            if (this.f6736c != null) {
                return this;
            }
            Camera k7 = k();
            this.f6736c = k7;
            k7.setPreviewDisplay(surfaceHolder);
            this.f6736c.startPreview();
            this.f6746m = new Thread(this.f6747n);
            this.f6747n.b(true);
            this.f6746m.start();
            this.f6745l = false;
            return this;
        }
    }

    public void f() {
        synchronized (this.f6735b) {
            this.f6747n.b(false);
            Thread thread = this.f6746m;
            if (thread != null) {
                try {
                    thread.join();
                } catch (InterruptedException unused) {
                    Log.d("CameraSource", "Frame processing thread interrupted on release.");
                }
                this.f6746m = null;
            }
            Camera camera = this.f6736c;
            if (camera != null) {
                camera.stopPreview();
                this.f6736c.setPreviewCallbackWithBuffer(null);
                try {
                    if (this.f6745l) {
                        this.f6736c.setPreviewTexture(null);
                    } else {
                        this.f6736c.setPreviewDisplay(null);
                    }
                } catch (Exception e7) {
                    String valueOf = String.valueOf(e7);
                    StringBuilder sb = new StringBuilder(valueOf.length() + 32);
                    sb.append("Failed to clear camera preview: ");
                    sb.append(valueOf);
                    Log.e("CameraSource", sb.toString());
                }
                this.f6736c.release();
                this.f6736c = null;
            }
            this.f6748o.clear();
        }
    }

    public void g(c cVar, b bVar) {
        synchronized (this.f6735b) {
            if (this.f6736c != null) {
                g gVar = new g();
                gVar.f6759a = cVar;
                f fVar = new f();
                fVar.f6757a = bVar;
                this.f6736c.takePicture(gVar, null, null, fVar);
            }
        }
    }
}
