package com.google.android.material.animation;

import android.animation.Animator;
import android.animation.AnimatorInflater;
import android.animation.AnimatorSet;
import android.animation.ObjectAnimator;
import android.animation.PropertyValuesHolder;
import android.content.Context;
import android.content.res.TypedArray;
import android.util.Log;
import android.util.Property;
import androidx.annotation.AnimatorRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.StyleableRes;
import androidx.collection.SimpleArrayMap;
import java.util.ArrayList;
import java.util.List;

public class h {

    /* renamed from: c  reason: collision with root package name */
    private static final String f6967c = "MotionSpec";

    /* renamed from: a  reason: collision with root package name */
    private final SimpleArrayMap<String, i> f6968a = new SimpleArrayMap<>();

    /* renamed from: b  reason: collision with root package name */
    private final SimpleArrayMap<String, PropertyValuesHolder[]> f6969b = new SimpleArrayMap<>();

    private static void a(@NonNull h hVar, Animator animator) {
        if (animator instanceof ObjectAnimator) {
            ObjectAnimator objectAnimator = (ObjectAnimator) animator;
            hVar.l(objectAnimator.getPropertyName(), objectAnimator.getValues());
            hVar.m(objectAnimator.getPropertyName(), i.b(objectAnimator));
            return;
        }
        throw new IllegalArgumentException("Animator must be an ObjectAnimator: " + animator);
    }

    @NonNull
    private PropertyValuesHolder[] b(@NonNull PropertyValuesHolder[] propertyValuesHolderArr) {
        PropertyValuesHolder[] propertyValuesHolderArr2 = new PropertyValuesHolder[propertyValuesHolderArr.length];
        for (int i7 = 0; i7 < propertyValuesHolderArr.length; i7++) {
            propertyValuesHolderArr2[i7] = propertyValuesHolderArr[i7].clone();
        }
        return propertyValuesHolderArr2;
    }

    @Nullable
    public static h c(@NonNull Context context, @NonNull TypedArray typedArray, @StyleableRes int i7) {
        int resourceId;
        if (!typedArray.hasValue(i7) || (resourceId = typedArray.getResourceId(i7, 0)) == 0) {
            return null;
        }
        return d(context, resourceId);
    }

    @Nullable
    public static h d(@NonNull Context context, @AnimatorRes int i7) {
        try {
            Animator loadAnimator = AnimatorInflater.loadAnimator(context, i7);
            if (loadAnimator instanceof AnimatorSet) {
                return e(((AnimatorSet) loadAnimator).getChildAnimations());
            }
            if (loadAnimator == null) {
                return null;
            }
            ArrayList arrayList = new ArrayList();
            arrayList.add(loadAnimator);
            return e(arrayList);
        } catch (Exception e7) {
            Log.w(f6967c, "Can't load animation resource ID #0x" + Integer.toHexString(i7), e7);
            return null;
        }
    }

    @NonNull
    private static h e(@NonNull List<Animator> list) {
        h hVar = new h();
        int size = list.size();
        for (int i7 = 0; i7 < size; i7++) {
            a(hVar, list.get(i7));
        }
        return hVar;
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof h)) {
            return false;
        }
        return this.f6968a.equals(((h) obj).f6968a);
    }

    @NonNull
    public <T> ObjectAnimator f(@NonNull String str, @NonNull T t7, @NonNull Property<T, ?> property) {
        ObjectAnimator ofPropertyValuesHolder = ObjectAnimator.ofPropertyValuesHolder(t7, g(str));
        ofPropertyValuesHolder.setProperty(property);
        h(str).a(ofPropertyValuesHolder);
        return ofPropertyValuesHolder;
    }

    @NonNull
    public PropertyValuesHolder[] g(String str) {
        if (j(str)) {
            return b(this.f6969b.get(str));
        }
        throw new IllegalArgumentException();
    }

    public i h(String str) {
        if (k(str)) {
            return this.f6968a.get(str);
        }
        throw new IllegalArgumentException();
    }

    public int hashCode() {
        return this.f6968a.hashCode();
    }

    public long i() {
        int size = this.f6968a.size();
        long j7 = 0;
        for (int i7 = 0; i7 < size; i7++) {
            i valueAt = this.f6968a.valueAt(i7);
            j7 = Math.max(j7, valueAt.c() + valueAt.d());
        }
        return j7;
    }

    public boolean j(String str) {
        return this.f6969b.get(str) != null;
    }

    public boolean k(String str) {
        return this.f6968a.get(str) != null;
    }

    public void l(String str, PropertyValuesHolder[] propertyValuesHolderArr) {
        this.f6969b.put(str, propertyValuesHolderArr);
    }

    public void m(String str, @Nullable i iVar) {
        this.f6968a.put(str, iVar);
    }

    @NonNull
    public String toString() {
        return '\n' + getClass().getName() + '{' + Integer.toHexString(System.identityHashCode(this)) + " timings: " + this.f6968a + "}\n";
    }
}
