package com.google.android.material.appbar;

import android.animation.ValueAnimator;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.view.animation.AnimationUtils;
import android.view.animation.Interpolator;
import android.widget.LinearLayout;
import android.widget.ListView;
import android.widget.ScrollView;
import androidx.annotation.ColorInt;
import androidx.annotation.DrawableRes;
import androidx.annotation.IdRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.annotation.RestrictTo;
import androidx.annotation.VisibleForTesting;
import androidx.appcompat.content.res.AppCompatResources;
import androidx.coordinatorlayout.widget.CoordinatorLayout;
import androidx.core.graphics.drawable.DrawableCompat;
import androidx.core.math.MathUtils;
import androidx.core.util.ObjectsCompat;
import androidx.core.view.NestedScrollingChild;
import androidx.core.view.OnApplyWindowInsetsListener;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;
import androidx.core.view.accessibility.AccessibilityNodeInfoCompat;
import androidx.core.view.accessibility.AccessibilityViewCommand;
import androidx.customview.view.AbsSavedState;
import b0.a;
import com.google.android.material.internal.q;
import com.google.android.material.shape.j;
import com.google.android.material.shape.k;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.List;

public class AppBarLayout extends LinearLayout implements CoordinatorLayout.AttachedBehavior {

    /* renamed from: r  reason: collision with root package name */
    static final int f6978r = 0;

    /* renamed from: s  reason: collision with root package name */
    static final int f6979s = 1;

    /* renamed from: t  reason: collision with root package name */
    static final int f6980t = 2;

    /* renamed from: u  reason: collision with root package name */
    static final int f6981u = 4;

    /* renamed from: v  reason: collision with root package name */
    static final int f6982v = 8;

    /* renamed from: w  reason: collision with root package name */
    private static final int f6983w = a.n.sa;

    /* renamed from: x  reason: collision with root package name */
    private static final int f6984x = -1;

    /* renamed from: a  reason: collision with root package name */
    private int f6985a;

    /* renamed from: b  reason: collision with root package name */
    private int f6986b;

    /* renamed from: c  reason: collision with root package name */
    private int f6987c;

    /* renamed from: d  reason: collision with root package name */
    private int f6988d;

    /* renamed from: e  reason: collision with root package name */
    private boolean f6989e;

    /* renamed from: f  reason: collision with root package name */
    private int f6990f;
    @Nullable

    /* renamed from: g  reason: collision with root package name */
    private WindowInsetsCompat f6991g;

    /* renamed from: h  reason: collision with root package name */
    private List<c> f6992h;

    /* renamed from: i  reason: collision with root package name */
    private boolean f6993i;

    /* renamed from: j  reason: collision with root package name */
    private boolean f6994j;

    /* renamed from: k  reason: collision with root package name */
    private boolean f6995k;

    /* renamed from: l  reason: collision with root package name */
    private boolean f6996l;
    @IdRes

    /* renamed from: m  reason: collision with root package name */
    private int f6997m;
    @Nullable

    /* renamed from: n  reason: collision with root package name */
    private WeakReference<View> f6998n;
    @Nullable

    /* renamed from: o  reason: collision with root package name */
    private ValueAnimator f6999o;

    /* renamed from: p  reason: collision with root package name */
    private int[] f7000p;
    @Nullable

    /* renamed from: q  reason: collision with root package name */
    private Drawable f7001q;

    /* access modifiers changed from: protected */
    public static class BaseBehavior<T extends AppBarLayout> extends b<T> {

        /* renamed from: t  reason: collision with root package name */
        private static final int f7002t = 600;

        /* renamed from: u  reason: collision with root package name */
        private static final int f7003u = -1;

        /* renamed from: l  reason: collision with root package name */
        private int f7004l;

        /* renamed from: m  reason: collision with root package name */
        private int f7005m;

        /* renamed from: n  reason: collision with root package name */
        private ValueAnimator f7006n;

        /* renamed from: o  reason: collision with root package name */
        private int f7007o = -1;

        /* renamed from: p  reason: collision with root package name */
        private boolean f7008p;

        /* renamed from: q  reason: collision with root package name */
        private float f7009q;
        @Nullable

        /* renamed from: r  reason: collision with root package name */
        private WeakReference<View> f7010r;

        /* renamed from: s  reason: collision with root package name */
        private d f7011s;

        /* access modifiers changed from: protected */
        public static class SavedState extends AbsSavedState {
            public static final Parcelable.Creator<SavedState> CREATOR = new a();

            /* renamed from: f  reason: collision with root package name */
            int f7012f;

            /* renamed from: g  reason: collision with root package name */
            float f7013g;

            /* renamed from: p  reason: collision with root package name */
            boolean f7014p;

            static class a implements Parcelable.ClassLoaderCreator<SavedState> {
                a() {
                }

                @Nullable
                /* renamed from: a */
                public SavedState createFromParcel(@NonNull Parcel parcel) {
                    return new SavedState(parcel, null);
                }

                @NonNull
                /* renamed from: b */
                public SavedState createFromParcel(@NonNull Parcel parcel, ClassLoader classLoader) {
                    return new SavedState(parcel, classLoader);
                }

                @NonNull
                /* renamed from: c */
                public SavedState[] newArray(int i7) {
                    return new SavedState[i7];
                }
            }

            public SavedState(@NonNull Parcel parcel, ClassLoader classLoader) {
                super(parcel, classLoader);
                this.f7012f = parcel.readInt();
                this.f7013g = parcel.readFloat();
                this.f7014p = parcel.readByte() != 0;
            }

            @Override // androidx.customview.view.AbsSavedState
            public void writeToParcel(@NonNull Parcel parcel, int i7) {
                super.writeToParcel(parcel, i7);
                parcel.writeInt(this.f7012f);
                parcel.writeFloat(this.f7013g);
                parcel.writeByte(this.f7014p ? (byte) 1 : 0);
            }

            public SavedState(Parcelable parcelable) {
                super(parcelable);
            }
        }

        /* access modifiers changed from: package-private */
        public class a implements ValueAnimator.AnimatorUpdateListener {

            /* renamed from: f  reason: collision with root package name */
            final /* synthetic */ CoordinatorLayout f7015f;

            /* renamed from: g  reason: collision with root package name */
            final /* synthetic */ AppBarLayout f7016g;

            a(CoordinatorLayout coordinatorLayout, AppBarLayout appBarLayout) {
                this.f7015f = coordinatorLayout;
                this.f7016g = appBarLayout;
            }

            public void onAnimationUpdate(@NonNull ValueAnimator valueAnimator) {
                BaseBehavior.this.r(this.f7015f, this.f7016g, ((Integer) valueAnimator.getAnimatedValue()).intValue());
            }
        }

        /* access modifiers changed from: package-private */
        public class b implements AccessibilityViewCommand {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ CoordinatorLayout f7018a;

            /* renamed from: b  reason: collision with root package name */
            final /* synthetic */ AppBarLayout f7019b;

            /* renamed from: c  reason: collision with root package name */
            final /* synthetic */ View f7020c;

            /* renamed from: d  reason: collision with root package name */
            final /* synthetic */ int f7021d;

            b(CoordinatorLayout coordinatorLayout, AppBarLayout appBarLayout, View view, int i7) {
                this.f7018a = coordinatorLayout;
                this.f7019b = appBarLayout;
                this.f7020c = view;
                this.f7021d = i7;
            }

            /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: com.google.android.material.appbar.AppBarLayout$BaseBehavior */
            /* JADX WARN: Multi-variable type inference failed */
            @Override // androidx.core.view.accessibility.AccessibilityViewCommand
            public boolean perform(@NonNull View view, @Nullable AccessibilityViewCommand.CommandArguments commandArguments) {
                BaseBehavior.this.onNestedPreScroll(this.f7018a, this.f7019b, this.f7020c, 0, this.f7021d, new int[]{0, 0}, 1);
                return true;
            }
        }

        /* access modifiers changed from: package-private */
        public class c implements AccessibilityViewCommand {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ AppBarLayout f7023a;

            /* renamed from: b  reason: collision with root package name */
            final /* synthetic */ boolean f7024b;

            c(AppBarLayout appBarLayout, boolean z7) {
                this.f7023a = appBarLayout;
                this.f7024b = z7;
            }

            @Override // androidx.core.view.accessibility.AccessibilityViewCommand
            public boolean perform(@NonNull View view, @Nullable AccessibilityViewCommand.CommandArguments commandArguments) {
                this.f7023a.setExpanded(this.f7024b);
                return true;
            }
        }

        public static abstract class d<T extends AppBarLayout> {
            public abstract boolean a(@NonNull T t7);
        }

        public BaseBehavior() {
        }

        private static boolean A(int i7, int i8) {
            return (i7 & i8) == i8;
        }

        @Nullable
        private View B(@NonNull CoordinatorLayout coordinatorLayout) {
            int childCount = coordinatorLayout.getChildCount();
            for (int i7 = 0; i7 < childCount; i7++) {
                View childAt = coordinatorLayout.getChildAt(i7);
                if ((childAt instanceof NestedScrollingChild) || (childAt instanceof ListView) || (childAt instanceof ScrollView)) {
                    return childAt;
                }
            }
            return null;
        }

        @Nullable
        private static View C(@NonNull AppBarLayout appBarLayout, int i7) {
            int abs = Math.abs(i7);
            int childCount = appBarLayout.getChildCount();
            for (int i8 = 0; i8 < childCount; i8++) {
                View childAt = appBarLayout.getChildAt(i8);
                if (abs >= childAt.getTop() && abs <= childAt.getBottom()) {
                    return childAt;
                }
            }
            return null;
        }

        private int D(@NonNull T t7, int i7) {
            int childCount = t7.getChildCount();
            for (int i8 = 0; i8 < childCount; i8++) {
                View childAt = t7.getChildAt(i8);
                int top = childAt.getTop();
                int bottom = childAt.getBottom();
                d dVar = (d) childAt.getLayoutParams();
                if (A(dVar.a(), 32)) {
                    top -= ((LinearLayout.LayoutParams) dVar).topMargin;
                    bottom += ((LinearLayout.LayoutParams) dVar).bottomMargin;
                }
                int i9 = -i7;
                if (top <= i9 && bottom >= i9) {
                    return i8;
                }
            }
            return -1;
        }

        private int G(@NonNull T t7, int i7) {
            int abs = Math.abs(i7);
            int childCount = t7.getChildCount();
            int i8 = 0;
            int i9 = 0;
            while (true) {
                if (i9 >= childCount) {
                    break;
                }
                View childAt = t7.getChildAt(i9);
                d dVar = (d) childAt.getLayoutParams();
                Interpolator b7 = dVar.b();
                if (abs < childAt.getTop() || abs > childAt.getBottom()) {
                    i9++;
                } else if (b7 != null) {
                    int a8 = dVar.a();
                    if ((a8 & 1) != 0) {
                        i8 = 0 + childAt.getHeight() + ((LinearLayout.LayoutParams) dVar).topMargin + ((LinearLayout.LayoutParams) dVar).bottomMargin;
                        if ((a8 & 2) != 0) {
                            i8 -= ViewCompat.getMinimumHeight(childAt);
                        }
                    }
                    if (ViewCompat.getFitsSystemWindows(childAt)) {
                        i8 -= t7.getTopInset();
                    }
                    if (i8 > 0) {
                        float f7 = (float) i8;
                        return Integer.signum(i7) * (childAt.getTop() + Math.round(f7 * b7.getInterpolation(((float) (abs - childAt.getTop())) / f7)));
                    }
                }
            }
            return i7;
        }

        private boolean T(@NonNull CoordinatorLayout coordinatorLayout, @NonNull T t7) {
            List<View> dependents = coordinatorLayout.getDependents(t7);
            int size = dependents.size();
            for (int i7 = 0; i7 < size; i7++) {
                CoordinatorLayout.Behavior behavior = ((CoordinatorLayout.LayoutParams) dependents.get(i7).getLayoutParams()).getBehavior();
                if (behavior instanceof ScrollingViewBehavior) {
                    return ((ScrollingViewBehavior) behavior).m() != 0;
                }
            }
            return false;
        }

        private void U(CoordinatorLayout coordinatorLayout, @NonNull T t7) {
            int o7 = o();
            int D = D(t7, o7);
            if (D >= 0) {
                View childAt = t7.getChildAt(D);
                d dVar = (d) childAt.getLayoutParams();
                int a8 = dVar.a();
                if ((a8 & 17) == 17) {
                    int i7 = -childAt.getTop();
                    int i8 = -childAt.getBottom();
                    if (D == t7.getChildCount() - 1) {
                        i8 += t7.getTopInset();
                    }
                    if (A(a8, 2)) {
                        i8 += ViewCompat.getMinimumHeight(childAt);
                    } else if (A(a8, 5)) {
                        int minimumHeight = ViewCompat.getMinimumHeight(childAt) + i8;
                        if (o7 < minimumHeight) {
                            i7 = minimumHeight;
                        } else {
                            i8 = minimumHeight;
                        }
                    }
                    if (A(a8, 32)) {
                        i7 += ((LinearLayout.LayoutParams) dVar).topMargin;
                        i8 -= ((LinearLayout.LayoutParams) dVar).bottomMargin;
                    }
                    if (o7 < (i8 + i7) / 2) {
                        i7 = i8;
                    }
                    w(coordinatorLayout, t7, MathUtils.clamp(i7, -t7.getTotalScrollRange(), 0), 0.0f);
                }
            }
        }

        private void V(CoordinatorLayout coordinatorLayout, @NonNull T t7) {
            ViewCompat.removeAccessibilityAction(coordinatorLayout, AccessibilityNodeInfoCompat.AccessibilityActionCompat.ACTION_SCROLL_FORWARD.getId());
            ViewCompat.removeAccessibilityAction(coordinatorLayout, AccessibilityNodeInfoCompat.AccessibilityActionCompat.ACTION_SCROLL_BACKWARD.getId());
            View B = B(coordinatorLayout);
            if (B != null && t7.getTotalScrollRange() != 0 && (((CoordinatorLayout.LayoutParams) B.getLayoutParams()).getBehavior() instanceof ScrollingViewBehavior)) {
                u(coordinatorLayout, t7, B);
            }
        }

        private void W(@NonNull CoordinatorLayout coordinatorLayout, @NonNull T t7, int i7, int i8, boolean z7) {
            View C = C(t7, i7);
            if (C != null) {
                int a8 = ((d) C.getLayoutParams()).a();
                boolean z8 = false;
                if ((a8 & 1) != 0) {
                    int minimumHeight = ViewCompat.getMinimumHeight(C);
                    if (i8 <= 0 || (a8 & 12) == 0 ? !((a8 & 2) == 0 || (-i7) < (C.getBottom() - minimumHeight) - t7.getTopInset()) : (-i7) >= (C.getBottom() - minimumHeight) - t7.getTopInset()) {
                        z8 = true;
                    }
                }
                if (t7.l()) {
                    z8 = t7.z(B(coordinatorLayout));
                }
                boolean x7 = t7.x(z8);
                if (z7 || (x7 && T(coordinatorLayout, t7))) {
                    t7.jumpDrawablesToCurrentState();
                }
            }
        }

        private void u(CoordinatorLayout coordinatorLayout, @NonNull T t7, @NonNull View view) {
            if (o() != (-t7.getTotalScrollRange()) && view.canScrollVertically(1)) {
                v(coordinatorLayout, t7, AccessibilityNodeInfoCompat.AccessibilityActionCompat.ACTION_SCROLL_FORWARD, false);
            }
            if (o() == 0) {
                return;
            }
            if (view.canScrollVertically(-1)) {
                int i7 = -t7.getDownNestedPreScrollRange();
                if (i7 != 0) {
                    ViewCompat.replaceAccessibilityAction(coordinatorLayout, AccessibilityNodeInfoCompat.AccessibilityActionCompat.ACTION_SCROLL_BACKWARD, null, new b(coordinatorLayout, t7, view, i7));
                    return;
                }
                return;
            }
            v(coordinatorLayout, t7, AccessibilityNodeInfoCompat.AccessibilityActionCompat.ACTION_SCROLL_BACKWARD, true);
        }

        private void v(CoordinatorLayout coordinatorLayout, @NonNull T t7, @NonNull AccessibilityNodeInfoCompat.AccessibilityActionCompat accessibilityActionCompat, boolean z7) {
            ViewCompat.replaceAccessibilityAction(coordinatorLayout, accessibilityActionCompat, null, new c(t7, z7));
        }

        private void w(CoordinatorLayout coordinatorLayout, @NonNull T t7, int i7, float f7) {
            int abs = Math.abs(o() - i7);
            float abs2 = Math.abs(f7);
            x(coordinatorLayout, t7, i7, abs2 > 0.0f ? Math.round((((float) abs) / abs2) * 1000.0f) * 3 : (int) (((((float) abs) / ((float) t7.getHeight())) + 1.0f) * 150.0f));
        }

        private void x(CoordinatorLayout coordinatorLayout, T t7, int i7, int i8) {
            int o7 = o();
            if (o7 == i7) {
                ValueAnimator valueAnimator = this.f7006n;
                if (valueAnimator != null && valueAnimator.isRunning()) {
                    this.f7006n.cancel();
                    return;
                }
                return;
            }
            ValueAnimator valueAnimator2 = this.f7006n;
            if (valueAnimator2 == null) {
                ValueAnimator valueAnimator3 = new ValueAnimator();
                this.f7006n = valueAnimator3;
                valueAnimator3.setInterpolator(com.google.android.material.animation.a.f6958e);
                this.f7006n.addUpdateListener(new a(coordinatorLayout, t7));
            } else {
                valueAnimator2.cancel();
            }
            this.f7006n.setDuration((long) Math.min(i8, (int) f7002t));
            this.f7006n.setIntValues(o7, i7);
            this.f7006n.start();
        }

        private boolean z(@NonNull CoordinatorLayout coordinatorLayout, @NonNull T t7, @NonNull View view) {
            return t7.j() && coordinatorLayout.getHeight() - view.getHeight() <= t7.getHeight();
        }

        /* access modifiers changed from: package-private */
        /* renamed from: E */
        public int m(@NonNull T t7) {
            return -t7.getDownNestedScrollRange();
        }

        /* access modifiers changed from: package-private */
        /* renamed from: F */
        public int n(@NonNull T t7) {
            return t7.getTotalScrollRange();
        }

        /* access modifiers changed from: package-private */
        @VisibleForTesting
        public boolean H() {
            ValueAnimator valueAnimator = this.f7006n;
            return valueAnimator != null && valueAnimator.isRunning();
        }

        /* access modifiers changed from: package-private */
        /* renamed from: I */
        public void p(@NonNull CoordinatorLayout coordinatorLayout, @NonNull T t7) {
            U(coordinatorLayout, t7);
            if (t7.l()) {
                t7.x(t7.z(B(coordinatorLayout)));
            }
        }

        /* renamed from: J */
        public boolean onLayoutChild(@NonNull CoordinatorLayout coordinatorLayout, @NonNull T t7, int i7) {
            boolean onLayoutChild = super.onLayoutChild(coordinatorLayout, t7, i7);
            int pendingAction = t7.getPendingAction();
            int i8 = this.f7007o;
            if (i8 >= 0 && (pendingAction & 8) == 0) {
                View childAt = t7.getChildAt(i8);
                r(coordinatorLayout, t7, (-childAt.getBottom()) + (this.f7008p ? ViewCompat.getMinimumHeight(childAt) + t7.getTopInset() : Math.round(((float) childAt.getHeight()) * this.f7009q)));
            } else if (pendingAction != 0) {
                boolean z7 = (pendingAction & 4) != 0;
                if ((pendingAction & 2) != 0) {
                    int i9 = -t7.getUpNestedPreScrollRange();
                    if (z7) {
                        w(coordinatorLayout, t7, i9, 0.0f);
                    } else {
                        r(coordinatorLayout, t7, i9);
                    }
                } else if ((pendingAction & 1) != 0) {
                    if (z7) {
                        w(coordinatorLayout, t7, 0, 0.0f);
                    } else {
                        r(coordinatorLayout, t7, 0);
                    }
                }
            }
            t7.r();
            this.f7007o = -1;
            h(MathUtils.clamp(b(), -t7.getTotalScrollRange(), 0));
            W(coordinatorLayout, t7, b(), 0, true);
            t7.n(b());
            V(coordinatorLayout, t7);
            return onLayoutChild;
        }

        /* renamed from: K */
        public boolean onMeasureChild(@NonNull CoordinatorLayout coordinatorLayout, @NonNull T t7, int i7, int i8, int i9, int i10) {
            if (((ViewGroup.MarginLayoutParams) ((CoordinatorLayout.LayoutParams) t7.getLayoutParams())).height != -2) {
                return super.onMeasureChild(coordinatorLayout, t7, i7, i8, i9, i10);
            }
            coordinatorLayout.onMeasureChild(t7, i7, i8, View.MeasureSpec.makeMeasureSpec(0, 0), i10);
            return true;
        }

        /* renamed from: L */
        public void onNestedPreScroll(CoordinatorLayout coordinatorLayout, @NonNull T t7, View view, int i7, int i8, int[] iArr, int i9) {
            int i10;
            int i11;
            if (i8 != 0) {
                if (i8 < 0) {
                    i11 = -t7.getTotalScrollRange();
                    i10 = t7.getDownNestedPreScrollRange() + i11;
                } else {
                    i11 = -t7.getUpNestedPreScrollRange();
                    i10 = 0;
                }
                if (i11 != i10) {
                    iArr[1] = q(coordinatorLayout, t7, i8, i11, i10);
                }
            }
            if (t7.l()) {
                t7.x(t7.z(view));
            }
        }

        /* renamed from: M */
        public void onNestedScroll(CoordinatorLayout coordinatorLayout, @NonNull T t7, View view, int i7, int i8, int i9, int i10, int i11, int[] iArr) {
            if (i10 < 0) {
                iArr[1] = q(coordinatorLayout, t7, i10, -t7.getDownNestedScrollRange(), 0);
            }
            if (i10 == 0) {
                V(coordinatorLayout, t7);
            }
        }

        /* renamed from: N */
        public void onRestoreInstanceState(@NonNull CoordinatorLayout coordinatorLayout, @NonNull T t7, Parcelable parcelable) {
            if (parcelable instanceof SavedState) {
                SavedState savedState = (SavedState) parcelable;
                super.onRestoreInstanceState(coordinatorLayout, t7, savedState.getSuperState());
                this.f7007o = savedState.f7012f;
                this.f7009q = savedState.f7013g;
                this.f7008p = savedState.f7014p;
                return;
            }
            super.onRestoreInstanceState(coordinatorLayout, t7, parcelable);
            this.f7007o = -1;
        }

        /* renamed from: O */
        public Parcelable onSaveInstanceState(@NonNull CoordinatorLayout coordinatorLayout, @NonNull T t7) {
            Parcelable onSaveInstanceState = super.onSaveInstanceState(coordinatorLayout, t7);
            int b7 = b();
            int childCount = t7.getChildCount();
            boolean z7 = false;
            for (int i7 = 0; i7 < childCount; i7++) {
                View childAt = t7.getChildAt(i7);
                int bottom = childAt.getBottom() + b7;
                if (childAt.getTop() + b7 <= 0 && bottom >= 0) {
                    SavedState savedState = new SavedState(onSaveInstanceState);
                    savedState.f7012f = i7;
                    if (bottom == ViewCompat.getMinimumHeight(childAt) + t7.getTopInset()) {
                        z7 = true;
                    }
                    savedState.f7014p = z7;
                    savedState.f7013g = ((float) bottom) / ((float) childAt.getHeight());
                    return savedState;
                }
            }
            return onSaveInstanceState;
        }

        /* renamed from: P */
        public boolean onStartNestedScroll(@NonNull CoordinatorLayout coordinatorLayout, @NonNull T t7, @NonNull View view, View view2, int i7, int i8) {
            ValueAnimator valueAnimator;
            boolean z7 = (i7 & 2) != 0 && (t7.l() || z(coordinatorLayout, t7, view));
            if (z7 && (valueAnimator = this.f7006n) != null) {
                valueAnimator.cancel();
            }
            this.f7010r = null;
            this.f7005m = i8;
            return z7;
        }

        /* renamed from: Q */
        public void onStopNestedScroll(CoordinatorLayout coordinatorLayout, @NonNull T t7, View view, int i7) {
            if (this.f7005m == 0 || i7 == 1) {
                U(coordinatorLayout, t7);
                if (t7.l()) {
                    t7.x(t7.z(view));
                }
            }
            this.f7010r = new WeakReference<>(view);
        }

        public void R(@Nullable d dVar) {
            this.f7011s = dVar;
        }

        /* access modifiers changed from: package-private */
        /* renamed from: S */
        public int s(@NonNull CoordinatorLayout coordinatorLayout, @NonNull T t7, int i7, int i8, int i9) {
            int o7 = o();
            int i10 = 0;
            if (i8 == 0 || o7 < i8 || o7 > i9) {
                this.f7004l = 0;
            } else {
                int clamp = MathUtils.clamp(i7, i8, i9);
                if (o7 != clamp) {
                    int G = t7.h() ? G(t7, clamp) : clamp;
                    boolean h7 = h(G);
                    i10 = o7 - clamp;
                    this.f7004l = clamp - G;
                    if (!h7 && t7.h()) {
                        coordinatorLayout.dispatchDependentViewsChanged(t7);
                    }
                    t7.n(b());
                    W(coordinatorLayout, t7, clamp, clamp < o7 ? -1 : 1, false);
                }
            }
            V(coordinatorLayout, t7);
            return i10;
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.android.material.appbar.b
        public int o() {
            return b() + this.f7004l;
        }

        /* access modifiers changed from: package-private */
        /* renamed from: y */
        public boolean j(T t7) {
            d dVar = this.f7011s;
            if (dVar != null) {
                return dVar.a(t7);
            }
            WeakReference<View> weakReference = this.f7010r;
            if (weakReference == null) {
                return true;
            }
            View view = weakReference.get();
            return view != null && view.isShown() && !view.canScrollVertically(-1);
        }

        public BaseBehavior(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
        }
    }

    public static class Behavior extends BaseBehavior<AppBarLayout> {

        public static abstract class a extends BaseBehavior.d<AppBarLayout> {
        }

        public Behavior() {
        }

        @Override // com.google.android.material.appbar.AppBarLayout.BaseBehavior
        public /* bridge */ /* synthetic */ boolean J(@NonNull CoordinatorLayout coordinatorLayout, @NonNull AppBarLayout appBarLayout, int i7) {
            return super.onLayoutChild(coordinatorLayout, appBarLayout, i7);
        }

        @Override // com.google.android.material.appbar.AppBarLayout.BaseBehavior
        public /* bridge */ /* synthetic */ boolean K(@NonNull CoordinatorLayout coordinatorLayout, @NonNull AppBarLayout appBarLayout, int i7, int i8, int i9, int i10) {
            return super.onMeasureChild(coordinatorLayout, appBarLayout, i7, i8, i9, i10);
        }

        @Override // com.google.android.material.appbar.AppBarLayout.BaseBehavior
        public /* bridge */ /* synthetic */ void L(CoordinatorLayout coordinatorLayout, @NonNull AppBarLayout appBarLayout, View view, int i7, int i8, int[] iArr, int i9) {
            super.onNestedPreScroll(coordinatorLayout, appBarLayout, view, i7, i8, iArr, i9);
        }

        @Override // com.google.android.material.appbar.AppBarLayout.BaseBehavior
        public /* bridge */ /* synthetic */ void M(CoordinatorLayout coordinatorLayout, @NonNull AppBarLayout appBarLayout, View view, int i7, int i8, int i9, int i10, int i11, int[] iArr) {
            super.onNestedScroll(coordinatorLayout, appBarLayout, view, i7, i8, i9, i10, i11, iArr);
        }

        @Override // com.google.android.material.appbar.AppBarLayout.BaseBehavior
        public /* bridge */ /* synthetic */ void N(@NonNull CoordinatorLayout coordinatorLayout, @NonNull AppBarLayout appBarLayout, Parcelable parcelable) {
            super.onRestoreInstanceState(coordinatorLayout, appBarLayout, parcelable);
        }

        @Override // com.google.android.material.appbar.AppBarLayout.BaseBehavior
        public /* bridge */ /* synthetic */ Parcelable O(@NonNull CoordinatorLayout coordinatorLayout, @NonNull AppBarLayout appBarLayout) {
            return super.onSaveInstanceState(coordinatorLayout, appBarLayout);
        }

        @Override // com.google.android.material.appbar.AppBarLayout.BaseBehavior
        public /* bridge */ /* synthetic */ boolean P(@NonNull CoordinatorLayout coordinatorLayout, @NonNull AppBarLayout appBarLayout, @NonNull View view, View view2, int i7, int i8) {
            return super.onStartNestedScroll(coordinatorLayout, appBarLayout, view, view2, i7, i8);
        }

        @Override // com.google.android.material.appbar.AppBarLayout.BaseBehavior
        public /* bridge */ /* synthetic */ void Q(CoordinatorLayout coordinatorLayout, @NonNull AppBarLayout appBarLayout, View view, int i7) {
            super.onStopNestedScroll(coordinatorLayout, appBarLayout, view, i7);
        }

        @Override // com.google.android.material.appbar.AppBarLayout.BaseBehavior
        public /* bridge */ /* synthetic */ void R(@Nullable BaseBehavior.d dVar) {
            super.R(dVar);
        }

        @Override // com.google.android.material.appbar.d
        public /* bridge */ /* synthetic */ int a() {
            return super.a();
        }

        @Override // com.google.android.material.appbar.d
        public /* bridge */ /* synthetic */ int b() {
            return super.b();
        }

        @Override // com.google.android.material.appbar.d
        public /* bridge */ /* synthetic */ boolean c() {
            return super.c();
        }

        @Override // com.google.android.material.appbar.d
        public /* bridge */ /* synthetic */ boolean d() {
            return super.d();
        }

        @Override // com.google.android.material.appbar.d
        public /* bridge */ /* synthetic */ void f(boolean z7) {
            super.f(z7);
        }

        @Override // com.google.android.material.appbar.d
        public /* bridge */ /* synthetic */ boolean g(int i7) {
            return super.g(i7);
        }

        @Override // com.google.android.material.appbar.d
        public /* bridge */ /* synthetic */ boolean h(int i7) {
            return super.h(i7);
        }

        @Override // com.google.android.material.appbar.d
        public /* bridge */ /* synthetic */ void i(boolean z7) {
            super.i(z7);
        }

        public Behavior(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
        }
    }

    public static class ScrollingViewBehavior extends c {
        public ScrollingViewBehavior() {
        }

        private static int t(@NonNull AppBarLayout appBarLayout) {
            CoordinatorLayout.Behavior behavior = ((CoordinatorLayout.LayoutParams) appBarLayout.getLayoutParams()).getBehavior();
            if (behavior instanceof BaseBehavior) {
                return ((BaseBehavior) behavior).o();
            }
            return 0;
        }

        private void u(@NonNull View view, @NonNull View view2) {
            CoordinatorLayout.Behavior behavior = ((CoordinatorLayout.LayoutParams) view2.getLayoutParams()).getBehavior();
            if (behavior instanceof BaseBehavior) {
                ViewCompat.offsetTopAndBottom(view, (((view2.getBottom() - view.getTop()) + ((BaseBehavior) behavior).f7004l) + o()) - k(view2));
            }
        }

        private void v(View view, View view2) {
            if (view2 instanceof AppBarLayout) {
                AppBarLayout appBarLayout = (AppBarLayout) view2;
                if (appBarLayout.l()) {
                    appBarLayout.x(appBarLayout.z(view));
                }
            }
        }

        @Override // com.google.android.material.appbar.d
        public /* bridge */ /* synthetic */ int a() {
            return super.a();
        }

        @Override // com.google.android.material.appbar.d
        public /* bridge */ /* synthetic */ int b() {
            return super.b();
        }

        @Override // com.google.android.material.appbar.d
        public /* bridge */ /* synthetic */ boolean c() {
            return super.c();
        }

        @Override // com.google.android.material.appbar.d
        public /* bridge */ /* synthetic */ boolean d() {
            return super.d();
        }

        @Override // com.google.android.material.appbar.d
        public /* bridge */ /* synthetic */ void f(boolean z7) {
            super.f(z7);
        }

        @Override // com.google.android.material.appbar.d
        public /* bridge */ /* synthetic */ boolean g(int i7) {
            return super.g(i7);
        }

        @Override // com.google.android.material.appbar.d
        public /* bridge */ /* synthetic */ boolean h(int i7) {
            return super.h(i7);
        }

        @Override // com.google.android.material.appbar.d
        public /* bridge */ /* synthetic */ void i(boolean z7) {
            super.i(z7);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.android.material.appbar.c
        public float l(View view) {
            int i7;
            if (view instanceof AppBarLayout) {
                AppBarLayout appBarLayout = (AppBarLayout) view;
                int totalScrollRange = appBarLayout.getTotalScrollRange();
                int downNestedPreScrollRange = appBarLayout.getDownNestedPreScrollRange();
                int t7 = t(appBarLayout);
                if ((downNestedPreScrollRange == 0 || totalScrollRange + t7 > downNestedPreScrollRange) && (i7 = totalScrollRange - downNestedPreScrollRange) != 0) {
                    return (((float) t7) / ((float) i7)) + 1.0f;
                }
            }
            return 0.0f;
        }

        @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
        public boolean layoutDependsOn(CoordinatorLayout coordinatorLayout, View view, View view2) {
            return view2 instanceof AppBarLayout;
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.android.material.appbar.c
        public int n(View view) {
            return view instanceof AppBarLayout ? ((AppBarLayout) view).getTotalScrollRange() : super.n(view);
        }

        @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
        public boolean onDependentViewChanged(@NonNull CoordinatorLayout coordinatorLayout, @NonNull View view, @NonNull View view2) {
            u(view, view2);
            v(view, view2);
            return false;
        }

        @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
        public void onDependentViewRemoved(@NonNull CoordinatorLayout coordinatorLayout, @NonNull View view, @NonNull View view2) {
            if (view2 instanceof AppBarLayout) {
                ViewCompat.removeAccessibilityAction(coordinatorLayout, AccessibilityNodeInfoCompat.AccessibilityActionCompat.ACTION_SCROLL_FORWARD.getId());
                ViewCompat.removeAccessibilityAction(coordinatorLayout, AccessibilityNodeInfoCompat.AccessibilityActionCompat.ACTION_SCROLL_BACKWARD.getId());
            }
        }

        @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior, com.google.android.material.appbar.d
        public /* bridge */ /* synthetic */ boolean onLayoutChild(@NonNull CoordinatorLayout coordinatorLayout, @NonNull View view, int i7) {
            return super.onLayoutChild(coordinatorLayout, view, i7);
        }

        @Override // com.google.android.material.appbar.c, androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
        public /* bridge */ /* synthetic */ boolean onMeasureChild(@NonNull CoordinatorLayout coordinatorLayout, @NonNull View view, int i7, int i8, int i9, int i10) {
            return super.onMeasureChild(coordinatorLayout, view, i7, i8, i9, i10);
        }

        @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
        public boolean onRequestChildRectangleOnScreen(@NonNull CoordinatorLayout coordinatorLayout, @NonNull View view, @NonNull Rect rect, boolean z7) {
            AppBarLayout s7 = j(coordinatorLayout.getDependencies(view));
            if (s7 != null) {
                rect.offset(view.getLeft(), view.getTop());
                Rect rect2 = this.f7091d;
                rect2.set(0, 0, coordinatorLayout.getWidth(), coordinatorLayout.getHeight());
                if (!rect2.contains(rect)) {
                    s7.s(false, !z7);
                    return true;
                }
            }
            return false;
        }

        /* access modifiers changed from: package-private */
        @Nullable
        /* renamed from: s */
        public AppBarLayout j(@NonNull List<View> list) {
            int size = list.size();
            for (int i7 = 0; i7 < size; i7++) {
                View view = list.get(i7);
                if (view instanceof AppBarLayout) {
                    return (AppBarLayout) view;
                }
            }
            return null;
        }

        public ScrollingViewBehavior(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, a.o.On);
            q(obtainStyledAttributes.getDimensionPixelSize(a.o.Pn, 0));
            obtainStyledAttributes.recycle();
        }
    }

    class a implements OnApplyWindowInsetsListener {
        a() {
        }

        @Override // androidx.core.view.OnApplyWindowInsetsListener
        public WindowInsetsCompat onApplyWindowInsets(View view, WindowInsetsCompat windowInsetsCompat) {
            return AppBarLayout.this.o(windowInsetsCompat);
        }
    }

    /* access modifiers changed from: package-private */
    public class b implements ValueAnimator.AnimatorUpdateListener {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ j f7027f;

        b(j jVar) {
            this.f7027f = jVar;
        }

        public void onAnimationUpdate(@NonNull ValueAnimator valueAnimator) {
            this.f7027f.m0(((Float) valueAnimator.getAnimatedValue()).floatValue());
        }
    }

    public interface c<T extends AppBarLayout> {
        void a(T t7, int i7);
    }

    public static class d extends LinearLayout.LayoutParams {

        /* renamed from: c  reason: collision with root package name */
        public static final int f7029c = 0;

        /* renamed from: d  reason: collision with root package name */
        public static final int f7030d = 1;

        /* renamed from: e  reason: collision with root package name */
        public static final int f7031e = 2;

        /* renamed from: f  reason: collision with root package name */
        public static final int f7032f = 4;

        /* renamed from: g  reason: collision with root package name */
        public static final int f7033g = 8;

        /* renamed from: h  reason: collision with root package name */
        public static final int f7034h = 16;

        /* renamed from: i  reason: collision with root package name */
        public static final int f7035i = 32;

        /* renamed from: j  reason: collision with root package name */
        static final int f7036j = 5;

        /* renamed from: k  reason: collision with root package name */
        static final int f7037k = 17;

        /* renamed from: l  reason: collision with root package name */
        static final int f7038l = 10;

        /* renamed from: a  reason: collision with root package name */
        int f7039a = 1;

        /* renamed from: b  reason: collision with root package name */
        Interpolator f7040b;

        @Retention(RetentionPolicy.SOURCE)
        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
        public @interface a {
        }

        public d(int i7, int i8) {
            super(i7, i8);
        }

        public int a() {
            return this.f7039a;
        }

        public Interpolator b() {
            return this.f7040b;
        }

        /* access modifiers changed from: package-private */
        public boolean c() {
            int i7 = this.f7039a;
            return (i7 & 1) == 1 && (i7 & 10) != 0;
        }

        public void d(int i7) {
            this.f7039a = i7;
        }

        public void e(Interpolator interpolator) {
            this.f7040b = interpolator;
        }

        public d(int i7, int i8, float f7) {
            super(i7, i8, f7);
        }

        public d(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, a.o.F0);
            this.f7039a = obtainStyledAttributes.getInt(a.o.G0, 0);
            if (obtainStyledAttributes.hasValue(a.o.H0)) {
                this.f7040b = AnimationUtils.loadInterpolator(context, obtainStyledAttributes.getResourceId(a.o.H0, 0));
            }
            obtainStyledAttributes.recycle();
        }

        public d(ViewGroup.LayoutParams layoutParams) {
            super(layoutParams);
        }

        public d(ViewGroup.MarginLayoutParams marginLayoutParams) {
            super(marginLayoutParams);
        }

        @RequiresApi(19)
        public d(LinearLayout.LayoutParams layoutParams) {
            super(layoutParams);
        }

        @RequiresApi(19)
        public d(@NonNull d dVar) {
            super((LinearLayout.LayoutParams) dVar);
            this.f7039a = dVar.f7039a;
            this.f7040b = dVar.f7040b;
        }
    }

    public interface e extends c<AppBarLayout> {
        @Override // com.google.android.material.appbar.AppBarLayout.c
        void a(AppBarLayout appBarLayout, int i7);
    }

    public AppBarLayout(@NonNull Context context) {
        this(context, null);
    }

    private boolean A() {
        if (getChildCount() <= 0) {
            return false;
        }
        View childAt = getChildAt(0);
        return childAt.getVisibility() != 8 && !ViewCompat.getFitsSystemWindows(childAt);
    }

    private void B(@NonNull j jVar, boolean z7) {
        float dimension = getResources().getDimension(a.f.O0);
        float f7 = z7 ? 0.0f : dimension;
        if (!z7) {
            dimension = 0.0f;
        }
        ValueAnimator valueAnimator = this.f6999o;
        if (valueAnimator != null) {
            valueAnimator.cancel();
        }
        ValueAnimator ofFloat = ValueAnimator.ofFloat(f7, dimension);
        this.f6999o = ofFloat;
        ofFloat.setDuration((long) getResources().getInteger(a.i.f1468c));
        this.f6999o.setInterpolator(com.google.android.material.animation.a.f6954a);
        this.f6999o.addUpdateListener(new b(jVar));
        this.f6999o.start();
    }

    private void C() {
        setWillNotDraw(!y());
    }

    private void c() {
        WeakReference<View> weakReference = this.f6998n;
        if (weakReference != null) {
            weakReference.clear();
        }
        this.f6998n = null;
    }

    @Nullable
    private View d(@Nullable View view) {
        int i7;
        if (this.f6998n == null && (i7 = this.f6997m) != -1) {
            View findViewById = view != null ? view.findViewById(i7) : null;
            if (findViewById == null && (getParent() instanceof ViewGroup)) {
                findViewById = ((ViewGroup) getParent()).findViewById(this.f6997m);
            }
            if (findViewById != null) {
                this.f6998n = new WeakReference<>(findViewById);
            }
        }
        WeakReference<View> weakReference = this.f6998n;
        if (weakReference != null) {
            return weakReference.get();
        }
        return null;
    }

    private boolean i() {
        int childCount = getChildCount();
        for (int i7 = 0; i7 < childCount; i7++) {
            if (((d) getChildAt(i7).getLayoutParams()).c()) {
                return true;
            }
        }
        return false;
    }

    private void k() {
        this.f6986b = -1;
        this.f6987c = -1;
        this.f6988d = -1;
    }

    private void t(boolean z7, boolean z8, boolean z9) {
        int i7 = 0;
        int i8 = (z7 ? 1 : 2) | (z8 ? 4 : 0);
        if (z9) {
            i7 = 8;
        }
        this.f6990f = i8 | i7;
        requestLayout();
    }

    private boolean v(boolean z7) {
        if (this.f6994j == z7) {
            return false;
        }
        this.f6994j = z7;
        refreshDrawableState();
        return true;
    }

    private boolean y() {
        return this.f7001q != null && getTopInset() > 0;
    }

    public void a(@Nullable c cVar) {
        if (this.f6992h == null) {
            this.f6992h = new ArrayList();
        }
        if (cVar != null && !this.f6992h.contains(cVar)) {
            this.f6992h.add(cVar);
        }
    }

    public void b(e eVar) {
        a(eVar);
    }

    /* access modifiers changed from: protected */
    public boolean checkLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return layoutParams instanceof d;
    }

    public void draw(@NonNull Canvas canvas) {
        super.draw(canvas);
        if (y()) {
            int save = canvas.save();
            canvas.translate(0.0f, (float) (-this.f6985a));
            this.f7001q.draw(canvas);
            canvas.restoreToCount(save);
        }
    }

    /* access modifiers changed from: protected */
    public void drawableStateChanged() {
        super.drawableStateChanged();
        int[] drawableState = getDrawableState();
        Drawable drawable = this.f7001q;
        if (drawable != null && drawable.isStateful() && drawable.setState(drawableState)) {
            invalidateDrawable(drawable);
        }
    }

    /* access modifiers changed from: protected */
    /* renamed from: e */
    public d generateDefaultLayoutParams() {
        return new d(-1, -2);
    }

    /* renamed from: f */
    public d generateLayoutParams(AttributeSet attributeSet) {
        return new d(getContext(), attributeSet);
    }

    /* access modifiers changed from: protected */
    /* renamed from: g */
    public d generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return layoutParams instanceof LinearLayout.LayoutParams ? new d((LinearLayout.LayoutParams) layoutParams) : layoutParams instanceof ViewGroup.MarginLayoutParams ? new d((ViewGroup.MarginLayoutParams) layoutParams) : new d(layoutParams);
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.AttachedBehavior
    @NonNull
    public CoordinatorLayout.Behavior<AppBarLayout> getBehavior() {
        return new Behavior();
    }

    /* access modifiers changed from: package-private */
    public int getDownNestedPreScrollRange() {
        int i7;
        int minimumHeight;
        int i8 = this.f6987c;
        if (i8 != -1) {
            return i8;
        }
        int i9 = 0;
        for (int childCount = getChildCount() - 1; childCount >= 0; childCount--) {
            View childAt = getChildAt(childCount);
            d dVar = (d) childAt.getLayoutParams();
            int measuredHeight = childAt.getMeasuredHeight();
            int i10 = dVar.f7039a;
            if ((i10 & 5) == 5) {
                int i11 = ((LinearLayout.LayoutParams) dVar).topMargin + ((LinearLayout.LayoutParams) dVar).bottomMargin;
                if ((i10 & 8) != 0) {
                    minimumHeight = ViewCompat.getMinimumHeight(childAt);
                } else if ((i10 & 2) != 0) {
                    minimumHeight = measuredHeight - ViewCompat.getMinimumHeight(childAt);
                } else {
                    i7 = i11 + measuredHeight;
                    if (childCount == 0 && ViewCompat.getFitsSystemWindows(childAt)) {
                        i7 = Math.min(i7, measuredHeight - getTopInset());
                    }
                    i9 += i7;
                }
                i7 = i11 + minimumHeight;
                i7 = Math.min(i7, measuredHeight - getTopInset());
                i9 += i7;
            } else if (i9 > 0) {
                break;
            }
        }
        int max = Math.max(0, i9);
        this.f6987c = max;
        return max;
    }

    /* access modifiers changed from: package-private */
    public int getDownNestedScrollRange() {
        int i7 = this.f6988d;
        if (i7 != -1) {
            return i7;
        }
        int childCount = getChildCount();
        int i8 = 0;
        int i9 = 0;
        while (true) {
            if (i8 >= childCount) {
                break;
            }
            View childAt = getChildAt(i8);
            d dVar = (d) childAt.getLayoutParams();
            int measuredHeight = childAt.getMeasuredHeight() + ((LinearLayout.LayoutParams) dVar).topMargin + ((LinearLayout.LayoutParams) dVar).bottomMargin;
            int i10 = dVar.f7039a;
            if ((i10 & 1) == 0) {
                break;
            }
            i9 += measuredHeight;
            if ((i10 & 2) != 0) {
                i9 -= ViewCompat.getMinimumHeight(childAt);
                break;
            }
            i8++;
        }
        int max = Math.max(0, i9);
        this.f6988d = max;
        return max;
    }

    @IdRes
    public int getLiftOnScrollTargetViewId() {
        return this.f6997m;
    }

    public final int getMinimumHeightForVisibleOverlappingContent() {
        int topInset = getTopInset();
        int minimumHeight = ViewCompat.getMinimumHeight(this);
        if (minimumHeight == 0) {
            int childCount = getChildCount();
            minimumHeight = childCount >= 1 ? ViewCompat.getMinimumHeight(getChildAt(childCount - 1)) : 0;
            if (minimumHeight == 0) {
                return getHeight() / 3;
            }
        }
        return (minimumHeight * 2) + topInset;
    }

    /* access modifiers changed from: package-private */
    public int getPendingAction() {
        return this.f6990f;
    }

    @Nullable
    public Drawable getStatusBarForeground() {
        return this.f7001q;
    }

    @Deprecated
    public float getTargetElevation() {
        return 0.0f;
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public final int getTopInset() {
        WindowInsetsCompat windowInsetsCompat = this.f6991g;
        if (windowInsetsCompat != null) {
            return windowInsetsCompat.getSystemWindowInsetTop();
        }
        return 0;
    }

    public final int getTotalScrollRange() {
        int i7 = this.f6986b;
        if (i7 != -1) {
            return i7;
        }
        int childCount = getChildCount();
        int i8 = 0;
        int i9 = 0;
        while (true) {
            if (i8 >= childCount) {
                break;
            }
            View childAt = getChildAt(i8);
            d dVar = (d) childAt.getLayoutParams();
            int measuredHeight = childAt.getMeasuredHeight();
            int i10 = dVar.f7039a;
            if ((i10 & 1) == 0) {
                break;
            }
            i9 += measuredHeight + ((LinearLayout.LayoutParams) dVar).topMargin + ((LinearLayout.LayoutParams) dVar).bottomMargin;
            if (i8 == 0 && ViewCompat.getFitsSystemWindows(childAt)) {
                i9 -= getTopInset();
            }
            if ((i10 & 2) != 0) {
                i9 -= ViewCompat.getMinimumHeight(childAt);
                break;
            }
            i8++;
        }
        int max = Math.max(0, i9);
        this.f6986b = max;
        return max;
    }

    /* access modifiers changed from: package-private */
    public int getUpNestedPreScrollRange() {
        return getTotalScrollRange();
    }

    /* access modifiers changed from: package-private */
    public boolean h() {
        return this.f6989e;
    }

    /* access modifiers changed from: package-private */
    public boolean j() {
        return getTotalScrollRange() != 0;
    }

    public boolean l() {
        return this.f6996l;
    }

    public boolean m() {
        return this.f6995k;
    }

    /* access modifiers changed from: package-private */
    public void n(int i7) {
        this.f6985a = i7;
        if (!willNotDraw()) {
            ViewCompat.postInvalidateOnAnimation(this);
        }
        List<c> list = this.f6992h;
        if (list != null) {
            int size = list.size();
            for (int i8 = 0; i8 < size; i8++) {
                c cVar = this.f6992h.get(i8);
                if (cVar != null) {
                    cVar.a(this, i7);
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    public WindowInsetsCompat o(WindowInsetsCompat windowInsetsCompat) {
        WindowInsetsCompat windowInsetsCompat2 = ViewCompat.getFitsSystemWindows(this) ? windowInsetsCompat : null;
        if (!ObjectsCompat.equals(this.f6991g, windowInsetsCompat2)) {
            this.f6991g = windowInsetsCompat2;
            C();
            requestLayout();
        }
        return windowInsetsCompat;
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        k.e(this);
    }

    /* access modifiers changed from: protected */
    public int[] onCreateDrawableState(int i7) {
        if (this.f7000p == null) {
            this.f7000p = new int[4];
        }
        int[] iArr = this.f7000p;
        int[] onCreateDrawableState = super.onCreateDrawableState(i7 + iArr.length);
        boolean z7 = this.f6994j;
        int i8 = a.c.dd;
        if (!z7) {
            i8 = -i8;
        }
        iArr[0] = i8;
        iArr[1] = (!z7 || !this.f6995k) ? -a.c.ed : a.c.ed;
        int i9 = a.c.bd;
        if (!z7) {
            i9 = -i9;
        }
        iArr[2] = i9;
        iArr[3] = (!z7 || !this.f6995k) ? -a.c.ad : a.c.ad;
        return View.mergeDrawableStates(onCreateDrawableState, iArr);
    }

    /* access modifiers changed from: protected */
    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        c();
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z7, int i7, int i8, int i9, int i10) {
        super.onLayout(z7, i7, i8, i9, i10);
        boolean z8 = true;
        if (ViewCompat.getFitsSystemWindows(this) && A()) {
            int topInset = getTopInset();
            for (int childCount = getChildCount() - 1; childCount >= 0; childCount--) {
                ViewCompat.offsetTopAndBottom(getChildAt(childCount), topInset);
            }
        }
        k();
        this.f6989e = false;
        int childCount2 = getChildCount();
        int i11 = 0;
        while (true) {
            if (i11 >= childCount2) {
                break;
            } else if (((d) getChildAt(i11).getLayoutParams()).b() != null) {
                this.f6989e = true;
                break;
            } else {
                i11++;
            }
        }
        Drawable drawable = this.f7001q;
        if (drawable != null) {
            drawable.setBounds(0, 0, getWidth(), getTopInset());
        }
        if (!this.f6993i) {
            if (!this.f6996l && !i()) {
                z8 = false;
            }
            v(z8);
        }
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i7, int i8) {
        super.onMeasure(i7, i8);
        int mode = View.MeasureSpec.getMode(i8);
        if (mode != 1073741824 && ViewCompat.getFitsSystemWindows(this) && A()) {
            int measuredHeight = getMeasuredHeight();
            if (mode == Integer.MIN_VALUE) {
                measuredHeight = MathUtils.clamp(getMeasuredHeight() + getTopInset(), 0, View.MeasureSpec.getSize(i8));
            } else if (mode == 0) {
                measuredHeight += getTopInset();
            }
            setMeasuredDimension(getMeasuredWidth(), measuredHeight);
        }
        k();
    }

    public void p(@Nullable c cVar) {
        List<c> list = this.f6992h;
        if (list != null && cVar != null) {
            list.remove(cVar);
        }
    }

    public void q(e eVar) {
        p(eVar);
    }

    /* access modifiers changed from: package-private */
    public void r() {
        this.f6990f = 0;
    }

    public void s(boolean z7, boolean z8) {
        t(z7, z8, true);
    }

    @RequiresApi(21)
    public void setElevation(float f7) {
        super.setElevation(f7);
        k.d(this, f7);
    }

    public void setExpanded(boolean z7) {
        s(z7, ViewCompat.isLaidOut(this));
    }

    public void setLiftOnScroll(boolean z7) {
        this.f6996l = z7;
    }

    public void setLiftOnScrollTargetViewId(@IdRes int i7) {
        this.f6997m = i7;
        c();
    }

    public void setOrientation(int i7) {
        if (i7 == 1) {
            super.setOrientation(i7);
            return;
        }
        throw new IllegalArgumentException("AppBarLayout is always vertical and does not support horizontal orientation");
    }

    public void setStatusBarForeground(@Nullable Drawable drawable) {
        Drawable drawable2 = this.f7001q;
        if (drawable2 != drawable) {
            Drawable drawable3 = null;
            if (drawable2 != null) {
                drawable2.setCallback(null);
            }
            if (drawable != null) {
                drawable3 = drawable.mutate();
            }
            this.f7001q = drawable3;
            if (drawable3 != null) {
                if (drawable3.isStateful()) {
                    this.f7001q.setState(getDrawableState());
                }
                DrawableCompat.setLayoutDirection(this.f7001q, ViewCompat.getLayoutDirection(this));
                this.f7001q.setVisible(getVisibility() == 0, false);
                this.f7001q.setCallback(this);
            }
            C();
            ViewCompat.postInvalidateOnAnimation(this);
        }
    }

    public void setStatusBarForegroundColor(@ColorInt int i7) {
        setStatusBarForeground(new ColorDrawable(i7));
    }

    public void setStatusBarForegroundResource(@DrawableRes int i7) {
        setStatusBarForeground(AppCompatResources.getDrawable(getContext(), i7));
    }

    @Deprecated
    public void setTargetElevation(float f7) {
        f.b(this, f7);
    }

    public void setVisibility(int i7) {
        super.setVisibility(i7);
        boolean z7 = i7 == 0;
        Drawable drawable = this.f7001q;
        if (drawable != null) {
            drawable.setVisible(z7, false);
        }
    }

    public boolean u(boolean z7) {
        this.f6993i = true;
        return v(z7);
    }

    /* access modifiers changed from: protected */
    public boolean verifyDrawable(@NonNull Drawable drawable) {
        return super.verifyDrawable(drawable) || drawable == this.f7001q;
    }

    public boolean w(boolean z7) {
        return x(z7);
    }

    /* access modifiers changed from: package-private */
    public boolean x(boolean z7) {
        if (this.f6995k == z7) {
            return false;
        }
        this.f6995k = z7;
        refreshDrawableState();
        if (!this.f6996l || !(getBackground() instanceof j)) {
            return true;
        }
        B((j) getBackground(), z7);
        return true;
    }

    /* access modifiers changed from: package-private */
    public boolean z(@Nullable View view) {
        View d7 = d(view);
        if (d7 != null) {
            view = d7;
        }
        return view != null && (view.canScrollVertically(-1) || view.getScrollY() > 0);
    }

    public AppBarLayout(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, a.c.T);
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public AppBarLayout(@NonNull Context context, @Nullable AttributeSet attributeSet, int i7) {
        super(l0.a.c(context, attributeSet, i7, r4), attributeSet, i7);
        int i8 = f6983w;
        this.f6986b = -1;
        this.f6987c = -1;
        this.f6988d = -1;
        this.f6990f = 0;
        Context context2 = getContext();
        setOrientation(1);
        f.a(this);
        f.c(this, attributeSet, i7, i8);
        TypedArray j7 = q.j(context2, attributeSet, a.o.f1965r0, i7, i8, new int[0]);
        ViewCompat.setBackground(this, j7.getDrawable(a.o.f1973s0));
        if (getBackground() instanceof ColorDrawable) {
            j jVar = new j();
            jVar.n0(ColorStateList.valueOf(((ColorDrawable) getBackground()).getColor()));
            jVar.Y(context2);
            ViewCompat.setBackground(this, jVar);
        }
        if (j7.hasValue(a.o.f2005w0)) {
            t(j7.getBoolean(a.o.f2005w0, false), false, false);
        }
        if (j7.hasValue(a.o.f1997v0)) {
            f.b(this, (float) j7.getDimensionPixelSize(a.o.f1997v0, 0));
        }
        if (j7.hasValue(a.o.f1989u0)) {
            setKeyboardNavigationCluster(j7.getBoolean(a.o.f1989u0, false));
        }
        if (j7.hasValue(a.o.f1981t0)) {
            setTouchscreenBlocksFocus(j7.getBoolean(a.o.f1981t0, false));
        }
        this.f6996l = j7.getBoolean(a.o.f2013x0, false);
        this.f6997m = j7.getResourceId(a.o.f2021y0, -1);
        setStatusBarForeground(j7.getDrawable(a.o.f2029z0));
        j7.recycle();
        ViewCompat.setOnApplyWindowInsetsListener(this, new a());
    }
}
