package com.google.android.material.appbar;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.util.Pair;
import android.view.View;
import android.widget.TextView;
import androidx.annotation.ColorInt;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.appcompat.widget.Toolbar;
import androidx.core.graphics.drawable.DrawableCompat;
import androidx.core.view.ViewCompat;
import b0.a;
import com.google.android.material.internal.q;
import com.google.android.material.internal.r;
import com.google.android.material.shape.j;
import com.google.android.material.shape.k;

public class MaterialToolbar extends Toolbar {

    /* renamed from: d  reason: collision with root package name */
    private static final int f7041d = a.n.Nc;
    @Nullable

    /* renamed from: a  reason: collision with root package name */
    private Integer f7042a;

    /* renamed from: b  reason: collision with root package name */
    private boolean f7043b;

    /* renamed from: c  reason: collision with root package name */
    private boolean f7044c;

    public MaterialToolbar(@NonNull Context context) {
        this(context, null);
    }

    private Pair<Integer, Integer> a(@Nullable TextView textView, @Nullable TextView textView2) {
        int measuredWidth = getMeasuredWidth();
        int i7 = measuredWidth / 2;
        int paddingLeft = getPaddingLeft();
        int paddingRight = measuredWidth - getPaddingRight();
        for (int i8 = 0; i8 < getChildCount(); i8++) {
            View childAt = getChildAt(i8);
            if (!(childAt.getVisibility() == 8 || childAt == textView || childAt == textView2)) {
                if (childAt.getRight() < i7 && childAt.getRight() > paddingLeft) {
                    paddingLeft = childAt.getRight();
                }
                if (childAt.getLeft() > i7 && childAt.getLeft() < paddingRight) {
                    paddingRight = childAt.getLeft();
                }
            }
        }
        return new Pair<>(Integer.valueOf(paddingLeft), Integer.valueOf(paddingRight));
    }

    private void b(Context context) {
        Drawable background = getBackground();
        if (background == null || (background instanceof ColorDrawable)) {
            j jVar = new j();
            jVar.n0(ColorStateList.valueOf(background != null ? ((ColorDrawable) background).getColor() : 0));
            jVar.Y(context);
            jVar.m0(ViewCompat.getElevation(this));
            ViewCompat.setBackground(this, jVar);
        }
    }

    private void e(View view, Pair<Integer, Integer> pair) {
        int measuredWidth = getMeasuredWidth();
        int measuredWidth2 = view.getMeasuredWidth();
        int i7 = (measuredWidth / 2) - (measuredWidth2 / 2);
        int i8 = measuredWidth2 + i7;
        int max = Math.max(Math.max(((Integer) pair.first).intValue() - i7, 0), Math.max(i8 - ((Integer) pair.second).intValue(), 0));
        if (max > 0) {
            i7 += max;
            i8 -= max;
            view.measure(View.MeasureSpec.makeMeasureSpec(i8 - i7, 1073741824), view.getMeasuredHeightAndState());
        }
        view.layout(i7, view.getTop(), i8, view.getBottom());
    }

    private void f() {
        if (this.f7043b || this.f7044c) {
            TextView g7 = r.g(this);
            TextView e7 = r.e(this);
            if (g7 != null || e7 != null) {
                Pair<Integer, Integer> a8 = a(g7, e7);
                if (this.f7043b && g7 != null) {
                    e(g7, a8);
                }
                if (this.f7044c && e7 != null) {
                    e(e7, a8);
                }
            }
        }
    }

    @Nullable
    private Drawable g(@Nullable Drawable drawable) {
        if (drawable == null || this.f7042a == null) {
            return drawable;
        }
        Drawable wrap = DrawableCompat.wrap(drawable);
        DrawableCompat.setTint(wrap, this.f7042a.intValue());
        return wrap;
    }

    public boolean c() {
        return this.f7044c;
    }

    public boolean d() {
        return this.f7043b;
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        k.e(this);
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.widget.Toolbar
    public void onLayout(boolean z7, int i7, int i8, int i9, int i10) {
        super.onLayout(z7, i7, i8, i9, i10);
        f();
    }

    @RequiresApi(21)
    public void setElevation(float f7) {
        super.setElevation(f7);
        k.d(this, f7);
    }

    @Override // androidx.appcompat.widget.Toolbar
    public void setNavigationIcon(@Nullable Drawable drawable) {
        super.setNavigationIcon(g(drawable));
    }

    public void setNavigationIconTint(@ColorInt int i7) {
        this.f7042a = Integer.valueOf(i7);
        Drawable navigationIcon = getNavigationIcon();
        if (navigationIcon != null) {
            setNavigationIcon(navigationIcon);
        }
    }

    public void setSubtitleCentered(boolean z7) {
        if (this.f7044c != z7) {
            this.f7044c = z7;
            requestLayout();
        }
    }

    public void setTitleCentered(boolean z7) {
        if (this.f7043b != z7) {
            this.f7043b = z7;
            requestLayout();
        }
    }

    public MaterialToolbar(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, a.c.rf);
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public MaterialToolbar(@NonNull Context context, @Nullable AttributeSet attributeSet, int i7) {
        super(l0.a.c(context, attributeSet, i7, r4), attributeSet, i7);
        int i8 = f7041d;
        Context context2 = getContext();
        TypedArray j7 = q.j(context2, attributeSet, a.o.Ek, i7, i8, new int[0]);
        if (j7.hasValue(a.o.Fk)) {
            setNavigationIconTint(j7.getColor(a.o.Fk, -1));
        }
        this.f7043b = j7.getBoolean(a.o.Hk, false);
        this.f7044c = j7.getBoolean(a.o.Gk, false);
        j7.recycle();
        b(context2);
    }
}
