package com.google.android.material.appbar;

import android.animation.ValueAnimator;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.graphics.Region;
import android.graphics.Typeface;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.widget.FrameLayout;
import androidx.annotation.ColorInt;
import androidx.annotation.DrawableRes;
import androidx.annotation.FloatRange;
import androidx.annotation.IntRange;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.annotation.RestrictTo;
import androidx.annotation.StyleRes;
import androidx.appcompat.R;
import androidx.appcompat.widget.Toolbar;
import androidx.core.content.ContextCompat;
import androidx.core.graphics.drawable.DrawableCompat;
import androidx.core.math.MathUtils;
import androidx.core.util.ObjectsCompat;
import androidx.core.view.OnApplyWindowInsetsListener;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;
import b0.a;
import com.google.android.material.appbar.AppBarLayout;
import com.google.android.material.badge.BadgeDrawable;
import com.google.android.material.internal.q;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

public class a extends FrameLayout {
    private static final int A = 600;
    public static final int B = 0;
    public static final int C = 1;

    /* renamed from: z  reason: collision with root package name */
    private static final int f7045z = a.n.va;

    /* renamed from: a  reason: collision with root package name */
    private boolean f7046a;

    /* renamed from: b  reason: collision with root package name */
    private int f7047b;
    @Nullable

    /* renamed from: c  reason: collision with root package name */
    private ViewGroup f7048c;
    @Nullable

    /* renamed from: d  reason: collision with root package name */
    private View f7049d;

    /* renamed from: e  reason: collision with root package name */
    private View f7050e;

    /* renamed from: f  reason: collision with root package name */
    private int f7051f;

    /* renamed from: g  reason: collision with root package name */
    private int f7052g;

    /* renamed from: h  reason: collision with root package name */
    private int f7053h;

    /* renamed from: i  reason: collision with root package name */
    private int f7054i;

    /* renamed from: j  reason: collision with root package name */
    private final Rect f7055j;
    @NonNull

    /* renamed from: k  reason: collision with root package name */
    final com.google.android.material.internal.a f7056k;
    @NonNull

    /* renamed from: l  reason: collision with root package name */
    final i0.a f7057l;

    /* renamed from: m  reason: collision with root package name */
    private boolean f7058m;

    /* renamed from: n  reason: collision with root package name */
    private boolean f7059n;
    @Nullable

    /* renamed from: o  reason: collision with root package name */
    private Drawable f7060o;
    @Nullable

    /* renamed from: p  reason: collision with root package name */
    Drawable f7061p;

    /* renamed from: q  reason: collision with root package name */
    private int f7062q;

    /* renamed from: r  reason: collision with root package name */
    private boolean f7063r;

    /* renamed from: s  reason: collision with root package name */
    private ValueAnimator f7064s;

    /* renamed from: t  reason: collision with root package name */
    private long f7065t;

    /* renamed from: u  reason: collision with root package name */
    private int f7066u;

    /* renamed from: v  reason: collision with root package name */
    private AppBarLayout.e f7067v;

    /* renamed from: w  reason: collision with root package name */
    int f7068w;

    /* renamed from: x  reason: collision with root package name */
    private int f7069x;
    @Nullable

    /* renamed from: y  reason: collision with root package name */
    WindowInsetsCompat f7070y;

    /* renamed from: com.google.android.material.appbar.a$a  reason: collision with other inner class name */
    class C0079a implements OnApplyWindowInsetsListener {
        C0079a() {
        }

        @Override // androidx.core.view.OnApplyWindowInsetsListener
        public WindowInsetsCompat onApplyWindowInsets(View view, @NonNull WindowInsetsCompat windowInsetsCompat) {
            return a.this.o(windowInsetsCompat);
        }
    }

    /* access modifiers changed from: package-private */
    public class b implements ValueAnimator.AnimatorUpdateListener {
        b() {
        }

        public void onAnimationUpdate(@NonNull ValueAnimator valueAnimator) {
            a.this.setScrimAlpha(((Integer) valueAnimator.getAnimatedValue()).intValue());
        }
    }

    public static class c extends FrameLayout.LayoutParams {

        /* renamed from: c  reason: collision with root package name */
        private static final float f7073c = 0.5f;

        /* renamed from: d  reason: collision with root package name */
        public static final int f7074d = 0;

        /* renamed from: e  reason: collision with root package name */
        public static final int f7075e = 1;

        /* renamed from: f  reason: collision with root package name */
        public static final int f7076f = 2;

        /* renamed from: a  reason: collision with root package name */
        int f7077a = 0;

        /* renamed from: b  reason: collision with root package name */
        float f7078b = 0.5f;

        public c(int i7, int i8) {
            super(i7, i8);
        }

        public int a() {
            return this.f7077a;
        }

        public float b() {
            return this.f7078b;
        }

        public void c(int i7) {
            this.f7077a = i7;
        }

        public void d(float f7) {
            this.f7078b = f7;
        }

        public c(int i7, int i8, int i9) {
            super(i7, i8, i9);
        }

        public c(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, a.o.N6);
            this.f7077a = obtainStyledAttributes.getInt(a.o.O6, 0);
            d(obtainStyledAttributes.getFloat(a.o.P6, 0.5f));
            obtainStyledAttributes.recycle();
        }

        public c(@NonNull ViewGroup.LayoutParams layoutParams) {
            super(layoutParams);
        }

        public c(@NonNull ViewGroup.MarginLayoutParams marginLayoutParams) {
            super(marginLayoutParams);
        }

        @RequiresApi(19)
        public c(@NonNull FrameLayout.LayoutParams layoutParams) {
            super(layoutParams);
        }
    }

    private class d implements AppBarLayout.e {
        d() {
        }

        @Override // com.google.android.material.appbar.AppBarLayout.e, com.google.android.material.appbar.AppBarLayout.c
        public void a(AppBarLayout appBarLayout, int i7) {
            int i8;
            a aVar = a.this;
            aVar.f7068w = i7;
            WindowInsetsCompat windowInsetsCompat = aVar.f7070y;
            int systemWindowInsetTop = windowInsetsCompat != null ? windowInsetsCompat.getSystemWindowInsetTop() : 0;
            int childCount = a.this.getChildCount();
            for (int i9 = 0; i9 < childCount; i9++) {
                View childAt = a.this.getChildAt(i9);
                c cVar = (c) childAt.getLayoutParams();
                e j7 = a.j(childAt);
                int i10 = cVar.f7077a;
                if (i10 == 1) {
                    i8 = MathUtils.clamp(-i7, 0, a.this.h(childAt));
                } else if (i10 == 2) {
                    i8 = Math.round(((float) (-i7)) * cVar.f7078b);
                }
                j7.k(i8);
            }
            a.this.w();
            a aVar2 = a.this;
            if (aVar2.f7061p != null && systemWindowInsetTop > 0) {
                ViewCompat.postInvalidateOnAnimation(aVar2);
            }
            int height = a.this.getHeight();
            int minimumHeight = (height - ViewCompat.getMinimumHeight(a.this)) - systemWindowInsetTop;
            float f7 = (float) minimumHeight;
            a.this.f7056k.r0(Math.min(1.0f, ((float) (height - a.this.getScrimVisibleHeightTrigger())) / f7));
            a aVar3 = a.this;
            aVar3.f7056k.f0(aVar3.f7068w + minimumHeight);
            a.this.f7056k.p0(((float) Math.abs(i7)) / f7);
        }
    }

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public @interface e {
    }

    public a(@NonNull Context context) {
        this(context, null);
    }

    private void a(int i7) {
        c();
        ValueAnimator valueAnimator = this.f7064s;
        if (valueAnimator == null) {
            ValueAnimator valueAnimator2 = new ValueAnimator();
            this.f7064s = valueAnimator2;
            valueAnimator2.setDuration(this.f7065t);
            this.f7064s.setInterpolator(i7 > this.f7062q ? com.google.android.material.animation.a.f6956c : com.google.android.material.animation.a.f6957d);
            this.f7064s.addUpdateListener(new b());
        } else if (valueAnimator.isRunning()) {
            this.f7064s.cancel();
        }
        this.f7064s.setIntValues(this.f7062q, i7);
        this.f7064s.start();
    }

    private void b(AppBarLayout appBarLayout) {
        if (k()) {
            appBarLayout.setLiftOnScroll(false);
        }
    }

    private void c() {
        if (this.f7046a) {
            ViewGroup viewGroup = null;
            this.f7048c = null;
            this.f7049d = null;
            int i7 = this.f7047b;
            if (i7 != -1) {
                ViewGroup viewGroup2 = (ViewGroup) findViewById(i7);
                this.f7048c = viewGroup2;
                if (viewGroup2 != null) {
                    this.f7049d = d(viewGroup2);
                }
            }
            if (this.f7048c == null) {
                int childCount = getChildCount();
                int i8 = 0;
                while (true) {
                    if (i8 >= childCount) {
                        break;
                    }
                    View childAt = getChildAt(i8);
                    if (m(childAt)) {
                        viewGroup = (ViewGroup) childAt;
                        break;
                    }
                    i8++;
                }
                this.f7048c = viewGroup;
            }
            v();
            this.f7046a = false;
        }
    }

    @NonNull
    private View d(@NonNull View view) {
        ViewParent parent = view.getParent();
        while (parent != this && parent != null) {
            if (parent instanceof View) {
                view = (View) parent;
            }
            parent = parent.getParent();
        }
        return view;
    }

    private static int g(@NonNull View view) {
        ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
        if (!(layoutParams instanceof ViewGroup.MarginLayoutParams)) {
            return view.getMeasuredHeight();
        }
        ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) layoutParams;
        return view.getMeasuredHeight() + marginLayoutParams.topMargin + marginLayoutParams.bottomMargin;
    }

    private static CharSequence i(View view) {
        if (view instanceof Toolbar) {
            return ((Toolbar) view).getTitle();
        }
        if (view instanceof android.widget.Toolbar) {
            return ((android.widget.Toolbar) view).getTitle();
        }
        return null;
    }

    @NonNull
    static e j(@NonNull View view) {
        e eVar = (e) view.getTag(a.h.S5);
        if (eVar != null) {
            return eVar;
        }
        e eVar2 = new e(view);
        view.setTag(a.h.S5, eVar2);
        return eVar2;
    }

    private boolean k() {
        return this.f7069x == 1;
    }

    private static boolean m(View view) {
        return (view instanceof Toolbar) || (view instanceof android.widget.Toolbar);
    }

    private boolean n(View view) {
        View view2 = this.f7049d;
        if (view2 == null || view2 == this) {
            if (view == this.f7048c) {
                return true;
            }
        } else if (view == view2) {
            return true;
        }
        return false;
    }

    private void r(boolean z7) {
        int i7;
        int i8;
        int i9;
        int i10;
        View view = this.f7049d;
        if (view == null) {
            view = this.f7048c;
        }
        int h7 = h(view);
        com.google.android.material.internal.c.a(this, this.f7050e, this.f7055j);
        ViewGroup viewGroup = this.f7048c;
        if (viewGroup instanceof Toolbar) {
            Toolbar toolbar = (Toolbar) viewGroup;
            i9 = toolbar.getTitleMarginStart();
            i8 = toolbar.getTitleMarginEnd();
            i7 = toolbar.getTitleMarginTop();
            i10 = toolbar.getTitleMarginBottom();
        } else if (viewGroup instanceof android.widget.Toolbar) {
            android.widget.Toolbar toolbar2 = (android.widget.Toolbar) viewGroup;
            i9 = toolbar2.getTitleMarginStart();
            i8 = toolbar2.getTitleMarginEnd();
            i7 = toolbar2.getTitleMarginTop();
            i10 = toolbar2.getTitleMarginBottom();
        } else {
            i9 = 0;
            i10 = 0;
            i8 = 0;
            i7 = 0;
        }
        com.google.android.material.internal.a aVar = this.f7056k;
        Rect rect = this.f7055j;
        int i11 = rect.left + (z7 ? i8 : i9);
        int i12 = rect.top + h7 + i7;
        int i13 = rect.right;
        if (!z7) {
            i9 = i8;
        }
        aVar.W(i11, i12, i13 - i9, (rect.bottom + h7) - i10);
    }

    private void s() {
        setContentDescription(getTitle());
    }

    private void t(@NonNull Drawable drawable, int i7, int i8) {
        u(drawable, this.f7048c, i7, i8);
    }

    private void u(@NonNull Drawable drawable, @Nullable View view, int i7, int i8) {
        if (k() && view != null && this.f7058m) {
            i8 = view.getBottom();
        }
        drawable.setBounds(0, 0, i7, i8);
    }

    private void v() {
        View view;
        if (!this.f7058m && (view = this.f7050e) != null) {
            ViewParent parent = view.getParent();
            if (parent instanceof ViewGroup) {
                ((ViewGroup) parent).removeView(this.f7050e);
            }
        }
        if (this.f7058m && this.f7048c != null) {
            if (this.f7050e == null) {
                this.f7050e = new View(getContext());
            }
            if (this.f7050e.getParent() == null) {
                this.f7048c.addView(this.f7050e, -1, -1);
            }
        }
    }

    /* access modifiers changed from: protected */
    public boolean checkLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return layoutParams instanceof c;
    }

    public void draw(@NonNull Canvas canvas) {
        Drawable drawable;
        super.draw(canvas);
        c();
        if (this.f7048c == null && (drawable = this.f7060o) != null && this.f7062q > 0) {
            drawable.mutate().setAlpha(this.f7062q);
            this.f7060o.draw(canvas);
        }
        if (this.f7058m && this.f7059n) {
            if (this.f7048c == null || this.f7060o == null || this.f7062q <= 0 || !k() || this.f7056k.E() >= this.f7056k.F()) {
                this.f7056k.l(canvas);
            } else {
                int save = canvas.save();
                canvas.clipRect(this.f7060o.getBounds(), Region.Op.DIFFERENCE);
                this.f7056k.l(canvas);
                canvas.restoreToCount(save);
            }
        }
        if (this.f7061p != null && this.f7062q > 0) {
            WindowInsetsCompat windowInsetsCompat = this.f7070y;
            int systemWindowInsetTop = windowInsetsCompat != null ? windowInsetsCompat.getSystemWindowInsetTop() : 0;
            if (systemWindowInsetTop > 0) {
                this.f7061p.setBounds(0, -this.f7068w, getWidth(), systemWindowInsetTop - this.f7068w);
                this.f7061p.mutate().setAlpha(this.f7062q);
                this.f7061p.draw(canvas);
            }
        }
    }

    /* access modifiers changed from: protected */
    public boolean drawChild(Canvas canvas, View view, long j7) {
        boolean z7;
        if (this.f7060o == null || this.f7062q <= 0 || !n(view)) {
            z7 = false;
        } else {
            u(this.f7060o, view, getWidth(), getHeight());
            this.f7060o.mutate().setAlpha(this.f7062q);
            this.f7060o.draw(canvas);
            z7 = true;
        }
        return super.drawChild(canvas, view, j7) || z7;
    }

    /* access modifiers changed from: protected */
    public void drawableStateChanged() {
        super.drawableStateChanged();
        int[] drawableState = getDrawableState();
        Drawable drawable = this.f7061p;
        boolean z7 = false;
        if (drawable != null && drawable.isStateful()) {
            z7 = false | drawable.setState(drawableState);
        }
        Drawable drawable2 = this.f7060o;
        if (drawable2 != null && drawable2.isStateful()) {
            z7 |= drawable2.setState(drawableState);
        }
        com.google.android.material.internal.a aVar = this.f7056k;
        if (aVar != null) {
            z7 |= aVar.y0(drawableState);
        }
        if (z7) {
            invalidate();
        }
    }

    /* access modifiers changed from: protected */
    /* renamed from: e */
    public c generateDefaultLayoutParams() {
        return new c(-1, -1);
    }

    /* access modifiers changed from: protected */
    /* renamed from: f */
    public FrameLayout.LayoutParams generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return new c(layoutParams);
    }

    public int getCollapsedTitleGravity() {
        return this.f7056k.q();
    }

    @NonNull
    public Typeface getCollapsedTitleTypeface() {
        return this.f7056k.v();
    }

    @Nullable
    public Drawable getContentScrim() {
        return this.f7060o;
    }

    public int getExpandedTitleGravity() {
        return this.f7056k.A();
    }

    public int getExpandedTitleMarginBottom() {
        return this.f7054i;
    }

    public int getExpandedTitleMarginEnd() {
        return this.f7053h;
    }

    public int getExpandedTitleMarginStart() {
        return this.f7051f;
    }

    public int getExpandedTitleMarginTop() {
        return this.f7052g;
    }

    @NonNull
    public Typeface getExpandedTitleTypeface() {
        return this.f7056k.D();
    }

    @RequiresApi(23)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public int getHyphenationFrequency() {
        return this.f7056k.G();
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public int getLineCount() {
        return this.f7056k.H();
    }

    @RequiresApi(23)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public float getLineSpacingAdd() {
        return this.f7056k.I();
    }

    @RequiresApi(23)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public float getLineSpacingMultiplier() {
        return this.f7056k.J();
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public int getMaxLines() {
        return this.f7056k.K();
    }

    /* access modifiers changed from: package-private */
    public int getScrimAlpha() {
        return this.f7062q;
    }

    public long getScrimAnimationDuration() {
        return this.f7065t;
    }

    public int getScrimVisibleHeightTrigger() {
        int i7 = this.f7066u;
        if (i7 >= 0) {
            return i7;
        }
        WindowInsetsCompat windowInsetsCompat = this.f7070y;
        int systemWindowInsetTop = windowInsetsCompat != null ? windowInsetsCompat.getSystemWindowInsetTop() : 0;
        int minimumHeight = ViewCompat.getMinimumHeight(this);
        return minimumHeight > 0 ? Math.min((minimumHeight * 2) + systemWindowInsetTop, getHeight()) : getHeight() / 3;
    }

    @Nullable
    public Drawable getStatusBarScrim() {
        return this.f7061p;
    }

    @Nullable
    public CharSequence getTitle() {
        if (this.f7058m) {
            return this.f7056k.L();
        }
        return null;
    }

    public int getTitleCollapseMode() {
        return this.f7069x;
    }

    /* access modifiers changed from: package-private */
    public final int h(@NonNull View view) {
        return ((getHeight() - j(view).c()) - view.getHeight()) - ((FrameLayout.LayoutParams) ((c) view.getLayoutParams())).bottomMargin;
    }

    public boolean l() {
        return this.f7058m;
    }

    /* access modifiers changed from: package-private */
    public WindowInsetsCompat o(@NonNull WindowInsetsCompat windowInsetsCompat) {
        WindowInsetsCompat windowInsetsCompat2 = ViewCompat.getFitsSystemWindows(this) ? windowInsetsCompat : null;
        if (!ObjectsCompat.equals(this.f7070y, windowInsetsCompat2)) {
            this.f7070y = windowInsetsCompat2;
            requestLayout();
        }
        return windowInsetsCompat.consumeSystemWindowInsets();
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        ViewParent parent = getParent();
        if (parent instanceof AppBarLayout) {
            AppBarLayout appBarLayout = (AppBarLayout) parent;
            b(appBarLayout);
            ViewCompat.setFitsSystemWindows(this, ViewCompat.getFitsSystemWindows(appBarLayout));
            if (this.f7067v == null) {
                this.f7067v = new d();
            }
            appBarLayout.b(this.f7067v);
            ViewCompat.requestApplyInsets(this);
        }
    }

    /* access modifiers changed from: protected */
    public void onDetachedFromWindow() {
        ViewParent parent = getParent();
        AppBarLayout.e eVar = this.f7067v;
        if (eVar != null && (parent instanceof AppBarLayout)) {
            ((AppBarLayout) parent).q(eVar);
        }
        super.onDetachedFromWindow();
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z7, int i7, int i8, int i9, int i10) {
        View view;
        super.onLayout(z7, i7, i8, i9, i10);
        WindowInsetsCompat windowInsetsCompat = this.f7070y;
        if (windowInsetsCompat != null) {
            int systemWindowInsetTop = windowInsetsCompat.getSystemWindowInsetTop();
            int childCount = getChildCount();
            for (int i11 = 0; i11 < childCount; i11++) {
                View childAt = getChildAt(i11);
                if (!ViewCompat.getFitsSystemWindows(childAt) && childAt.getTop() < systemWindowInsetTop) {
                    ViewCompat.offsetTopAndBottom(childAt, systemWindowInsetTop);
                }
            }
        }
        int childCount2 = getChildCount();
        for (int i12 = 0; i12 < childCount2; i12++) {
            j(getChildAt(i12)).h();
        }
        if (this.f7058m && (view = this.f7050e) != null) {
            boolean z8 = true;
            boolean z9 = ViewCompat.isAttachedToWindow(view) && this.f7050e.getVisibility() == 0;
            this.f7059n = z9;
            if (z9) {
                if (ViewCompat.getLayoutDirection(this) != 1) {
                    z8 = false;
                }
                r(z8);
                this.f7056k.g0(z8 ? this.f7053h : this.f7051f, this.f7055j.top + this.f7052g, (i9 - i7) - (z8 ? this.f7051f : this.f7053h), (i10 - i8) - this.f7054i);
                this.f7056k.U();
            }
        }
        if (this.f7048c != null && this.f7058m && TextUtils.isEmpty(this.f7056k.L())) {
            setTitle(i(this.f7048c));
        }
        w();
        int childCount3 = getChildCount();
        for (int i13 = 0; i13 < childCount3; i13++) {
            j(getChildAt(i13)).a();
        }
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i7, int i8) {
        c();
        super.onMeasure(i7, i8);
        int mode = View.MeasureSpec.getMode(i8);
        WindowInsetsCompat windowInsetsCompat = this.f7070y;
        int systemWindowInsetTop = windowInsetsCompat != null ? windowInsetsCompat.getSystemWindowInsetTop() : 0;
        if (mode == 0 && systemWindowInsetTop > 0) {
            super.onMeasure(i7, View.MeasureSpec.makeMeasureSpec(getMeasuredHeight() + systemWindowInsetTop, 1073741824));
        }
        ViewGroup viewGroup = this.f7048c;
        if (viewGroup != null) {
            View view = this.f7049d;
            setMinimumHeight((view == null || view == this) ? g(viewGroup) : g(view));
        }
    }

    /* access modifiers changed from: protected */
    public void onSizeChanged(int i7, int i8, int i9, int i10) {
        super.onSizeChanged(i7, i8, i9, i10);
        Drawable drawable = this.f7060o;
        if (drawable != null) {
            t(drawable, i7, i8);
        }
    }

    public void p(int i7, int i8, int i9, int i10) {
        this.f7051f = i7;
        this.f7052g = i8;
        this.f7053h = i9;
        this.f7054i = i10;
        requestLayout();
    }

    public void q(boolean z7, boolean z8) {
        if (this.f7063r != z7) {
            int i7 = 255;
            if (z8) {
                if (!z7) {
                    i7 = 0;
                }
                a(i7);
            } else {
                if (!z7) {
                    i7 = 0;
                }
                setScrimAlpha(i7);
            }
            this.f7063r = z7;
        }
    }

    public void setCollapsedTitleGravity(int i7) {
        this.f7056k.b0(i7);
    }

    public void setCollapsedTitleTextAppearance(@StyleRes int i7) {
        this.f7056k.Y(i7);
    }

    public void setCollapsedTitleTextColor(@ColorInt int i7) {
        setCollapsedTitleTextColor(ColorStateList.valueOf(i7));
    }

    public void setCollapsedTitleTypeface(@Nullable Typeface typeface) {
        this.f7056k.d0(typeface);
    }

    public void setContentScrim(@Nullable Drawable drawable) {
        Drawable drawable2 = this.f7060o;
        if (drawable2 != drawable) {
            Drawable drawable3 = null;
            if (drawable2 != null) {
                drawable2.setCallback(null);
            }
            if (drawable != null) {
                drawable3 = drawable.mutate();
            }
            this.f7060o = drawable3;
            if (drawable3 != null) {
                t(drawable3, getWidth(), getHeight());
                this.f7060o.setCallback(this);
                this.f7060o.setAlpha(this.f7062q);
            }
            ViewCompat.postInvalidateOnAnimation(this);
        }
    }

    public void setContentScrimColor(@ColorInt int i7) {
        setContentScrim(new ColorDrawable(i7));
    }

    public void setContentScrimResource(@DrawableRes int i7) {
        setContentScrim(ContextCompat.getDrawable(getContext(), i7));
    }

    public void setExpandedTitleColor(@ColorInt int i7) {
        setExpandedTitleTextColor(ColorStateList.valueOf(i7));
    }

    public void setExpandedTitleGravity(int i7) {
        this.f7056k.l0(i7);
    }

    public void setExpandedTitleMarginBottom(int i7) {
        this.f7054i = i7;
        requestLayout();
    }

    public void setExpandedTitleMarginEnd(int i7) {
        this.f7053h = i7;
        requestLayout();
    }

    public void setExpandedTitleMarginStart(int i7) {
        this.f7051f = i7;
        requestLayout();
    }

    public void setExpandedTitleMarginTop(int i7) {
        this.f7052g = i7;
        requestLayout();
    }

    public void setExpandedTitleTextAppearance(@StyleRes int i7) {
        this.f7056k.i0(i7);
    }

    public void setExpandedTitleTextColor(@NonNull ColorStateList colorStateList) {
        this.f7056k.k0(colorStateList);
    }

    public void setExpandedTitleTypeface(@Nullable Typeface typeface) {
        this.f7056k.n0(typeface);
    }

    @RequiresApi(23)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public void setHyphenationFrequency(int i7) {
        this.f7056k.s0(i7);
    }

    @RequiresApi(23)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public void setLineSpacingAdd(float f7) {
        this.f7056k.u0(f7);
    }

    @RequiresApi(23)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public void setLineSpacingMultiplier(@FloatRange(from = 0.0d) float f7) {
        this.f7056k.v0(f7);
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public void setMaxLines(int i7) {
        this.f7056k.w0(i7);
    }

    /* access modifiers changed from: package-private */
    public void setScrimAlpha(int i7) {
        ViewGroup viewGroup;
        if (i7 != this.f7062q) {
            if (!(this.f7060o == null || (viewGroup = this.f7048c) == null)) {
                ViewCompat.postInvalidateOnAnimation(viewGroup);
            }
            this.f7062q = i7;
            ViewCompat.postInvalidateOnAnimation(this);
        }
    }

    public void setScrimAnimationDuration(@IntRange(from = 0) long j7) {
        this.f7065t = j7;
    }

    public void setScrimVisibleHeightTrigger(@IntRange(from = 0) int i7) {
        if (this.f7066u != i7) {
            this.f7066u = i7;
            w();
        }
    }

    public void setScrimsShown(boolean z7) {
        q(z7, ViewCompat.isLaidOut(this) && !isInEditMode());
    }

    public void setStatusBarScrim(@Nullable Drawable drawable) {
        Drawable drawable2 = this.f7061p;
        if (drawable2 != drawable) {
            Drawable drawable3 = null;
            if (drawable2 != null) {
                drawable2.setCallback(null);
            }
            if (drawable != null) {
                drawable3 = drawable.mutate();
            }
            this.f7061p = drawable3;
            if (drawable3 != null) {
                if (drawable3.isStateful()) {
                    this.f7061p.setState(getDrawableState());
                }
                DrawableCompat.setLayoutDirection(this.f7061p, ViewCompat.getLayoutDirection(this));
                this.f7061p.setVisible(getVisibility() == 0, false);
                this.f7061p.setCallback(this);
                this.f7061p.setAlpha(this.f7062q);
            }
            ViewCompat.postInvalidateOnAnimation(this);
        }
    }

    public void setStatusBarScrimColor(@ColorInt int i7) {
        setStatusBarScrim(new ColorDrawable(i7));
    }

    public void setStatusBarScrimResource(@DrawableRes int i7) {
        setStatusBarScrim(ContextCompat.getDrawable(getContext(), i7));
    }

    public void setTitle(@Nullable CharSequence charSequence) {
        this.f7056k.z0(charSequence);
        s();
    }

    public void setTitleCollapseMode(int i7) {
        this.f7069x = i7;
        boolean k7 = k();
        this.f7056k.q0(k7);
        ViewParent parent = getParent();
        if (parent instanceof AppBarLayout) {
            b((AppBarLayout) parent);
        }
        if (k7 && this.f7060o == null) {
            setContentScrimColor(this.f7057l.g(getResources().getDimension(a.f.O0)));
        }
    }

    public void setTitleEnabled(boolean z7) {
        if (z7 != this.f7058m) {
            this.f7058m = z7;
            s();
            v();
            requestLayout();
        }
    }

    public void setVisibility(int i7) {
        super.setVisibility(i7);
        boolean z7 = i7 == 0;
        Drawable drawable = this.f7061p;
        if (!(drawable == null || drawable.isVisible() == z7)) {
            this.f7061p.setVisible(z7, false);
        }
        Drawable drawable2 = this.f7060o;
        if (drawable2 != null && drawable2.isVisible() != z7) {
            this.f7060o.setVisible(z7, false);
        }
    }

    /* access modifiers changed from: protected */
    public boolean verifyDrawable(@NonNull Drawable drawable) {
        return super.verifyDrawable(drawable) || drawable == this.f7060o || drawable == this.f7061p;
    }

    /* access modifiers changed from: package-private */
    public final void w() {
        if (this.f7060o != null || this.f7061p != null) {
            setScrimsShown(getHeight() + this.f7068w < getScrimVisibleHeightTrigger());
        }
    }

    public a(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, a.c.f853v2);
    }

    public void setCollapsedTitleTextColor(@NonNull ColorStateList colorStateList) {
        this.f7056k.a0(colorStateList);
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public a(@NonNull Context context, @Nullable AttributeSet attributeSet, int i7) {
        super(l0.a.c(context, attributeSet, i7, r4), attributeSet, i7);
        int i8 = f7045z;
        this.f7046a = true;
        this.f7055j = new Rect();
        this.f7066u = -1;
        Context context2 = getContext();
        com.google.android.material.internal.a aVar = new com.google.android.material.internal.a(this);
        this.f7056k = aVar;
        aVar.A0(com.google.android.material.animation.a.f6958e);
        this.f7057l = new i0.a(context2);
        TypedArray j7 = q.j(context2, attributeSet, a.o.f1995u6, i7, i8, new int[0]);
        aVar.l0(j7.getInt(a.o.f2027y6, BadgeDrawable.f7109t));
        aVar.b0(j7.getInt(a.o.f2003v6, 8388627));
        int dimensionPixelSize = j7.getDimensionPixelSize(a.o.f2035z6, 0);
        this.f7054i = dimensionPixelSize;
        this.f7053h = dimensionPixelSize;
        this.f7052g = dimensionPixelSize;
        this.f7051f = dimensionPixelSize;
        if (j7.hasValue(a.o.C6)) {
            this.f7051f = j7.getDimensionPixelSize(a.o.C6, 0);
        }
        if (j7.hasValue(a.o.B6)) {
            this.f7053h = j7.getDimensionPixelSize(a.o.B6, 0);
        }
        if (j7.hasValue(a.o.D6)) {
            this.f7052g = j7.getDimensionPixelSize(a.o.D6, 0);
        }
        if (j7.hasValue(a.o.A6)) {
            this.f7054i = j7.getDimensionPixelSize(a.o.A6, 0);
        }
        this.f7058m = j7.getBoolean(a.o.L6, true);
        setTitle(j7.getText(a.o.J6));
        aVar.i0(a.n.U5);
        aVar.Y(R.style.TextAppearance_AppCompat_Widget_ActionBar_Title);
        if (j7.hasValue(a.o.E6)) {
            aVar.i0(j7.getResourceId(a.o.E6, 0));
        }
        if (j7.hasValue(a.o.f2011w6)) {
            aVar.Y(j7.getResourceId(a.o.f2011w6, 0));
        }
        this.f7066u = j7.getDimensionPixelSize(a.o.H6, -1);
        if (j7.hasValue(a.o.F6)) {
            aVar.w0(j7.getInt(a.o.F6, 1));
        }
        this.f7065t = (long) j7.getInt(a.o.G6, A);
        setContentScrim(j7.getDrawable(a.o.f2019x6));
        setStatusBarScrim(j7.getDrawable(a.o.I6));
        setTitleCollapseMode(j7.getInt(a.o.K6, 0));
        this.f7047b = j7.getResourceId(a.o.M6, -1);
        j7.recycle();
        setWillNotDraw(false);
        ViewCompat.setOnApplyWindowInsetsListener(this, new C0079a());
    }

    @Override // android.widget.FrameLayout, android.widget.FrameLayout, android.view.ViewGroup
    public FrameLayout.LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return new c(getContext(), attributeSet);
    }
}
