package com.google.android.material.appbar;

import android.content.Context;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.view.VelocityTracker;
import android.view.View;
import android.view.ViewConfiguration;
import android.widget.OverScroller;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.coordinatorlayout.widget.CoordinatorLayout;
import androidx.core.math.MathUtils;
import androidx.core.view.ViewCompat;

abstract class b<V extends View> extends d<V> {

    /* renamed from: k  reason: collision with root package name */
    private static final int f7080k = -1;
    @Nullable

    /* renamed from: d  reason: collision with root package name */
    private Runnable f7081d;

    /* renamed from: e  reason: collision with root package name */
    OverScroller f7082e;

    /* renamed from: f  reason: collision with root package name */
    private boolean f7083f;

    /* renamed from: g  reason: collision with root package name */
    private int f7084g = -1;

    /* renamed from: h  reason: collision with root package name */
    private int f7085h;

    /* renamed from: i  reason: collision with root package name */
    private int f7086i = -1;
    @Nullable

    /* renamed from: j  reason: collision with root package name */
    private VelocityTracker f7087j;

    /* access modifiers changed from: private */
    public class a implements Runnable {

        /* renamed from: f  reason: collision with root package name */
        private final CoordinatorLayout f7088f;

        /* renamed from: g  reason: collision with root package name */
        private final V f7089g;

        a(CoordinatorLayout coordinatorLayout, V v7) {
            this.f7088f = coordinatorLayout;
            this.f7089g = v7;
        }

        /* JADX DEBUG: Multi-variable search result rejected for r0v4, resolved type: com.google.android.material.appbar.b */
        /* JADX DEBUG: Multi-variable search result rejected for r0v5, resolved type: com.google.android.material.appbar.b */
        /* JADX WARN: Multi-variable type inference failed */
        public void run() {
            OverScroller overScroller;
            if (this.f7089g != null && (overScroller = b.this.f7082e) != null) {
                if (overScroller.computeScrollOffset()) {
                    b bVar = b.this;
                    bVar.r(this.f7088f, this.f7089g, bVar.f7082e.getCurrY());
                    ViewCompat.postOnAnimation(this.f7089g, this);
                    return;
                }
                b.this.p(this.f7088f, this.f7089g);
            }
        }
    }

    public b() {
    }

    private void k() {
        if (this.f7087j == null) {
            this.f7087j = VelocityTracker.obtain();
        }
    }

    /* access modifiers changed from: package-private */
    public boolean j(V v7) {
        return false;
    }

    /* access modifiers changed from: package-private */
    public final boolean l(CoordinatorLayout coordinatorLayout, @NonNull V v7, int i7, int i8, float f7) {
        Runnable runnable = this.f7081d;
        if (runnable != null) {
            v7.removeCallbacks(runnable);
            this.f7081d = null;
        }
        if (this.f7082e == null) {
            this.f7082e = new OverScroller(v7.getContext());
        }
        this.f7082e.fling(0, b(), 0, Math.round(f7), 0, 0, i7, i8);
        if (this.f7082e.computeScrollOffset()) {
            a aVar = new a(coordinatorLayout, v7);
            this.f7081d = aVar;
            ViewCompat.postOnAnimation(v7, aVar);
            return true;
        }
        p(coordinatorLayout, v7);
        return false;
    }

    /* access modifiers changed from: package-private */
    public int m(@NonNull V v7) {
        return -v7.getHeight();
    }

    /* access modifiers changed from: package-private */
    public int n(@NonNull V v7) {
        return v7.getHeight();
    }

    /* access modifiers changed from: package-private */
    public int o() {
        return b();
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
    public boolean onInterceptTouchEvent(@NonNull CoordinatorLayout coordinatorLayout, @NonNull V v7, @NonNull MotionEvent motionEvent) {
        int findPointerIndex;
        if (this.f7086i < 0) {
            this.f7086i = ViewConfiguration.get(coordinatorLayout.getContext()).getScaledTouchSlop();
        }
        if (motionEvent.getActionMasked() == 2 && this.f7083f) {
            int i7 = this.f7084g;
            if (i7 == -1 || (findPointerIndex = motionEvent.findPointerIndex(i7)) == -1) {
                return false;
            }
            int y7 = (int) motionEvent.getY(findPointerIndex);
            if (Math.abs(y7 - this.f7085h) > this.f7086i) {
                this.f7085h = y7;
                return true;
            }
        }
        if (motionEvent.getActionMasked() == 0) {
            this.f7084g = -1;
            int x7 = (int) motionEvent.getX();
            int y8 = (int) motionEvent.getY();
            boolean z7 = j(v7) && coordinatorLayout.isPointInChildBounds(v7, x7, y8);
            this.f7083f = z7;
            if (z7) {
                this.f7085h = y8;
                this.f7084g = motionEvent.getPointerId(0);
                k();
                OverScroller overScroller = this.f7082e;
                if (overScroller != null && !overScroller.isFinished()) {
                    this.f7082e.abortAnimation();
                    return true;
                }
            }
        }
        VelocityTracker velocityTracker = this.f7087j;
        if (velocityTracker != null) {
            velocityTracker.addMovement(motionEvent);
        }
        return false;
    }

    /* JADX WARNING: Removed duplicated region for block: B:24:0x007b  */
    /* JADX WARNING: Removed duplicated region for block: B:27:0x0085  */
    /* JADX WARNING: Removed duplicated region for block: B:30:0x008c A[ADDED_TO_REGION] */
    /* JADX WARNING: Removed duplicated region for block: B:33:? A[ADDED_TO_REGION, RETURN, SYNTHETIC] */
    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
    public boolean onTouchEvent(@NonNull CoordinatorLayout coordinatorLayout, @NonNull V v7, @NonNull MotionEvent motionEvent) {
        boolean z7;
        VelocityTracker velocityTracker;
        VelocityTracker velocityTracker2;
        int actionMasked = motionEvent.getActionMasked();
        if (actionMasked != 1) {
            if (actionMasked == 2) {
                int findPointerIndex = motionEvent.findPointerIndex(this.f7084g);
                if (findPointerIndex == -1) {
                    return false;
                }
                int y7 = (int) motionEvent.getY(findPointerIndex);
                this.f7085h = y7;
                q(coordinatorLayout, v7, this.f7085h - y7, m(v7), 0);
            } else if (actionMasked != 3) {
                if (actionMasked == 6) {
                    int i7 = motionEvent.getActionIndex() == 0 ? 1 : 0;
                    this.f7084g = motionEvent.getPointerId(i7);
                    this.f7085h = (int) (motionEvent.getY(i7) + 0.5f);
                }
            }
            z7 = false;
            velocityTracker = this.f7087j;
            if (velocityTracker != null) {
                velocityTracker.addMovement(motionEvent);
            }
            return !this.f7083f || z7;
        }
        VelocityTracker velocityTracker3 = this.f7087j;
        if (velocityTracker3 != null) {
            velocityTracker3.addMovement(motionEvent);
            this.f7087j.computeCurrentVelocity(1000);
            l(coordinatorLayout, v7, -n(v7), 0, this.f7087j.getYVelocity(this.f7084g));
            z7 = true;
            this.f7083f = false;
            this.f7084g = -1;
            velocityTracker2 = this.f7087j;
            if (velocityTracker2 != null) {
                velocityTracker2.recycle();
                this.f7087j = null;
            }
            velocityTracker = this.f7087j;
            if (velocityTracker != null) {
            }
            if (!this.f7083f) {
                return true;
            }
        }
        z7 = false;
        this.f7083f = false;
        this.f7084g = -1;
        velocityTracker2 = this.f7087j;
        if (velocityTracker2 != null) {
        }
        velocityTracker = this.f7087j;
        if (velocityTracker != null) {
        }
        if (!this.f7083f) {
        }
    }

    /* access modifiers changed from: package-private */
    public void p(CoordinatorLayout coordinatorLayout, V v7) {
    }

    /* access modifiers changed from: package-private */
    public final int q(CoordinatorLayout coordinatorLayout, V v7, int i7, int i8, int i9) {
        return s(coordinatorLayout, v7, o() - i7, i8, i9);
    }

    /* access modifiers changed from: package-private */
    public int r(CoordinatorLayout coordinatorLayout, V v7, int i7) {
        return s(coordinatorLayout, v7, i7, Integer.MIN_VALUE, Integer.MAX_VALUE);
    }

    /* access modifiers changed from: package-private */
    public int s(CoordinatorLayout coordinatorLayout, V v7, int i7, int i8, int i9) {
        int clamp;
        int b7 = b();
        if (i8 == 0 || b7 < i8 || b7 > i9 || b7 == (clamp = MathUtils.clamp(i7, i8, i9))) {
            return 0;
        }
        h(clamp);
        return b7 - clamp;
    }

    public b(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
    }
}
