package com.google.android.material.appbar;

import android.content.Context;
import android.graphics.Rect;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.coordinatorlayout.widget.CoordinatorLayout;
import androidx.core.math.MathUtils;
import androidx.core.view.GravityCompat;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;
import com.google.android.material.badge.BadgeDrawable;
import java.util.List;

abstract class c extends d<View> {

    /* renamed from: d  reason: collision with root package name */
    final Rect f7091d = new Rect();

    /* renamed from: e  reason: collision with root package name */
    final Rect f7092e = new Rect();

    /* renamed from: f  reason: collision with root package name */
    private int f7093f = 0;

    /* renamed from: g  reason: collision with root package name */
    private int f7094g;

    public c() {
    }

    private static int p(int i7) {
        return i7 == 0 ? BadgeDrawable.f7107r : i7;
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.material.appbar.d
    public void e(@NonNull CoordinatorLayout coordinatorLayout, @NonNull View view, int i7) {
        int i8;
        View j7 = j(coordinatorLayout.getDependencies(view));
        if (j7 != null) {
            CoordinatorLayout.LayoutParams layoutParams = (CoordinatorLayout.LayoutParams) view.getLayoutParams();
            Rect rect = this.f7091d;
            rect.set(coordinatorLayout.getPaddingLeft() + ((ViewGroup.MarginLayoutParams) layoutParams).leftMargin, j7.getBottom() + ((ViewGroup.MarginLayoutParams) layoutParams).topMargin, (coordinatorLayout.getWidth() - coordinatorLayout.getPaddingRight()) - ((ViewGroup.MarginLayoutParams) layoutParams).rightMargin, ((coordinatorLayout.getHeight() + j7.getBottom()) - coordinatorLayout.getPaddingBottom()) - ((ViewGroup.MarginLayoutParams) layoutParams).bottomMargin);
            WindowInsetsCompat lastWindowInsets = coordinatorLayout.getLastWindowInsets();
            if (lastWindowInsets != null && ViewCompat.getFitsSystemWindows(coordinatorLayout) && !ViewCompat.getFitsSystemWindows(view)) {
                rect.left += lastWindowInsets.getSystemWindowInsetLeft();
                rect.right -= lastWindowInsets.getSystemWindowInsetRight();
            }
            Rect rect2 = this.f7092e;
            GravityCompat.apply(p(layoutParams.gravity), view.getMeasuredWidth(), view.getMeasuredHeight(), rect, rect2, i7);
            int k7 = k(j7);
            view.layout(rect2.left, rect2.top - k7, rect2.right, rect2.bottom - k7);
            i8 = rect2.top - j7.getBottom();
        } else {
            super.e(coordinatorLayout, view, i7);
            i8 = 0;
        }
        this.f7093f = i8;
    }

    /* access modifiers changed from: package-private */
    @Nullable
    public abstract View j(List<View> list);

    /* access modifiers changed from: package-private */
    public final int k(View view) {
        if (this.f7094g == 0) {
            return 0;
        }
        float l7 = l(view);
        int i7 = this.f7094g;
        return MathUtils.clamp((int) (l7 * ((float) i7)), 0, i7);
    }

    /* access modifiers changed from: package-private */
    public float l(View view) {
        return 1.0f;
    }

    public final int m() {
        return this.f7094g;
    }

    /* access modifiers changed from: package-private */
    public int n(@NonNull View view) {
        return view.getMeasuredHeight();
    }

    /* access modifiers changed from: package-private */
    public final int o() {
        return this.f7093f;
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
    public boolean onMeasureChild(@NonNull CoordinatorLayout coordinatorLayout, @NonNull View view, int i7, int i8, int i9, int i10) {
        View j7;
        WindowInsetsCompat lastWindowInsets;
        int i11 = view.getLayoutParams().height;
        if ((i11 != -1 && i11 != -2) || (j7 = j(coordinatorLayout.getDependencies(view))) == null) {
            return false;
        }
        int size = View.MeasureSpec.getSize(i9);
        if (size <= 0) {
            size = coordinatorLayout.getHeight();
        } else if (ViewCompat.getFitsSystemWindows(j7) && (lastWindowInsets = coordinatorLayout.getLastWindowInsets()) != null) {
            size += lastWindowInsets.getSystemWindowInsetTop() + lastWindowInsets.getSystemWindowInsetBottom();
        }
        int n7 = size + n(j7);
        int measuredHeight = j7.getMeasuredHeight();
        if (r()) {
            view.setTranslationY((float) (-measuredHeight));
        } else {
            n7 -= measuredHeight;
        }
        coordinatorLayout.onMeasureChild(view, i7, i8, View.MeasureSpec.makeMeasureSpec(n7, i11 == -1 ? 1073741824 : Integer.MIN_VALUE), i10);
        return true;
    }

    public final void q(int i7) {
        this.f7094g = i7;
    }

    /* access modifiers changed from: protected */
    public boolean r() {
        return false;
    }

    public c(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
    }
}
