package com.google.android.material.badge;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.Paint;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import androidx.annotation.AttrRes;
import androidx.annotation.ColorInt;
import androidx.annotation.Dimension;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.PluralsRes;
import androidx.annotation.RestrictTo;
import androidx.annotation.StringRes;
import androidx.annotation.StyleRes;
import androidx.annotation.StyleableRes;
import androidx.annotation.XmlRes;
import androidx.core.view.ViewCompat;
import b0.a;
import com.google.android.material.internal.n;
import com.google.android.material.internal.q;
import com.google.android.material.resources.c;
import com.google.android.material.resources.d;
import com.google.android.material.shape.j;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.ref.WeakReference;
import java.text.NumberFormat;

public class BadgeDrawable extends Drawable implements n.b {

    /* renamed from: q  reason: collision with root package name */
    public static final int f7106q = 8388661;

    /* renamed from: r  reason: collision with root package name */
    public static final int f7107r = 8388659;

    /* renamed from: s  reason: collision with root package name */
    public static final int f7108s = 8388693;

    /* renamed from: t  reason: collision with root package name */
    public static final int f7109t = 8388691;

    /* renamed from: u  reason: collision with root package name */
    private static final int f7110u = 4;

    /* renamed from: v  reason: collision with root package name */
    private static final int f7111v = -1;

    /* renamed from: w  reason: collision with root package name */
    private static final int f7112w = 9;
    @StyleRes

    /* renamed from: x  reason: collision with root package name */
    private static final int f7113x = a.n.Oa;
    @AttrRes

    /* renamed from: y  reason: collision with root package name */
    private static final int f7114y = a.c.f827s0;

    /* renamed from: z  reason: collision with root package name */
    static final String f7115z = "+";
    @NonNull

    /* renamed from: a  reason: collision with root package name */
    private final WeakReference<Context> f7116a;
    @NonNull

    /* renamed from: b  reason: collision with root package name */
    private final j f7117b = new j();
    @NonNull

    /* renamed from: c  reason: collision with root package name */
    private final n f7118c;
    @NonNull

    /* renamed from: d  reason: collision with root package name */
    private final Rect f7119d = new Rect();

    /* renamed from: e  reason: collision with root package name */
    private final float f7120e;

    /* renamed from: f  reason: collision with root package name */
    private final float f7121f;

    /* renamed from: g  reason: collision with root package name */
    private final float f7122g;
    @NonNull

    /* renamed from: h  reason: collision with root package name */
    private final SavedState f7123h;

    /* renamed from: i  reason: collision with root package name */
    private float f7124i;

    /* renamed from: j  reason: collision with root package name */
    private float f7125j;

    /* renamed from: k  reason: collision with root package name */
    private int f7126k;

    /* renamed from: l  reason: collision with root package name */
    private float f7127l;

    /* renamed from: m  reason: collision with root package name */
    private float f7128m;

    /* renamed from: n  reason: collision with root package name */
    private float f7129n;
    @Nullable

    /* renamed from: o  reason: collision with root package name */
    private WeakReference<View> f7130o;
    @Nullable

    /* renamed from: p  reason: collision with root package name */
    private WeakReference<FrameLayout> f7131p;

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public static final class SavedState implements Parcelable {
        public static final Parcelable.Creator<SavedState> CREATOR = new a();
        @Nullable
        private CharSequence C1;
        @PluralsRes
        private int C2;
        @StringRes
        private int U5;
        private int V5;
        private boolean W5;
        @Dimension(unit = 1)
        private int X5;
        @Dimension(unit = 1)
        private int Y5;
        @Dimension(unit = 1)
        private int Z5;
        @Dimension(unit = 1)

        /* renamed from: a6  reason: collision with root package name */
        private int f7132a6;
        @ColorInt

        /* renamed from: f  reason: collision with root package name */
        private int f7133f;
        @ColorInt

        /* renamed from: g  reason: collision with root package name */
        private int f7134g;

        /* renamed from: p  reason: collision with root package name */
        private int f7135p = 255;

        /* renamed from: x  reason: collision with root package name */
        private int f7136x = -1;

        /* renamed from: y  reason: collision with root package name */
        private int f7137y;

        static class a implements Parcelable.Creator<SavedState> {
            a() {
            }

            @NonNull
            /* renamed from: a */
            public SavedState createFromParcel(@NonNull Parcel parcel) {
                return new SavedState(parcel);
            }

            @NonNull
            /* renamed from: b */
            public SavedState[] newArray(int i7) {
                return new SavedState[i7];
            }
        }

        public SavedState(@NonNull Context context) {
            this.f7134g = new d(context, a.n.f1664f6).f8286a.getDefaultColor();
            this.C1 = context.getString(a.m.f1585k0);
            this.C2 = a.l.f1563a;
            this.U5 = a.m.f1589m0;
            this.W5 = true;
        }

        public int describeContents() {
            return 0;
        }

        public void writeToParcel(@NonNull Parcel parcel, int i7) {
            parcel.writeInt(this.f7133f);
            parcel.writeInt(this.f7134g);
            parcel.writeInt(this.f7135p);
            parcel.writeInt(this.f7136x);
            parcel.writeInt(this.f7137y);
            parcel.writeString(this.C1.toString());
            parcel.writeInt(this.C2);
            parcel.writeInt(this.V5);
            parcel.writeInt(this.X5);
            parcel.writeInt(this.Y5);
            parcel.writeInt(this.Z5);
            parcel.writeInt(this.f7132a6);
            parcel.writeInt(this.W5 ? 1 : 0);
        }

        protected SavedState(@NonNull Parcel parcel) {
            this.f7133f = parcel.readInt();
            this.f7134g = parcel.readInt();
            this.f7135p = parcel.readInt();
            this.f7136x = parcel.readInt();
            this.f7137y = parcel.readInt();
            this.C1 = parcel.readString();
            this.C2 = parcel.readInt();
            this.V5 = parcel.readInt();
            this.X5 = parcel.readInt();
            this.Y5 = parcel.readInt();
            this.Z5 = parcel.readInt();
            this.f7132a6 = parcel.readInt();
            this.W5 = parcel.readInt() != 0;
        }
    }

    /* access modifiers changed from: package-private */
    public class a implements Runnable {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ View f7138f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ FrameLayout f7139g;

        a(View view, FrameLayout frameLayout) {
            this.f7138f = view;
            this.f7139g = frameLayout;
        }

        public void run() {
            BadgeDrawable.this.S(this.f7138f, this.f7139g);
        }
    }

    @Retention(RetentionPolicy.SOURCE)
    public @interface b {
    }

    private BadgeDrawable(@NonNull Context context) {
        this.f7116a = new WeakReference<>(context);
        q.c(context);
        Resources resources = context.getResources();
        this.f7120e = (float) resources.getDimensionPixelSize(a.f.O2);
        this.f7122g = (float) resources.getDimensionPixelSize(a.f.N2);
        this.f7121f = (float) resources.getDimensionPixelSize(a.f.T2);
        n nVar = new n(this);
        this.f7118c = nVar;
        nVar.e().setTextAlign(Paint.Align.CENTER);
        this.f7123h = new SavedState(context);
        L(a.n.f1664f6);
    }

    private void K(@Nullable d dVar) {
        Context context;
        if (this.f7118c.d() != dVar && (context = this.f7116a.get()) != null) {
            this.f7118c.i(dVar, context);
            T();
        }
    }

    private void L(@StyleRes int i7) {
        Context context = this.f7116a.get();
        if (context != null) {
            K(new d(context, i7));
        }
    }

    private void O(View view) {
        ViewGroup viewGroup = (ViewGroup) view.getParent();
        if (viewGroup == null || viewGroup.getId() != a.h.R2) {
            WeakReference<FrameLayout> weakReference = this.f7131p;
            if (weakReference == null || weakReference.get() != viewGroup) {
                P(view);
                FrameLayout frameLayout = new FrameLayout(view.getContext());
                frameLayout.setId(a.h.R2);
                frameLayout.setClipChildren(false);
                frameLayout.setClipToPadding(false);
                frameLayout.setLayoutParams(view.getLayoutParams());
                frameLayout.setMinimumWidth(view.getWidth());
                frameLayout.setMinimumHeight(view.getHeight());
                int indexOfChild = viewGroup.indexOfChild(view);
                viewGroup.removeViewAt(indexOfChild);
                view.setLayoutParams(new FrameLayout.LayoutParams(-1, -1));
                frameLayout.addView(view);
                viewGroup.addView(frameLayout, indexOfChild);
                this.f7131p = new WeakReference<>(frameLayout);
                frameLayout.post(new a(view, frameLayout));
            }
        }
    }

    private static void P(View view) {
        ViewGroup viewGroup = (ViewGroup) view.getParent();
        viewGroup.setClipChildren(false);
        viewGroup.setClipToPadding(false);
    }

    private void T() {
        Context context = this.f7116a.get();
        WeakReference<View> weakReference = this.f7130o;
        FrameLayout frameLayout = null;
        View view = weakReference != null ? weakReference.get() : null;
        if (context != null && view != null) {
            Rect rect = new Rect();
            rect.set(this.f7119d);
            Rect rect2 = new Rect();
            view.getDrawingRect(rect2);
            WeakReference<FrameLayout> weakReference2 = this.f7131p;
            if (weakReference2 != null) {
                frameLayout = weakReference2.get();
            }
            if (frameLayout != null || a.f7141a) {
                if (frameLayout == null) {
                    frameLayout = (ViewGroup) view.getParent();
                }
                frameLayout.offsetDescendantRectToMyCoords(view, rect2);
            }
            b(context, rect2, view);
            a.l(this.f7119d, this.f7124i, this.f7125j, this.f7128m, this.f7129n);
            this.f7117b.j0(this.f7127l);
            if (!rect.equals(this.f7119d)) {
                this.f7117b.setBounds(this.f7119d);
            }
        }
    }

    private void U() {
        this.f7126k = ((int) Math.pow(10.0d, ((double) r()) - 1.0d)) - 1;
    }

    private void b(@NonNull Context context, @NonNull Rect rect, @NonNull View view) {
        float f7;
        int i7 = this.f7123h.Y5 + this.f7123h.f7132a6;
        int i8 = this.f7123h.V5;
        this.f7125j = (float) ((i8 == 8388691 || i8 == 8388693) ? rect.bottom - i7 : rect.top + i7);
        if (s() <= 9) {
            f7 = !v() ? this.f7120e : this.f7121f;
            this.f7127l = f7;
            this.f7129n = f7;
        } else {
            float f8 = this.f7121f;
            this.f7127l = f8;
            this.f7129n = f8;
            f7 = (this.f7118c.f(m()) / 2.0f) + this.f7122g;
        }
        this.f7128m = f7;
        int dimensionPixelSize = context.getResources().getDimensionPixelSize(v() ? a.f.P2 : a.f.M2);
        int i9 = this.f7123h.X5 + this.f7123h.Z5;
        int i10 = this.f7123h.V5;
        this.f7124i = (i10 == 8388659 || i10 == 8388691 ? ViewCompat.getLayoutDirection(view) != 0 : ViewCompat.getLayoutDirection(view) == 0) ? ((((float) rect.right) + this.f7128m) - ((float) dimensionPixelSize)) - ((float) i9) : (((float) rect.left) - this.f7128m) + ((float) dimensionPixelSize) + ((float) i9);
    }

    @NonNull
    public static BadgeDrawable d(@NonNull Context context) {
        return e(context, null, f7114y, f7113x);
    }

    @NonNull
    private static BadgeDrawable e(@NonNull Context context, AttributeSet attributeSet, @AttrRes int i7, @StyleRes int i8) {
        BadgeDrawable badgeDrawable = new BadgeDrawable(context);
        badgeDrawable.w(context, attributeSet, i7, i8);
        return badgeDrawable;
    }

    @NonNull
    public static BadgeDrawable f(@NonNull Context context, @XmlRes int i7) {
        AttributeSet a8 = h0.a.a(context, i7, "badge");
        int styleAttribute = a8.getStyleAttribute();
        if (styleAttribute == 0) {
            styleAttribute = f7113x;
        }
        return e(context, a8, f7114y, styleAttribute);
    }

    @NonNull
    static BadgeDrawable g(@NonNull Context context, @NonNull SavedState savedState) {
        BadgeDrawable badgeDrawable = new BadgeDrawable(context);
        badgeDrawable.y(savedState);
        return badgeDrawable;
    }

    private void h(Canvas canvas) {
        Rect rect = new Rect();
        String m7 = m();
        this.f7118c.e().getTextBounds(m7, 0, m7.length(), rect);
        canvas.drawText(m7, this.f7124i, this.f7125j + ((float) (rect.height() / 2)), this.f7118c.e());
    }

    @NonNull
    private String m() {
        if (s() <= this.f7126k) {
            return NumberFormat.getInstance().format((long) s());
        }
        Context context = this.f7116a.get();
        if (context == null) {
            return "";
        }
        return context.getString(a.m.f1591n0, Integer.valueOf(this.f7126k), f7115z);
    }

    private void w(Context context, AttributeSet attributeSet, @AttrRes int i7, @StyleRes int i8) {
        TypedArray j7 = q.j(context, attributeSet, a.o.V3, i7, i8, new int[0]);
        I(j7.getInt(a.o.f1830a4, 4));
        if (j7.hasValue(a.o.f1839b4)) {
            J(j7.getInt(a.o.f1839b4, 0));
        }
        B(x(context, j7, a.o.W3));
        if (j7.hasValue(a.o.Y3)) {
            D(x(context, j7, a.o.Y3));
        }
        C(j7.getInt(a.o.X3, f7106q));
        H(j7.getDimensionPixelOffset(a.o.Z3, 0));
        M(j7.getDimensionPixelOffset(a.o.f1847c4, 0));
        j7.recycle();
    }

    private static int x(Context context, @NonNull TypedArray typedArray, @StyleableRes int i7) {
        return c.a(context, typedArray, i7).getDefaultColor();
    }

    private void y(@NonNull SavedState savedState) {
        I(savedState.f7137y);
        if (savedState.f7136x != -1) {
            J(savedState.f7136x);
        }
        B(savedState.f7133f);
        D(savedState.f7134g);
        C(savedState.V5);
        H(savedState.X5);
        M(savedState.Y5);
        z(savedState.Z5);
        A(savedState.f7132a6);
        N(savedState.W5);
    }

    /* access modifiers changed from: package-private */
    public void A(int i7) {
        this.f7123h.f7132a6 = i7;
        T();
    }

    public void B(@ColorInt int i7) {
        this.f7123h.f7133f = i7;
        ColorStateList valueOf = ColorStateList.valueOf(i7);
        if (this.f7117b.y() != valueOf) {
            this.f7117b.n0(valueOf);
            invalidateSelf();
        }
    }

    public void C(int i7) {
        if (this.f7123h.V5 != i7) {
            this.f7123h.V5 = i7;
            WeakReference<View> weakReference = this.f7130o;
            if (weakReference != null && weakReference.get() != null) {
                View view = this.f7130o.get();
                WeakReference<FrameLayout> weakReference2 = this.f7131p;
                S(view, weakReference2 != null ? weakReference2.get() : null);
            }
        }
    }

    public void D(@ColorInt int i7) {
        this.f7123h.f7134g = i7;
        if (this.f7118c.e().getColor() != i7) {
            this.f7118c.e().setColor(i7);
            invalidateSelf();
        }
    }

    public void E(@StringRes int i7) {
        this.f7123h.U5 = i7;
    }

    public void F(CharSequence charSequence) {
        this.f7123h.C1 = charSequence;
    }

    public void G(@PluralsRes int i7) {
        this.f7123h.C2 = i7;
    }

    public void H(int i7) {
        this.f7123h.X5 = i7;
        T();
    }

    public void I(int i7) {
        if (this.f7123h.f7137y != i7) {
            this.f7123h.f7137y = i7;
            U();
            this.f7118c.j(true);
            T();
            invalidateSelf();
        }
    }

    public void J(int i7) {
        int max = Math.max(0, i7);
        if (this.f7123h.f7136x != max) {
            this.f7123h.f7136x = max;
            this.f7118c.j(true);
            T();
            invalidateSelf();
        }
    }

    public void M(int i7) {
        this.f7123h.Y5 = i7;
        T();
    }

    public void N(boolean z7) {
        setVisible(z7, false);
        this.f7123h.W5 = z7;
        if (a.f7141a && p() != null && !z7) {
            ((ViewGroup) p().getParent()).invalidate();
        }
    }

    public void Q(@NonNull View view) {
        S(view, null);
    }

    @Deprecated
    public void R(@NonNull View view, @Nullable ViewGroup viewGroup) {
        if (viewGroup instanceof FrameLayout) {
            S(view, (FrameLayout) viewGroup);
            return;
        }
        throw new IllegalArgumentException("customBadgeParent must be a FrameLayout");
    }

    public void S(@NonNull View view, @Nullable FrameLayout frameLayout) {
        this.f7130o = new WeakReference<>(view);
        boolean z7 = a.f7141a;
        if (!z7 || frameLayout != null) {
            this.f7131p = new WeakReference<>(frameLayout);
        } else {
            O(view);
        }
        if (!z7) {
            P(view);
        }
        T();
        invalidateSelf();
    }

    @Override // com.google.android.material.internal.n.b
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public void a() {
        invalidateSelf();
    }

    public void c() {
        this.f7123h.f7136x = -1;
        invalidateSelf();
    }

    public void draw(@NonNull Canvas canvas) {
        if (!getBounds().isEmpty() && getAlpha() != 0 && isVisible()) {
            this.f7117b.draw(canvas);
            if (v()) {
                h(canvas);
            }
        }
    }

    public int getAlpha() {
        return this.f7123h.f7135p;
    }

    public int getIntrinsicHeight() {
        return this.f7119d.height();
    }

    public int getIntrinsicWidth() {
        return this.f7119d.width();
    }

    public int getOpacity() {
        return -3;
    }

    /* access modifiers changed from: package-private */
    public int i() {
        return this.f7123h.Z5;
    }

    public boolean isStateful() {
        return false;
    }

    /* access modifiers changed from: package-private */
    public int j() {
        return this.f7123h.f7132a6;
    }

    @ColorInt
    public int k() {
        return this.f7117b.y().getDefaultColor();
    }

    public int l() {
        return this.f7123h.V5;
    }

    @ColorInt
    public int n() {
        return this.f7118c.e().getColor();
    }

    @Nullable
    public CharSequence o() {
        Context context;
        if (!isVisible()) {
            return null;
        }
        if (!v()) {
            return this.f7123h.C1;
        }
        if (this.f7123h.C2 <= 0 || (context = this.f7116a.get()) == null) {
            return null;
        }
        return s() <= this.f7126k ? context.getResources().getQuantityString(this.f7123h.C2, s(), Integer.valueOf(s())) : context.getString(this.f7123h.U5, Integer.valueOf(this.f7126k));
    }

    @Override // com.google.android.material.internal.n.b
    public boolean onStateChange(int[] iArr) {
        return super.onStateChange(iArr);
    }

    @Nullable
    public FrameLayout p() {
        WeakReference<FrameLayout> weakReference = this.f7131p;
        if (weakReference != null) {
            return weakReference.get();
        }
        return null;
    }

    public int q() {
        return this.f7123h.X5;
    }

    public int r() {
        return this.f7123h.f7137y;
    }

    public int s() {
        if (!v()) {
            return 0;
        }
        return this.f7123h.f7136x;
    }

    public void setAlpha(int i7) {
        this.f7123h.f7135p = i7;
        this.f7118c.e().setAlpha(i7);
        invalidateSelf();
    }

    public void setColorFilter(ColorFilter colorFilter) {
    }

    @NonNull
    public SavedState t() {
        return this.f7123h;
    }

    public int u() {
        return this.f7123h.Y5;
    }

    public boolean v() {
        return this.f7123h.f7136x != -1;
    }

    /* access modifiers changed from: package-private */
    public void z(int i7) {
        this.f7123h.Z5 = i7;
        T();
    }
}
