package com.google.android.material.badge;

import android.content.Context;
import android.content.res.Resources;
import android.graphics.Rect;
import android.util.Log;
import android.util.SparseArray;
import android.view.View;
import android.widget.FrameLayout;
import androidx.annotation.IdRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.VisibleForTesting;
import androidx.appcompat.view.menu.ActionMenuItemView;
import androidx.appcompat.widget.Toolbar;
import b0.a;
import com.google.android.material.badge.BadgeDrawable;
import com.google.android.material.internal.ParcelableSparseArray;
import com.google.android.material.internal.r;

@b
public class a {

    /* renamed from: a  reason: collision with root package name */
    public static final boolean f7141a = false;

    /* renamed from: b  reason: collision with root package name */
    private static final String f7142b = "BadgeUtils";

    /* access modifiers changed from: package-private */
    /* renamed from: com.google.android.material.badge.a$a  reason: collision with other inner class name */
    public static class RunnableC0080a implements Runnable {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ Toolbar f7143f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ int f7144g;

        /* renamed from: p  reason: collision with root package name */
        final /* synthetic */ BadgeDrawable f7145p;

        /* renamed from: x  reason: collision with root package name */
        final /* synthetic */ FrameLayout f7146x;

        RunnableC0080a(Toolbar toolbar, int i7, BadgeDrawable badgeDrawable, FrameLayout frameLayout) {
            this.f7143f = toolbar;
            this.f7144g = i7;
            this.f7145p = badgeDrawable;
            this.f7146x = frameLayout;
        }

        public void run() {
            ActionMenuItemView a8 = r.a(this.f7143f, this.f7144g);
            if (a8 != null) {
                a.k(this.f7145p, this.f7143f.getResources());
                a.b(this.f7145p, a8, this.f7146x);
            }
        }
    }

    private a() {
    }

    public static void a(@NonNull BadgeDrawable badgeDrawable, @NonNull View view) {
        b(badgeDrawable, view, null);
    }

    public static void b(@NonNull BadgeDrawable badgeDrawable, @NonNull View view, @Nullable FrameLayout frameLayout) {
        j(badgeDrawable, view, frameLayout);
        if (badgeDrawable.p() != null) {
            badgeDrawable.p().setForeground(badgeDrawable);
        } else if (!f7141a) {
            view.getOverlay().add(badgeDrawable);
        } else {
            throw new IllegalArgumentException("Trying to reference null customBadgeParent");
        }
    }

    public static void c(@NonNull BadgeDrawable badgeDrawable, @NonNull Toolbar toolbar, @IdRes int i7) {
        d(badgeDrawable, toolbar, i7, null);
    }

    public static void d(@NonNull BadgeDrawable badgeDrawable, @NonNull Toolbar toolbar, @IdRes int i7, @Nullable FrameLayout frameLayout) {
        toolbar.post(new RunnableC0080a(toolbar, i7, badgeDrawable, frameLayout));
    }

    @NonNull
    public static SparseArray<BadgeDrawable> e(Context context, @NonNull ParcelableSparseArray parcelableSparseArray) {
        SparseArray<BadgeDrawable> sparseArray = new SparseArray<>(parcelableSparseArray.size());
        for (int i7 = 0; i7 < parcelableSparseArray.size(); i7++) {
            int keyAt = parcelableSparseArray.keyAt(i7);
            BadgeDrawable.SavedState savedState = (BadgeDrawable.SavedState) parcelableSparseArray.valueAt(i7);
            if (savedState != null) {
                sparseArray.put(keyAt, BadgeDrawable.g(context, savedState));
            } else {
                throw new IllegalArgumentException("BadgeDrawable's savedState cannot be null");
            }
        }
        return sparseArray;
    }

    @NonNull
    public static ParcelableSparseArray f(@NonNull SparseArray<BadgeDrawable> sparseArray) {
        ParcelableSparseArray parcelableSparseArray = new ParcelableSparseArray();
        for (int i7 = 0; i7 < sparseArray.size(); i7++) {
            int keyAt = sparseArray.keyAt(i7);
            BadgeDrawable valueAt = sparseArray.valueAt(i7);
            if (valueAt != null) {
                parcelableSparseArray.put(keyAt, valueAt.t());
            } else {
                throw new IllegalArgumentException("badgeDrawable cannot be null");
            }
        }
        return parcelableSparseArray;
    }

    public static void g(@Nullable BadgeDrawable badgeDrawable, @NonNull View view) {
        if (badgeDrawable != null) {
            if (f7141a || badgeDrawable.p() != null) {
                badgeDrawable.p().setForeground(null);
            } else {
                view.getOverlay().remove(badgeDrawable);
            }
        }
    }

    public static void h(@Nullable BadgeDrawable badgeDrawable, @NonNull Toolbar toolbar, @IdRes int i7) {
        if (badgeDrawable != null) {
            ActionMenuItemView a8 = r.a(toolbar, i7);
            if (a8 != null) {
                i(badgeDrawable);
                g(badgeDrawable, a8);
                return;
            }
            Log.w(f7142b, "Trying to remove badge from a null menuItemView: " + i7);
        }
    }

    @VisibleForTesting
    static void i(BadgeDrawable badgeDrawable) {
        badgeDrawable.z(0);
        badgeDrawable.A(0);
    }

    public static void j(@NonNull BadgeDrawable badgeDrawable, @NonNull View view, @Nullable FrameLayout frameLayout) {
        Rect rect = new Rect();
        view.getDrawingRect(rect);
        badgeDrawable.setBounds(rect);
        badgeDrawable.S(view, frameLayout);
    }

    @VisibleForTesting
    static void k(BadgeDrawable badgeDrawable, Resources resources) {
        badgeDrawable.z(resources.getDimensionPixelOffset(a.f.R2));
        badgeDrawable.A(resources.getDimensionPixelOffset(a.f.S2));
    }

    public static void l(@NonNull Rect rect, float f7, float f8, float f9, float f10) {
        rect.set((int) (f7 - f9), (int) (f8 - f10), (int) (f7 + f9), (int) (f8 + f10));
    }
}
