package com.google.android.material.behavior;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.TimeInterpolator;
import android.content.Context;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewPropertyAnimator;
import androidx.annotation.Dimension;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.coordinatorlayout.widget.CoordinatorLayout;

public class HideBottomViewOnScrollBehavior<V extends View> extends CoordinatorLayout.Behavior<V> {

    /* renamed from: e  reason: collision with root package name */
    protected static final int f7147e = 225;

    /* renamed from: f  reason: collision with root package name */
    protected static final int f7148f = 175;

    /* renamed from: g  reason: collision with root package name */
    private static final int f7149g = 1;

    /* renamed from: h  reason: collision with root package name */
    private static final int f7150h = 2;

    /* renamed from: a  reason: collision with root package name */
    private int f7151a = 0;

    /* renamed from: b  reason: collision with root package name */
    private int f7152b = 2;

    /* renamed from: c  reason: collision with root package name */
    private int f7153c = 0;
    @Nullable

    /* renamed from: d  reason: collision with root package name */
    private ViewPropertyAnimator f7154d;

    /* access modifiers changed from: package-private */
    public class a extends AnimatorListenerAdapter {
        a() {
        }

        public void onAnimationEnd(Animator animator) {
            HideBottomViewOnScrollBehavior.this.f7154d = null;
        }
    }

    public HideBottomViewOnScrollBehavior() {
    }

    private void b(@NonNull V v7, int i7, long j7, TimeInterpolator timeInterpolator) {
        this.f7154d = v7.animate().translationY((float) i7).setInterpolator(timeInterpolator).setDuration(j7).setListener(new a());
    }

    public void c(@NonNull V v7, @Dimension int i7) {
        this.f7153c = i7;
        if (this.f7152b == 1) {
            v7.setTranslationY((float) (this.f7151a + i7));
        }
    }

    public void d(@NonNull V v7) {
        if (this.f7152b != 1) {
            ViewPropertyAnimator viewPropertyAnimator = this.f7154d;
            if (viewPropertyAnimator != null) {
                viewPropertyAnimator.cancel();
                v7.clearAnimation();
            }
            this.f7152b = 1;
            b(v7, this.f7151a + this.f7153c, 175, com.google.android.material.animation.a.f6956c);
        }
    }

    public void e(@NonNull V v7) {
        if (this.f7152b != 2) {
            ViewPropertyAnimator viewPropertyAnimator = this.f7154d;
            if (viewPropertyAnimator != null) {
                viewPropertyAnimator.cancel();
                v7.clearAnimation();
            }
            this.f7152b = 2;
            b(v7, 0, 225, com.google.android.material.animation.a.f6957d);
        }
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
    public boolean onLayoutChild(@NonNull CoordinatorLayout coordinatorLayout, @NonNull V v7, int i7) {
        this.f7151a = v7.getMeasuredHeight() + ((ViewGroup.MarginLayoutParams) v7.getLayoutParams()).bottomMargin;
        return super.onLayoutChild(coordinatorLayout, v7, i7);
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
    public void onNestedScroll(CoordinatorLayout coordinatorLayout, @NonNull V v7, @NonNull View view, int i7, int i8, int i9, int i10, int i11, @NonNull int[] iArr) {
        if (i8 > 0) {
            d(v7);
        } else if (i8 < 0) {
            e(v7);
        }
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
    public boolean onStartNestedScroll(@NonNull CoordinatorLayout coordinatorLayout, @NonNull V v7, @NonNull View view, @NonNull View view2, int i7, int i8) {
        return i7 == 2;
    }

    public HideBottomViewOnScrollBehavior(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
    }
}
