package com.google.android.material.bottomappbar;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.AnimatorSet;
import android.animation.ObjectAnimator;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Paint;
import android.graphics.Rect;
import android.graphics.RectF;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import androidx.annotation.Dimension;
import androidx.annotation.MenuRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.Px;
import androidx.appcompat.widget.ActionMenuView;
import androidx.appcompat.widget.Toolbar;
import androidx.coordinatorlayout.widget.CoordinatorLayout;
import androidx.core.graphics.drawable.DrawableCompat;
import androidx.core.view.GravityCompat;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;
import androidx.customview.view.AbsSavedState;
import b0.a;
import com.google.android.material.behavior.HideBottomViewOnScrollBehavior;
import com.google.android.material.floatingactionbutton.ExtendedFloatingActionButton;
import com.google.android.material.floatingactionbutton.FloatingActionButton;
import com.google.android.material.internal.q;
import com.google.android.material.internal.y;
import com.google.android.material.shape.o;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

public class BottomAppBar extends Toolbar implements CoordinatorLayout.AttachedBehavior {
    public static final int A = 1;
    private static final int B = 0;

    /* renamed from: v  reason: collision with root package name */
    private static final int f7183v = a.n.Pa;

    /* renamed from: w  reason: collision with root package name */
    private static final long f7184w = 300;

    /* renamed from: x  reason: collision with root package name */
    public static final int f7185x = 0;

    /* renamed from: y  reason: collision with root package name */
    public static final int f7186y = 1;

    /* renamed from: z  reason: collision with root package name */
    public static final int f7187z = 0;

    /* renamed from: a  reason: collision with root package name */
    private final int f7188a;

    /* renamed from: b  reason: collision with root package name */
    private final com.google.android.material.shape.j f7189b;
    @Nullable

    /* renamed from: c  reason: collision with root package name */
    private Animator f7190c;
    @Nullable

    /* renamed from: d  reason: collision with root package name */
    private Animator f7191d;

    /* renamed from: e  reason: collision with root package name */
    private int f7192e;

    /* renamed from: f  reason: collision with root package name */
    private int f7193f;

    /* renamed from: g  reason: collision with root package name */
    private boolean f7194g;

    /* renamed from: h  reason: collision with root package name */
    private final boolean f7195h;

    /* renamed from: i  reason: collision with root package name */
    private final boolean f7196i;

    /* renamed from: j  reason: collision with root package name */
    private final boolean f7197j;

    /* renamed from: k  reason: collision with root package name */
    private int f7198k;

    /* renamed from: l  reason: collision with root package name */
    private ArrayList<j> f7199l;
    @MenuRes

    /* renamed from: m  reason: collision with root package name */
    private int f7200m;

    /* renamed from: n  reason: collision with root package name */
    private boolean f7201n;

    /* renamed from: o  reason: collision with root package name */
    private boolean f7202o;

    /* renamed from: p  reason: collision with root package name */
    private Behavior f7203p;

    /* renamed from: q  reason: collision with root package name */
    private int f7204q;

    /* renamed from: r  reason: collision with root package name */
    private int f7205r;

    /* renamed from: s  reason: collision with root package name */
    private int f7206s;
    @NonNull

    /* renamed from: t  reason: collision with root package name */
    AnimatorListenerAdapter f7207t;
    @NonNull

    /* renamed from: u  reason: collision with root package name */
    com.google.android.material.animation.k<FloatingActionButton> f7208u;

    public static class Behavior extends HideBottomViewOnScrollBehavior<BottomAppBar> {
        @NonNull

        /* renamed from: i  reason: collision with root package name */
        private final Rect f7209i = new Rect();

        /* renamed from: j  reason: collision with root package name */
        private WeakReference<BottomAppBar> f7210j;

        /* renamed from: k  reason: collision with root package name */
        private int f7211k;

        /* renamed from: l  reason: collision with root package name */
        private final View.OnLayoutChangeListener f7212l = new a();

        class a implements View.OnLayoutChangeListener {
            a() {
            }

            public void onLayoutChange(View view, int i7, int i8, int i9, int i10, int i11, int i12, int i13, int i14) {
                BottomAppBar bottomAppBar = (BottomAppBar) Behavior.this.f7210j.get();
                if (bottomAppBar == null || !(view instanceof FloatingActionButton)) {
                    view.removeOnLayoutChangeListener(this);
                    return;
                }
                FloatingActionButton floatingActionButton = (FloatingActionButton) view;
                floatingActionButton.l(Behavior.this.f7209i);
                int height = Behavior.this.f7209i.height();
                bottomAppBar.d0(height);
                bottomAppBar.setFabCornerSize(floatingActionButton.getShapeAppearanceModel().r().a(new RectF(Behavior.this.f7209i)));
                CoordinatorLayout.LayoutParams layoutParams = (CoordinatorLayout.LayoutParams) view.getLayoutParams();
                if (Behavior.this.f7211k == 0) {
                    ((ViewGroup.MarginLayoutParams) layoutParams).bottomMargin = bottomAppBar.getBottomInset() + (bottomAppBar.getResources().getDimensionPixelOffset(a.f.V2) - ((floatingActionButton.getMeasuredHeight() - height) / 2));
                    ((ViewGroup.MarginLayoutParams) layoutParams).leftMargin = bottomAppBar.getLeftInset();
                    ((ViewGroup.MarginLayoutParams) layoutParams).rightMargin = bottomAppBar.getRightInset();
                    if (y.j(floatingActionButton)) {
                        ((ViewGroup.MarginLayoutParams) layoutParams).leftMargin += bottomAppBar.f7188a;
                    } else {
                        ((ViewGroup.MarginLayoutParams) layoutParams).rightMargin += bottomAppBar.f7188a;
                    }
                }
            }
        }

        public Behavior() {
        }

        /* renamed from: i */
        public boolean onLayoutChild(@NonNull CoordinatorLayout coordinatorLayout, @NonNull BottomAppBar bottomAppBar, int i7) {
            this.f7210j = new WeakReference<>(bottomAppBar);
            View Q = bottomAppBar.Q();
            if (Q != null && !ViewCompat.isLaidOut(Q)) {
                CoordinatorLayout.LayoutParams layoutParams = (CoordinatorLayout.LayoutParams) Q.getLayoutParams();
                layoutParams.anchorGravity = 49;
                this.f7211k = ((ViewGroup.MarginLayoutParams) layoutParams).bottomMargin;
                if (Q instanceof FloatingActionButton) {
                    FloatingActionButton floatingActionButton = (FloatingActionButton) Q;
                    floatingActionButton.addOnLayoutChangeListener(this.f7212l);
                    bottomAppBar.I(floatingActionButton);
                }
                bottomAppBar.b0();
            }
            coordinatorLayout.onLayoutChild(bottomAppBar, i7);
            return super.onLayoutChild(coordinatorLayout, bottomAppBar, i7);
        }

        /* renamed from: j */
        public boolean onStartNestedScroll(@NonNull CoordinatorLayout coordinatorLayout, @NonNull BottomAppBar bottomAppBar, @NonNull View view, @NonNull View view2, int i7, int i8) {
            return bottomAppBar.getHideOnScroll() && super.onStartNestedScroll(coordinatorLayout, bottomAppBar, view, view2, i7, i8);
        }

        public Behavior(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
        }
    }

    /* access modifiers changed from: package-private */
    public static class SavedState extends AbsSavedState {
        public static final Parcelable.Creator<SavedState> CREATOR = new a();

        /* renamed from: f  reason: collision with root package name */
        int f7214f;

        /* renamed from: g  reason: collision with root package name */
        boolean f7215g;

        static class a implements Parcelable.ClassLoaderCreator<SavedState> {
            a() {
            }

            @Nullable
            /* renamed from: a */
            public SavedState createFromParcel(@NonNull Parcel parcel) {
                return new SavedState(parcel, null);
            }

            @NonNull
            /* renamed from: b */
            public SavedState createFromParcel(@NonNull Parcel parcel, ClassLoader classLoader) {
                return new SavedState(parcel, classLoader);
            }

            @NonNull
            /* renamed from: c */
            public SavedState[] newArray(int i7) {
                return new SavedState[i7];
            }
        }

        public SavedState(@NonNull Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            this.f7214f = parcel.readInt();
            this.f7215g = parcel.readInt() != 0;
        }

        @Override // androidx.customview.view.AbsSavedState
        public void writeToParcel(@NonNull Parcel parcel, int i7) {
            super.writeToParcel(parcel, i7);
            parcel.writeInt(this.f7214f);
            parcel.writeInt(this.f7215g ? 1 : 0);
        }

        public SavedState(Parcelable parcelable) {
            super(parcelable);
        }
    }

    class a extends AnimatorListenerAdapter {
        a() {
        }

        public void onAnimationStart(Animator animator) {
            if (!BottomAppBar.this.f7201n) {
                BottomAppBar bottomAppBar = BottomAppBar.this;
                bottomAppBar.U(bottomAppBar.f7192e, BottomAppBar.this.f7202o);
            }
        }
    }

    class b implements com.google.android.material.animation.k<FloatingActionButton> {
        b() {
        }

        /* renamed from: c */
        public void a(@NonNull FloatingActionButton floatingActionButton) {
            BottomAppBar.this.f7189b.o0(floatingActionButton.getVisibility() == 0 ? floatingActionButton.getScaleY() : 0.0f);
        }

        /* renamed from: d */
        public void b(@NonNull FloatingActionButton floatingActionButton) {
            float translationX = floatingActionButton.getTranslationX();
            if (BottomAppBar.this.getTopEdgeTreatment().i() != translationX) {
                BottomAppBar.this.getTopEdgeTreatment().o(translationX);
                BottomAppBar.this.f7189b.invalidateSelf();
            }
            float f7 = 0.0f;
            float max = Math.max(0.0f, -floatingActionButton.getTranslationY());
            if (BottomAppBar.this.getTopEdgeTreatment().d() != max) {
                BottomAppBar.this.getTopEdgeTreatment().j(max);
                BottomAppBar.this.f7189b.invalidateSelf();
            }
            com.google.android.material.shape.j jVar = BottomAppBar.this.f7189b;
            if (floatingActionButton.getVisibility() == 0) {
                f7 = floatingActionButton.getScaleY();
            }
            jVar.o0(f7);
        }
    }

    class c implements y.e {
        c() {
        }

        @Override // com.google.android.material.internal.y.e
        @NonNull
        public WindowInsetsCompat a(View view, @NonNull WindowInsetsCompat windowInsetsCompat, @NonNull y.f fVar) {
            boolean z7;
            if (BottomAppBar.this.f7195h) {
                BottomAppBar.this.f7204q = windowInsetsCompat.getSystemWindowInsetBottom();
            }
            boolean z8 = true;
            boolean z9 = false;
            if (BottomAppBar.this.f7196i) {
                z7 = BottomAppBar.this.f7206s != windowInsetsCompat.getSystemWindowInsetLeft();
                BottomAppBar.this.f7206s = windowInsetsCompat.getSystemWindowInsetLeft();
            } else {
                z7 = false;
            }
            if (BottomAppBar.this.f7197j) {
                if (BottomAppBar.this.f7205r == windowInsetsCompat.getSystemWindowInsetRight()) {
                    z8 = false;
                }
                BottomAppBar.this.f7205r = windowInsetsCompat.getSystemWindowInsetRight();
                z9 = z8;
            }
            if (z7 || z9) {
                BottomAppBar.this.J();
                BottomAppBar.this.b0();
                BottomAppBar.this.a0();
            }
            return windowInsetsCompat;
        }
    }

    /* access modifiers changed from: package-private */
    public class d extends AnimatorListenerAdapter {
        d() {
        }

        public void onAnimationEnd(Animator animator) {
            BottomAppBar.this.N();
            BottomAppBar.this.f7190c = null;
        }

        public void onAnimationStart(Animator animator) {
            BottomAppBar.this.O();
        }
    }

    /* access modifiers changed from: package-private */
    public class e extends FloatingActionButton.b {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ int f7220a;

        class a extends FloatingActionButton.b {
            a() {
            }

            @Override // com.google.android.material.floatingactionbutton.FloatingActionButton.b
            public void b(FloatingActionButton floatingActionButton) {
                BottomAppBar.this.N();
            }
        }

        e(int i7) {
            this.f7220a = i7;
        }

        @Override // com.google.android.material.floatingactionbutton.FloatingActionButton.b
        public void a(@NonNull FloatingActionButton floatingActionButton) {
            floatingActionButton.setTranslationX(BottomAppBar.this.S(this.f7220a));
            floatingActionButton.A(new a());
        }
    }

    /* access modifiers changed from: package-private */
    public class f extends AnimatorListenerAdapter {
        f() {
        }

        public void onAnimationEnd(Animator animator) {
            BottomAppBar.this.N();
            BottomAppBar.this.f7201n = false;
            BottomAppBar.this.f7191d = null;
        }

        public void onAnimationStart(Animator animator) {
            BottomAppBar.this.O();
        }
    }

    /* access modifiers changed from: package-private */
    public class g extends AnimatorListenerAdapter {

        /* renamed from: f  reason: collision with root package name */
        public boolean f7224f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ ActionMenuView f7225g;

        /* renamed from: p  reason: collision with root package name */
        final /* synthetic */ int f7226p;

        /* renamed from: x  reason: collision with root package name */
        final /* synthetic */ boolean f7227x;

        g(ActionMenuView actionMenuView, int i7, boolean z7) {
            this.f7225g = actionMenuView;
            this.f7226p = i7;
            this.f7227x = z7;
        }

        public void onAnimationCancel(Animator animator) {
            this.f7224f = true;
        }

        public void onAnimationEnd(Animator animator) {
            if (!this.f7224f) {
                boolean z7 = BottomAppBar.this.f7200m != 0;
                BottomAppBar bottomAppBar = BottomAppBar.this;
                bottomAppBar.Z(bottomAppBar.f7200m);
                BottomAppBar.this.f0(this.f7225g, this.f7226p, this.f7227x, z7);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class h implements Runnable {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ ActionMenuView f7229f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ int f7230g;

        /* renamed from: p  reason: collision with root package name */
        final /* synthetic */ boolean f7231p;

        h(ActionMenuView actionMenuView, int i7, boolean z7) {
            this.f7229f = actionMenuView;
            this.f7230g = i7;
            this.f7231p = z7;
        }

        public void run() {
            ActionMenuView actionMenuView = this.f7229f;
            actionMenuView.setTranslationX((float) BottomAppBar.this.R(actionMenuView, this.f7230g, this.f7231p));
        }
    }

    /* access modifiers changed from: package-private */
    public class i extends AnimatorListenerAdapter {
        i() {
        }

        public void onAnimationStart(Animator animator) {
            BottomAppBar.this.f7207t.onAnimationStart(animator);
            FloatingActionButton P = BottomAppBar.this.P();
            if (P != null) {
                P.setTranslationX(BottomAppBar.this.getFabTranslationX());
            }
        }
    }

    /* access modifiers changed from: package-private */
    public interface j {
        void a(BottomAppBar bottomAppBar);

        void b(BottomAppBar bottomAppBar);
    }

    @Retention(RetentionPolicy.SOURCE)
    public @interface k {
    }

    @Retention(RetentionPolicy.SOURCE)
    public @interface l {
    }

    public BottomAppBar(@NonNull Context context) {
        this(context, null, 0);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void I(@NonNull FloatingActionButton floatingActionButton) {
        floatingActionButton.f(this.f7207t);
        floatingActionButton.g(new i());
        floatingActionButton.h(this.f7208u);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void J() {
        Animator animator = this.f7191d;
        if (animator != null) {
            animator.cancel();
        }
        Animator animator2 = this.f7190c;
        if (animator2 != null) {
            animator2.cancel();
        }
    }

    private void L(int i7, @NonNull List<Animator> list) {
        ObjectAnimator ofFloat = ObjectAnimator.ofFloat(P(), "translationX", S(i7));
        ofFloat.setDuration(f7184w);
        list.add(ofFloat);
    }

    private void M(int i7, boolean z7, @NonNull List<Animator> list) {
        ActionMenuView actionMenuView = getActionMenuView();
        if (actionMenuView != null) {
            Animator ofFloat = ObjectAnimator.ofFloat(actionMenuView, "alpha", 1.0f);
            if (Math.abs(actionMenuView.getTranslationX() - ((float) R(actionMenuView, i7, z7))) > 1.0f) {
                ObjectAnimator ofFloat2 = ObjectAnimator.ofFloat(actionMenuView, "alpha", 0.0f);
                ofFloat2.addListener(new g(actionMenuView, i7, z7));
                AnimatorSet animatorSet = new AnimatorSet();
                animatorSet.setDuration(150L);
                animatorSet.playSequentially(ofFloat2, ofFloat);
                list.add(animatorSet);
            } else if (actionMenuView.getAlpha() < 1.0f) {
                list.add(ofFloat);
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void N() {
        ArrayList<j> arrayList;
        int i7 = this.f7198k - 1;
        this.f7198k = i7;
        if (i7 == 0 && (arrayList = this.f7199l) != null) {
            Iterator<j> it = arrayList.iterator();
            while (it.hasNext()) {
                it.next().b(this);
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void O() {
        ArrayList<j> arrayList;
        int i7 = this.f7198k;
        this.f7198k = i7 + 1;
        if (i7 == 0 && (arrayList = this.f7199l) != null) {
            Iterator<j> it = arrayList.iterator();
            while (it.hasNext()) {
                it.next().a(this);
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    @Nullable
    private FloatingActionButton P() {
        View Q = Q();
        if (Q instanceof FloatingActionButton) {
            return (FloatingActionButton) Q;
        }
        return null;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* JADX WARNING: Removed duplicated region for block: B:6:0x001e  */
    @Nullable
    private View Q() {
        if (!(getParent() instanceof CoordinatorLayout)) {
            return null;
        }
        for (View view : ((CoordinatorLayout) getParent()).getDependents(this)) {
            if ((view instanceof FloatingActionButton) || (view instanceof ExtendedFloatingActionButton)) {
                return view;
            }
            while (r3.hasNext()) {
            }
        }
        return null;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private float S(int i7) {
        boolean j7 = y.j(this);
        int i8 = 1;
        if (i7 != 1) {
            return 0.0f;
        }
        int measuredWidth = (getMeasuredWidth() / 2) - (this.f7188a + (j7 ? this.f7206s : this.f7205r));
        if (j7) {
            i8 = -1;
        }
        return (float) (measuredWidth * i8);
    }

    private boolean T() {
        FloatingActionButton P = P();
        return P != null && P.r();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void U(int i7, boolean z7) {
        if (!ViewCompat.isLaidOut(this)) {
            this.f7201n = false;
            Z(this.f7200m);
            return;
        }
        Animator animator = this.f7191d;
        if (animator != null) {
            animator.cancel();
        }
        ArrayList arrayList = new ArrayList();
        if (!T()) {
            i7 = 0;
            z7 = false;
        }
        M(i7, z7, arrayList);
        AnimatorSet animatorSet = new AnimatorSet();
        animatorSet.playTogether(arrayList);
        this.f7191d = animatorSet;
        animatorSet.addListener(new f());
        this.f7191d.start();
    }

    private void V(int i7) {
        if (this.f7192e != i7 && ViewCompat.isLaidOut(this)) {
            Animator animator = this.f7190c;
            if (animator != null) {
                animator.cancel();
            }
            ArrayList arrayList = new ArrayList();
            if (this.f7193f == 1) {
                L(i7, arrayList);
            } else {
                K(i7, arrayList);
            }
            AnimatorSet animatorSet = new AnimatorSet();
            animatorSet.playTogether(arrayList);
            this.f7190c = animatorSet;
            animatorSet.addListener(new d());
            this.f7190c.start();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a0() {
        ActionMenuView actionMenuView = getActionMenuView();
        if (actionMenuView != null && this.f7191d == null) {
            actionMenuView.setAlpha(1.0f);
            if (!T()) {
                e0(actionMenuView, 0, false);
            } else {
                e0(actionMenuView, this.f7192e, this.f7202o);
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void b0() {
        getTopEdgeTreatment().o(getFabTranslationX());
        View Q = Q();
        this.f7189b.o0((!this.f7202o || !T()) ? 0.0f : 1.0f);
        if (Q != null) {
            Q.setTranslationY(getFabTranslationY());
            Q.setTranslationX(getFabTranslationX());
        }
    }

    private void e0(@NonNull ActionMenuView actionMenuView, int i7, boolean z7) {
        f0(actionMenuView, i7, z7, false);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void f0(@NonNull ActionMenuView actionMenuView, int i7, boolean z7, boolean z8) {
        h hVar = new h(actionMenuView, i7, z7);
        if (z8) {
            actionMenuView.post(hVar);
        } else {
            hVar.run();
        }
    }

    @Nullable
    private ActionMenuView getActionMenuView() {
        for (int i7 = 0; i7 < getChildCount(); i7++) {
            View childAt = getChildAt(i7);
            if (childAt instanceof ActionMenuView) {
                return (ActionMenuView) childAt;
            }
        }
        return null;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private int getBottomInset() {
        return this.f7204q;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private float getFabTranslationX() {
        return S(this.f7192e);
    }

    private float getFabTranslationY() {
        return -getTopEdgeTreatment().d();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private int getLeftInset() {
        return this.f7206s;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private int getRightInset() {
        return this.f7205r;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    @NonNull
    private a getTopEdgeTreatment() {
        return (a) this.f7189b.getShapeAppearanceModel().p();
    }

    /* access modifiers changed from: package-private */
    public void H(@NonNull j jVar) {
        if (this.f7199l == null) {
            this.f7199l = new ArrayList<>();
        }
        this.f7199l.add(jVar);
    }

    /* access modifiers changed from: protected */
    public void K(int i7, List<Animator> list) {
        FloatingActionButton P = P();
        if (P != null && !P.q()) {
            O();
            P.o(new e(i7));
        }
    }

    /* access modifiers changed from: protected */
    public int R(@NonNull ActionMenuView actionMenuView, int i7, boolean z7) {
        if (i7 != 1 || !z7) {
            return 0;
        }
        boolean j7 = y.j(this);
        int measuredWidth = j7 ? getMeasuredWidth() : 0;
        for (int i8 = 0; i8 < getChildCount(); i8++) {
            View childAt = getChildAt(i8);
            if ((childAt.getLayoutParams() instanceof Toolbar.LayoutParams) && (((Toolbar.LayoutParams) childAt.getLayoutParams()).gravity & GravityCompat.RELATIVE_HORIZONTAL_GRAVITY_MASK) == 8388611) {
                measuredWidth = j7 ? Math.min(measuredWidth, childAt.getLeft()) : Math.max(measuredWidth, childAt.getRight());
            }
        }
        return measuredWidth - ((j7 ? actionMenuView.getRight() : actionMenuView.getLeft()) + (j7 ? this.f7205r : -this.f7206s));
    }

    public void W() {
        getBehavior().d(this);
    }

    public void X() {
        getBehavior().e(this);
    }

    /* access modifiers changed from: package-private */
    public void Y(@NonNull j jVar) {
        ArrayList<j> arrayList = this.f7199l;
        if (arrayList != null) {
            arrayList.remove(jVar);
        }
    }

    public void Z(@MenuRes int i7) {
        if (i7 != 0) {
            this.f7200m = 0;
            getMenu().clear();
            inflateMenu(i7);
        }
    }

    public void c0(int i7, @MenuRes int i8) {
        this.f7200m = i8;
        this.f7201n = true;
        U(i7, this.f7202o);
        V(i7);
        this.f7192e = i7;
    }

    /* access modifiers changed from: package-private */
    public boolean d0(@Px int i7) {
        float f7 = (float) i7;
        if (f7 == getTopEdgeTreatment().h()) {
            return false;
        }
        getTopEdgeTreatment().n(f7);
        this.f7189b.invalidateSelf();
        return true;
    }

    @Nullable
    public ColorStateList getBackgroundTint() {
        return this.f7189b.Q();
    }

    @Dimension
    public float getCradleVerticalOffset() {
        return getTopEdgeTreatment().d();
    }

    public int getFabAlignmentMode() {
        return this.f7192e;
    }

    public int getFabAnimationMode() {
        return this.f7193f;
    }

    public float getFabCradleMargin() {
        return getTopEdgeTreatment().f();
    }

    @Dimension
    public float getFabCradleRoundedCornerRadius() {
        return getTopEdgeTreatment().g();
    }

    public boolean getHideOnScroll() {
        return this.f7194g;
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        com.google.android.material.shape.k.f(this, this.f7189b);
        if (getParent() instanceof ViewGroup) {
            ((ViewGroup) getParent()).setClipChildren(false);
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.widget.Toolbar
    public void onLayout(boolean z7, int i7, int i8, int i9, int i10) {
        super.onLayout(z7, i7, i8, i9, i10);
        if (z7) {
            J();
            b0();
        }
        a0();
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.widget.Toolbar
    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof SavedState)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        SavedState savedState = (SavedState) parcelable;
        super.onRestoreInstanceState(savedState.getSuperState());
        this.f7192e = savedState.f7214f;
        this.f7202o = savedState.f7215g;
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.widget.Toolbar
    @NonNull
    public Parcelable onSaveInstanceState() {
        SavedState savedState = new SavedState(super.onSaveInstanceState());
        savedState.f7214f = this.f7192e;
        savedState.f7215g = this.f7202o;
        return savedState;
    }

    public void setBackgroundTint(@Nullable ColorStateList colorStateList) {
        DrawableCompat.setTintList(this.f7189b, colorStateList);
    }

    public void setCradleVerticalOffset(@Dimension float f7) {
        if (f7 != getCradleVerticalOffset()) {
            getTopEdgeTreatment().j(f7);
            this.f7189b.invalidateSelf();
            b0();
        }
    }

    public void setElevation(float f7) {
        this.f7189b.m0(f7);
        getBehavior().c(this, this.f7189b.J() - this.f7189b.I());
    }

    public void setFabAlignmentMode(int i7) {
        c0(i7, 0);
    }

    public void setFabAnimationMode(int i7) {
        this.f7193f = i7;
    }

    /* access modifiers changed from: package-private */
    public void setFabCornerSize(@Dimension float f7) {
        if (f7 != getTopEdgeTreatment().e()) {
            getTopEdgeTreatment().k(f7);
            this.f7189b.invalidateSelf();
        }
    }

    public void setFabCradleMargin(@Dimension float f7) {
        if (f7 != getFabCradleMargin()) {
            getTopEdgeTreatment().l(f7);
            this.f7189b.invalidateSelf();
        }
    }

    public void setFabCradleRoundedCornerRadius(@Dimension float f7) {
        if (f7 != getFabCradleRoundedCornerRadius()) {
            getTopEdgeTreatment().m(f7);
            this.f7189b.invalidateSelf();
        }
    }

    public void setHideOnScroll(boolean z7) {
        this.f7194g = z7;
    }

    @Override // androidx.appcompat.widget.Toolbar
    public void setSubtitle(CharSequence charSequence) {
    }

    @Override // androidx.appcompat.widget.Toolbar
    public void setTitle(CharSequence charSequence) {
    }

    public BottomAppBar(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, a.c.L0);
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.AttachedBehavior
    @NonNull
    public Behavior getBehavior() {
        if (this.f7203p == null) {
            this.f7203p = new Behavior();
        }
        return this.f7203p;
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public BottomAppBar(@NonNull Context context, @Nullable AttributeSet attributeSet, int i7) {
        super(l0.a.c(context, attributeSet, i7, r6), attributeSet, i7);
        int i8 = f7183v;
        com.google.android.material.shape.j jVar = new com.google.android.material.shape.j();
        this.f7189b = jVar;
        this.f7198k = 0;
        this.f7200m = 0;
        this.f7201n = false;
        this.f7202o = true;
        this.f7207t = new a();
        this.f7208u = new b();
        Context context2 = getContext();
        TypedArray j7 = q.j(context2, attributeSet, a.o.f1936n4, i7, i8, new int[0]);
        ColorStateList a8 = com.google.android.material.resources.c.a(context2, j7, a.o.f1944o4);
        int dimensionPixelSize = j7.getDimensionPixelSize(a.o.f1952p4, 0);
        this.f7192e = j7.getInt(a.o.f1961q4, 0);
        this.f7193f = j7.getInt(a.o.f1969r4, 0);
        this.f7194g = j7.getBoolean(a.o.f2001v4, false);
        this.f7195h = j7.getBoolean(a.o.f2009w4, false);
        this.f7196i = j7.getBoolean(a.o.f2017x4, false);
        this.f7197j = j7.getBoolean(a.o.f2025y4, false);
        j7.recycle();
        this.f7188a = getResources().getDimensionPixelOffset(a.f.U2);
        jVar.setShapeAppearanceModel(o.a().G(new a((float) j7.getDimensionPixelOffset(a.o.f1977s4, 0), (float) j7.getDimensionPixelOffset(a.o.f1985t4, 0), (float) j7.getDimensionPixelOffset(a.o.f1993u4, 0))).m());
        jVar.w0(2);
        jVar.q0(Paint.Style.FILL);
        jVar.Y(context2);
        setElevation((float) dimensionPixelSize);
        DrawableCompat.setTintList(jVar, a8);
        ViewCompat.setBackground(this, jVar);
        y.c(this, attributeSet, i7, i8, new c());
    }
}
