package com.google.android.material.bottomnavigation;

import android.content.Context;
import android.content.res.Resources;
import android.view.View;
import android.widget.FrameLayout;
import androidx.annotation.NonNull;
import androidx.annotation.RestrictTo;
import androidx.appcompat.view.menu.MenuBuilder;
import androidx.core.view.ViewCompat;
import b0.a;
import com.google.android.material.navigation.c;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
public class b extends c {
    private final int A;
    private final int B;
    private boolean C;
    private int[] D = new int[5];

    /* renamed from: x  reason: collision with root package name */
    private final int f7239x;

    /* renamed from: y  reason: collision with root package name */
    private final int f7240y;

    /* renamed from: z  reason: collision with root package name */
    private final int f7241z;

    public b(@NonNull Context context) {
        super(context);
        FrameLayout.LayoutParams layoutParams = new FrameLayout.LayoutParams(-2, -2);
        layoutParams.gravity = 17;
        setLayoutParams(layoutParams);
        Resources resources = getResources();
        this.f7239x = resources.getDimensionPixelSize(a.f.V0);
        this.f7240y = resources.getDimensionPixelSize(a.f.W0);
        this.f7241z = resources.getDimensionPixelSize(a.f.P0);
        this.A = resources.getDimensionPixelSize(a.f.Q0);
        this.B = resources.getDimensionPixelSize(a.f.T0);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.material.navigation.c
    @NonNull
    public com.google.android.material.navigation.a e(@NonNull Context context) {
        return new a(context);
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z7, int i7, int i8, int i9, int i10) {
        int childCount = getChildCount();
        int i11 = i9 - i7;
        int i12 = i10 - i8;
        int i13 = 0;
        for (int i14 = 0; i14 < childCount; i14++) {
            View childAt = getChildAt(i14);
            if (childAt.getVisibility() != 8) {
                if (ViewCompat.getLayoutDirection(this) == 1) {
                    int i15 = i11 - i13;
                    childAt.layout(i15 - childAt.getMeasuredWidth(), 0, i15, i12);
                } else {
                    childAt.layout(i13, 0, childAt.getMeasuredWidth() + i13, i12);
                }
                i13 += childAt.getMeasuredWidth();
            }
        }
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i7, int i8) {
        MenuBuilder menu = getMenu();
        int size = View.MeasureSpec.getSize(i7);
        int size2 = menu.getVisibleItems().size();
        int childCount = getChildCount();
        int makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(this.B, 1073741824);
        int i9 = 1;
        if (!i(getLabelVisibilityMode(), size2) || !q()) {
            if (size2 != 0) {
                i9 = size2;
            }
            int min = Math.min(size / i9, this.f7241z);
            int i10 = size - (size2 * min);
            for (int i11 = 0; i11 < childCount; i11++) {
                if (getChildAt(i11).getVisibility() != 8) {
                    int[] iArr = this.D;
                    iArr[i11] = min;
                    if (i10 > 0) {
                        iArr[i11] = min + 1;
                        i10--;
                    }
                } else {
                    this.D[i11] = 0;
                }
            }
        } else {
            View childAt = getChildAt(getSelectedItemPosition());
            int i12 = this.A;
            if (childAt.getVisibility() != 8) {
                childAt.measure(View.MeasureSpec.makeMeasureSpec(this.f7241z, Integer.MIN_VALUE), makeMeasureSpec);
                i12 = Math.max(i12, childAt.getMeasuredWidth());
            }
            int i13 = size2 - (childAt.getVisibility() != 8 ? 1 : 0);
            int min2 = Math.min(size - (this.f7240y * i13), Math.min(i12, this.f7241z));
            int i14 = size - min2;
            int min3 = Math.min(i14 / (i13 == 0 ? 1 : i13), this.f7239x);
            int i15 = i14 - (i13 * min3);
            int i16 = 0;
            while (i16 < childCount) {
                if (getChildAt(i16).getVisibility() != 8) {
                    this.D[i16] = i16 == getSelectedItemPosition() ? min2 : min3;
                    if (i15 > 0) {
                        int[] iArr2 = this.D;
                        iArr2[i16] = iArr2[i16] + 1;
                        i15--;
                    }
                } else {
                    this.D[i16] = 0;
                }
                i16++;
            }
        }
        int i17 = 0;
        for (int i18 = 0; i18 < childCount; i18++) {
            View childAt2 = getChildAt(i18);
            if (childAt2.getVisibility() != 8) {
                childAt2.measure(View.MeasureSpec.makeMeasureSpec(this.D[i18], 1073741824), makeMeasureSpec);
                childAt2.getLayoutParams().width = childAt2.getMeasuredWidth();
                i17 += childAt2.getMeasuredWidth();
            }
        }
        setMeasuredDimension(View.resolveSizeAndState(i17, View.MeasureSpec.makeMeasureSpec(i17, 1073741824), 0), View.resolveSizeAndState(this.B, makeMeasureSpec, 0));
    }

    public boolean q() {
        return this.C;
    }

    public void setItemHorizontalTranslationEnabled(boolean z7) {
        this.C = z7;
    }
}
