package com.google.android.material.bottomsheet;

import android.animation.ValueAnimator;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.util.Log;
import android.util.TypedValue;
import android.view.MotionEvent;
import android.view.VelocityTracker;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.view.ViewParent;
import androidx.annotation.FloatRange;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.Px;
import androidx.annotation.RestrictTo;
import androidx.annotation.StringRes;
import androidx.annotation.VisibleForTesting;
import androidx.coordinatorlayout.widget.CoordinatorLayout;
import androidx.core.math.MathUtils;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;
import androidx.core.view.accessibility.AccessibilityNodeInfoCompat;
import androidx.core.view.accessibility.AccessibilityViewCommand;
import androidx.customview.view.AbsSavedState;
import androidx.customview.widget.ViewDragHelper;
import b0.a;
import com.google.android.material.internal.y;
import com.google.android.material.shape.o;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;

public class BottomSheetBehavior<V extends View> extends CoordinatorLayout.Behavior<V> {
    public static final int Y = 1;
    public static final int Z = 2;

    /* renamed from: a0  reason: collision with root package name */
    public static final int f7243a0 = 3;

    /* renamed from: b0  reason: collision with root package name */
    public static final int f7244b0 = 4;

    /* renamed from: c0  reason: collision with root package name */
    public static final int f7245c0 = 5;

    /* renamed from: d0  reason: collision with root package name */
    public static final int f7246d0 = 6;

    /* renamed from: e0  reason: collision with root package name */
    public static final int f7247e0 = -1;

    /* renamed from: f0  reason: collision with root package name */
    public static final int f7248f0 = 1;

    /* renamed from: g0  reason: collision with root package name */
    public static final int f7249g0 = 2;

    /* renamed from: h0  reason: collision with root package name */
    public static final int f7250h0 = 4;

    /* renamed from: i0  reason: collision with root package name */
    public static final int f7251i0 = 8;

    /* renamed from: j0  reason: collision with root package name */
    public static final int f7252j0 = -1;

    /* renamed from: k0  reason: collision with root package name */
    public static final int f7253k0 = 0;

    /* renamed from: l0  reason: collision with root package name */
    private static final String f7254l0 = "BottomSheetBehavior";

    /* renamed from: m0  reason: collision with root package name */
    private static final int f7255m0 = 500;

    /* renamed from: n0  reason: collision with root package name */
    private static final float f7256n0 = 0.5f;

    /* renamed from: o0  reason: collision with root package name */
    private static final float f7257o0 = 0.1f;

    /* renamed from: p0  reason: collision with root package name */
    private static final int f7258p0 = 500;

    /* renamed from: q0  reason: collision with root package name */
    private static final int f7259q0 = -1;

    /* renamed from: r0  reason: collision with root package name */
    private static final int f7260r0 = a.n.ua;
    float A = 0.5f;
    int B;
    float C = -1.0f;
    boolean D;
    private boolean E;
    private boolean F = true;
    int G = 4;
    @Nullable
    ViewDragHelper H;
    private boolean I;
    private int J;
    private boolean K;
    private int L;
    int M;
    int N;
    @Nullable
    WeakReference<V> O;
    @Nullable
    WeakReference<View> P;
    @NonNull
    private final ArrayList<g> Q = new ArrayList<>();
    @Nullable
    private VelocityTracker R;
    int S;
    private int T;
    boolean U;
    @Nullable
    private Map<View, Integer> V;
    private int W = -1;
    private final ViewDragHelper.Callback X = new e();

    /* renamed from: a  reason: collision with root package name */
    private int f7261a = 0;

    /* renamed from: b  reason: collision with root package name */
    private boolean f7262b = true;

    /* renamed from: c  reason: collision with root package name */
    private boolean f7263c = false;

    /* renamed from: d  reason: collision with root package name */
    private float f7264d;

    /* renamed from: e  reason: collision with root package name */
    private int f7265e;

    /* renamed from: f  reason: collision with root package name */
    private boolean f7266f;

    /* renamed from: g  reason: collision with root package name */
    private int f7267g;

    /* renamed from: h  reason: collision with root package name */
    private int f7268h;

    /* renamed from: i  reason: collision with root package name */
    private boolean f7269i;

    /* renamed from: j  reason: collision with root package name */
    private com.google.android.material.shape.j f7270j;

    /* renamed from: k  reason: collision with root package name */
    private int f7271k = -1;

    /* renamed from: l  reason: collision with root package name */
    private int f7272l;

    /* renamed from: m  reason: collision with root package name */
    private boolean f7273m;

    /* renamed from: n  reason: collision with root package name */
    private boolean f7274n;

    /* renamed from: o  reason: collision with root package name */
    private boolean f7275o;

    /* renamed from: p  reason: collision with root package name */
    private boolean f7276p;

    /* renamed from: q  reason: collision with root package name */
    private boolean f7277q;

    /* renamed from: r  reason: collision with root package name */
    private int f7278r;

    /* renamed from: s  reason: collision with root package name */
    private int f7279s;

    /* renamed from: t  reason: collision with root package name */
    private o f7280t;

    /* renamed from: u  reason: collision with root package name */
    private boolean f7281u;

    /* renamed from: v  reason: collision with root package name */
    private BottomSheetBehavior<V>.i f7282v = null;
    @Nullable

    /* renamed from: w  reason: collision with root package name */
    private ValueAnimator f7283w;

    /* renamed from: x  reason: collision with root package name */
    int f7284x;

    /* renamed from: y  reason: collision with root package name */
    int f7285y;

    /* renamed from: z  reason: collision with root package name */
    int f7286z;

    /* access modifiers changed from: protected */
    public static class SavedState extends AbsSavedState {
        public static final Parcelable.Creator<SavedState> CREATOR = new a();

        /* renamed from: f  reason: collision with root package name */
        final int f7287f;

        /* renamed from: g  reason: collision with root package name */
        int f7288g;

        /* renamed from: p  reason: collision with root package name */
        boolean f7289p;

        /* renamed from: x  reason: collision with root package name */
        boolean f7290x;

        /* renamed from: y  reason: collision with root package name */
        boolean f7291y;

        static class a implements Parcelable.ClassLoaderCreator<SavedState> {
            a() {
            }

            @Nullable
            /* renamed from: a */
            public SavedState createFromParcel(@NonNull Parcel parcel) {
                return new SavedState(parcel, (ClassLoader) null);
            }

            @NonNull
            /* renamed from: b */
            public SavedState createFromParcel(@NonNull Parcel parcel, ClassLoader classLoader) {
                return new SavedState(parcel, classLoader);
            }

            @NonNull
            /* renamed from: c */
            public SavedState[] newArray(int i7) {
                return new SavedState[i7];
            }
        }

        public SavedState(@NonNull Parcel parcel) {
            this(parcel, (ClassLoader) null);
        }

        @Override // androidx.customview.view.AbsSavedState
        public void writeToParcel(@NonNull Parcel parcel, int i7) {
            super.writeToParcel(parcel, i7);
            parcel.writeInt(this.f7287f);
            parcel.writeInt(this.f7288g);
            parcel.writeInt(this.f7289p ? 1 : 0);
            parcel.writeInt(this.f7290x ? 1 : 0);
            parcel.writeInt(this.f7291y ? 1 : 0);
        }

        public SavedState(@NonNull Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            this.f7287f = parcel.readInt();
            this.f7288g = parcel.readInt();
            boolean z7 = false;
            this.f7289p = parcel.readInt() == 1;
            this.f7290x = parcel.readInt() == 1;
            this.f7291y = parcel.readInt() == 1 ? true : z7;
        }

        @Deprecated
        public SavedState(Parcelable parcelable, int i7) {
            super(parcelable);
            this.f7287f = i7;
        }

        public SavedState(Parcelable parcelable, @NonNull BottomSheetBehavior<?> bottomSheetBehavior) {
            super(parcelable);
            this.f7287f = bottomSheetBehavior.G;
            this.f7288g = ((BottomSheetBehavior) bottomSheetBehavior).f7265e;
            this.f7289p = ((BottomSheetBehavior) bottomSheetBehavior).f7262b;
            this.f7290x = bottomSheetBehavior.D;
            this.f7291y = ((BottomSheetBehavior) bottomSheetBehavior).E;
        }
    }

    class a implements Runnable {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ View f7292f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ ViewGroup.LayoutParams f7293g;

        a(View view, ViewGroup.LayoutParams layoutParams) {
            this.f7292f = view;
            this.f7293g = layoutParams;
        }

        public void run() {
            this.f7292f.setLayoutParams(this.f7293g);
        }
    }

    /* access modifiers changed from: package-private */
    public class b implements Runnable {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ View f7295f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ int f7296g;

        b(View view, int i7) {
            this.f7295f = view;
            this.f7296g = i7;
        }

        public void run() {
            BottomSheetBehavior.this.i0(this.f7295f, this.f7296g);
        }
    }

    /* access modifiers changed from: package-private */
    public class c implements ValueAnimator.AnimatorUpdateListener {
        c() {
        }

        public void onAnimationUpdate(@NonNull ValueAnimator valueAnimator) {
            float floatValue = ((Float) valueAnimator.getAnimatedValue()).floatValue();
            if (BottomSheetBehavior.this.f7270j != null) {
                BottomSheetBehavior.this.f7270j.o0(floatValue);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class d implements y.e {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ boolean f7299a;

        d(boolean z7) {
            this.f7299a = z7;
        }

        @Override // com.google.android.material.internal.y.e
        public WindowInsetsCompat a(View view, WindowInsetsCompat windowInsetsCompat, y.f fVar) {
            BottomSheetBehavior.this.f7279s = windowInsetsCompat.getSystemWindowInsetTop();
            boolean j7 = y.j(view);
            int paddingBottom = view.getPaddingBottom();
            int paddingLeft = view.getPaddingLeft();
            int paddingRight = view.getPaddingRight();
            if (BottomSheetBehavior.this.f7274n) {
                BottomSheetBehavior.this.f7278r = windowInsetsCompat.getSystemWindowInsetBottom();
                paddingBottom = fVar.f8052d + BottomSheetBehavior.this.f7278r;
            }
            if (BottomSheetBehavior.this.f7275o) {
                paddingLeft = (j7 ? fVar.f8051c : fVar.f8049a) + windowInsetsCompat.getSystemWindowInsetLeft();
            }
            if (BottomSheetBehavior.this.f7276p) {
                paddingRight = (j7 ? fVar.f8049a : fVar.f8051c) + windowInsetsCompat.getSystemWindowInsetRight();
            }
            view.setPadding(paddingLeft, view.getPaddingTop(), paddingRight, paddingBottom);
            if (this.f7299a) {
                BottomSheetBehavior.this.f7272l = windowInsetsCompat.getMandatorySystemGestureInsets().bottom;
            }
            if (BottomSheetBehavior.this.f7274n || this.f7299a) {
                BottomSheetBehavior.this.p0(false);
            }
            return windowInsetsCompat;
        }
    }

    class e extends ViewDragHelper.Callback {
        e() {
        }

        private boolean a(@NonNull View view) {
            int top = view.getTop();
            BottomSheetBehavior bottomSheetBehavior = BottomSheetBehavior.this;
            return top > (bottomSheetBehavior.N + bottomSheetBehavior.A()) / 2;
        }

        @Override // androidx.customview.widget.ViewDragHelper.Callback
        public int clampViewPositionHorizontal(@NonNull View view, int i7, int i8) {
            return view.getLeft();
        }

        @Override // androidx.customview.widget.ViewDragHelper.Callback
        public int clampViewPositionVertical(@NonNull View view, int i7, int i8) {
            int A = BottomSheetBehavior.this.A();
            BottomSheetBehavior bottomSheetBehavior = BottomSheetBehavior.this;
            return MathUtils.clamp(i7, A, bottomSheetBehavior.D ? bottomSheetBehavior.N : bottomSheetBehavior.B);
        }

        @Override // androidx.customview.widget.ViewDragHelper.Callback
        public int getViewVerticalDragRange(@NonNull View view) {
            BottomSheetBehavior bottomSheetBehavior = BottomSheetBehavior.this;
            return bottomSheetBehavior.D ? bottomSheetBehavior.N : bottomSheetBehavior.B;
        }

        @Override // androidx.customview.widget.ViewDragHelper.Callback
        public void onViewDragStateChanged(int i7) {
            if (i7 == 1 && BottomSheetBehavior.this.F) {
                BottomSheetBehavior.this.f0(1);
            }
        }

        @Override // androidx.customview.widget.ViewDragHelper.Callback
        public void onViewPositionChanged(@NonNull View view, int i7, int i8, int i9, int i10) {
            BottomSheetBehavior.this.x(i8);
        }

        /* JADX WARNING: Code restructure failed: missing block: B:24:0x0078, code lost:
            if (java.lang.Math.abs(r6.getTop() - r5.f7301a.A()) < java.lang.Math.abs(r6.getTop() - r5.f7301a.f7286z)) goto L_0x007a;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:34:0x00b8, code lost:
            if (java.lang.Math.abs(r7 - r5.f7301a.f7286z) < java.lang.Math.abs(r7 - r5.f7301a.B)) goto L_0x00ba;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:39:0x00de, code lost:
            if (java.lang.Math.abs(r7 - r5.f7301a.f7285y) < java.lang.Math.abs(r7 - r5.f7301a.B)) goto L_0x000f;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:43:0x00f0, code lost:
            if (r7 < java.lang.Math.abs(r7 - r8.B)) goto L_0x007a;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:45:0x0102, code lost:
            if (java.lang.Math.abs(r7 - r0) < java.lang.Math.abs(r7 - r5.f7301a.B)) goto L_0x00ba;
         */
        @Override // androidx.customview.widget.ViewDragHelper.Callback
        public void onViewReleased(@NonNull View view, float f7, float f8) {
            int i7;
            int i8 = 6;
            if (f8 >= 0.0f) {
                BottomSheetBehavior bottomSheetBehavior = BottomSheetBehavior.this;
                if (!bottomSheetBehavior.D || !bottomSheetBehavior.k0(view, f8)) {
                    if (f8 == 0.0f || Math.abs(f7) > Math.abs(f8)) {
                        int top = view.getTop();
                        if (!BottomSheetBehavior.this.f7262b) {
                            BottomSheetBehavior bottomSheetBehavior2 = BottomSheetBehavior.this;
                            int i9 = bottomSheetBehavior2.f7286z;
                            if (top < i9) {
                            }
                            i7 = BottomSheetBehavior.this.f7286z;
                            BottomSheetBehavior.this.l0(view, i8, i7, true);
                        }
                    } else if (!BottomSheetBehavior.this.f7262b) {
                        int top2 = view.getTop();
                    }
                    i7 = BottomSheetBehavior.this.B;
                    i8 = 4;
                    BottomSheetBehavior.this.l0(view, i8, i7, true);
                } else if ((Math.abs(f7) < Math.abs(f8) && f8 > 500.0f) || a(view)) {
                    i7 = BottomSheetBehavior.this.N;
                    i8 = 5;
                    BottomSheetBehavior.this.l0(view, i8, i7, true);
                } else if (!BottomSheetBehavior.this.f7262b) {
                }
                i7 = BottomSheetBehavior.this.A();
                i8 = 3;
                BottomSheetBehavior.this.l0(view, i8, i7, true);
            } else if (!BottomSheetBehavior.this.f7262b) {
                int top3 = view.getTop();
                BottomSheetBehavior bottomSheetBehavior3 = BottomSheetBehavior.this;
                int i10 = bottomSheetBehavior3.f7286z;
                if (top3 > i10) {
                    i7 = i10;
                    BottomSheetBehavior.this.l0(view, i8, i7, true);
                }
                i7 = bottomSheetBehavior3.A();
                i8 = 3;
                BottomSheetBehavior.this.l0(view, i8, i7, true);
            }
            i7 = BottomSheetBehavior.this.f7285y;
            i8 = 3;
            BottomSheetBehavior.this.l0(view, i8, i7, true);
        }

        @Override // androidx.customview.widget.ViewDragHelper.Callback
        public boolean tryCaptureView(@NonNull View view, int i7) {
            BottomSheetBehavior bottomSheetBehavior = BottomSheetBehavior.this;
            int i8 = bottomSheetBehavior.G;
            if (i8 == 1 || bottomSheetBehavior.U) {
                return false;
            }
            if (i8 == 3 && bottomSheetBehavior.S == i7) {
                WeakReference<View> weakReference = bottomSheetBehavior.P;
                View view2 = weakReference != null ? weakReference.get() : null;
                if (view2 != null && view2.canScrollVertically(-1)) {
                    return false;
                }
            }
            WeakReference<V> weakReference2 = BottomSheetBehavior.this.O;
            return weakReference2 != null && weakReference2.get() == view;
        }
    }

    /* access modifiers changed from: package-private */
    public class f implements AccessibilityViewCommand {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ int f7302a;

        f(int i7) {
            this.f7302a = i7;
        }

        @Override // androidx.core.view.accessibility.AccessibilityViewCommand
        public boolean perform(@NonNull View view, @Nullable AccessibilityViewCommand.CommandArguments commandArguments) {
            BottomSheetBehavior.this.e0(this.f7302a);
            return true;
        }
    }

    public static abstract class g {
        public abstract void a(@NonNull View view, float f7);

        public abstract void b(@NonNull View view, int i7);
    }

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public @interface h {
    }

    /* access modifiers changed from: private */
    public class i implements Runnable {

        /* renamed from: f  reason: collision with root package name */
        private final View f7304f;

        /* renamed from: g  reason: collision with root package name */
        private boolean f7305g;

        /* renamed from: p  reason: collision with root package name */
        int f7306p;

        i(View view, int i7) {
            this.f7304f = view;
            this.f7306p = i7;
        }

        public void run() {
            ViewDragHelper viewDragHelper = BottomSheetBehavior.this.H;
            if (viewDragHelper == null || !viewDragHelper.continueSettling(true)) {
                BottomSheetBehavior.this.f0(this.f7306p);
            } else {
                ViewCompat.postOnAnimation(this.f7304f, this);
            }
            this.f7305g = false;
        }
    }

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public @interface j {
    }

    public BottomSheetBehavior() {
    }

    private float J() {
        VelocityTracker velocityTracker = this.R;
        if (velocityTracker == null) {
            return 0.0f;
        }
        velocityTracker.computeCurrentVelocity(1000, this.f7264d);
        return this.R.getYVelocity(this.S);
    }

    private void P(V v7, AccessibilityNodeInfoCompat.AccessibilityActionCompat accessibilityActionCompat, int i7) {
        ViewCompat.replaceAccessibilityAction(v7, accessibilityActionCompat, null, s(i7));
    }

    private void Q() {
        this.S = -1;
        VelocityTracker velocityTracker = this.R;
        if (velocityTracker != null) {
            velocityTracker.recycle();
            this.R = null;
        }
    }

    private void R(@NonNull SavedState savedState) {
        int i7 = this.f7261a;
        if (i7 != 0) {
            if (i7 == -1 || (i7 & 1) == 1) {
                this.f7265e = savedState.f7288g;
            }
            if (i7 == -1 || (i7 & 2) == 2) {
                this.f7262b = savedState.f7289p;
            }
            if (i7 == -1 || (i7 & 4) == 4) {
                this.D = savedState.f7290x;
            }
            if (i7 == -1 || (i7 & 8) == 8) {
                this.E = savedState.f7291y;
            }
        }
    }

    private void h0(@NonNull View view) {
        boolean z7 = !M() && !this.f7266f;
        if (this.f7274n || this.f7275o || this.f7276p || z7) {
            y.d(view, new d(z7));
        }
    }

    private void j0(int i7) {
        V v7 = this.O.get();
        if (v7 != null) {
            ViewParent parent = v7.getParent();
            if (parent == null || !parent.isLayoutRequested() || !ViewCompat.isAttachedToWindow(v7)) {
                i0(v7, i7);
            } else {
                v7.post(new b(v7, i7));
            }
        }
    }

    private void m0() {
        V v7;
        AccessibilityNodeInfoCompat.AccessibilityActionCompat accessibilityActionCompat;
        WeakReference<V> weakReference = this.O;
        if (weakReference != null && (v7 = weakReference.get()) != null) {
            ViewCompat.removeAccessibilityAction(v7, 524288);
            ViewCompat.removeAccessibilityAction(v7, 262144);
            ViewCompat.removeAccessibilityAction(v7, 1048576);
            int i7 = this.W;
            if (i7 != -1) {
                ViewCompat.removeAccessibilityAction(v7, i7);
            }
            int i8 = 6;
            if (!this.f7262b && this.G != 6) {
                this.W = n(v7, a.m.D, 6);
            }
            if (this.D && this.G != 5) {
                P(v7, AccessibilityNodeInfoCompat.AccessibilityActionCompat.ACTION_DISMISS, 5);
            }
            int i9 = this.G;
            if (i9 == 3) {
                if (this.f7262b) {
                    i8 = 4;
                }
                accessibilityActionCompat = AccessibilityNodeInfoCompat.AccessibilityActionCompat.ACTION_COLLAPSE;
            } else if (i9 == 4) {
                if (this.f7262b) {
                    i8 = 3;
                }
                accessibilityActionCompat = AccessibilityNodeInfoCompat.AccessibilityActionCompat.ACTION_EXPAND;
            } else if (i9 == 6) {
                P(v7, AccessibilityNodeInfoCompat.AccessibilityActionCompat.ACTION_COLLAPSE, 4);
                P(v7, AccessibilityNodeInfoCompat.AccessibilityActionCompat.ACTION_EXPAND, 3);
                return;
            } else {
                return;
            }
            P(v7, accessibilityActionCompat, i8);
        }
    }

    private int n(V v7, @StringRes int i7, int i8) {
        return ViewCompat.addAccessibilityAction(v7, v7.getResources().getString(i7), s(i8));
    }

    private void n0(int i7) {
        ValueAnimator valueAnimator;
        if (i7 != 2) {
            boolean z7 = i7 == 3;
            if (this.f7281u != z7) {
                this.f7281u = z7;
                if (this.f7270j != null && (valueAnimator = this.f7283w) != null) {
                    if (valueAnimator.isRunning()) {
                        this.f7283w.reverse();
                        return;
                    }
                    float f7 = z7 ? 0.0f : 1.0f;
                    this.f7283w.setFloatValues(1.0f - f7, f7);
                    this.f7283w.start();
                }
            }
        }
    }

    private void o0(boolean z7) {
        Map<View, Integer> map;
        int intValue;
        WeakReference<V> weakReference = this.O;
        if (weakReference != null) {
            ViewParent parent = weakReference.get().getParent();
            if (parent instanceof CoordinatorLayout) {
                CoordinatorLayout coordinatorLayout = (CoordinatorLayout) parent;
                int childCount = coordinatorLayout.getChildCount();
                if (z7) {
                    if (this.V == null) {
                        this.V = new HashMap(childCount);
                    } else {
                        return;
                    }
                }
                for (int i7 = 0; i7 < childCount; i7++) {
                    View childAt = coordinatorLayout.getChildAt(i7);
                    if (childAt != this.O.get()) {
                        if (z7) {
                            this.V.put(childAt, Integer.valueOf(childAt.getImportantForAccessibility()));
                            if (this.f7263c) {
                                intValue = 4;
                            }
                        } else if (this.f7263c && (map = this.V) != null && map.containsKey(childAt)) {
                            intValue = this.V.get(childAt).intValue();
                        }
                        ViewCompat.setImportantForAccessibility(childAt, intValue);
                    }
                }
                if (!z7) {
                    this.V = null;
                } else if (this.f7263c) {
                    this.O.get().sendAccessibilityEvent(8);
                }
            }
        }
    }

    private void p() {
        int r7 = r();
        if (this.f7262b) {
            this.B = Math.max(this.N - r7, this.f7285y);
        } else {
            this.B = this.N - r7;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void p0(boolean z7) {
        V v7;
        if (this.O != null) {
            p();
            if (this.G == 4 && (v7 = this.O.get()) != null) {
                if (z7) {
                    j0(this.G);
                } else {
                    v7.requestLayout();
                }
            }
        }
    }

    private void q() {
        this.f7286z = (int) (((float) this.N) * (1.0f - this.A));
    }

    private int r() {
        int i7;
        int i8;
        if (this.f7266f) {
            i7 = Math.min(Math.max(this.f7267g, this.N - ((this.M * 9) / 16)), this.L);
        } else if (!this.f7273m && !this.f7274n && (i8 = this.f7272l) > 0) {
            return Math.max(this.f7265e, i8 + this.f7268h);
        } else {
            i7 = this.f7265e;
        }
        return i7 + this.f7278r;
    }

    private AccessibilityViewCommand s(int i7) {
        return new f(i7);
    }

    private void t(@NonNull Context context, AttributeSet attributeSet, boolean z7) {
        u(context, attributeSet, z7, null);
    }

    private void u(@NonNull Context context, AttributeSet attributeSet, boolean z7, @Nullable ColorStateList colorStateList) {
        if (this.f7269i) {
            this.f7280t = o.e(context, attributeSet, a.c.O0, f7260r0).m();
            com.google.android.material.shape.j jVar = new com.google.android.material.shape.j(this.f7280t);
            this.f7270j = jVar;
            jVar.Y(context);
            if (!z7 || colorStateList == null) {
                TypedValue typedValue = new TypedValue();
                context.getTheme().resolveAttribute(16842801, typedValue, true);
                this.f7270j.setTint(typedValue.data);
                return;
            }
            this.f7270j.n0(colorStateList);
        }
    }

    private void v() {
        ValueAnimator ofFloat = ValueAnimator.ofFloat(0.0f, 1.0f);
        this.f7283w = ofFloat;
        ofFloat.setDuration(500L);
        this.f7283w.addUpdateListener(new c());
    }

    @NonNull
    public static <V extends View> BottomSheetBehavior<V> z(@NonNull V v7) {
        ViewGroup.LayoutParams layoutParams = v7.getLayoutParams();
        if (layoutParams instanceof CoordinatorLayout.LayoutParams) {
            CoordinatorLayout.Behavior behavior = ((CoordinatorLayout.LayoutParams) layoutParams).getBehavior();
            if (behavior instanceof BottomSheetBehavior) {
                return (BottomSheetBehavior) behavior;
            }
            throw new IllegalArgumentException("The view is not associated with BottomSheetBehavior");
        }
        throw new IllegalArgumentException("The view is not a child of CoordinatorLayout");
    }

    public int A() {
        if (this.f7262b) {
            return this.f7285y;
        }
        return Math.max(this.f7284x, this.f7277q ? 0 : this.f7279s);
    }

    @FloatRange(from = 0.0d, to = 1.0d)
    public float B() {
        return this.A;
    }

    /* access modifiers changed from: package-private */
    public com.google.android.material.shape.j C() {
        return this.f7270j;
    }

    @Px
    public int D() {
        return this.f7271k;
    }

    public int E() {
        if (this.f7266f) {
            return -1;
        }
        return this.f7265e;
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public int F() {
        return this.f7267g;
    }

    public int G() {
        return this.f7261a;
    }

    public boolean H() {
        return this.E;
    }

    public int I() {
        return this.G;
    }

    public boolean K() {
        return this.F;
    }

    public boolean L() {
        return this.f7262b;
    }

    public boolean M() {
        return this.f7273m;
    }

    public boolean N() {
        return this.D;
    }

    public void O(@NonNull g gVar) {
        this.Q.remove(gVar);
    }

    @Deprecated
    public void S(g gVar) {
        Log.w(f7254l0, "BottomSheetBehavior now supports multiple callbacks. `setBottomSheetCallback()` removes all existing callbacks, including ones set internally by library authors, which may result in unintended behavior. This may change in the future. Please use `addBottomSheetCallback()` and `removeBottomSheetCallback()` instead to set your own callbacks.");
        this.Q.clear();
        if (gVar != null) {
            this.Q.add(gVar);
        }
    }

    public void T(boolean z7) {
        this.F = z7;
    }

    public void U(int i7) {
        if (i7 >= 0) {
            this.f7284x = i7;
            return;
        }
        throw new IllegalArgumentException("offset must be greater than or equal to 0");
    }

    public void V(boolean z7) {
        if (this.f7262b != z7) {
            this.f7262b = z7;
            if (this.O != null) {
                p();
            }
            f0((!this.f7262b || this.G != 6) ? this.G : 3);
            m0();
        }
    }

    public void W(boolean z7) {
        this.f7273m = z7;
    }

    public void X(@FloatRange(from = 0.0d, to = 1.0d) float f7) {
        if (f7 <= 0.0f || f7 >= 1.0f) {
            throw new IllegalArgumentException("ratio must be a float value between 0 and 1");
        }
        this.A = f7;
        if (this.O != null) {
            q();
        }
    }

    public void Y(boolean z7) {
        if (this.D != z7) {
            this.D = z7;
            if (!z7 && this.G == 5) {
                e0(4);
            }
            m0();
        }
    }

    public void Z(@Px int i7) {
        this.f7271k = i7;
    }

    public void a0(int i7) {
        b0(i7, false);
    }

    /* JADX WARNING: Removed duplicated region for block: B:12:0x0021  */
    /* JADX WARNING: Removed duplicated region for block: B:14:? A[RETURN, SYNTHETIC] */
    public final void b0(int i7, boolean z7) {
        boolean z8 = true;
        if (i7 == -1) {
            if (!this.f7266f) {
                this.f7266f = true;
                if (z8) {
                    p0(z7);
                    return;
                }
                return;
            }
        } else if (this.f7266f || this.f7265e != i7) {
            this.f7266f = false;
            this.f7265e = Math.max(0, i7);
            if (z8) {
            }
        }
        z8 = false;
        if (z8) {
        }
    }

    public void c0(int i7) {
        this.f7261a = i7;
    }

    public void d0(boolean z7) {
        this.E = z7;
    }

    public void e0(int i7) {
        if (i7 != this.G) {
            if (this.O != null) {
                j0(i7);
            } else if (i7 == 4 || i7 == 3 || i7 == 6 || (this.D && i7 == 5)) {
                this.G = i7;
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void f0(int i7) {
        V v7;
        if (this.G != i7) {
            this.G = i7;
            WeakReference<V> weakReference = this.O;
            if (!(weakReference == null || (v7 = weakReference.get()) == null)) {
                if (i7 == 3) {
                    o0(true);
                } else if (i7 == 6 || i7 == 5 || i7 == 4) {
                    o0(false);
                }
                n0(i7);
                for (int i8 = 0; i8 < this.Q.size(); i8++) {
                    this.Q.get(i8).b(v7, i7);
                }
                m0();
            }
        }
    }

    public void g0(boolean z7) {
        this.f7263c = z7;
    }

    /* access modifiers changed from: package-private */
    public void i0(@NonNull View view, int i7) {
        int i8;
        int i9;
        if (i7 == 4) {
            i8 = this.B;
        } else if (i7 == 6) {
            i8 = this.f7286z;
            if (this.f7262b && i8 <= (i9 = this.f7285y)) {
                i7 = 3;
                i8 = i9;
            }
        } else if (i7 == 3) {
            i8 = A();
        } else if (!this.D || i7 != 5) {
            throw new IllegalArgumentException("Illegal state argument: " + i7);
        } else {
            i8 = this.N;
        }
        l0(view, i7, i8, false);
    }

    /* access modifiers changed from: package-private */
    public boolean k0(@NonNull View view, float f7) {
        if (this.E) {
            return true;
        }
        if (view.getTop() < this.B) {
            return false;
        }
        return Math.abs((((float) view.getTop()) + (f7 * 0.1f)) - ((float) this.B)) / ((float) r()) > 0.5f;
    }

    /* access modifiers changed from: package-private */
    public void l0(View view, int i7, int i8, boolean z7) {
        ViewDragHelper viewDragHelper = this.H;
        if (viewDragHelper != null && (!z7 ? viewDragHelper.smoothSlideViewTo(view, view.getLeft(), i8) : viewDragHelper.settleCapturedViewAt(view.getLeft(), i8))) {
            f0(2);
            n0(i7);
            if (this.f7282v == null) {
                this.f7282v = new i(view, i7);
            }
            if (!((i) this.f7282v).f7305g) {
                BottomSheetBehavior<V>.i iVar = this.f7282v;
                iVar.f7306p = i7;
                ViewCompat.postOnAnimation(view, iVar);
                ((i) this.f7282v).f7305g = true;
                return;
            }
            this.f7282v.f7306p = i7;
            return;
        }
        f0(i7);
    }

    public void o(@NonNull g gVar) {
        if (!this.Q.contains(gVar)) {
            this.Q.add(gVar);
        }
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
    public void onAttachedToLayoutParams(@NonNull CoordinatorLayout.LayoutParams layoutParams) {
        super.onAttachedToLayoutParams(layoutParams);
        this.O = null;
        this.H = null;
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
    public void onDetachedFromLayoutParams() {
        super.onDetachedFromLayoutParams();
        this.O = null;
        this.H = null;
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
    public boolean onInterceptTouchEvent(@NonNull CoordinatorLayout coordinatorLayout, @NonNull V v7, @NonNull MotionEvent motionEvent) {
        ViewDragHelper viewDragHelper;
        if (!v7.isShown() || !this.F) {
            this.I = true;
            return false;
        }
        int actionMasked = motionEvent.getActionMasked();
        if (actionMasked == 0) {
            Q();
        }
        if (this.R == null) {
            this.R = VelocityTracker.obtain();
        }
        this.R.addMovement(motionEvent);
        View view = null;
        if (actionMasked == 0) {
            int x7 = (int) motionEvent.getX();
            this.T = (int) motionEvent.getY();
            if (this.G != 2) {
                WeakReference<View> weakReference = this.P;
                View view2 = weakReference != null ? weakReference.get() : null;
                if (view2 != null && coordinatorLayout.isPointInChildBounds(view2, x7, this.T)) {
                    this.S = motionEvent.getPointerId(motionEvent.getActionIndex());
                    this.U = true;
                }
            }
            this.I = this.S == -1 && !coordinatorLayout.isPointInChildBounds(v7, x7, this.T);
        } else if (actionMasked == 1 || actionMasked == 3) {
            this.U = false;
            this.S = -1;
            if (this.I) {
                this.I = false;
                return false;
            }
        }
        if (!this.I && (viewDragHelper = this.H) != null && viewDragHelper.shouldInterceptTouchEvent(motionEvent)) {
            return true;
        }
        WeakReference<View> weakReference2 = this.P;
        if (weakReference2 != null) {
            view = weakReference2.get();
        }
        return actionMasked == 2 && view != null && !this.I && this.G != 1 && !coordinatorLayout.isPointInChildBounds(view, (int) motionEvent.getX(), (int) motionEvent.getY()) && this.H != null && Math.abs(((float) this.T) - motionEvent.getY()) > ((float) this.H.getTouchSlop());
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
    public boolean onLayoutChild(@NonNull CoordinatorLayout coordinatorLayout, @NonNull V v7, int i7) {
        int i8;
        com.google.android.material.shape.j jVar;
        if (ViewCompat.getFitsSystemWindows(coordinatorLayout) && !ViewCompat.getFitsSystemWindows(v7)) {
            v7.setFitsSystemWindows(true);
        }
        if (this.O == null) {
            this.f7267g = coordinatorLayout.getResources().getDimensionPixelSize(a.f.f1024d1);
            h0(v7);
            this.O = new WeakReference<>(v7);
            if (this.f7269i && (jVar = this.f7270j) != null) {
                ViewCompat.setBackground(v7, jVar);
            }
            com.google.android.material.shape.j jVar2 = this.f7270j;
            if (jVar2 != null) {
                float f7 = this.C;
                if (f7 == -1.0f) {
                    f7 = ViewCompat.getElevation(v7);
                }
                jVar2.m0(f7);
                boolean z7 = this.G == 3;
                this.f7281u = z7;
                this.f7270j.o0(z7 ? 0.0f : 1.0f);
            }
            m0();
            if (ViewCompat.getImportantForAccessibility(v7) == 0) {
                ViewCompat.setImportantForAccessibility(v7, 1);
            }
            int measuredWidth = v7.getMeasuredWidth();
            int i9 = this.f7271k;
            if (measuredWidth > i9 && i9 != -1) {
                ViewGroup.LayoutParams layoutParams = v7.getLayoutParams();
                layoutParams.width = this.f7271k;
                v7.post(new a(v7, layoutParams));
            }
        }
        if (this.H == null) {
            this.H = ViewDragHelper.create(coordinatorLayout, this.X);
        }
        int top = v7.getTop();
        coordinatorLayout.onLayoutChild(v7, i7);
        this.M = coordinatorLayout.getWidth();
        this.N = coordinatorLayout.getHeight();
        int height = v7.getHeight();
        this.L = height;
        int i10 = this.N;
        int i11 = i10 - height;
        int i12 = this.f7279s;
        if (i11 < i12) {
            if (this.f7277q) {
                this.L = i10;
            } else {
                this.L = i10 - i12;
            }
        }
        this.f7285y = Math.max(0, i10 - this.L);
        q();
        p();
        int i13 = this.G;
        if (i13 == 3) {
            i8 = A();
        } else if (i13 == 6) {
            i8 = this.f7286z;
        } else if (this.D && i13 == 5) {
            i8 = this.N;
        } else if (i13 == 4) {
            i8 = this.B;
        } else {
            if (i13 == 1 || i13 == 2) {
                ViewCompat.offsetTopAndBottom(v7, top - v7.getTop());
            }
            this.P = new WeakReference<>(y(v7));
            return true;
        }
        ViewCompat.offsetTopAndBottom(v7, i8);
        this.P = new WeakReference<>(y(v7));
        return true;
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
    public boolean onNestedPreFling(@NonNull CoordinatorLayout coordinatorLayout, @NonNull V v7, @NonNull View view, float f7, float f8) {
        WeakReference<View> weakReference = this.P;
        if (weakReference == null || view != weakReference.get()) {
            return false;
        }
        return this.G != 3 || super.onNestedPreFling(coordinatorLayout, v7, view, f7, f8);
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
    public void onNestedPreScroll(@NonNull CoordinatorLayout coordinatorLayout, @NonNull V v7, @NonNull View view, int i7, int i8, @NonNull int[] iArr, int i9) {
        int i10;
        if (i9 != 1) {
            WeakReference<View> weakReference = this.P;
            if (view == (weakReference != null ? weakReference.get() : null)) {
                int top = v7.getTop();
                int i11 = top - i8;
                if (i8 <= 0) {
                    if (i8 < 0 && !view.canScrollVertically(-1)) {
                        int i12 = this.B;
                        if (i11 > i12 && !this.D) {
                            int i13 = top - i12;
                            iArr[1] = i13;
                            ViewCompat.offsetTopAndBottom(v7, -i13);
                            i10 = 4;
                        } else if (this.F) {
                            iArr[1] = i8;
                            ViewCompat.offsetTopAndBottom(v7, -i8);
                            f0(1);
                        } else {
                            return;
                        }
                    }
                    x(v7.getTop());
                    this.J = i8;
                    this.K = true;
                } else if (i11 < A()) {
                    int A2 = top - A();
                    iArr[1] = A2;
                    ViewCompat.offsetTopAndBottom(v7, -A2);
                    i10 = 3;
                } else if (this.F) {
                    iArr[1] = i8;
                    ViewCompat.offsetTopAndBottom(v7, -i8);
                    f0(1);
                    x(v7.getTop());
                    this.J = i8;
                    this.K = true;
                } else {
                    return;
                }
                f0(i10);
                x(v7.getTop());
                this.J = i8;
                this.K = true;
            }
        }
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
    public void onNestedScroll(@NonNull CoordinatorLayout coordinatorLayout, @NonNull V v7, @NonNull View view, int i7, int i8, int i9, int i10, int i11, @NonNull int[] iArr) {
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
    public void onRestoreInstanceState(@NonNull CoordinatorLayout coordinatorLayout, @NonNull V v7, @NonNull Parcelable parcelable) {
        SavedState savedState = (SavedState) parcelable;
        super.onRestoreInstanceState(coordinatorLayout, v7, savedState.getSuperState());
        R(savedState);
        int i7 = savedState.f7287f;
        if (i7 == 1 || i7 == 2) {
            i7 = 4;
        }
        this.G = i7;
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
    @NonNull
    public Parcelable onSaveInstanceState(@NonNull CoordinatorLayout coordinatorLayout, @NonNull V v7) {
        return new SavedState(super.onSaveInstanceState(coordinatorLayout, v7), (BottomSheetBehavior<?>) this);
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
    public boolean onStartNestedScroll(@NonNull CoordinatorLayout coordinatorLayout, @NonNull V v7, @NonNull View view, @NonNull View view2, int i7, int i8) {
        this.J = 0;
        this.K = false;
        return (i7 & 2) != 0;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:29:0x006c, code lost:
        if (java.lang.Math.abs(r3 - r2.f7285y) < java.lang.Math.abs(r3 - r2.B)) goto L_0x0028;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:33:0x007b, code lost:
        if (r3 < java.lang.Math.abs(r3 - r2.B)) goto L_0x0038;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:35:0x008b, code lost:
        if (java.lang.Math.abs(r3 - r1) < java.lang.Math.abs(r3 - r2.B)) goto L_0x00ab;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:40:0x00a9, code lost:
        if (java.lang.Math.abs(r3 - r2.f7286z) < java.lang.Math.abs(r3 - r2.B)) goto L_0x00ab;
     */
    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
    public void onStopNestedScroll(@NonNull CoordinatorLayout coordinatorLayout, @NonNull V v7, @NonNull View view, int i7) {
        int i8;
        int i9 = 3;
        if (v7.getTop() == A()) {
            f0(3);
            return;
        }
        WeakReference<View> weakReference = this.P;
        if (weakReference != null && view == weakReference.get() && this.K) {
            if (this.J > 0) {
                if (!this.f7262b) {
                    int top = v7.getTop();
                    int i10 = this.f7286z;
                    if (top > i10) {
                        i9 = 6;
                        i8 = i10;
                        l0(v7, i9, i8, false);
                        this.K = false;
                    }
                    i8 = A();
                    l0(v7, i9, i8, false);
                    this.K = false;
                }
            } else if (!this.D || !k0(v7, J())) {
                if (this.J == 0) {
                    int top2 = v7.getTop();
                    if (!this.f7262b) {
                        int i11 = this.f7286z;
                        if (top2 < i11) {
                        }
                        i8 = this.f7286z;
                        i9 = 6;
                        l0(v7, i9, i8, false);
                        this.K = false;
                    }
                } else if (!this.f7262b) {
                    int top3 = v7.getTop();
                }
                i8 = this.B;
                i9 = 4;
                l0(v7, i9, i8, false);
                this.K = false;
            } else {
                i8 = this.N;
                i9 = 5;
                l0(v7, i9, i8, false);
                this.K = false;
            }
            i8 = this.f7285y;
            l0(v7, i9, i8, false);
            this.K = false;
        }
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
    public boolean onTouchEvent(@NonNull CoordinatorLayout coordinatorLayout, @NonNull V v7, @NonNull MotionEvent motionEvent) {
        if (!v7.isShown()) {
            return false;
        }
        int actionMasked = motionEvent.getActionMasked();
        if (this.G == 1 && actionMasked == 0) {
            return true;
        }
        ViewDragHelper viewDragHelper = this.H;
        if (viewDragHelper != null) {
            viewDragHelper.processTouchEvent(motionEvent);
        }
        if (actionMasked == 0) {
            Q();
        }
        if (this.R == null) {
            this.R = VelocityTracker.obtain();
        }
        this.R.addMovement(motionEvent);
        if (this.H != null && actionMasked == 2 && !this.I && Math.abs(((float) this.T) - motionEvent.getY()) > ((float) this.H.getTouchSlop())) {
            this.H.captureChildView(v7, motionEvent.getPointerId(motionEvent.getActionIndex()));
        }
        return !this.I;
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    @VisibleForTesting
    public void w() {
        this.f7283w = null;
    }

    /* access modifiers changed from: package-private */
    public void x(int i7) {
        float f7;
        float f8;
        V v7 = this.O.get();
        if (!(v7 == null || this.Q.isEmpty())) {
            int i8 = this.B;
            if (i7 > i8 || i8 == A()) {
                int i9 = this.B;
                f7 = (float) (i9 - i7);
                f8 = (float) (this.N - i9);
            } else {
                int i10 = this.B;
                f7 = (float) (i10 - i7);
                f8 = (float) (i10 - A());
            }
            float f9 = f7 / f8;
            for (int i11 = 0; i11 < this.Q.size(); i11++) {
                this.Q.get(i11).a(v7, f9);
            }
        }
    }

    /* access modifiers changed from: package-private */
    @Nullable
    @VisibleForTesting
    public View y(View view) {
        if (ViewCompat.isNestedScrollingEnabled(view)) {
            return view;
        }
        if (!(view instanceof ViewGroup)) {
            return null;
        }
        ViewGroup viewGroup = (ViewGroup) view;
        int childCount = viewGroup.getChildCount();
        for (int i7 = 0; i7 < childCount; i7++) {
            View y7 = y(viewGroup.getChildAt(i7));
            if (y7 != null) {
                return y7;
            }
        }
        return null;
    }

    public BottomSheetBehavior(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        super(context, attributeSet);
        int dimensionPixelSize;
        this.f7268h = context.getResources().getDimensionPixelSize(a.f.f1036e5);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, a.o.B4);
        this.f7269i = obtainStyledAttributes.hasValue(a.o.S4);
        boolean hasValue = obtainStyledAttributes.hasValue(a.o.E4);
        if (hasValue) {
            u(context, attributeSet, hasValue, com.google.android.material.resources.c.a(context, obtainStyledAttributes, a.o.E4));
        } else {
            t(context, attributeSet, hasValue);
        }
        v();
        this.C = obtainStyledAttributes.getDimension(a.o.D4, -1.0f);
        if (obtainStyledAttributes.hasValue(a.o.C4)) {
            Z(obtainStyledAttributes.getDimensionPixelSize(a.o.C4, -1));
        }
        TypedValue peekValue = obtainStyledAttributes.peekValue(a.o.K4);
        a0((peekValue == null || (dimensionPixelSize = peekValue.data) != -1) ? obtainStyledAttributes.getDimensionPixelSize(a.o.K4, -1) : dimensionPixelSize);
        Y(obtainStyledAttributes.getBoolean(a.o.J4, false));
        W(obtainStyledAttributes.getBoolean(a.o.N4, false));
        V(obtainStyledAttributes.getBoolean(a.o.H4, true));
        d0(obtainStyledAttributes.getBoolean(a.o.M4, false));
        T(obtainStyledAttributes.getBoolean(a.o.F4, true));
        c0(obtainStyledAttributes.getInt(a.o.L4, 0));
        X(obtainStyledAttributes.getFloat(a.o.I4, 0.5f));
        TypedValue peekValue2 = obtainStyledAttributes.peekValue(a.o.G4);
        U((peekValue2 == null || peekValue2.type != 16) ? obtainStyledAttributes.getDimensionPixelOffset(a.o.G4, 0) : peekValue2.data);
        this.f7274n = obtainStyledAttributes.getBoolean(a.o.O4, false);
        this.f7275o = obtainStyledAttributes.getBoolean(a.o.P4, false);
        this.f7276p = obtainStyledAttributes.getBoolean(a.o.Q4, false);
        this.f7277q = obtainStyledAttributes.getBoolean(a.o.R4, true);
        obtainStyledAttributes.recycle();
        this.f7264d = (float) ViewConfiguration.get(context).getScaledMaximumFlingVelocity();
    }
}
