package com.google.android.material.button;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Parcel;
import android.os.Parcelable;
import android.text.TextPaint;
import android.util.AttributeSet;
import android.util.Log;
import android.view.View;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityNodeInfo;
import android.widget.Button;
import android.widget.Checkable;
import android.widget.CompoundButton;
import androidx.annotation.ColorInt;
import androidx.annotation.ColorRes;
import androidx.annotation.DimenRes;
import androidx.annotation.Dimension;
import androidx.annotation.DrawableRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.Px;
import androidx.annotation.RequiresApi;
import androidx.annotation.RestrictTo;
import androidx.appcompat.content.res.AppCompatResources;
import androidx.appcompat.widget.AppCompatButton;
import androidx.core.graphics.drawable.DrawableCompat;
import androidx.core.view.ViewCompat;
import androidx.core.widget.TextViewCompat;
import androidx.customview.view.AbsSavedState;
import b0.a;
import com.google.android.material.internal.q;
import com.google.android.material.internal.y;
import com.google.android.material.shape.k;
import com.google.android.material.shape.o;
import com.google.android.material.shape.s;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.util.Iterator;
import java.util.LinkedHashSet;

public class MaterialButton extends AppCompatButton implements Checkable, s {

    /* renamed from: n  reason: collision with root package name */
    private static final int[] f7329n = {16842911};

    /* renamed from: o  reason: collision with root package name */
    private static final int[] f7330o = {16842912};

    /* renamed from: p  reason: collision with root package name */
    public static final int f7331p = 1;

    /* renamed from: q  reason: collision with root package name */
    public static final int f7332q = 2;

    /* renamed from: r  reason: collision with root package name */
    public static final int f7333r = 3;

    /* renamed from: s  reason: collision with root package name */
    public static final int f7334s = 4;

    /* renamed from: t  reason: collision with root package name */
    public static final int f7335t = 16;

    /* renamed from: u  reason: collision with root package name */
    public static final int f7336u = 32;

    /* renamed from: v  reason: collision with root package name */
    private static final String f7337v = "MaterialButton";

    /* renamed from: w  reason: collision with root package name */
    private static final int f7338w = a.n.Xa;
    @NonNull

    /* renamed from: a  reason: collision with root package name */
    private final a f7339a;
    @NonNull

    /* renamed from: b  reason: collision with root package name */
    private final LinkedHashSet<b> f7340b;
    @Nullable

    /* renamed from: c  reason: collision with root package name */
    private c f7341c;
    @Nullable

    /* renamed from: d  reason: collision with root package name */
    private PorterDuff.Mode f7342d;
    @Nullable

    /* renamed from: e  reason: collision with root package name */
    private ColorStateList f7343e;
    @Nullable

    /* renamed from: f  reason: collision with root package name */
    private Drawable f7344f;
    @Px

    /* renamed from: g  reason: collision with root package name */
    private int f7345g;
    @Px

    /* renamed from: h  reason: collision with root package name */
    private int f7346h;
    @Px

    /* renamed from: i  reason: collision with root package name */
    private int f7347i;
    @Px

    /* renamed from: j  reason: collision with root package name */
    private int f7348j;

    /* renamed from: k  reason: collision with root package name */
    private boolean f7349k;

    /* renamed from: l  reason: collision with root package name */
    private boolean f7350l;

    /* renamed from: m  reason: collision with root package name */
    private int f7351m;

    /* access modifiers changed from: package-private */
    public static class SavedState extends AbsSavedState {
        public static final Parcelable.Creator<SavedState> CREATOR = new a();

        /* renamed from: f  reason: collision with root package name */
        boolean f7352f;

        static class a implements Parcelable.ClassLoaderCreator<SavedState> {
            a() {
            }

            @NonNull
            /* renamed from: a */
            public SavedState createFromParcel(@NonNull Parcel parcel) {
                return new SavedState(parcel, null);
            }

            @NonNull
            /* renamed from: b */
            public SavedState createFromParcel(@NonNull Parcel parcel, ClassLoader classLoader) {
                return new SavedState(parcel, classLoader);
            }

            @NonNull
            /* renamed from: c */
            public SavedState[] newArray(int i7) {
                return new SavedState[i7];
            }
        }

        public SavedState(@NonNull Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            if (classLoader == null) {
                getClass().getClassLoader();
            }
            a(parcel);
        }

        private void a(@NonNull Parcel parcel) {
            boolean z7 = true;
            if (parcel.readInt() != 1) {
                z7 = false;
            }
            this.f7352f = z7;
        }

        @Override // androidx.customview.view.AbsSavedState
        public void writeToParcel(@NonNull Parcel parcel, int i7) {
            super.writeToParcel(parcel, i7);
            parcel.writeInt(this.f7352f ? 1 : 0);
        }

        public SavedState(Parcelable parcelable) {
            super(parcelable);
        }
    }

    @Retention(RetentionPolicy.SOURCE)
    public @interface a {
    }

    public interface b {
        void a(MaterialButton materialButton, boolean z7);
    }

    interface c {
        void a(MaterialButton materialButton, boolean z7);
    }

    public MaterialButton(@NonNull Context context) {
        this(context, null);
    }

    private boolean d() {
        int i7 = this.f7351m;
        return i7 == 3 || i7 == 4;
    }

    private boolean e() {
        int i7 = this.f7351m;
        return i7 == 1 || i7 == 2;
    }

    private boolean f() {
        int i7 = this.f7351m;
        return i7 == 16 || i7 == 32;
    }

    private boolean g() {
        return ViewCompat.getLayoutDirection(this) == 1;
    }

    @NonNull
    private String getA11yClassName() {
        return (c() ? CompoundButton.class : Button.class).getName();
    }

    private int getTextHeight() {
        TextPaint paint = getPaint();
        String charSequence = getText().toString();
        if (getTransformationMethod() != null) {
            charSequence = getTransformationMethod().getTransformation(charSequence, this).toString();
        }
        Rect rect = new Rect();
        paint.getTextBounds(charSequence, 0, charSequence.length(), rect);
        return Math.min(rect.height(), getLayout().getHeight());
    }

    private int getTextWidth() {
        TextPaint paint = getPaint();
        String charSequence = getText().toString();
        if (getTransformationMethod() != null) {
            charSequence = getTransformationMethod().getTransformation(charSequence, this).toString();
        }
        return Math.min((int) paint.measureText(charSequence), getLayout().getEllipsizedWidth());
    }

    private boolean h() {
        a aVar = this.f7339a;
        return aVar != null && !aVar.o();
    }

    private void j() {
        if (e()) {
            TextViewCompat.setCompoundDrawablesRelative(this, this.f7344f, null, null, null);
        } else if (d()) {
            TextViewCompat.setCompoundDrawablesRelative(this, null, null, this.f7344f, null);
        } else if (f()) {
            TextViewCompat.setCompoundDrawablesRelative(this, null, this.f7344f, null, null);
        }
    }

    private void k(boolean z7) {
        Drawable drawable = this.f7344f;
        if (drawable != null) {
            Drawable mutate = DrawableCompat.wrap(drawable).mutate();
            this.f7344f = mutate;
            DrawableCompat.setTintList(mutate, this.f7343e);
            PorterDuff.Mode mode = this.f7342d;
            if (mode != null) {
                DrawableCompat.setTintMode(this.f7344f, mode);
            }
            int i7 = this.f7345g;
            if (i7 == 0) {
                i7 = this.f7344f.getIntrinsicWidth();
            }
            int i8 = this.f7345g;
            if (i8 == 0) {
                i8 = this.f7344f.getIntrinsicHeight();
            }
            Drawable drawable2 = this.f7344f;
            int i9 = this.f7346h;
            int i10 = this.f7347i;
            drawable2.setBounds(i9, i10, i7 + i9, i8 + i10);
        }
        if (z7) {
            j();
            return;
        }
        Drawable[] compoundDrawablesRelative = TextViewCompat.getCompoundDrawablesRelative(this);
        boolean z8 = false;
        Drawable drawable3 = compoundDrawablesRelative[0];
        Drawable drawable4 = compoundDrawablesRelative[1];
        Drawable drawable5 = compoundDrawablesRelative[2];
        if ((e() && drawable3 != this.f7344f) || ((d() && drawable5 != this.f7344f) || (f() && drawable4 != this.f7344f))) {
            z8 = true;
        }
        if (z8) {
            j();
        }
    }

    private void l(int i7, int i8) {
        if (this.f7344f != null && getLayout() != null) {
            if (e() || d()) {
                this.f7347i = 0;
                int i9 = this.f7351m;
                boolean z7 = true;
                if (i9 == 1 || i9 == 3) {
                    this.f7346h = 0;
                } else {
                    int i10 = this.f7345g;
                    if (i10 == 0) {
                        i10 = this.f7344f.getIntrinsicWidth();
                    }
                    int textWidth = (((((i7 - getTextWidth()) - ViewCompat.getPaddingEnd(this)) - i10) - this.f7348j) - ViewCompat.getPaddingStart(this)) / 2;
                    boolean g7 = g();
                    if (this.f7351m != 4) {
                        z7 = false;
                    }
                    if (g7 != z7) {
                        textWidth = -textWidth;
                    }
                    if (this.f7346h != textWidth) {
                        this.f7346h = textWidth;
                        k(false);
                        return;
                    }
                    return;
                }
            } else if (f()) {
                this.f7346h = 0;
                if (this.f7351m == 16) {
                    this.f7347i = 0;
                } else {
                    int i11 = this.f7345g;
                    if (i11 == 0) {
                        i11 = this.f7344f.getIntrinsicHeight();
                    }
                    int textHeight = (((((i8 - getTextHeight()) - getPaddingTop()) - i11) - this.f7348j) - getPaddingBottom()) / 2;
                    if (this.f7347i != textHeight) {
                        this.f7347i = textHeight;
                        k(false);
                        return;
                    }
                    return;
                }
            } else {
                return;
            }
            k(false);
        }
    }

    public void a(@NonNull b bVar) {
        this.f7340b.add(bVar);
    }

    public void b() {
        this.f7340b.clear();
    }

    public boolean c() {
        a aVar = this.f7339a;
        return aVar != null && aVar.p();
    }

    @Nullable
    public ColorStateList getBackgroundTintList() {
        return getSupportBackgroundTintList();
    }

    @Nullable
    public PorterDuff.Mode getBackgroundTintMode() {
        return getSupportBackgroundTintMode();
    }

    @Px
    public int getCornerRadius() {
        if (h()) {
            return this.f7339a.b();
        }
        return 0;
    }

    public Drawable getIcon() {
        return this.f7344f;
    }

    public int getIconGravity() {
        return this.f7351m;
    }

    @Px
    public int getIconPadding() {
        return this.f7348j;
    }

    @Px
    public int getIconSize() {
        return this.f7345g;
    }

    public ColorStateList getIconTint() {
        return this.f7343e;
    }

    public PorterDuff.Mode getIconTintMode() {
        return this.f7342d;
    }

    @Dimension
    public int getInsetBottom() {
        return this.f7339a.c();
    }

    @Dimension
    public int getInsetTop() {
        return this.f7339a.d();
    }

    @Nullable
    public ColorStateList getRippleColor() {
        if (h()) {
            return this.f7339a.h();
        }
        return null;
    }

    @Override // com.google.android.material.shape.s
    @NonNull
    public o getShapeAppearanceModel() {
        if (h()) {
            return this.f7339a.i();
        }
        throw new IllegalStateException("Attempted to get ShapeAppearanceModel from a MaterialButton which has an overwritten background.");
    }

    public ColorStateList getStrokeColor() {
        if (h()) {
            return this.f7339a.j();
        }
        return null;
    }

    @Px
    public int getStrokeWidth() {
        if (h()) {
            return this.f7339a.k();
        }
        return 0;
    }

    @Override // androidx.core.view.TintableBackgroundView, androidx.appcompat.widget.AppCompatButton
    @Nullable
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public ColorStateList getSupportBackgroundTintList() {
        return h() ? this.f7339a.l() : super.getSupportBackgroundTintList();
    }

    @Override // androidx.core.view.TintableBackgroundView, androidx.appcompat.widget.AppCompatButton
    @Nullable
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public PorterDuff.Mode getSupportBackgroundTintMode() {
        return h() ? this.f7339a.m() : super.getSupportBackgroundTintMode();
    }

    public void i(@NonNull b bVar) {
        this.f7340b.remove(bVar);
    }

    public boolean isChecked() {
        return this.f7349k;
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        if (h()) {
            k.f(this, this.f7339a.f());
        }
    }

    /* access modifiers changed from: protected */
    public int[] onCreateDrawableState(int i7) {
        int[] onCreateDrawableState = super.onCreateDrawableState(i7 + 2);
        if (c()) {
            View.mergeDrawableStates(onCreateDrawableState, f7329n);
        }
        if (isChecked()) {
            View.mergeDrawableStates(onCreateDrawableState, f7330o);
        }
        return onCreateDrawableState;
    }

    @Override // androidx.appcompat.widget.AppCompatButton
    public void onInitializeAccessibilityEvent(@NonNull AccessibilityEvent accessibilityEvent) {
        super.onInitializeAccessibilityEvent(accessibilityEvent);
        accessibilityEvent.setClassName(getA11yClassName());
        accessibilityEvent.setChecked(isChecked());
    }

    @Override // androidx.appcompat.widget.AppCompatButton
    public void onInitializeAccessibilityNodeInfo(@NonNull AccessibilityNodeInfo accessibilityNodeInfo) {
        super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
        accessibilityNodeInfo.setClassName(getA11yClassName());
        accessibilityNodeInfo.setCheckable(c());
        accessibilityNodeInfo.setChecked(isChecked());
        accessibilityNodeInfo.setClickable(isClickable());
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.widget.AppCompatButton
    public void onLayout(boolean z7, int i7, int i8, int i9, int i10) {
        super.onLayout(z7, i7, i8, i9, i10);
    }

    public void onRestoreInstanceState(@Nullable Parcelable parcelable) {
        if (!(parcelable instanceof SavedState)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        SavedState savedState = (SavedState) parcelable;
        super.onRestoreInstanceState(savedState.getSuperState());
        setChecked(savedState.f7352f);
    }

    @NonNull
    public Parcelable onSaveInstanceState() {
        SavedState savedState = new SavedState(super.onSaveInstanceState());
        savedState.f7352f = this.f7349k;
        return savedState;
    }

    /* access modifiers changed from: protected */
    public void onSizeChanged(int i7, int i8, int i9, int i10) {
        super.onSizeChanged(i7, i8, i9, i10);
        l(i7, i8);
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.widget.AppCompatButton
    public void onTextChanged(CharSequence charSequence, int i7, int i8, int i9) {
        super.onTextChanged(charSequence, i7, i8, i9);
        l(getMeasuredWidth(), getMeasuredHeight());
    }

    public boolean performClick() {
        toggle();
        return super.performClick();
    }

    public void setBackground(@NonNull Drawable drawable) {
        setBackgroundDrawable(drawable);
    }

    public void setBackgroundColor(@ColorInt int i7) {
        if (h()) {
            this.f7339a.r(i7);
        } else {
            super.setBackgroundColor(i7);
        }
    }

    @Override // androidx.appcompat.widget.AppCompatButton
    public void setBackgroundDrawable(@NonNull Drawable drawable) {
        if (h()) {
            if (drawable != getBackground()) {
                Log.w(f7337v, "MaterialButton manages its own background to control elevation, shape, color and states. Consider using backgroundTint, shapeAppearance and other attributes where available. A custom background will ignore these attributes and you should consider handling interaction states such as pressed, focused and disabled");
                this.f7339a.s();
            } else {
                getBackground().setState(drawable.getState());
                return;
            }
        }
        super.setBackgroundDrawable(drawable);
    }

    @Override // androidx.appcompat.widget.AppCompatButton
    public void setBackgroundResource(@DrawableRes int i7) {
        setBackgroundDrawable(i7 != 0 ? AppCompatResources.getDrawable(getContext(), i7) : null);
    }

    public void setBackgroundTintList(@Nullable ColorStateList colorStateList) {
        setSupportBackgroundTintList(colorStateList);
    }

    public void setBackgroundTintMode(@Nullable PorterDuff.Mode mode) {
        setSupportBackgroundTintMode(mode);
    }

    public void setCheckable(boolean z7) {
        if (h()) {
            this.f7339a.t(z7);
        }
    }

    public void setChecked(boolean z7) {
        if (c() && isEnabled() && this.f7349k != z7) {
            this.f7349k = z7;
            refreshDrawableState();
            if (!this.f7350l) {
                this.f7350l = true;
                Iterator<b> it = this.f7340b.iterator();
                while (it.hasNext()) {
                    it.next().a(this, this.f7349k);
                }
                this.f7350l = false;
            }
        }
    }

    public void setCornerRadius(@Px int i7) {
        if (h()) {
            this.f7339a.u(i7);
        }
    }

    public void setCornerRadiusResource(@DimenRes int i7) {
        if (h()) {
            setCornerRadius(getResources().getDimensionPixelSize(i7));
        }
    }

    @RequiresApi(21)
    public void setElevation(float f7) {
        super.setElevation(f7);
        if (h()) {
            this.f7339a.f().m0(f7);
        }
    }

    public void setIcon(@Nullable Drawable drawable) {
        if (this.f7344f != drawable) {
            this.f7344f = drawable;
            k(true);
            l(getMeasuredWidth(), getMeasuredHeight());
        }
    }

    public void setIconGravity(int i7) {
        if (this.f7351m != i7) {
            this.f7351m = i7;
            l(getMeasuredWidth(), getMeasuredHeight());
        }
    }

    public void setIconPadding(@Px int i7) {
        if (this.f7348j != i7) {
            this.f7348j = i7;
            setCompoundDrawablePadding(i7);
        }
    }

    public void setIconResource(@DrawableRes int i7) {
        setIcon(i7 != 0 ? AppCompatResources.getDrawable(getContext(), i7) : null);
    }

    public void setIconSize(@Px int i7) {
        if (i7 < 0) {
            throw new IllegalArgumentException("iconSize cannot be less than 0");
        } else if (this.f7345g != i7) {
            this.f7345g = i7;
            k(true);
        }
    }

    public void setIconTint(@Nullable ColorStateList colorStateList) {
        if (this.f7343e != colorStateList) {
            this.f7343e = colorStateList;
            k(false);
        }
    }

    public void setIconTintMode(PorterDuff.Mode mode) {
        if (this.f7342d != mode) {
            this.f7342d = mode;
            k(false);
        }
    }

    public void setIconTintResource(@ColorRes int i7) {
        setIconTint(AppCompatResources.getColorStateList(getContext(), i7));
    }

    public void setInsetBottom(@Dimension int i7) {
        this.f7339a.v(i7);
    }

    public void setInsetTop(@Dimension int i7) {
        this.f7339a.w(i7);
    }

    /* access modifiers changed from: package-private */
    public void setInternalBackground(Drawable drawable) {
        super.setBackgroundDrawable(drawable);
    }

    /* access modifiers changed from: package-private */
    public void setOnPressedChangeListenerInternal(@Nullable c cVar) {
        this.f7341c = cVar;
    }

    public void setPressed(boolean z7) {
        c cVar = this.f7341c;
        if (cVar != null) {
            cVar.a(this, z7);
        }
        super.setPressed(z7);
    }

    public void setRippleColor(@Nullable ColorStateList colorStateList) {
        if (h()) {
            this.f7339a.x(colorStateList);
        }
    }

    public void setRippleColorResource(@ColorRes int i7) {
        if (h()) {
            setRippleColor(AppCompatResources.getColorStateList(getContext(), i7));
        }
    }

    @Override // com.google.android.material.shape.s
    public void setShapeAppearanceModel(@NonNull o oVar) {
        if (h()) {
            this.f7339a.y(oVar);
            return;
        }
        throw new IllegalStateException("Attempted to set ShapeAppearanceModel on a MaterialButton which has an overwritten background.");
    }

    /* access modifiers changed from: package-private */
    public void setShouldDrawSurfaceColorStroke(boolean z7) {
        if (h()) {
            this.f7339a.z(z7);
        }
    }

    public void setStrokeColor(@Nullable ColorStateList colorStateList) {
        if (h()) {
            this.f7339a.A(colorStateList);
        }
    }

    public void setStrokeColorResource(@ColorRes int i7) {
        if (h()) {
            setStrokeColor(AppCompatResources.getColorStateList(getContext(), i7));
        }
    }

    public void setStrokeWidth(@Px int i7) {
        if (h()) {
            this.f7339a.B(i7);
        }
    }

    public void setStrokeWidthResource(@DimenRes int i7) {
        if (h()) {
            setStrokeWidth(getResources().getDimensionPixelSize(i7));
        }
    }

    @Override // androidx.core.view.TintableBackgroundView, androidx.appcompat.widget.AppCompatButton
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public void setSupportBackgroundTintList(@Nullable ColorStateList colorStateList) {
        if (h()) {
            this.f7339a.C(colorStateList);
        } else {
            super.setSupportBackgroundTintList(colorStateList);
        }
    }

    @Override // androidx.core.view.TintableBackgroundView, androidx.appcompat.widget.AppCompatButton
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public void setSupportBackgroundTintMode(@Nullable PorterDuff.Mode mode) {
        if (h()) {
            this.f7339a.D(mode);
        } else {
            super.setSupportBackgroundTintMode(mode);
        }
    }

    public void toggle() {
        setChecked(!this.f7349k);
    }

    public MaterialButton(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, a.c.u9);
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public MaterialButton(@NonNull Context context, @Nullable AttributeSet attributeSet, int i7) {
        super(l0.a.c(context, attributeSet, i7, r6), attributeSet, i7);
        int i8 = f7338w;
        this.f7340b = new LinkedHashSet<>();
        boolean z7 = false;
        this.f7349k = false;
        this.f7350l = false;
        Context context2 = getContext();
        TypedArray j7 = q.j(context2, attributeSet, a.o.bj, i7, i8, new int[0]);
        this.f7348j = j7.getDimensionPixelSize(a.o.oj, 0);
        this.f7342d = y.k(j7.getInt(a.o.rj, -1), PorterDuff.Mode.SRC_IN);
        this.f7343e = com.google.android.material.resources.c.a(getContext(), j7, a.o.qj);
        this.f7344f = com.google.android.material.resources.c.d(getContext(), j7, a.o.mj);
        this.f7351m = j7.getInteger(a.o.nj, 1);
        this.f7345g = j7.getDimensionPixelSize(a.o.pj, 0);
        a aVar = new a(this, o.e(context2, attributeSet, i7, i8).m());
        this.f7339a = aVar;
        aVar.q(j7);
        j7.recycle();
        setCompoundDrawablePadding(this.f7348j);
        k(this.f7344f != null ? true : z7);
    }
}
