package com.google.android.material.button;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.util.Log;
import android.view.View;
import android.view.ViewGroup;
import android.view.accessibility.AccessibilityNodeInfo;
import android.widget.LinearLayout;
import androidx.annotation.BoolRes;
import androidx.annotation.IdRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.VisibleForTesting;
import androidx.core.view.AccessibilityDelegateCompat;
import androidx.core.view.MarginLayoutParamsCompat;
import androidx.core.view.ViewCompat;
import androidx.core.view.accessibility.AccessibilityNodeInfoCompat;
import b0.a;
import com.google.android.material.button.MaterialButton;
import com.google.android.material.internal.q;
import com.google.android.material.internal.y;
import com.google.android.material.shape.o;
import java.util.ArrayList;
import java.util.Comparator;
import java.util.Iterator;
import java.util.LinkedHashSet;
import java.util.List;
import java.util.TreeMap;

public class MaterialButtonToggleGroup extends LinearLayout {

    /* renamed from: k  reason: collision with root package name */
    private static final String f7353k = "MaterialButtonToggleGroup";

    /* renamed from: l  reason: collision with root package name */
    private static final int f7354l = a.n.Db;

    /* renamed from: a  reason: collision with root package name */
    private final List<d> f7355a;

    /* renamed from: b  reason: collision with root package name */
    private final c f7356b;

    /* renamed from: c  reason: collision with root package name */
    private final f f7357c;

    /* renamed from: d  reason: collision with root package name */
    private final LinkedHashSet<e> f7358d;

    /* renamed from: e  reason: collision with root package name */
    private final Comparator<MaterialButton> f7359e;

    /* renamed from: f  reason: collision with root package name */
    private Integer[] f7360f;

    /* renamed from: g  reason: collision with root package name */
    private boolean f7361g;

    /* renamed from: h  reason: collision with root package name */
    private boolean f7362h;

    /* renamed from: i  reason: collision with root package name */
    private boolean f7363i;
    @IdRes

    /* renamed from: j  reason: collision with root package name */
    private int f7364j;

    class a implements Comparator<MaterialButton> {
        a() {
        }

        /* renamed from: a */
        public int compare(MaterialButton materialButton, MaterialButton materialButton2) {
            int compareTo = Boolean.valueOf(materialButton.isChecked()).compareTo(Boolean.valueOf(materialButton2.isChecked()));
            if (compareTo != 0) {
                return compareTo;
            }
            int compareTo2 = Boolean.valueOf(materialButton.isPressed()).compareTo(Boolean.valueOf(materialButton2.isPressed()));
            return compareTo2 != 0 ? compareTo2 : Integer.valueOf(MaterialButtonToggleGroup.this.indexOfChild(materialButton)).compareTo(Integer.valueOf(MaterialButtonToggleGroup.this.indexOfChild(materialButton2)));
        }
    }

    class b extends AccessibilityDelegateCompat {
        b() {
        }

        @Override // androidx.core.view.AccessibilityDelegateCompat
        public void onInitializeAccessibilityNodeInfo(View view, @NonNull AccessibilityNodeInfoCompat accessibilityNodeInfoCompat) {
            super.onInitializeAccessibilityNodeInfo(view, accessibilityNodeInfoCompat);
            accessibilityNodeInfoCompat.setCollectionItemInfo(AccessibilityNodeInfoCompat.CollectionItemInfoCompat.obtain(0, 1, MaterialButtonToggleGroup.this.p(view), 1, false, ((MaterialButton) view).isChecked()));
        }
    }

    /* access modifiers changed from: private */
    public class c implements MaterialButton.b {
        private c() {
        }

        @Override // com.google.android.material.button.MaterialButton.b
        public void a(@NonNull MaterialButton materialButton, boolean z7) {
            if (!MaterialButtonToggleGroup.this.f7361g) {
                if (MaterialButtonToggleGroup.this.f7362h) {
                    MaterialButtonToggleGroup.this.f7364j = z7 ? materialButton.getId() : -1;
                }
                if (MaterialButtonToggleGroup.this.z(materialButton.getId(), z7)) {
                    MaterialButtonToggleGroup.this.n(materialButton.getId(), materialButton.isChecked());
                }
                MaterialButtonToggleGroup.this.invalidate();
            }
        }

        /* synthetic */ c(MaterialButtonToggleGroup materialButtonToggleGroup, a aVar) {
            this();
        }
    }

    /* access modifiers changed from: private */
    public static class d {

        /* renamed from: e  reason: collision with root package name */
        private static final com.google.android.material.shape.d f7368e = new com.google.android.material.shape.a(0.0f);

        /* renamed from: a  reason: collision with root package name */
        com.google.android.material.shape.d f7369a;

        /* renamed from: b  reason: collision with root package name */
        com.google.android.material.shape.d f7370b;

        /* renamed from: c  reason: collision with root package name */
        com.google.android.material.shape.d f7371c;

        /* renamed from: d  reason: collision with root package name */
        com.google.android.material.shape.d f7372d;

        d(com.google.android.material.shape.d dVar, com.google.android.material.shape.d dVar2, com.google.android.material.shape.d dVar3, com.google.android.material.shape.d dVar4) {
            this.f7369a = dVar;
            this.f7370b = dVar3;
            this.f7371c = dVar4;
            this.f7372d = dVar2;
        }

        public static d a(d dVar) {
            com.google.android.material.shape.d dVar2 = f7368e;
            return new d(dVar2, dVar.f7372d, dVar2, dVar.f7371c);
        }

        public static d b(d dVar, View view) {
            return y.j(view) ? c(dVar) : d(dVar);
        }

        public static d c(d dVar) {
            com.google.android.material.shape.d dVar2 = dVar.f7369a;
            com.google.android.material.shape.d dVar3 = dVar.f7372d;
            com.google.android.material.shape.d dVar4 = f7368e;
            return new d(dVar2, dVar3, dVar4, dVar4);
        }

        public static d d(d dVar) {
            com.google.android.material.shape.d dVar2 = f7368e;
            return new d(dVar2, dVar2, dVar.f7370b, dVar.f7371c);
        }

        public static d e(d dVar, View view) {
            return y.j(view) ? d(dVar) : c(dVar);
        }

        public static d f(d dVar) {
            com.google.android.material.shape.d dVar2 = dVar.f7369a;
            com.google.android.material.shape.d dVar3 = f7368e;
            return new d(dVar2, dVar3, dVar.f7370b, dVar3);
        }
    }

    public interface e {
        void a(MaterialButtonToggleGroup materialButtonToggleGroup, @IdRes int i7, boolean z7);
    }

    /* access modifiers changed from: private */
    public class f implements MaterialButton.c {
        private f() {
        }

        @Override // com.google.android.material.button.MaterialButton.c
        public void a(@NonNull MaterialButton materialButton, boolean z7) {
            MaterialButtonToggleGroup.this.invalidate();
        }

        /* synthetic */ f(MaterialButtonToggleGroup materialButtonToggleGroup, a aVar) {
            this();
        }
    }

    public MaterialButtonToggleGroup(@NonNull Context context) {
        this(context, null);
    }

    private void A() {
        TreeMap treeMap = new TreeMap(this.f7359e);
        int childCount = getChildCount();
        for (int i7 = 0; i7 < childCount; i7++) {
            treeMap.put(o(i7), Integer.valueOf(i7));
        }
        this.f7360f = (Integer[]) treeMap.values().toArray(new Integer[0]);
    }

    private int getFirstVisibleChildIndex() {
        int childCount = getChildCount();
        for (int i7 = 0; i7 < childCount; i7++) {
            if (r(i7)) {
                return i7;
            }
        }
        return -1;
    }

    private int getLastVisibleChildIndex() {
        for (int childCount = getChildCount() - 1; childCount >= 0; childCount--) {
            if (r(childCount)) {
                return childCount;
            }
        }
        return -1;
    }

    private int getVisibleButtonCount() {
        int i7 = 0;
        for (int i8 = 0; i8 < getChildCount(); i8++) {
            if ((getChildAt(i8) instanceof MaterialButton) && r(i8)) {
                i7++;
            }
        }
        return i7;
    }

    private void h() {
        int firstVisibleChildIndex = getFirstVisibleChildIndex();
        if (firstVisibleChildIndex != -1) {
            for (int i7 = firstVisibleChildIndex + 1; i7 < getChildCount(); i7++) {
                MaterialButton o7 = o(i7);
                int min = Math.min(o7.getStrokeWidth(), o(i7 - 1).getStrokeWidth());
                LinearLayout.LayoutParams i8 = i(o7);
                if (getOrientation() == 0) {
                    MarginLayoutParamsCompat.setMarginEnd(i8, 0);
                    MarginLayoutParamsCompat.setMarginStart(i8, -min);
                    i8.topMargin = 0;
                } else {
                    i8.bottomMargin = 0;
                    i8.topMargin = -min;
                    MarginLayoutParamsCompat.setMarginStart(i8, 0);
                }
                o7.setLayoutParams(i8);
            }
            v(firstVisibleChildIndex);
        }
    }

    @NonNull
    private LinearLayout.LayoutParams i(@NonNull View view) {
        ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
        return layoutParams instanceof LinearLayout.LayoutParams ? (LinearLayout.LayoutParams) layoutParams : new LinearLayout.LayoutParams(layoutParams.width, layoutParams.height);
    }

    private void k(int i7, boolean z7) {
        MaterialButton materialButton = (MaterialButton) findViewById(i7);
        if (materialButton != null) {
            materialButton.setChecked(z7);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void n(@IdRes int i7, boolean z7) {
        Iterator<e> it = this.f7358d.iterator();
        while (it.hasNext()) {
            it.next().a(this, i7, z7);
        }
    }

    private MaterialButton o(int i7) {
        return (MaterialButton) getChildAt(i7);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private int p(@Nullable View view) {
        if (!(view instanceof MaterialButton)) {
            return -1;
        }
        int i7 = 0;
        for (int i8 = 0; i8 < getChildCount(); i8++) {
            if (getChildAt(i8) == view) {
                return i7;
            }
            if ((getChildAt(i8) instanceof MaterialButton) && r(i8)) {
                i7++;
            }
        }
        return -1;
    }

    @Nullable
    private d q(int i7, int i8, int i9) {
        d dVar = this.f7355a.get(i7);
        if (i8 == i9) {
            return dVar;
        }
        boolean z7 = getOrientation() == 0;
        if (i7 == i8) {
            return z7 ? d.e(dVar, this) : d.f(dVar);
        }
        if (i7 == i9) {
            return z7 ? d.b(dVar, this) : d.a(dVar);
        }
        return null;
    }

    private boolean r(int i7) {
        return getChildAt(i7).getVisibility() != 8;
    }

    private void setCheckedId(int i7) {
        this.f7364j = i7;
        n(i7, true);
    }

    private void setGeneratedIdIfNeeded(@NonNull MaterialButton materialButton) {
        if (materialButton.getId() == -1) {
            materialButton.setId(ViewCompat.generateViewId());
        }
    }

    private void setupButtonChild(@NonNull MaterialButton materialButton) {
        materialButton.setMaxLines(1);
        materialButton.setEllipsize(TextUtils.TruncateAt.END);
        materialButton.setCheckable(true);
        materialButton.a(this.f7356b);
        materialButton.setOnPressedChangeListenerInternal(this.f7357c);
        materialButton.setShouldDrawSurfaceColorStroke(true);
    }

    private void v(int i7) {
        if (getChildCount() != 0 && i7 != -1) {
            LinearLayout.LayoutParams layoutParams = (LinearLayout.LayoutParams) o(i7).getLayoutParams();
            if (getOrientation() == 1) {
                layoutParams.topMargin = 0;
                layoutParams.bottomMargin = 0;
                return;
            }
            MarginLayoutParamsCompat.setMarginEnd(layoutParams, 0);
            MarginLayoutParamsCompat.setMarginStart(layoutParams, 0);
            layoutParams.leftMargin = 0;
            layoutParams.rightMargin = 0;
        }
    }

    private void w(@IdRes int i7, boolean z7) {
        View findViewById = findViewById(i7);
        if (findViewById instanceof MaterialButton) {
            this.f7361g = true;
            ((MaterialButton) findViewById).setChecked(z7);
            this.f7361g = false;
        }
    }

    private static void y(o.b bVar, @Nullable d dVar) {
        if (dVar == null) {
            bVar.o(0.0f);
        } else {
            bVar.L(dVar.f7369a).y(dVar.f7372d).Q(dVar.f7370b).D(dVar.f7371c);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean z(int i7, boolean z7) {
        List<Integer> checkedButtonIds = getCheckedButtonIds();
        if (!this.f7363i || !checkedButtonIds.isEmpty()) {
            if (z7 && this.f7362h) {
                checkedButtonIds.remove(Integer.valueOf(i7));
                for (Integer num : checkedButtonIds) {
                    int intValue = num.intValue();
                    w(intValue, false);
                    n(intValue, false);
                }
            }
            return true;
        }
        w(i7, true);
        this.f7364j = i7;
        return false;
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public void B() {
        int childCount = getChildCount();
        int firstVisibleChildIndex = getFirstVisibleChildIndex();
        int lastVisibleChildIndex = getLastVisibleChildIndex();
        for (int i7 = 0; i7 < childCount; i7++) {
            MaterialButton o7 = o(i7);
            if (o7.getVisibility() != 8) {
                o.b v7 = o7.getShapeAppearanceModel().v();
                y(v7, q(i7, firstVisibleChildIndex, lastVisibleChildIndex));
                o7.setShapeAppearanceModel(v7.m());
            }
        }
    }

    @Override // android.view.ViewGroup
    public void addView(View view, int i7, ViewGroup.LayoutParams layoutParams) {
        if (!(view instanceof MaterialButton)) {
            Log.e(f7353k, "Child views must be of type MaterialButton.");
            return;
        }
        super.addView(view, i7, layoutParams);
        MaterialButton materialButton = (MaterialButton) view;
        setGeneratedIdIfNeeded(materialButton);
        setupButtonChild(materialButton);
        if (materialButton.isChecked()) {
            z(materialButton.getId(), true);
            setCheckedId(materialButton.getId());
        }
        o shapeAppearanceModel = materialButton.getShapeAppearanceModel();
        this.f7355a.add(new d(shapeAppearanceModel.r(), shapeAppearanceModel.j(), shapeAppearanceModel.t(), shapeAppearanceModel.l()));
        ViewCompat.setAccessibilityDelegate(materialButton, new b());
    }

    /* access modifiers changed from: protected */
    public void dispatchDraw(@NonNull Canvas canvas) {
        A();
        super.dispatchDraw(canvas);
    }

    public void g(@NonNull e eVar) {
        this.f7358d.add(eVar);
    }

    @NonNull
    public CharSequence getAccessibilityClassName() {
        return MaterialButtonToggleGroup.class.getName();
    }

    @IdRes
    public int getCheckedButtonId() {
        if (this.f7362h) {
            return this.f7364j;
        }
        return -1;
    }

    @NonNull
    public List<Integer> getCheckedButtonIds() {
        ArrayList arrayList = new ArrayList();
        for (int i7 = 0; i7 < getChildCount(); i7++) {
            MaterialButton o7 = o(i7);
            if (o7.isChecked()) {
                arrayList.add(Integer.valueOf(o7.getId()));
            }
        }
        return arrayList;
    }

    /* access modifiers changed from: protected */
    public int getChildDrawingOrder(int i7, int i8) {
        Integer[] numArr = this.f7360f;
        if (numArr != null && i8 < numArr.length) {
            return numArr[i8].intValue();
        }
        Log.w(f7353k, "Child order wasn't updated");
        return i8;
    }

    public void j(@IdRes int i7) {
        if (i7 != this.f7364j) {
            k(i7, true);
        }
    }

    public void l() {
        this.f7361g = true;
        for (int i7 = 0; i7 < getChildCount(); i7++) {
            MaterialButton o7 = o(i7);
            o7.setChecked(false);
            n(o7.getId(), false);
        }
        this.f7361g = false;
        setCheckedId(-1);
    }

    public void m() {
        this.f7358d.clear();
    }

    /* access modifiers changed from: protected */
    public void onFinishInflate() {
        super.onFinishInflate();
        int i7 = this.f7364j;
        if (i7 != -1) {
            k(i7, true);
        }
    }

    public void onInitializeAccessibilityNodeInfo(@NonNull AccessibilityNodeInfo accessibilityNodeInfo) {
        super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
        AccessibilityNodeInfoCompat.wrap(accessibilityNodeInfo).setCollectionInfo(AccessibilityNodeInfoCompat.CollectionInfoCompat.obtain(1, getVisibleButtonCount(), false, t() ? 1 : 2));
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i7, int i8) {
        B();
        h();
        super.onMeasure(i7, i8);
    }

    public void onViewRemoved(View view) {
        super.onViewRemoved(view);
        if (view instanceof MaterialButton) {
            MaterialButton materialButton = (MaterialButton) view;
            materialButton.i(this.f7356b);
            materialButton.setOnPressedChangeListenerInternal(null);
        }
        int indexOfChild = indexOfChild(view);
        if (indexOfChild >= 0) {
            this.f7355a.remove(indexOfChild);
        }
        B();
        h();
    }

    public boolean s() {
        return this.f7363i;
    }

    public void setSelectionRequired(boolean z7) {
        this.f7363i = z7;
    }

    public void setSingleSelection(@BoolRes int i7) {
        setSingleSelection(getResources().getBoolean(i7));
    }

    public boolean t() {
        return this.f7362h;
    }

    public void u(@NonNull e eVar) {
        this.f7358d.remove(eVar);
    }

    public void x(@IdRes int i7) {
        k(i7, false);
    }

    public MaterialButtonToggleGroup(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, a.c.v9);
    }

    public void setSingleSelection(boolean z7) {
        if (this.f7362h != z7) {
            this.f7362h = z7;
            l();
        }
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public MaterialButtonToggleGroup(@NonNull Context context, @Nullable AttributeSet attributeSet, int i7) {
        super(l0.a.c(context, attributeSet, i7, r4), attributeSet, i7);
        int i8 = f7354l;
        this.f7355a = new ArrayList();
        this.f7356b = new c(this, null);
        this.f7357c = new f(this, null);
        this.f7358d = new LinkedHashSet<>();
        this.f7359e = new a();
        this.f7361g = false;
        TypedArray j7 = q.j(getContext(), attributeSet, a.o.xj, i7, i8, new int[0]);
        setSingleSelection(j7.getBoolean(a.o.Aj, false));
        this.f7364j = j7.getResourceId(a.o.yj, -1);
        this.f7363i = j7.getBoolean(a.o.zj, false);
        setChildrenDrawingOrderEnabled(true);
        j7.recycle();
        ViewCompat.setImportantForAccessibility(this, 1);
    }
}
