package com.google.android.material.button;

import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.PorterDuff;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.InsetDrawable;
import android.graphics.drawable.LayerDrawable;
import android.graphics.drawable.RippleDrawable;
import androidx.annotation.Dimension;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.core.graphics.drawable.DrawableCompat;
import androidx.core.view.ViewCompat;
import b0.a;
import com.google.android.material.internal.y;
import com.google.android.material.resources.c;
import com.google.android.material.ripple.b;
import com.google.android.material.shape.j;
import com.google.android.material.shape.o;
import com.google.android.material.shape.s;

/* access modifiers changed from: package-private */
@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
public class a {

    /* renamed from: t  reason: collision with root package name */
    private static final boolean f7374t = true;

    /* renamed from: a  reason: collision with root package name */
    private final MaterialButton f7375a;
    @NonNull

    /* renamed from: b  reason: collision with root package name */
    private o f7376b;

    /* renamed from: c  reason: collision with root package name */
    private int f7377c;

    /* renamed from: d  reason: collision with root package name */
    private int f7378d;

    /* renamed from: e  reason: collision with root package name */
    private int f7379e;

    /* renamed from: f  reason: collision with root package name */
    private int f7380f;

    /* renamed from: g  reason: collision with root package name */
    private int f7381g;

    /* renamed from: h  reason: collision with root package name */
    private int f7382h;
    @Nullable

    /* renamed from: i  reason: collision with root package name */
    private PorterDuff.Mode f7383i;
    @Nullable

    /* renamed from: j  reason: collision with root package name */
    private ColorStateList f7384j;
    @Nullable

    /* renamed from: k  reason: collision with root package name */
    private ColorStateList f7385k;
    @Nullable

    /* renamed from: l  reason: collision with root package name */
    private ColorStateList f7386l;
    @Nullable

    /* renamed from: m  reason: collision with root package name */
    private Drawable f7387m;

    /* renamed from: n  reason: collision with root package name */
    private boolean f7388n = false;

    /* renamed from: o  reason: collision with root package name */
    private boolean f7389o = false;

    /* renamed from: p  reason: collision with root package name */
    private boolean f7390p = false;

    /* renamed from: q  reason: collision with root package name */
    private boolean f7391q;

    /* renamed from: r  reason: collision with root package name */
    private LayerDrawable f7392r;

    /* renamed from: s  reason: collision with root package name */
    private int f7393s;

    a(MaterialButton materialButton, @NonNull o oVar) {
        this.f7375a = materialButton;
        this.f7376b = oVar;
    }

    private void E(@Dimension int i7, @Dimension int i8) {
        int paddingStart = ViewCompat.getPaddingStart(this.f7375a);
        int paddingTop = this.f7375a.getPaddingTop();
        int paddingEnd = ViewCompat.getPaddingEnd(this.f7375a);
        int paddingBottom = this.f7375a.getPaddingBottom();
        int i9 = this.f7379e;
        int i10 = this.f7380f;
        this.f7380f = i8;
        this.f7379e = i7;
        if (!this.f7389o) {
            F();
        }
        ViewCompat.setPaddingRelative(this.f7375a, paddingStart, (paddingTop + i7) - i9, paddingEnd, (paddingBottom + i8) - i10);
    }

    private void F() {
        this.f7375a.setInternalBackground(a());
        j f7 = f();
        if (f7 != null) {
            f7.m0((float) this.f7393s);
        }
    }

    private void G(@NonNull o oVar) {
        if (f() != null) {
            f().setShapeAppearanceModel(oVar);
        }
        if (n() != null) {
            n().setShapeAppearanceModel(oVar);
        }
        if (e() != null) {
            e().setShapeAppearanceModel(oVar);
        }
    }

    private void I() {
        j f7 = f();
        j n7 = n();
        if (f7 != null) {
            f7.D0((float) this.f7382h, this.f7385k);
            if (n7 != null) {
                n7.C0((float) this.f7382h, this.f7388n ? f0.a.d(this.f7375a, a.c.Q2) : 0);
            }
        }
    }

    @NonNull
    private InsetDrawable J(Drawable drawable) {
        return new InsetDrawable(drawable, this.f7377c, this.f7379e, this.f7378d, this.f7380f);
    }

    private Drawable a() {
        j jVar = new j(this.f7376b);
        jVar.Y(this.f7375a.getContext());
        DrawableCompat.setTintList(jVar, this.f7384j);
        PorterDuff.Mode mode = this.f7383i;
        if (mode != null) {
            DrawableCompat.setTintMode(jVar, mode);
        }
        jVar.D0((float) this.f7382h, this.f7385k);
        j jVar2 = new j(this.f7376b);
        jVar2.setTint(0);
        jVar2.C0((float) this.f7382h, this.f7388n ? f0.a.d(this.f7375a, a.c.Q2) : 0);
        if (f7374t) {
            j jVar3 = new j(this.f7376b);
            this.f7387m = jVar3;
            DrawableCompat.setTint(jVar3, -1);
            RippleDrawable rippleDrawable = new RippleDrawable(b.d(this.f7386l), J(new LayerDrawable(new Drawable[]{jVar2, jVar})), this.f7387m);
            this.f7392r = rippleDrawable;
            return rippleDrawable;
        }
        com.google.android.material.ripple.a aVar = new com.google.android.material.ripple.a(this.f7376b);
        this.f7387m = aVar;
        DrawableCompat.setTintList(aVar, b.d(this.f7386l));
        LayerDrawable layerDrawable = new LayerDrawable(new Drawable[]{jVar2, jVar, this.f7387m});
        this.f7392r = layerDrawable;
        return J(layerDrawable);
    }

    @Nullable
    private j g(boolean z7) {
        LayerDrawable layerDrawable = this.f7392r;
        if (layerDrawable == null || layerDrawable.getNumberOfLayers() <= 0) {
            return null;
        }
        boolean z8 = f7374t;
        LayerDrawable layerDrawable2 = this.f7392r;
        if (z8) {
            layerDrawable2 = (LayerDrawable) ((InsetDrawable) layerDrawable2.getDrawable(0)).getDrawable();
        }
        return (j) layerDrawable2.getDrawable(!z7 ? 1 : 0);
    }

    @Nullable
    private j n() {
        return g(true);
    }

    /* access modifiers changed from: package-private */
    public void A(@Nullable ColorStateList colorStateList) {
        if (this.f7385k != colorStateList) {
            this.f7385k = colorStateList;
            I();
        }
    }

    /* access modifiers changed from: package-private */
    public void B(int i7) {
        if (this.f7382h != i7) {
            this.f7382h = i7;
            I();
        }
    }

    /* access modifiers changed from: package-private */
    public void C(@Nullable ColorStateList colorStateList) {
        if (this.f7384j != colorStateList) {
            this.f7384j = colorStateList;
            if (f() != null) {
                DrawableCompat.setTintList(f(), this.f7384j);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void D(@Nullable PorterDuff.Mode mode) {
        if (this.f7383i != mode) {
            this.f7383i = mode;
            if (f() != null && this.f7383i != null) {
                DrawableCompat.setTintMode(f(), this.f7383i);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void H(int i7, int i8) {
        Drawable drawable = this.f7387m;
        if (drawable != null) {
            drawable.setBounds(this.f7377c, this.f7379e, i8 - this.f7378d, i7 - this.f7380f);
        }
    }

    /* access modifiers changed from: package-private */
    public int b() {
        return this.f7381g;
    }

    public int c() {
        return this.f7380f;
    }

    public int d() {
        return this.f7379e;
    }

    @Nullable
    public s e() {
        LayerDrawable layerDrawable = this.f7392r;
        if (layerDrawable == null || layerDrawable.getNumberOfLayers() <= 1) {
            return null;
        }
        int numberOfLayers = this.f7392r.getNumberOfLayers();
        LayerDrawable layerDrawable2 = this.f7392r;
        return (s) (numberOfLayers > 2 ? layerDrawable2.getDrawable(2) : layerDrawable2.getDrawable(1));
    }

    /* access modifiers changed from: package-private */
    @Nullable
    public j f() {
        return g(false);
    }

    /* access modifiers changed from: package-private */
    @Nullable
    public ColorStateList h() {
        return this.f7386l;
    }

    /* access modifiers changed from: package-private */
    @NonNull
    public o i() {
        return this.f7376b;
    }

    /* access modifiers changed from: package-private */
    @Nullable
    public ColorStateList j() {
        return this.f7385k;
    }

    /* access modifiers changed from: package-private */
    public int k() {
        return this.f7382h;
    }

    /* access modifiers changed from: package-private */
    public ColorStateList l() {
        return this.f7384j;
    }

    /* access modifiers changed from: package-private */
    public PorterDuff.Mode m() {
        return this.f7383i;
    }

    /* access modifiers changed from: package-private */
    public boolean o() {
        return this.f7389o;
    }

    /* access modifiers changed from: package-private */
    public boolean p() {
        return this.f7391q;
    }

    /* access modifiers changed from: package-private */
    public void q(@NonNull TypedArray typedArray) {
        this.f7377c = typedArray.getDimensionPixelOffset(a.o.dj, 0);
        this.f7378d = typedArray.getDimensionPixelOffset(a.o.ej, 0);
        this.f7379e = typedArray.getDimensionPixelOffset(a.o.fj, 0);
        this.f7380f = typedArray.getDimensionPixelOffset(a.o.gj, 0);
        if (typedArray.hasValue(a.o.kj)) {
            int dimensionPixelSize = typedArray.getDimensionPixelSize(a.o.kj, -1);
            this.f7381g = dimensionPixelSize;
            y(this.f7376b.w((float) dimensionPixelSize));
            this.f7390p = true;
        }
        this.f7382h = typedArray.getDimensionPixelSize(a.o.wj, 0);
        this.f7383i = y.k(typedArray.getInt(a.o.jj, -1), PorterDuff.Mode.SRC_IN);
        this.f7384j = c.a(this.f7375a.getContext(), typedArray, a.o.ij);
        this.f7385k = c.a(this.f7375a.getContext(), typedArray, a.o.vj);
        this.f7386l = c.a(this.f7375a.getContext(), typedArray, a.o.sj);
        this.f7391q = typedArray.getBoolean(a.o.hj, false);
        this.f7393s = typedArray.getDimensionPixelSize(a.o.lj, 0);
        int paddingStart = ViewCompat.getPaddingStart(this.f7375a);
        int paddingTop = this.f7375a.getPaddingTop();
        int paddingEnd = ViewCompat.getPaddingEnd(this.f7375a);
        int paddingBottom = this.f7375a.getPaddingBottom();
        if (typedArray.hasValue(a.o.cj)) {
            s();
        } else {
            F();
        }
        ViewCompat.setPaddingRelative(this.f7375a, paddingStart + this.f7377c, paddingTop + this.f7379e, paddingEnd + this.f7378d, paddingBottom + this.f7380f);
    }

    /* access modifiers changed from: package-private */
    public void r(int i7) {
        if (f() != null) {
            f().setTint(i7);
        }
    }

    /* access modifiers changed from: package-private */
    public void s() {
        this.f7389o = true;
        this.f7375a.setSupportBackgroundTintList(this.f7384j);
        this.f7375a.setSupportBackgroundTintMode(this.f7383i);
    }

    /* access modifiers changed from: package-private */
    public void t(boolean z7) {
        this.f7391q = z7;
    }

    /* access modifiers changed from: package-private */
    public void u(int i7) {
        if (!this.f7390p || this.f7381g != i7) {
            this.f7381g = i7;
            this.f7390p = true;
            y(this.f7376b.w((float) i7));
        }
    }

    public void v(@Dimension int i7) {
        E(this.f7379e, i7);
    }

    public void w(@Dimension int i7) {
        E(i7, this.f7380f);
    }

    /* access modifiers changed from: package-private */
    public void x(@Nullable ColorStateList colorStateList) {
        if (this.f7386l != colorStateList) {
            this.f7386l = colorStateList;
            boolean z7 = f7374t;
            if (z7 && (this.f7375a.getBackground() instanceof RippleDrawable)) {
                ((RippleDrawable) this.f7375a.getBackground()).setColor(b.d(colorStateList));
            } else if (!z7 && (this.f7375a.getBackground() instanceof com.google.android.material.ripple.a)) {
                ((com.google.android.material.ripple.a) this.f7375a.getBackground()).setTintList(b.d(colorStateList));
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void y(@NonNull o oVar) {
        this.f7376b = oVar;
        G(oVar);
    }

    /* access modifiers changed from: package-private */
    public void z(boolean z7) {
        this.f7388n = z7;
        I();
    }
}
