package com.google.android.material.card;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.RectF;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.util.Log;
import android.view.View;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityNodeInfo;
import android.widget.Checkable;
import androidx.annotation.ColorInt;
import androidx.annotation.ColorRes;
import androidx.annotation.DimenRes;
import androidx.annotation.Dimension;
import androidx.annotation.DrawableRes;
import androidx.annotation.FloatRange;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.appcompat.content.res.AppCompatResources;
import androidx.cardview.widget.CardView;
import b0.a;
import com.google.android.material.internal.q;
import com.google.android.material.shape.k;
import com.google.android.material.shape.o;
import com.google.android.material.shape.s;

public class a extends CardView implements Checkable, s {

    /* renamed from: f  reason: collision with root package name */
    private static final int[] f7394f = {16842911};

    /* renamed from: g  reason: collision with root package name */
    private static final int[] f7395g = {16842912};

    /* renamed from: h  reason: collision with root package name */
    private static final int[] f7396h = {a.c.cd};

    /* renamed from: i  reason: collision with root package name */
    private static final int f7397i = a.n.jb;

    /* renamed from: j  reason: collision with root package name */
    private static final String f7398j = "MaterialCardView";

    /* renamed from: k  reason: collision with root package name */
    private static final String f7399k = "androidx.cardview.widget.CardView";
    @NonNull

    /* renamed from: a  reason: collision with root package name */
    private final b f7400a;

    /* renamed from: b  reason: collision with root package name */
    private boolean f7401b;

    /* renamed from: c  reason: collision with root package name */
    private boolean f7402c;

    /* renamed from: d  reason: collision with root package name */
    private boolean f7403d;

    /* renamed from: e  reason: collision with root package name */
    private AbstractC0083a f7404e;

    /* renamed from: com.google.android.material.card.a$a  reason: collision with other inner class name */
    public interface AbstractC0083a {
        void a(a aVar, boolean z7);
    }

    public a(Context context) {
        this(context, null);
    }

    private void f() {
        this.f7400a.j();
    }

    @NonNull
    private RectF getBoundsAsRectF() {
        RectF rectF = new RectF();
        rectF.set(this.f7400a.k().getBounds());
        return rectF;
    }

    public boolean g() {
        b bVar = this.f7400a;
        return bVar != null && bVar.D();
    }

    @Override // androidx.cardview.widget.CardView
    @NonNull
    public ColorStateList getCardBackgroundColor() {
        return this.f7400a.l();
    }

    @NonNull
    public ColorStateList getCardForegroundColor() {
        return this.f7400a.m();
    }

    /* access modifiers changed from: package-private */
    public float getCardViewRadius() {
        return super.getRadius();
    }

    @Nullable
    public Drawable getCheckedIcon() {
        return this.f7400a.n();
    }

    @Dimension
    public int getCheckedIconMargin() {
        return this.f7400a.o();
    }

    @Dimension
    public int getCheckedIconSize() {
        return this.f7400a.p();
    }

    @Nullable
    public ColorStateList getCheckedIconTint() {
        return this.f7400a.q();
    }

    @Override // androidx.cardview.widget.CardView
    public int getContentPaddingBottom() {
        return this.f7400a.A().bottom;
    }

    @Override // androidx.cardview.widget.CardView
    public int getContentPaddingLeft() {
        return this.f7400a.A().left;
    }

    @Override // androidx.cardview.widget.CardView
    public int getContentPaddingRight() {
        return this.f7400a.A().right;
    }

    @Override // androidx.cardview.widget.CardView
    public int getContentPaddingTop() {
        return this.f7400a.A().top;
    }

    @FloatRange(from = 0.0d, to = 1.0d)
    public float getProgress() {
        return this.f7400a.u();
    }

    @Override // androidx.cardview.widget.CardView
    public float getRadius() {
        return this.f7400a.s();
    }

    public ColorStateList getRippleColor() {
        return this.f7400a.v();
    }

    @Override // com.google.android.material.shape.s
    @NonNull
    public o getShapeAppearanceModel() {
        return this.f7400a.w();
    }

    @ColorInt
    @Deprecated
    public int getStrokeColor() {
        return this.f7400a.x();
    }

    @Nullable
    public ColorStateList getStrokeColorStateList() {
        return this.f7400a.y();
    }

    @Dimension
    public int getStrokeWidth() {
        return this.f7400a.z();
    }

    public boolean h() {
        return this.f7403d;
    }

    /* access modifiers changed from: package-private */
    public void i(int i7, int i8, int i9, int i10) {
        super.setContentPadding(i7, i8, i9, i10);
    }

    public boolean isChecked() {
        return this.f7402c;
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        k.f(this, this.f7400a.k());
    }

    /* access modifiers changed from: protected */
    public int[] onCreateDrawableState(int i7) {
        int[] onCreateDrawableState = super.onCreateDrawableState(i7 + 3);
        if (g()) {
            View.mergeDrawableStates(onCreateDrawableState, f7394f);
        }
        if (isChecked()) {
            View.mergeDrawableStates(onCreateDrawableState, f7395g);
        }
        if (h()) {
            View.mergeDrawableStates(onCreateDrawableState, f7396h);
        }
        return onCreateDrawableState;
    }

    public void onInitializeAccessibilityEvent(@NonNull AccessibilityEvent accessibilityEvent) {
        super.onInitializeAccessibilityEvent(accessibilityEvent);
        accessibilityEvent.setClassName(f7399k);
        accessibilityEvent.setChecked(isChecked());
    }

    public void onInitializeAccessibilityNodeInfo(@NonNull AccessibilityNodeInfo accessibilityNodeInfo) {
        super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
        accessibilityNodeInfo.setClassName(f7399k);
        accessibilityNodeInfo.setCheckable(g());
        accessibilityNodeInfo.setClickable(isClickable());
        accessibilityNodeInfo.setChecked(isChecked());
    }

    /* access modifiers changed from: protected */
    @Override // androidx.cardview.widget.CardView
    public void onMeasure(int i7, int i8) {
        super.onMeasure(i7, i8);
        this.f7400a.F(getMeasuredWidth(), getMeasuredHeight());
    }

    public void setBackground(Drawable drawable) {
        setBackgroundDrawable(drawable);
    }

    public void setBackgroundDrawable(Drawable drawable) {
        if (this.f7401b) {
            if (!this.f7400a.C()) {
                Log.i(f7398j, "Setting a custom background is not supported.");
                this.f7400a.G(true);
            }
            super.setBackgroundDrawable(drawable);
        }
    }

    /* access modifiers changed from: package-private */
    public void setBackgroundInternal(Drawable drawable) {
        super.setBackgroundDrawable(drawable);
    }

    @Override // androidx.cardview.widget.CardView
    public void setCardBackgroundColor(@ColorInt int i7) {
        this.f7400a.H(ColorStateList.valueOf(i7));
    }

    @Override // androidx.cardview.widget.CardView
    public void setCardElevation(float f7) {
        super.setCardElevation(f7);
        this.f7400a.Z();
    }

    public void setCardForegroundColor(@Nullable ColorStateList colorStateList) {
        this.f7400a.I(colorStateList);
    }

    public void setCheckable(boolean z7) {
        this.f7400a.J(z7);
    }

    public void setChecked(boolean z7) {
        if (this.f7402c != z7) {
            toggle();
        }
    }

    public void setCheckedIcon(@Nullable Drawable drawable) {
        this.f7400a.K(drawable);
    }

    public void setCheckedIconMargin(@Dimension int i7) {
        this.f7400a.L(i7);
    }

    public void setCheckedIconMarginResource(@DimenRes int i7) {
        if (i7 != -1) {
            this.f7400a.L(getResources().getDimensionPixelSize(i7));
        }
    }

    public void setCheckedIconResource(@DrawableRes int i7) {
        this.f7400a.K(AppCompatResources.getDrawable(getContext(), i7));
    }

    public void setCheckedIconSize(@Dimension int i7) {
        this.f7400a.M(i7);
    }

    public void setCheckedIconSizeResource(@DimenRes int i7) {
        if (i7 != 0) {
            this.f7400a.M(getResources().getDimensionPixelSize(i7));
        }
    }

    public void setCheckedIconTint(@Nullable ColorStateList colorStateList) {
        this.f7400a.N(colorStateList);
    }

    public void setClickable(boolean z7) {
        super.setClickable(z7);
        b bVar = this.f7400a;
        if (bVar != null) {
            bVar.X();
        }
    }

    @Override // androidx.cardview.widget.CardView
    public void setContentPadding(int i7, int i8, int i9, int i10) {
        this.f7400a.U(i7, i8, i9, i10);
    }

    public void setDragged(boolean z7) {
        if (this.f7403d != z7) {
            this.f7403d = z7;
            refreshDrawableState();
            f();
            invalidate();
        }
    }

    @Override // androidx.cardview.widget.CardView
    public void setMaxCardElevation(float f7) {
        super.setMaxCardElevation(f7);
        this.f7400a.b0();
    }

    public void setOnCheckedChangeListener(@Nullable AbstractC0083a aVar) {
        this.f7404e = aVar;
    }

    @Override // androidx.cardview.widget.CardView
    public void setPreventCornerOverlap(boolean z7) {
        super.setPreventCornerOverlap(z7);
        this.f7400a.b0();
        this.f7400a.Y();
    }

    public void setProgress(@FloatRange(from = 0.0d, to = 1.0d) float f7) {
        this.f7400a.P(f7);
    }

    @Override // androidx.cardview.widget.CardView
    public void setRadius(float f7) {
        super.setRadius(f7);
        this.f7400a.O(f7);
    }

    public void setRippleColor(@Nullable ColorStateList colorStateList) {
        this.f7400a.Q(colorStateList);
    }

    public void setRippleColorResource(@ColorRes int i7) {
        this.f7400a.Q(AppCompatResources.getColorStateList(getContext(), i7));
    }

    @Override // com.google.android.material.shape.s
    public void setShapeAppearanceModel(@NonNull o oVar) {
        setClipToOutline(oVar.u(getBoundsAsRectF()));
        this.f7400a.R(oVar);
    }

    public void setStrokeColor(@ColorInt int i7) {
        this.f7400a.S(ColorStateList.valueOf(i7));
    }

    public void setStrokeWidth(@Dimension int i7) {
        this.f7400a.T(i7);
    }

    @Override // androidx.cardview.widget.CardView
    public void setUseCompatPadding(boolean z7) {
        super.setUseCompatPadding(z7);
        this.f7400a.b0();
        this.f7400a.Y();
    }

    public void toggle() {
        if (g() && isEnabled()) {
            this.f7402c = !this.f7402c;
            refreshDrawableState();
            f();
            AbstractC0083a aVar = this.f7404e;
            if (aVar != null) {
                aVar.a(this, this.f7402c);
            }
        }
    }

    public a(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, a.c.K9);
    }

    @Override // androidx.cardview.widget.CardView
    public void setCardBackgroundColor(@Nullable ColorStateList colorStateList) {
        this.f7400a.H(colorStateList);
    }

    public void setStrokeColor(ColorStateList colorStateList) {
        this.f7400a.S(colorStateList);
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public a(Context context, AttributeSet attributeSet, int i7) {
        super(l0.a.c(context, attributeSet, i7, r6), attributeSet, i7);
        int i8 = f7397i;
        this.f7402c = false;
        this.f7403d = false;
        this.f7401b = true;
        TypedArray j7 = q.j(getContext(), attributeSet, a.o.Xj, i7, i8, new int[0]);
        b bVar = new b(this, attributeSet, i7, i8);
        this.f7400a = bVar;
        bVar.H(super.getCardBackgroundColor());
        bVar.U(super.getContentPaddingLeft(), super.getContentPaddingTop(), super.getContentPaddingRight(), super.getContentPaddingBottom());
        bVar.E(j7);
        j7.recycle();
    }
}
