package com.google.android.material.card;

import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.InsetDrawable;
import android.graphics.drawable.LayerDrawable;
import android.graphics.drawable.RippleDrawable;
import android.graphics.drawable.StateListDrawable;
import android.util.AttributeSet;
import androidx.annotation.ColorInt;
import androidx.annotation.Dimension;
import androidx.annotation.FloatRange;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.annotation.RestrictTo;
import androidx.annotation.StyleRes;
import androidx.core.graphics.drawable.DrawableCompat;
import androidx.core.view.ViewCompat;
import b0.a;
import com.google.android.material.resources.c;
import com.google.android.material.shape.e;
import com.google.android.material.shape.f;
import com.google.android.material.shape.j;
import com.google.android.material.shape.n;
import com.google.android.material.shape.o;

/* access modifiers changed from: package-private */
@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
public class b {

    /* renamed from: t  reason: collision with root package name */
    private static final int[] f7405t = {16842912};

    /* renamed from: u  reason: collision with root package name */
    private static final int f7406u = -1;

    /* renamed from: v  reason: collision with root package name */
    private static final double f7407v = Math.cos(Math.toRadians(45.0d));

    /* renamed from: w  reason: collision with root package name */
    private static final float f7408w = 1.5f;

    /* renamed from: x  reason: collision with root package name */
    private static final int f7409x = 2;
    @NonNull

    /* renamed from: a  reason: collision with root package name */
    private final a f7410a;
    @NonNull

    /* renamed from: b  reason: collision with root package name */
    private final Rect f7411b = new Rect();
    @NonNull

    /* renamed from: c  reason: collision with root package name */
    private final j f7412c;
    @NonNull

    /* renamed from: d  reason: collision with root package name */
    private final j f7413d;
    @Dimension

    /* renamed from: e  reason: collision with root package name */
    private int f7414e;
    @Dimension

    /* renamed from: f  reason: collision with root package name */
    private int f7415f;
    @Dimension

    /* renamed from: g  reason: collision with root package name */
    private int f7416g;
    @Nullable

    /* renamed from: h  reason: collision with root package name */
    private Drawable f7417h;
    @Nullable

    /* renamed from: i  reason: collision with root package name */
    private Drawable f7418i;
    @Nullable

    /* renamed from: j  reason: collision with root package name */
    private ColorStateList f7419j;
    @Nullable

    /* renamed from: k  reason: collision with root package name */
    private ColorStateList f7420k;
    @Nullable

    /* renamed from: l  reason: collision with root package name */
    private o f7421l;
    @Nullable

    /* renamed from: m  reason: collision with root package name */
    private ColorStateList f7422m;
    @Nullable

    /* renamed from: n  reason: collision with root package name */
    private Drawable f7423n;
    @Nullable

    /* renamed from: o  reason: collision with root package name */
    private LayerDrawable f7424o;
    @Nullable

    /* renamed from: p  reason: collision with root package name */
    private j f7425p;
    @Nullable

    /* renamed from: q  reason: collision with root package name */
    private j f7426q;

    /* renamed from: r  reason: collision with root package name */
    private boolean f7427r = false;

    /* renamed from: s  reason: collision with root package name */
    private boolean f7428s;

    /* access modifiers changed from: package-private */
    public class a extends InsetDrawable {
        a(Drawable drawable, int i7, int i8, int i9, int i10) {
            super(drawable, i7, i8, i9, i10);
        }

        public int getMinimumHeight() {
            return -1;
        }

        public int getMinimumWidth() {
            return -1;
        }

        public boolean getPadding(Rect rect) {
            return false;
        }
    }

    public b(@NonNull a aVar, AttributeSet attributeSet, int i7, @StyleRes int i8) {
        this.f7410a = aVar;
        j jVar = new j(aVar.getContext(), attributeSet, i7, i8);
        this.f7412c = jVar;
        jVar.Y(aVar.getContext());
        jVar.u0(-12303292);
        o.b v7 = jVar.getShapeAppearanceModel().v();
        TypedArray obtainStyledAttributes = aVar.getContext().obtainStyledAttributes(attributeSet, a.o.W4, i7, a.n.f1781u3);
        if (obtainStyledAttributes.hasValue(a.o.f1831a5)) {
            v7.o(obtainStyledAttributes.getDimension(a.o.f1831a5, 0.0f));
        }
        this.f7413d = new j();
        R(v7.m());
        obtainStyledAttributes.recycle();
    }

    @NonNull
    private Drawable B(Drawable drawable) {
        int i7;
        int i8;
        if (this.f7410a.getUseCompatPadding()) {
            i7 = (int) Math.ceil((double) d());
            i8 = (int) Math.ceil((double) c());
        } else {
            i8 = 0;
            i7 = 0;
        }
        return new a(drawable, i8, i7, i8, i7);
    }

    private boolean V() {
        return this.f7410a.getPreventCornerOverlap() && !e();
    }

    private boolean W() {
        return this.f7410a.getPreventCornerOverlap() && e() && this.f7410a.getUseCompatPadding();
    }

    private float a() {
        return Math.max(Math.max(b(this.f7421l.q(), this.f7412c.R()), b(this.f7421l.s(), this.f7412c.S())), Math.max(b(this.f7421l.k(), this.f7412c.u()), b(this.f7421l.i(), this.f7412c.t())));
    }

    private void a0(Drawable drawable) {
        if (this.f7410a.getForeground() instanceof InsetDrawable) {
            ((InsetDrawable) this.f7410a.getForeground()).setDrawable(drawable);
        } else {
            this.f7410a.setForeground(B(drawable));
        }
    }

    private float b(e eVar, float f7) {
        if (eVar instanceof n) {
            return (float) ((1.0d - f7407v) * ((double) f7));
        }
        if (eVar instanceof f) {
            return f7 / 2.0f;
        }
        return 0.0f;
    }

    private float c() {
        return this.f7410a.getMaxCardElevation() + (W() ? a() : 0.0f);
    }

    private void c0() {
        Drawable drawable;
        if (!com.google.android.material.ripple.b.f8312a || (drawable = this.f7423n) == null) {
            j jVar = this.f7425p;
            if (jVar != null) {
                jVar.n0(this.f7419j);
                return;
            }
            return;
        }
        ((RippleDrawable) drawable).setColor(this.f7419j);
    }

    private float d() {
        return (this.f7410a.getMaxCardElevation() * f7408w) + (W() ? a() : 0.0f);
    }

    private boolean e() {
        return this.f7412c.d0();
    }

    @NonNull
    private Drawable f() {
        StateListDrawable stateListDrawable = new StateListDrawable();
        Drawable drawable = this.f7418i;
        if (drawable != null) {
            stateListDrawable.addState(f7405t, drawable);
        }
        return stateListDrawable;
    }

    @NonNull
    private Drawable g() {
        StateListDrawable stateListDrawable = new StateListDrawable();
        j i7 = i();
        this.f7425p = i7;
        i7.n0(this.f7419j);
        stateListDrawable.addState(new int[]{16842919}, this.f7425p);
        return stateListDrawable;
    }

    @NonNull
    private Drawable h() {
        if (!com.google.android.material.ripple.b.f8312a) {
            return g();
        }
        this.f7426q = i();
        return new RippleDrawable(this.f7419j, null, this.f7426q);
    }

    @NonNull
    private j i() {
        return new j(this.f7421l);
    }

    @NonNull
    private Drawable r() {
        if (this.f7423n == null) {
            this.f7423n = h();
        }
        if (this.f7424o == null) {
            LayerDrawable layerDrawable = new LayerDrawable(new Drawable[]{this.f7423n, this.f7413d, f()});
            this.f7424o = layerDrawable;
            layerDrawable.setId(2, a.h.f1288a3);
        }
        return this.f7424o;
    }

    private float t() {
        if (!this.f7410a.getPreventCornerOverlap() || !this.f7410a.getUseCompatPadding()) {
            return 0.0f;
        }
        return (float) ((1.0d - f7407v) * ((double) this.f7410a.getCardViewRadius()));
    }

    /* access modifiers changed from: package-private */
    @NonNull
    public Rect A() {
        return this.f7411b;
    }

    /* access modifiers changed from: package-private */
    public boolean C() {
        return this.f7427r;
    }

    /* access modifiers changed from: package-private */
    public boolean D() {
        return this.f7428s;
    }

    /* access modifiers changed from: package-private */
    public void E(@NonNull TypedArray typedArray) {
        ColorStateList a8 = c.a(this.f7410a.getContext(), typedArray, a.o.ik);
        this.f7422m = a8;
        if (a8 == null) {
            this.f7422m = ColorStateList.valueOf(-1);
        }
        this.f7416g = typedArray.getDimensionPixelSize(a.o.jk, 0);
        boolean z7 = typedArray.getBoolean(a.o.Yj, false);
        this.f7428s = z7;
        this.f7410a.setLongClickable(z7);
        this.f7420k = c.a(this.f7410a.getContext(), typedArray, a.o.dk);
        K(c.d(this.f7410a.getContext(), typedArray, a.o.ak));
        M(typedArray.getDimensionPixelSize(a.o.ck, 0));
        L(typedArray.getDimensionPixelSize(a.o.bk, 0));
        ColorStateList a9 = c.a(this.f7410a.getContext(), typedArray, a.o.ek);
        this.f7419j = a9;
        if (a9 == null) {
            this.f7419j = ColorStateList.valueOf(f0.a.d(this.f7410a, a.c.B2));
        }
        I(c.a(this.f7410a.getContext(), typedArray, a.o.Zj));
        c0();
        Z();
        d0();
        this.f7410a.setBackgroundInternal(B(this.f7412c));
        Drawable r7 = this.f7410a.isClickable() ? r() : this.f7413d;
        this.f7417h = r7;
        this.f7410a.setForeground(B(r7));
    }

    /* access modifiers changed from: package-private */
    public void F(int i7, int i8) {
        int i9;
        int i10;
        if (this.f7424o != null) {
            int i11 = this.f7414e;
            int i12 = this.f7415f;
            int i13 = (i7 - i11) - i12;
            int i14 = (i8 - i11) - i12;
            if (this.f7410a.getUseCompatPadding()) {
                i14 -= (int) Math.ceil((double) (d() * 2.0f));
                i13 -= (int) Math.ceil((double) (c() * 2.0f));
            }
            int i15 = this.f7414e;
            if (ViewCompat.getLayoutDirection(this.f7410a) == 1) {
                i9 = i13;
                i10 = i15;
            } else {
                i10 = i13;
                i9 = i15;
            }
            this.f7424o.setLayerInset(2, i10, this.f7414e, i9, i14);
        }
    }

    /* access modifiers changed from: package-private */
    public void G(boolean z7) {
        this.f7427r = z7;
    }

    /* access modifiers changed from: package-private */
    public void H(ColorStateList colorStateList) {
        this.f7412c.n0(colorStateList);
    }

    /* access modifiers changed from: package-private */
    public void I(@Nullable ColorStateList colorStateList) {
        j jVar = this.f7413d;
        if (colorStateList == null) {
            colorStateList = ColorStateList.valueOf(0);
        }
        jVar.n0(colorStateList);
    }

    /* access modifiers changed from: package-private */
    public void J(boolean z7) {
        this.f7428s = z7;
    }

    /* access modifiers changed from: package-private */
    public void K(@Nullable Drawable drawable) {
        this.f7418i = drawable;
        if (drawable != null) {
            Drawable wrap = DrawableCompat.wrap(drawable.mutate());
            this.f7418i = wrap;
            DrawableCompat.setTintList(wrap, this.f7420k);
        }
        if (this.f7424o != null) {
            this.f7424o.setDrawableByLayerId(a.h.f1288a3, f());
        }
    }

    /* access modifiers changed from: package-private */
    public void L(@Dimension int i7) {
        this.f7414e = i7;
    }

    /* access modifiers changed from: package-private */
    public void M(@Dimension int i7) {
        this.f7415f = i7;
    }

    /* access modifiers changed from: package-private */
    public void N(@Nullable ColorStateList colorStateList) {
        this.f7420k = colorStateList;
        Drawable drawable = this.f7418i;
        if (drawable != null) {
            DrawableCompat.setTintList(drawable, colorStateList);
        }
    }

    /* access modifiers changed from: package-private */
    public void O(float f7) {
        R(this.f7421l.w(f7));
        this.f7417h.invalidateSelf();
        if (W() || V()) {
            Y();
        }
        if (W()) {
            b0();
        }
    }

    /* access modifiers changed from: package-private */
    public void P(@FloatRange(from = 0.0d, to = 1.0d) float f7) {
        this.f7412c.o0(f7);
        j jVar = this.f7413d;
        if (jVar != null) {
            jVar.o0(f7);
        }
        j jVar2 = this.f7426q;
        if (jVar2 != null) {
            jVar2.o0(f7);
        }
    }

    /* access modifiers changed from: package-private */
    public void Q(@Nullable ColorStateList colorStateList) {
        this.f7419j = colorStateList;
        c0();
    }

    /* access modifiers changed from: package-private */
    public void R(@NonNull o oVar) {
        this.f7421l = oVar;
        this.f7412c.setShapeAppearanceModel(oVar);
        j jVar = this.f7412c;
        jVar.t0(!jVar.d0());
        j jVar2 = this.f7413d;
        if (jVar2 != null) {
            jVar2.setShapeAppearanceModel(oVar);
        }
        j jVar3 = this.f7426q;
        if (jVar3 != null) {
            jVar3.setShapeAppearanceModel(oVar);
        }
        j jVar4 = this.f7425p;
        if (jVar4 != null) {
            jVar4.setShapeAppearanceModel(oVar);
        }
    }

    /* access modifiers changed from: package-private */
    public void S(ColorStateList colorStateList) {
        if (this.f7422m != colorStateList) {
            this.f7422m = colorStateList;
            d0();
        }
    }

    /* access modifiers changed from: package-private */
    public void T(@Dimension int i7) {
        if (i7 != this.f7416g) {
            this.f7416g = i7;
            d0();
        }
    }

    /* access modifiers changed from: package-private */
    public void U(int i7, int i8, int i9, int i10) {
        this.f7411b.set(i7, i8, i9, i10);
        Y();
    }

    /* access modifiers changed from: package-private */
    public void X() {
        Drawable drawable = this.f7417h;
        Drawable r7 = this.f7410a.isClickable() ? r() : this.f7413d;
        this.f7417h = r7;
        if (drawable != r7) {
            a0(r7);
        }
    }

    /* access modifiers changed from: package-private */
    public void Y() {
        int a8 = (int) ((V() || W() ? a() : 0.0f) - t());
        a aVar = this.f7410a;
        Rect rect = this.f7411b;
        aVar.i(rect.left + a8, rect.top + a8, rect.right + a8, rect.bottom + a8);
    }

    /* access modifiers changed from: package-private */
    public void Z() {
        this.f7412c.m0(this.f7410a.getCardElevation());
    }

    /* access modifiers changed from: package-private */
    public void b0() {
        if (!C()) {
            this.f7410a.setBackgroundInternal(B(this.f7412c));
        }
        this.f7410a.setForeground(B(this.f7417h));
    }

    /* access modifiers changed from: package-private */
    public void d0() {
        this.f7413d.D0((float) this.f7416g, this.f7422m);
    }

    /* access modifiers changed from: package-private */
    @RequiresApi(api = 23)
    public void j() {
        Drawable drawable = this.f7423n;
        if (drawable != null) {
            Rect bounds = drawable.getBounds();
            int i7 = bounds.bottom;
            this.f7423n.setBounds(bounds.left, bounds.top, bounds.right, i7 - 1);
            this.f7423n.setBounds(bounds.left, bounds.top, bounds.right, i7);
        }
    }

    /* access modifiers changed from: package-private */
    @NonNull
    public j k() {
        return this.f7412c;
    }

    /* access modifiers changed from: package-private */
    public ColorStateList l() {
        return this.f7412c.y();
    }

    /* access modifiers changed from: package-private */
    public ColorStateList m() {
        return this.f7413d.y();
    }

    /* access modifiers changed from: package-private */
    @Nullable
    public Drawable n() {
        return this.f7418i;
    }

    /* access modifiers changed from: package-private */
    @Dimension
    public int o() {
        return this.f7414e;
    }

    /* access modifiers changed from: package-private */
    @Dimension
    public int p() {
        return this.f7415f;
    }

    /* access modifiers changed from: package-private */
    @Nullable
    public ColorStateList q() {
        return this.f7420k;
    }

    /* access modifiers changed from: package-private */
    public float s() {
        return this.f7412c.R();
    }

    /* access modifiers changed from: package-private */
    @FloatRange(from = f7407v, to = 1.0d)
    public float u() {
        return this.f7412c.z();
    }

    /* access modifiers changed from: package-private */
    @Nullable
    public ColorStateList v() {
        return this.f7419j;
    }

    /* access modifiers changed from: package-private */
    public o w() {
        return this.f7421l;
    }

    /* access modifiers changed from: package-private */
    @ColorInt
    public int x() {
        ColorStateList colorStateList = this.f7422m;
        if (colorStateList == null) {
            return -1;
        }
        return colorStateList.getDefaultColor();
    }

    /* access modifiers changed from: package-private */
    @Nullable
    public ColorStateList y() {
        return this.f7422m;
    }

    /* access modifiers changed from: package-private */
    @Dimension
    public int z() {
        return this.f7416g;
    }
}
