package com.google.android.material.chip;

import android.annotation.SuppressLint;
import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Outline;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.Typeface;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.InsetDrawable;
import android.graphics.drawable.RippleDrawable;
import android.os.Bundle;
import android.text.TextPaint;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.util.Log;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.PointerIcon;
import android.view.View;
import android.view.ViewOutlineProvider;
import android.view.accessibility.AccessibilityNodeInfo;
import android.widget.CompoundButton;
import android.widget.TextView;
import androidx.annotation.AnimatorRes;
import androidx.annotation.BoolRes;
import androidx.annotation.CallSuper;
import androidx.annotation.ColorRes;
import androidx.annotation.DimenRes;
import androidx.annotation.Dimension;
import androidx.annotation.DrawableRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.Px;
import androidx.annotation.RequiresApi;
import androidx.annotation.StringRes;
import androidx.annotation.StyleRes;
import androidx.appcompat.widget.AppCompatCheckBox;
import androidx.core.view.PointerIconCompat;
import androidx.core.view.ViewCompat;
import androidx.core.view.accessibility.AccessibilityNodeInfoCompat;
import androidx.customview.widget.ExploreByTouchHelper;
import b0.a;
import com.google.android.material.animation.h;
import com.google.android.material.chip.a;
import com.google.android.material.internal.q;
import com.google.android.material.internal.y;
import com.google.android.material.resources.d;
import com.google.android.material.resources.f;
import com.google.android.material.shape.k;
import com.google.android.material.shape.o;
import com.google.android.material.shape.s;
import java.lang.reflect.Field;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.List;

public class Chip extends AppCompatCheckBox implements a.AbstractC0084a, s {
    private static final String A = "android.widget.CompoundButton";
    private static final String B = "android.view.View";

    /* renamed from: q  reason: collision with root package name */
    private static final String f7434q = "Chip";

    /* renamed from: r  reason: collision with root package name */
    private static final int f7435r = a.n.mb;

    /* renamed from: s  reason: collision with root package name */
    private static final int f7436s = 0;

    /* renamed from: t  reason: collision with root package name */
    private static final int f7437t = 1;

    /* renamed from: u  reason: collision with root package name */
    private static final Rect f7438u = new Rect();

    /* renamed from: v  reason: collision with root package name */
    private static final int[] f7439v = {16842913};

    /* renamed from: w  reason: collision with root package name */
    private static final int[] f7440w = {16842911};

    /* renamed from: x  reason: collision with root package name */
    private static final String f7441x = "http://schemas.android.com/apk/res/android";

    /* renamed from: y  reason: collision with root package name */
    private static final int f7442y = 48;

    /* renamed from: z  reason: collision with root package name */
    private static final String f7443z = "android.widget.Button";
    @Nullable

    /* renamed from: a  reason: collision with root package name */
    private a f7444a;
    @Nullable

    /* renamed from: b  reason: collision with root package name */
    private InsetDrawable f7445b;
    @Nullable

    /* renamed from: c  reason: collision with root package name */
    private RippleDrawable f7446c;
    @Nullable

    /* renamed from: d  reason: collision with root package name */
    private View.OnClickListener f7447d;
    @Nullable

    /* renamed from: e  reason: collision with root package name */
    private CompoundButton.OnCheckedChangeListener f7448e;

    /* renamed from: f  reason: collision with root package name */
    private boolean f7449f;

    /* renamed from: g  reason: collision with root package name */
    private boolean f7450g;

    /* renamed from: h  reason: collision with root package name */
    private boolean f7451h;

    /* renamed from: i  reason: collision with root package name */
    private boolean f7452i;

    /* renamed from: j  reason: collision with root package name */
    private boolean f7453j;

    /* renamed from: k  reason: collision with root package name */
    private int f7454k;
    @Dimension(unit = 1)

    /* renamed from: l  reason: collision with root package name */
    private int f7455l;
    @NonNull

    /* renamed from: m  reason: collision with root package name */
    private final c f7456m;

    /* renamed from: n  reason: collision with root package name */
    private final Rect f7457n;

    /* renamed from: o  reason: collision with root package name */
    private final RectF f7458o;

    /* renamed from: p  reason: collision with root package name */
    private final f f7459p;

    class a extends f {
        a() {
        }

        @Override // com.google.android.material.resources.f
        public void a(int i7) {
        }

        @Override // com.google.android.material.resources.f
        public void b(@NonNull Typeface typeface, boolean z7) {
            Chip chip = Chip.this;
            chip.setText(chip.f7444a.H3() ? Chip.this.f7444a.O1() : Chip.this.getText());
            Chip.this.requestLayout();
            Chip.this.invalidate();
        }
    }

    /* access modifiers changed from: package-private */
    public class b extends ViewOutlineProvider {
        b() {
        }

        @TargetApi(21)
        public void getOutline(View view, @NonNull Outline outline) {
            if (Chip.this.f7444a != null) {
                Chip.this.f7444a.getOutline(outline);
            } else {
                outline.setAlpha(0.0f);
            }
        }
    }

    /* access modifiers changed from: private */
    public class c extends ExploreByTouchHelper {
        c(Chip chip) {
            super(chip);
        }

        /* access modifiers changed from: protected */
        @Override // androidx.customview.widget.ExploreByTouchHelper
        public int getVirtualViewAt(float f7, float f8) {
            return (!Chip.this.n() || !Chip.this.getCloseIconTouchBounds().contains(f7, f8)) ? 0 : 1;
        }

        /* access modifiers changed from: protected */
        @Override // androidx.customview.widget.ExploreByTouchHelper
        public void getVisibleVirtualViews(@NonNull List<Integer> list) {
            list.add(0);
            if (Chip.this.n() && Chip.this.x() && Chip.this.f7447d != null) {
                list.add(1);
            }
        }

        /* access modifiers changed from: protected */
        @Override // androidx.customview.widget.ExploreByTouchHelper
        public boolean onPerformActionForVirtualView(int i7, int i8, Bundle bundle) {
            if (i8 != 16) {
                return false;
            }
            if (i7 == 0) {
                return Chip.this.performClick();
            }
            if (i7 == 1) {
                return Chip.this.y();
            }
            return false;
        }

        /* access modifiers changed from: protected */
        @Override // androidx.customview.widget.ExploreByTouchHelper
        public void onPopulateNodeForHost(@NonNull AccessibilityNodeInfoCompat accessibilityNodeInfoCompat) {
            accessibilityNodeInfoCompat.setCheckable(Chip.this.r());
            accessibilityNodeInfoCompat.setClickable(Chip.this.isClickable());
            accessibilityNodeInfoCompat.setClassName((Chip.this.r() || Chip.this.isClickable()) ? Chip.this.r() ? Chip.A : Chip.f7443z : Chip.B);
            accessibilityNodeInfoCompat.setText(Chip.this.getText());
        }

        /* access modifiers changed from: protected */
        @Override // androidx.customview.widget.ExploreByTouchHelper
        public void onPopulateNodeForVirtualView(int i7, @NonNull AccessibilityNodeInfoCompat accessibilityNodeInfoCompat) {
            CharSequence charSequence = "";
            if (i7 == 1) {
                CharSequence closeIconContentDescription = Chip.this.getCloseIconContentDescription();
                if (closeIconContentDescription == null) {
                    CharSequence text = Chip.this.getText();
                    Context context = Chip.this.getContext();
                    int i8 = a.m.f1587l0;
                    Object[] objArr = new Object[1];
                    if (!TextUtils.isEmpty(text)) {
                        charSequence = text;
                    }
                    objArr[0] = charSequence;
                    closeIconContentDescription = context.getString(i8, objArr).trim();
                }
                accessibilityNodeInfoCompat.setContentDescription(closeIconContentDescription);
                accessibilityNodeInfoCompat.setBoundsInParent(Chip.this.getCloseIconTouchBoundsInt());
                accessibilityNodeInfoCompat.addAction(AccessibilityNodeInfoCompat.AccessibilityActionCompat.ACTION_CLICK);
                accessibilityNodeInfoCompat.setEnabled(Chip.this.isEnabled());
                return;
            }
            accessibilityNodeInfoCompat.setContentDescription(charSequence);
            accessibilityNodeInfoCompat.setBoundsInParent(Chip.f7438u);
        }

        /* access modifiers changed from: protected */
        @Override // androidx.customview.widget.ExploreByTouchHelper
        public void onVirtualViewKeyboardFocusChanged(int i7, boolean z7) {
            if (i7 == 1) {
                Chip.this.f7452i = z7;
                Chip.this.refreshDrawableState();
            }
        }
    }

    public Chip(Context context) {
        this(context, null);
    }

    private void B(@Nullable a aVar) {
        if (aVar != null) {
            aVar.j3(null);
        }
    }

    private void C() {
        ViewCompat.setAccessibilityDelegate(this, (!n() || !x() || this.f7447d == null) ? null : this.f7456m);
    }

    private void D() {
        if (com.google.android.material.ripple.b.f8312a) {
            E();
            return;
        }
        this.f7444a.G3(true);
        ViewCompat.setBackground(this, getBackgroundDrawable());
        F();
        l();
    }

    private void E() {
        this.f7446c = new RippleDrawable(com.google.android.material.ripple.b.d(this.f7444a.M1()), getBackgroundDrawable(), null);
        this.f7444a.G3(false);
        ViewCompat.setBackground(this, this.f7446c);
        F();
    }

    private void F() {
        a aVar;
        if (!TextUtils.isEmpty(getText()) && (aVar = this.f7444a) != null) {
            int o12 = (int) (aVar.o1() + this.f7444a.Q1() + this.f7444a.U0());
            int t12 = (int) (this.f7444a.t1() + this.f7444a.R1() + this.f7444a.Q0());
            if (this.f7445b != null) {
                Rect rect = new Rect();
                this.f7445b.getPadding(rect);
                t12 += rect.left;
                o12 += rect.right;
            }
            ViewCompat.setPaddingRelative(this, t12, getPaddingTop(), o12, getPaddingBottom());
        }
    }

    private void G() {
        TextPaint paint = getPaint();
        a aVar = this.f7444a;
        if (aVar != null) {
            paint.drawableState = aVar.getState();
        }
        d textAppearance = getTextAppearance();
        if (textAppearance != null) {
            textAppearance.j(getContext(), paint, this.f7459p);
        }
    }

    private void H(@Nullable AttributeSet attributeSet) {
        if (attributeSet != null) {
            if (attributeSet.getAttributeValue(f7441x, "background") != null) {
                Log.w(f7434q, "Do not set the background; Chip manages its own background drawable.");
            }
            if (attributeSet.getAttributeValue(f7441x, "drawableLeft") != null) {
                throw new UnsupportedOperationException("Please set left drawable using R.attr#chipIcon.");
            } else if (attributeSet.getAttributeValue(f7441x, "drawableStart") != null) {
                throw new UnsupportedOperationException("Please set start drawable using R.attr#chipIcon.");
            } else if (attributeSet.getAttributeValue(f7441x, "drawableEnd") != null) {
                throw new UnsupportedOperationException("Please set end drawable using R.attr#closeIcon.");
            } else if (attributeSet.getAttributeValue(f7441x, "drawableRight") != null) {
                throw new UnsupportedOperationException("Please set end drawable using R.attr#closeIcon.");
            } else if (!attributeSet.getAttributeBooleanValue(f7441x, "singleLine", true) || attributeSet.getAttributeIntValue(f7441x, "lines", 1) != 1 || attributeSet.getAttributeIntValue(f7441x, "minLines", 1) != 1 || attributeSet.getAttributeIntValue(f7441x, "maxLines", 1) != 1) {
                throw new UnsupportedOperationException("Chip does not support multi-line text");
            } else if (attributeSet.getAttributeIntValue(f7441x, "gravity", 8388627) != 8388627) {
                Log.w(f7434q, "Chip text must be vertically center and start aligned");
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    @NonNull
    private RectF getCloseIconTouchBounds() {
        this.f7458o.setEmpty();
        if (n() && this.f7447d != null) {
            this.f7444a.E1(this.f7458o);
        }
        return this.f7458o;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    @NonNull
    private Rect getCloseIconTouchBoundsInt() {
        RectF closeIconTouchBounds = getCloseIconTouchBounds();
        this.f7457n.set((int) closeIconTouchBounds.left, (int) closeIconTouchBounds.top, (int) closeIconTouchBounds.right, (int) closeIconTouchBounds.bottom);
        return this.f7457n;
    }

    @Nullable
    private d getTextAppearance() {
        a aVar = this.f7444a;
        if (aVar != null) {
            return aVar.P1();
        }
        return null;
    }

    private void i(@NonNull a aVar) {
        aVar.j3(this);
    }

    /* JADX WARN: Type inference failed for: r0v0, types: [boolean, int] */
    /* JADX WARNING: Unknown variable types count: 1 */
    @NonNull
    private int[] j() {
        ?? isEnabled = isEnabled();
        int i7 = isEnabled;
        if (this.f7452i) {
            i7 = isEnabled + 1;
        }
        int i8 = i7;
        if (this.f7451h) {
            i8 = i7 + 1;
        }
        int i9 = i8;
        if (this.f7450g) {
            i9 = i8 + 1;
        }
        int i10 = i9;
        if (isChecked()) {
            i10 = i9 + 1;
        }
        int[] iArr = new int[i10];
        int i11 = 0;
        if (isEnabled()) {
            iArr[0] = 16842910;
            i11 = 1;
        }
        if (this.f7452i) {
            iArr[i11] = 16842908;
            i11++;
        }
        if (this.f7451h) {
            iArr[i11] = 16843623;
            i11++;
        }
        if (this.f7450g) {
            iArr[i11] = 16842919;
            i11++;
        }
        if (isChecked()) {
            iArr[i11] = 16842913;
        }
        return iArr;
    }

    private void l() {
        if (getBackgroundDrawable() == this.f7445b && this.f7444a.getCallback() == null) {
            this.f7444a.setCallback(this.f7445b);
        }
    }

    @SuppressLint({"PrivateApi"})
    private boolean m(@NonNull MotionEvent motionEvent) {
        if (motionEvent.getAction() == 10) {
            try {
                Field declaredField = ExploreByTouchHelper.class.getDeclaredField("mHoveredVirtualViewId");
                declaredField.setAccessible(true);
                if (((Integer) declaredField.get(this.f7456m)).intValue() != Integer.MIN_VALUE) {
                    Method declaredMethod = ExploreByTouchHelper.class.getDeclaredMethod("updateHoveredVirtualView", Integer.TYPE);
                    declaredMethod.setAccessible(true);
                    declaredMethod.invoke(this.f7456m, Integer.MIN_VALUE);
                    return true;
                }
            } catch (IllegalAccessException | NoSuchFieldException | NoSuchMethodException | InvocationTargetException e7) {
                Log.e(f7434q, "Unable to send Accessibility Exit event", e7);
            }
        }
        return false;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean n() {
        a aVar = this.f7444a;
        return (aVar == null || aVar.x1() == null) ? false : true;
    }

    private void o(Context context, @Nullable AttributeSet attributeSet, int i7) {
        TypedArray j7 = q.j(context, attributeSet, a.o.f1913k5, i7, f7435r, new int[0]);
        this.f7453j = j7.getBoolean(a.o.R5, false);
        this.f7455l = (int) Math.ceil((double) j7.getDimension(a.o.F5, (float) Math.ceil((double) y.e(getContext(), 48))));
        j7.recycle();
    }

    private void p() {
        setOutlineProvider(new b());
    }

    private void q(int i7, int i8, int i9, int i10) {
        this.f7445b = new InsetDrawable((Drawable) this.f7444a, i7, i8, i9, i10);
    }

    private void setCloseIconHovered(boolean z7) {
        if (this.f7451h != z7) {
            this.f7451h = z7;
            refreshDrawableState();
        }
    }

    private void setCloseIconPressed(boolean z7) {
        if (this.f7450g != z7) {
            this.f7450g = z7;
            refreshDrawableState();
        }
    }

    private void z() {
        if (this.f7445b != null) {
            this.f7445b = null;
            setMinWidth(0);
            setMinHeight((int) getChipMinHeight());
            D();
        }
    }

    public boolean A() {
        return this.f7453j;
    }

    @Override // com.google.android.material.chip.a.AbstractC0084a
    public void a() {
        k(this.f7455l);
        requestLayout();
        invalidateOutline();
    }

    /* access modifiers changed from: protected */
    public boolean dispatchHoverEvent(@NonNull MotionEvent motionEvent) {
        return m(motionEvent) || this.f7456m.dispatchHoverEvent(motionEvent) || super.dispatchHoverEvent(motionEvent);
    }

    public boolean dispatchKeyEvent(KeyEvent keyEvent) {
        if (!this.f7456m.dispatchKeyEvent(keyEvent) || this.f7456m.getKeyboardFocusedVirtualViewId() == Integer.MIN_VALUE) {
            return super.dispatchKeyEvent(keyEvent);
        }
        return true;
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.widget.AppCompatCheckBox
    public void drawableStateChanged() {
        super.drawableStateChanged();
        a aVar = this.f7444a;
        if ((aVar == null || !aVar.b2()) ? false : this.f7444a.e3(j())) {
            invalidate();
        }
    }

    @Nullable
    public Drawable getBackgroundDrawable() {
        InsetDrawable insetDrawable = this.f7445b;
        return insetDrawable == null ? this.f7444a : insetDrawable;
    }

    @Nullable
    public Drawable getCheckedIcon() {
        a aVar = this.f7444a;
        if (aVar != null) {
            return aVar.k1();
        }
        return null;
    }

    @Nullable
    public ColorStateList getCheckedIconTint() {
        a aVar = this.f7444a;
        if (aVar != null) {
            return aVar.l1();
        }
        return null;
    }

    @Nullable
    public ColorStateList getChipBackgroundColor() {
        a aVar = this.f7444a;
        if (aVar != null) {
            return aVar.m1();
        }
        return null;
    }

    public float getChipCornerRadius() {
        a aVar = this.f7444a;
        if (aVar != null) {
            return Math.max(0.0f, aVar.n1());
        }
        return 0.0f;
    }

    public Drawable getChipDrawable() {
        return this.f7444a;
    }

    public float getChipEndPadding() {
        a aVar = this.f7444a;
        if (aVar != null) {
            return aVar.o1();
        }
        return 0.0f;
    }

    @Nullable
    public Drawable getChipIcon() {
        a aVar = this.f7444a;
        if (aVar != null) {
            return aVar.p1();
        }
        return null;
    }

    public float getChipIconSize() {
        a aVar = this.f7444a;
        if (aVar != null) {
            return aVar.q1();
        }
        return 0.0f;
    }

    @Nullable
    public ColorStateList getChipIconTint() {
        a aVar = this.f7444a;
        if (aVar != null) {
            return aVar.r1();
        }
        return null;
    }

    public float getChipMinHeight() {
        a aVar = this.f7444a;
        if (aVar != null) {
            return aVar.s1();
        }
        return 0.0f;
    }

    public float getChipStartPadding() {
        a aVar = this.f7444a;
        if (aVar != null) {
            return aVar.t1();
        }
        return 0.0f;
    }

    @Nullable
    public ColorStateList getChipStrokeColor() {
        a aVar = this.f7444a;
        if (aVar != null) {
            return aVar.u1();
        }
        return null;
    }

    public float getChipStrokeWidth() {
        a aVar = this.f7444a;
        if (aVar != null) {
            return aVar.v1();
        }
        return 0.0f;
    }

    @Deprecated
    public CharSequence getChipText() {
        return getText();
    }

    @Nullable
    public Drawable getCloseIcon() {
        a aVar = this.f7444a;
        if (aVar != null) {
            return aVar.x1();
        }
        return null;
    }

    @Nullable
    public CharSequence getCloseIconContentDescription() {
        a aVar = this.f7444a;
        if (aVar != null) {
            return aVar.y1();
        }
        return null;
    }

    public float getCloseIconEndPadding() {
        a aVar = this.f7444a;
        if (aVar != null) {
            return aVar.z1();
        }
        return 0.0f;
    }

    public float getCloseIconSize() {
        a aVar = this.f7444a;
        if (aVar != null) {
            return aVar.A1();
        }
        return 0.0f;
    }

    public float getCloseIconStartPadding() {
        a aVar = this.f7444a;
        if (aVar != null) {
            return aVar.B1();
        }
        return 0.0f;
    }

    @Nullable
    public ColorStateList getCloseIconTint() {
        a aVar = this.f7444a;
        if (aVar != null) {
            return aVar.D1();
        }
        return null;
    }

    @Nullable
    public TextUtils.TruncateAt getEllipsize() {
        a aVar = this.f7444a;
        if (aVar != null) {
            return aVar.H1();
        }
        return null;
    }

    public void getFocusedRect(@NonNull Rect rect) {
        if (this.f7456m.getKeyboardFocusedVirtualViewId() == 1 || this.f7456m.getAccessibilityFocusedVirtualViewId() == 1) {
            rect.set(getCloseIconTouchBoundsInt());
        } else {
            super.getFocusedRect(rect);
        }
    }

    @Nullable
    public h getHideMotionSpec() {
        a aVar = this.f7444a;
        if (aVar != null) {
            return aVar.I1();
        }
        return null;
    }

    public float getIconEndPadding() {
        a aVar = this.f7444a;
        if (aVar != null) {
            return aVar.J1();
        }
        return 0.0f;
    }

    public float getIconStartPadding() {
        a aVar = this.f7444a;
        if (aVar != null) {
            return aVar.K1();
        }
        return 0.0f;
    }

    @Nullable
    public ColorStateList getRippleColor() {
        a aVar = this.f7444a;
        if (aVar != null) {
            return aVar.M1();
        }
        return null;
    }

    @Override // com.google.android.material.shape.s
    @NonNull
    public o getShapeAppearanceModel() {
        return this.f7444a.getShapeAppearanceModel();
    }

    @Nullable
    public h getShowMotionSpec() {
        a aVar = this.f7444a;
        if (aVar != null) {
            return aVar.N1();
        }
        return null;
    }

    public float getTextEndPadding() {
        a aVar = this.f7444a;
        if (aVar != null) {
            return aVar.Q1();
        }
        return 0.0f;
    }

    public float getTextStartPadding() {
        a aVar = this.f7444a;
        if (aVar != null) {
            return aVar.R1();
        }
        return 0.0f;
    }

    public boolean k(@Dimension int i7) {
        this.f7455l = i7;
        int i8 = 0;
        if (!A()) {
            if (this.f7445b != null) {
                z();
            } else {
                D();
            }
            return false;
        }
        int max = Math.max(0, i7 - this.f7444a.getIntrinsicHeight());
        int max2 = Math.max(0, i7 - this.f7444a.getIntrinsicWidth());
        if (max2 > 0 || max > 0) {
            int i9 = max2 > 0 ? max2 / 2 : 0;
            if (max > 0) {
                i8 = max / 2;
            }
            if (this.f7445b != null) {
                Rect rect = new Rect();
                this.f7445b.getPadding(rect);
                if (rect.top == i8 && rect.bottom == i8 && rect.left == i9 && rect.right == i9) {
                    D();
                    return true;
                }
            }
            if (getMinHeight() != i7) {
                setMinHeight(i7);
            }
            if (getMinWidth() != i7) {
                setMinWidth(i7);
            }
            q(i9, i8, i9, i8);
            D();
            return true;
        }
        if (this.f7445b != null) {
            z();
        } else {
            D();
        }
        return false;
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        k.f(this, this.f7444a);
    }

    /* access modifiers changed from: protected */
    public int[] onCreateDrawableState(int i7) {
        int[] onCreateDrawableState = super.onCreateDrawableState(i7 + 2);
        if (isChecked()) {
            View.mergeDrawableStates(onCreateDrawableState, f7439v);
        }
        if (r()) {
            View.mergeDrawableStates(onCreateDrawableState, f7440w);
        }
        return onCreateDrawableState;
    }

    /* access modifiers changed from: protected */
    public void onFocusChanged(boolean z7, int i7, Rect rect) {
        super.onFocusChanged(z7, i7, rect);
        this.f7456m.onFocusChanged(z7, i7, rect);
    }

    public boolean onHoverEvent(@NonNull MotionEvent motionEvent) {
        boolean z7;
        int actionMasked = motionEvent.getActionMasked();
        if (actionMasked != 7) {
            if (actionMasked == 10) {
                z7 = false;
            }
            return super.onHoverEvent(motionEvent);
        }
        z7 = getCloseIconTouchBounds().contains(motionEvent.getX(), motionEvent.getY());
        setCloseIconHovered(z7);
        return super.onHoverEvent(motionEvent);
    }

    public void onInitializeAccessibilityNodeInfo(@NonNull AccessibilityNodeInfo accessibilityNodeInfo) {
        super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
        accessibilityNodeInfo.setClassName((r() || isClickable()) ? r() ? A : f7443z : B);
        accessibilityNodeInfo.setCheckable(r());
        accessibilityNodeInfo.setClickable(isClickable());
        if (getParent() instanceof ChipGroup) {
            ChipGroup chipGroup = (ChipGroup) getParent();
            AccessibilityNodeInfoCompat.wrap(accessibilityNodeInfo).setCollectionItemInfo(AccessibilityNodeInfoCompat.CollectionItemInfoCompat.obtain(chipGroup.b(this), 1, chipGroup.c() ? chipGroup.o(this) : -1, 1, false, isChecked()));
        }
    }

    @Nullable
    @TargetApi(24)
    public PointerIcon onResolvePointerIcon(@NonNull MotionEvent motionEvent, int i7) {
        if (!getCloseIconTouchBounds().contains(motionEvent.getX(), motionEvent.getY()) || !isEnabled()) {
            return null;
        }
        return PointerIcon.getSystemIcon(getContext(), PointerIconCompat.TYPE_HAND);
    }

    @TargetApi(17)
    public void onRtlPropertiesChanged(int i7) {
        super.onRtlPropertiesChanged(i7);
        if (this.f7454k != i7) {
            this.f7454k = i7;
            F();
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:6:0x001e, code lost:
        if (r0 != 3) goto L_0x0040;
     */
    /* JADX WARNING: Removed duplicated region for block: B:21:0x0043  */
    /* JADX WARNING: Removed duplicated region for block: B:25:? A[ADDED_TO_REGION, RETURN, SYNTHETIC] */
    @SuppressLint({"ClickableViewAccessibility"})
    public boolean onTouchEvent(@NonNull MotionEvent motionEvent) {
        boolean z7;
        int actionMasked = motionEvent.getActionMasked();
        boolean contains = getCloseIconTouchBounds().contains(motionEvent.getX(), motionEvent.getY());
        if (actionMasked != 0) {
            if (actionMasked != 1) {
                if (actionMasked == 2) {
                    if (this.f7450g) {
                        if (!contains) {
                            setCloseIconPressed(false);
                        }
                    }
                }
                z7 = false;
                return !z7 || super.onTouchEvent(motionEvent);
            } else if (this.f7450g) {
                y();
                z7 = true;
                setCloseIconPressed(false);
                if (!z7) {
                    return true;
                }
            }
            z7 = false;
            setCloseIconPressed(false);
            if (!z7) {
            }
        } else {
            if (contains) {
                setCloseIconPressed(true);
            }
            z7 = false;
            if (!z7) {
            }
        }
        z7 = true;
        if (!z7) {
        }
    }

    public boolean r() {
        a aVar = this.f7444a;
        return aVar != null && aVar.V1();
    }

    @Deprecated
    public boolean s() {
        return t();
    }

    public void setBackground(Drawable drawable) {
        if (drawable == getBackgroundDrawable() || drawable == this.f7446c) {
            super.setBackground(drawable);
        } else {
            Log.w(f7434q, "Do not set the background; Chip manages its own background drawable.");
        }
    }

    public void setBackgroundColor(int i7) {
        Log.w(f7434q, "Do not set the background color; Chip manages its own background drawable.");
    }

    @Override // androidx.appcompat.widget.AppCompatCheckBox
    public void setBackgroundDrawable(Drawable drawable) {
        if (drawable == getBackgroundDrawable() || drawable == this.f7446c) {
            super.setBackgroundDrawable(drawable);
        } else {
            Log.w(f7434q, "Do not set the background drawable; Chip manages its own background drawable.");
        }
    }

    @Override // androidx.appcompat.widget.AppCompatCheckBox
    public void setBackgroundResource(int i7) {
        Log.w(f7434q, "Do not set the background resource; Chip manages its own background drawable.");
    }

    public void setBackgroundTintList(@Nullable ColorStateList colorStateList) {
        Log.w(f7434q, "Do not set the background tint list; Chip manages its own background drawable.");
    }

    public void setBackgroundTintMode(@Nullable PorterDuff.Mode mode) {
        Log.w(f7434q, "Do not set the background tint mode; Chip manages its own background drawable.");
    }

    public void setCheckable(boolean z7) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.k2(z7);
        }
    }

    public void setCheckableResource(@BoolRes int i7) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.l2(i7);
        }
    }

    public void setChecked(boolean z7) {
        CompoundButton.OnCheckedChangeListener onCheckedChangeListener;
        a aVar = this.f7444a;
        if (aVar == null) {
            this.f7449f = z7;
        } else if (aVar.V1()) {
            boolean isChecked = isChecked();
            super.setChecked(z7);
            if (isChecked != z7 && (onCheckedChangeListener = this.f7448e) != null) {
                onCheckedChangeListener.onCheckedChanged(this, z7);
            }
        }
    }

    public void setCheckedIcon(@Nullable Drawable drawable) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.m2(drawable);
        }
    }

    @Deprecated
    public void setCheckedIconEnabled(boolean z7) {
        setCheckedIconVisible(z7);
    }

    @Deprecated
    public void setCheckedIconEnabledResource(@BoolRes int i7) {
        setCheckedIconVisible(i7);
    }

    public void setCheckedIconResource(@DrawableRes int i7) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.p2(i7);
        }
    }

    public void setCheckedIconTint(@Nullable ColorStateList colorStateList) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.q2(colorStateList);
        }
    }

    public void setCheckedIconTintResource(@ColorRes int i7) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.r2(i7);
        }
    }

    public void setCheckedIconVisible(@BoolRes int i7) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.s2(i7);
        }
    }

    public void setChipBackgroundColor(@Nullable ColorStateList colorStateList) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.u2(colorStateList);
        }
    }

    public void setChipBackgroundColorResource(@ColorRes int i7) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.v2(i7);
        }
    }

    @Deprecated
    public void setChipCornerRadius(float f7) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.w2(f7);
        }
    }

    @Deprecated
    public void setChipCornerRadiusResource(@DimenRes int i7) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.x2(i7);
        }
    }

    public void setChipDrawable(@NonNull a aVar) {
        a aVar2 = this.f7444a;
        if (aVar2 != aVar) {
            B(aVar2);
            this.f7444a = aVar;
            aVar.u3(false);
            i(this.f7444a);
            k(this.f7455l);
        }
    }

    public void setChipEndPadding(float f7) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.y2(f7);
        }
    }

    public void setChipEndPaddingResource(@DimenRes int i7) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.z2(i7);
        }
    }

    public void setChipIcon(@Nullable Drawable drawable) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.A2(drawable);
        }
    }

    @Deprecated
    public void setChipIconEnabled(boolean z7) {
        setChipIconVisible(z7);
    }

    @Deprecated
    public void setChipIconEnabledResource(@BoolRes int i7) {
        setChipIconVisible(i7);
    }

    public void setChipIconResource(@DrawableRes int i7) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.D2(i7);
        }
    }

    public void setChipIconSize(float f7) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.E2(f7);
        }
    }

    public void setChipIconSizeResource(@DimenRes int i7) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.F2(i7);
        }
    }

    public void setChipIconTint(@Nullable ColorStateList colorStateList) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.G2(colorStateList);
        }
    }

    public void setChipIconTintResource(@ColorRes int i7) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.H2(i7);
        }
    }

    public void setChipIconVisible(@BoolRes int i7) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.I2(i7);
        }
    }

    public void setChipMinHeight(float f7) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.K2(f7);
        }
    }

    public void setChipMinHeightResource(@DimenRes int i7) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.L2(i7);
        }
    }

    public void setChipStartPadding(float f7) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.M2(f7);
        }
    }

    public void setChipStartPaddingResource(@DimenRes int i7) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.N2(i7);
        }
    }

    public void setChipStrokeColor(@Nullable ColorStateList colorStateList) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.O2(colorStateList);
        }
    }

    public void setChipStrokeColorResource(@ColorRes int i7) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.P2(i7);
        }
    }

    public void setChipStrokeWidth(float f7) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.Q2(f7);
        }
    }

    public void setChipStrokeWidthResource(@DimenRes int i7) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.R2(i7);
        }
    }

    @Deprecated
    public void setChipText(@Nullable CharSequence charSequence) {
        setText(charSequence);
    }

    @Deprecated
    public void setChipTextResource(@StringRes int i7) {
        setText(getResources().getString(i7));
    }

    public void setCloseIcon(@Nullable Drawable drawable) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.T2(drawable);
        }
        C();
    }

    public void setCloseIconContentDescription(@Nullable CharSequence charSequence) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.U2(charSequence);
        }
    }

    @Deprecated
    public void setCloseIconEnabled(boolean z7) {
        setCloseIconVisible(z7);
    }

    @Deprecated
    public void setCloseIconEnabledResource(@BoolRes int i7) {
        setCloseIconVisible(i7);
    }

    public void setCloseIconEndPadding(float f7) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.X2(f7);
        }
    }

    public void setCloseIconEndPaddingResource(@DimenRes int i7) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.Y2(i7);
        }
    }

    public void setCloseIconResource(@DrawableRes int i7) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.Z2(i7);
        }
        C();
    }

    public void setCloseIconSize(float f7) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.a3(f7);
        }
    }

    public void setCloseIconSizeResource(@DimenRes int i7) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.b3(i7);
        }
    }

    public void setCloseIconStartPadding(float f7) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.c3(f7);
        }
    }

    public void setCloseIconStartPaddingResource(@DimenRes int i7) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.d3(i7);
        }
    }

    public void setCloseIconTint(@Nullable ColorStateList colorStateList) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.f3(colorStateList);
        }
    }

    public void setCloseIconTintResource(@ColorRes int i7) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.g3(i7);
        }
    }

    public void setCloseIconVisible(@BoolRes int i7) {
        setCloseIconVisible(getResources().getBoolean(i7));
    }

    public void setCompoundDrawables(@Nullable Drawable drawable, @Nullable Drawable drawable2, @Nullable Drawable drawable3, @Nullable Drawable drawable4) {
        if (drawable != null) {
            throw new UnsupportedOperationException("Please set start drawable using R.attr#chipIcon.");
        } else if (drawable3 == null) {
            super.setCompoundDrawables(drawable, drawable2, drawable3, drawable4);
        } else {
            throw new UnsupportedOperationException("Please set end drawable using R.attr#closeIcon.");
        }
    }

    public void setCompoundDrawablesRelative(@Nullable Drawable drawable, @Nullable Drawable drawable2, @Nullable Drawable drawable3, @Nullable Drawable drawable4) {
        if (drawable != null) {
            throw new UnsupportedOperationException("Please set start drawable using R.attr#chipIcon.");
        } else if (drawable3 == null) {
            super.setCompoundDrawablesRelative(drawable, drawable2, drawable3, drawable4);
        } else {
            throw new UnsupportedOperationException("Please set end drawable using R.attr#closeIcon.");
        }
    }

    @Override // android.widget.TextView
    public void setCompoundDrawablesRelativeWithIntrinsicBounds(int i7, int i8, int i9, int i10) {
        if (i7 != 0) {
            throw new UnsupportedOperationException("Please set start drawable using R.attr#chipIcon.");
        } else if (i9 == 0) {
            super.setCompoundDrawablesRelativeWithIntrinsicBounds(i7, i8, i9, i10);
        } else {
            throw new UnsupportedOperationException("Please set end drawable using R.attr#closeIcon.");
        }
    }

    @Override // android.widget.TextView
    public void setCompoundDrawablesWithIntrinsicBounds(int i7, int i8, int i9, int i10) {
        if (i7 != 0) {
            throw new UnsupportedOperationException("Please set start drawable using R.attr#chipIcon.");
        } else if (i9 == 0) {
            super.setCompoundDrawablesWithIntrinsicBounds(i7, i8, i9, i10);
        } else {
            throw new UnsupportedOperationException("Please set end drawable using R.attr#closeIcon.");
        }
    }

    @RequiresApi(21)
    public void setElevation(float f7) {
        super.setElevation(f7);
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.m0(f7);
        }
    }

    public void setEllipsize(TextUtils.TruncateAt truncateAt) {
        if (this.f7444a != null) {
            if (truncateAt != TextUtils.TruncateAt.MARQUEE) {
                super.setEllipsize(truncateAt);
                a aVar = this.f7444a;
                if (aVar != null) {
                    aVar.k3(truncateAt);
                    return;
                }
                return;
            }
            throw new UnsupportedOperationException("Text within a chip are not allowed to scroll.");
        }
    }

    public void setEnsureMinTouchTargetSize(boolean z7) {
        this.f7453j = z7;
        k(this.f7455l);
    }

    public void setGravity(int i7) {
        if (i7 != 8388627) {
            Log.w(f7434q, "Chip text must be vertically center and start aligned");
        } else {
            super.setGravity(i7);
        }
    }

    public void setHideMotionSpec(@Nullable h hVar) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.l3(hVar);
        }
    }

    public void setHideMotionSpecResource(@AnimatorRes int i7) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.m3(i7);
        }
    }

    public void setIconEndPadding(float f7) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.n3(f7);
        }
    }

    public void setIconEndPaddingResource(@DimenRes int i7) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.o3(i7);
        }
    }

    public void setIconStartPadding(float f7) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.p3(f7);
        }
    }

    public void setIconStartPaddingResource(@DimenRes int i7) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.q3(i7);
        }
    }

    public void setLayoutDirection(int i7) {
        if (this.f7444a != null) {
            super.setLayoutDirection(i7);
        }
    }

    public void setLines(int i7) {
        if (i7 <= 1) {
            super.setLines(i7);
            return;
        }
        throw new UnsupportedOperationException("Chip does not support multi-line text");
    }

    public void setMaxLines(int i7) {
        if (i7 <= 1) {
            super.setMaxLines(i7);
            return;
        }
        throw new UnsupportedOperationException("Chip does not support multi-line text");
    }

    public void setMaxWidth(@Px int i7) {
        super.setMaxWidth(i7);
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.r3(i7);
        }
    }

    public void setMinLines(int i7) {
        if (i7 <= 1) {
            super.setMinLines(i7);
            return;
        }
        throw new UnsupportedOperationException("Chip does not support multi-line text");
    }

    /* access modifiers changed from: package-private */
    public void setOnCheckedChangeListenerInternal(CompoundButton.OnCheckedChangeListener onCheckedChangeListener) {
        this.f7448e = onCheckedChangeListener;
    }

    public void setOnCloseIconClickListener(View.OnClickListener onClickListener) {
        this.f7447d = onClickListener;
        C();
    }

    public void setRippleColor(@Nullable ColorStateList colorStateList) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.s3(colorStateList);
        }
        if (!this.f7444a.T1()) {
            E();
        }
    }

    public void setRippleColorResource(@ColorRes int i7) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.t3(i7);
            if (!this.f7444a.T1()) {
                E();
            }
        }
    }

    @Override // com.google.android.material.shape.s
    public void setShapeAppearanceModel(@NonNull o oVar) {
        this.f7444a.setShapeAppearanceModel(oVar);
    }

    public void setShowMotionSpec(@Nullable h hVar) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.v3(hVar);
        }
    }

    public void setShowMotionSpecResource(@AnimatorRes int i7) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.w3(i7);
        }
    }

    public void setSingleLine(boolean z7) {
        if (z7) {
            super.setSingleLine(z7);
            return;
        }
        throw new UnsupportedOperationException("Chip does not support multi-line text");
    }

    @Override // android.widget.TextView
    public void setText(CharSequence charSequence, TextView.BufferType bufferType) {
        a aVar = this.f7444a;
        if (aVar != null) {
            if (charSequence == null) {
                charSequence = "";
            }
            super.setText(aVar.H3() ? null : charSequence, bufferType);
            a aVar2 = this.f7444a;
            if (aVar2 != null) {
                aVar2.x3(charSequence);
            }
        }
    }

    public void setTextAppearance(int i7) {
        super.setTextAppearance(i7);
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.z3(i7);
        }
        G();
    }

    public void setTextAppearanceResource(@StyleRes int i7) {
        setTextAppearance(getContext(), i7);
    }

    public void setTextEndPadding(float f7) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.A3(f7);
        }
    }

    public void setTextEndPaddingResource(@DimenRes int i7) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.B3(i7);
        }
    }

    public void setTextStartPadding(float f7) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.E3(f7);
        }
    }

    public void setTextStartPaddingResource(@DimenRes int i7) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.F3(i7);
        }
    }

    public boolean t() {
        a aVar = this.f7444a;
        return aVar != null && aVar.X1();
    }

    @Deprecated
    public boolean u() {
        return v();
    }

    public boolean v() {
        a aVar = this.f7444a;
        return aVar != null && aVar.Z1();
    }

    @Deprecated
    public boolean w() {
        return x();
    }

    public boolean x() {
        a aVar = this.f7444a;
        return aVar != null && aVar.c2();
    }

    @CallSuper
    public boolean y() {
        boolean z7 = false;
        playSoundEffect(0);
        View.OnClickListener onClickListener = this.f7447d;
        if (onClickListener != null) {
            onClickListener.onClick(this);
            z7 = true;
        }
        this.f7456m.sendEventForVirtualView(1, 1);
        return z7;
    }

    public Chip(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, a.c.Z1);
    }

    public void setCheckedIconVisible(boolean z7) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.t2(z7);
        }
    }

    public void setChipIconVisible(boolean z7) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.J2(z7);
        }
    }

    public void setCloseIconVisible(boolean z7) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.i3(z7);
        }
        C();
    }

    @Override // android.widget.TextView
    public void setCompoundDrawablesRelativeWithIntrinsicBounds(@Nullable Drawable drawable, @Nullable Drawable drawable2, @Nullable Drawable drawable3, @Nullable Drawable drawable4) {
        if (drawable != null) {
            throw new UnsupportedOperationException("Please set start drawable using R.attr#chipIcon.");
        } else if (drawable3 == null) {
            super.setCompoundDrawablesRelativeWithIntrinsicBounds(drawable, drawable2, drawable3, drawable4);
        } else {
            throw new UnsupportedOperationException("Please set end drawable using R.attr#closeIcon.");
        }
    }

    @Override // android.widget.TextView
    public void setCompoundDrawablesWithIntrinsicBounds(@Nullable Drawable drawable, @Nullable Drawable drawable2, @Nullable Drawable drawable3, @Nullable Drawable drawable4) {
        if (drawable != null) {
            throw new UnsupportedOperationException("Please set left drawable using R.attr#chipIcon.");
        } else if (drawable3 == null) {
            super.setCompoundDrawablesWithIntrinsicBounds(drawable, drawable2, drawable3, drawable4);
        } else {
            throw new UnsupportedOperationException("Please set right drawable using R.attr#closeIcon.");
        }
    }

    public void setTextAppearance(Context context, int i7) {
        super.setTextAppearance(context, i7);
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.z3(i7);
        }
        G();
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public Chip(Context context, AttributeSet attributeSet, int i7) {
        super(l0.a.c(context, attributeSet, i7, r4), attributeSet, i7);
        int i8 = f7435r;
        this.f7457n = new Rect();
        this.f7458o = new RectF();
        this.f7459p = new a();
        Context context2 = getContext();
        H(attributeSet);
        a Z0 = a.Z0(context2, attributeSet, i7, i8);
        o(context2, attributeSet, i7);
        setChipDrawable(Z0);
        Z0.m0(ViewCompat.getElevation(this));
        TypedArray j7 = q.j(context2, attributeSet, a.o.f1913k5, i7, i8, new int[0]);
        boolean hasValue = j7.hasValue(a.o.W5);
        j7.recycle();
        this.f7456m = new c(this);
        C();
        if (!hasValue) {
            p();
        }
        setChecked(this.f7449f);
        setText(Z0.O1());
        setEllipsize(Z0.H1());
        G();
        if (!this.f7444a.H3()) {
            setLines(1);
            setHorizontallyScrolling(true);
        }
        setGravity(8388627);
        F();
        if (A()) {
            setMinHeight(this.f7455l);
        }
        this.f7454k = ViewCompat.getLayoutDirection(this);
    }

    public void setTextAppearance(@Nullable d dVar) {
        a aVar = this.f7444a;
        if (aVar != null) {
            aVar.y3(dVar);
        }
        G();
    }
}
