package com.google.android.material.chip;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.view.accessibility.AccessibilityNodeInfo;
import android.widget.CompoundButton;
import androidx.annotation.BoolRes;
import androidx.annotation.DimenRes;
import androidx.annotation.Dimension;
import androidx.annotation.IdRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.core.view.ViewCompat;
import androidx.core.view.accessibility.AccessibilityNodeInfoCompat;
import b0.a;
import com.google.android.material.internal.q;
import java.util.ArrayList;
import java.util.List;

public class ChipGroup extends com.google.android.material.internal.e {

    /* renamed from: n  reason: collision with root package name */
    private static final int f7463n = a.n.lb;
    @Dimension

    /* renamed from: e  reason: collision with root package name */
    private int f7464e;
    @Dimension

    /* renamed from: f  reason: collision with root package name */
    private int f7465f;

    /* renamed from: g  reason: collision with root package name */
    private boolean f7466g;

    /* renamed from: h  reason: collision with root package name */
    private boolean f7467h;
    @Nullable

    /* renamed from: i  reason: collision with root package name */
    private d f7468i;

    /* renamed from: j  reason: collision with root package name */
    private final b f7469j;
    @NonNull

    /* renamed from: k  reason: collision with root package name */
    private e f7470k;
    @IdRes

    /* renamed from: l  reason: collision with root package name */
    private int f7471l;

    /* renamed from: m  reason: collision with root package name */
    private boolean f7472m;

    /* access modifiers changed from: private */
    public class b implements CompoundButton.OnCheckedChangeListener {
        private b() {
        }

        public void onCheckedChanged(@NonNull CompoundButton compoundButton, boolean z7) {
            if (!ChipGroup.this.f7472m) {
                if (!ChipGroup.this.getCheckedChipIds().isEmpty() || !ChipGroup.this.f7467h) {
                    int id = compoundButton.getId();
                    if (z7) {
                        if (!(ChipGroup.this.f7471l == -1 || ChipGroup.this.f7471l == id || !ChipGroup.this.f7466g)) {
                            ChipGroup chipGroup = ChipGroup.this;
                            chipGroup.s(chipGroup.f7471l, false);
                        }
                        ChipGroup.this.setCheckedId(id);
                    } else if (ChipGroup.this.f7471l == id) {
                        ChipGroup.this.setCheckedId(-1);
                    }
                } else {
                    ChipGroup.this.s(compoundButton.getId(), true);
                    ChipGroup.this.r(compoundButton.getId(), false);
                }
            }
        }
    }

    public static class c extends ViewGroup.MarginLayoutParams {
        public c(int i7, int i8) {
            super(i7, i8);
        }

        public c(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
        }

        public c(ViewGroup.LayoutParams layoutParams) {
            super(layoutParams);
        }

        public c(ViewGroup.MarginLayoutParams marginLayoutParams) {
            super(marginLayoutParams);
        }
    }

    public interface d {
        void a(ChipGroup chipGroup, @IdRes int i7);
    }

    private class e implements ViewGroup.OnHierarchyChangeListener {

        /* renamed from: a  reason: collision with root package name */
        private ViewGroup.OnHierarchyChangeListener f7474a;

        private e() {
        }

        public void onChildViewAdded(View view, View view2) {
            if (view == ChipGroup.this && (view2 instanceof Chip)) {
                if (view2.getId() == -1) {
                    view2.setId(ViewCompat.generateViewId());
                }
                Chip chip = (Chip) view2;
                if (chip.isChecked()) {
                    ((ChipGroup) view).m(chip.getId());
                }
                chip.setOnCheckedChangeListenerInternal(ChipGroup.this.f7469j);
            }
            ViewGroup.OnHierarchyChangeListener onHierarchyChangeListener = this.f7474a;
            if (onHierarchyChangeListener != null) {
                onHierarchyChangeListener.onChildViewAdded(view, view2);
            }
        }

        public void onChildViewRemoved(View view, View view2) {
            if (view == ChipGroup.this && (view2 instanceof Chip)) {
                ((Chip) view2).setOnCheckedChangeListenerInternal(null);
            }
            ViewGroup.OnHierarchyChangeListener onHierarchyChangeListener = this.f7474a;
            if (onHierarchyChangeListener != null) {
                onHierarchyChangeListener.onChildViewRemoved(view, view2);
            }
        }
    }

    public ChipGroup(Context context) {
        this(context, null);
    }

    private int getChipCount() {
        int i7 = 0;
        for (int i8 = 0; i8 < getChildCount(); i8++) {
            if (getChildAt(i8) instanceof Chip) {
                i7++;
            }
        }
        return i7;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void r(int i7, boolean z7) {
        this.f7471l = i7;
        d dVar = this.f7468i;
        if (dVar != null && this.f7466g && z7) {
            dVar.a(this, i7);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void s(@IdRes int i7, boolean z7) {
        View findViewById = findViewById(i7);
        if (findViewById instanceof Chip) {
            this.f7472m = true;
            ((Chip) findViewById).setChecked(z7);
            this.f7472m = false;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setCheckedId(int i7) {
        r(i7, true);
    }

    @Override // android.view.ViewGroup
    public void addView(View view, int i7, ViewGroup.LayoutParams layoutParams) {
        if (view instanceof Chip) {
            Chip chip = (Chip) view;
            if (chip.isChecked()) {
                int i8 = this.f7471l;
                if (i8 != -1 && this.f7466g) {
                    s(i8, false);
                }
                setCheckedId(chip.getId());
            }
        }
        super.addView(view, i7, layoutParams);
    }

    @Override // com.google.android.material.internal.e
    public boolean c() {
        return super.c();
    }

    /* access modifiers changed from: protected */
    public boolean checkLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return super.checkLayoutParams(layoutParams) && (layoutParams instanceof c);
    }

    /* access modifiers changed from: protected */
    @NonNull
    public ViewGroup.LayoutParams generateDefaultLayoutParams() {
        return new c(-2, -2);
    }

    @Override // android.view.ViewGroup
    @NonNull
    public ViewGroup.LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return new c(getContext(), attributeSet);
    }

    @IdRes
    public int getCheckedChipId() {
        if (this.f7466g) {
            return this.f7471l;
        }
        return -1;
    }

    @NonNull
    public List<Integer> getCheckedChipIds() {
        ArrayList arrayList = new ArrayList();
        for (int i7 = 0; i7 < getChildCount(); i7++) {
            View childAt = getChildAt(i7);
            if ((childAt instanceof Chip) && ((Chip) childAt).isChecked()) {
                arrayList.add(Integer.valueOf(childAt.getId()));
                if (this.f7466g) {
                    return arrayList;
                }
            }
        }
        return arrayList;
    }

    @Dimension
    public int getChipSpacingHorizontal() {
        return this.f7464e;
    }

    @Dimension
    public int getChipSpacingVertical() {
        return this.f7465f;
    }

    public void m(@IdRes int i7) {
        int i8 = this.f7471l;
        if (i7 != i8) {
            if (i8 != -1 && this.f7466g) {
                s(i8, false);
            }
            if (i7 != -1) {
                s(i7, true);
            }
            setCheckedId(i7);
        }
    }

    public void n() {
        this.f7472m = true;
        for (int i7 = 0; i7 < getChildCount(); i7++) {
            View childAt = getChildAt(i7);
            if (childAt instanceof Chip) {
                ((Chip) childAt).setChecked(false);
            }
        }
        this.f7472m = false;
        setCheckedId(-1);
    }

    /* access modifiers changed from: package-private */
    public int o(@Nullable View view) {
        if (!(view instanceof Chip)) {
            return -1;
        }
        int i7 = 0;
        for (int i8 = 0; i8 < getChildCount(); i8++) {
            if (getChildAt(i8) instanceof Chip) {
                if (((Chip) getChildAt(i8)) == view) {
                    return i7;
                }
                i7++;
            }
        }
        return -1;
    }

    /* access modifiers changed from: protected */
    public void onFinishInflate() {
        super.onFinishInflate();
        int i7 = this.f7471l;
        if (i7 != -1) {
            s(i7, true);
            setCheckedId(this.f7471l);
        }
    }

    public void onInitializeAccessibilityNodeInfo(@NonNull AccessibilityNodeInfo accessibilityNodeInfo) {
        super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
        AccessibilityNodeInfoCompat.wrap(accessibilityNodeInfo).setCollectionInfo(AccessibilityNodeInfoCompat.CollectionInfoCompat.obtain(getRowCount(), c() ? getChipCount() : -1, false, q() ? 1 : 2));
    }

    public boolean p() {
        return this.f7467h;
    }

    public boolean q() {
        return this.f7466g;
    }

    public void setChipSpacing(@Dimension int i7) {
        setChipSpacingHorizontal(i7);
        setChipSpacingVertical(i7);
    }

    public void setChipSpacingHorizontal(@Dimension int i7) {
        if (this.f7464e != i7) {
            this.f7464e = i7;
            setItemSpacing(i7);
            requestLayout();
        }
    }

    public void setChipSpacingHorizontalResource(@DimenRes int i7) {
        setChipSpacingHorizontal(getResources().getDimensionPixelOffset(i7));
    }

    public void setChipSpacingResource(@DimenRes int i7) {
        setChipSpacing(getResources().getDimensionPixelOffset(i7));
    }

    public void setChipSpacingVertical(@Dimension int i7) {
        if (this.f7465f != i7) {
            this.f7465f = i7;
            setLineSpacing(i7);
            requestLayout();
        }
    }

    public void setChipSpacingVerticalResource(@DimenRes int i7) {
        setChipSpacingVertical(getResources().getDimensionPixelOffset(i7));
    }

    @Deprecated
    public void setDividerDrawableHorizontal(Drawable drawable) {
        throw new UnsupportedOperationException("Changing divider drawables have no effect. ChipGroup do not use divider drawables as spacing.");
    }

    @Deprecated
    public void setDividerDrawableVertical(@Nullable Drawable drawable) {
        throw new UnsupportedOperationException("Changing divider drawables have no effect. ChipGroup do not use divider drawables as spacing.");
    }

    @Deprecated
    public void setFlexWrap(int i7) {
        throw new UnsupportedOperationException("Changing flex wrap not allowed. ChipGroup exposes a singleLine attribute instead.");
    }

    public void setOnCheckedChangeListener(d dVar) {
        this.f7468i = dVar;
    }

    public void setOnHierarchyChangeListener(ViewGroup.OnHierarchyChangeListener onHierarchyChangeListener) {
        this.f7470k.f7474a = onHierarchyChangeListener;
    }

    public void setSelectionRequired(boolean z7) {
        this.f7467h = z7;
    }

    @Deprecated
    public void setShowDividerHorizontal(int i7) {
        throw new UnsupportedOperationException("Changing divider modes has no effect. ChipGroup do not use divider drawables as spacing.");
    }

    @Deprecated
    public void setShowDividerVertical(int i7) {
        throw new UnsupportedOperationException("Changing divider modes has no effect. ChipGroup do not use divider drawables as spacing.");
    }

    public void setSingleLine(@BoolRes int i7) {
        setSingleLine(getResources().getBoolean(i7));
    }

    public void setSingleSelection(@BoolRes int i7) {
        setSingleSelection(getResources().getBoolean(i7));
    }

    public ChipGroup(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, a.c.K1);
    }

    /* access modifiers changed from: protected */
    @Override // android.view.ViewGroup
    @NonNull
    public ViewGroup.LayoutParams generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return new c(layoutParams);
    }

    @Override // com.google.android.material.internal.e
    public void setSingleLine(boolean z7) {
        super.setSingleLine(z7);
    }

    public void setSingleSelection(boolean z7) {
        if (this.f7466g != z7) {
            this.f7466g = z7;
            n();
        }
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public ChipGroup(Context context, AttributeSet attributeSet, int i7) {
        super(l0.a.c(context, attributeSet, i7, r4), attributeSet, i7);
        int i8 = f7463n;
        this.f7469j = new b();
        this.f7470k = new e();
        this.f7471l = -1;
        this.f7472m = false;
        TypedArray j7 = q.j(getContext(), attributeSet, a.o.f1841b6, i7, i8, new int[0]);
        int dimensionPixelOffset = j7.getDimensionPixelOffset(a.o.f1857d6, 0);
        setChipSpacingHorizontal(j7.getDimensionPixelOffset(a.o.f1865e6, dimensionPixelOffset));
        setChipSpacingVertical(j7.getDimensionPixelOffset(a.o.f1873f6, dimensionPixelOffset));
        setSingleLine(j7.getBoolean(a.o.f1889h6, false));
        setSingleSelection(j7.getBoolean(a.o.f1897i6, false));
        setSelectionRequired(j7.getBoolean(a.o.f1881g6, false));
        int resourceId = j7.getResourceId(a.o.f1849c6, -1);
        if (resourceId != -1) {
            this.f7471l = resourceId;
        }
        j7.recycle();
        super.setOnHierarchyChangeListener(this.f7470k);
        ViewCompat.setImportantForAccessibility(this, 1);
    }
}
