package com.google.android.material.chip;

import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.Outline;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.PointF;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffColorFilter;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.RippleDrawable;
import android.graphics.drawable.ShapeDrawable;
import android.graphics.drawable.shapes.OvalShape;
import android.text.TextUtils;
import android.util.AttributeSet;
import androidx.annotation.AnimatorRes;
import androidx.annotation.AttrRes;
import androidx.annotation.BoolRes;
import androidx.annotation.ColorInt;
import androidx.annotation.ColorRes;
import androidx.annotation.DimenRes;
import androidx.annotation.Dimension;
import androidx.annotation.DrawableRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.Px;
import androidx.annotation.StringRes;
import androidx.annotation.StyleRes;
import androidx.annotation.XmlRes;
import androidx.appcompat.content.res.AppCompatResources;
import androidx.core.graphics.ColorUtils;
import androidx.core.graphics.drawable.DrawableCompat;
import androidx.core.graphics.drawable.TintAwareDrawable;
import androidx.core.internal.view.SupportMenu;
import androidx.core.text.BidiFormatter;
import b0.a;
import com.google.android.material.animation.h;
import com.google.android.material.internal.n;
import com.google.android.material.internal.q;
import com.google.android.material.internal.y;
import com.google.android.material.resources.c;
import com.google.android.material.resources.d;
import com.google.android.material.ripple.b;
import com.google.android.material.shape.j;
import java.lang.ref.WeakReference;
import java.util.Arrays;
import kotlinx.coroutines.scheduling.r;

public class a extends j implements TintAwareDrawable, Drawable.Callback, n.b {
    private static final boolean N0 = false;
    private static final int[] O0 = {16842910};
    private static final String P0 = "http://schemas.android.com/apk/res-auto";
    private static final int Q0 = 24;
    private static final ShapeDrawable R0 = new ShapeDrawable(new OvalShape());
    private int A0 = 255;
    @Nullable
    private ColorFilter B0;
    @Nullable
    private PorterDuffColorFilter C0;
    @Nullable
    private ColorStateList D;
    @Nullable
    private ColorStateList D0;
    @Nullable
    private ColorStateList E;
    @Nullable
    private PorterDuff.Mode E0 = PorterDuff.Mode.SRC_IN;
    private float F;
    private int[] F0;
    private float G = -1.0f;
    private boolean G0;
    @Nullable
    private ColorStateList H;
    @Nullable
    private ColorStateList H0;
    private float I;
    @NonNull
    private WeakReference<AbstractC0084a> I0 = new WeakReference<>(null);
    @Nullable
    private ColorStateList J;
    private TextUtils.TruncateAt J0;
    @Nullable
    private CharSequence K;
    private boolean K0;
    private boolean L;
    private int L0;
    @Nullable
    private Drawable M;
    private boolean M0;
    @Nullable
    private ColorStateList N;
    private float O;
    private boolean P;
    private boolean Q;
    @Nullable
    private Drawable R;
    @Nullable
    private Drawable S;
    @Nullable
    private ColorStateList T;
    private float U;
    @Nullable
    private CharSequence V;
    private boolean W;
    private boolean X;
    @Nullable
    private Drawable Y;
    @Nullable
    private ColorStateList Z;
    @Nullable

    /* renamed from: a0  reason: collision with root package name */
    private h f7476a0;
    @Nullable

    /* renamed from: b0  reason: collision with root package name */
    private h f7477b0;

    /* renamed from: c0  reason: collision with root package name */
    private float f7478c0;

    /* renamed from: d0  reason: collision with root package name */
    private float f7479d0;

    /* renamed from: e0  reason: collision with root package name */
    private float f7480e0;

    /* renamed from: f0  reason: collision with root package name */
    private float f7481f0;

    /* renamed from: g0  reason: collision with root package name */
    private float f7482g0;

    /* renamed from: h0  reason: collision with root package name */
    private float f7483h0;

    /* renamed from: i0  reason: collision with root package name */
    private float f7484i0;

    /* renamed from: j0  reason: collision with root package name */
    private float f7485j0;
    @NonNull

    /* renamed from: k0  reason: collision with root package name */
    private final Context f7486k0;

    /* renamed from: l0  reason: collision with root package name */
    private final Paint f7487l0 = new Paint(1);
    @Nullable

    /* renamed from: m0  reason: collision with root package name */
    private final Paint f7488m0;

    /* renamed from: n0  reason: collision with root package name */
    private final Paint.FontMetrics f7489n0 = new Paint.FontMetrics();

    /* renamed from: o0  reason: collision with root package name */
    private final RectF f7490o0 = new RectF();

    /* renamed from: p0  reason: collision with root package name */
    private final PointF f7491p0 = new PointF();

    /* renamed from: q0  reason: collision with root package name */
    private final Path f7492q0 = new Path();
    @NonNull

    /* renamed from: r0  reason: collision with root package name */
    private final n f7493r0;
    @ColorInt

    /* renamed from: s0  reason: collision with root package name */
    private int f7494s0;
    @ColorInt

    /* renamed from: t0  reason: collision with root package name */
    private int f7495t0;
    @ColorInt

    /* renamed from: u0  reason: collision with root package name */
    private int f7496u0;
    @ColorInt

    /* renamed from: v0  reason: collision with root package name */
    private int f7497v0;
    @ColorInt

    /* renamed from: w0  reason: collision with root package name */
    private int f7498w0;
    @ColorInt

    /* renamed from: x0  reason: collision with root package name */
    private int f7499x0;

    /* renamed from: y0  reason: collision with root package name */
    private boolean f7500y0;
    @ColorInt

    /* renamed from: z0  reason: collision with root package name */
    private int f7501z0;

    /* renamed from: com.google.android.material.chip.a$a  reason: collision with other inner class name */
    public interface AbstractC0084a {
        void a();
    }

    private a(@NonNull Context context, AttributeSet attributeSet, @AttrRes int i7, @StyleRes int i8) {
        super(context, attributeSet, i7, i8);
        Y(context);
        this.f7486k0 = context;
        n nVar = new n(this);
        this.f7493r0 = nVar;
        this.K = "";
        nVar.e().density = context.getResources().getDisplayMetrics().density;
        this.f7488m0 = null;
        int[] iArr = O0;
        setState(iArr);
        e3(iArr);
        this.K0 = true;
        if (b.f8312a) {
            R0.setTint(-1);
        }
    }

    private float F1() {
        Drawable drawable = this.f7500y0 ? this.Y : this.M;
        float f7 = this.O;
        if (f7 > 0.0f || drawable == null) {
            return f7;
        }
        float ceil = (float) Math.ceil((double) y.e(this.f7486k0, 24));
        return ((float) drawable.getIntrinsicHeight()) <= ceil ? (float) drawable.getIntrinsicHeight() : ceil;
    }

    private float G1() {
        Drawable drawable = this.f7500y0 ? this.Y : this.M;
        float f7 = this.O;
        return (f7 > 0.0f || drawable == null) ? f7 : (float) drawable.getIntrinsicWidth();
    }

    private boolean I3() {
        return this.X && this.Y != null && this.f7500y0;
    }

    private boolean J3() {
        return this.L && this.M != null;
    }

    private boolean K3() {
        return this.Q && this.R != null;
    }

    private void L3(@Nullable Drawable drawable) {
        if (drawable != null) {
            drawable.setCallback(null);
        }
    }

    private void M3() {
        this.H0 = this.G0 ? b.d(this.J) : null;
    }

    @TargetApi(21)
    private void N3() {
        this.S = new RippleDrawable(b.d(M1()), this.R, R0);
    }

    private void O0(@Nullable Drawable drawable) {
        if (drawable != null) {
            drawable.setCallback(this);
            DrawableCompat.setLayoutDirection(drawable, DrawableCompat.getLayoutDirection(this));
            drawable.setLevel(getLevel());
            drawable.setVisible(isVisible(), false);
            if (drawable == this.R) {
                if (drawable.isStateful()) {
                    drawable.setState(C1());
                }
                DrawableCompat.setTintList(drawable, this.T);
                return;
            }
            if (drawable.isStateful()) {
                drawable.setState(getState());
            }
            Drawable drawable2 = this.M;
            if (drawable == drawable2 && this.P) {
                DrawableCompat.setTintList(drawable2, this.N);
            }
        }
    }

    private void P0(@NonNull Rect rect, @NonNull RectF rectF) {
        rectF.setEmpty();
        if (J3() || I3()) {
            float f7 = this.f7478c0 + this.f7479d0;
            float G1 = G1();
            if (DrawableCompat.getLayoutDirection(this) == 0) {
                float f8 = ((float) rect.left) + f7;
                rectF.left = f8;
                rectF.right = f8 + G1;
            } else {
                float f9 = ((float) rect.right) - f7;
                rectF.right = f9;
                rectF.left = f9 - G1;
            }
            float F1 = F1();
            float exactCenterY = rect.exactCenterY() - (F1 / 2.0f);
            rectF.top = exactCenterY;
            rectF.bottom = exactCenterY + F1;
        }
    }

    private void R0(@NonNull Rect rect, @NonNull RectF rectF) {
        rectF.set(rect);
        if (K3()) {
            float f7 = this.f7485j0 + this.f7484i0 + this.U + this.f7483h0 + this.f7482g0;
            if (DrawableCompat.getLayoutDirection(this) == 0) {
                rectF.right = ((float) rect.right) - f7;
            } else {
                rectF.left = ((float) rect.left) + f7;
            }
        }
    }

    private void S0(@NonNull Rect rect, @NonNull RectF rectF) {
        rectF.setEmpty();
        if (K3()) {
            float f7 = this.f7485j0 + this.f7484i0;
            if (DrawableCompat.getLayoutDirection(this) == 0) {
                float f8 = ((float) rect.right) - f7;
                rectF.right = f8;
                rectF.left = f8 - this.U;
            } else {
                float f9 = ((float) rect.left) + f7;
                rectF.left = f9;
                rectF.right = f9 + this.U;
            }
            float exactCenterY = rect.exactCenterY();
            float f10 = this.U;
            float f11 = exactCenterY - (f10 / 2.0f);
            rectF.top = f11;
            rectF.bottom = f11 + f10;
        }
    }

    @Nullable
    private ColorFilter S1() {
        ColorFilter colorFilter = this.B0;
        return colorFilter != null ? colorFilter : this.C0;
    }

    private void S2(@Nullable ColorStateList colorStateList) {
        if (this.D != colorStateList) {
            this.D = colorStateList;
            onStateChange(getState());
        }
    }

    private void T0(@NonNull Rect rect, @NonNull RectF rectF) {
        rectF.setEmpty();
        if (K3()) {
            float f7 = this.f7485j0 + this.f7484i0 + this.U + this.f7483h0 + this.f7482g0;
            if (DrawableCompat.getLayoutDirection(this) == 0) {
                float f8 = (float) rect.right;
                rectF.right = f8;
                rectF.left = f8 - f7;
            } else {
                int i7 = rect.left;
                rectF.left = (float) i7;
                rectF.right = ((float) i7) + f7;
            }
            rectF.top = (float) rect.top;
            rectF.bottom = (float) rect.bottom;
        }
    }

    private static boolean U1(@Nullable int[] iArr, @AttrRes int i7) {
        if (iArr == null) {
            return false;
        }
        for (int i8 : iArr) {
            if (i8 == i7) {
                return true;
            }
        }
        return false;
    }

    private void V0(@NonNull Rect rect, @NonNull RectF rectF) {
        float f7;
        rectF.setEmpty();
        if (this.K != null) {
            float Q02 = this.f7478c0 + Q0() + this.f7481f0;
            float U0 = this.f7485j0 + U0() + this.f7482g0;
            if (DrawableCompat.getLayoutDirection(this) == 0) {
                rectF.left = ((float) rect.left) + Q02;
                f7 = ((float) rect.right) - U0;
            } else {
                rectF.left = ((float) rect.left) + U0;
                f7 = ((float) rect.right) - Q02;
            }
            rectF.right = f7;
            rectF.top = (float) rect.top;
            rectF.bottom = (float) rect.bottom;
        }
    }

    private float W0() {
        this.f7493r0.e().getFontMetrics(this.f7489n0);
        Paint.FontMetrics fontMetrics = this.f7489n0;
        return (fontMetrics.descent + fontMetrics.ascent) / 2.0f;
    }

    private boolean Y0() {
        return this.X && this.Y != null && this.W;
    }

    @NonNull
    public static a Z0(@NonNull Context context, @Nullable AttributeSet attributeSet, @AttrRes int i7, @StyleRes int i8) {
        a aVar = new a(context, attributeSet, i7, i8);
        aVar.h2(attributeSet, i7, i8);
        return aVar;
    }

    @NonNull
    public static a a1(@NonNull Context context, @XmlRes int i7) {
        AttributeSet a8 = h0.a.a(context, i7, "chip");
        int styleAttribute = a8.getStyleAttribute();
        if (styleAttribute == 0) {
            styleAttribute = a.n.ob;
        }
        return Z0(context, a8, a.c.V1, styleAttribute);
    }

    private void b1(@NonNull Canvas canvas, @NonNull Rect rect) {
        if (I3()) {
            P0(rect, this.f7490o0);
            RectF rectF = this.f7490o0;
            float f7 = rectF.left;
            float f8 = rectF.top;
            canvas.translate(f7, f8);
            this.Y.setBounds(0, 0, (int) this.f7490o0.width(), (int) this.f7490o0.height());
            this.Y.draw(canvas);
            canvas.translate(-f7, -f8);
        }
    }

    private void c1(@NonNull Canvas canvas, @NonNull Rect rect) {
        if (!this.M0) {
            this.f7487l0.setColor(this.f7495t0);
            this.f7487l0.setStyle(Paint.Style.FILL);
            this.f7487l0.setColorFilter(S1());
            this.f7490o0.set(rect);
            canvas.drawRoundRect(this.f7490o0, n1(), n1(), this.f7487l0);
        }
    }

    private void d1(@NonNull Canvas canvas, @NonNull Rect rect) {
        if (J3()) {
            P0(rect, this.f7490o0);
            RectF rectF = this.f7490o0;
            float f7 = rectF.left;
            float f8 = rectF.top;
            canvas.translate(f7, f8);
            this.M.setBounds(0, 0, (int) this.f7490o0.width(), (int) this.f7490o0.height());
            this.M.draw(canvas);
            canvas.translate(-f7, -f8);
        }
    }

    private void e1(@NonNull Canvas canvas, @NonNull Rect rect) {
        if (this.I > 0.0f && !this.M0) {
            this.f7487l0.setColor(this.f7497v0);
            this.f7487l0.setStyle(Paint.Style.STROKE);
            if (!this.M0) {
                this.f7487l0.setColorFilter(S1());
            }
            RectF rectF = this.f7490o0;
            float f7 = this.I;
            rectF.set(((float) rect.left) + (f7 / 2.0f), ((float) rect.top) + (f7 / 2.0f), ((float) rect.right) - (f7 / 2.0f), ((float) rect.bottom) - (f7 / 2.0f));
            float f8 = this.G - (this.I / 2.0f);
            canvas.drawRoundRect(this.f7490o0, f8, f8, this.f7487l0);
        }
    }

    private static boolean e2(@Nullable ColorStateList colorStateList) {
        return colorStateList != null && colorStateList.isStateful();
    }

    private void f1(@NonNull Canvas canvas, @NonNull Rect rect) {
        if (!this.M0) {
            this.f7487l0.setColor(this.f7494s0);
            this.f7487l0.setStyle(Paint.Style.FILL);
            this.f7490o0.set(rect);
            canvas.drawRoundRect(this.f7490o0, n1(), n1(), this.f7487l0);
        }
    }

    private static boolean f2(@Nullable Drawable drawable) {
        return drawable != null && drawable.isStateful();
    }

    private void g1(@NonNull Canvas canvas, @NonNull Rect rect) {
        Drawable drawable;
        if (K3()) {
            S0(rect, this.f7490o0);
            RectF rectF = this.f7490o0;
            float f7 = rectF.left;
            float f8 = rectF.top;
            canvas.translate(f7, f8);
            this.R.setBounds(0, 0, (int) this.f7490o0.width(), (int) this.f7490o0.height());
            if (b.f8312a) {
                this.S.setBounds(this.R.getBounds());
                this.S.jumpToCurrentState();
                drawable = this.S;
            } else {
                drawable = this.R;
            }
            drawable.draw(canvas);
            canvas.translate(-f7, -f8);
        }
    }

    private static boolean g2(@Nullable d dVar) {
        ColorStateList colorStateList;
        return (dVar == null || (colorStateList = dVar.f8286a) == null || !colorStateList.isStateful()) ? false : true;
    }

    private void h1(@NonNull Canvas canvas, @NonNull Rect rect) {
        this.f7487l0.setColor(this.f7498w0);
        this.f7487l0.setStyle(Paint.Style.FILL);
        this.f7490o0.set(rect);
        if (!this.M0) {
            canvas.drawRoundRect(this.f7490o0, n1(), n1(), this.f7487l0);
            return;
        }
        h(new RectF(rect), this.f7492q0);
        super.q(canvas, this.f7487l0, this.f7492q0, v());
    }

    /* JADX WARNING: Removed duplicated region for block: B:22:0x00d8  */
    /* JADX WARNING: Removed duplicated region for block: B:39:0x0171  */
    private void h2(@Nullable AttributeSet attributeSet, @AttrRes int i7, @StyleRes int i8) {
        TextUtils.TruncateAt truncateAt;
        TypedArray j7 = q.j(this.f7486k0, attributeSet, a.o.f1913k5, i7, i8, new int[0]);
        this.M0 = j7.hasValue(a.o.W5);
        S2(c.a(this.f7486k0, j7, a.o.J5));
        u2(c.a(this.f7486k0, j7, a.o.f2010w5));
        K2(j7.getDimension(a.o.E5, 0.0f));
        if (j7.hasValue(a.o.f2018x5)) {
            w2(j7.getDimension(a.o.f2018x5, 0.0f));
        }
        O2(c.a(this.f7486k0, j7, a.o.H5));
        Q2(j7.getDimension(a.o.I5, 0.0f));
        s3(c.a(this.f7486k0, j7, a.o.V5));
        x3(j7.getText(a.o.f1962q5));
        d f7 = c.f(this.f7486k0, j7, a.o.f1921l5);
        f7.f8299n = j7.getDimension(a.o.f1929m5, f7.f8299n);
        y3(f7);
        int i9 = j7.getInt(a.o.f1945o5, 0);
        if (i9 == 1) {
            truncateAt = TextUtils.TruncateAt.START;
        } else if (i9 != 2) {
            if (i9 == 3) {
                truncateAt = TextUtils.TruncateAt.END;
            }
            J2(j7.getBoolean(a.o.D5, false));
            if (!(attributeSet == null || attributeSet.getAttributeValue(P0, "chipIconEnabled") == null || attributeSet.getAttributeValue(P0, "chipIconVisible") != null)) {
                J2(j7.getBoolean(a.o.A5, false));
            }
            A2(c.d(this.f7486k0, j7, a.o.f2034z5));
            if (j7.hasValue(a.o.C5)) {
                G2(c.a(this.f7486k0, j7, a.o.C5));
            }
            E2(j7.getDimension(a.o.B5, -1.0f));
            i3(j7.getBoolean(a.o.Q5, false));
            if (!(attributeSet == null || attributeSet.getAttributeValue(P0, "closeIconEnabled") == null || attributeSet.getAttributeValue(P0, "closeIconVisible") != null)) {
                i3(j7.getBoolean(a.o.L5, false));
            }
            T2(c.d(this.f7486k0, j7, a.o.K5));
            f3(c.a(this.f7486k0, j7, a.o.P5));
            a3(j7.getDimension(a.o.N5, 0.0f));
            k2(j7.getBoolean(a.o.f1970r5, false));
            t2(j7.getBoolean(a.o.f2002v5, false));
            if (!(attributeSet == null || attributeSet.getAttributeValue(P0, "checkedIconEnabled") == null || attributeSet.getAttributeValue(P0, "checkedIconVisible") != null)) {
                t2(j7.getBoolean(a.o.f1986t5, false));
            }
            m2(c.d(this.f7486k0, j7, a.o.f1978s5));
            if (j7.hasValue(a.o.f1994u5)) {
                q2(c.a(this.f7486k0, j7, a.o.f1994u5));
            }
            v3(h.c(this.f7486k0, j7, a.o.Y5));
            l3(h.c(this.f7486k0, j7, a.o.S5));
            M2(j7.getDimension(a.o.G5, 0.0f));
            p3(j7.getDimension(a.o.U5, 0.0f));
            n3(j7.getDimension(a.o.T5, 0.0f));
            E3(j7.getDimension(a.o.f1832a6, 0.0f));
            A3(j7.getDimension(a.o.Z5, 0.0f));
            c3(j7.getDimension(a.o.O5, 0.0f));
            X2(j7.getDimension(a.o.M5, 0.0f));
            y2(j7.getDimension(a.o.f2026y5, 0.0f));
            r3(j7.getDimensionPixelSize(a.o.f1953p5, Integer.MAX_VALUE));
            j7.recycle();
        } else {
            truncateAt = TextUtils.TruncateAt.MIDDLE;
        }
        k3(truncateAt);
        J2(j7.getBoolean(a.o.D5, false));
        J2(j7.getBoolean(a.o.A5, false));
        A2(c.d(this.f7486k0, j7, a.o.f2034z5));
        if (j7.hasValue(a.o.C5)) {
        }
        E2(j7.getDimension(a.o.B5, -1.0f));
        i3(j7.getBoolean(a.o.Q5, false));
        i3(j7.getBoolean(a.o.L5, false));
        T2(c.d(this.f7486k0, j7, a.o.K5));
        f3(c.a(this.f7486k0, j7, a.o.P5));
        a3(j7.getDimension(a.o.N5, 0.0f));
        k2(j7.getBoolean(a.o.f1970r5, false));
        t2(j7.getBoolean(a.o.f2002v5, false));
        t2(j7.getBoolean(a.o.f1986t5, false));
        m2(c.d(this.f7486k0, j7, a.o.f1978s5));
        if (j7.hasValue(a.o.f1994u5)) {
        }
        v3(h.c(this.f7486k0, j7, a.o.Y5));
        l3(h.c(this.f7486k0, j7, a.o.S5));
        M2(j7.getDimension(a.o.G5, 0.0f));
        p3(j7.getDimension(a.o.U5, 0.0f));
        n3(j7.getDimension(a.o.T5, 0.0f));
        E3(j7.getDimension(a.o.f1832a6, 0.0f));
        A3(j7.getDimension(a.o.Z5, 0.0f));
        c3(j7.getDimension(a.o.O5, 0.0f));
        X2(j7.getDimension(a.o.M5, 0.0f));
        y2(j7.getDimension(a.o.f2026y5, 0.0f));
        r3(j7.getDimensionPixelSize(a.o.f1953p5, Integer.MAX_VALUE));
        j7.recycle();
    }

    private void i1(@NonNull Canvas canvas, @NonNull Rect rect) {
        Paint paint = this.f7488m0;
        if (paint != null) {
            paint.setColor(ColorUtils.setAlphaComponent(-16777216, r.f21961c));
            canvas.drawRect(rect, this.f7488m0);
            if (J3() || I3()) {
                P0(rect, this.f7490o0);
                canvas.drawRect(this.f7490o0, this.f7488m0);
            }
            if (this.K != null) {
                canvas.drawLine((float) rect.left, rect.exactCenterY(), (float) rect.right, rect.exactCenterY(), this.f7488m0);
            }
            if (K3()) {
                S0(rect, this.f7490o0);
                canvas.drawRect(this.f7490o0, this.f7488m0);
            }
            this.f7488m0.setColor(ColorUtils.setAlphaComponent(SupportMenu.CATEGORY_MASK, r.f21961c));
            R0(rect, this.f7490o0);
            canvas.drawRect(this.f7490o0, this.f7488m0);
            this.f7488m0.setColor(ColorUtils.setAlphaComponent(-16711936, r.f21961c));
            T0(rect, this.f7490o0);
            canvas.drawRect(this.f7490o0, this.f7488m0);
        }
    }

    private void j1(@NonNull Canvas canvas, @NonNull Rect rect) {
        if (this.K != null) {
            Paint.Align X0 = X0(rect, this.f7491p0);
            V0(rect, this.f7490o0);
            if (this.f7493r0.d() != null) {
                this.f7493r0.e().drawableState = getState();
                this.f7493r0.k(this.f7486k0);
            }
            this.f7493r0.e().setTextAlign(X0);
            int i7 = 0;
            boolean z7 = Math.round(this.f7493r0.f(O1().toString())) > Math.round(this.f7490o0.width());
            if (z7) {
                i7 = canvas.save();
                canvas.clipRect(this.f7490o0);
            }
            CharSequence charSequence = this.K;
            if (z7 && this.J0 != null) {
                charSequence = TextUtils.ellipsize(charSequence, this.f7493r0.e(), this.f7490o0.width(), this.J0);
            }
            int length = charSequence.length();
            PointF pointF = this.f7491p0;
            canvas.drawText(charSequence, 0, length, pointF.x, pointF.y, this.f7493r0.e());
            if (z7) {
                canvas.restoreToCount(i7);
            }
        }
    }

    private boolean j2(@NonNull int[] iArr, @NonNull int[] iArr2) {
        boolean z7;
        boolean onStateChange = super.onStateChange(iArr);
        ColorStateList colorStateList = this.D;
        int l7 = l(colorStateList != null ? colorStateList.getColorForState(iArr, this.f7494s0) : 0);
        boolean z8 = true;
        if (this.f7494s0 != l7) {
            this.f7494s0 = l7;
            onStateChange = true;
        }
        ColorStateList colorStateList2 = this.E;
        int l8 = l(colorStateList2 != null ? colorStateList2.getColorForState(iArr, this.f7495t0) : 0);
        if (this.f7495t0 != l8) {
            this.f7495t0 = l8;
            onStateChange = true;
        }
        int g7 = f0.a.g(l7, l8);
        if ((this.f7496u0 != g7) || (y() == null)) {
            this.f7496u0 = g7;
            n0(ColorStateList.valueOf(g7));
            onStateChange = true;
        }
        ColorStateList colorStateList3 = this.H;
        int colorForState = colorStateList3 != null ? colorStateList3.getColorForState(iArr, this.f7497v0) : 0;
        if (this.f7497v0 != colorForState) {
            this.f7497v0 = colorForState;
            onStateChange = true;
        }
        int colorForState2 = (this.H0 == null || !b.e(iArr)) ? 0 : this.H0.getColorForState(iArr, this.f7498w0);
        if (this.f7498w0 != colorForState2) {
            this.f7498w0 = colorForState2;
            if (this.G0) {
                onStateChange = true;
            }
        }
        int colorForState3 = (this.f7493r0.d() == null || this.f7493r0.d().f8286a == null) ? 0 : this.f7493r0.d().f8286a.getColorForState(iArr, this.f7499x0);
        if (this.f7499x0 != colorForState3) {
            this.f7499x0 = colorForState3;
            onStateChange = true;
        }
        boolean z9 = U1(getState(), 16842912) && this.W;
        if (this.f7500y0 == z9 || this.Y == null) {
            z7 = false;
        } else {
            float Q02 = Q0();
            this.f7500y0 = z9;
            if (Q02 != Q0()) {
                onStateChange = true;
                z7 = true;
            } else {
                z7 = false;
                onStateChange = true;
            }
        }
        ColorStateList colorStateList4 = this.D0;
        int colorForState4 = colorStateList4 != null ? colorStateList4.getColorForState(iArr, this.f7501z0) : 0;
        if (this.f7501z0 != colorForState4) {
            this.f7501z0 = colorForState4;
            this.C0 = h0.a.c(this, this.D0, this.E0);
        } else {
            z8 = onStateChange;
        }
        if (f2(this.M)) {
            z8 |= this.M.setState(iArr);
        }
        if (f2(this.Y)) {
            z8 |= this.Y.setState(iArr);
        }
        if (f2(this.R)) {
            int[] iArr3 = new int[(iArr.length + iArr2.length)];
            System.arraycopy(iArr, 0, iArr3, 0, iArr.length);
            System.arraycopy(iArr2, 0, iArr3, iArr.length, iArr2.length);
            z8 |= this.R.setState(iArr3);
        }
        if (b.f8312a && f2(this.S)) {
            z8 |= this.S.setState(iArr2);
        }
        if (z8) {
            invalidateSelf();
        }
        if (z7) {
            i2();
        }
        return z8;
    }

    public float A1() {
        return this.U;
    }

    public void A2(@Nullable Drawable drawable) {
        Drawable p12 = p1();
        if (p12 != drawable) {
            float Q02 = Q0();
            this.M = drawable != null ? DrawableCompat.wrap(drawable).mutate() : null;
            float Q03 = Q0();
            L3(p12);
            if (J3()) {
                O0(this.M);
            }
            invalidateSelf();
            if (Q02 != Q03) {
                i2();
            }
        }
    }

    public void A3(float f7) {
        if (this.f7482g0 != f7) {
            this.f7482g0 = f7;
            invalidateSelf();
            i2();
        }
    }

    public float B1() {
        return this.f7483h0;
    }

    @Deprecated
    public void B2(boolean z7) {
        J2(z7);
    }

    public void B3(@DimenRes int i7) {
        A3(this.f7486k0.getResources().getDimension(i7));
    }

    @NonNull
    public int[] C1() {
        return this.F0;
    }

    @Deprecated
    public void C2(@BoolRes int i7) {
        I2(i7);
    }

    public void C3(@StringRes int i7) {
        x3(this.f7486k0.getResources().getString(i7));
    }

    @Nullable
    public ColorStateList D1() {
        return this.T;
    }

    public void D2(@DrawableRes int i7) {
        A2(AppCompatResources.getDrawable(this.f7486k0, i7));
    }

    public void D3(@Dimension float f7) {
        d P1 = P1();
        if (P1 != null) {
            P1.f8299n = f7;
            this.f7493r0.e().setTextSize(f7);
            a();
        }
    }

    public void E1(@NonNull RectF rectF) {
        T0(getBounds(), rectF);
    }

    public void E2(float f7) {
        if (this.O != f7) {
            float Q02 = Q0();
            this.O = f7;
            float Q03 = Q0();
            invalidateSelf();
            if (Q02 != Q03) {
                i2();
            }
        }
    }

    public void E3(float f7) {
        if (this.f7481f0 != f7) {
            this.f7481f0 = f7;
            invalidateSelf();
            i2();
        }
    }

    public void F2(@DimenRes int i7) {
        E2(this.f7486k0.getResources().getDimension(i7));
    }

    public void F3(@DimenRes int i7) {
        E3(this.f7486k0.getResources().getDimension(i7));
    }

    public void G2(@Nullable ColorStateList colorStateList) {
        this.P = true;
        if (this.N != colorStateList) {
            this.N = colorStateList;
            if (J3()) {
                DrawableCompat.setTintList(this.M, colorStateList);
            }
            onStateChange(getState());
        }
    }

    public void G3(boolean z7) {
        if (this.G0 != z7) {
            this.G0 = z7;
            M3();
            onStateChange(getState());
        }
    }

    public TextUtils.TruncateAt H1() {
        return this.J0;
    }

    public void H2(@ColorRes int i7) {
        G2(AppCompatResources.getColorStateList(this.f7486k0, i7));
    }

    /* access modifiers changed from: package-private */
    public boolean H3() {
        return this.K0;
    }

    @Nullable
    public h I1() {
        return this.f7477b0;
    }

    public void I2(@BoolRes int i7) {
        J2(this.f7486k0.getResources().getBoolean(i7));
    }

    public float J1() {
        return this.f7480e0;
    }

    public void J2(boolean z7) {
        if (this.L != z7) {
            boolean J3 = J3();
            this.L = z7;
            boolean J32 = J3();
            if (J3 != J32) {
                if (J32) {
                    O0(this.M);
                } else {
                    L3(this.M);
                }
                invalidateSelf();
                i2();
            }
        }
    }

    public float K1() {
        return this.f7479d0;
    }

    public void K2(float f7) {
        if (this.F != f7) {
            this.F = f7;
            invalidateSelf();
            i2();
        }
    }

    @Px
    public int L1() {
        return this.L0;
    }

    public void L2(@DimenRes int i7) {
        K2(this.f7486k0.getResources().getDimension(i7));
    }

    @Nullable
    public ColorStateList M1() {
        return this.J;
    }

    public void M2(float f7) {
        if (this.f7478c0 != f7) {
            this.f7478c0 = f7;
            invalidateSelf();
            i2();
        }
    }

    @Nullable
    public h N1() {
        return this.f7476a0;
    }

    public void N2(@DimenRes int i7) {
        M2(this.f7486k0.getResources().getDimension(i7));
    }

    @Nullable
    public CharSequence O1() {
        return this.K;
    }

    public void O2(@Nullable ColorStateList colorStateList) {
        if (this.H != colorStateList) {
            this.H = colorStateList;
            if (this.M0) {
                E0(colorStateList);
            }
            onStateChange(getState());
        }
    }

    @Nullable
    public d P1() {
        return this.f7493r0.d();
    }

    public void P2(@ColorRes int i7) {
        O2(AppCompatResources.getColorStateList(this.f7486k0, i7));
    }

    /* access modifiers changed from: package-private */
    public float Q0() {
        if (J3() || I3()) {
            return this.f7479d0 + G1() + this.f7480e0;
        }
        return 0.0f;
    }

    public float Q1() {
        return this.f7482g0;
    }

    public void Q2(float f7) {
        if (this.I != f7) {
            this.I = f7;
            this.f7487l0.setStrokeWidth(f7);
            if (this.M0) {
                super.H0(f7);
            }
            invalidateSelf();
        }
    }

    public float R1() {
        return this.f7481f0;
    }

    public void R2(@DimenRes int i7) {
        Q2(this.f7486k0.getResources().getDimension(i7));
    }

    public boolean T1() {
        return this.G0;
    }

    public void T2(@Nullable Drawable drawable) {
        Drawable x12 = x1();
        if (x12 != drawable) {
            float U0 = U0();
            this.R = drawable != null ? DrawableCompat.wrap(drawable).mutate() : null;
            if (b.f8312a) {
                N3();
            }
            float U02 = U0();
            L3(x12);
            if (K3()) {
                O0(this.R);
            }
            invalidateSelf();
            if (U0 != U02) {
                i2();
            }
        }
    }

    /* access modifiers changed from: package-private */
    public float U0() {
        if (K3()) {
            return this.f7483h0 + this.U + this.f7484i0;
        }
        return 0.0f;
    }

    public void U2(@Nullable CharSequence charSequence) {
        if (this.V != charSequence) {
            this.V = BidiFormatter.getInstance().unicodeWrap(charSequence);
            invalidateSelf();
        }
    }

    public boolean V1() {
        return this.W;
    }

    @Deprecated
    public void V2(boolean z7) {
        i3(z7);
    }

    @Deprecated
    public boolean W1() {
        return X1();
    }

    @Deprecated
    public void W2(@BoolRes int i7) {
        h3(i7);
    }

    /* access modifiers changed from: package-private */
    @NonNull
    public Paint.Align X0(@NonNull Rect rect, @NonNull PointF pointF) {
        pointF.set(0.0f, 0.0f);
        Paint.Align align = Paint.Align.LEFT;
        if (this.K != null) {
            float Q02 = this.f7478c0 + Q0() + this.f7481f0;
            if (DrawableCompat.getLayoutDirection(this) == 0) {
                pointF.x = ((float) rect.left) + Q02;
                align = Paint.Align.LEFT;
            } else {
                pointF.x = ((float) rect.right) - Q02;
                align = Paint.Align.RIGHT;
            }
            pointF.y = ((float) rect.centerY()) - W0();
        }
        return align;
    }

    public boolean X1() {
        return this.X;
    }

    public void X2(float f7) {
        if (this.f7484i0 != f7) {
            this.f7484i0 = f7;
            invalidateSelf();
            if (K3()) {
                i2();
            }
        }
    }

    @Deprecated
    public boolean Y1() {
        return Z1();
    }

    public void Y2(@DimenRes int i7) {
        X2(this.f7486k0.getResources().getDimension(i7));
    }

    public boolean Z1() {
        return this.L;
    }

    public void Z2(@DrawableRes int i7) {
        T2(AppCompatResources.getDrawable(this.f7486k0, i7));
    }

    @Override // com.google.android.material.internal.n.b
    public void a() {
        i2();
        invalidateSelf();
    }

    @Deprecated
    public boolean a2() {
        return c2();
    }

    public void a3(float f7) {
        if (this.U != f7) {
            this.U = f7;
            invalidateSelf();
            if (K3()) {
                i2();
            }
        }
    }

    public boolean b2() {
        return f2(this.R);
    }

    public void b3(@DimenRes int i7) {
        a3(this.f7486k0.getResources().getDimension(i7));
    }

    public boolean c2() {
        return this.Q;
    }

    public void c3(float f7) {
        if (this.f7483h0 != f7) {
            this.f7483h0 = f7;
            invalidateSelf();
            if (K3()) {
                i2();
            }
        }
    }

    /* access modifiers changed from: package-private */
    public boolean d2() {
        return this.M0;
    }

    public void d3(@DimenRes int i7) {
        c3(this.f7486k0.getResources().getDimension(i7));
    }

    @Override // com.google.android.material.shape.j
    public void draw(@NonNull Canvas canvas) {
        Rect bounds = getBounds();
        if (!bounds.isEmpty() && getAlpha() != 0) {
            int i7 = this.A0;
            int a8 = i7 < 255 ? c0.a.a(canvas, (float) bounds.left, (float) bounds.top, (float) bounds.right, (float) bounds.bottom, i7) : 0;
            f1(canvas, bounds);
            c1(canvas, bounds);
            if (this.M0) {
                super.draw(canvas);
            }
            e1(canvas, bounds);
            h1(canvas, bounds);
            d1(canvas, bounds);
            b1(canvas, bounds);
            if (this.K0) {
                j1(canvas, bounds);
            }
            g1(canvas, bounds);
            i1(canvas, bounds);
            if (this.A0 < 255) {
                canvas.restoreToCount(a8);
            }
        }
    }

    public boolean e3(@NonNull int[] iArr) {
        if (Arrays.equals(this.F0, iArr)) {
            return false;
        }
        this.F0 = iArr;
        if (K3()) {
            return j2(getState(), iArr);
        }
        return false;
    }

    public void f3(@Nullable ColorStateList colorStateList) {
        if (this.T != colorStateList) {
            this.T = colorStateList;
            if (K3()) {
                DrawableCompat.setTintList(this.R, colorStateList);
            }
            onStateChange(getState());
        }
    }

    public void g3(@ColorRes int i7) {
        f3(AppCompatResources.getColorStateList(this.f7486k0, i7));
    }

    public int getAlpha() {
        return this.A0;
    }

    @Nullable
    public ColorFilter getColorFilter() {
        return this.B0;
    }

    public int getIntrinsicHeight() {
        return (int) this.F;
    }

    public int getIntrinsicWidth() {
        return Math.min(Math.round(this.f7478c0 + Q0() + this.f7481f0 + this.f7493r0.f(O1().toString()) + this.f7482g0 + U0() + this.f7485j0), this.L0);
    }

    @Override // com.google.android.material.shape.j
    public int getOpacity() {
        return -3;
    }

    @Override // com.google.android.material.shape.j
    @TargetApi(21)
    public void getOutline(@NonNull Outline outline) {
        if (this.M0) {
            super.getOutline(outline);
            return;
        }
        Rect bounds = getBounds();
        if (!bounds.isEmpty()) {
            outline.setRoundRect(bounds, this.G);
        } else {
            outline.setRoundRect(0, 0, getIntrinsicWidth(), getIntrinsicHeight(), this.G);
        }
        outline.setAlpha(((float) getAlpha()) / 255.0f);
    }

    public void h3(@BoolRes int i7) {
        i3(this.f7486k0.getResources().getBoolean(i7));
    }

    /* access modifiers changed from: protected */
    public void i2() {
        AbstractC0084a aVar = this.I0.get();
        if (aVar != null) {
            aVar.a();
        }
    }

    public void i3(boolean z7) {
        if (this.Q != z7) {
            boolean K3 = K3();
            this.Q = z7;
            boolean K32 = K3();
            if (K3 != K32) {
                if (K32) {
                    O0(this.R);
                } else {
                    L3(this.R);
                }
                invalidateSelf();
                i2();
            }
        }
    }

    public void invalidateDrawable(@NonNull Drawable drawable) {
        Drawable.Callback callback = getCallback();
        if (callback != null) {
            callback.invalidateDrawable(this);
        }
    }

    @Override // com.google.android.material.shape.j
    public boolean isStateful() {
        return e2(this.D) || e2(this.E) || e2(this.H) || (this.G0 && e2(this.H0)) || g2(this.f7493r0.d()) || Y0() || f2(this.M) || f2(this.Y) || e2(this.D0);
    }

    public void j3(@Nullable AbstractC0084a aVar) {
        this.I0 = new WeakReference<>(aVar);
    }

    @Nullable
    public Drawable k1() {
        return this.Y;
    }

    public void k2(boolean z7) {
        if (this.W != z7) {
            this.W = z7;
            float Q02 = Q0();
            if (!z7 && this.f7500y0) {
                this.f7500y0 = false;
            }
            float Q03 = Q0();
            invalidateSelf();
            if (Q02 != Q03) {
                i2();
            }
        }
    }

    public void k3(@Nullable TextUtils.TruncateAt truncateAt) {
        this.J0 = truncateAt;
    }

    @Nullable
    public ColorStateList l1() {
        return this.Z;
    }

    public void l2(@BoolRes int i7) {
        k2(this.f7486k0.getResources().getBoolean(i7));
    }

    public void l3(@Nullable h hVar) {
        this.f7477b0 = hVar;
    }

    @Nullable
    public ColorStateList m1() {
        return this.E;
    }

    public void m2(@Nullable Drawable drawable) {
        if (this.Y != drawable) {
            float Q02 = Q0();
            this.Y = drawable;
            float Q03 = Q0();
            L3(this.Y);
            O0(this.Y);
            invalidateSelf();
            if (Q02 != Q03) {
                i2();
            }
        }
    }

    public void m3(@AnimatorRes int i7) {
        l3(h.d(this.f7486k0, i7));
    }

    public float n1() {
        return this.M0 ? R() : this.G;
    }

    @Deprecated
    public void n2(boolean z7) {
        t2(z7);
    }

    public void n3(float f7) {
        if (this.f7480e0 != f7) {
            float Q02 = Q0();
            this.f7480e0 = f7;
            float Q03 = Q0();
            invalidateSelf();
            if (Q02 != Q03) {
                i2();
            }
        }
    }

    public float o1() {
        return this.f7485j0;
    }

    @Deprecated
    public void o2(@BoolRes int i7) {
        t2(this.f7486k0.getResources().getBoolean(i7));
    }

    public void o3(@DimenRes int i7) {
        n3(this.f7486k0.getResources().getDimension(i7));
    }

    public boolean onLayoutDirectionChanged(int i7) {
        boolean onLayoutDirectionChanged = super.onLayoutDirectionChanged(i7);
        if (J3()) {
            onLayoutDirectionChanged |= DrawableCompat.setLayoutDirection(this.M, i7);
        }
        if (I3()) {
            onLayoutDirectionChanged |= DrawableCompat.setLayoutDirection(this.Y, i7);
        }
        if (K3()) {
            onLayoutDirectionChanged |= DrawableCompat.setLayoutDirection(this.R, i7);
        }
        if (!onLayoutDirectionChanged) {
            return true;
        }
        invalidateSelf();
        return true;
    }

    /* access modifiers changed from: protected */
    public boolean onLevelChange(int i7) {
        boolean onLevelChange = super.onLevelChange(i7);
        if (J3()) {
            onLevelChange |= this.M.setLevel(i7);
        }
        if (I3()) {
            onLevelChange |= this.Y.setLevel(i7);
        }
        if (K3()) {
            onLevelChange |= this.R.setLevel(i7);
        }
        if (onLevelChange) {
            invalidateSelf();
        }
        return onLevelChange;
    }

    @Override // com.google.android.material.shape.j, com.google.android.material.internal.n.b
    public boolean onStateChange(@NonNull int[] iArr) {
        if (this.M0) {
            super.onStateChange(iArr);
        }
        return j2(iArr, C1());
    }

    @Nullable
    public Drawable p1() {
        Drawable drawable = this.M;
        if (drawable != null) {
            return DrawableCompat.unwrap(drawable);
        }
        return null;
    }

    public void p2(@DrawableRes int i7) {
        m2(AppCompatResources.getDrawable(this.f7486k0, i7));
    }

    public void p3(float f7) {
        if (this.f7479d0 != f7) {
            float Q02 = Q0();
            this.f7479d0 = f7;
            float Q03 = Q0();
            invalidateSelf();
            if (Q02 != Q03) {
                i2();
            }
        }
    }

    public float q1() {
        return this.O;
    }

    public void q2(@Nullable ColorStateList colorStateList) {
        if (this.Z != colorStateList) {
            this.Z = colorStateList;
            if (Y0()) {
                DrawableCompat.setTintList(this.Y, colorStateList);
            }
            onStateChange(getState());
        }
    }

    public void q3(@DimenRes int i7) {
        p3(this.f7486k0.getResources().getDimension(i7));
    }

    @Nullable
    public ColorStateList r1() {
        return this.N;
    }

    public void r2(@ColorRes int i7) {
        q2(AppCompatResources.getColorStateList(this.f7486k0, i7));
    }

    public void r3(@Px int i7) {
        this.L0 = i7;
    }

    public float s1() {
        return this.F;
    }

    public void s2(@BoolRes int i7) {
        t2(this.f7486k0.getResources().getBoolean(i7));
    }

    public void s3(@Nullable ColorStateList colorStateList) {
        if (this.J != colorStateList) {
            this.J = colorStateList;
            M3();
            onStateChange(getState());
        }
    }

    public void scheduleDrawable(@NonNull Drawable drawable, @NonNull Runnable runnable, long j7) {
        Drawable.Callback callback = getCallback();
        if (callback != null) {
            callback.scheduleDrawable(this, runnable, j7);
        }
    }

    @Override // com.google.android.material.shape.j
    public void setAlpha(int i7) {
        if (this.A0 != i7) {
            this.A0 = i7;
            invalidateSelf();
        }
    }

    @Override // com.google.android.material.shape.j
    public void setColorFilter(@Nullable ColorFilter colorFilter) {
        if (this.B0 != colorFilter) {
            this.B0 = colorFilter;
            invalidateSelf();
        }
    }

    @Override // androidx.core.graphics.drawable.TintAwareDrawable, com.google.android.material.shape.j
    public void setTintList(@Nullable ColorStateList colorStateList) {
        if (this.D0 != colorStateList) {
            this.D0 = colorStateList;
            onStateChange(getState());
        }
    }

    @Override // androidx.core.graphics.drawable.TintAwareDrawable, com.google.android.material.shape.j
    public void setTintMode(@NonNull PorterDuff.Mode mode) {
        if (this.E0 != mode) {
            this.E0 = mode;
            this.C0 = h0.a.c(this, this.D0, mode);
            invalidateSelf();
        }
    }

    public boolean setVisible(boolean z7, boolean z8) {
        boolean visible = super.setVisible(z7, z8);
        if (J3()) {
            visible |= this.M.setVisible(z7, z8);
        }
        if (I3()) {
            visible |= this.Y.setVisible(z7, z8);
        }
        if (K3()) {
            visible |= this.R.setVisible(z7, z8);
        }
        if (visible) {
            invalidateSelf();
        }
        return visible;
    }

    public float t1() {
        return this.f7478c0;
    }

    public void t2(boolean z7) {
        if (this.X != z7) {
            boolean I3 = I3();
            this.X = z7;
            boolean I32 = I3();
            if (I3 != I32) {
                if (I32) {
                    O0(this.Y);
                } else {
                    L3(this.Y);
                }
                invalidateSelf();
                i2();
            }
        }
    }

    public void t3(@ColorRes int i7) {
        s3(AppCompatResources.getColorStateList(this.f7486k0, i7));
    }

    @Nullable
    public ColorStateList u1() {
        return this.H;
    }

    public void u2(@Nullable ColorStateList colorStateList) {
        if (this.E != colorStateList) {
            this.E = colorStateList;
            onStateChange(getState());
        }
    }

    /* access modifiers changed from: package-private */
    public void u3(boolean z7) {
        this.K0 = z7;
    }

    public void unscheduleDrawable(@NonNull Drawable drawable, @NonNull Runnable runnable) {
        Drawable.Callback callback = getCallback();
        if (callback != null) {
            callback.unscheduleDrawable(this, runnable);
        }
    }

    public float v1() {
        return this.I;
    }

    public void v2(@ColorRes int i7) {
        u2(AppCompatResources.getColorStateList(this.f7486k0, i7));
    }

    public void v3(@Nullable h hVar) {
        this.f7476a0 = hVar;
    }

    public void w1(@NonNull RectF rectF) {
        R0(getBounds(), rectF);
    }

    @Deprecated
    public void w2(float f7) {
        if (this.G != f7) {
            this.G = f7;
            setShapeAppearanceModel(getShapeAppearanceModel().w(f7));
        }
    }

    public void w3(@AnimatorRes int i7) {
        v3(h.d(this.f7486k0, i7));
    }

    @Nullable
    public Drawable x1() {
        Drawable drawable = this.R;
        if (drawable != null) {
            return DrawableCompat.unwrap(drawable);
        }
        return null;
    }

    @Deprecated
    public void x2(@DimenRes int i7) {
        w2(this.f7486k0.getResources().getDimension(i7));
    }

    public void x3(@Nullable CharSequence charSequence) {
        if (charSequence == null) {
            charSequence = "";
        }
        if (!TextUtils.equals(this.K, charSequence)) {
            this.K = charSequence;
            this.f7493r0.j(true);
            invalidateSelf();
            i2();
        }
    }

    @Nullable
    public CharSequence y1() {
        return this.V;
    }

    public void y2(float f7) {
        if (this.f7485j0 != f7) {
            this.f7485j0 = f7;
            invalidateSelf();
            i2();
        }
    }

    public void y3(@Nullable d dVar) {
        this.f7493r0.i(dVar, this.f7486k0);
    }

    public float z1() {
        return this.f7484i0;
    }

    public void z2(@DimenRes int i7) {
        y2(this.f7486k0.getResources().getDimension(i7));
    }

    public void z3(@StyleRes int i7) {
        y3(new d(this.f7486k0, i7));
    }
}
