package com.google.android.material.datepicker;

import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.core.util.ObjectsCompat;
import java.util.Arrays;

public final class CalendarConstraints implements Parcelable {
    public static final Parcelable.Creator<CalendarConstraints> CREATOR = new a();
    private final int C1;
    @NonNull

    /* renamed from: f  reason: collision with root package name */
    private final Month f7530f;
    @NonNull

    /* renamed from: g  reason: collision with root package name */
    private final Month f7531g;
    @NonNull

    /* renamed from: p  reason: collision with root package name */
    private final DateValidator f7532p;
    @Nullable

    /* renamed from: x  reason: collision with root package name */
    private Month f7533x;

    /* renamed from: y  reason: collision with root package name */
    private final int f7534y;

    public interface DateValidator extends Parcelable {
        boolean y(long j7);
    }

    static class a implements Parcelable.Creator<CalendarConstraints> {
        a() {
        }

        @NonNull
        /* renamed from: a */
        public CalendarConstraints createFromParcel(@NonNull Parcel parcel) {
            return new CalendarConstraints((Month) parcel.readParcelable(Month.class.getClassLoader()), (Month) parcel.readParcelable(Month.class.getClassLoader()), (DateValidator) parcel.readParcelable(DateValidator.class.getClassLoader()), (Month) parcel.readParcelable(Month.class.getClassLoader()), null);
        }

        @NonNull
        /* renamed from: b */
        public CalendarConstraints[] newArray(int i7) {
            return new CalendarConstraints[i7];
        }
    }

    public static final class b {

        /* renamed from: e  reason: collision with root package name */
        static final long f7535e = q.a(Month.b(1900, 0).C1);

        /* renamed from: f  reason: collision with root package name */
        static final long f7536f = q.a(Month.b(2100, 11).C1);

        /* renamed from: g  reason: collision with root package name */
        private static final String f7537g = "DEEP_COPY_VALIDATOR_KEY";

        /* renamed from: a  reason: collision with root package name */
        private long f7538a = f7535e;

        /* renamed from: b  reason: collision with root package name */
        private long f7539b = f7536f;

        /* renamed from: c  reason: collision with root package name */
        private Long f7540c;

        /* renamed from: d  reason: collision with root package name */
        private DateValidator f7541d = DateValidatorPointForward.a(Long.MIN_VALUE);

        public b() {
        }

        @NonNull
        public CalendarConstraints a() {
            Bundle bundle = new Bundle();
            bundle.putParcelable(f7537g, this.f7541d);
            Month j7 = Month.j(this.f7538a);
            Month j8 = Month.j(this.f7539b);
            DateValidator dateValidator = (DateValidator) bundle.getParcelable(f7537g);
            Long l7 = this.f7540c;
            return new CalendarConstraints(j7, j8, dateValidator, l7 == null ? null : Month.j(l7.longValue()), null);
        }

        @NonNull
        public b b(long j7) {
            this.f7539b = j7;
            return this;
        }

        @NonNull
        public b c(long j7) {
            this.f7540c = Long.valueOf(j7);
            return this;
        }

        @NonNull
        public b d(long j7) {
            this.f7538a = j7;
            return this;
        }

        @NonNull
        public b e(@NonNull DateValidator dateValidator) {
            this.f7541d = dateValidator;
            return this;
        }

        b(@NonNull CalendarConstraints calendarConstraints) {
            this.f7538a = calendarConstraints.f7530f.C1;
            this.f7539b = calendarConstraints.f7531g.C1;
            this.f7540c = Long.valueOf(calendarConstraints.f7533x.C1);
            this.f7541d = calendarConstraints.f7532p;
        }
    }

    private CalendarConstraints(@NonNull Month month, @NonNull Month month2, @NonNull DateValidator dateValidator, @Nullable Month month3) {
        this.f7530f = month;
        this.f7531g = month2;
        this.f7533x = month3;
        this.f7532p = dateValidator;
        if (month3 != null && month.compareTo(month3) > 0) {
            throw new IllegalArgumentException("start Month cannot be after current Month");
        } else if (month3 == null || month3.compareTo(month2) <= 0) {
            this.C1 = month.v(month2) + 1;
            this.f7534y = (month2.f7554p - month.f7554p) + 1;
        } else {
            throw new IllegalArgumentException("current Month cannot be after end Month");
        }
    }

    public int describeContents() {
        return 0;
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof CalendarConstraints)) {
            return false;
        }
        CalendarConstraints calendarConstraints = (CalendarConstraints) obj;
        return this.f7530f.equals(calendarConstraints.f7530f) && this.f7531g.equals(calendarConstraints.f7531g) && ObjectsCompat.equals(this.f7533x, calendarConstraints.f7533x) && this.f7532p.equals(calendarConstraints.f7532p);
    }

    public int hashCode() {
        return Arrays.hashCode(new Object[]{this.f7530f, this.f7531g, this.f7533x, this.f7532p});
    }

    /* access modifiers changed from: package-private */
    public Month m(Month month) {
        return month.compareTo(this.f7530f) < 0 ? this.f7530f : month.compareTo(this.f7531g) > 0 ? this.f7531g : month;
    }

    public DateValidator n() {
        return this.f7532p;
    }

    /* access modifiers changed from: package-private */
    @NonNull
    public Month o() {
        return this.f7531g;
    }

    /* access modifiers changed from: package-private */
    public int q() {
        return this.C1;
    }

    /* access modifiers changed from: package-private */
    @Nullable
    public Month r() {
        return this.f7533x;
    }

    /* access modifiers changed from: package-private */
    @NonNull
    public Month s() {
        return this.f7530f;
    }

    /* access modifiers changed from: package-private */
    public int t() {
        return this.f7534y;
    }

    /* access modifiers changed from: package-private */
    public boolean u(long j7) {
        if (this.f7530f.o(1) <= j7) {
            Month month = this.f7531g;
            if (j7 <= month.o(month.f7556y)) {
                return true;
            }
        }
        return false;
    }

    /* access modifiers changed from: package-private */
    public void v(@Nullable Month month) {
        this.f7533x = month;
    }

    public void writeToParcel(Parcel parcel, int i7) {
        parcel.writeParcelable(this.f7530f, 0);
        parcel.writeParcelable(this.f7531g, 0);
        parcel.writeParcelable(this.f7533x, 0);
        parcel.writeParcelable(this.f7532p, 0);
    }

    /* synthetic */ CalendarConstraints(Month month, Month month2, DateValidator dateValidator, Month month3, a aVar) {
        this(month, month2, dateValidator, month3);
    }
}
