package com.google.android.material.datepicker;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.util.AttributeSet;
import android.view.KeyEvent;
import android.view.View;
import android.widget.GridView;
import android.widget.ListAdapter;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.core.util.Pair;
import androidx.core.view.AccessibilityDelegateCompat;
import androidx.core.view.ViewCompat;
import androidx.core.view.accessibility.AccessibilityNodeInfoCompat;
import b0.a;
import com.google.android.material.internal.y;
import java.util.Calendar;

/* access modifiers changed from: package-private */
public final class MaterialCalendarGridView extends GridView {

    /* renamed from: a  reason: collision with root package name */
    private final Calendar f7549a;

    /* renamed from: b  reason: collision with root package name */
    private final boolean f7550b;

    class a extends AccessibilityDelegateCompat {
        a() {
        }

        @Override // androidx.core.view.AccessibilityDelegateCompat
        public void onInitializeAccessibilityNodeInfo(View view, @NonNull AccessibilityNodeInfoCompat accessibilityNodeInfoCompat) {
            super.onInitializeAccessibilityNodeInfo(view, accessibilityNodeInfoCompat);
            accessibilityNodeInfoCompat.setCollectionInfo(null);
        }
    }

    public MaterialCalendarGridView(Context context) {
        this(context, null);
    }

    private void a(int i7, Rect rect) {
        int b7;
        if (i7 == 33) {
            b7 = getAdapter().i();
        } else if (i7 == 130) {
            b7 = getAdapter().b();
        } else {
            super.onFocusChanged(true, i7, rect);
            return;
        }
        setSelection(b7);
    }

    private static int c(@NonNull View view) {
        return view.getLeft() + (view.getWidth() / 2);
    }

    private static boolean d(@Nullable Long l7, @Nullable Long l8, @Nullable Long l9, @Nullable Long l10) {
        return l7 == null || l8 == null || l9 == null || l10 == null || l9.longValue() > l8.longValue() || l10.longValue() < l7.longValue();
    }

    @NonNull
    /* renamed from: b */
    public k getAdapter() {
        return (k) super.getAdapter();
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        getAdapter().notifyDataSetChanged();
    }

    /* access modifiers changed from: protected */
    public final void onDraw(@NonNull Canvas canvas) {
        int i7;
        int i8;
        int i9;
        int i10;
        int i11;
        int i12;
        MaterialCalendarGridView materialCalendarGridView = this;
        super.onDraw(canvas);
        k b7 = getAdapter();
        DateSelector<?> dateSelector = b7.f7693b;
        b bVar = b7.f7695d;
        Long c7 = b7.getItem(b7.b());
        Long c8 = b7.getItem(b7.i());
        for (Pair<Long, Long> pair : dateSelector.e()) {
            F f7 = pair.first;
            if (f7 != null) {
                if (pair.second != null) {
                    long longValue = f7.longValue();
                    long longValue2 = pair.second.longValue();
                    if (!d(c7, c8, Long.valueOf(longValue), Long.valueOf(longValue2))) {
                        boolean j7 = y.j(this);
                        if (longValue < c7.longValue()) {
                            i8 = b7.b();
                            if (b7.f(i8)) {
                                i7 = 0;
                            } else {
                                View childAt = materialCalendarGridView.getChildAt(i8 - 1);
                                i7 = !j7 ? childAt.getRight() : childAt.getLeft();
                            }
                        } else {
                            materialCalendarGridView.f7549a.setTimeInMillis(longValue);
                            i8 = b7.a(materialCalendarGridView.f7549a.get(5));
                            i7 = c(materialCalendarGridView.getChildAt(i8));
                        }
                        if (longValue2 > c8.longValue()) {
                            i10 = Math.min(b7.i(), getChildCount() - 1);
                            if (b7.g(i10)) {
                                i9 = getWidth();
                            } else {
                                View childAt2 = materialCalendarGridView.getChildAt(i10);
                                i9 = !j7 ? childAt2.getRight() : childAt2.getLeft();
                            }
                        } else {
                            materialCalendarGridView.f7549a.setTimeInMillis(longValue2);
                            i10 = b7.a(materialCalendarGridView.f7549a.get(5));
                            i9 = c(materialCalendarGridView.getChildAt(i10));
                        }
                        int itemId = (int) b7.getItemId(i8);
                        int itemId2 = (int) b7.getItemId(i10);
                        while (itemId <= itemId2) {
                            int numColumns = getNumColumns() * itemId;
                            int numColumns2 = (getNumColumns() + numColumns) - 1;
                            View childAt3 = materialCalendarGridView.getChildAt(numColumns);
                            int top = childAt3.getTop() + bVar.f7579a.e();
                            int bottom = childAt3.getBottom() - bVar.f7579a.b();
                            if (!j7) {
                                i12 = numColumns > i8 ? 0 : i7;
                                i11 = i10 > numColumns2 ? getWidth() : i9;
                            } else {
                                int i13 = i10 > numColumns2 ? 0 : i9;
                                i11 = numColumns > i8 ? getWidth() : i7;
                                i12 = i13;
                            }
                            canvas.drawRect((float) i12, (float) top, (float) i11, (float) bottom, bVar.f7586h);
                            itemId++;
                            materialCalendarGridView = this;
                            b7 = b7;
                        }
                    }
                }
            }
            materialCalendarGridView = this;
        }
    }

    /* access modifiers changed from: protected */
    public void onFocusChanged(boolean z7, int i7, Rect rect) {
        if (z7) {
            a(i7, rect);
        } else {
            super.onFocusChanged(false, i7, rect);
        }
    }

    public boolean onKeyDown(int i7, KeyEvent keyEvent) {
        if (!super.onKeyDown(i7, keyEvent)) {
            return false;
        }
        if (getSelectedItemPosition() == -1 || getSelectedItemPosition() >= getAdapter().b()) {
            return true;
        }
        if (19 != i7) {
            return false;
        }
        setSelection(getAdapter().b());
        return true;
    }

    public void onMeasure(int i7, int i8) {
        if (this.f7550b) {
            super.onMeasure(i7, View.MeasureSpec.makeMeasureSpec(ViewCompat.MEASURED_SIZE_MASK, Integer.MIN_VALUE));
            getLayoutParams().height = getMeasuredHeight();
            return;
        }
        super.onMeasure(i7, i8);
    }

    public void setSelection(int i7) {
        if (i7 < getAdapter().b()) {
            i7 = getAdapter().b();
        }
        super.setSelection(i7);
    }

    public MaterialCalendarGridView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    @Override // android.widget.GridView, android.widget.AbsListView
    public final void setAdapter(ListAdapter listAdapter) {
        if (listAdapter instanceof k) {
            super.setAdapter(listAdapter);
        } else {
            throw new IllegalArgumentException(String.format("%1$s must have its Adapter set to a %2$s", MaterialCalendarGridView.class.getCanonicalName(), k.class.getCanonicalName()));
        }
    }

    public MaterialCalendarGridView(Context context, AttributeSet attributeSet, int i7) {
        super(context, attributeSet, i7);
        this.f7549a = q.v();
        if (g.J(getContext())) {
            setNextFocusLeftId(a.h.B0);
            setNextFocusRightId(a.h.P0);
        }
        this.f7550b = g.K(getContext());
        ViewCompat.setAccessibilityDelegate(this, new a());
    }
}
