package com.google.android.material.datepicker;

import android.content.Context;
import android.os.Parcel;
import android.os.Parcelable;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import java.util.Arrays;
import java.util.Calendar;
import java.util.GregorianCalendar;

/* access modifiers changed from: package-private */
public final class Month implements Comparable<Month>, Parcelable {
    public static final Parcelable.Creator<Month> CREATOR = new a();
    final long C1;
    @Nullable
    private String C2;
    @NonNull

    /* renamed from: f  reason: collision with root package name */
    private final Calendar f7552f;

    /* renamed from: g  reason: collision with root package name */
    final int f7553g;

    /* renamed from: p  reason: collision with root package name */
    final int f7554p;

    /* renamed from: x  reason: collision with root package name */
    final int f7555x;

    /* renamed from: y  reason: collision with root package name */
    final int f7556y;

    static class a implements Parcelable.Creator<Month> {
        a() {
        }

        @NonNull
        /* renamed from: a */
        public Month createFromParcel(@NonNull Parcel parcel) {
            return Month.b(parcel.readInt(), parcel.readInt());
        }

        @NonNull
        /* renamed from: b */
        public Month[] newArray(int i7) {
            return new Month[i7];
        }
    }

    private Month(@NonNull Calendar calendar) {
        calendar.set(5, 1);
        Calendar f7 = q.f(calendar);
        this.f7552f = f7;
        this.f7553g = f7.get(2);
        this.f7554p = f7.get(1);
        this.f7555x = f7.getMaximum(7);
        this.f7556y = f7.getActualMaximum(5);
        this.C1 = f7.getTimeInMillis();
    }

    @NonNull
    static Month b(int i7, int i8) {
        Calendar v7 = q.v();
        v7.set(1, i7);
        v7.set(2, i8);
        return new Month(v7);
    }

    @NonNull
    static Month j(long j7) {
        Calendar v7 = q.v();
        v7.setTimeInMillis(j7);
        return new Month(v7);
    }

    @NonNull
    static Month l() {
        return new Month(q.t());
    }

    /* renamed from: a */
    public int compareTo(@NonNull Month month) {
        return this.f7552f.compareTo(month.f7552f);
    }

    public int describeContents() {
        return 0;
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof Month)) {
            return false;
        }
        Month month = (Month) obj;
        return this.f7553g == month.f7553g && this.f7554p == month.f7554p;
    }

    public int hashCode() {
        return Arrays.hashCode(new Object[]{Integer.valueOf(this.f7553g), Integer.valueOf(this.f7554p)});
    }

    /* access modifiers changed from: package-private */
    public int m() {
        int firstDayOfWeek = this.f7552f.get(7) - this.f7552f.getFirstDayOfWeek();
        return firstDayOfWeek < 0 ? firstDayOfWeek + this.f7555x : firstDayOfWeek;
    }

    /* access modifiers changed from: package-private */
    public long o(int i7) {
        Calendar f7 = q.f(this.f7552f);
        f7.set(5, i7);
        return f7.getTimeInMillis();
    }

    /* access modifiers changed from: package-private */
    public int q(long j7) {
        Calendar f7 = q.f(this.f7552f);
        f7.setTimeInMillis(j7);
        return f7.get(5);
    }

    /* access modifiers changed from: package-private */
    @NonNull
    public String r(Context context) {
        if (this.C2 == null) {
            this.C2 = d.i(context, this.f7552f.getTimeInMillis());
        }
        return this.C2;
    }

    /* access modifiers changed from: package-private */
    public long s() {
        return this.f7552f.getTimeInMillis();
    }

    /* access modifiers changed from: package-private */
    @NonNull
    public Month u(int i7) {
        Calendar f7 = q.f(this.f7552f);
        f7.add(2, i7);
        return new Month(f7);
    }

    /* access modifiers changed from: package-private */
    public int v(@NonNull Month month) {
        if (this.f7552f instanceof GregorianCalendar) {
            return ((month.f7554p - this.f7554p) * 12) + (month.f7553g - this.f7553g);
        }
        throw new IllegalArgumentException("Only Gregorian calendars are supported.");
    }

    public void writeToParcel(@NonNull Parcel parcel, int i7) {
        parcel.writeInt(this.f7554p);
        parcel.writeInt(this.f7553g);
    }
}
