package com.google.android.material.datepicker;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.InsetDrawable;
import android.graphics.drawable.RippleDrawable;
import android.widget.TextView;
import androidx.annotation.NonNull;
import androidx.annotation.StyleRes;
import androidx.core.util.Preconditions;
import androidx.core.view.ViewCompat;
import b0.a;
import com.google.android.material.resources.c;
import com.google.android.material.shape.j;
import com.google.android.material.shape.o;

final class a {
    @NonNull

    /* renamed from: a  reason: collision with root package name */
    private final Rect f7573a;

    /* renamed from: b  reason: collision with root package name */
    private final ColorStateList f7574b;

    /* renamed from: c  reason: collision with root package name */
    private final ColorStateList f7575c;

    /* renamed from: d  reason: collision with root package name */
    private final ColorStateList f7576d;

    /* renamed from: e  reason: collision with root package name */
    private final int f7577e;

    /* renamed from: f  reason: collision with root package name */
    private final o f7578f;

    private a(ColorStateList colorStateList, ColorStateList colorStateList2, ColorStateList colorStateList3, int i7, o oVar, @NonNull Rect rect) {
        Preconditions.checkArgumentNonnegative(rect.left);
        Preconditions.checkArgumentNonnegative(rect.top);
        Preconditions.checkArgumentNonnegative(rect.right);
        Preconditions.checkArgumentNonnegative(rect.bottom);
        this.f7573a = rect;
        this.f7574b = colorStateList2;
        this.f7575c = colorStateList;
        this.f7576d = colorStateList3;
        this.f7577e = i7;
        this.f7578f = oVar;
    }

    @NonNull
    static a a(@NonNull Context context, @StyleRes int i7) {
        Preconditions.checkArgument(i7 != 0, "Cannot create a CalendarItemStyle with a styleResId of 0");
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(i7, a.o.Mj);
        Rect rect = new Rect(obtainStyledAttributes.getDimensionPixelOffset(a.o.Nj, 0), obtainStyledAttributes.getDimensionPixelOffset(a.o.Pj, 0), obtainStyledAttributes.getDimensionPixelOffset(a.o.Oj, 0), obtainStyledAttributes.getDimensionPixelOffset(a.o.Qj, 0));
        ColorStateList a8 = c.a(context, obtainStyledAttributes, a.o.Rj);
        ColorStateList a9 = c.a(context, obtainStyledAttributes, a.o.Wj);
        ColorStateList a10 = c.a(context, obtainStyledAttributes, a.o.Uj);
        int dimensionPixelSize = obtainStyledAttributes.getDimensionPixelSize(a.o.Vj, 0);
        o m7 = o.b(context, obtainStyledAttributes.getResourceId(a.o.Sj, 0), obtainStyledAttributes.getResourceId(a.o.Tj, 0)).m();
        obtainStyledAttributes.recycle();
        return new a(a8, a9, a10, dimensionPixelSize, m7, rect);
    }

    /* access modifiers changed from: package-private */
    public int b() {
        return this.f7573a.bottom;
    }

    /* access modifiers changed from: package-private */
    public int c() {
        return this.f7573a.left;
    }

    /* access modifiers changed from: package-private */
    public int d() {
        return this.f7573a.right;
    }

    /* access modifiers changed from: package-private */
    public int e() {
        return this.f7573a.top;
    }

    /* access modifiers changed from: package-private */
    public void f(@NonNull TextView textView) {
        j jVar = new j();
        j jVar2 = new j();
        jVar.setShapeAppearanceModel(this.f7578f);
        jVar2.setShapeAppearanceModel(this.f7578f);
        jVar.n0(this.f7575c);
        jVar.D0((float) this.f7577e, this.f7576d);
        textView.setTextColor(this.f7574b);
        RippleDrawable rippleDrawable = new RippleDrawable(this.f7574b.withAlpha(30), jVar, jVar2);
        Rect rect = this.f7573a;
        ViewCompat.setBackground(textView, new InsetDrawable((Drawable) rippleDrawable, rect.left, rect.top, rect.right, rect.bottom));
    }
}
