package com.google.android.material.datepicker;

import android.content.Context;
import android.graphics.Canvas;
import android.os.Bundle;
import android.view.ContextThemeWrapper;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.GridView;
import android.widget.ListAdapter;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.Px;
import androidx.annotation.RestrictTo;
import androidx.annotation.StyleRes;
import androidx.annotation.VisibleForTesting;
import androidx.core.util.Pair;
import androidx.core.view.AccessibilityDelegateCompat;
import androidx.core.view.ViewCompat;
import androidx.core.view.accessibility.AccessibilityNodeInfoCompat;
import androidx.recyclerview.widget.GridLayoutManager;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.PagerSnapHelper;
import androidx.recyclerview.widget.RecyclerView;
import b0.a;
import com.google.android.material.button.MaterialButton;
import java.util.Calendar;
import java.util.Iterator;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
public final class f<S> extends n<S> {

    /* renamed from: l  reason: collision with root package name */
    private static final String f7603l = "THEME_RES_ID_KEY";

    /* renamed from: m  reason: collision with root package name */
    private static final String f7604m = "GRID_SELECTOR_KEY";

    /* renamed from: n  reason: collision with root package name */
    private static final String f7605n = "CALENDAR_CONSTRAINTS_KEY";

    /* renamed from: o  reason: collision with root package name */
    private static final String f7606o = "CURRENT_MONTH_KEY";

    /* renamed from: p  reason: collision with root package name */
    private static final int f7607p = 3;
    @VisibleForTesting

    /* renamed from: q  reason: collision with root package name */
    static final Object f7608q = "MONTHS_VIEW_GROUP_TAG";
    @VisibleForTesting

    /* renamed from: r  reason: collision with root package name */
    static final Object f7609r = "NAVIGATION_PREV_TAG";
    @VisibleForTesting

    /* renamed from: s  reason: collision with root package name */
    static final Object f7610s = "NAVIGATION_NEXT_TAG";
    @VisibleForTesting

    /* renamed from: t  reason: collision with root package name */
    static final Object f7611t = "SELECTOR_TOGGLE_TAG";
    @StyleRes

    /* renamed from: b  reason: collision with root package name */
    private int f7612b;
    @Nullable

    /* renamed from: c  reason: collision with root package name */
    private DateSelector<S> f7613c;
    @Nullable

    /* renamed from: d  reason: collision with root package name */
    private CalendarConstraints f7614d;
    @Nullable

    /* renamed from: e  reason: collision with root package name */
    private Month f7615e;

    /* renamed from: f  reason: collision with root package name */
    private k f7616f;

    /* renamed from: g  reason: collision with root package name */
    private b f7617g;

    /* renamed from: h  reason: collision with root package name */
    private RecyclerView f7618h;

    /* renamed from: i  reason: collision with root package name */
    private RecyclerView f7619i;

    /* renamed from: j  reason: collision with root package name */
    private View f7620j;

    /* renamed from: k  reason: collision with root package name */
    private View f7621k;

    /* access modifiers changed from: package-private */
    public class a implements Runnable {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ int f7622f;

        a(int i7) {
            this.f7622f = i7;
        }

        public void run() {
            f.this.f7619i.smoothScrollToPosition(this.f7622f);
        }
    }

    class b extends AccessibilityDelegateCompat {
        b() {
        }

        @Override // androidx.core.view.AccessibilityDelegateCompat
        public void onInitializeAccessibilityNodeInfo(View view, @NonNull AccessibilityNodeInfoCompat accessibilityNodeInfoCompat) {
            super.onInitializeAccessibilityNodeInfo(view, accessibilityNodeInfoCompat);
            accessibilityNodeInfoCompat.setCollectionInfo(null);
        }
    }

    class c extends o {

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ int f7625b;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        c(Context context, int i7, boolean z7, int i8) {
            super(context, i7, z7);
            this.f7625b = i8;
        }

        /* access modifiers changed from: protected */
        @Override // androidx.recyclerview.widget.LinearLayoutManager
        public void calculateExtraLayoutSpace(@NonNull RecyclerView.State state, @NonNull int[] iArr) {
            if (this.f7625b == 0) {
                iArr[0] = f.this.f7619i.getWidth();
                iArr[1] = f.this.f7619i.getWidth();
                return;
            }
            iArr[0] = f.this.f7619i.getHeight();
            iArr[1] = f.this.f7619i.getHeight();
        }
    }

    class d implements l {
        d() {
        }

        @Override // com.google.android.material.datepicker.f.l
        public void a(long j7) {
            if (f.this.f7614d.n().y(j7)) {
                f.this.f7613c.G(j7);
                Iterator<m<S>> it = f.this.f7706a.iterator();
                while (it.hasNext()) {
                    it.next().b((S) f.this.f7613c.B());
                }
                f.this.f7619i.getAdapter().notifyDataSetChanged();
                if (f.this.f7618h != null) {
                    f.this.f7618h.getAdapter().notifyDataSetChanged();
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class e extends RecyclerView.ItemDecoration {

        /* renamed from: a  reason: collision with root package name */
        private final Calendar f7628a = q.v();

        /* renamed from: b  reason: collision with root package name */
        private final Calendar f7629b = q.v();

        e() {
        }

        @Override // androidx.recyclerview.widget.RecyclerView.ItemDecoration
        public void onDraw(@NonNull Canvas canvas, @NonNull RecyclerView recyclerView, @NonNull RecyclerView.State state) {
            if ((recyclerView.getAdapter() instanceof r) && (recyclerView.getLayoutManager() instanceof GridLayoutManager)) {
                r rVar = (r) recyclerView.getAdapter();
                GridLayoutManager gridLayoutManager = (GridLayoutManager) recyclerView.getLayoutManager();
                for (Pair<Long, Long> pair : f.this.f7613c.e()) {
                    F f7 = pair.first;
                    if (!(f7 == null || pair.second == null)) {
                        this.f7628a.setTimeInMillis(f7.longValue());
                        this.f7629b.setTimeInMillis(pair.second.longValue());
                        int n7 = rVar.n(this.f7628a.get(1));
                        int n8 = rVar.n(this.f7629b.get(1));
                        View findViewByPosition = gridLayoutManager.findViewByPosition(n7);
                        View findViewByPosition2 = gridLayoutManager.findViewByPosition(n8);
                        int spanCount = n7 / gridLayoutManager.getSpanCount();
                        int spanCount2 = n8 / gridLayoutManager.getSpanCount();
                        int i7 = spanCount;
                        while (i7 <= spanCount2) {
                            View findViewByPosition3 = gridLayoutManager.findViewByPosition(gridLayoutManager.getSpanCount() * i7);
                            if (findViewByPosition3 != null) {
                                canvas.drawRect((float) (i7 == spanCount ? findViewByPosition.getLeft() + (findViewByPosition.getWidth() / 2) : 0), (float) (findViewByPosition3.getTop() + f.this.f7617g.f7582d.e()), (float) (i7 == spanCount2 ? findViewByPosition2.getLeft() + (findViewByPosition2.getWidth() / 2) : recyclerView.getWidth()), (float) (findViewByPosition3.getBottom() - f.this.f7617g.f7582d.b()), f.this.f7617g.f7586h);
                            }
                            i7++;
                        }
                    }
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: com.google.android.material.datepicker.f$f  reason: collision with other inner class name */
    public class C0086f extends AccessibilityDelegateCompat {
        C0086f() {
        }

        @Override // androidx.core.view.AccessibilityDelegateCompat
        public void onInitializeAccessibilityNodeInfo(View view, @NonNull AccessibilityNodeInfoCompat accessibilityNodeInfoCompat) {
            super.onInitializeAccessibilityNodeInfo(view, accessibilityNodeInfoCompat);
            accessibilityNodeInfoCompat.setHintText(f.this.getString(f.this.f7621k.getVisibility() == 0 ? a.m.S0 : a.m.Q0));
        }
    }

    /* access modifiers changed from: package-private */
    public class g extends RecyclerView.OnScrollListener {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ l f7632a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ MaterialButton f7633b;

        g(l lVar, MaterialButton materialButton) {
            this.f7632a = lVar;
            this.f7633b = materialButton;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.OnScrollListener
        public void onScrollStateChanged(@NonNull RecyclerView recyclerView, int i7) {
            if (i7 == 0) {
                recyclerView.announceForAccessibility(this.f7633b.getText());
            }
        }

        @Override // androidx.recyclerview.widget.RecyclerView.OnScrollListener
        public void onScrolled(@NonNull RecyclerView recyclerView, int i7, int i8) {
            LinearLayoutManager D = f.this.D();
            int findFirstVisibleItemPosition = i7 < 0 ? D.findFirstVisibleItemPosition() : D.findLastVisibleItemPosition();
            f.this.f7615e = this.f7632a.m(findFirstVisibleItemPosition);
            this.f7633b.setText(this.f7632a.n(findFirstVisibleItemPosition));
        }
    }

    /* access modifiers changed from: package-private */
    public class h implements View.OnClickListener {
        h() {
        }

        public void onClick(View view) {
            f.this.I();
        }
    }

    /* access modifiers changed from: package-private */
    public class i implements View.OnClickListener {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ l f7636a;

        i(l lVar) {
            this.f7636a = lVar;
        }

        public void onClick(View view) {
            int findFirstVisibleItemPosition = f.this.D().findFirstVisibleItemPosition() + 1;
            if (findFirstVisibleItemPosition < f.this.f7619i.getAdapter().getItemCount()) {
                f.this.G(this.f7636a.m(findFirstVisibleItemPosition));
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class j implements View.OnClickListener {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ l f7638a;

        j(l lVar) {
            this.f7638a = lVar;
        }

        public void onClick(View view) {
            int findLastVisibleItemPosition = f.this.D().findLastVisibleItemPosition() - 1;
            if (findLastVisibleItemPosition >= 0) {
                f.this.G(this.f7638a.m(findLastVisibleItemPosition));
            }
        }
    }

    /* access modifiers changed from: package-private */
    public enum k {
        DAY,
        YEAR
    }

    /* access modifiers changed from: package-private */
    public interface l {
        void a(long j7);
    }

    @Px
    static int C(@NonNull Context context) {
        return context.getResources().getDimensionPixelSize(a.f.E3);
    }

    @NonNull
    public static <T> f<T> E(@NonNull DateSelector<T> dateSelector, @StyleRes int i7, @NonNull CalendarConstraints calendarConstraints) {
        f<T> fVar = new f<>();
        Bundle bundle = new Bundle();
        bundle.putInt(f7603l, i7);
        bundle.putParcelable(f7604m, dateSelector);
        bundle.putParcelable(f7605n, calendarConstraints);
        bundle.putParcelable(f7606o, calendarConstraints.r());
        fVar.setArguments(bundle);
        return fVar;
    }

    private void F(int i7) {
        this.f7619i.post(new a(i7));
    }

    private void x(@NonNull View view, @NonNull l lVar) {
        MaterialButton materialButton = (MaterialButton) view.findViewById(a.h.M2);
        materialButton.setTag(f7611t);
        ViewCompat.setAccessibilityDelegate(materialButton, new C0086f());
        MaterialButton materialButton2 = (MaterialButton) view.findViewById(a.h.O2);
        materialButton2.setTag(f7609r);
        MaterialButton materialButton3 = (MaterialButton) view.findViewById(a.h.N2);
        materialButton3.setTag(f7610s);
        this.f7620j = view.findViewById(a.h.Z2);
        this.f7621k = view.findViewById(a.h.S2);
        H(k.DAY);
        materialButton.setText(this.f7615e.r(view.getContext()));
        this.f7619i.addOnScrollListener(new g(lVar, materialButton));
        materialButton.setOnClickListener(new h());
        materialButton3.setOnClickListener(new i(lVar));
        materialButton2.setOnClickListener(new j(lVar));
    }

    @NonNull
    private RecyclerView.ItemDecoration y() {
        return new e();
    }

    /* access modifiers changed from: package-private */
    public b A() {
        return this.f7617g;
    }

    /* access modifiers changed from: package-private */
    @Nullable
    public Month B() {
        return this.f7615e;
    }

    /* access modifiers changed from: package-private */
    @NonNull
    public LinearLayoutManager D() {
        return (LinearLayoutManager) this.f7619i.getLayoutManager();
    }

    /* access modifiers changed from: package-private */
    public void G(Month month) {
        RecyclerView recyclerView;
        int i7;
        l lVar = (l) this.f7619i.getAdapter();
        int o7 = lVar.o(month);
        int o8 = o7 - lVar.o(this.f7615e);
        boolean z7 = true;
        boolean z8 = Math.abs(o8) > 3;
        if (o8 <= 0) {
            z7 = false;
        }
        this.f7615e = month;
        if (!z8 || !z7) {
            if (z8) {
                recyclerView = this.f7619i;
                i7 = o7 + 3;
            }
            F(o7);
        }
        recyclerView = this.f7619i;
        i7 = o7 - 3;
        recyclerView.scrollToPosition(i7);
        F(o7);
    }

    /* access modifiers changed from: package-private */
    public void H(k kVar) {
        this.f7616f = kVar;
        if (kVar == k.YEAR) {
            this.f7618h.getLayoutManager().scrollToPosition(((r) this.f7618h.getAdapter()).n(this.f7615e.f7554p));
            this.f7620j.setVisibility(0);
            this.f7621k.setVisibility(8);
        } else if (kVar == k.DAY) {
            this.f7620j.setVisibility(8);
            this.f7621k.setVisibility(0);
            G(this.f7615e);
        }
    }

    /* access modifiers changed from: package-private */
    public void I() {
        k kVar = this.f7616f;
        k kVar2 = k.YEAR;
        if (kVar == kVar2) {
            H(k.DAY);
        } else if (kVar == k.DAY) {
            H(kVar2);
        }
    }

    @Override // com.google.android.material.datepicker.n
    public boolean m(@NonNull m<S> mVar) {
        return super.m(mVar);
    }

    @Override // com.google.android.material.datepicker.n
    @Nullable
    public DateSelector<S> o() {
        return this.f7613c;
    }

    @Override // androidx.fragment.app.Fragment
    public void onCreate(@Nullable Bundle bundle) {
        super.onCreate(bundle);
        if (bundle == null) {
            bundle = getArguments();
        }
        this.f7612b = bundle.getInt(f7603l);
        this.f7613c = (DateSelector) bundle.getParcelable(f7604m);
        this.f7614d = (CalendarConstraints) bundle.getParcelable(f7605n);
        this.f7615e = (Month) bundle.getParcelable(f7606o);
    }

    @Override // androidx.fragment.app.Fragment
    @NonNull
    public View onCreateView(@NonNull LayoutInflater layoutInflater, @Nullable ViewGroup viewGroup, @Nullable Bundle bundle) {
        int i7;
        int i8;
        ContextThemeWrapper contextThemeWrapper = new ContextThemeWrapper(getContext(), this.f7612b);
        this.f7617g = new b(contextThemeWrapper);
        LayoutInflater cloneInContext = layoutInflater.cloneInContext(contextThemeWrapper);
        Month s7 = this.f7614d.s();
        if (g.J(contextThemeWrapper)) {
            i8 = a.k.f1552u0;
            i7 = 1;
        } else {
            i8 = a.k.f1542p0;
            i7 = 0;
        }
        View inflate = cloneInContext.inflate(i8, viewGroup, false);
        GridView gridView = (GridView) inflate.findViewById(a.h.T2);
        ViewCompat.setAccessibilityDelegate(gridView, new b());
        gridView.setAdapter((ListAdapter) new e());
        gridView.setNumColumns(s7.f7555x);
        gridView.setEnabled(false);
        this.f7619i = (RecyclerView) inflate.findViewById(a.h.W2);
        this.f7619i.setLayoutManager(new c(getContext(), i7, false, i7));
        this.f7619i.setTag(f7608q);
        l lVar = new l(contextThemeWrapper, this.f7613c, this.f7614d, new d());
        this.f7619i.setAdapter(lVar);
        int integer = contextThemeWrapper.getResources().getInteger(a.i.f1487v);
        RecyclerView recyclerView = (RecyclerView) inflate.findViewById(a.h.Z2);
        this.f7618h = recyclerView;
        if (recyclerView != null) {
            recyclerView.setHasFixedSize(true);
            this.f7618h.setLayoutManager(new GridLayoutManager((Context) contextThemeWrapper, integer, 1, false));
            this.f7618h.setAdapter(new r(this));
            this.f7618h.addItemDecoration(y());
        }
        if (inflate.findViewById(a.h.M2) != null) {
            x(inflate, lVar);
        }
        if (!g.J(contextThemeWrapper)) {
            new PagerSnapHelper().attachToRecyclerView(this.f7619i);
        }
        this.f7619i.scrollToPosition(lVar.o(this.f7615e));
        return inflate;
    }

    @Override // androidx.fragment.app.Fragment
    public void onSaveInstanceState(@NonNull Bundle bundle) {
        super.onSaveInstanceState(bundle);
        bundle.putInt(f7603l, this.f7612b);
        bundle.putParcelable(f7604m, this.f7613c);
        bundle.putParcelable(f7605n, this.f7614d);
        bundle.putParcelable(f7606o, this.f7615e);
    }

    /* access modifiers changed from: package-private */
    @Nullable
    public CalendarConstraints z() {
        return this.f7614d;
    }
}
