package com.google.android.material.datepicker;

import android.app.Dialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.InsetDrawable;
import android.graphics.drawable.StateListDrawable;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.Window;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.annotation.StringRes;
import androidx.annotation.StyleRes;
import androidx.appcompat.content.res.AppCompatResources;
import androidx.core.util.Pair;
import androidx.core.view.ViewCompat;
import androidx.fragment.app.DialogFragment;
import androidx.fragment.app.FragmentTransaction;
import b0.a;
import com.google.android.material.datepicker.CalendarConstraints;
import com.google.android.material.internal.CheckableImageButton;
import com.google.android.material.shape.j;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.util.Iterator;
import java.util.LinkedHashSet;

public final class g<S> extends DialogFragment {
    public static final int A = 0;
    public static final int B = 1;

    /* renamed from: r  reason: collision with root package name */
    private static final String f7643r = "OVERRIDE_THEME_RES_ID";

    /* renamed from: s  reason: collision with root package name */
    private static final String f7644s = "DATE_SELECTOR_KEY";

    /* renamed from: t  reason: collision with root package name */
    private static final String f7645t = "CALENDAR_CONSTRAINTS_KEY";

    /* renamed from: u  reason: collision with root package name */
    private static final String f7646u = "TITLE_TEXT_RES_ID_KEY";

    /* renamed from: v  reason: collision with root package name */
    private static final String f7647v = "TITLE_TEXT_KEY";

    /* renamed from: w  reason: collision with root package name */
    private static final String f7648w = "INPUT_MODE_KEY";

    /* renamed from: x  reason: collision with root package name */
    static final Object f7649x = "CONFIRM_BUTTON_TAG";

    /* renamed from: y  reason: collision with root package name */
    static final Object f7650y = "CANCEL_BUTTON_TAG";

    /* renamed from: z  reason: collision with root package name */
    static final Object f7651z = "TOGGLE_BUTTON_TAG";

    /* renamed from: a  reason: collision with root package name */
    private final LinkedHashSet<h<? super S>> f7652a = new LinkedHashSet<>();

    /* renamed from: b  reason: collision with root package name */
    private final LinkedHashSet<View.OnClickListener> f7653b = new LinkedHashSet<>();

    /* renamed from: c  reason: collision with root package name */
    private final LinkedHashSet<DialogInterface.OnCancelListener> f7654c = new LinkedHashSet<>();

    /* renamed from: d  reason: collision with root package name */
    private final LinkedHashSet<DialogInterface.OnDismissListener> f7655d = new LinkedHashSet<>();
    @StyleRes

    /* renamed from: e  reason: collision with root package name */
    private int f7656e;
    @Nullable

    /* renamed from: f  reason: collision with root package name */
    private DateSelector<S> f7657f;

    /* renamed from: g  reason: collision with root package name */
    private n<S> f7658g;
    @Nullable

    /* renamed from: h  reason: collision with root package name */
    private CalendarConstraints f7659h;

    /* renamed from: i  reason: collision with root package name */
    private f<S> f7660i;
    @StringRes

    /* renamed from: j  reason: collision with root package name */
    private int f7661j;

    /* renamed from: k  reason: collision with root package name */
    private CharSequence f7662k;

    /* renamed from: l  reason: collision with root package name */
    private boolean f7663l;

    /* renamed from: m  reason: collision with root package name */
    private int f7664m;

    /* renamed from: n  reason: collision with root package name */
    private TextView f7665n;

    /* renamed from: o  reason: collision with root package name */
    private CheckableImageButton f7666o;
    @Nullable

    /* renamed from: p  reason: collision with root package name */
    private j f7667p;

    /* renamed from: q  reason: collision with root package name */
    private Button f7668q;

    class a implements View.OnClickListener {
        a() {
        }

        /* JADX DEBUG: Multi-variable search result rejected for r0v2, resolved type: com.google.android.material.datepicker.h */
        /* JADX WARN: Multi-variable type inference failed */
        public void onClick(View view) {
            Iterator it = g.this.f7652a.iterator();
            while (it.hasNext()) {
                ((h) it.next()).a(g.this.G());
            }
            g.this.dismiss();
        }
    }

    class b implements View.OnClickListener {
        b() {
        }

        public void onClick(View view) {
            Iterator it = g.this.f7653b.iterator();
            while (it.hasNext()) {
                ((View.OnClickListener) it.next()).onClick(view);
            }
            g.this.dismiss();
        }
    }

    /* access modifiers changed from: package-private */
    public class c extends m<S> {
        c() {
        }

        @Override // com.google.android.material.datepicker.m
        public void a() {
            g.this.f7668q.setEnabled(false);
        }

        @Override // com.google.android.material.datepicker.m
        public void b(S s7) {
            g.this.U();
            g.this.f7668q.setEnabled(g.this.f7657f.z());
        }
    }

    /* access modifiers changed from: package-private */
    public class d implements View.OnClickListener {
        d() {
        }

        public void onClick(View view) {
            g.this.f7668q.setEnabled(g.this.f7657f.z());
            g.this.f7666o.toggle();
            g gVar = g.this;
            gVar.V(gVar.f7666o);
            g.this.R();
        }
    }

    public static final class e<S> {

        /* renamed from: a  reason: collision with root package name */
        final DateSelector<S> f7673a;

        /* renamed from: b  reason: collision with root package name */
        int f7674b = 0;

        /* renamed from: c  reason: collision with root package name */
        CalendarConstraints f7675c;

        /* renamed from: d  reason: collision with root package name */
        int f7676d = 0;

        /* renamed from: e  reason: collision with root package name */
        CharSequence f7677e = null;
        @Nullable

        /* renamed from: f  reason: collision with root package name */
        S f7678f = null;

        /* renamed from: g  reason: collision with root package name */
        int f7679g = 0;

        private e(DateSelector<S> dateSelector) {
            this.f7673a = dateSelector;
        }

        private Month b() {
            long j7 = this.f7675c.s().C1;
            long j8 = this.f7675c.o().C1;
            if (!this.f7673a.A().isEmpty()) {
                long longValue = this.f7673a.A().iterator().next().longValue();
                if (longValue >= j7 && longValue <= j8) {
                    return Month.j(longValue);
                }
            }
            long S = g.S();
            if (j7 <= S && S <= j8) {
                j7 = S;
            }
            return Month.j(j7);
        }

        @NonNull
        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
        public static <S> e<S> c(@NonNull DateSelector<S> dateSelector) {
            return new e<>(dateSelector);
        }

        @NonNull
        public static e<Long> d() {
            return new e<>(new SingleDateSelector());
        }

        @NonNull
        public static e<Pair<Long, Long>> e() {
            return new e<>(new RangeDateSelector());
        }

        @NonNull
        public g<S> a() {
            if (this.f7675c == null) {
                this.f7675c = new CalendarConstraints.b().a();
            }
            if (this.f7676d == 0) {
                this.f7676d = this.f7673a.i();
            }
            S s7 = this.f7678f;
            if (s7 != null) {
                this.f7673a.f(s7);
            }
            if (this.f7675c.r() == null) {
                this.f7675c.v(b());
            }
            return g.L(this);
        }

        @NonNull
        public e<S> f(CalendarConstraints calendarConstraints) {
            this.f7675c = calendarConstraints;
            return this;
        }

        @NonNull
        public e<S> g(int i7) {
            this.f7679g = i7;
            return this;
        }

        @NonNull
        public e<S> h(S s7) {
            this.f7678f = s7;
            return this;
        }

        @NonNull
        public e<S> i(@StyleRes int i7) {
            this.f7674b = i7;
            return this;
        }

        @NonNull
        public e<S> j(@StringRes int i7) {
            this.f7676d = i7;
            this.f7677e = null;
            return this;
        }

        @NonNull
        public e<S> k(@Nullable CharSequence charSequence) {
            this.f7677e = charSequence;
            this.f7676d = 0;
            return this;
        }
    }

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public @interface f {
    }

    @NonNull
    private static Drawable C(Context context) {
        StateListDrawable stateListDrawable = new StateListDrawable();
        stateListDrawable.addState(new int[]{16842912}, AppCompatResources.getDrawable(context, a.g.S0));
        stateListDrawable.addState(new int[0], AppCompatResources.getDrawable(context, a.g.U0));
        return stateListDrawable;
    }

    private static int D(@NonNull Context context) {
        Resources resources = context.getResources();
        int dimensionPixelSize = resources.getDimensionPixelSize(a.f.Z3) + resources.getDimensionPixelOffset(a.f.f1002a4) + resources.getDimensionPixelOffset(a.f.Y3);
        int dimensionPixelSize2 = resources.getDimensionPixelSize(a.f.J3);
        int i7 = k.f7691f;
        return dimensionPixelSize + dimensionPixelSize2 + (resources.getDimensionPixelSize(a.f.E3) * i7) + ((i7 - 1) * resources.getDimensionPixelOffset(a.f.X3)) + resources.getDimensionPixelOffset(a.f.B3);
    }

    private static int F(@NonNull Context context) {
        Resources resources = context.getResources();
        int dimensionPixelOffset = resources.getDimensionPixelOffset(a.f.C3);
        int i7 = Month.l().f7555x;
        return (dimensionPixelOffset * 2) + (resources.getDimensionPixelSize(a.f.I3) * i7) + ((i7 - 1) * resources.getDimensionPixelOffset(a.f.W3));
    }

    private int H(Context context) {
        int i7 = this.f7656e;
        return i7 != 0 ? i7 : this.f7657f.p(context);
    }

    private void I(Context context) {
        this.f7666o.setTag(f7651z);
        this.f7666o.setImageDrawable(C(context));
        this.f7666o.setChecked(this.f7664m != 0);
        ViewCompat.setAccessibilityDelegate(this.f7666o, null);
        V(this.f7666o);
        this.f7666o.setOnClickListener(new d());
    }

    static boolean J(@NonNull Context context) {
        return M(context, 16843277);
    }

    static boolean K(@NonNull Context context) {
        return M(context, a.c.Qa);
    }

    @NonNull
    static <S> g<S> L(@NonNull e<S> eVar) {
        g<S> gVar = new g<>();
        Bundle bundle = new Bundle();
        bundle.putInt(f7643r, eVar.f7674b);
        bundle.putParcelable(f7644s, eVar.f7673a);
        bundle.putParcelable(f7645t, eVar.f7675c);
        bundle.putInt(f7646u, eVar.f7676d);
        bundle.putCharSequence(f7647v, eVar.f7677e);
        bundle.putInt(f7648w, eVar.f7679g);
        gVar.setArguments(bundle);
        return gVar;
    }

    static boolean M(@NonNull Context context, int i7) {
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(com.google.android.material.resources.b.g(context, a.c.H9, f.class.getCanonicalName()), new int[]{i7});
        boolean z7 = obtainStyledAttributes.getBoolean(0, false);
        obtainStyledAttributes.recycle();
        return z7;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void R() {
        int H = H(requireContext());
        this.f7660i = f.E(this.f7657f, H, this.f7659h);
        this.f7658g = this.f7666o.isChecked() ? j.q(this.f7657f, H, this.f7659h) : this.f7660i;
        U();
        FragmentTransaction beginTransaction = getChildFragmentManager().beginTransaction();
        beginTransaction.replace(a.h.U2, this.f7658g);
        beginTransaction.commitNow();
        this.f7658g.m(new c());
    }

    public static long S() {
        return Month.l().C1;
    }

    public static long T() {
        return q.t().getTimeInMillis();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void U() {
        String E = E();
        this.f7665n.setContentDescription(String.format(getString(a.m.f1597q0), E));
        this.f7665n.setText(E);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void V(@NonNull CheckableImageButton checkableImageButton) {
        this.f7666o.setContentDescription(checkableImageButton.getContext().getString(this.f7666o.isChecked() ? a.m.P0 : a.m.R0));
    }

    public void A() {
        this.f7653b.clear();
    }

    public void B() {
        this.f7652a.clear();
    }

    public String E() {
        return this.f7657f.d(getContext());
    }

    @Nullable
    public final S G() {
        return this.f7657f.B();
    }

    public boolean N(DialogInterface.OnCancelListener onCancelListener) {
        return this.f7654c.remove(onCancelListener);
    }

    public boolean O(DialogInterface.OnDismissListener onDismissListener) {
        return this.f7655d.remove(onDismissListener);
    }

    public boolean P(View.OnClickListener onClickListener) {
        return this.f7653b.remove(onClickListener);
    }

    public boolean Q(h<? super S> hVar) {
        return this.f7652a.remove(hVar);
    }

    @Override // androidx.fragment.app.DialogFragment
    public final void onCancel(@NonNull DialogInterface dialogInterface) {
        Iterator<DialogInterface.OnCancelListener> it = this.f7654c.iterator();
        while (it.hasNext()) {
            it.next().onCancel(dialogInterface);
        }
        super.onCancel(dialogInterface);
    }

    @Override // androidx.fragment.app.Fragment, androidx.fragment.app.DialogFragment
    public final void onCreate(@Nullable Bundle bundle) {
        super.onCreate(bundle);
        if (bundle == null) {
            bundle = getArguments();
        }
        this.f7656e = bundle.getInt(f7643r);
        this.f7657f = (DateSelector) bundle.getParcelable(f7644s);
        this.f7659h = (CalendarConstraints) bundle.getParcelable(f7645t);
        this.f7661j = bundle.getInt(f7646u);
        this.f7662k = bundle.getCharSequence(f7647v);
        this.f7664m = bundle.getInt(f7648w);
    }

    @Override // androidx.fragment.app.DialogFragment
    @NonNull
    public final Dialog onCreateDialog(@Nullable Bundle bundle) {
        Dialog dialog = new Dialog(requireContext(), H(requireContext()));
        Context context = dialog.getContext();
        this.f7663l = J(context);
        int g7 = com.google.android.material.resources.b.g(context, a.c.Q2, g.class.getCanonicalName());
        j jVar = new j(context, null, a.c.H9, a.n.Eb);
        this.f7667p = jVar;
        jVar.Y(context);
        this.f7667p.n0(ColorStateList.valueOf(g7));
        this.f7667p.m0(ViewCompat.getElevation(dialog.getWindow().getDecorView()));
        return dialog;
    }

    @Override // androidx.fragment.app.Fragment
    @NonNull
    public final View onCreateView(@NonNull LayoutInflater layoutInflater, @Nullable ViewGroup viewGroup, @Nullable Bundle bundle) {
        View inflate = layoutInflater.inflate(this.f7663l ? a.k.B0 : a.k.A0, viewGroup);
        Context context = inflate.getContext();
        if (this.f7663l) {
            inflate.findViewById(a.h.U2).setLayoutParams(new LinearLayout.LayoutParams(F(context), -2));
        } else {
            View findViewById = inflate.findViewById(a.h.V2);
            View findViewById2 = inflate.findViewById(a.h.U2);
            findViewById.setLayoutParams(new LinearLayout.LayoutParams(F(context), -1));
            findViewById2.setMinimumHeight(D(requireContext()));
        }
        TextView textView = (TextView) inflate.findViewById(a.h.f1330g3);
        this.f7665n = textView;
        ViewCompat.setAccessibilityLiveRegion(textView, 1);
        this.f7666o = (CheckableImageButton) inflate.findViewById(a.h.f1344i3);
        TextView textView2 = (TextView) inflate.findViewById(a.h.f1372m3);
        CharSequence charSequence = this.f7662k;
        if (charSequence != null) {
            textView2.setText(charSequence);
        } else {
            textView2.setText(this.f7661j);
        }
        I(context);
        this.f7668q = (Button) inflate.findViewById(a.h.P0);
        if (this.f7657f.z()) {
            this.f7668q.setEnabled(true);
        } else {
            this.f7668q.setEnabled(false);
        }
        this.f7668q.setTag(f7649x);
        this.f7668q.setOnClickListener(new a());
        Button button = (Button) inflate.findViewById(a.h.B0);
        button.setTag(f7650y);
        button.setOnClickListener(new b());
        return inflate;
    }

    @Override // androidx.fragment.app.DialogFragment
    public final void onDismiss(@NonNull DialogInterface dialogInterface) {
        Iterator<DialogInterface.OnDismissListener> it = this.f7655d.iterator();
        while (it.hasNext()) {
            it.next().onDismiss(dialogInterface);
        }
        ViewGroup viewGroup = (ViewGroup) getView();
        if (viewGroup != null) {
            viewGroup.removeAllViews();
        }
        super.onDismiss(dialogInterface);
    }

    @Override // androidx.fragment.app.Fragment, androidx.fragment.app.DialogFragment
    public final void onSaveInstanceState(@NonNull Bundle bundle) {
        super.onSaveInstanceState(bundle);
        bundle.putInt(f7643r, this.f7656e);
        bundle.putParcelable(f7644s, this.f7657f);
        CalendarConstraints.b bVar = new CalendarConstraints.b(this.f7659h);
        if (this.f7660i.B() != null) {
            bVar.c(this.f7660i.B().C1);
        }
        bundle.putParcelable(f7645t, bVar.a());
        bundle.putInt(f7646u, this.f7661j);
        bundle.putCharSequence(f7647v, this.f7662k);
    }

    @Override // androidx.fragment.app.Fragment, androidx.fragment.app.DialogFragment
    public void onStart() {
        super.onStart();
        Window window = requireDialog().getWindow();
        if (this.f7663l) {
            window.setLayout(-1, -1);
            window.setBackgroundDrawable(this.f7667p);
        } else {
            window.setLayout(-2, -2);
            int dimensionPixelOffset = getResources().getDimensionPixelOffset(a.f.K3);
            Rect rect = new Rect(dimensionPixelOffset, dimensionPixelOffset, dimensionPixelOffset, dimensionPixelOffset);
            window.setBackgroundDrawable(new InsetDrawable((Drawable) this.f7667p, dimensionPixelOffset, dimensionPixelOffset, dimensionPixelOffset, dimensionPixelOffset));
            window.getDecorView().setOnTouchListener(new g0.a(requireDialog(), rect));
        }
        R();
    }

    @Override // androidx.fragment.app.Fragment, androidx.fragment.app.DialogFragment
    public void onStop() {
        this.f7658g.n();
        super.onStop();
    }

    public boolean u(DialogInterface.OnCancelListener onCancelListener) {
        return this.f7654c.add(onCancelListener);
    }

    public boolean v(DialogInterface.OnDismissListener onDismissListener) {
        return this.f7655d.add(onDismissListener);
    }

    public boolean w(View.OnClickListener onClickListener) {
        return this.f7653b.add(onClickListener);
    }

    public boolean x(h<? super S> hVar) {
        return this.f7652a.add(hVar);
    }

    public void y() {
        this.f7654c.clear();
    }

    public void z() {
        this.f7655d.clear();
    }
}
