package com.google.android.material.datepicker;

import android.annotation.TargetApi;
import android.content.res.Resources;
import android.icu.text.DateFormat;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import b0.a;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Locale;
import java.util.TimeZone;
import java.util.concurrent.atomic.AtomicReference;

/* access modifiers changed from: package-private */
public class q {

    /* renamed from: a  reason: collision with root package name */
    static final String f7712a = "UTC";

    /* renamed from: b  reason: collision with root package name */
    static AtomicReference<p> f7713b = new AtomicReference<>();

    private q() {
    }

    static void A(@Nullable p pVar) {
        f7713b.set(pVar);
    }

    static long a(long j7) {
        Calendar v7 = v();
        v7.setTimeInMillis(j7);
        return f(v7).getTimeInMillis();
    }

    private static int b(@NonNull String str, @NonNull String str2, int i7, int i8) {
        while (i8 >= 0 && i8 < str.length() && str2.indexOf(str.charAt(i8)) == -1) {
            if (str.charAt(i8) == '\'') {
                do {
                    i8 += i7;
                    if (i8 < 0 || i8 >= str.length()) {
                        break;
                    }
                } while (str.charAt(i8) != '\'');
            }
            i8 += i7;
        }
        return i8;
    }

    @TargetApi(24)
    static DateFormat c(Locale locale) {
        return e("MMMd", locale);
    }

    @TargetApi(24)
    static DateFormat d(Locale locale) {
        return e("MMMEd", locale);
    }

    @TargetApi(24)
    private static DateFormat e(String str, Locale locale) {
        DateFormat instanceForSkeleton = DateFormat.getInstanceForSkeleton(str, locale);
        instanceForSkeleton.setTimeZone(u());
        return instanceForSkeleton;
    }

    static Calendar f(Calendar calendar) {
        Calendar w7 = w(calendar);
        Calendar v7 = v();
        v7.set(w7.get(1), w7.get(2), w7.get(5));
        return v7;
    }

    private static java.text.DateFormat g(int i7, Locale locale) {
        java.text.DateFormat dateInstance = java.text.DateFormat.getDateInstance(i7, locale);
        dateInstance.setTimeZone(s());
        return dateInstance;
    }

    static java.text.DateFormat h() {
        return i(Locale.getDefault());
    }

    static java.text.DateFormat i(Locale locale) {
        return g(0, locale);
    }

    static java.text.DateFormat j() {
        return k(Locale.getDefault());
    }

    static java.text.DateFormat k(Locale locale) {
        return g(2, locale);
    }

    static java.text.DateFormat l() {
        return m(Locale.getDefault());
    }

    static java.text.DateFormat m(Locale locale) {
        SimpleDateFormat simpleDateFormat = (SimpleDateFormat) k(locale);
        simpleDateFormat.applyPattern(z(simpleDateFormat.toPattern()));
        return simpleDateFormat;
    }

    static SimpleDateFormat n(String str) {
        return o(str, Locale.getDefault());
    }

    private static SimpleDateFormat o(String str, Locale locale) {
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat(str, locale);
        simpleDateFormat.setTimeZone(s());
        return simpleDateFormat;
    }

    static SimpleDateFormat p() {
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat(((SimpleDateFormat) java.text.DateFormat.getDateInstance(3, Locale.getDefault())).toLocalizedPattern().replaceAll("\\s+", ""), Locale.getDefault());
        simpleDateFormat.setTimeZone(s());
        simpleDateFormat.setLenient(false);
        return simpleDateFormat;
    }

    static String q(Resources resources, SimpleDateFormat simpleDateFormat) {
        String localizedPattern = simpleDateFormat.toLocalizedPattern();
        return localizedPattern.replaceAll("d", resources.getString(a.m.M0)).replaceAll("M", resources.getString(a.m.N0)).replaceAll("y", resources.getString(a.m.O0));
    }

    static p r() {
        p pVar = f7713b.get();
        return pVar == null ? p.e() : pVar;
    }

    private static TimeZone s() {
        return TimeZone.getTimeZone(f7712a);
    }

    static Calendar t() {
        Calendar c7 = r().c();
        c7.set(11, 0);
        c7.set(12, 0);
        c7.set(13, 0);
        c7.set(14, 0);
        c7.setTimeZone(s());
        return c7;
    }

    @TargetApi(24)
    private static android.icu.util.TimeZone u() {
        return android.icu.util.TimeZone.getTimeZone(f7712a);
    }

    static Calendar v() {
        return w(null);
    }

    static Calendar w(@Nullable Calendar calendar) {
        Calendar instance = Calendar.getInstance(s());
        if (calendar == null) {
            instance.clear();
        } else {
            instance.setTimeInMillis(calendar.getTimeInMillis());
        }
        return instance;
    }

    @TargetApi(24)
    static DateFormat x(Locale locale) {
        return e("yMMMd", locale);
    }

    @TargetApi(24)
    static DateFormat y(Locale locale) {
        return e("yMMMEd", locale);
    }

    @NonNull
    private static String z(@NonNull String str) {
        int b7 = b(str, "yY", 1, 0);
        if (b7 >= str.length()) {
            return str;
        }
        String str2 = "EMd";
        int b8 = b(str, str2, 1, b7);
        if (b8 < str.length()) {
            str2 = str2 + ",";
        }
        return str.replace(str.substring(b(str, str2, -1, b7) + 1, b8), " ").trim();
    }
}
