package com.google.android.material.floatingactionbutton;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.AnimatorSet;
import android.animation.PropertyValuesHolder;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Rect;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.util.Property;
import android.view.View;
import android.view.ViewGroup;
import androidx.annotation.AnimatorRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.VisibleForTesting;
import androidx.coordinatorlayout.widget.CoordinatorLayout;
import androidx.core.view.ViewCompat;
import b0.a;
import com.google.android.material.appbar.AppBarLayout;
import com.google.android.material.bottomsheet.BottomSheetBehavior;
import com.google.android.material.button.MaterialButton;
import com.google.android.material.internal.q;
import com.google.android.material.shape.o;
import java.util.List;

public class ExtendedFloatingActionButton extends MaterialButton implements CoordinatorLayout.AttachedBehavior {
    private static final int L = a.n.zb;
    private static final int M = 0;
    private static final int N = 1;
    private static final int O = 2;
    static final Property<View, Float> P = new d(Float.class, "width");
    static final Property<View, Float> Q = new e(Float.class, "height");
    static final Property<View, Float> R = new f(Float.class, "paddingStart");
    static final Property<View, Float> S = new g(Float.class, "paddingEnd");
    @NonNull
    private final f A;
    private final f B;
    private final f C;
    private final int D;
    private int E;
    private int F;
    @NonNull
    private final CoordinatorLayout.Behavior<ExtendedFloatingActionButton> G;
    private boolean H;
    private boolean I;
    private boolean J;
    @NonNull
    protected ColorStateList K;

    /* renamed from: x  reason: collision with root package name */
    private int f7718x;

    /* renamed from: y  reason: collision with root package name */
    private final a f7719y;
    @NonNull

    /* renamed from: z  reason: collision with root package name */
    private final f f7720z;

    protected static class ExtendedFloatingActionButtonBehavior<T extends ExtendedFloatingActionButton> extends CoordinatorLayout.Behavior<T> {

        /* renamed from: f  reason: collision with root package name */
        private static final boolean f7721f = false;

        /* renamed from: g  reason: collision with root package name */
        private static final boolean f7722g = true;

        /* renamed from: a  reason: collision with root package name */
        private Rect f7723a;
        @Nullable

        /* renamed from: b  reason: collision with root package name */
        private j f7724b;
        @Nullable

        /* renamed from: c  reason: collision with root package name */
        private j f7725c;

        /* renamed from: d  reason: collision with root package name */
        private boolean f7726d;

        /* renamed from: e  reason: collision with root package name */
        private boolean f7727e;

        public ExtendedFloatingActionButtonBehavior() {
            this.f7726d = false;
            this.f7727e = true;
        }

        private static boolean e(@NonNull View view) {
            ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
            if (layoutParams instanceof CoordinatorLayout.LayoutParams) {
                return ((CoordinatorLayout.LayoutParams) layoutParams).getBehavior() instanceof BottomSheetBehavior;
            }
            return false;
        }

        private boolean l(@NonNull View view, @NonNull ExtendedFloatingActionButton extendedFloatingActionButton) {
            return (this.f7726d || this.f7727e) && ((CoordinatorLayout.LayoutParams) extendedFloatingActionButton.getLayoutParams()).getAnchorId() == view.getId();
        }

        private boolean n(CoordinatorLayout coordinatorLayout, @NonNull AppBarLayout appBarLayout, @NonNull ExtendedFloatingActionButton extendedFloatingActionButton) {
            if (!l(appBarLayout, extendedFloatingActionButton)) {
                return false;
            }
            if (this.f7723a == null) {
                this.f7723a = new Rect();
            }
            Rect rect = this.f7723a;
            com.google.android.material.internal.c.a(coordinatorLayout, appBarLayout, rect);
            if (rect.bottom <= appBarLayout.getMinimumHeightForVisibleOverlappingContent()) {
                m(extendedFloatingActionButton);
                return true;
            }
            a(extendedFloatingActionButton);
            return true;
        }

        private boolean o(@NonNull View view, @NonNull ExtendedFloatingActionButton extendedFloatingActionButton) {
            if (!l(view, extendedFloatingActionButton)) {
                return false;
            }
            if (view.getTop() < (extendedFloatingActionButton.getHeight() / 2) + ((ViewGroup.MarginLayoutParams) ((CoordinatorLayout.LayoutParams) extendedFloatingActionButton.getLayoutParams())).topMargin) {
                m(extendedFloatingActionButton);
                return true;
            }
            a(extendedFloatingActionButton);
            return true;
        }

        /* access modifiers changed from: protected */
        public void a(@NonNull ExtendedFloatingActionButton extendedFloatingActionButton) {
            boolean z7 = this.f7727e;
            extendedFloatingActionButton.K(z7 ? extendedFloatingActionButton.A : extendedFloatingActionButton.B, z7 ? this.f7725c : this.f7724b);
        }

        /* renamed from: b */
        public boolean getInsetDodgeRect(@NonNull CoordinatorLayout coordinatorLayout, @NonNull ExtendedFloatingActionButton extendedFloatingActionButton, @NonNull Rect rect) {
            return super.getInsetDodgeRect(coordinatorLayout, extendedFloatingActionButton, rect);
        }

        public boolean c() {
            return this.f7726d;
        }

        public boolean d() {
            return this.f7727e;
        }

        /* renamed from: f */
        public boolean onDependentViewChanged(CoordinatorLayout coordinatorLayout, @NonNull ExtendedFloatingActionButton extendedFloatingActionButton, View view) {
            if (view instanceof AppBarLayout) {
                n(coordinatorLayout, (AppBarLayout) view, extendedFloatingActionButton);
                return false;
            } else if (!e(view)) {
                return false;
            } else {
                o(view, extendedFloatingActionButton);
                return false;
            }
        }

        /* renamed from: g */
        public boolean onLayoutChild(@NonNull CoordinatorLayout coordinatorLayout, @NonNull ExtendedFloatingActionButton extendedFloatingActionButton, int i7) {
            List<View> dependencies = coordinatorLayout.getDependencies(extendedFloatingActionButton);
            int size = dependencies.size();
            for (int i8 = 0; i8 < size; i8++) {
                View view = dependencies.get(i8);
                if (!(view instanceof AppBarLayout)) {
                    if (e(view) && o(view, extendedFloatingActionButton)) {
                        break;
                    }
                } else if (n(coordinatorLayout, (AppBarLayout) view, extendedFloatingActionButton)) {
                    break;
                }
            }
            coordinatorLayout.onLayoutChild(extendedFloatingActionButton, i7);
            return true;
        }

        public void h(boolean z7) {
            this.f7726d = z7;
        }

        public void i(boolean z7) {
            this.f7727e = z7;
        }

        /* access modifiers changed from: package-private */
        @VisibleForTesting
        public void j(@Nullable j jVar) {
            this.f7724b = jVar;
        }

        /* access modifiers changed from: package-private */
        @VisibleForTesting
        public void k(@Nullable j jVar) {
            this.f7725c = jVar;
        }

        /* access modifiers changed from: protected */
        public void m(@NonNull ExtendedFloatingActionButton extendedFloatingActionButton) {
            boolean z7 = this.f7727e;
            extendedFloatingActionButton.K(z7 ? extendedFloatingActionButton.f7720z : extendedFloatingActionButton.C, z7 ? this.f7725c : this.f7724b);
        }

        @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
        public void onAttachedToLayoutParams(@NonNull CoordinatorLayout.LayoutParams layoutParams) {
            if (layoutParams.dodgeInsetEdges == 0) {
                layoutParams.dodgeInsetEdges = 80;
            }
        }

        public ExtendedFloatingActionButtonBehavior(@NonNull Context context, @Nullable AttributeSet attributeSet) {
            super(context, attributeSet);
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, a.o.Td);
            this.f7726d = obtainStyledAttributes.getBoolean(a.o.Ud, false);
            this.f7727e = obtainStyledAttributes.getBoolean(a.o.Vd, true);
            obtainStyledAttributes.recycle();
        }
    }

    class a implements l {
        a() {
        }

        @Override // com.google.android.material.floatingactionbutton.ExtendedFloatingActionButton.l
        public int a() {
            return ExtendedFloatingActionButton.this.F;
        }

        @Override // com.google.android.material.floatingactionbutton.ExtendedFloatingActionButton.l
        public int b() {
            return (ExtendedFloatingActionButton.this.getMeasuredWidth() - (ExtendedFloatingActionButton.this.getCollapsedPadding() * 2)) + ExtendedFloatingActionButton.this.E + ExtendedFloatingActionButton.this.F;
        }

        @Override // com.google.android.material.floatingactionbutton.ExtendedFloatingActionButton.l
        public ViewGroup.LayoutParams c() {
            return new ViewGroup.LayoutParams(-2, -2);
        }

        @Override // com.google.android.material.floatingactionbutton.ExtendedFloatingActionButton.l
        public int d() {
            return ExtendedFloatingActionButton.this.E;
        }

        @Override // com.google.android.material.floatingactionbutton.ExtendedFloatingActionButton.l
        public int getHeight() {
            return ExtendedFloatingActionButton.this.getMeasuredHeight();
        }
    }

    class b implements l {
        b() {
        }

        @Override // com.google.android.material.floatingactionbutton.ExtendedFloatingActionButton.l
        public int a() {
            return ExtendedFloatingActionButton.this.getCollapsedPadding();
        }

        @Override // com.google.android.material.floatingactionbutton.ExtendedFloatingActionButton.l
        public int b() {
            return ExtendedFloatingActionButton.this.getCollapsedSize();
        }

        @Override // com.google.android.material.floatingactionbutton.ExtendedFloatingActionButton.l
        public ViewGroup.LayoutParams c() {
            return new ViewGroup.LayoutParams(b(), getHeight());
        }

        @Override // com.google.android.material.floatingactionbutton.ExtendedFloatingActionButton.l
        public int d() {
            return ExtendedFloatingActionButton.this.getCollapsedPadding();
        }

        @Override // com.google.android.material.floatingactionbutton.ExtendedFloatingActionButton.l
        public int getHeight() {
            return ExtendedFloatingActionButton.this.getCollapsedSize();
        }
    }

    /* access modifiers changed from: package-private */
    public class c extends AnimatorListenerAdapter {

        /* renamed from: f  reason: collision with root package name */
        private boolean f7730f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ f f7731g;

        /* renamed from: p  reason: collision with root package name */
        final /* synthetic */ j f7732p;

        c(f fVar, j jVar) {
            this.f7731g = fVar;
            this.f7732p = jVar;
        }

        public void onAnimationCancel(Animator animator) {
            this.f7730f = true;
            this.f7731g.a();
        }

        public void onAnimationEnd(Animator animator) {
            this.f7731g.i();
            if (!this.f7730f) {
                this.f7731g.m(this.f7732p);
            }
        }

        public void onAnimationStart(Animator animator) {
            this.f7731g.onAnimationStart(animator);
            this.f7730f = false;
        }
    }

    static class d extends Property<View, Float> {
        d(Class cls, String str) {
            super(cls, str);
        }

        @NonNull
        /* renamed from: a */
        public Float get(@NonNull View view) {
            return Float.valueOf((float) view.getLayoutParams().width);
        }

        /* renamed from: b */
        public void set(@NonNull View view, @NonNull Float f7) {
            view.getLayoutParams().width = f7.intValue();
            view.requestLayout();
        }
    }

    static class e extends Property<View, Float> {
        e(Class cls, String str) {
            super(cls, str);
        }

        @NonNull
        /* renamed from: a */
        public Float get(@NonNull View view) {
            return Float.valueOf((float) view.getLayoutParams().height);
        }

        /* renamed from: b */
        public void set(@NonNull View view, @NonNull Float f7) {
            view.getLayoutParams().height = f7.intValue();
            view.requestLayout();
        }
    }

    static class f extends Property<View, Float> {
        f(Class cls, String str) {
            super(cls, str);
        }

        @NonNull
        /* renamed from: a */
        public Float get(@NonNull View view) {
            return Float.valueOf((float) ViewCompat.getPaddingStart(view));
        }

        /* renamed from: b */
        public void set(@NonNull View view, @NonNull Float f7) {
            ViewCompat.setPaddingRelative(view, f7.intValue(), view.getPaddingTop(), ViewCompat.getPaddingEnd(view), view.getPaddingBottom());
        }
    }

    static class g extends Property<View, Float> {
        g(Class cls, String str) {
            super(cls, str);
        }

        @NonNull
        /* renamed from: a */
        public Float get(@NonNull View view) {
            return Float.valueOf((float) ViewCompat.getPaddingEnd(view));
        }

        /* renamed from: b */
        public void set(@NonNull View view, @NonNull Float f7) {
            ViewCompat.setPaddingRelative(view, ViewCompat.getPaddingStart(view), view.getPaddingTop(), f7.intValue(), view.getPaddingBottom());
        }
    }

    class h extends b {

        /* renamed from: g  reason: collision with root package name */
        private final l f7734g;

        /* renamed from: h  reason: collision with root package name */
        private final boolean f7735h;

        h(a aVar, l lVar, boolean z7) {
            super(ExtendedFloatingActionButton.this, aVar);
            this.f7734g = lVar;
            this.f7735h = z7;
        }

        @Override // com.google.android.material.floatingactionbutton.f
        public int c() {
            return this.f7735h ? a.b.f673m : a.b.f672l;
        }

        @Override // com.google.android.material.floatingactionbutton.f
        public void d() {
            ExtendedFloatingActionButton.this.H = this.f7735h;
            ViewGroup.LayoutParams layoutParams = ExtendedFloatingActionButton.this.getLayoutParams();
            if (layoutParams != null) {
                layoutParams.width = this.f7734g.c().width;
                layoutParams.height = this.f7734g.c().height;
                ViewCompat.setPaddingRelative(ExtendedFloatingActionButton.this, this.f7734g.d(), ExtendedFloatingActionButton.this.getPaddingTop(), this.f7734g.a(), ExtendedFloatingActionButton.this.getPaddingBottom());
                ExtendedFloatingActionButton.this.requestLayout();
            }
        }

        @Override // com.google.android.material.floatingactionbutton.f
        public boolean f() {
            return this.f7735h == ExtendedFloatingActionButton.this.H || ExtendedFloatingActionButton.this.getIcon() == null || TextUtils.isEmpty(ExtendedFloatingActionButton.this.getText());
        }

        @Override // com.google.android.material.floatingactionbutton.b, com.google.android.material.floatingactionbutton.f
        public void i() {
            super.i();
            ExtendedFloatingActionButton.this.I = false;
            ExtendedFloatingActionButton.this.setHorizontallyScrolling(false);
            ViewGroup.LayoutParams layoutParams = ExtendedFloatingActionButton.this.getLayoutParams();
            if (layoutParams != null) {
                layoutParams.width = this.f7734g.c().width;
                layoutParams.height = this.f7734g.c().height;
            }
        }

        @Override // com.google.android.material.floatingactionbutton.b, com.google.android.material.floatingactionbutton.f
        @NonNull
        public AnimatorSet k() {
            com.google.android.material.animation.h b7 = b();
            if (b7.j("width")) {
                PropertyValuesHolder[] g7 = b7.g("width");
                g7[0].setFloatValues((float) ExtendedFloatingActionButton.this.getWidth(), (float) this.f7734g.b());
                b7.l("width", g7);
            }
            if (b7.j("height")) {
                PropertyValuesHolder[] g8 = b7.g("height");
                g8[0].setFloatValues((float) ExtendedFloatingActionButton.this.getHeight(), (float) this.f7734g.getHeight());
                b7.l("height", g8);
            }
            if (b7.j("paddingStart")) {
                PropertyValuesHolder[] g9 = b7.g("paddingStart");
                g9[0].setFloatValues((float) ViewCompat.getPaddingStart(ExtendedFloatingActionButton.this), (float) this.f7734g.d());
                b7.l("paddingStart", g9);
            }
            if (b7.j("paddingEnd")) {
                PropertyValuesHolder[] g10 = b7.g("paddingEnd");
                g10[0].setFloatValues((float) ViewCompat.getPaddingEnd(ExtendedFloatingActionButton.this), (float) this.f7734g.a());
                b7.l("paddingEnd", g10);
            }
            if (b7.j("labelOpacity")) {
                PropertyValuesHolder[] g11 = b7.g("labelOpacity");
                boolean z7 = this.f7735h;
                float f7 = 0.0f;
                float f8 = z7 ? 0.0f : 1.0f;
                if (z7) {
                    f7 = 1.0f;
                }
                g11[0].setFloatValues(f8, f7);
                b7.l("labelOpacity", g11);
            }
            return super.o(b7);
        }

        @Override // com.google.android.material.floatingactionbutton.f
        public void m(@Nullable j jVar) {
            if (jVar != null) {
                boolean z7 = this.f7735h;
                ExtendedFloatingActionButton extendedFloatingActionButton = ExtendedFloatingActionButton.this;
                if (z7) {
                    jVar.a(extendedFloatingActionButton);
                } else {
                    jVar.d(extendedFloatingActionButton);
                }
            }
        }

        @Override // com.google.android.material.floatingactionbutton.b, com.google.android.material.floatingactionbutton.f
        public void onAnimationStart(Animator animator) {
            super.onAnimationStart(animator);
            ExtendedFloatingActionButton.this.H = this.f7735h;
            ExtendedFloatingActionButton.this.I = true;
            ExtendedFloatingActionButton.this.setHorizontallyScrolling(true);
        }
    }

    class i extends b {

        /* renamed from: g  reason: collision with root package name */
        private boolean f7737g;

        public i(a aVar) {
            super(ExtendedFloatingActionButton.this, aVar);
        }

        @Override // com.google.android.material.floatingactionbutton.b, com.google.android.material.floatingactionbutton.f
        public void a() {
            super.a();
            this.f7737g = true;
        }

        @Override // com.google.android.material.floatingactionbutton.f
        public int c() {
            return a.b.f674n;
        }

        @Override // com.google.android.material.floatingactionbutton.f
        public void d() {
            ExtendedFloatingActionButton.this.setVisibility(8);
        }

        @Override // com.google.android.material.floatingactionbutton.f
        public boolean f() {
            return ExtendedFloatingActionButton.this.I();
        }

        @Override // com.google.android.material.floatingactionbutton.b, com.google.android.material.floatingactionbutton.f
        public void i() {
            super.i();
            ExtendedFloatingActionButton.this.f7718x = 0;
            if (!this.f7737g) {
                ExtendedFloatingActionButton.this.setVisibility(8);
            }
        }

        @Override // com.google.android.material.floatingactionbutton.f
        public void m(@Nullable j jVar) {
            if (jVar != null) {
                jVar.b(ExtendedFloatingActionButton.this);
            }
        }

        @Override // com.google.android.material.floatingactionbutton.b, com.google.android.material.floatingactionbutton.f
        public void onAnimationStart(Animator animator) {
            super.onAnimationStart(animator);
            this.f7737g = false;
            ExtendedFloatingActionButton.this.setVisibility(0);
            ExtendedFloatingActionButton.this.f7718x = 1;
        }
    }

    public static abstract class j {
        public void a(ExtendedFloatingActionButton extendedFloatingActionButton) {
        }

        public void b(ExtendedFloatingActionButton extendedFloatingActionButton) {
        }

        public void c(ExtendedFloatingActionButton extendedFloatingActionButton) {
        }

        public void d(ExtendedFloatingActionButton extendedFloatingActionButton) {
        }
    }

    class k extends b {
        public k(a aVar) {
            super(ExtendedFloatingActionButton.this, aVar);
        }

        @Override // com.google.android.material.floatingactionbutton.f
        public int c() {
            return a.b.f675o;
        }

        @Override // com.google.android.material.floatingactionbutton.f
        public void d() {
            ExtendedFloatingActionButton.this.setVisibility(0);
            ExtendedFloatingActionButton.this.setAlpha(1.0f);
            ExtendedFloatingActionButton.this.setScaleY(1.0f);
            ExtendedFloatingActionButton.this.setScaleX(1.0f);
        }

        @Override // com.google.android.material.floatingactionbutton.f
        public boolean f() {
            return ExtendedFloatingActionButton.this.J();
        }

        @Override // com.google.android.material.floatingactionbutton.b, com.google.android.material.floatingactionbutton.f
        public void i() {
            super.i();
            ExtendedFloatingActionButton.this.f7718x = 0;
        }

        @Override // com.google.android.material.floatingactionbutton.f
        public void m(@Nullable j jVar) {
            if (jVar != null) {
                jVar.c(ExtendedFloatingActionButton.this);
            }
        }

        @Override // com.google.android.material.floatingactionbutton.b, com.google.android.material.floatingactionbutton.f
        public void onAnimationStart(Animator animator) {
            super.onAnimationStart(animator);
            ExtendedFloatingActionButton.this.setVisibility(0);
            ExtendedFloatingActionButton.this.f7718x = 2;
        }
    }

    interface l {
        int a();

        int b();

        ViewGroup.LayoutParams c();

        int d();

        int getHeight();
    }

    public ExtendedFloatingActionButton(@NonNull Context context) {
        this(context, null);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean I() {
        int visibility = getVisibility();
        int i7 = this.f7718x;
        return visibility == 0 ? i7 == 1 : i7 != 2;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean J() {
        int visibility = getVisibility();
        int i7 = this.f7718x;
        return visibility != 0 ? i7 == 2 : i7 != 1;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void K(@NonNull f fVar, @Nullable j jVar) {
        if (!fVar.f()) {
            if (!Q()) {
                fVar.d();
                fVar.m(jVar);
                return;
            }
            measure(0, 0);
            AnimatorSet k7 = fVar.k();
            k7.addListener(new c(fVar, jVar));
            for (Animator.AnimatorListener animatorListener : fVar.l()) {
                k7.addListener(animatorListener);
            }
            k7.start();
        }
    }

    private void P() {
        this.K = getTextColors();
    }

    private boolean Q() {
        return (ViewCompat.isLaidOut(this) || (!J() && this.J)) && !isInEditMode();
    }

    public void A(@NonNull Animator.AnimatorListener animatorListener) {
        this.C.h(animatorListener);
    }

    public void B(@NonNull Animator.AnimatorListener animatorListener) {
        this.B.h(animatorListener);
    }

    public void C(@NonNull Animator.AnimatorListener animatorListener) {
        this.f7720z.h(animatorListener);
    }

    public void D() {
        K(this.A, null);
    }

    public void E(@NonNull j jVar) {
        K(this.A, jVar);
    }

    public void F() {
        K(this.C, null);
    }

    public void G(@NonNull j jVar) {
        K(this.C, jVar);
    }

    public final boolean H() {
        return this.H;
    }

    public void L(@NonNull Animator.AnimatorListener animatorListener) {
        this.A.g(animatorListener);
    }

    public void M(@NonNull Animator.AnimatorListener animatorListener) {
        this.C.g(animatorListener);
    }

    public void N(@NonNull Animator.AnimatorListener animatorListener) {
        this.B.g(animatorListener);
    }

    public void O(@NonNull Animator.AnimatorListener animatorListener) {
        this.f7720z.g(animatorListener);
    }

    public void R() {
        K(this.B, null);
    }

    public void S(@NonNull j jVar) {
        K(this.B, jVar);
    }

    public void T() {
        K(this.f7720z, null);
    }

    public void U(@NonNull j jVar) {
        K(this.f7720z, jVar);
    }

    /* access modifiers changed from: protected */
    public void V(@NonNull ColorStateList colorStateList) {
        super.setTextColor(colorStateList);
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.AttachedBehavior
    @NonNull
    public CoordinatorLayout.Behavior<ExtendedFloatingActionButton> getBehavior() {
        return this.G;
    }

    /* access modifiers changed from: package-private */
    public int getCollapsedPadding() {
        return (getCollapsedSize() - getIconSize()) / 2;
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public int getCollapsedSize() {
        int i7 = this.D;
        return i7 < 0 ? (Math.min(ViewCompat.getPaddingStart(this), ViewCompat.getPaddingEnd(this)) * 2) + getIconSize() : i7;
    }

    @Nullable
    public com.google.android.material.animation.h getExtendMotionSpec() {
        return this.A.e();
    }

    @Nullable
    public com.google.android.material.animation.h getHideMotionSpec() {
        return this.C.e();
    }

    @Nullable
    public com.google.android.material.animation.h getShowMotionSpec() {
        return this.B.e();
    }

    @Nullable
    public com.google.android.material.animation.h getShrinkMotionSpec() {
        return this.f7720z.e();
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.material.button.MaterialButton
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        if (this.H && TextUtils.isEmpty(getText()) && getIcon() != null) {
            this.H = false;
            this.f7720z.d();
        }
    }

    public void setAnimateShowBeforeLayout(boolean z7) {
        this.J = z7;
    }

    public void setExtendMotionSpec(@Nullable com.google.android.material.animation.h hVar) {
        this.A.j(hVar);
    }

    public void setExtendMotionSpecResource(@AnimatorRes int i7) {
        setExtendMotionSpec(com.google.android.material.animation.h.d(getContext(), i7));
    }

    public void setExtended(boolean z7) {
        if (this.H != z7) {
            f fVar = z7 ? this.A : this.f7720z;
            if (!fVar.f()) {
                fVar.d();
            }
        }
    }

    public void setHideMotionSpec(@Nullable com.google.android.material.animation.h hVar) {
        this.C.j(hVar);
    }

    public void setHideMotionSpecResource(@AnimatorRes int i7) {
        setHideMotionSpec(com.google.android.material.animation.h.d(getContext(), i7));
    }

    public void setPadding(int i7, int i8, int i9, int i10) {
        super.setPadding(i7, i8, i9, i10);
        if (this.H && !this.I) {
            this.E = ViewCompat.getPaddingStart(this);
            this.F = ViewCompat.getPaddingEnd(this);
        }
    }

    public void setPaddingRelative(int i7, int i8, int i9, int i10) {
        super.setPaddingRelative(i7, i8, i9, i10);
        if (this.H && !this.I) {
            this.E = i7;
            this.F = i9;
        }
    }

    public void setShowMotionSpec(@Nullable com.google.android.material.animation.h hVar) {
        this.B.j(hVar);
    }

    public void setShowMotionSpecResource(@AnimatorRes int i7) {
        setShowMotionSpec(com.google.android.material.animation.h.d(getContext(), i7));
    }

    public void setShrinkMotionSpec(@Nullable com.google.android.material.animation.h hVar) {
        this.f7720z.j(hVar);
    }

    public void setShrinkMotionSpecResource(@AnimatorRes int i7) {
        setShrinkMotionSpec(com.google.android.material.animation.h.d(getContext(), i7));
    }

    @Override // android.widget.TextView
    public void setTextColor(int i7) {
        super.setTextColor(i7);
        P();
    }

    public void z(@NonNull Animator.AnimatorListener animatorListener) {
        this.A.h(animatorListener);
    }

    public ExtendedFloatingActionButton(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, a.c.f776l5);
    }

    @Override // android.widget.TextView
    public void setTextColor(@NonNull ColorStateList colorStateList) {
        super.setTextColor(colorStateList);
        P();
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public ExtendedFloatingActionButton(@NonNull Context context, @Nullable AttributeSet attributeSet, int i7) {
        super(l0.a.c(context, attributeSet, i7, r9), attributeSet, i7);
        int i8 = L;
        this.f7718x = 0;
        a aVar = new a();
        this.f7719y = aVar;
        k kVar = new k(aVar);
        this.B = kVar;
        i iVar = new i(aVar);
        this.C = iVar;
        this.H = true;
        this.I = false;
        this.J = false;
        Context context2 = getContext();
        this.G = new ExtendedFloatingActionButtonBehavior(context2, attributeSet);
        TypedArray j7 = q.j(context2, attributeSet, a.o.Md, i7, i8, new int[0]);
        com.google.android.material.animation.h c7 = com.google.android.material.animation.h.c(context2, j7, a.o.Rd);
        com.google.android.material.animation.h c8 = com.google.android.material.animation.h.c(context2, j7, a.o.Qd);
        com.google.android.material.animation.h c9 = com.google.android.material.animation.h.c(context2, j7, a.o.Pd);
        com.google.android.material.animation.h c10 = com.google.android.material.animation.h.c(context2, j7, a.o.Sd);
        this.D = j7.getDimensionPixelSize(a.o.Nd, -1);
        this.E = ViewCompat.getPaddingStart(this);
        this.F = ViewCompat.getPaddingEnd(this);
        a aVar2 = new a();
        h hVar = new h(aVar2, new a(), true);
        this.A = hVar;
        h hVar2 = new h(aVar2, new b(), false);
        this.f7720z = hVar2;
        kVar.j(c7);
        iVar.j(c8);
        hVar.j(c9);
        hVar2.j(c10);
        j7.recycle();
        setShapeAppearanceModel(o.g(context2, attributeSet, i7, i8, o.f8428m).m());
        P();
    }
}
