package com.google.android.material.floatingactionbutton;

import android.animation.Animator;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Bundle;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.util.Log;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import androidx.annotation.AnimatorRes;
import androidx.annotation.ColorInt;
import androidx.annotation.DimenRes;
import androidx.annotation.DrawableRes;
import androidx.annotation.IdRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.Px;
import androidx.annotation.RequiresApi;
import androidx.annotation.RestrictTo;
import androidx.annotation.VisibleForTesting;
import androidx.appcompat.widget.AppCompatDrawableManager;
import androidx.appcompat.widget.AppCompatImageHelper;
import androidx.coordinatorlayout.widget.CoordinatorLayout;
import androidx.core.graphics.drawable.DrawableCompat;
import androidx.core.util.Preconditions;
import androidx.core.view.TintableBackgroundView;
import androidx.core.view.ViewCompat;
import androidx.core.widget.TintableImageSourceView;
import b0.a;
import com.google.android.material.animation.h;
import com.google.android.material.animation.k;
import com.google.android.material.appbar.AppBarLayout;
import com.google.android.material.bottomsheet.BottomSheetBehavior;
import com.google.android.material.floatingactionbutton.d;
import com.google.android.material.internal.q;
import com.google.android.material.internal.y;
import com.google.android.material.internal.z;
import com.google.android.material.shape.o;
import com.google.android.material.shape.s;
import com.google.android.material.stateful.ExtendableSavedState;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.util.List;

public class FloatingActionButton extends z implements TintableBackgroundView, TintableImageSourceView, j0.a, s, CoordinatorLayout.AttachedBehavior {

    /* renamed from: r  reason: collision with root package name */
    private static final String f7740r = "FloatingActionButton";

    /* renamed from: s  reason: collision with root package name */
    private static final String f7741s = "expandableWidgetHelper";

    /* renamed from: t  reason: collision with root package name */
    private static final int f7742t = a.n.wa;

    /* renamed from: u  reason: collision with root package name */
    public static final int f7743u = 1;

    /* renamed from: v  reason: collision with root package name */
    public static final int f7744v = 0;

    /* renamed from: w  reason: collision with root package name */
    public static final int f7745w = -1;

    /* renamed from: x  reason: collision with root package name */
    public static final int f7746x = 0;

    /* renamed from: y  reason: collision with root package name */
    private static final int f7747y = 470;
    @Nullable

    /* renamed from: b  reason: collision with root package name */
    private ColorStateList f7748b;
    @Nullable

    /* renamed from: c  reason: collision with root package name */
    private PorterDuff.Mode f7749c;
    @Nullable

    /* renamed from: d  reason: collision with root package name */
    private ColorStateList f7750d;
    @Nullable

    /* renamed from: e  reason: collision with root package name */
    private PorterDuff.Mode f7751e;
    @Nullable

    /* renamed from: f  reason: collision with root package name */
    private ColorStateList f7752f;

    /* renamed from: g  reason: collision with root package name */
    private int f7753g;

    /* renamed from: h  reason: collision with root package name */
    private int f7754h;

    /* renamed from: i  reason: collision with root package name */
    private int f7755i;

    /* renamed from: j  reason: collision with root package name */
    private int f7756j;

    /* renamed from: k  reason: collision with root package name */
    private int f7757k;

    /* renamed from: l  reason: collision with root package name */
    boolean f7758l;

    /* renamed from: m  reason: collision with root package name */
    final Rect f7759m;

    /* renamed from: n  reason: collision with root package name */
    private final Rect f7760n;
    @NonNull

    /* renamed from: o  reason: collision with root package name */
    private final AppCompatImageHelper f7761o;
    @NonNull

    /* renamed from: p  reason: collision with root package name */
    private final j0.c f7762p;

    /* renamed from: q  reason: collision with root package name */
    private d f7763q;

    protected static class BaseBehavior<T extends FloatingActionButton> extends CoordinatorLayout.Behavior<T> {

        /* renamed from: d  reason: collision with root package name */
        private static final boolean f7764d = true;

        /* renamed from: a  reason: collision with root package name */
        private Rect f7765a;

        /* renamed from: b  reason: collision with root package name */
        private b f7766b;

        /* renamed from: c  reason: collision with root package name */
        private boolean f7767c;

        public BaseBehavior() {
            this.f7767c = true;
        }

        private static boolean c(@NonNull View view) {
            ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
            if (layoutParams instanceof CoordinatorLayout.LayoutParams) {
                return ((CoordinatorLayout.LayoutParams) layoutParams).getBehavior() instanceof BottomSheetBehavior;
            }
            return false;
        }

        private void d(@NonNull CoordinatorLayout coordinatorLayout, @NonNull FloatingActionButton floatingActionButton) {
            Rect rect = floatingActionButton.f7759m;
            if (rect != null && rect.centerX() > 0 && rect.centerY() > 0) {
                CoordinatorLayout.LayoutParams layoutParams = (CoordinatorLayout.LayoutParams) floatingActionButton.getLayoutParams();
                int i7 = 0;
                int i8 = floatingActionButton.getRight() >= coordinatorLayout.getWidth() - ((ViewGroup.MarginLayoutParams) layoutParams).rightMargin ? rect.right : floatingActionButton.getLeft() <= ((ViewGroup.MarginLayoutParams) layoutParams).leftMargin ? -rect.left : 0;
                if (floatingActionButton.getBottom() >= coordinatorLayout.getHeight() - ((ViewGroup.MarginLayoutParams) layoutParams).bottomMargin) {
                    i7 = rect.bottom;
                } else if (floatingActionButton.getTop() <= ((ViewGroup.MarginLayoutParams) layoutParams).topMargin) {
                    i7 = -rect.top;
                }
                if (i7 != 0) {
                    ViewCompat.offsetTopAndBottom(floatingActionButton, i7);
                }
                if (i8 != 0) {
                    ViewCompat.offsetLeftAndRight(floatingActionButton, i8);
                }
            }
        }

        private boolean i(@NonNull View view, @NonNull FloatingActionButton floatingActionButton) {
            return this.f7767c && ((CoordinatorLayout.LayoutParams) floatingActionButton.getLayoutParams()).getAnchorId() == view.getId() && floatingActionButton.getUserSetVisibility() == 0;
        }

        private boolean j(CoordinatorLayout coordinatorLayout, @NonNull AppBarLayout appBarLayout, @NonNull FloatingActionButton floatingActionButton) {
            if (!i(appBarLayout, floatingActionButton)) {
                return false;
            }
            if (this.f7765a == null) {
                this.f7765a = new Rect();
            }
            Rect rect = this.f7765a;
            com.google.android.material.internal.c.a(coordinatorLayout, appBarLayout, rect);
            int i7 = rect.bottom;
            int minimumHeightForVisibleOverlappingContent = appBarLayout.getMinimumHeightForVisibleOverlappingContent();
            b bVar = this.f7766b;
            if (i7 <= minimumHeightForVisibleOverlappingContent) {
                floatingActionButton.p(bVar, false);
                return true;
            }
            floatingActionButton.B(bVar, false);
            return true;
        }

        private boolean k(@NonNull View view, @NonNull FloatingActionButton floatingActionButton) {
            if (!i(view, floatingActionButton)) {
                return false;
            }
            int top = view.getTop();
            int height = (floatingActionButton.getHeight() / 2) + ((ViewGroup.MarginLayoutParams) ((CoordinatorLayout.LayoutParams) floatingActionButton.getLayoutParams())).topMargin;
            b bVar = this.f7766b;
            if (top < height) {
                floatingActionButton.p(bVar, false);
                return true;
            }
            floatingActionButton.B(bVar, false);
            return true;
        }

        /* renamed from: a */
        public boolean getInsetDodgeRect(@NonNull CoordinatorLayout coordinatorLayout, @NonNull FloatingActionButton floatingActionButton, @NonNull Rect rect) {
            Rect rect2 = floatingActionButton.f7759m;
            rect.set(floatingActionButton.getLeft() + rect2.left, floatingActionButton.getTop() + rect2.top, floatingActionButton.getRight() - rect2.right, floatingActionButton.getBottom() - rect2.bottom);
            return true;
        }

        public boolean b() {
            return this.f7767c;
        }

        /* renamed from: e */
        public boolean onDependentViewChanged(CoordinatorLayout coordinatorLayout, @NonNull FloatingActionButton floatingActionButton, View view) {
            if (view instanceof AppBarLayout) {
                j(coordinatorLayout, (AppBarLayout) view, floatingActionButton);
                return false;
            } else if (!c(view)) {
                return false;
            } else {
                k(view, floatingActionButton);
                return false;
            }
        }

        /* renamed from: f */
        public boolean onLayoutChild(@NonNull CoordinatorLayout coordinatorLayout, @NonNull FloatingActionButton floatingActionButton, int i7) {
            List<View> dependencies = coordinatorLayout.getDependencies(floatingActionButton);
            int size = dependencies.size();
            for (int i8 = 0; i8 < size; i8++) {
                View view = dependencies.get(i8);
                if (!(view instanceof AppBarLayout)) {
                    if (c(view) && k(view, floatingActionButton)) {
                        break;
                    }
                } else if (j(coordinatorLayout, (AppBarLayout) view, floatingActionButton)) {
                    break;
                }
            }
            coordinatorLayout.onLayoutChild(floatingActionButton, i7);
            d(coordinatorLayout, floatingActionButton);
            return true;
        }

        public void g(boolean z7) {
            this.f7767c = z7;
        }

        @VisibleForTesting
        public void h(b bVar) {
            this.f7766b = bVar;
        }

        @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
        public void onAttachedToLayoutParams(@NonNull CoordinatorLayout.LayoutParams layoutParams) {
            if (layoutParams.dodgeInsetEdges == 0) {
                layoutParams.dodgeInsetEdges = 80;
            }
        }

        public BaseBehavior(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, a.o.oe);
            this.f7767c = obtainStyledAttributes.getBoolean(a.o.pe, true);
            obtainStyledAttributes.recycle();
        }
    }

    public static class Behavior extends BaseBehavior<FloatingActionButton> {
        public Behavior() {
        }

        @Override // com.google.android.material.floatingactionbutton.FloatingActionButton.BaseBehavior
        public /* bridge */ /* synthetic */ boolean a(@NonNull CoordinatorLayout coordinatorLayout, @NonNull FloatingActionButton floatingActionButton, @NonNull Rect rect) {
            return super.getInsetDodgeRect(coordinatorLayout, floatingActionButton, rect);
        }

        @Override // com.google.android.material.floatingactionbutton.FloatingActionButton.BaseBehavior
        public /* bridge */ /* synthetic */ boolean b() {
            return super.b();
        }

        @Override // com.google.android.material.floatingactionbutton.FloatingActionButton.BaseBehavior
        public /* bridge */ /* synthetic */ boolean e(CoordinatorLayout coordinatorLayout, @NonNull FloatingActionButton floatingActionButton, View view) {
            return super.onDependentViewChanged(coordinatorLayout, floatingActionButton, view);
        }

        @Override // com.google.android.material.floatingactionbutton.FloatingActionButton.BaseBehavior
        public /* bridge */ /* synthetic */ boolean f(@NonNull CoordinatorLayout coordinatorLayout, @NonNull FloatingActionButton floatingActionButton, int i7) {
            return super.onLayoutChild(coordinatorLayout, floatingActionButton, i7);
        }

        @Override // com.google.android.material.floatingactionbutton.FloatingActionButton.BaseBehavior
        public /* bridge */ /* synthetic */ void g(boolean z7) {
            super.g(z7);
        }

        @Override // com.google.android.material.floatingactionbutton.FloatingActionButton.BaseBehavior
        @VisibleForTesting
        public /* bridge */ /* synthetic */ void h(b bVar) {
            super.h(bVar);
        }

        @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior, com.google.android.material.floatingactionbutton.FloatingActionButton.BaseBehavior
        public /* bridge */ /* synthetic */ void onAttachedToLayoutParams(@NonNull CoordinatorLayout.LayoutParams layoutParams) {
            super.onAttachedToLayoutParams(layoutParams);
        }

        public Behavior(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
        }
    }

    /* access modifiers changed from: package-private */
    public class a implements d.j {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ b f7768a;

        a(b bVar) {
            this.f7768a = bVar;
        }

        @Override // com.google.android.material.floatingactionbutton.d.j
        public void a() {
            this.f7768a.b(FloatingActionButton.this);
        }

        @Override // com.google.android.material.floatingactionbutton.d.j
        public void b() {
            this.f7768a.a(FloatingActionButton.this);
        }
    }

    public static abstract class b {
        public void a(FloatingActionButton floatingActionButton) {
        }

        public void b(FloatingActionButton floatingActionButton) {
        }
    }

    /* access modifiers changed from: private */
    public class c implements com.google.android.material.shadow.c {
        c() {
        }

        @Override // com.google.android.material.shadow.c
        public boolean a() {
            return FloatingActionButton.this.f7758l;
        }

        @Override // com.google.android.material.shadow.c
        public float b() {
            return ((float) FloatingActionButton.this.getSizeDimension()) / 2.0f;
        }

        @Override // com.google.android.material.shadow.c
        public void setBackgroundDrawable(@Nullable Drawable drawable) {
            if (drawable != null) {
                FloatingActionButton.super.setBackgroundDrawable(drawable);
            }
        }

        @Override // com.google.android.material.shadow.c
        public void setShadowPadding(int i7, int i8, int i9, int i10) {
            FloatingActionButton.this.f7759m.set(i7, i8, i9, i10);
            FloatingActionButton floatingActionButton = FloatingActionButton.this;
            floatingActionButton.setPadding(i7 + floatingActionButton.f7756j, i8 + FloatingActionButton.this.f7756j, i9 + FloatingActionButton.this.f7756j, i10 + FloatingActionButton.this.f7756j);
        }
    }

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public @interface d {
    }

    class e<T extends FloatingActionButton> implements d.i {
        @NonNull

        /* renamed from: a  reason: collision with root package name */
        private final k<T> f7771a;

        e(@NonNull k<T> kVar) {
            this.f7771a = kVar;
        }

        /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: com.google.android.material.animation.k<T extends com.google.android.material.floatingactionbutton.FloatingActionButton> */
        /* JADX WARN: Multi-variable type inference failed */
        @Override // com.google.android.material.floatingactionbutton.d.i
        public void a() {
            this.f7771a.b(FloatingActionButton.this);
        }

        /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: com.google.android.material.animation.k<T extends com.google.android.material.floatingactionbutton.FloatingActionButton> */
        /* JADX WARN: Multi-variable type inference failed */
        @Override // com.google.android.material.floatingactionbutton.d.i
        public void b() {
            this.f7771a.a(FloatingActionButton.this);
        }

        public boolean equals(@Nullable Object obj) {
            return (obj instanceof e) && ((e) obj).f7771a.equals(this.f7771a);
        }

        public int hashCode() {
            return this.f7771a.hashCode();
        }
    }

    public FloatingActionButton(@NonNull Context context) {
        this(context, null);
    }

    @Nullable
    private d.j C(@Nullable b bVar) {
        if (bVar == null) {
            return null;
        }
        return new a(bVar);
    }

    private d getImpl() {
        if (this.f7763q == null) {
            this.f7763q = j();
        }
        return this.f7763q;
    }

    @NonNull
    private d j() {
        return new e(this, new c());
    }

    private int m(int i7) {
        int i8 = this.f7755i;
        if (i8 != 0) {
            return i8;
        }
        Resources resources = getResources();
        if (i7 == -1) {
            return Math.max(resources.getConfiguration().screenWidthDp, resources.getConfiguration().screenHeightDp) < f7747y ? m(1) : m(0);
        }
        return resources.getDimensionPixelSize(i7 != 1 ? a.f.f1064i1 : a.f.f1056h1);
    }

    private void s(@NonNull Rect rect) {
        int i7 = rect.left;
        Rect rect2 = this.f7759m;
        rect.left = i7 + rect2.left;
        rect.top += rect2.top;
        rect.right -= rect2.right;
        rect.bottom -= rect2.bottom;
    }

    private void t() {
        Drawable drawable = getDrawable();
        if (drawable != null) {
            ColorStateList colorStateList = this.f7750d;
            if (colorStateList == null) {
                DrawableCompat.clearColorFilter(drawable);
                return;
            }
            int colorForState = colorStateList.getColorForState(getDrawableState(), 0);
            PorterDuff.Mode mode = this.f7751e;
            if (mode == null) {
                mode = PorterDuff.Mode.SRC_IN;
            }
            drawable.mutate().setColorFilter(AppCompatDrawableManager.getPorterDuffColorFilter(colorForState, mode));
        }
    }

    private static int x(int i7, int i8) {
        int mode = View.MeasureSpec.getMode(i8);
        int size = View.MeasureSpec.getSize(i8);
        if (mode == Integer.MIN_VALUE) {
            return Math.min(i7, size);
        }
        if (mode == 0) {
            return i7;
        }
        if (mode == 1073741824) {
            return size;
        }
        throw new IllegalArgumentException();
    }

    public void A(@Nullable b bVar) {
        B(bVar, true);
    }

    /* access modifiers changed from: package-private */
    public void B(@Nullable b bVar, boolean z7) {
        getImpl().f0(C(bVar), z7);
    }

    @Override // j0.b
    public boolean a(boolean z7) {
        return this.f7762p.f(z7);
    }

    @Override // j0.b
    public boolean b() {
        return this.f7762p.c();
    }

    /* access modifiers changed from: protected */
    public void drawableStateChanged() {
        super.drawableStateChanged();
        getImpl().E(getDrawableState());
    }

    public void f(@NonNull Animator.AnimatorListener animatorListener) {
        getImpl().d(animatorListener);
    }

    public void g(@NonNull Animator.AnimatorListener animatorListener) {
        getImpl().e(animatorListener);
    }

    @Nullable
    public ColorStateList getBackgroundTintList() {
        return this.f7748b;
    }

    @Nullable
    public PorterDuff.Mode getBackgroundTintMode() {
        return this.f7749c;
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.AttachedBehavior
    @NonNull
    public CoordinatorLayout.Behavior<FloatingActionButton> getBehavior() {
        return new Behavior();
    }

    public float getCompatElevation() {
        return getImpl().n();
    }

    public float getCompatHoveredFocusedTranslationZ() {
        return getImpl().q();
    }

    public float getCompatPressedTranslationZ() {
        return getImpl().t();
    }

    @Nullable
    public Drawable getContentBackground() {
        return getImpl().k();
    }

    @Px
    public int getCustomSize() {
        return this.f7755i;
    }

    @Override // j0.a
    public int getExpandedComponentIdHint() {
        return this.f7762p.b();
    }

    @Nullable
    public h getHideMotionSpec() {
        return getImpl().p();
    }

    @ColorInt
    @Deprecated
    public int getRippleColor() {
        ColorStateList colorStateList = this.f7752f;
        if (colorStateList != null) {
            return colorStateList.getDefaultColor();
        }
        return 0;
    }

    @Nullable
    public ColorStateList getRippleColorStateList() {
        return this.f7752f;
    }

    @Override // com.google.android.material.shape.s
    @NonNull
    public o getShapeAppearanceModel() {
        return (o) Preconditions.checkNotNull(getImpl().u());
    }

    @Nullable
    public h getShowMotionSpec() {
        return getImpl().v();
    }

    public int getSize() {
        return this.f7754h;
    }

    /* access modifiers changed from: package-private */
    public int getSizeDimension() {
        return m(this.f7754h);
    }

    @Override // androidx.core.view.TintableBackgroundView
    @Nullable
    public ColorStateList getSupportBackgroundTintList() {
        return getBackgroundTintList();
    }

    @Override // androidx.core.view.TintableBackgroundView
    @Nullable
    public PorterDuff.Mode getSupportBackgroundTintMode() {
        return getBackgroundTintMode();
    }

    @Override // androidx.core.widget.TintableImageSourceView
    @Nullable
    public ColorStateList getSupportImageTintList() {
        return this.f7750d;
    }

    @Override // androidx.core.widget.TintableImageSourceView
    @Nullable
    public PorterDuff.Mode getSupportImageTintMode() {
        return this.f7751e;
    }

    public boolean getUseCompatPadding() {
        return this.f7758l;
    }

    public void h(@NonNull k<? extends FloatingActionButton> kVar) {
        getImpl().f(new e(kVar));
    }

    public void i() {
        setCustomSize(0);
    }

    public void jumpDrawablesToCurrentState() {
        super.jumpDrawablesToCurrentState();
        getImpl().A();
    }

    @Deprecated
    public boolean k(@NonNull Rect rect) {
        if (!ViewCompat.isLaidOut(this)) {
            return false;
        }
        rect.set(0, 0, getWidth(), getHeight());
        s(rect);
        return true;
    }

    public void l(@NonNull Rect rect) {
        rect.set(0, 0, getMeasuredWidth(), getMeasuredHeight());
        s(rect);
    }

    public void n() {
        o(null);
    }

    public void o(@Nullable b bVar) {
        p(bVar, true);
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        getImpl().B();
    }

    /* access modifiers changed from: protected */
    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        getImpl().D();
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i7, int i8) {
        int sizeDimension = getSizeDimension();
        this.f7756j = (sizeDimension - this.f7757k) / 2;
        getImpl().i0();
        int min = Math.min(x(sizeDimension, i7), x(sizeDimension, i8));
        Rect rect = this.f7759m;
        setMeasuredDimension(rect.left + min + rect.right, min + rect.top + rect.bottom);
    }

    /* access modifiers changed from: protected */
    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof ExtendableSavedState)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        ExtendableSavedState extendableSavedState = (ExtendableSavedState) parcelable;
        super.onRestoreInstanceState(extendableSavedState.getSuperState());
        this.f7762p.d((Bundle) Preconditions.checkNotNull(extendableSavedState.f8667f.get(f7741s)));
    }

    /* access modifiers changed from: protected */
    public Parcelable onSaveInstanceState() {
        Parcelable onSaveInstanceState = super.onSaveInstanceState();
        if (onSaveInstanceState == null) {
            onSaveInstanceState = new Bundle();
        }
        ExtendableSavedState extendableSavedState = new ExtendableSavedState(onSaveInstanceState);
        extendableSavedState.f8667f.put(f7741s, this.f7762p.e());
        return extendableSavedState;
    }

    public boolean onTouchEvent(@NonNull MotionEvent motionEvent) {
        if (motionEvent.getAction() != 0 || !k(this.f7760n) || this.f7760n.contains((int) motionEvent.getX(), (int) motionEvent.getY())) {
            return super.onTouchEvent(motionEvent);
        }
        return false;
    }

    /* access modifiers changed from: package-private */
    public void p(@Nullable b bVar, boolean z7) {
        getImpl().w(C(bVar), z7);
    }

    public boolean q() {
        return getImpl().y();
    }

    public boolean r() {
        return getImpl().z();
    }

    public void setBackgroundColor(int i7) {
        Log.i(f7740r, "Setting a custom background is not supported.");
    }

    public void setBackgroundDrawable(Drawable drawable) {
        Log.i(f7740r, "Setting a custom background is not supported.");
    }

    public void setBackgroundResource(int i7) {
        Log.i(f7740r, "Setting a custom background is not supported.");
    }

    public void setBackgroundTintList(@Nullable ColorStateList colorStateList) {
        if (this.f7748b != colorStateList) {
            this.f7748b = colorStateList;
            getImpl().O(colorStateList);
        }
    }

    public void setBackgroundTintMode(@Nullable PorterDuff.Mode mode) {
        if (this.f7749c != mode) {
            this.f7749c = mode;
            getImpl().P(mode);
        }
    }

    public void setCompatElevation(float f7) {
        getImpl().Q(f7);
    }

    public void setCompatElevationResource(@DimenRes int i7) {
        setCompatElevation(getResources().getDimension(i7));
    }

    public void setCompatHoveredFocusedTranslationZ(float f7) {
        getImpl().T(f7);
    }

    public void setCompatHoveredFocusedTranslationZResource(@DimenRes int i7) {
        setCompatHoveredFocusedTranslationZ(getResources().getDimension(i7));
    }

    public void setCompatPressedTranslationZ(float f7) {
        getImpl().X(f7);
    }

    public void setCompatPressedTranslationZResource(@DimenRes int i7) {
        setCompatPressedTranslationZ(getResources().getDimension(i7));
    }

    public void setCustomSize(@Px int i7) {
        if (i7 < 0) {
            throw new IllegalArgumentException("Custom size must be non-negative");
        } else if (i7 != this.f7755i) {
            this.f7755i = i7;
            requestLayout();
        }
    }

    @RequiresApi(21)
    public void setElevation(float f7) {
        super.setElevation(f7);
        getImpl().j0(f7);
    }

    public void setEnsureMinTouchTargetSize(boolean z7) {
        if (z7 != getImpl().o()) {
            getImpl().R(z7);
            requestLayout();
        }
    }

    @Override // j0.a
    public void setExpandedComponentIdHint(@IdRes int i7) {
        this.f7762p.g(i7);
    }

    public void setHideMotionSpec(@Nullable h hVar) {
        getImpl().S(hVar);
    }

    public void setHideMotionSpecResource(@AnimatorRes int i7) {
        setHideMotionSpec(h.d(getContext(), i7));
    }

    public void setImageDrawable(@Nullable Drawable drawable) {
        if (getDrawable() != drawable) {
            super.setImageDrawable(drawable);
            getImpl().h0();
            if (this.f7750d != null) {
                t();
            }
        }
    }

    public void setImageResource(@DrawableRes int i7) {
        this.f7761o.setImageResource(i7);
        t();
    }

    public void setRippleColor(@ColorInt int i7) {
        setRippleColor(ColorStateList.valueOf(i7));
    }

    public void setScaleX(float f7) {
        super.setScaleX(f7);
        getImpl().I();
    }

    public void setScaleY(float f7) {
        super.setScaleY(f7);
        getImpl().I();
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    @VisibleForTesting
    public void setShadowPaddingEnabled(boolean z7) {
        getImpl().Z(z7);
    }

    @Override // com.google.android.material.shape.s
    public void setShapeAppearanceModel(@NonNull o oVar) {
        getImpl().a0(oVar);
    }

    public void setShowMotionSpec(@Nullable h hVar) {
        getImpl().b0(hVar);
    }

    public void setShowMotionSpecResource(@AnimatorRes int i7) {
        setShowMotionSpec(h.d(getContext(), i7));
    }

    public void setSize(int i7) {
        this.f7755i = 0;
        if (i7 != this.f7754h) {
            this.f7754h = i7;
            requestLayout();
        }
    }

    @Override // androidx.core.view.TintableBackgroundView
    public void setSupportBackgroundTintList(@Nullable ColorStateList colorStateList) {
        setBackgroundTintList(colorStateList);
    }

    @Override // androidx.core.view.TintableBackgroundView
    public void setSupportBackgroundTintMode(@Nullable PorterDuff.Mode mode) {
        setBackgroundTintMode(mode);
    }

    @Override // androidx.core.widget.TintableImageSourceView
    public void setSupportImageTintList(@Nullable ColorStateList colorStateList) {
        if (this.f7750d != colorStateList) {
            this.f7750d = colorStateList;
            t();
        }
    }

    @Override // androidx.core.widget.TintableImageSourceView
    public void setSupportImageTintMode(@Nullable PorterDuff.Mode mode) {
        if (this.f7751e != mode) {
            this.f7751e = mode;
            t();
        }
    }

    public void setTranslationX(float f7) {
        super.setTranslationX(f7);
        getImpl().J();
    }

    public void setTranslationY(float f7) {
        super.setTranslationY(f7);
        getImpl().J();
    }

    public void setTranslationZ(float f7) {
        super.setTranslationZ(f7);
        getImpl().J();
    }

    public void setUseCompatPadding(boolean z7) {
        if (this.f7758l != z7) {
            this.f7758l = z7;
            getImpl().C();
        }
    }

    @Override // com.google.android.material.internal.z
    public void setVisibility(int i7) {
        super.setVisibility(i7);
    }

    public void u(@NonNull Animator.AnimatorListener animatorListener) {
        getImpl().K(animatorListener);
    }

    public void v(@NonNull Animator.AnimatorListener animatorListener) {
        getImpl().L(animatorListener);
    }

    public void w(@NonNull k<? extends FloatingActionButton> kVar) {
        getImpl().M(new e(kVar));
    }

    public boolean y() {
        return getImpl().o();
    }

    public void z() {
        A(null);
    }

    public FloatingActionButton(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, a.c.f888z5);
    }

    public void setRippleColor(@Nullable ColorStateList colorStateList) {
        if (this.f7752f != colorStateList) {
            this.f7752f = colorStateList;
            getImpl().Y(this.f7752f);
        }
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public FloatingActionButton(@NonNull Context context, @Nullable AttributeSet attributeSet, int i7) {
        super(l0.a.c(context, attributeSet, i7, r6), attributeSet, i7);
        int i8 = f7742t;
        this.f7759m = new Rect();
        this.f7760n = new Rect();
        Context context2 = getContext();
        TypedArray j7 = q.j(context2, attributeSet, a.o.Wd, i7, i8, new int[0]);
        this.f7748b = com.google.android.material.resources.c.a(context2, j7, a.o.Yd);
        this.f7749c = y.k(j7.getInt(a.o.Zd, -1), null);
        this.f7752f = com.google.android.material.resources.c.a(context2, j7, a.o.je);
        this.f7754h = j7.getInt(a.o.ee, -1);
        this.f7755i = j7.getDimensionPixelSize(a.o.de, 0);
        this.f7753g = j7.getDimensionPixelSize(a.o.ae, 0);
        float dimension = j7.getDimension(a.o.be, 0.0f);
        float dimension2 = j7.getDimension(a.o.ge, 0.0f);
        float dimension3 = j7.getDimension(a.o.ie, 0.0f);
        this.f7758l = j7.getBoolean(a.o.ne, false);
        int dimensionPixelSize = getResources().getDimensionPixelSize(a.f.S4);
        this.f7757k = j7.getDimensionPixelSize(a.o.he, 0);
        h c7 = h.c(context2, j7, a.o.me);
        h c8 = h.c(context2, j7, a.o.fe);
        o m7 = o.g(context2, attributeSet, i7, i8, o.f8428m).m();
        boolean z7 = j7.getBoolean(a.o.ce, false);
        setEnabled(j7.getBoolean(a.o.Xd, true));
        j7.recycle();
        AppCompatImageHelper appCompatImageHelper = new AppCompatImageHelper(this);
        this.f7761o = appCompatImageHelper;
        appCompatImageHelper.loadFromAttributes(attributeSet, i7);
        this.f7762p = new j0.c(this);
        getImpl().a0(m7);
        getImpl().x(this.f7748b, this.f7749c, this.f7752f, this.f7753g);
        getImpl().W(dimensionPixelSize);
        getImpl().Q(dimension);
        getImpl().T(dimension2);
        getImpl().X(dimension3);
        getImpl().V(this.f7757k);
        getImpl().b0(c7);
        getImpl().S(c8);
        getImpl().R(z7);
        setScaleType(ImageView.ScaleType.MATRIX);
    }
}
