package com.google.android.material.floatingactionbutton;

import android.animation.Animator;
import android.animation.AnimatorSet;
import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.Color;
import android.util.Property;
import android.view.View;
import androidx.annotation.CallSuper;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.core.util.Preconditions;
import com.google.android.material.animation.h;
import java.util.ArrayList;
import java.util.List;

/* access modifiers changed from: package-private */
public abstract class b implements f {

    /* renamed from: a  reason: collision with root package name */
    private final Context f7774a;
    @NonNull

    /* renamed from: b  reason: collision with root package name */
    private final ExtendedFloatingActionButton f7775b;

    /* renamed from: c  reason: collision with root package name */
    private final ArrayList<Animator.AnimatorListener> f7776c = new ArrayList<>();

    /* renamed from: d  reason: collision with root package name */
    private final a f7777d;
    @Nullable

    /* renamed from: e  reason: collision with root package name */
    private h f7778e;
    @Nullable

    /* renamed from: f  reason: collision with root package name */
    private h f7779f;

    /* access modifiers changed from: package-private */
    public class a extends Property<ExtendedFloatingActionButton, Float> {
        a(Class cls, String str) {
            super(cls, str);
        }

        /* renamed from: a */
        public Float get(ExtendedFloatingActionButton extendedFloatingActionButton) {
            return Float.valueOf(com.google.android.material.animation.a.a(0.0f, 1.0f, (((float) Color.alpha(extendedFloatingActionButton.getCurrentTextColor())) / 255.0f) / ((float) Color.alpha(extendedFloatingActionButton.K.getColorForState(extendedFloatingActionButton.getDrawableState(), b.this.f7775b.K.getDefaultColor())))));
        }

        /* renamed from: b */
        public void set(ExtendedFloatingActionButton extendedFloatingActionButton, Float f7) {
            int colorForState = extendedFloatingActionButton.K.getColorForState(extendedFloatingActionButton.getDrawableState(), b.this.f7775b.K.getDefaultColor());
            ColorStateList valueOf = ColorStateList.valueOf(Color.argb((int) (com.google.android.material.animation.a.a(0.0f, ((float) Color.alpha(colorForState)) / 255.0f, f7.floatValue()) * 255.0f), Color.red(colorForState), Color.green(colorForState), Color.blue(colorForState)));
            if (f7.floatValue() == 1.0f) {
                valueOf = extendedFloatingActionButton.K;
            }
            extendedFloatingActionButton.V(valueOf);
        }
    }

    b(@NonNull ExtendedFloatingActionButton extendedFloatingActionButton, a aVar) {
        this.f7775b = extendedFloatingActionButton;
        this.f7774a = extendedFloatingActionButton.getContext();
        this.f7777d = aVar;
    }

    @Override // com.google.android.material.floatingactionbutton.f
    @CallSuper
    public void a() {
        this.f7777d.b();
    }

    @Override // com.google.android.material.floatingactionbutton.f
    public final h b() {
        h hVar = this.f7779f;
        if (hVar != null) {
            return hVar;
        }
        if (this.f7778e == null) {
            this.f7778e = h.d(this.f7774a, c());
        }
        return (h) Preconditions.checkNotNull(this.f7778e);
    }

    @Override // com.google.android.material.floatingactionbutton.f
    @Nullable
    public h e() {
        return this.f7779f;
    }

    @Override // com.google.android.material.floatingactionbutton.f
    public final void g(@NonNull Animator.AnimatorListener animatorListener) {
        this.f7776c.remove(animatorListener);
    }

    @Override // com.google.android.material.floatingactionbutton.f
    public final void h(@NonNull Animator.AnimatorListener animatorListener) {
        this.f7776c.add(animatorListener);
    }

    @Override // com.google.android.material.floatingactionbutton.f
    @CallSuper
    public void i() {
        this.f7777d.b();
    }

    @Override // com.google.android.material.floatingactionbutton.f
    public final void j(@Nullable h hVar) {
        this.f7779f = hVar;
    }

    @Override // com.google.android.material.floatingactionbutton.f
    public AnimatorSet k() {
        return o(b());
    }

    @Override // com.google.android.material.floatingactionbutton.f
    @NonNull
    public final List<Animator.AnimatorListener> l() {
        return this.f7776c;
    }

    /* access modifiers changed from: package-private */
    @NonNull
    public AnimatorSet o(@NonNull h hVar) {
        ArrayList arrayList = new ArrayList();
        if (hVar.j("opacity")) {
            arrayList.add(hVar.f("opacity", this.f7775b, View.ALPHA));
        }
        if (hVar.j("scale")) {
            arrayList.add(hVar.f("scale", this.f7775b, View.SCALE_Y));
            arrayList.add(hVar.f("scale", this.f7775b, View.SCALE_X));
        }
        if (hVar.j("width")) {
            arrayList.add(hVar.f("width", this.f7775b, ExtendedFloatingActionButton.P));
        }
        if (hVar.j("height")) {
            arrayList.add(hVar.f("height", this.f7775b, ExtendedFloatingActionButton.Q));
        }
        if (hVar.j("paddingStart")) {
            arrayList.add(hVar.f("paddingStart", this.f7775b, ExtendedFloatingActionButton.R));
        }
        if (hVar.j("paddingEnd")) {
            arrayList.add(hVar.f("paddingEnd", this.f7775b, ExtendedFloatingActionButton.S));
        }
        if (hVar.j("labelOpacity")) {
            arrayList.add(hVar.f("labelOpacity", this.f7775b, new a(Float.class, "LABEL_OPACITY_PROPERTY")));
        }
        AnimatorSet animatorSet = new AnimatorSet();
        com.google.android.material.animation.b.a(animatorSet, arrayList);
        return animatorSet;
    }

    @Override // com.google.android.material.floatingactionbutton.f
    @CallSuper
    public void onAnimationStart(Animator animator) {
        this.f7777d.c(animator);
    }
}
