package com.google.android.material.floatingactionbutton;

import android.annotation.TargetApi;
import android.content.res.ColorStateList;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.LinearGradient;
import android.graphics.Outline;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.Shader;
import android.graphics.drawable.Drawable;
import androidx.annotation.ColorInt;
import androidx.annotation.Dimension;
import androidx.annotation.IntRange;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.core.graphics.ColorUtils;
import com.google.android.material.shape.o;
import com.google.android.material.shape.p;

/* access modifiers changed from: package-private */
@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
public class c extends Drawable {

    /* renamed from: q  reason: collision with root package name */
    private static final float f7781q = 1.3333f;

    /* renamed from: a  reason: collision with root package name */
    private final p f7782a = p.k();
    @NonNull

    /* renamed from: b  reason: collision with root package name */
    private final Paint f7783b;

    /* renamed from: c  reason: collision with root package name */
    private final Path f7784c = new Path();

    /* renamed from: d  reason: collision with root package name */
    private final Rect f7785d = new Rect();

    /* renamed from: e  reason: collision with root package name */
    private final RectF f7786e = new RectF();

    /* renamed from: f  reason: collision with root package name */
    private final RectF f7787f = new RectF();

    /* renamed from: g  reason: collision with root package name */
    private final b f7788g = new b();
    @Dimension

    /* renamed from: h  reason: collision with root package name */
    float f7789h;
    @ColorInt

    /* renamed from: i  reason: collision with root package name */
    private int f7790i;
    @ColorInt

    /* renamed from: j  reason: collision with root package name */
    private int f7791j;
    @ColorInt

    /* renamed from: k  reason: collision with root package name */
    private int f7792k;
    @ColorInt

    /* renamed from: l  reason: collision with root package name */
    private int f7793l;
    @ColorInt

    /* renamed from: m  reason: collision with root package name */
    private int f7794m;

    /* renamed from: n  reason: collision with root package name */
    private boolean f7795n = true;

    /* renamed from: o  reason: collision with root package name */
    private o f7796o;
    @Nullable

    /* renamed from: p  reason: collision with root package name */
    private ColorStateList f7797p;

    private class b extends Drawable.ConstantState {
        private b() {
        }

        public int getChangingConfigurations() {
            return 0;
        }

        @NonNull
        public Drawable newDrawable() {
            return c.this;
        }
    }

    c(o oVar) {
        this.f7796o = oVar;
        Paint paint = new Paint(1);
        this.f7783b = paint;
        paint.setStyle(Paint.Style.STROKE);
    }

    @NonNull
    private Shader a() {
        Rect rect = this.f7785d;
        copyBounds(rect);
        float height = this.f7789h / ((float) rect.height());
        return new LinearGradient(0.0f, (float) rect.top, 0.0f, (float) rect.bottom, new int[]{ColorUtils.compositeColors(this.f7790i, this.f7794m), ColorUtils.compositeColors(this.f7791j, this.f7794m), ColorUtils.compositeColors(ColorUtils.setAlphaComponent(this.f7791j, 0), this.f7794m), ColorUtils.compositeColors(ColorUtils.setAlphaComponent(this.f7793l, 0), this.f7794m), ColorUtils.compositeColors(this.f7793l, this.f7794m), ColorUtils.compositeColors(this.f7792k, this.f7794m)}, new float[]{0.0f, height, 0.5f, 0.5f, 1.0f - height, 1.0f}, Shader.TileMode.CLAMP);
    }

    /* access modifiers changed from: protected */
    @NonNull
    public RectF b() {
        this.f7787f.set(getBounds());
        return this.f7787f;
    }

    public o c() {
        return this.f7796o;
    }

    /* access modifiers changed from: package-private */
    public void d(@Nullable ColorStateList colorStateList) {
        if (colorStateList != null) {
            this.f7794m = colorStateList.getColorForState(getState(), this.f7794m);
        }
        this.f7797p = colorStateList;
        this.f7795n = true;
        invalidateSelf();
    }

    public void draw(@NonNull Canvas canvas) {
        if (this.f7795n) {
            this.f7783b.setShader(a());
            this.f7795n = false;
        }
        float strokeWidth = this.f7783b.getStrokeWidth() / 2.0f;
        copyBounds(this.f7785d);
        this.f7786e.set(this.f7785d);
        float min = Math.min(this.f7796o.r().a(b()), this.f7786e.width() / 2.0f);
        if (this.f7796o.u(b())) {
            this.f7786e.inset(strokeWidth, strokeWidth);
            canvas.drawRoundRect(this.f7786e, min, min, this.f7783b);
        }
    }

    public void e(@Dimension float f7) {
        if (this.f7789h != f7) {
            this.f7789h = f7;
            this.f7783b.setStrokeWidth(f7 * f7781q);
            this.f7795n = true;
            invalidateSelf();
        }
    }

    /* access modifiers changed from: package-private */
    public void f(@ColorInt int i7, @ColorInt int i8, @ColorInt int i9, @ColorInt int i10) {
        this.f7790i = i7;
        this.f7791j = i8;
        this.f7792k = i9;
        this.f7793l = i10;
    }

    public void g(o oVar) {
        this.f7796o = oVar;
        invalidateSelf();
    }

    @Nullable
    public Drawable.ConstantState getConstantState() {
        return this.f7788g;
    }

    public int getOpacity() {
        return this.f7789h > 0.0f ? -3 : -2;
    }

    @TargetApi(21)
    public void getOutline(@NonNull Outline outline) {
        if (this.f7796o.u(b())) {
            outline.setRoundRect(getBounds(), this.f7796o.r().a(b()));
            return;
        }
        copyBounds(this.f7785d);
        this.f7786e.set(this.f7785d);
        this.f7782a.d(this.f7796o, 1.0f, this.f7786e, this.f7784c);
        if (this.f7784c.isConvex()) {
            outline.setConvexPath(this.f7784c);
        }
    }

    public boolean getPadding(@NonNull Rect rect) {
        if (!this.f7796o.u(b())) {
            return true;
        }
        int round = Math.round(this.f7789h);
        rect.set(round, round, round, round);
        return true;
    }

    public boolean isStateful() {
        ColorStateList colorStateList = this.f7797p;
        return (colorStateList != null && colorStateList.isStateful()) || super.isStateful();
    }

    /* access modifiers changed from: protected */
    public void onBoundsChange(Rect rect) {
        this.f7795n = true;
    }

    /* access modifiers changed from: protected */
    public boolean onStateChange(int[] iArr) {
        int colorForState;
        ColorStateList colorStateList = this.f7797p;
        if (!(colorStateList == null || (colorForState = colorStateList.getColorForState(iArr, this.f7794m)) == this.f7794m)) {
            this.f7795n = true;
            this.f7794m = colorForState;
        }
        if (this.f7795n) {
            invalidateSelf();
        }
        return this.f7795n;
    }

    public void setAlpha(@IntRange(from = 0, to = 255) int i7) {
        this.f7783b.setAlpha(i7);
        invalidateSelf();
    }

    public void setColorFilter(@Nullable ColorFilter colorFilter) {
        this.f7783b.setColorFilter(colorFilter);
        invalidateSelf();
    }
}
