package com.google.android.material.imageview;

import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Outline;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffXfermode;
import android.graphics.Rect;
import android.graphics.RectF;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewOutlineProvider;
import androidx.annotation.ColorRes;
import androidx.annotation.DimenRes;
import androidx.annotation.Dimension;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.appcompat.content.res.AppCompatResources;
import androidx.appcompat.widget.AppCompatImageView;
import b0.a;
import com.google.android.material.resources.c;
import com.google.android.material.shape.j;
import com.google.android.material.shape.o;
import com.google.android.material.shape.p;
import com.google.android.material.shape.s;

public class a extends AppCompatImageView implements s {

    /* renamed from: s  reason: collision with root package name */
    private static final int f7844s = a.n.lc;

    /* renamed from: t  reason: collision with root package name */
    private static final int f7845t = Integer.MIN_VALUE;

    /* renamed from: a  reason: collision with root package name */
    private final p f7846a;

    /* renamed from: b  reason: collision with root package name */
    private final RectF f7847b;

    /* renamed from: c  reason: collision with root package name */
    private final RectF f7848c;

    /* renamed from: d  reason: collision with root package name */
    private final Paint f7849d;

    /* renamed from: e  reason: collision with root package name */
    private final Paint f7850e;

    /* renamed from: f  reason: collision with root package name */
    private final Path f7851f;
    @Nullable

    /* renamed from: g  reason: collision with root package name */
    private ColorStateList f7852g;
    @Nullable

    /* renamed from: h  reason: collision with root package name */
    private j f7853h;

    /* renamed from: i  reason: collision with root package name */
    private o f7854i;
    @Dimension

    /* renamed from: j  reason: collision with root package name */
    private float f7855j;

    /* renamed from: k  reason: collision with root package name */
    private Path f7856k;
    @Dimension

    /* renamed from: l  reason: collision with root package name */
    private int f7857l;
    @Dimension

    /* renamed from: m  reason: collision with root package name */
    private int f7858m;
    @Dimension

    /* renamed from: n  reason: collision with root package name */
    private int f7859n;
    @Dimension

    /* renamed from: o  reason: collision with root package name */
    private int f7860o;
    @Dimension

    /* renamed from: p  reason: collision with root package name */
    private int f7861p;
    @Dimension

    /* renamed from: q  reason: collision with root package name */
    private int f7862q;

    /* renamed from: r  reason: collision with root package name */
    private boolean f7863r;

    @TargetApi(21)
    /* renamed from: com.google.android.material.imageview.a$a  reason: collision with other inner class name */
    class C0088a extends ViewOutlineProvider {

        /* renamed from: a  reason: collision with root package name */
        private final Rect f7864a = new Rect();

        C0088a() {
        }

        public void getOutline(View view, Outline outline) {
            if (a.this.f7854i != null) {
                if (a.this.f7853h == null) {
                    a.this.f7853h = new j(a.this.f7854i);
                }
                a.this.f7847b.round(this.f7864a);
                a.this.f7853h.setBounds(this.f7864a);
                a.this.f7853h.getOutline(outline);
            }
        }
    }

    public a(Context context) {
        this(context, null, 0);
    }

    private void e(Canvas canvas) {
        if (this.f7852g != null) {
            this.f7849d.setStrokeWidth(this.f7855j);
            int colorForState = this.f7852g.getColorForState(getDrawableState(), this.f7852g.getDefaultColor());
            if (this.f7855j > 0.0f && colorForState != 0) {
                this.f7849d.setColor(colorForState);
                canvas.drawPath(this.f7851f, this.f7849d);
            }
        }
    }

    private boolean f() {
        return (this.f7861p == Integer.MIN_VALUE && this.f7862q == Integer.MIN_VALUE) ? false : true;
    }

    private boolean g() {
        return getLayoutDirection() == 1;
    }

    private void j(int i7, int i8) {
        this.f7847b.set((float) getPaddingLeft(), (float) getPaddingTop(), (float) (i7 - getPaddingRight()), (float) (i8 - getPaddingBottom()));
        this.f7846a.d(this.f7854i, 1.0f, this.f7847b, this.f7851f);
        this.f7856k.rewind();
        this.f7856k.addPath(this.f7851f);
        this.f7848c.set(0.0f, 0.0f, (float) i7, (float) i8);
        this.f7856k.addRect(this.f7848c, Path.Direction.CCW);
    }

    @Dimension
    public int getContentPaddingBottom() {
        return this.f7860o;
    }

    @Dimension
    public final int getContentPaddingEnd() {
        int i7 = this.f7862q;
        return i7 != Integer.MIN_VALUE ? i7 : g() ? this.f7857l : this.f7859n;
    }

    @Dimension
    public int getContentPaddingLeft() {
        int i7;
        int i8;
        if (f()) {
            if (g() && (i8 = this.f7862q) != Integer.MIN_VALUE) {
                return i8;
            }
            if (!g() && (i7 = this.f7861p) != Integer.MIN_VALUE) {
                return i7;
            }
        }
        return this.f7857l;
    }

    @Dimension
    public int getContentPaddingRight() {
        int i7;
        int i8;
        if (f()) {
            if (g() && (i8 = this.f7861p) != Integer.MIN_VALUE) {
                return i8;
            }
            if (!g() && (i7 = this.f7862q) != Integer.MIN_VALUE) {
                return i7;
            }
        }
        return this.f7859n;
    }

    @Dimension
    public final int getContentPaddingStart() {
        int i7 = this.f7861p;
        return i7 != Integer.MIN_VALUE ? i7 : g() ? this.f7859n : this.f7857l;
    }

    @Dimension
    public int getContentPaddingTop() {
        return this.f7858m;
    }

    @Dimension
    public int getPaddingBottom() {
        return super.getPaddingBottom() - getContentPaddingBottom();
    }

    @Dimension
    public int getPaddingEnd() {
        return super.getPaddingEnd() - getContentPaddingEnd();
    }

    @Dimension
    public int getPaddingLeft() {
        return super.getPaddingLeft() - getContentPaddingLeft();
    }

    @Dimension
    public int getPaddingRight() {
        return super.getPaddingRight() - getContentPaddingRight();
    }

    @Dimension
    public int getPaddingStart() {
        return super.getPaddingStart() - getContentPaddingStart();
    }

    @Dimension
    public int getPaddingTop() {
        return super.getPaddingTop() - getContentPaddingTop();
    }

    @Override // com.google.android.material.shape.s
    @NonNull
    public o getShapeAppearanceModel() {
        return this.f7854i;
    }

    @Nullable
    public ColorStateList getStrokeColor() {
        return this.f7852g;
    }

    @Dimension
    public float getStrokeWidth() {
        return this.f7855j;
    }

    public void h(@Dimension int i7, @Dimension int i8, @Dimension int i9, @Dimension int i10) {
        this.f7861p = Integer.MIN_VALUE;
        this.f7862q = Integer.MIN_VALUE;
        super.setPadding((super.getPaddingLeft() - this.f7857l) + i7, (super.getPaddingTop() - this.f7858m) + i8, (super.getPaddingRight() - this.f7859n) + i9, (super.getPaddingBottom() - this.f7860o) + i10);
        this.f7857l = i7;
        this.f7858m = i8;
        this.f7859n = i9;
        this.f7860o = i10;
    }

    @RequiresApi(17)
    public void i(@Dimension int i7, @Dimension int i8, @Dimension int i9, @Dimension int i10) {
        super.setPaddingRelative((super.getPaddingStart() - getContentPaddingStart()) + i7, (super.getPaddingTop() - this.f7858m) + i8, (super.getPaddingEnd() - getContentPaddingEnd()) + i9, (super.getPaddingBottom() - this.f7860o) + i10);
        this.f7857l = g() ? i9 : i7;
        this.f7858m = i8;
        if (!g()) {
            i7 = i9;
        }
        this.f7859n = i7;
        this.f7860o = i10;
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        setLayerType(2, null);
    }

    /* access modifiers changed from: protected */
    public void onDetachedFromWindow() {
        setLayerType(0, null);
        super.onDetachedFromWindow();
    }

    /* access modifiers changed from: protected */
    public void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        canvas.drawPath(this.f7856k, this.f7850e);
        e(canvas);
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i7, int i8) {
        super.onMeasure(i7, i8);
        if (!this.f7863r && isLayoutDirectionResolved()) {
            this.f7863r = true;
            if (isPaddingRelative() || f()) {
                setPaddingRelative(super.getPaddingStart(), super.getPaddingTop(), super.getPaddingEnd(), super.getPaddingBottom());
            } else {
                setPadding(super.getPaddingLeft(), super.getPaddingTop(), super.getPaddingRight(), super.getPaddingBottom());
            }
        }
    }

    /* access modifiers changed from: protected */
    public void onSizeChanged(int i7, int i8, int i9, int i10) {
        super.onSizeChanged(i7, i8, i9, i10);
        j(i7, i8);
    }

    public void setPadding(@Dimension int i7, @Dimension int i8, @Dimension int i9, @Dimension int i10) {
        super.setPadding(i7 + getContentPaddingLeft(), i8 + getContentPaddingTop(), i9 + getContentPaddingRight(), i10 + getContentPaddingBottom());
    }

    public void setPaddingRelative(@Dimension int i7, @Dimension int i8, @Dimension int i9, @Dimension int i10) {
        super.setPaddingRelative(i7 + getContentPaddingStart(), i8 + getContentPaddingTop(), i9 + getContentPaddingEnd(), i10 + getContentPaddingBottom());
    }

    @Override // com.google.android.material.shape.s
    public void setShapeAppearanceModel(@NonNull o oVar) {
        this.f7854i = oVar;
        j jVar = this.f7853h;
        if (jVar != null) {
            jVar.setShapeAppearanceModel(oVar);
        }
        j(getWidth(), getHeight());
        invalidate();
        invalidateOutline();
    }

    public void setStrokeColor(@Nullable ColorStateList colorStateList) {
        this.f7852g = colorStateList;
        invalidate();
    }

    public void setStrokeColorResource(@ColorRes int i7) {
        setStrokeColor(AppCompatResources.getColorStateList(getContext(), i7));
    }

    public void setStrokeWidth(@Dimension float f7) {
        if (this.f7855j != f7) {
            this.f7855j = f7;
            invalidate();
        }
    }

    public void setStrokeWidthResource(@DimenRes int i7) {
        setStrokeWidth((float) getResources().getDimensionPixelSize(i7));
    }

    public a(Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public a(Context context, @Nullable AttributeSet attributeSet, int i7) {
        super(l0.a.c(context, attributeSet, i7, r0), attributeSet, i7);
        int i8 = f7844s;
        this.f7846a = p.k();
        this.f7851f = new Path();
        this.f7863r = false;
        Context context2 = getContext();
        Paint paint = new Paint();
        this.f7850e = paint;
        paint.setAntiAlias(true);
        paint.setColor(-1);
        paint.setXfermode(new PorterDuffXfermode(PorterDuff.Mode.DST_OUT));
        this.f7847b = new RectF();
        this.f7848c = new RectF();
        this.f7856k = new Path();
        TypedArray obtainStyledAttributes = context2.obtainStyledAttributes(attributeSet, a.o.to, i7, i8);
        this.f7852g = c.a(context2, obtainStyledAttributes, a.o.Do);
        this.f7855j = (float) obtainStyledAttributes.getDimensionPixelSize(a.o.Eo, 0);
        int dimensionPixelSize = obtainStyledAttributes.getDimensionPixelSize(a.o.uo, 0);
        this.f7857l = dimensionPixelSize;
        this.f7858m = dimensionPixelSize;
        this.f7859n = dimensionPixelSize;
        this.f7860o = dimensionPixelSize;
        this.f7857l = obtainStyledAttributes.getDimensionPixelSize(a.o.xo, dimensionPixelSize);
        this.f7858m = obtainStyledAttributes.getDimensionPixelSize(a.o.Ao, dimensionPixelSize);
        this.f7859n = obtainStyledAttributes.getDimensionPixelSize(a.o.yo, dimensionPixelSize);
        this.f7860o = obtainStyledAttributes.getDimensionPixelSize(a.o.vo, dimensionPixelSize);
        this.f7861p = obtainStyledAttributes.getDimensionPixelSize(a.o.zo, Integer.MIN_VALUE);
        this.f7862q = obtainStyledAttributes.getDimensionPixelSize(a.o.wo, Integer.MIN_VALUE);
        obtainStyledAttributes.recycle();
        Paint paint2 = new Paint();
        this.f7849d = paint2;
        paint2.setStyle(Paint.Style.STROKE);
        paint2.setAntiAlias(true);
        this.f7854i = o.e(context2, attributeSet, i7, i8).m();
        setOutlineProvider(new C0088a());
    }
}
