package com.google.android.material.internal;

import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.StateListDrawable;
import android.util.AttributeSet;
import android.util.TypedValue;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewStub;
import android.widget.CheckedTextView;
import android.widget.FrameLayout;
import android.widget.LinearLayout;
import androidx.annotation.Dimension;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.appcompat.R;
import androidx.appcompat.view.menu.MenuItemImpl;
import androidx.appcompat.view.menu.MenuView;
import androidx.appcompat.widget.LinearLayoutCompat;
import androidx.appcompat.widget.TooltipCompat;
import androidx.core.content.res.ResourcesCompat;
import androidx.core.graphics.drawable.DrawableCompat;
import androidx.core.view.AccessibilityDelegateCompat;
import androidx.core.view.ViewCompat;
import androidx.core.view.accessibility.AccessibilityNodeInfoCompat;
import androidx.core.widget.TextViewCompat;
import b0.a;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
public class NavigationMenuItemView extends f implements MenuView.ItemView {

    /* renamed from: q  reason: collision with root package name */
    private static final int[] f7873q = {16842912};

    /* renamed from: g  reason: collision with root package name */
    private int f7874g;

    /* renamed from: h  reason: collision with root package name */
    private boolean f7875h;

    /* renamed from: i  reason: collision with root package name */
    boolean f7876i;

    /* renamed from: j  reason: collision with root package name */
    private final CheckedTextView f7877j;

    /* renamed from: k  reason: collision with root package name */
    private FrameLayout f7878k;

    /* renamed from: l  reason: collision with root package name */
    private MenuItemImpl f7879l;

    /* renamed from: m  reason: collision with root package name */
    private ColorStateList f7880m;

    /* renamed from: n  reason: collision with root package name */
    private boolean f7881n;

    /* renamed from: o  reason: collision with root package name */
    private Drawable f7882o;

    /* renamed from: p  reason: collision with root package name */
    private final AccessibilityDelegateCompat f7883p;

    class a extends AccessibilityDelegateCompat {
        a() {
        }

        @Override // androidx.core.view.AccessibilityDelegateCompat
        public void onInitializeAccessibilityNodeInfo(View view, @NonNull AccessibilityNodeInfoCompat accessibilityNodeInfoCompat) {
            super.onInitializeAccessibilityNodeInfo(view, accessibilityNodeInfoCompat);
            accessibilityNodeInfoCompat.setCheckable(NavigationMenuItemView.this.f7876i);
        }
    }

    public NavigationMenuItemView(@NonNull Context context) {
        this(context, null);
    }

    private void a() {
        int i7;
        LinearLayoutCompat.LayoutParams layoutParams;
        if (d()) {
            this.f7877j.setVisibility(8);
            FrameLayout frameLayout = this.f7878k;
            if (frameLayout != null) {
                layoutParams = (LinearLayoutCompat.LayoutParams) frameLayout.getLayoutParams();
                i7 = -1;
            } else {
                return;
            }
        } else {
            this.f7877j.setVisibility(0);
            FrameLayout frameLayout2 = this.f7878k;
            if (frameLayout2 != null) {
                layoutParams = (LinearLayoutCompat.LayoutParams) frameLayout2.getLayoutParams();
                i7 = -2;
            } else {
                return;
            }
        }
        ((LinearLayout.LayoutParams) layoutParams).width = i7;
        this.f7878k.setLayoutParams(layoutParams);
    }

    @Nullable
    private StateListDrawable b() {
        TypedValue typedValue = new TypedValue();
        if (!getContext().getTheme().resolveAttribute(R.attr.colorControlHighlight, typedValue, true)) {
            return null;
        }
        StateListDrawable stateListDrawable = new StateListDrawable();
        stateListDrawable.addState(f7873q, new ColorDrawable(typedValue.data));
        stateListDrawable.addState(ViewGroup.EMPTY_STATE_SET, new ColorDrawable(0));
        return stateListDrawable;
    }

    private boolean d() {
        return this.f7879l.getTitle() == null && this.f7879l.getIcon() == null && this.f7879l.getActionView() != null;
    }

    private void setActionView(@Nullable View view) {
        if (view != null) {
            if (this.f7878k == null) {
                this.f7878k = (FrameLayout) ((ViewStub) findViewById(a.h.f1342i1)).inflate();
            }
            this.f7878k.removeAllViews();
            this.f7878k.addView(view);
        }
    }

    public void c() {
        FrameLayout frameLayout = this.f7878k;
        if (frameLayout != null) {
            frameLayout.removeAllViews();
        }
        this.f7877j.setCompoundDrawables(null, null, null, null);
    }

    @Override // androidx.appcompat.view.menu.MenuView.ItemView
    public MenuItemImpl getItemData() {
        return this.f7879l;
    }

    @Override // androidx.appcompat.view.menu.MenuView.ItemView
    public void initialize(@NonNull MenuItemImpl menuItemImpl, int i7) {
        this.f7879l = menuItemImpl;
        if (menuItemImpl.getItemId() > 0) {
            setId(menuItemImpl.getItemId());
        }
        setVisibility(menuItemImpl.isVisible() ? 0 : 8);
        if (getBackground() == null) {
            ViewCompat.setBackground(this, b());
        }
        setCheckable(menuItemImpl.isCheckable());
        setChecked(menuItemImpl.isChecked());
        setEnabled(menuItemImpl.isEnabled());
        setTitle(menuItemImpl.getTitle());
        setIcon(menuItemImpl.getIcon());
        setActionView(menuItemImpl.getActionView());
        setContentDescription(menuItemImpl.getContentDescription());
        TooltipCompat.setTooltipText(this, menuItemImpl.getTooltipText());
        a();
    }

    /* access modifiers changed from: protected */
    public int[] onCreateDrawableState(int i7) {
        int[] onCreateDrawableState = super.onCreateDrawableState(i7 + 1);
        MenuItemImpl menuItemImpl = this.f7879l;
        if (menuItemImpl != null && menuItemImpl.isCheckable() && this.f7879l.isChecked()) {
            View.mergeDrawableStates(onCreateDrawableState, f7873q);
        }
        return onCreateDrawableState;
    }

    @Override // androidx.appcompat.view.menu.MenuView.ItemView
    public boolean prefersCondensedTitle() {
        return false;
    }

    @Override // androidx.appcompat.view.menu.MenuView.ItemView
    public void setCheckable(boolean z7) {
        refreshDrawableState();
        if (this.f7876i != z7) {
            this.f7876i = z7;
            this.f7883p.sendAccessibilityEvent(this.f7877j, 2048);
        }
    }

    @Override // androidx.appcompat.view.menu.MenuView.ItemView
    public void setChecked(boolean z7) {
        refreshDrawableState();
        this.f7877j.setChecked(z7);
    }

    public void setHorizontalPadding(int i7) {
        setPadding(i7, 0, i7, 0);
    }

    @Override // androidx.appcompat.view.menu.MenuView.ItemView
    public void setIcon(@Nullable Drawable drawable) {
        if (drawable != null) {
            if (this.f7881n) {
                Drawable.ConstantState constantState = drawable.getConstantState();
                if (constantState != null) {
                    drawable = constantState.newDrawable();
                }
                drawable = DrawableCompat.wrap(drawable).mutate();
                DrawableCompat.setTintList(drawable, this.f7880m);
            }
            int i7 = this.f7874g;
            drawable.setBounds(0, 0, i7, i7);
        } else if (this.f7875h) {
            if (this.f7882o == null) {
                Drawable drawable2 = ResourcesCompat.getDrawable(getResources(), a.g.f1241l1, getContext().getTheme());
                this.f7882o = drawable2;
                if (drawable2 != null) {
                    int i8 = this.f7874g;
                    drawable2.setBounds(0, 0, i8, i8);
                }
            }
            drawable = this.f7882o;
        }
        TextViewCompat.setCompoundDrawablesRelative(this.f7877j, drawable, null, null, null);
    }

    public void setIconPadding(int i7) {
        this.f7877j.setCompoundDrawablePadding(i7);
    }

    public void setIconSize(@Dimension int i7) {
        this.f7874g = i7;
    }

    /* access modifiers changed from: package-private */
    public void setIconTintList(ColorStateList colorStateList) {
        this.f7880m = colorStateList;
        this.f7881n = colorStateList != null;
        MenuItemImpl menuItemImpl = this.f7879l;
        if (menuItemImpl != null) {
            setIcon(menuItemImpl.getIcon());
        }
    }

    public void setMaxLines(int i7) {
        this.f7877j.setMaxLines(i7);
    }

    public void setNeedsEmptyIcon(boolean z7) {
        this.f7875h = z7;
    }

    @Override // androidx.appcompat.view.menu.MenuView.ItemView
    public void setShortcut(boolean z7, char c7) {
    }

    public void setTextAppearance(int i7) {
        TextViewCompat.setTextAppearance(this.f7877j, i7);
    }

    public void setTextColor(ColorStateList colorStateList) {
        this.f7877j.setTextColor(colorStateList);
    }

    @Override // androidx.appcompat.view.menu.MenuView.ItemView
    public void setTitle(CharSequence charSequence) {
        this.f7877j.setText(charSequence);
    }

    @Override // androidx.appcompat.view.menu.MenuView.ItemView
    public boolean showsIcon() {
        return true;
    }

    public NavigationMenuItemView(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public NavigationMenuItemView(@NonNull Context context, @Nullable AttributeSet attributeSet, int i7) {
        super(context, attributeSet, i7);
        a aVar = new a();
        this.f7883p = aVar;
        setOrientation(0);
        LayoutInflater.from(context).inflate(a.k.P, (ViewGroup) this, true);
        setIconSize(context.getResources().getDimensionPixelSize(a.f.f1104n1));
        CheckedTextView checkedTextView = (CheckedTextView) findViewById(a.h.f1349j1);
        this.f7877j = checkedTextView;
        checkedTextView.setDuplicateParentStateEnabled(true);
        ViewCompat.setAccessibilityDelegate(checkedTextView, aVar);
    }
}
