package com.google.android.material.internal;

import android.animation.TimeInterpolator;
import android.content.res.ColorStateList;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.Typeface;
import android.text.Layout;
import android.text.StaticLayout;
import android.text.TextPaint;
import android.text.TextUtils;
import android.util.Log;
import android.view.View;
import androidx.annotation.ColorInt;
import androidx.annotation.FloatRange;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.annotation.RestrictTo;
import androidx.core.math.MathUtils;
import androidx.core.text.TextDirectionHeuristicsCompat;
import androidx.core.util.Preconditions;
import androidx.core.view.GravityCompat;
import androidx.core.view.ViewCompat;
import com.google.android.material.internal.m;
import com.google.android.material.resources.a;
import com.google.android.material.resources.d;
import com.graphisoft.bimxlab.MainActivity;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
public final class a {

    /* renamed from: i0  reason: collision with root package name */
    private static final boolean f7885i0 = false;

    /* renamed from: j0  reason: collision with root package name */
    private static final String f7886j0 = "CollapsingTextHelper";

    /* renamed from: k0  reason: collision with root package name */
    private static final String f7887k0 = "…";

    /* renamed from: l0  reason: collision with root package name */
    private static final float f7888l0 = 0.5f;

    /* renamed from: m0  reason: collision with root package name */
    private static final boolean f7889m0 = false;
    @NonNull

    /* renamed from: n0  reason: collision with root package name */
    private static final Paint f7890n0 = null;
    private com.google.android.material.resources.a A;
    @Nullable
    private CharSequence B;
    @Nullable
    private CharSequence C;
    private boolean D;
    private boolean E;
    @Nullable
    private Bitmap F;
    private Paint G;
    private float H;
    private float I;
    private int[] J;
    private boolean K;
    @NonNull
    private final TextPaint L;
    @NonNull
    private final TextPaint M;
    private TimeInterpolator N;
    private TimeInterpolator O;
    private float P;
    private float Q;
    private float R;
    private ColorStateList S;
    private float T;
    private float U;
    private float V;
    private ColorStateList W;
    private float X;
    private float Y;
    private StaticLayout Z;

    /* renamed from: a  reason: collision with root package name */
    private final View f7891a;

    /* renamed from: a0  reason: collision with root package name */
    private float f7892a0;

    /* renamed from: b  reason: collision with root package name */
    private boolean f7893b;

    /* renamed from: b0  reason: collision with root package name */
    private float f7894b0;

    /* renamed from: c  reason: collision with root package name */
    private float f7895c;

    /* renamed from: c0  reason: collision with root package name */
    private float f7896c0;

    /* renamed from: d  reason: collision with root package name */
    private boolean f7897d;

    /* renamed from: d0  reason: collision with root package name */
    private CharSequence f7898d0;

    /* renamed from: e  reason: collision with root package name */
    private float f7899e;

    /* renamed from: e0  reason: collision with root package name */
    private int f7900e0 = 1;

    /* renamed from: f  reason: collision with root package name */
    private float f7901f;

    /* renamed from: f0  reason: collision with root package name */
    private float f7902f0 = 0.0f;

    /* renamed from: g  reason: collision with root package name */
    private int f7903g;

    /* renamed from: g0  reason: collision with root package name */
    private float f7904g0 = 1.0f;
    @NonNull

    /* renamed from: h  reason: collision with root package name */
    private final Rect f7905h;

    /* renamed from: h0  reason: collision with root package name */
    private int f7906h0 = m.f7996n;
    @NonNull

    /* renamed from: i  reason: collision with root package name */
    private final Rect f7907i;
    @NonNull

    /* renamed from: j  reason: collision with root package name */
    private final RectF f7908j;

    /* renamed from: k  reason: collision with root package name */
    private int f7909k = 16;

    /* renamed from: l  reason: collision with root package name */
    private int f7910l = 16;

    /* renamed from: m  reason: collision with root package name */
    private float f7911m = 15.0f;

    /* renamed from: n  reason: collision with root package name */
    private float f7912n = 15.0f;

    /* renamed from: o  reason: collision with root package name */
    private ColorStateList f7913o;

    /* renamed from: p  reason: collision with root package name */
    private ColorStateList f7914p;

    /* renamed from: q  reason: collision with root package name */
    private float f7915q;

    /* renamed from: r  reason: collision with root package name */
    private float f7916r;

    /* renamed from: s  reason: collision with root package name */
    private float f7917s;

    /* renamed from: t  reason: collision with root package name */
    private float f7918t;

    /* renamed from: u  reason: collision with root package name */
    private float f7919u;

    /* renamed from: v  reason: collision with root package name */
    private float f7920v;

    /* renamed from: w  reason: collision with root package name */
    private Typeface f7921w;

    /* renamed from: x  reason: collision with root package name */
    private Typeface f7922x;

    /* renamed from: y  reason: collision with root package name */
    private Typeface f7923y;

    /* renamed from: z  reason: collision with root package name */
    private com.google.android.material.resources.a f7924z;

    /* access modifiers changed from: package-private */
    /* renamed from: com.google.android.material.internal.a$a  reason: collision with other inner class name */
    public class C0089a implements a.AbstractC0093a {
        C0089a() {
        }

        @Override // com.google.android.material.resources.a.AbstractC0093a
        public void a(Typeface typeface) {
            a.this.d0(typeface);
        }
    }

    /* access modifiers changed from: package-private */
    public class b implements a.AbstractC0093a {
        b() {
        }

        @Override // com.google.android.material.resources.a.AbstractC0093a
        public void a(Typeface typeface) {
            a.this.n0(typeface);
        }
    }

    public a(View view) {
        this.f7891a = view;
        TextPaint textPaint = new TextPaint(129);
        this.L = textPaint;
        this.M = new TextPaint(textPaint);
        this.f7907i = new Rect();
        this.f7905h = new Rect();
        this.f7908j = new RectF();
        this.f7901f = f();
    }

    private boolean C0() {
        return this.f7900e0 > 1 && (!this.D || this.f7897d) && !this.E;
    }

    private void M(@NonNull TextPaint textPaint) {
        textPaint.setTextSize(this.f7912n);
        textPaint.setTypeface(this.f7921w);
        textPaint.setLetterSpacing(this.X);
    }

    private void N(@NonNull TextPaint textPaint) {
        textPaint.setTextSize(this.f7911m);
        textPaint.setTypeface(this.f7922x);
        textPaint.setLetterSpacing(this.Y);
    }

    private void O(float f7) {
        if (this.f7897d) {
            this.f7908j.set(f7 < this.f7901f ? this.f7905h : this.f7907i);
            return;
        }
        this.f7908j.left = S((float) this.f7905h.left, (float) this.f7907i.left, f7, this.N);
        this.f7908j.top = S(this.f7915q, this.f7916r, f7, this.N);
        this.f7908j.right = S((float) this.f7905h.right, (float) this.f7907i.right, f7, this.N);
        this.f7908j.bottom = S((float) this.f7905h.bottom, (float) this.f7907i.bottom, f7, this.N);
    }

    private static boolean P(float f7, float f8) {
        return Math.abs(f7 - f8) < 0.001f;
    }

    private boolean Q() {
        return ViewCompat.getLayoutDirection(this.f7891a) == 1;
    }

    private static float S(float f7, float f8, float f9, @Nullable TimeInterpolator timeInterpolator) {
        if (timeInterpolator != null) {
            f9 = timeInterpolator.getInterpolation(f9);
        }
        return com.google.android.material.animation.a.a(f7, f8, f9);
    }

    private static boolean V(@NonNull Rect rect, int i7, int i8, int i9, int i10) {
        return rect.left == i7 && rect.top == i8 && rect.right == i9 && rect.bottom == i10;
    }

    private void Z(float f7) {
        this.f7892a0 = f7;
        ViewCompat.postInvalidateOnAnimation(this.f7891a);
    }

    private static int a(int i7, int i8, float f7) {
        float f8 = 1.0f - f7;
        return Color.argb((int) ((((float) Color.alpha(i7)) * f8) + (((float) Color.alpha(i8)) * f7)), (int) ((((float) Color.red(i7)) * f8) + (((float) Color.red(i8)) * f7)), (int) ((((float) Color.green(i7)) * f8) + (((float) Color.green(i8)) * f7)), (int) ((((float) Color.blue(i7)) * f8) + (((float) Color.blue(i8)) * f7)));
    }

    /* JADX WARNING: Removed duplicated region for block: B:18:0x0079  */
    /* JADX WARNING: Removed duplicated region for block: B:21:0x0089  */
    /* JADX WARNING: Removed duplicated region for block: B:25:0x009d  */
    /* JADX WARNING: Removed duplicated region for block: B:26:0x00a3  */
    /* JADX WARNING: Removed duplicated region for block: B:29:0x00a8  */
    /* JADX WARNING: Removed duplicated region for block: B:30:0x00b3  */
    /* JADX WARNING: Removed duplicated region for block: B:38:0x00c5  */
    /* JADX WARNING: Removed duplicated region for block: B:44:0x00e1  */
    /* JADX WARNING: Removed duplicated region for block: B:48:0x00fd  */
    /* JADX WARNING: Removed duplicated region for block: B:51:0x0108  */
    /* JADX WARNING: Removed duplicated region for block: B:54:0x0116  */
    private void b() {
        int i7;
        float measureText;
        StaticLayout staticLayout;
        StaticLayout staticLayout2;
        int i8;
        int i9;
        float f7;
        float f8;
        float f9;
        float f10;
        StaticLayout staticLayout3;
        float f11 = this.I;
        i(this.f7912n);
        CharSequence charSequence = this.C;
        if (!(charSequence == null || (staticLayout3 = this.Z) == null)) {
            this.f7898d0 = TextUtils.ellipsize(charSequence, this.L, (float) staticLayout3.getWidth(), TextUtils.TruncateAt.END);
        }
        CharSequence charSequence2 = this.f7898d0;
        float f12 = 0.0f;
        float measureText2 = charSequence2 != null ? this.L.measureText(charSequence2, 0, charSequence2.length()) : 0.0f;
        int absoluteGravity = GravityCompat.getAbsoluteGravity(this.f7910l, this.D ? 1 : 0);
        int i10 = absoluteGravity & MainActivity.f15646h;
        if (i10 == 48) {
            f10 = (float) this.f7907i.top;
        } else if (i10 != 80) {
            this.f7916r = ((float) this.f7907i.centerY()) - ((this.L.descent() - this.L.ascent()) / 2.0f);
            i7 = absoluteGravity & GravityCompat.RELATIVE_HORIZONTAL_GRAVITY_MASK;
            if (i7 != 1) {
                f9 = (float) this.f7907i.centerX();
                measureText2 /= 2.0f;
            } else if (i7 != 5) {
                this.f7918t = (float) this.f7907i.left;
                i(this.f7911m);
                StaticLayout staticLayout4 = this.Z;
                float height = staticLayout4 != null ? (float) staticLayout4.getHeight() : 0.0f;
                CharSequence charSequence3 = this.C;
                measureText = charSequence3 != null ? this.L.measureText(charSequence3, 0, charSequence3.length()) : 0.0f;
                staticLayout = this.Z;
                if (staticLayout != null && this.f7900e0 > 1) {
                    measureText = (float) staticLayout.getWidth();
                }
                staticLayout2 = this.Z;
                if (staticLayout2 != null) {
                    f12 = this.f7900e0 > 1 ? (float) staticLayout2.getLineStart(0) : staticLayout2.getLineLeft(0);
                }
                this.f7896c0 = f12;
                int absoluteGravity2 = GravityCompat.getAbsoluteGravity(this.f7909k, this.D ? 1 : 0);
                i8 = absoluteGravity2 & MainActivity.f15646h;
                if (i8 != 48) {
                    this.f7915q = i8 != 80 ? ((float) this.f7905h.centerY()) - (height / 2.0f) : (((float) this.f7905h.bottom) - height) + this.L.descent();
                } else {
                    this.f7915q = (float) this.f7905h.top;
                }
                i9 = absoluteGravity2 & GravityCompat.RELATIVE_HORIZONTAL_GRAVITY_MASK;
                if (i9 == 1) {
                    f8 = (float) this.f7905h.centerX();
                    measureText /= 2.0f;
                } else if (i9 != 5) {
                    f7 = (float) this.f7905h.left;
                    this.f7917s = f7;
                    j();
                    t0(f11);
                } else {
                    f8 = (float) this.f7905h.right;
                }
                f7 = f8 - measureText;
                this.f7917s = f7;
                j();
                t0(f11);
            } else {
                f9 = (float) this.f7907i.right;
            }
            this.f7918t = f9 - measureText2;
            i(this.f7911m);
            StaticLayout staticLayout42 = this.Z;
            if (staticLayout42 != null) {
            }
            CharSequence charSequence32 = this.C;
            if (charSequence32 != null) {
            }
            staticLayout = this.Z;
            measureText = (float) staticLayout.getWidth();
            staticLayout2 = this.Z;
            if (staticLayout2 != null) {
            }
            this.f7896c0 = f12;
            int absoluteGravity22 = GravityCompat.getAbsoluteGravity(this.f7909k, this.D ? 1 : 0);
            i8 = absoluteGravity22 & MainActivity.f15646h;
            if (i8 != 48) {
            }
            i9 = absoluteGravity22 & GravityCompat.RELATIVE_HORIZONTAL_GRAVITY_MASK;
            if (i9 == 1) {
            }
            f7 = f8 - measureText;
            this.f7917s = f7;
            j();
            t0(f11);
        } else {
            f10 = ((float) this.f7907i.bottom) + this.L.ascent();
        }
        this.f7916r = f10;
        i7 = absoluteGravity & GravityCompat.RELATIVE_HORIZONTAL_GRAVITY_MASK;
        if (i7 != 1) {
        }
        this.f7918t = f9 - measureText2;
        i(this.f7911m);
        StaticLayout staticLayout422 = this.Z;
        if (staticLayout422 != null) {
        }
        CharSequence charSequence322 = this.C;
        if (charSequence322 != null) {
        }
        staticLayout = this.Z;
        measureText = (float) staticLayout.getWidth();
        staticLayout2 = this.Z;
        if (staticLayout2 != null) {
        }
        this.f7896c0 = f12;
        int absoluteGravity222 = GravityCompat.getAbsoluteGravity(this.f7909k, this.D ? 1 : 0);
        i8 = absoluteGravity222 & MainActivity.f15646h;
        if (i8 != 48) {
        }
        i9 = absoluteGravity222 & GravityCompat.RELATIVE_HORIZONTAL_GRAVITY_MASK;
        if (i9 == 1) {
        }
        f7 = f8 - measureText;
        this.f7917s = f7;
        j();
        t0(f11);
    }

    private void d() {
        h(this.f7895c);
    }

    private float e(@FloatRange(from = 0.0d, to = 1.0d) float f7) {
        float f8 = this.f7901f;
        return f7 <= f8 ? com.google.android.material.animation.a.b(1.0f, 0.0f, this.f7899e, f8, f7) : com.google.android.material.animation.a.b(0.0f, 1.0f, f8, 1.0f, f7);
    }

    private boolean e0(Typeface typeface) {
        com.google.android.material.resources.a aVar = this.A;
        if (aVar != null) {
            aVar.c();
        }
        if (this.f7921w == typeface) {
            return false;
        }
        this.f7921w = typeface;
        return true;
    }

    private float f() {
        float f7 = this.f7899e;
        return f7 + ((1.0f - f7) * 0.5f);
    }

    private boolean g(@NonNull CharSequence charSequence) {
        return (Q() ? TextDirectionHeuristicsCompat.FIRSTSTRONG_RTL : TextDirectionHeuristicsCompat.FIRSTSTRONG_LTR).isRtl(charSequence, 0, charSequence.length());
    }

    private void h(float f7) {
        float f8;
        O(f7);
        if (!this.f7897d) {
            this.f7919u = S(this.f7917s, this.f7918t, f7, this.N);
            this.f7920v = S(this.f7915q, this.f7916r, f7, this.N);
            t0(S(this.f7911m, this.f7912n, f7, this.O));
            f8 = f7;
        } else if (f7 < this.f7901f) {
            this.f7919u = this.f7917s;
            this.f7920v = this.f7915q;
            t0(this.f7911m);
            f8 = 0.0f;
        } else {
            this.f7919u = this.f7918t;
            this.f7920v = this.f7916r - ((float) this.f7903g);
            t0(this.f7912n);
            f8 = 1.0f;
        }
        TimeInterpolator timeInterpolator = com.google.android.material.animation.a.f6955b;
        Z(1.0f - S(0.0f, 1.0f, 1.0f - f7, timeInterpolator));
        j0(S(1.0f, 0.0f, f7, timeInterpolator));
        if (this.f7914p != this.f7913o) {
            this.L.setColor(a(y(), w(), f8));
        } else {
            this.L.setColor(w());
        }
        float f9 = this.X;
        float f10 = this.Y;
        if (f9 != f10) {
            this.L.setLetterSpacing(S(f10, f9, f7, timeInterpolator));
        } else {
            this.L.setLetterSpacing(f9);
        }
        this.L.setShadowLayer(S(this.T, this.P, f7, null), S(this.U, this.Q, f7, null), S(this.V, this.R, f7, null), a(x(this.W), x(this.S), f7));
        if (this.f7897d) {
            this.L.setAlpha((int) (e(f7) * 255.0f));
        }
        ViewCompat.postInvalidateOnAnimation(this.f7891a);
    }

    private void i(float f7) {
        float f8;
        boolean z7;
        boolean z8;
        if (this.B != null) {
            float width = (float) this.f7907i.width();
            float width2 = (float) this.f7905h.width();
            boolean z9 = false;
            int i7 = 1;
            if (P(f7, this.f7912n)) {
                f8 = this.f7912n;
                this.H = 1.0f;
                Typeface typeface = this.f7923y;
                Typeface typeface2 = this.f7921w;
                if (typeface != typeface2) {
                    this.f7923y = typeface2;
                    z7 = true;
                } else {
                    z7 = false;
                }
            } else {
                float f9 = this.f7911m;
                Typeface typeface3 = this.f7923y;
                Typeface typeface4 = this.f7922x;
                if (typeface3 != typeface4) {
                    this.f7923y = typeface4;
                    z8 = true;
                } else {
                    z8 = false;
                }
                if (P(f7, f9)) {
                    this.H = 1.0f;
                } else {
                    this.H = f7 / this.f7911m;
                }
                float f10 = this.f7912n / this.f7911m;
                width = width2 * f10 > width ? Math.min(width / f10, width2) : width2;
                f8 = f9;
                z7 = z8;
            }
            if (width > 0.0f) {
                z7 = this.I != f8 || this.K || z7;
                this.I = f8;
                this.K = false;
            }
            if (this.C == null || z7) {
                this.L.setTextSize(this.I);
                this.L.setTypeface(this.f7923y);
                TextPaint textPaint = this.L;
                if (this.H != 1.0f) {
                    z9 = true;
                }
                textPaint.setLinearText(z9);
                this.D = g(this.B);
                if (C0()) {
                    i7 = this.f7900e0;
                }
                StaticLayout k7 = k(i7, width, this.D);
                this.Z = k7;
                this.C = k7.getText();
            }
        }
    }

    private void j() {
        Bitmap bitmap = this.F;
        if (bitmap != null) {
            bitmap.recycle();
            this.F = null;
        }
    }

    private void j0(float f7) {
        this.f7894b0 = f7;
        ViewCompat.postInvalidateOnAnimation(this.f7891a);
    }

    private StaticLayout k(int i7, float f7, boolean z7) {
        StaticLayout staticLayout;
        try {
            staticLayout = m.c(this.B, this.L, (int) f7).e(TextUtils.TruncateAt.END).i(z7).d(Layout.Alignment.ALIGN_NORMAL).h(false).k(i7).j(this.f7902f0, this.f7904g0).g(this.f7906h0).a();
        } catch (m.a e7) {
            Log.e(f7886j0, e7.getCause().getMessage(), e7);
            staticLayout = null;
        }
        return (StaticLayout) Preconditions.checkNotNull(staticLayout);
    }

    private void m(@NonNull Canvas canvas, float f7, float f8) {
        int alpha = this.L.getAlpha();
        canvas.translate(f7, f8);
        float f9 = (float) alpha;
        this.L.setAlpha((int) (this.f7894b0 * f9));
        this.Z.draw(canvas);
        this.L.setAlpha((int) (this.f7892a0 * f9));
        int lineBaseline = this.Z.getLineBaseline(0);
        CharSequence charSequence = this.f7898d0;
        float f10 = (float) lineBaseline;
        canvas.drawText(charSequence, 0, charSequence.length(), 0.0f, f10, this.L);
        if (!this.f7897d) {
            String trim = this.f7898d0.toString().trim();
            if (trim.endsWith(f7887k0)) {
                trim = trim.substring(0, trim.length() - 1);
            }
            this.L.setAlpha(alpha);
            canvas.drawText(trim, 0, Math.min(this.Z.getLineEnd(0), trim.length()), 0.0f, f10, (Paint) this.L);
        }
    }

    private void n() {
        if (this.F == null && !this.f7905h.isEmpty() && !TextUtils.isEmpty(this.C)) {
            h(0.0f);
            int width = this.Z.getWidth();
            int height = this.Z.getHeight();
            if (width > 0 && height > 0) {
                this.F = Bitmap.createBitmap(width, height, Bitmap.Config.ARGB_8888);
                this.Z.draw(new Canvas(this.F));
                if (this.G == null) {
                    this.G = new Paint(3);
                }
            }
        }
    }

    private boolean o0(Typeface typeface) {
        com.google.android.material.resources.a aVar = this.f7924z;
        if (aVar != null) {
            aVar.c();
        }
        if (this.f7922x == typeface) {
            return false;
        }
        this.f7922x = typeface;
        return true;
    }

    private float s(int i7, int i8) {
        return (i8 == 17 || (i8 & 7) == 1) ? (((float) i7) / 2.0f) - (c() / 2.0f) : ((i8 & GravityCompat.END) == 8388613 || (i8 & 5) == 5) ? this.D ? (float) this.f7907i.left : ((float) this.f7907i.right) - c() : this.D ? ((float) this.f7907i.right) - c() : (float) this.f7907i.left;
    }

    private float t(@NonNull RectF rectF, int i7, int i8) {
        if (i8 == 17 || (i8 & 7) == 1) {
            return (((float) i7) / 2.0f) + (c() / 2.0f);
        }
        if ((i8 & GravityCompat.END) == 8388613 || (i8 & 5) == 5) {
            return this.D ? rectF.left + c() : (float) this.f7907i.right;
        }
        if (this.D) {
            return (float) this.f7907i.right;
        }
        return c() + rectF.left;
    }

    private void t0(float f7) {
        i(f7);
        boolean z7 = f7885i0 && this.H != 1.0f;
        this.E = z7;
        if (z7) {
            n();
        }
        ViewCompat.postInvalidateOnAnimation(this.f7891a);
    }

    @ColorInt
    private int x(@Nullable ColorStateList colorStateList) {
        if (colorStateList == null) {
            return 0;
        }
        int[] iArr = this.J;
        return iArr != null ? colorStateList.getColorForState(iArr, 0) : colorStateList.getDefaultColor();
    }

    @ColorInt
    private int y() {
        return x(this.f7913o);
    }

    public int A() {
        return this.f7909k;
    }

    public void A0(TimeInterpolator timeInterpolator) {
        this.O = timeInterpolator;
        U();
    }

    public float B() {
        N(this.M);
        return -this.M.ascent();
    }

    public void B0(Typeface typeface) {
        boolean e02 = e0(typeface);
        boolean o02 = o0(typeface);
        if (e02 || o02) {
            U();
        }
    }

    public float C() {
        return this.f7911m;
    }

    public Typeface D() {
        Typeface typeface = this.f7922x;
        return typeface != null ? typeface : Typeface.DEFAULT;
    }

    public float E() {
        return this.f7895c;
    }

    public float F() {
        return this.f7901f;
    }

    @RequiresApi(23)
    public int G() {
        return this.f7906h0;
    }

    public int H() {
        StaticLayout staticLayout = this.Z;
        if (staticLayout != null) {
            return staticLayout.getLineCount();
        }
        return 0;
    }

    @RequiresApi(23)
    public float I() {
        return this.Z.getSpacingAdd();
    }

    @RequiresApi(23)
    public float J() {
        return this.Z.getSpacingMultiplier();
    }

    public int K() {
        return this.f7900e0;
    }

    @Nullable
    public CharSequence L() {
        return this.B;
    }

    public final boolean R() {
        ColorStateList colorStateList;
        ColorStateList colorStateList2 = this.f7914p;
        return (colorStateList2 != null && colorStateList2.isStateful()) || ((colorStateList = this.f7913o) != null && colorStateList.isStateful());
    }

    /* access modifiers changed from: package-private */
    public void T() {
        this.f7893b = this.f7907i.width() > 0 && this.f7907i.height() > 0 && this.f7905h.width() > 0 && this.f7905h.height() > 0;
    }

    public void U() {
        if (this.f7891a.getHeight() > 0 && this.f7891a.getWidth() > 0) {
            b();
            d();
        }
    }

    public void W(int i7, int i8, int i9, int i10) {
        if (!V(this.f7907i, i7, i8, i9, i10)) {
            this.f7907i.set(i7, i8, i9, i10);
            this.K = true;
            T();
        }
    }

    public void X(@NonNull Rect rect) {
        W(rect.left, rect.top, rect.right, rect.bottom);
    }

    public void Y(int i7) {
        d dVar = new d(this.f7891a.getContext(), i7);
        ColorStateList colorStateList = dVar.f8286a;
        if (colorStateList != null) {
            this.f7914p = colorStateList;
        }
        float f7 = dVar.f8299n;
        if (f7 != 0.0f) {
            this.f7912n = f7;
        }
        ColorStateList colorStateList2 = dVar.f8289d;
        if (colorStateList2 != null) {
            this.S = colorStateList2;
        }
        this.Q = dVar.f8294i;
        this.R = dVar.f8295j;
        this.P = dVar.f8296k;
        this.X = dVar.f8298m;
        com.google.android.material.resources.a aVar = this.A;
        if (aVar != null) {
            aVar.c();
        }
        this.A = new com.google.android.material.resources.a(new C0089a(), dVar.e());
        dVar.h(this.f7891a.getContext(), this.A);
        U();
    }

    public void a0(ColorStateList colorStateList) {
        if (this.f7914p != colorStateList) {
            this.f7914p = colorStateList;
            U();
        }
    }

    public void b0(int i7) {
        if (this.f7910l != i7) {
            this.f7910l = i7;
            U();
        }
    }

    public float c() {
        if (this.B == null) {
            return 0.0f;
        }
        M(this.M);
        TextPaint textPaint = this.M;
        CharSequence charSequence = this.B;
        return textPaint.measureText(charSequence, 0, charSequence.length());
    }

    public void c0(float f7) {
        if (this.f7912n != f7) {
            this.f7912n = f7;
            U();
        }
    }

    public void d0(Typeface typeface) {
        if (e0(typeface)) {
            U();
        }
    }

    public void f0(int i7) {
        this.f7903g = i7;
    }

    public void g0(int i7, int i8, int i9, int i10) {
        if (!V(this.f7905h, i7, i8, i9, i10)) {
            this.f7905h.set(i7, i8, i9, i10);
            this.K = true;
            T();
        }
    }

    public void h0(@NonNull Rect rect) {
        g0(rect.left, rect.top, rect.right, rect.bottom);
    }

    public void i0(int i7) {
        d dVar = new d(this.f7891a.getContext(), i7);
        ColorStateList colorStateList = dVar.f8286a;
        if (colorStateList != null) {
            this.f7913o = colorStateList;
        }
        float f7 = dVar.f8299n;
        if (f7 != 0.0f) {
            this.f7911m = f7;
        }
        ColorStateList colorStateList2 = dVar.f8289d;
        if (colorStateList2 != null) {
            this.W = colorStateList2;
        }
        this.U = dVar.f8294i;
        this.V = dVar.f8295j;
        this.T = dVar.f8296k;
        this.Y = dVar.f8298m;
        com.google.android.material.resources.a aVar = this.f7924z;
        if (aVar != null) {
            aVar.c();
        }
        this.f7924z = new com.google.android.material.resources.a(new b(), dVar.e());
        dVar.h(this.f7891a.getContext(), this.f7924z);
        U();
    }

    public void k0(ColorStateList colorStateList) {
        if (this.f7913o != colorStateList) {
            this.f7913o = colorStateList;
            U();
        }
    }

    public void l(@NonNull Canvas canvas) {
        int save = canvas.save();
        if (this.C != null && this.f7893b) {
            boolean z7 = false;
            float lineLeft = (this.f7919u + this.Z.getLineLeft(0)) - (this.f7896c0 * 2.0f);
            this.L.setTextSize(this.I);
            float f7 = this.f7919u;
            float f8 = this.f7920v;
            if (this.E && this.F != null) {
                z7 = true;
            }
            float f9 = this.H;
            if (f9 != 1.0f && !this.f7897d) {
                canvas.scale(f9, f9, f7, f8);
            }
            if (z7) {
                canvas.drawBitmap(this.F, f7, f8, this.G);
                canvas.restoreToCount(save);
                return;
            }
            if (!C0() || (this.f7897d && this.f7895c <= this.f7901f)) {
                canvas.translate(f7, f8);
                this.Z.draw(canvas);
            } else {
                m(canvas, lineLeft, f8);
            }
            canvas.restoreToCount(save);
        }
    }

    public void l0(int i7) {
        if (this.f7909k != i7) {
            this.f7909k = i7;
            U();
        }
    }

    public void m0(float f7) {
        if (this.f7911m != f7) {
            this.f7911m = f7;
            U();
        }
    }

    public void n0(Typeface typeface) {
        if (o0(typeface)) {
            U();
        }
    }

    public void o(@NonNull RectF rectF, int i7, int i8) {
        this.D = g(this.B);
        rectF.left = s(i7, i8);
        rectF.top = (float) this.f7907i.top;
        rectF.right = t(rectF, i7, i8);
        rectF.bottom = ((float) this.f7907i.top) + r();
    }

    public ColorStateList p() {
        return this.f7914p;
    }

    public void p0(float f7) {
        float clamp = MathUtils.clamp(f7, 0.0f, 1.0f);
        if (clamp != this.f7895c) {
            this.f7895c = clamp;
            d();
        }
    }

    public int q() {
        return this.f7910l;
    }

    public void q0(boolean z7) {
        this.f7897d = z7;
    }

    public float r() {
        M(this.M);
        return -this.M.ascent();
    }

    public void r0(float f7) {
        this.f7899e = f7;
        this.f7901f = f();
    }

    @RequiresApi(23)
    public void s0(int i7) {
        this.f7906h0 = i7;
    }

    public float u() {
        return this.f7912n;
    }

    @RequiresApi(23)
    public void u0(float f7) {
        this.f7902f0 = f7;
    }

    public Typeface v() {
        Typeface typeface = this.f7921w;
        return typeface != null ? typeface : Typeface.DEFAULT;
    }

    @RequiresApi(23)
    public void v0(@FloatRange(from = 0.0d) float f7) {
        this.f7904g0 = f7;
    }

    @ColorInt
    public int w() {
        return x(this.f7914p);
    }

    public void w0(int i7) {
        if (i7 != this.f7900e0) {
            this.f7900e0 = i7;
            j();
            U();
        }
    }

    public void x0(TimeInterpolator timeInterpolator) {
        this.N = timeInterpolator;
        U();
    }

    public final boolean y0(int[] iArr) {
        this.J = iArr;
        if (!R()) {
            return false;
        }
        U();
        return true;
    }

    public ColorStateList z() {
        return this.f7913o;
    }

    public void z0(@Nullable CharSequence charSequence) {
        if (charSequence == null || !TextUtils.equals(this.B, charSequence)) {
            this.B = charSequence;
            this.C = null;
            j();
            U();
        }
    }
}
