package com.google.android.material.internal;

import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.core.view.MarginLayoutParamsCompat;
import androidx.core.view.ViewCompat;
import b0.a;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
public class e extends ViewGroup {

    /* renamed from: a  reason: collision with root package name */
    private int f7929a;

    /* renamed from: b  reason: collision with root package name */
    private int f7930b;

    /* renamed from: c  reason: collision with root package name */
    private boolean f7931c;

    /* renamed from: d  reason: collision with root package name */
    private int f7932d;

    public e(@NonNull Context context) {
        this(context, null);
    }

    private static int a(int i7, int i8, int i9) {
        return i8 != Integer.MIN_VALUE ? i8 != 1073741824 ? i9 : i7 : Math.min(i9, i7);
    }

    private void d(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        TypedArray obtainStyledAttributes = context.getTheme().obtainStyledAttributes(attributeSet, a.o.qe, 0, 0);
        this.f7929a = obtainStyledAttributes.getDimensionPixelSize(a.o.se, 0);
        this.f7930b = obtainStyledAttributes.getDimensionPixelSize(a.o.re, 0);
        obtainStyledAttributes.recycle();
    }

    public int b(@NonNull View view) {
        Object tag = view.getTag(a.h.f1289a4);
        if (!(tag instanceof Integer)) {
            return -1;
        }
        return ((Integer) tag).intValue();
    }

    public boolean c() {
        return this.f7931c;
    }

    /* access modifiers changed from: protected */
    public int getItemSpacing() {
        return this.f7930b;
    }

    /* access modifiers changed from: protected */
    public int getLineSpacing() {
        return this.f7929a;
    }

    /* access modifiers changed from: protected */
    public int getRowCount() {
        return this.f7932d;
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z7, int i7, int i8, int i9, int i10) {
        int i11;
        int i12;
        if (getChildCount() == 0) {
            this.f7932d = 0;
            return;
        }
        this.f7932d = 1;
        boolean z8 = ViewCompat.getLayoutDirection(this) == 1;
        int paddingRight = z8 ? getPaddingRight() : getPaddingLeft();
        int paddingLeft = z8 ? getPaddingLeft() : getPaddingRight();
        int paddingTop = getPaddingTop();
        int i13 = (i9 - i7) - paddingLeft;
        int i14 = paddingRight;
        int i15 = paddingTop;
        for (int i16 = 0; i16 < getChildCount(); i16++) {
            View childAt = getChildAt(i16);
            if (childAt.getVisibility() == 8) {
                childAt.setTag(a.h.f1289a4, -1);
            } else {
                ViewGroup.LayoutParams layoutParams = childAt.getLayoutParams();
                if (layoutParams instanceof ViewGroup.MarginLayoutParams) {
                    ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) layoutParams;
                    i11 = MarginLayoutParamsCompat.getMarginStart(marginLayoutParams);
                    i12 = MarginLayoutParamsCompat.getMarginEnd(marginLayoutParams);
                } else {
                    i12 = 0;
                    i11 = 0;
                }
                int measuredWidth = i14 + i11 + childAt.getMeasuredWidth();
                if (!this.f7931c && measuredWidth > i13) {
                    i15 = this.f7929a + paddingTop;
                    this.f7932d++;
                    i14 = paddingRight;
                }
                childAt.setTag(a.h.f1289a4, Integer.valueOf(this.f7932d - 1));
                int i17 = i14 + i11;
                int measuredWidth2 = childAt.getMeasuredWidth() + i17;
                int measuredHeight = childAt.getMeasuredHeight() + i15;
                if (z8) {
                    i17 = i13 - measuredWidth2;
                    measuredWidth2 = (i13 - i14) - i11;
                }
                childAt.layout(i17, i15, measuredWidth2, measuredHeight);
                i14 += i11 + i12 + childAt.getMeasuredWidth() + this.f7930b;
                paddingTop = measuredHeight;
            }
        }
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i7, int i8) {
        int i9;
        int i10;
        int i11;
        int size = View.MeasureSpec.getSize(i7);
        int mode = View.MeasureSpec.getMode(i7);
        int size2 = View.MeasureSpec.getSize(i8);
        int mode2 = View.MeasureSpec.getMode(i8);
        int i12 = (mode == Integer.MIN_VALUE || mode == 1073741824) ? size : Integer.MAX_VALUE;
        int paddingLeft = getPaddingLeft();
        int paddingTop = getPaddingTop();
        int paddingRight = i12 - getPaddingRight();
        int i13 = paddingTop;
        int i14 = 0;
        for (int i15 = 0; i15 < getChildCount(); i15++) {
            View childAt = getChildAt(i15);
            if (childAt.getVisibility() != 8) {
                measureChild(childAt, i7, i8);
                ViewGroup.LayoutParams layoutParams = childAt.getLayoutParams();
                if (layoutParams instanceof ViewGroup.MarginLayoutParams) {
                    ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) layoutParams;
                    i10 = marginLayoutParams.leftMargin + 0;
                    i9 = marginLayoutParams.rightMargin + 0;
                } else {
                    i10 = 0;
                    i9 = 0;
                }
                if (paddingLeft + i10 + childAt.getMeasuredWidth() <= paddingRight || c()) {
                    i11 = paddingLeft;
                } else {
                    i11 = getPaddingLeft();
                    i13 = this.f7929a + paddingTop;
                }
                int measuredWidth = i11 + i10 + childAt.getMeasuredWidth();
                int measuredHeight = i13 + childAt.getMeasuredHeight();
                if (measuredWidth > i14) {
                    i14 = measuredWidth;
                }
                paddingLeft = i11 + i10 + i9 + childAt.getMeasuredWidth() + this.f7930b;
                if (i15 == getChildCount() - 1) {
                    i14 += i9;
                }
                paddingTop = measuredHeight;
            }
        }
        setMeasuredDimension(a(size, mode, i14 + getPaddingRight()), a(size2, mode2, paddingTop + getPaddingBottom()));
    }

    /* access modifiers changed from: protected */
    public void setItemSpacing(int i7) {
        this.f7930b = i7;
    }

    /* access modifiers changed from: protected */
    public void setLineSpacing(int i7) {
        this.f7929a = i7;
    }

    public void setSingleLine(boolean z7) {
        this.f7931c = z7;
    }

    public e(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public e(@NonNull Context context, @Nullable AttributeSet attributeSet, int i7) {
        super(context, attributeSet, i7);
        this.f7931c = false;
        d(context, attributeSet);
    }

    @TargetApi(21)
    public e(@NonNull Context context, @Nullable AttributeSet attributeSet, int i7, int i8) {
        super(context, attributeSet, i7, i8);
        this.f7931c = false;
        d(context, attributeSet);
    }
}
