package com.google.android.material.internal;

import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.Gravity;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.annotation.RestrictTo;
import androidx.appcompat.widget.LinearLayoutCompat;
import androidx.core.view.GravityCompat;
import b0.a;
import com.graphisoft.bimxlab.MainActivity;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
public class f extends LinearLayoutCompat {
    @Nullable

    /* renamed from: a  reason: collision with root package name */
    private Drawable f7933a;

    /* renamed from: b  reason: collision with root package name */
    private final Rect f7934b;

    /* renamed from: c  reason: collision with root package name */
    private final Rect f7935c;

    /* renamed from: d  reason: collision with root package name */
    private int f7936d;

    /* renamed from: e  reason: collision with root package name */
    protected boolean f7937e;

    /* renamed from: f  reason: collision with root package name */
    boolean f7938f;

    public f(@NonNull Context context) {
        this(context, null);
    }

    public void draw(@NonNull Canvas canvas) {
        super.draw(canvas);
        Drawable drawable = this.f7933a;
        if (drawable != null) {
            if (this.f7938f) {
                this.f7938f = false;
                Rect rect = this.f7934b;
                Rect rect2 = this.f7935c;
                int right = getRight() - getLeft();
                int bottom = getBottom() - getTop();
                if (this.f7937e) {
                    rect.set(0, 0, right, bottom);
                } else {
                    rect.set(getPaddingLeft(), getPaddingTop(), right - getPaddingRight(), bottom - getPaddingBottom());
                }
                Gravity.apply(this.f7936d, drawable.getIntrinsicWidth(), drawable.getIntrinsicHeight(), rect, rect2);
                drawable.setBounds(rect2);
            }
            drawable.draw(canvas);
        }
    }

    @RequiresApi(21)
    @TargetApi(21)
    public void drawableHotspotChanged(float f7, float f8) {
        super.drawableHotspotChanged(f7, f8);
        Drawable drawable = this.f7933a;
        if (drawable != null) {
            drawable.setHotspot(f7, f8);
        }
    }

    /* access modifiers changed from: protected */
    public void drawableStateChanged() {
        super.drawableStateChanged();
        Drawable drawable = this.f7933a;
        if (drawable != null && drawable.isStateful()) {
            this.f7933a.setState(getDrawableState());
        }
    }

    @Nullable
    public Drawable getForeground() {
        return this.f7933a;
    }

    public int getForegroundGravity() {
        return this.f7936d;
    }

    @RequiresApi(11)
    public void jumpDrawablesToCurrentState() {
        super.jumpDrawablesToCurrentState();
        Drawable drawable = this.f7933a;
        if (drawable != null) {
            drawable.jumpToCurrentState();
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.widget.LinearLayoutCompat
    public void onLayout(boolean z7, int i7, int i8, int i9, int i10) {
        super.onLayout(z7, i7, i8, i9, i10);
        this.f7938f = z7 | this.f7938f;
    }

    /* access modifiers changed from: protected */
    public void onSizeChanged(int i7, int i8, int i9, int i10) {
        super.onSizeChanged(i7, i8, i9, i10);
        this.f7938f = true;
    }

    public void setForeground(@Nullable Drawable drawable) {
        Drawable drawable2 = this.f7933a;
        if (drawable2 != drawable) {
            if (drawable2 != null) {
                drawable2.setCallback(null);
                unscheduleDrawable(this.f7933a);
            }
            this.f7933a = drawable;
            if (drawable != null) {
                setWillNotDraw(false);
                drawable.setCallback(this);
                if (drawable.isStateful()) {
                    drawable.setState(getDrawableState());
                }
                if (this.f7936d == 119) {
                    drawable.getPadding(new Rect());
                }
            } else {
                setWillNotDraw(true);
            }
            requestLayout();
            invalidate();
        }
    }

    public void setForegroundGravity(int i7) {
        if (this.f7936d != i7) {
            if ((8388615 & i7) == 0) {
                i7 |= GravityCompat.START;
            }
            if ((i7 & MainActivity.f15646h) == 0) {
                i7 |= 48;
            }
            this.f7936d = i7;
            if (i7 == 119 && this.f7933a != null) {
                this.f7933a.getPadding(new Rect());
            }
            requestLayout();
        }
    }

    /* access modifiers changed from: protected */
    public boolean verifyDrawable(Drawable drawable) {
        return super.verifyDrawable(drawable) || drawable == this.f7933a;
    }

    public f(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public f(@NonNull Context context, @Nullable AttributeSet attributeSet, int i7) {
        super(context, attributeSet, i7);
        this.f7934b = new Rect();
        this.f7935c = new Rect();
        this.f7936d = 119;
        this.f7937e = true;
        this.f7938f = false;
        TypedArray j7 = q.j(context, attributeSet, a.o.Me, i7, 0, new int[0]);
        this.f7936d = j7.getInt(a.o.Oe, this.f7936d);
        Drawable drawable = j7.getDrawable(a.o.Ne);
        if (drawable != null) {
            setForeground(drawable);
        }
        this.f7937e = j7.getBoolean(a.o.Pe, true);
        j7.recycle();
    }
}
