package com.google.android.material.internal;

import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.drawable.Drawable;
import android.os.Bundle;
import android.os.Parcelable;
import android.util.SparseArray;
import android.view.LayoutInflater;
import android.view.SubMenu;
import android.view.View;
import android.view.ViewGroup;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.annotation.Dimension;
import androidx.annotation.LayoutRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.annotation.StyleRes;
import androidx.appcompat.view.menu.MenuBuilder;
import androidx.appcompat.view.menu.MenuItemImpl;
import androidx.appcompat.view.menu.MenuPresenter;
import androidx.appcompat.view.menu.MenuView;
import androidx.appcompat.view.menu.SubMenuBuilder;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;
import androidx.core.view.accessibility.AccessibilityNodeInfoCompat;
import androidx.recyclerview.widget.RecyclerView;
import androidx.recyclerview.widget.RecyclerViewAccessibilityDelegate;
import b0.a;
import java.util.ArrayList;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
public class i implements MenuPresenter {

    /* renamed from: w  reason: collision with root package name */
    private static final String f7942w = "android:menu:list";

    /* renamed from: x  reason: collision with root package name */
    private static final String f7943x = "android:menu:adapter";

    /* renamed from: y  reason: collision with root package name */
    private static final String f7944y = "android:menu:header";

    /* renamed from: a  reason: collision with root package name */
    private NavigationMenuView f7945a;

    /* renamed from: b  reason: collision with root package name */
    LinearLayout f7946b;

    /* renamed from: c  reason: collision with root package name */
    private MenuPresenter.Callback f7947c;

    /* renamed from: d  reason: collision with root package name */
    MenuBuilder f7948d;

    /* renamed from: e  reason: collision with root package name */
    private int f7949e;

    /* renamed from: f  reason: collision with root package name */
    c f7950f;

    /* renamed from: g  reason: collision with root package name */
    LayoutInflater f7951g;

    /* renamed from: h  reason: collision with root package name */
    int f7952h;

    /* renamed from: i  reason: collision with root package name */
    boolean f7953i;

    /* renamed from: j  reason: collision with root package name */
    ColorStateList f7954j;

    /* renamed from: k  reason: collision with root package name */
    ColorStateList f7955k;

    /* renamed from: l  reason: collision with root package name */
    Drawable f7956l;

    /* renamed from: m  reason: collision with root package name */
    int f7957m;

    /* renamed from: n  reason: collision with root package name */
    int f7958n;

    /* renamed from: o  reason: collision with root package name */
    int f7959o;

    /* renamed from: p  reason: collision with root package name */
    boolean f7960p;

    /* renamed from: q  reason: collision with root package name */
    boolean f7961q = true;

    /* renamed from: r  reason: collision with root package name */
    private int f7962r;

    /* renamed from: s  reason: collision with root package name */
    private int f7963s;

    /* renamed from: t  reason: collision with root package name */
    int f7964t;

    /* renamed from: u  reason: collision with root package name */
    private int f7965u = -1;

    /* renamed from: v  reason: collision with root package name */
    final View.OnClickListener f7966v = new a();

    class a implements View.OnClickListener {
        a() {
        }

        public void onClick(View view) {
            boolean z7 = true;
            i.this.B(true);
            MenuItemImpl itemData = ((NavigationMenuItemView) view).getItemData();
            i iVar = i.this;
            boolean performItemAction = iVar.f7948d.performItemAction(itemData, iVar, 0);
            if (itemData == null || !itemData.isCheckable() || !performItemAction) {
                z7 = false;
            } else {
                i.this.f7950f.u(itemData);
            }
            i.this.B(false);
            if (z7) {
                i.this.updateMenuView(false);
            }
        }
    }

    /* access modifiers changed from: private */
    public static class b extends l {
        public b(View view) {
            super(view);
        }
    }

    /* access modifiers changed from: private */
    public class c extends RecyclerView.Adapter<l> {

        /* renamed from: e  reason: collision with root package name */
        private static final String f7968e = "android:menu:checked";

        /* renamed from: f  reason: collision with root package name */
        private static final String f7969f = "android:menu:action_views";

        /* renamed from: g  reason: collision with root package name */
        private static final int f7970g = 0;

        /* renamed from: h  reason: collision with root package name */
        private static final int f7971h = 1;

        /* renamed from: i  reason: collision with root package name */
        private static final int f7972i = 2;

        /* renamed from: j  reason: collision with root package name */
        private static final int f7973j = 3;

        /* renamed from: a  reason: collision with root package name */
        private final ArrayList<e> f7974a = new ArrayList<>();

        /* renamed from: b  reason: collision with root package name */
        private MenuItemImpl f7975b;

        /* renamed from: c  reason: collision with root package name */
        private boolean f7976c;

        c() {
            s();
        }

        private void l(int i7, int i8) {
            while (i7 < i8) {
                ((g) this.f7974a.get(i7)).f7981b = true;
                i7++;
            }
        }

        private void s() {
            if (!this.f7976c) {
                boolean z7 = true;
                this.f7976c = true;
                this.f7974a.clear();
                this.f7974a.add(new d());
                int size = i.this.f7948d.getVisibleItems().size();
                int i7 = -1;
                int i8 = 0;
                boolean z8 = false;
                int i9 = 0;
                while (i8 < size) {
                    MenuItemImpl menuItemImpl = i.this.f7948d.getVisibleItems().get(i8);
                    if (menuItemImpl.isChecked()) {
                        u(menuItemImpl);
                    }
                    if (menuItemImpl.isCheckable()) {
                        menuItemImpl.setExclusiveCheckable(false);
                    }
                    if (menuItemImpl.hasSubMenu()) {
                        SubMenu subMenu = menuItemImpl.getSubMenu();
                        if (subMenu.hasVisibleItems()) {
                            if (i8 != 0) {
                                this.f7974a.add(new f(i.this.f7964t, 0));
                            }
                            this.f7974a.add(new g(menuItemImpl));
                            int size2 = this.f7974a.size();
                            int size3 = subMenu.size();
                            int i10 = 0;
                            boolean z9 = false;
                            while (i10 < size3) {
                                MenuItemImpl menuItemImpl2 = (MenuItemImpl) subMenu.getItem(i10);
                                if (menuItemImpl2.isVisible()) {
                                    if (!z9 && menuItemImpl2.getIcon() != null) {
                                        z9 = z7;
                                    }
                                    if (menuItemImpl2.isCheckable()) {
                                        menuItemImpl2.setExclusiveCheckable(false);
                                    }
                                    if (menuItemImpl.isChecked()) {
                                        u(menuItemImpl);
                                    }
                                    this.f7974a.add(new g(menuItemImpl2));
                                }
                                i10++;
                                z7 = true;
                            }
                            if (z9) {
                                l(size2, this.f7974a.size());
                            }
                        }
                    } else {
                        int groupId = menuItemImpl.getGroupId();
                        if (groupId != i7) {
                            i9 = this.f7974a.size();
                            z8 = menuItemImpl.getIcon() != null;
                            if (i8 != 0) {
                                i9++;
                                ArrayList<e> arrayList = this.f7974a;
                                int i11 = i.this.f7964t;
                                arrayList.add(new f(i11, i11));
                            }
                        } else if (!z8 && menuItemImpl.getIcon() != null) {
                            l(i9, this.f7974a.size());
                            z8 = true;
                        }
                        g gVar = new g(menuItemImpl);
                        gVar.f7981b = z8;
                        this.f7974a.add(gVar);
                        i7 = groupId;
                    }
                    i8++;
                    z7 = true;
                }
                this.f7976c = false;
            }
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemCount() {
            return this.f7974a.size();
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public long getItemId(int i7) {
            return (long) i7;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemViewType(int i7) {
            e eVar = this.f7974a.get(i7);
            if (eVar instanceof f) {
                return 2;
            }
            if (eVar instanceof d) {
                return 3;
            }
            if (eVar instanceof g) {
                return ((g) eVar).a().hasSubMenu() ? 1 : 0;
            }
            throw new RuntimeException("Unknown item type.");
        }

        @NonNull
        public Bundle m() {
            Bundle bundle = new Bundle();
            MenuItemImpl menuItemImpl = this.f7975b;
            if (menuItemImpl != null) {
                bundle.putInt(f7968e, menuItemImpl.getItemId());
            }
            SparseArray<? extends Parcelable> sparseArray = new SparseArray<>();
            int size = this.f7974a.size();
            for (int i7 = 0; i7 < size; i7++) {
                e eVar = this.f7974a.get(i7);
                if (eVar instanceof g) {
                    MenuItemImpl a8 = ((g) eVar).a();
                    View actionView = a8 != null ? a8.getActionView() : null;
                    if (actionView != null) {
                        ParcelableSparseArray parcelableSparseArray = new ParcelableSparseArray();
                        actionView.saveHierarchyState(parcelableSparseArray);
                        sparseArray.put(a8.getItemId(), parcelableSparseArray);
                    }
                }
            }
            bundle.putSparseParcelableArray(f7969f, sparseArray);
            return bundle;
        }

        public MenuItemImpl n() {
            return this.f7975b;
        }

        /* access modifiers changed from: package-private */
        public int o() {
            int i7 = i.this.f7946b.getChildCount() == 0 ? 0 : 1;
            for (int i8 = 0; i8 < i.this.f7950f.getItemCount(); i8++) {
                if (i.this.f7950f.getItemViewType(i8) == 0) {
                    i7++;
                }
            }
            return i7;
        }

        /* renamed from: p */
        public void onBindViewHolder(@NonNull l lVar, int i7) {
            int itemViewType = getItemViewType(i7);
            if (itemViewType == 0) {
                NavigationMenuItemView navigationMenuItemView = (NavigationMenuItemView) lVar.itemView;
                navigationMenuItemView.setIconTintList(i.this.f7955k);
                i iVar = i.this;
                if (iVar.f7953i) {
                    navigationMenuItemView.setTextAppearance(iVar.f7952h);
                }
                ColorStateList colorStateList = i.this.f7954j;
                if (colorStateList != null) {
                    navigationMenuItemView.setTextColor(colorStateList);
                }
                Drawable drawable = i.this.f7956l;
                ViewCompat.setBackground(navigationMenuItemView, drawable != null ? drawable.getConstantState().newDrawable() : null);
                g gVar = (g) this.f7974a.get(i7);
                navigationMenuItemView.setNeedsEmptyIcon(gVar.f7981b);
                navigationMenuItemView.setHorizontalPadding(i.this.f7957m);
                navigationMenuItemView.setIconPadding(i.this.f7958n);
                i iVar2 = i.this;
                if (iVar2.f7960p) {
                    navigationMenuItemView.setIconSize(iVar2.f7959o);
                }
                navigationMenuItemView.setMaxLines(i.this.f7962r);
                navigationMenuItemView.initialize(gVar.a(), 0);
            } else if (itemViewType == 1) {
                ((TextView) lVar.itemView).setText(((g) this.f7974a.get(i7)).a().getTitle());
            } else if (itemViewType == 2) {
                f fVar = (f) this.f7974a.get(i7);
                lVar.itemView.setPadding(0, fVar.b(), 0, fVar.a());
            }
        }

        @Nullable
        /* renamed from: q */
        public l onCreateViewHolder(ViewGroup viewGroup, int i7) {
            if (i7 == 0) {
                i iVar = i.this;
                return new C0090i(iVar.f7951g, viewGroup, iVar.f7966v);
            } else if (i7 == 1) {
                return new k(i.this.f7951g, viewGroup);
            } else {
                if (i7 == 2) {
                    return new j(i.this.f7951g, viewGroup);
                }
                if (i7 != 3) {
                    return null;
                }
                return new b(i.this.f7946b);
            }
        }

        /* renamed from: r */
        public void onViewRecycled(l lVar) {
            if (lVar instanceof C0090i) {
                ((NavigationMenuItemView) lVar.itemView).c();
            }
        }

        public void t(@NonNull Bundle bundle) {
            MenuItemImpl a8;
            View actionView;
            ParcelableSparseArray parcelableSparseArray;
            MenuItemImpl a9;
            int i7 = bundle.getInt(f7968e, 0);
            if (i7 != 0) {
                this.f7976c = true;
                int size = this.f7974a.size();
                int i8 = 0;
                while (true) {
                    if (i8 >= size) {
                        break;
                    }
                    e eVar = this.f7974a.get(i8);
                    if ((eVar instanceof g) && (a9 = ((g) eVar).a()) != null && a9.getItemId() == i7) {
                        u(a9);
                        break;
                    }
                    i8++;
                }
                this.f7976c = false;
                s();
            }
            SparseArray sparseParcelableArray = bundle.getSparseParcelableArray(f7969f);
            if (sparseParcelableArray != null) {
                int size2 = this.f7974a.size();
                for (int i9 = 0; i9 < size2; i9++) {
                    e eVar2 = this.f7974a.get(i9);
                    if (!(!(eVar2 instanceof g) || (a8 = ((g) eVar2).a()) == null || (actionView = a8.getActionView()) == null || (parcelableSparseArray = (ParcelableSparseArray) sparseParcelableArray.get(a8.getItemId())) == null)) {
                        actionView.restoreHierarchyState(parcelableSparseArray);
                    }
                }
            }
        }

        public void u(@NonNull MenuItemImpl menuItemImpl) {
            if (this.f7975b != menuItemImpl && menuItemImpl.isCheckable()) {
                MenuItemImpl menuItemImpl2 = this.f7975b;
                if (menuItemImpl2 != null) {
                    menuItemImpl2.setChecked(false);
                }
                this.f7975b = menuItemImpl;
                menuItemImpl.setChecked(true);
            }
        }

        public void v(boolean z7) {
            this.f7976c = z7;
        }

        public void w() {
            s();
            notifyDataSetChanged();
        }
    }

    /* access modifiers changed from: private */
    public static class d implements e {
        d() {
        }
    }

    /* access modifiers changed from: private */
    public interface e {
    }

    /* access modifiers changed from: private */
    public static class f implements e {

        /* renamed from: a  reason: collision with root package name */
        private final int f7978a;

        /* renamed from: b  reason: collision with root package name */
        private final int f7979b;

        public f(int i7, int i8) {
            this.f7978a = i7;
            this.f7979b = i8;
        }

        public int a() {
            return this.f7979b;
        }

        public int b() {
            return this.f7978a;
        }
    }

    /* access modifiers changed from: private */
    public static class g implements e {

        /* renamed from: a  reason: collision with root package name */
        private final MenuItemImpl f7980a;

        /* renamed from: b  reason: collision with root package name */
        boolean f7981b;

        g(MenuItemImpl menuItemImpl) {
            this.f7980a = menuItemImpl;
        }

        public MenuItemImpl a() {
            return this.f7980a;
        }
    }

    /* access modifiers changed from: private */
    public class h extends RecyclerViewAccessibilityDelegate {
        h(@NonNull RecyclerView recyclerView) {
            super(recyclerView);
        }

        @Override // androidx.recyclerview.widget.RecyclerViewAccessibilityDelegate, androidx.core.view.AccessibilityDelegateCompat
        public void onInitializeAccessibilityNodeInfo(View view, @NonNull AccessibilityNodeInfoCompat accessibilityNodeInfoCompat) {
            super.onInitializeAccessibilityNodeInfo(view, accessibilityNodeInfoCompat);
            accessibilityNodeInfoCompat.setCollectionInfo(AccessibilityNodeInfoCompat.CollectionInfoCompat.obtain(i.this.f7950f.o(), 0, false));
        }
    }

    /* access modifiers changed from: private */
    /* renamed from: com.google.android.material.internal.i$i  reason: collision with other inner class name */
    public static class C0090i extends l {
        public C0090i(@NonNull LayoutInflater layoutInflater, ViewGroup viewGroup, View.OnClickListener onClickListener) {
            super(layoutInflater.inflate(a.k.K, viewGroup, false));
            this.itemView.setOnClickListener(onClickListener);
        }
    }

    /* access modifiers changed from: private */
    public static class j extends l {
        public j(@NonNull LayoutInflater layoutInflater, ViewGroup viewGroup) {
            super(layoutInflater.inflate(a.k.M, viewGroup, false));
        }
    }

    /* access modifiers changed from: private */
    public static class k extends l {
        public k(@NonNull LayoutInflater layoutInflater, ViewGroup viewGroup) {
            super(layoutInflater.inflate(a.k.N, viewGroup, false));
        }
    }

    private static abstract class l extends RecyclerView.ViewHolder {
        public l(View view) {
            super(view);
        }
    }

    private void C() {
        int i7 = (this.f7946b.getChildCount() != 0 || !this.f7961q) ? 0 : this.f7963s;
        NavigationMenuView navigationMenuView = this.f7945a;
        navigationMenuView.setPadding(0, i7, 0, navigationMenuView.getPaddingBottom());
    }

    public void A(int i7) {
        this.f7965u = i7;
        NavigationMenuView navigationMenuView = this.f7945a;
        if (navigationMenuView != null) {
            navigationMenuView.setOverScrollMode(i7);
        }
    }

    public void B(boolean z7) {
        c cVar = this.f7950f;
        if (cVar != null) {
            cVar.v(z7);
        }
    }

    public void b(@NonNull View view) {
        this.f7946b.addView(view);
        NavigationMenuView navigationMenuView = this.f7945a;
        navigationMenuView.setPadding(0, 0, 0, navigationMenuView.getPaddingBottom());
    }

    public void c(@NonNull WindowInsetsCompat windowInsetsCompat) {
        int systemWindowInsetTop = windowInsetsCompat.getSystemWindowInsetTop();
        if (this.f7963s != systemWindowInsetTop) {
            this.f7963s = systemWindowInsetTop;
            C();
        }
        NavigationMenuView navigationMenuView = this.f7945a;
        navigationMenuView.setPadding(0, navigationMenuView.getPaddingTop(), 0, windowInsetsCompat.getSystemWindowInsetBottom());
        ViewCompat.dispatchApplyWindowInsets(this.f7946b, windowInsetsCompat);
    }

    @Override // androidx.appcompat.view.menu.MenuPresenter
    public boolean collapseItemActionView(MenuBuilder menuBuilder, MenuItemImpl menuItemImpl) {
        return false;
    }

    @Nullable
    public MenuItemImpl d() {
        return this.f7950f.n();
    }

    public int e() {
        return this.f7946b.getChildCount();
    }

    @Override // androidx.appcompat.view.menu.MenuPresenter
    public boolean expandItemActionView(MenuBuilder menuBuilder, MenuItemImpl menuItemImpl) {
        return false;
    }

    public View f(int i7) {
        return this.f7946b.getChildAt(i7);
    }

    @Override // androidx.appcompat.view.menu.MenuPresenter
    public boolean flagActionItems() {
        return false;
    }

    @Nullable
    public Drawable g() {
        return this.f7956l;
    }

    @Override // androidx.appcompat.view.menu.MenuPresenter
    public int getId() {
        return this.f7949e;
    }

    @Override // androidx.appcompat.view.menu.MenuPresenter
    public MenuView getMenuView(ViewGroup viewGroup) {
        if (this.f7945a == null) {
            NavigationMenuView navigationMenuView = (NavigationMenuView) this.f7951g.inflate(a.k.O, viewGroup, false);
            this.f7945a = navigationMenuView;
            navigationMenuView.setAccessibilityDelegateCompat(new h(this.f7945a));
            if (this.f7950f == null) {
                this.f7950f = new c();
            }
            int i7 = this.f7965u;
            if (i7 != -1) {
                this.f7945a.setOverScrollMode(i7);
            }
            this.f7946b = (LinearLayout) this.f7951g.inflate(a.k.L, (ViewGroup) this.f7945a, false);
            this.f7945a.setAdapter(this.f7950f);
        }
        return this.f7945a;
    }

    public int h() {
        return this.f7957m;
    }

    public int i() {
        return this.f7958n;
    }

    @Override // androidx.appcompat.view.menu.MenuPresenter
    public void initForMenu(@NonNull Context context, @NonNull MenuBuilder menuBuilder) {
        this.f7951g = LayoutInflater.from(context);
        this.f7948d = menuBuilder;
        this.f7964t = context.getResources().getDimensionPixelOffset(a.f.f1144s1);
    }

    public int j() {
        return this.f7962r;
    }

    @Nullable
    public ColorStateList k() {
        return this.f7954j;
    }

    @Nullable
    public ColorStateList l() {
        return this.f7955k;
    }

    public View m(@LayoutRes int i7) {
        View inflate = this.f7951g.inflate(i7, (ViewGroup) this.f7946b, false);
        b(inflate);
        return inflate;
    }

    public boolean n() {
        return this.f7961q;
    }

    public void o(@NonNull View view) {
        this.f7946b.removeView(view);
        if (this.f7946b.getChildCount() == 0) {
            NavigationMenuView navigationMenuView = this.f7945a;
            navigationMenuView.setPadding(0, this.f7963s, 0, navigationMenuView.getPaddingBottom());
        }
    }

    @Override // androidx.appcompat.view.menu.MenuPresenter
    public void onCloseMenu(MenuBuilder menuBuilder, boolean z7) {
        MenuPresenter.Callback callback = this.f7947c;
        if (callback != null) {
            callback.onCloseMenu(menuBuilder, z7);
        }
    }

    @Override // androidx.appcompat.view.menu.MenuPresenter
    public void onRestoreInstanceState(Parcelable parcelable) {
        if (parcelable instanceof Bundle) {
            Bundle bundle = (Bundle) parcelable;
            SparseArray<Parcelable> sparseParcelableArray = bundle.getSparseParcelableArray("android:menu:list");
            if (sparseParcelableArray != null) {
                this.f7945a.restoreHierarchyState(sparseParcelableArray);
            }
            Bundle bundle2 = bundle.getBundle(f7943x);
            if (bundle2 != null) {
                this.f7950f.t(bundle2);
            }
            SparseArray<Parcelable> sparseParcelableArray2 = bundle.getSparseParcelableArray(f7944y);
            if (sparseParcelableArray2 != null) {
                this.f7946b.restoreHierarchyState(sparseParcelableArray2);
            }
        }
    }

    @Override // androidx.appcompat.view.menu.MenuPresenter
    @NonNull
    public Parcelable onSaveInstanceState() {
        Bundle bundle = new Bundle();
        if (this.f7945a != null) {
            SparseArray<Parcelable> sparseArray = new SparseArray<>();
            this.f7945a.saveHierarchyState(sparseArray);
            bundle.putSparseParcelableArray("android:menu:list", sparseArray);
        }
        c cVar = this.f7950f;
        if (cVar != null) {
            bundle.putBundle(f7943x, cVar.m());
        }
        if (this.f7946b != null) {
            SparseArray<Parcelable> sparseArray2 = new SparseArray<>();
            this.f7946b.saveHierarchyState(sparseArray2);
            bundle.putSparseParcelableArray(f7944y, sparseArray2);
        }
        return bundle;
    }

    @Override // androidx.appcompat.view.menu.MenuPresenter
    public boolean onSubMenuSelected(SubMenuBuilder subMenuBuilder) {
        return false;
    }

    public void p(boolean z7) {
        if (this.f7961q != z7) {
            this.f7961q = z7;
            C();
        }
    }

    public void q(@NonNull MenuItemImpl menuItemImpl) {
        this.f7950f.u(menuItemImpl);
    }

    public void r(int i7) {
        this.f7949e = i7;
    }

    public void s(@Nullable Drawable drawable) {
        this.f7956l = drawable;
        updateMenuView(false);
    }

    @Override // androidx.appcompat.view.menu.MenuPresenter
    public void setCallback(MenuPresenter.Callback callback) {
        this.f7947c = callback;
    }

    public void t(int i7) {
        this.f7957m = i7;
        updateMenuView(false);
    }

    public void u(int i7) {
        this.f7958n = i7;
        updateMenuView(false);
    }

    @Override // androidx.appcompat.view.menu.MenuPresenter
    public void updateMenuView(boolean z7) {
        c cVar = this.f7950f;
        if (cVar != null) {
            cVar.w();
        }
    }

    public void v(@Dimension int i7) {
        if (this.f7959o != i7) {
            this.f7959o = i7;
            this.f7960p = true;
            updateMenuView(false);
        }
    }

    public void w(@Nullable ColorStateList colorStateList) {
        this.f7955k = colorStateList;
        updateMenuView(false);
    }

    public void x(int i7) {
        this.f7962r = i7;
        updateMenuView(false);
    }

    public void y(@StyleRes int i7) {
        this.f7952h = i7;
        this.f7953i = true;
        updateMenuView(false);
    }

    public void z(@Nullable ColorStateList colorStateList) {
        this.f7954j = colorStateList;
        updateMenuView(false);
    }
}
