package com.google.android.material.internal;

import android.text.Layout;
import android.text.StaticLayout;
import android.text.TextDirectionHeuristic;
import android.text.TextDirectionHeuristics;
import android.text.TextPaint;
import android.text.TextUtils;
import androidx.annotation.IntRange;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import java.lang.reflect.Constructor;

/* access modifiers changed from: package-private */
@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
public final class m {

    /* renamed from: n  reason: collision with root package name */
    static final int f7996n = 1;

    /* renamed from: o  reason: collision with root package name */
    static final float f7997o = 0.0f;

    /* renamed from: p  reason: collision with root package name */
    static final float f7998p = 1.0f;

    /* renamed from: q  reason: collision with root package name */
    private static final String f7999q = "android.text.TextDirectionHeuristic";

    /* renamed from: r  reason: collision with root package name */
    private static final String f8000r = "android.text.TextDirectionHeuristics";

    /* renamed from: s  reason: collision with root package name */
    private static final String f8001s = "LTR";

    /* renamed from: t  reason: collision with root package name */
    private static final String f8002t = "RTL";

    /* renamed from: u  reason: collision with root package name */
    private static boolean f8003u;
    @Nullable

    /* renamed from: v  reason: collision with root package name */
    private static Constructor<StaticLayout> f8004v;
    @Nullable

    /* renamed from: w  reason: collision with root package name */
    private static Object f8005w;

    /* renamed from: a  reason: collision with root package name */
    private CharSequence f8006a;

    /* renamed from: b  reason: collision with root package name */
    private final TextPaint f8007b;

    /* renamed from: c  reason: collision with root package name */
    private final int f8008c;

    /* renamed from: d  reason: collision with root package name */
    private int f8009d = 0;

    /* renamed from: e  reason: collision with root package name */
    private int f8010e;

    /* renamed from: f  reason: collision with root package name */
    private Layout.Alignment f8011f;

    /* renamed from: g  reason: collision with root package name */
    private int f8012g;

    /* renamed from: h  reason: collision with root package name */
    private float f8013h;

    /* renamed from: i  reason: collision with root package name */
    private float f8014i;

    /* renamed from: j  reason: collision with root package name */
    private int f8015j;

    /* renamed from: k  reason: collision with root package name */
    private boolean f8016k;

    /* renamed from: l  reason: collision with root package name */
    private boolean f8017l;
    @Nullable

    /* renamed from: m  reason: collision with root package name */
    private TextUtils.TruncateAt f8018m;

    static class a extends Exception {
        a(Throwable th) {
            super("Error thrown initializing StaticLayout " + th.getMessage(), th);
        }
    }

    private m(CharSequence charSequence, TextPaint textPaint, int i7) {
        this.f8006a = charSequence;
        this.f8007b = textPaint;
        this.f8008c = i7;
        this.f8010e = charSequence.length();
        this.f8011f = Layout.Alignment.ALIGN_NORMAL;
        this.f8012g = Integer.MAX_VALUE;
        this.f8013h = 0.0f;
        this.f8014i = 1.0f;
        this.f8015j = f7996n;
        this.f8016k = true;
        this.f8018m = null;
    }

    private void b() throws a {
        if (!f8003u) {
            try {
                f8005w = this.f8017l ? TextDirectionHeuristics.RTL : TextDirectionHeuristics.LTR;
                Class cls = Integer.TYPE;
                Class cls2 = Float.TYPE;
                Constructor<StaticLayout> declaredConstructor = StaticLayout.class.getDeclaredConstructor(CharSequence.class, cls, cls, TextPaint.class, cls, Layout.Alignment.class, TextDirectionHeuristic.class, cls2, cls2, Boolean.TYPE, TextUtils.TruncateAt.class, cls, cls);
                f8004v = declaredConstructor;
                declaredConstructor.setAccessible(true);
                f8003u = true;
            } catch (Exception e7) {
                throw new a(e7);
            }
        }
    }

    @NonNull
    public static m c(@NonNull CharSequence charSequence, @NonNull TextPaint textPaint, @IntRange(from = 0) int i7) {
        return new m(charSequence, textPaint, i7);
    }

    public StaticLayout a() throws a {
        if (this.f8006a == null) {
            this.f8006a = "";
        }
        int max = Math.max(0, this.f8008c);
        CharSequence charSequence = this.f8006a;
        if (this.f8012g == 1) {
            charSequence = TextUtils.ellipsize(charSequence, this.f8007b, (float) max, this.f8018m);
        }
        int min = Math.min(charSequence.length(), this.f8010e);
        this.f8010e = min;
        if (this.f8017l && this.f8012g == 1) {
            this.f8011f = Layout.Alignment.ALIGN_OPPOSITE;
        }
        StaticLayout.Builder obtain = StaticLayout.Builder.obtain(charSequence, this.f8009d, min, this.f8007b, max);
        obtain.setAlignment(this.f8011f);
        obtain.setIncludePad(this.f8016k);
        obtain.setTextDirection(this.f8017l ? TextDirectionHeuristics.RTL : TextDirectionHeuristics.LTR);
        TextUtils.TruncateAt truncateAt = this.f8018m;
        if (truncateAt != null) {
            obtain.setEllipsize(truncateAt);
        }
        obtain.setMaxLines(this.f8012g);
        float f7 = this.f8013h;
        if (!(f7 == 0.0f && this.f8014i == 1.0f)) {
            obtain.setLineSpacing(f7, this.f8014i);
        }
        if (this.f8012g > 1) {
            obtain.setHyphenationFrequency(this.f8015j);
        }
        return obtain.build();
    }

    @NonNull
    public m d(@NonNull Layout.Alignment alignment) {
        this.f8011f = alignment;
        return this;
    }

    @NonNull
    public m e(@Nullable TextUtils.TruncateAt truncateAt) {
        this.f8018m = truncateAt;
        return this;
    }

    @NonNull
    public m f(@IntRange(from = 0) int i7) {
        this.f8010e = i7;
        return this;
    }

    @NonNull
    public m g(int i7) {
        this.f8015j = i7;
        return this;
    }

    @NonNull
    public m h(boolean z7) {
        this.f8016k = z7;
        return this;
    }

    public m i(boolean z7) {
        this.f8017l = z7;
        return this;
    }

    @NonNull
    public m j(float f7, float f8) {
        this.f8013h = f7;
        this.f8014i = f8;
        return this;
    }

    @NonNull
    public m k(@IntRange(from = 0) int i7) {
        this.f8012g = i7;
        return this;
    }

    @NonNull
    public m l(@IntRange(from = 0) int i7) {
        this.f8009d = i7;
        return this;
    }
}
