package com.google.android.material.internal;

import android.animation.Animator;
import android.animation.ValueAnimator;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.transition.Transition;
import androidx.transition.TransitionValues;
import java.util.Map;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
public class o extends Transition {

    /* renamed from: f  reason: collision with root package name */
    private static final String f8026f = "android:textscale:scale";

    class a implements ValueAnimator.AnimatorUpdateListener {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ TextView f8027f;

        a(TextView textView) {
            this.f8027f = textView;
        }

        public void onAnimationUpdate(@NonNull ValueAnimator valueAnimator) {
            float floatValue = ((Float) valueAnimator.getAnimatedValue()).floatValue();
            this.f8027f.setScaleX(floatValue);
            this.f8027f.setScaleY(floatValue);
        }
    }

    private void captureValues(@NonNull TransitionValues transitionValues) {
        View view = transitionValues.view;
        if (view instanceof TextView) {
            transitionValues.values.put(f8026f, Float.valueOf(((TextView) view).getScaleX()));
        }
    }

    @Override // androidx.transition.Transition
    public void captureEndValues(@NonNull TransitionValues transitionValues) {
        captureValues(transitionValues);
    }

    @Override // androidx.transition.Transition
    public void captureStartValues(@NonNull TransitionValues transitionValues) {
        captureValues(transitionValues);
    }

    @Override // androidx.transition.Transition
    public Animator createAnimator(@NonNull ViewGroup viewGroup, @Nullable TransitionValues transitionValues, @Nullable TransitionValues transitionValues2) {
        if (transitionValues == null || transitionValues2 == null || !(transitionValues.view instanceof TextView)) {
            return null;
        }
        View view = transitionValues2.view;
        if (!(view instanceof TextView)) {
            return null;
        }
        TextView textView = (TextView) view;
        Map<String, Object> map = transitionValues.values;
        Map<String, Object> map2 = transitionValues2.values;
        float f7 = 1.0f;
        float floatValue = map.get(f8026f) != null ? ((Float) map.get(f8026f)).floatValue() : 1.0f;
        if (map2.get(f8026f) != null) {
            f7 = ((Float) map2.get(f8026f)).floatValue();
        }
        if (floatValue == f7) {
            return null;
        }
        ValueAnimator ofFloat = ValueAnimator.ofFloat(floatValue, f7);
        ofFloat.addUpdateListener(new a(textView));
        return ofFloat;
    }
}
