package com.google.android.material.internal;

import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.util.TypedValue;
import androidx.annotation.AttrRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.annotation.StyleRes;
import androidx.annotation.StyleableRes;
import androidx.appcompat.widget.TintTypedArray;
import b0.a;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
public final class q {

    /* renamed from: a  reason: collision with root package name */
    private static final int[] f8029a = {a.c.K2};

    /* renamed from: b  reason: collision with root package name */
    private static final String f8030b = "Theme.AppCompat";

    /* renamed from: c  reason: collision with root package name */
    private static final int[] f8031c = {a.c.N2};

    /* renamed from: d  reason: collision with root package name */
    private static final String f8032d = "Theme.MaterialComponents";

    private q() {
    }

    public static void a(@NonNull Context context) {
        e(context, f8029a, f8030b);
    }

    private static void b(@NonNull Context context, AttributeSet attributeSet, @AttrRes int i7, @StyleRes int i8) {
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, a.o.ms, i7, i8);
        boolean z7 = obtainStyledAttributes.getBoolean(a.o.os, false);
        obtainStyledAttributes.recycle();
        if (z7) {
            TypedValue typedValue = new TypedValue();
            if (!context.getTheme().resolveAttribute(a.c.Y6, typedValue, true) || (typedValue.type == 18 && typedValue.data == 0)) {
                c(context);
            }
        }
        a(context);
    }

    public static void c(@NonNull Context context) {
        e(context, f8031c, f8032d);
    }

    private static void d(@NonNull Context context, AttributeSet attributeSet, @NonNull @StyleableRes int[] iArr, @AttrRes int i7, @StyleRes int i8, @Nullable @StyleableRes int... iArr2) {
        boolean z7;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, a.o.ms, i7, i8);
        boolean z8 = false;
        if (!obtainStyledAttributes.getBoolean(a.o.ps, false)) {
            obtainStyledAttributes.recycle();
            return;
        }
        if (iArr2 == null || iArr2.length == 0) {
            if (obtainStyledAttributes.getResourceId(a.o.ns, -1) != -1) {
                z8 = true;
            }
            z7 = z8;
        } else {
            z7 = g(context, attributeSet, iArr, i7, i8, iArr2);
        }
        obtainStyledAttributes.recycle();
        if (!z7) {
            throw new IllegalArgumentException("This component requires that you specify a valid TextAppearance attribute. Update your app theme to inherit from Theme.MaterialComponents (or a descendant).");
        }
    }

    private static void e(@NonNull Context context, @NonNull int[] iArr, String str) {
        if (!i(context, iArr)) {
            throw new IllegalArgumentException("The style on this component requires your app theme to be " + str + " (or a descendant).");
        }
    }

    public static boolean f(@NonNull Context context) {
        return i(context, f8029a);
    }

    private static boolean g(@NonNull Context context, AttributeSet attributeSet, @NonNull @StyleableRes int[] iArr, @AttrRes int i7, @StyleRes int i8, @NonNull @StyleableRes int... iArr2) {
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, iArr, i7, i8);
        for (int i9 : iArr2) {
            if (obtainStyledAttributes.getResourceId(i9, -1) == -1) {
                obtainStyledAttributes.recycle();
                return false;
            }
        }
        obtainStyledAttributes.recycle();
        return true;
    }

    public static boolean h(@NonNull Context context) {
        return i(context, f8031c);
    }

    private static boolean i(@NonNull Context context, @NonNull int[] iArr) {
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(iArr);
        for (int i7 = 0; i7 < iArr.length; i7++) {
            if (!obtainStyledAttributes.hasValue(i7)) {
                obtainStyledAttributes.recycle();
                return false;
            }
        }
        obtainStyledAttributes.recycle();
        return true;
    }

    @NonNull
    public static TypedArray j(@NonNull Context context, AttributeSet attributeSet, @NonNull @StyleableRes int[] iArr, @AttrRes int i7, @StyleRes int i8, @StyleableRes int... iArr2) {
        b(context, attributeSet, i7, i8);
        d(context, attributeSet, iArr, i7, i8, iArr2);
        return context.obtainStyledAttributes(attributeSet, iArr, i7, i8);
    }

    public static TintTypedArray k(@NonNull Context context, AttributeSet attributeSet, @NonNull @StyleableRes int[] iArr, @AttrRes int i7, @StyleRes int i8, @StyleableRes int... iArr2) {
        b(context, attributeSet, i7, i8);
        d(context, attributeSet, iArr, i7, i8, iArr2);
        return TintTypedArray.obtainStyledAttributes(context, attributeSet, iArr, i7, i8);
    }
}
