package com.google.android.material.internal;

import android.annotation.SuppressLint;
import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import androidx.annotation.NonNull;
import androidx.annotation.RestrictTo;
import androidx.core.view.ViewCompat;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.ArrayList;

class v implements x {

    /* renamed from: a  reason: collision with root package name */
    protected a f8034a;

    @SuppressLint({"ViewConstructor", "PrivateApi"})
    static class a extends ViewGroup {

        /* renamed from: f  reason: collision with root package name */
        static Method f8035f;

        /* renamed from: a  reason: collision with root package name */
        ViewGroup f8036a;

        /* renamed from: b  reason: collision with root package name */
        View f8037b;

        /* renamed from: c  reason: collision with root package name */
        ArrayList<Drawable> f8038c = null;

        /* renamed from: d  reason: collision with root package name */
        v f8039d;

        /* renamed from: e  reason: collision with root package name */
        private boolean f8040e;

        static {
            try {
                Class cls = Integer.TYPE;
                f8035f = ViewGroup.class.getDeclaredMethod("invalidateChildInParentFast", cls, cls, Rect.class);
            } catch (NoSuchMethodException unused) {
            }
        }

        a(Context context, ViewGroup viewGroup, View view, v vVar) {
            super(context);
            this.f8036a = viewGroup;
            this.f8037b = view;
            setRight(viewGroup.getWidth());
            setBottom(viewGroup.getHeight());
            viewGroup.addView(this);
            this.f8039d = vVar;
        }

        private void c() {
            if (this.f8040e) {
                throw new IllegalStateException("This overlay was disposed already. Please use a new one via ViewGroupUtils.getOverlay()");
            }
        }

        private void d() {
            if (getChildCount() == 0) {
                ArrayList<Drawable> arrayList = this.f8038c;
                if (arrayList == null || arrayList.size() == 0) {
                    this.f8040e = true;
                    this.f8036a.removeView(this);
                }
            }
        }

        private void e(int[] iArr) {
            int[] iArr2 = new int[2];
            int[] iArr3 = new int[2];
            this.f8036a.getLocationOnScreen(iArr2);
            this.f8037b.getLocationOnScreen(iArr3);
            iArr[0] = iArr3[0] - iArr2[0];
            iArr[1] = iArr3[1] - iArr2[1];
        }

        public void a(Drawable drawable) {
            c();
            if (this.f8038c == null) {
                this.f8038c = new ArrayList<>();
            }
            if (!this.f8038c.contains(drawable)) {
                this.f8038c.add(drawable);
                invalidate(drawable.getBounds());
                drawable.setCallback(this);
            }
        }

        public void b(View view) {
            c();
            if (view.getParent() instanceof ViewGroup) {
                ViewGroup viewGroup = (ViewGroup) view.getParent();
                if (!(viewGroup == this.f8036a || viewGroup.getParent() == null || !ViewCompat.isAttachedToWindow(viewGroup))) {
                    int[] iArr = new int[2];
                    int[] iArr2 = new int[2];
                    viewGroup.getLocationOnScreen(iArr);
                    this.f8036a.getLocationOnScreen(iArr2);
                    ViewCompat.offsetLeftAndRight(view, iArr[0] - iArr2[0]);
                    ViewCompat.offsetTopAndBottom(view, iArr[1] - iArr2[1]);
                }
                viewGroup.removeView(view);
                if (view.getParent() != null) {
                    viewGroup.removeView(view);
                }
            }
            super.addView(view);
        }

        /* access modifiers changed from: protected */
        public void dispatchDraw(Canvas canvas) {
            int[] iArr = new int[2];
            int[] iArr2 = new int[2];
            this.f8036a.getLocationOnScreen(iArr);
            this.f8037b.getLocationOnScreen(iArr2);
            canvas.translate((float) (iArr2[0] - iArr[0]), (float) (iArr2[1] - iArr[1]));
            canvas.clipRect(new Rect(0, 0, this.f8037b.getWidth(), this.f8037b.getHeight()));
            super.dispatchDraw(canvas);
            ArrayList<Drawable> arrayList = this.f8038c;
            int size = arrayList == null ? 0 : arrayList.size();
            for (int i7 = 0; i7 < size; i7++) {
                this.f8038c.get(i7).draw(canvas);
            }
        }

        public boolean dispatchTouchEvent(MotionEvent motionEvent) {
            return false;
        }

        /* access modifiers changed from: protected */
        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
        public ViewParent f(int i7, int i8, Rect rect) {
            if (this.f8036a == null || f8035f == null) {
                return null;
            }
            try {
                e(new int[2]);
                f8035f.invoke(this.f8036a, Integer.valueOf(i7), Integer.valueOf(i8), rect);
                return null;
            } catch (IllegalAccessException | InvocationTargetException e7) {
                e7.printStackTrace();
                return null;
            }
        }

        public void g(Drawable drawable) {
            ArrayList<Drawable> arrayList = this.f8038c;
            if (arrayList != null) {
                arrayList.remove(drawable);
                invalidate(drawable.getBounds());
                drawable.setCallback(null);
                d();
            }
        }

        public void h(View view) {
            super.removeView(view);
            d();
        }

        public ViewParent invalidateChildInParent(int[] iArr, Rect rect) {
            if (this.f8036a == null) {
                return null;
            }
            rect.offset(iArr[0], iArr[1]);
            if (this.f8036a != null) {
                iArr[0] = 0;
                iArr[1] = 0;
                int[] iArr2 = new int[2];
                e(iArr2);
                rect.offset(iArr2[0], iArr2[1]);
                return super.invalidateChildInParent(iArr, rect);
            }
            invalidate(rect);
            return null;
        }

        public void invalidateDrawable(@NonNull Drawable drawable) {
            invalidate(drawable.getBounds());
        }

        /* access modifiers changed from: protected */
        public void onLayout(boolean z7, int i7, int i8, int i9, int i10) {
        }

        /* access modifiers changed from: protected */
        public boolean verifyDrawable(@NonNull Drawable drawable) {
            ArrayList<Drawable> arrayList;
            return super.verifyDrawable(drawable) || ((arrayList = this.f8038c) != null && arrayList.contains(drawable));
        }
    }

    v(Context context, ViewGroup viewGroup, View view) {
        this.f8034a = new a(context, viewGroup, view, this);
    }

    static v a(View view) {
        ViewGroup f7 = y.f(view);
        if (f7 == null) {
            return null;
        }
        int childCount = f7.getChildCount();
        for (int i7 = 0; i7 < childCount; i7++) {
            View childAt = f7.getChildAt(i7);
            if (childAt instanceof a) {
                return ((a) childAt).f8039d;
            }
        }
        return new s(f7.getContext(), f7, view);
    }

    @Override // com.google.android.material.internal.x
    public void add(@NonNull Drawable drawable) {
        this.f8034a.a(drawable);
    }

    @Override // com.google.android.material.internal.x
    public void remove(@NonNull Drawable drawable) {
        this.f8034a.g(drawable);
    }
}
