package com.google.android.material.navigation;

import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.RippleDrawable;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import android.widget.FrameLayout;
import androidx.annotation.AttrRes;
import androidx.annotation.DimenRes;
import androidx.annotation.Dimension;
import androidx.annotation.DrawableRes;
import androidx.annotation.IdRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.annotation.StyleRes;
import androidx.appcompat.view.SupportMenuInflater;
import androidx.appcompat.view.menu.MenuBuilder;
import androidx.appcompat.view.menu.MenuView;
import androidx.appcompat.widget.TintTypedArray;
import androidx.core.graphics.drawable.DrawableCompat;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;
import androidx.customview.view.AbsSavedState;
import b0.a;
import com.google.android.material.badge.BadgeDrawable;
import com.google.android.material.internal.q;
import com.google.android.material.internal.y;
import com.google.android.material.shape.j;
import com.google.android.material.shape.k;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

public abstract class NavigationBarView extends FrameLayout {

    /* renamed from: h  reason: collision with root package name */
    public static final int f8060h = -1;

    /* renamed from: i  reason: collision with root package name */
    public static final int f8061i = 0;

    /* renamed from: j  reason: collision with root package name */
    public static final int f8062j = 1;

    /* renamed from: k  reason: collision with root package name */
    public static final int f8063k = 2;

    /* renamed from: l  reason: collision with root package name */
    private static final int f8064l = 1;
    @NonNull

    /* renamed from: a  reason: collision with root package name */
    private final b f8065a;
    @NonNull

    /* renamed from: b  reason: collision with root package name */
    private final c f8066b;
    @NonNull

    /* renamed from: c  reason: collision with root package name */
    private final NavigationBarPresenter f8067c;
    @Nullable

    /* renamed from: d  reason: collision with root package name */
    private ColorStateList f8068d;

    /* renamed from: e  reason: collision with root package name */
    private MenuInflater f8069e;

    /* renamed from: f  reason: collision with root package name */
    private e f8070f;

    /* renamed from: g  reason: collision with root package name */
    private d f8071g;

    /* access modifiers changed from: package-private */
    public static class SavedState extends AbsSavedState {
        public static final Parcelable.Creator<SavedState> CREATOR = new a();
        @Nullable

        /* renamed from: f  reason: collision with root package name */
        Bundle f8072f;

        static class a implements Parcelable.ClassLoaderCreator<SavedState> {
            a() {
            }

            @Nullable
            /* renamed from: a */
            public SavedState createFromParcel(@NonNull Parcel parcel) {
                return new SavedState(parcel, null);
            }

            @NonNull
            /* renamed from: b */
            public SavedState createFromParcel(@NonNull Parcel parcel, ClassLoader classLoader) {
                return new SavedState(parcel, classLoader);
            }

            @NonNull
            /* renamed from: c */
            public SavedState[] newArray(int i7) {
                return new SavedState[i7];
            }
        }

        public SavedState(@NonNull Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            a(parcel, classLoader == null ? getClass().getClassLoader() : classLoader);
        }

        private void a(@NonNull Parcel parcel, ClassLoader classLoader) {
            this.f8072f = parcel.readBundle(classLoader);
        }

        @Override // androidx.customview.view.AbsSavedState
        public void writeToParcel(@NonNull Parcel parcel, int i7) {
            super.writeToParcel(parcel, i7);
            parcel.writeBundle(this.f8072f);
        }

        public SavedState(Parcelable parcelable) {
            super(parcelable);
        }
    }

    class a implements MenuBuilder.Callback {
        a() {
        }

        @Override // androidx.appcompat.view.menu.MenuBuilder.Callback
        public boolean onMenuItemSelected(MenuBuilder menuBuilder, @NonNull MenuItem menuItem) {
            if (NavigationBarView.this.f8071g == null || menuItem.getItemId() != NavigationBarView.this.getSelectedItemId()) {
                return NavigationBarView.this.f8070f != null && !NavigationBarView.this.f8070f.a(menuItem);
            }
            NavigationBarView.this.f8071g.a(menuItem);
            return true;
        }

        @Override // androidx.appcompat.view.menu.MenuBuilder.Callback
        public void onMenuModeChange(MenuBuilder menuBuilder) {
        }
    }

    /* access modifiers changed from: package-private */
    public class b implements y.e {
        b() {
        }

        @Override // com.google.android.material.internal.y.e
        @NonNull
        public WindowInsetsCompat a(View view, @NonNull WindowInsetsCompat windowInsetsCompat, @NonNull y.f fVar) {
            fVar.f8052d += windowInsetsCompat.getSystemWindowInsetBottom();
            boolean z7 = true;
            if (ViewCompat.getLayoutDirection(view) != 1) {
                z7 = false;
            }
            int systemWindowInsetLeft = windowInsetsCompat.getSystemWindowInsetLeft();
            int systemWindowInsetRight = windowInsetsCompat.getSystemWindowInsetRight();
            fVar.f8049a += z7 ? systemWindowInsetRight : systemWindowInsetLeft;
            int i7 = fVar.f8051c;
            if (!z7) {
                systemWindowInsetLeft = systemWindowInsetRight;
            }
            fVar.f8051c = i7 + systemWindowInsetLeft;
            fVar.a(view);
            return windowInsetsCompat;
        }
    }

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public @interface c {
    }

    public interface d {
        void a(@NonNull MenuItem menuItem);
    }

    public interface e {
        boolean a(@NonNull MenuItem menuItem);
    }

    public NavigationBarView(@NonNull Context context, @Nullable AttributeSet attributeSet, @AttrRes int i7, @StyleRes int i8) {
        super(l0.a.c(context, attributeSet, i7, i8), attributeSet, i7);
        NavigationBarPresenter navigationBarPresenter = new NavigationBarPresenter();
        this.f8067c = navigationBarPresenter;
        Context context2 = getContext();
        TintTypedArray k7 = q.k(context2, attributeSet, a.o.cm, i7, i8, a.o.km, a.o.jm);
        b bVar = new b(context2, getClass(), getMaxItemCount());
        this.f8065a = bVar;
        c e7 = e(context2);
        this.f8066b = e7;
        navigationBarPresenter.b(e7);
        navigationBarPresenter.a(1);
        e7.setPresenter(navigationBarPresenter);
        bVar.addMenuPresenter(navigationBarPresenter);
        navigationBarPresenter.initForMenu(getContext(), bVar);
        e7.setIconTintList(k7.hasValue(a.o.hm) ? k7.getColorStateList(a.o.hm) : e7.d(16842808));
        setItemIconSize(k7.getDimensionPixelSize(a.o.gm, getResources().getDimensionPixelSize(a.f.f1044f5)));
        if (k7.hasValue(a.o.km)) {
            setItemTextAppearanceInactive(k7.getResourceId(a.o.km, 0));
        }
        if (k7.hasValue(a.o.jm)) {
            setItemTextAppearanceActive(k7.getResourceId(a.o.jm, 0));
        }
        if (k7.hasValue(a.o.lm)) {
            setItemTextColor(k7.getColorStateList(a.o.lm));
        }
        if (getBackground() == null || (getBackground() instanceof ColorDrawable)) {
            ViewCompat.setBackground(this, d(context2));
        }
        if (k7.hasValue(a.o.em)) {
            setElevation((float) k7.getDimensionPixelSize(a.o.em, 0));
        }
        DrawableCompat.setTintList(getBackground().mutate(), com.google.android.material.resources.c.b(context2, k7, a.o.dm));
        setLabelVisibilityMode(k7.getInteger(a.o.mm, -1));
        int resourceId = k7.getResourceId(a.o.fm, 0);
        if (resourceId != 0) {
            e7.setItemBackgroundRes(resourceId);
        } else {
            setItemRippleColor(com.google.android.material.resources.c.b(context2, k7, a.o.im));
        }
        if (k7.hasValue(a.o.nm)) {
            h(k7.getResourceId(a.o.nm, 0));
        }
        k7.recycle();
        addView(e7);
        bVar.setCallback(new a());
        c();
    }

    private void c() {
        y.d(this, new b());
    }

    @NonNull
    private j d(Context context) {
        j jVar = new j();
        Drawable background = getBackground();
        if (background instanceof ColorDrawable) {
            jVar.n0(ColorStateList.valueOf(((ColorDrawable) background).getColor()));
        }
        jVar.Y(context);
        return jVar;
    }

    private MenuInflater getMenuInflater() {
        if (this.f8069e == null) {
            this.f8069e = new SupportMenuInflater(getContext());
        }
        return this.f8069e;
    }

    /* access modifiers changed from: protected */
    @NonNull
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public abstract c e(@NonNull Context context);

    @Nullable
    public BadgeDrawable f(int i7) {
        return this.f8066b.g(i7);
    }

    @NonNull
    public BadgeDrawable g(int i7) {
        return this.f8066b.h(i7);
    }

    @Nullable
    public Drawable getItemBackground() {
        return this.f8066b.getItemBackground();
    }

    @DrawableRes
    @Deprecated
    public int getItemBackgroundResource() {
        return this.f8066b.getItemBackgroundRes();
    }

    @Dimension
    public int getItemIconSize() {
        return this.f8066b.getItemIconSize();
    }

    @Nullable
    public ColorStateList getItemIconTintList() {
        return this.f8066b.getIconTintList();
    }

    @Nullable
    public ColorStateList getItemRippleColor() {
        return this.f8068d;
    }

    @StyleRes
    public int getItemTextAppearanceActive() {
        return this.f8066b.getItemTextAppearanceActive();
    }

    @StyleRes
    public int getItemTextAppearanceInactive() {
        return this.f8066b.getItemTextAppearanceInactive();
    }

    @Nullable
    public ColorStateList getItemTextColor() {
        return this.f8066b.getItemTextColor();
    }

    public int getLabelVisibilityMode() {
        return this.f8066b.getLabelVisibilityMode();
    }

    public abstract int getMaxItemCount();

    @NonNull
    public Menu getMenu() {
        return this.f8065a;
    }

    @NonNull
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public MenuView getMenuView() {
        return this.f8066b;
    }

    /* access modifiers changed from: protected */
    @NonNull
    public NavigationBarPresenter getPresenter() {
        return this.f8067c;
    }

    @IdRes
    public int getSelectedItemId() {
        return this.f8066b.getSelectedItemId();
    }

    public void h(int i7) {
        this.f8067c.c(true);
        getMenuInflater().inflate(i7, this.f8065a);
        this.f8067c.c(false);
        this.f8067c.updateMenuView(true);
    }

    public void i(int i7) {
        this.f8066b.k(i7);
    }

    public void j(int i7, @Nullable View.OnTouchListener onTouchListener) {
        this.f8066b.m(i7, onTouchListener);
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        k.e(this);
    }

    /* access modifiers changed from: protected */
    public void onRestoreInstanceState(@Nullable Parcelable parcelable) {
        if (!(parcelable instanceof SavedState)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        SavedState savedState = (SavedState) parcelable;
        super.onRestoreInstanceState(savedState.getSuperState());
        this.f8065a.restorePresenterStates(savedState.f8072f);
    }

    /* access modifiers changed from: protected */
    @NonNull
    public Parcelable onSaveInstanceState() {
        SavedState savedState = new SavedState(super.onSaveInstanceState());
        Bundle bundle = new Bundle();
        savedState.f8072f = bundle;
        this.f8065a.savePresenterStates(bundle);
        return savedState;
    }

    public void setElevation(float f7) {
        super.setElevation(f7);
        k.d(this, f7);
    }

    public void setItemBackground(@Nullable Drawable drawable) {
        this.f8066b.setItemBackground(drawable);
        this.f8068d = null;
    }

    public void setItemBackgroundResource(@DrawableRes int i7) {
        this.f8066b.setItemBackgroundRes(i7);
        this.f8068d = null;
    }

    public void setItemIconSize(@Dimension int i7) {
        this.f8066b.setItemIconSize(i7);
    }

    public void setItemIconSizeRes(@DimenRes int i7) {
        setItemIconSize(getResources().getDimensionPixelSize(i7));
    }

    public void setItemIconTintList(@Nullable ColorStateList colorStateList) {
        this.f8066b.setIconTintList(colorStateList);
    }

    public void setItemRippleColor(@Nullable ColorStateList colorStateList) {
        if (this.f8068d != colorStateList) {
            this.f8068d = colorStateList;
            if (colorStateList == null) {
                this.f8066b.setItemBackground(null);
                return;
            }
            this.f8066b.setItemBackground(new RippleDrawable(com.google.android.material.ripple.b.a(colorStateList), null, null));
        } else if (colorStateList == null && this.f8066b.getItemBackground() != null) {
            this.f8066b.setItemBackground(null);
        }
    }

    public void setItemTextAppearanceActive(@StyleRes int i7) {
        this.f8066b.setItemTextAppearanceActive(i7);
    }

    public void setItemTextAppearanceInactive(@StyleRes int i7) {
        this.f8066b.setItemTextAppearanceInactive(i7);
    }

    public void setItemTextColor(@Nullable ColorStateList colorStateList) {
        this.f8066b.setItemTextColor(colorStateList);
    }

    public void setLabelVisibilityMode(int i7) {
        if (this.f8066b.getLabelVisibilityMode() != i7) {
            this.f8066b.setLabelVisibilityMode(i7);
            this.f8067c.updateMenuView(false);
        }
    }

    public void setOnItemReselectedListener(@Nullable d dVar) {
        this.f8071g = dVar;
    }

    public void setOnItemSelectedListener(@Nullable e eVar) {
        this.f8070f = eVar;
    }

    public void setSelectedItemId(@IdRes int i7) {
        MenuItem findItem = this.f8065a.findItem(i7);
        if (findItem != null && !this.f8065a.performItemAction(findItem, this.f8067c, 0)) {
            findItem.setChecked(true);
        }
    }
}
