package com.google.android.material.navigation;

import android.app.Activity;
import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.Color;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.InsetDrawable;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.util.TypedValue;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewTreeObserver;
import android.widget.FrameLayout;
import androidx.annotation.DimenRes;
import androidx.annotation.Dimension;
import androidx.annotation.DrawableRes;
import androidx.annotation.IdRes;
import androidx.annotation.LayoutRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.annotation.StyleRes;
import androidx.appcompat.R;
import androidx.appcompat.content.res.AppCompatResources;
import androidx.appcompat.view.SupportMenuInflater;
import androidx.appcompat.view.menu.MenuBuilder;
import androidx.appcompat.view.menu.MenuItemImpl;
import androidx.appcompat.widget.TintTypedArray;
import androidx.core.content.ContextCompat;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;
import androidx.customview.view.AbsSavedState;
import b0.a;
import com.google.android.material.internal.h;
import com.google.android.material.internal.i;
import com.google.android.material.internal.k;
import com.google.android.material.internal.q;
import com.google.android.material.shape.j;
import com.google.android.material.shape.o;

public class NavigationView extends k {

    /* renamed from: m  reason: collision with root package name */
    private static final int[] f8075m = {16842912};

    /* renamed from: n  reason: collision with root package name */
    private static final int[] f8076n = {-16842910};

    /* renamed from: o  reason: collision with root package name */
    private static final int f8077o = a.n.xa;

    /* renamed from: p  reason: collision with root package name */
    private static final int f8078p = 1;
    @NonNull

    /* renamed from: f  reason: collision with root package name */
    private final h f8079f;

    /* renamed from: g  reason: collision with root package name */
    private final i f8080g;

    /* renamed from: h  reason: collision with root package name */
    c f8081h;

    /* renamed from: i  reason: collision with root package name */
    private final int f8082i;

    /* renamed from: j  reason: collision with root package name */
    private final int[] f8083j;

    /* renamed from: k  reason: collision with root package name */
    private MenuInflater f8084k;

    /* renamed from: l  reason: collision with root package name */
    private ViewTreeObserver.OnGlobalLayoutListener f8085l;

    public static class SavedState extends AbsSavedState {
        public static final Parcelable.Creator<SavedState> CREATOR = new a();
        @Nullable

        /* renamed from: f  reason: collision with root package name */
        public Bundle f8086f;

        static class a implements Parcelable.ClassLoaderCreator<SavedState> {
            a() {
            }

            @Nullable
            /* renamed from: a */
            public SavedState createFromParcel(@NonNull Parcel parcel) {
                return new SavedState(parcel, null);
            }

            @NonNull
            /* renamed from: b */
            public SavedState createFromParcel(@NonNull Parcel parcel, ClassLoader classLoader) {
                return new SavedState(parcel, classLoader);
            }

            @NonNull
            /* renamed from: c */
            public SavedState[] newArray(int i7) {
                return new SavedState[i7];
            }
        }

        public SavedState(@NonNull Parcel parcel, @Nullable ClassLoader classLoader) {
            super(parcel, classLoader);
            this.f8086f = parcel.readBundle(classLoader);
        }

        @Override // androidx.customview.view.AbsSavedState
        public void writeToParcel(@NonNull Parcel parcel, int i7) {
            super.writeToParcel(parcel, i7);
            parcel.writeBundle(this.f8086f);
        }

        public SavedState(Parcelable parcelable) {
            super(parcelable);
        }
    }

    class a implements MenuBuilder.Callback {
        a() {
        }

        @Override // androidx.appcompat.view.menu.MenuBuilder.Callback
        public boolean onMenuItemSelected(MenuBuilder menuBuilder, MenuItem menuItem) {
            c cVar = NavigationView.this.f8081h;
            return cVar != null && cVar.a(menuItem);
        }

        @Override // androidx.appcompat.view.menu.MenuBuilder.Callback
        public void onMenuModeChange(MenuBuilder menuBuilder) {
        }
    }

    /* access modifiers changed from: package-private */
    public class b implements ViewTreeObserver.OnGlobalLayoutListener {
        b() {
        }

        public void onGlobalLayout() {
            NavigationView navigationView = NavigationView.this;
            navigationView.getLocationOnScreen(navigationView.f8083j);
            boolean z7 = true;
            boolean z8 = NavigationView.this.f8083j[1] == 0;
            NavigationView.this.f8080g.p(z8);
            NavigationView.this.setDrawTopInsetForeground(z8);
            Activity a8 = com.google.android.material.internal.b.a(NavigationView.this.getContext());
            if (a8 != null) {
                boolean z9 = a8.findViewById(16908290).getHeight() == NavigationView.this.getHeight();
                boolean z10 = Color.alpha(a8.getWindow().getNavigationBarColor()) != 0;
                NavigationView navigationView2 = NavigationView.this;
                if (!z9 || !z10) {
                    z7 = false;
                }
                navigationView2.setDrawBottomInsetForeground(z7);
            }
        }
    }

    public interface c {
        boolean a(@NonNull MenuItem menuItem);
    }

    public NavigationView(@NonNull Context context) {
        this(context, null);
    }

    @Nullable
    private ColorStateList e(int i7) {
        TypedValue typedValue = new TypedValue();
        if (!getContext().getTheme().resolveAttribute(i7, typedValue, true)) {
            return null;
        }
        ColorStateList colorStateList = AppCompatResources.getColorStateList(getContext(), typedValue.resourceId);
        if (!getContext().getTheme().resolveAttribute(R.attr.colorPrimary, typedValue, true)) {
            return null;
        }
        int i8 = typedValue.data;
        int defaultColor = colorStateList.getDefaultColor();
        int[] iArr = f8076n;
        return new ColorStateList(new int[][]{iArr, f8075m, FrameLayout.EMPTY_STATE_SET}, new int[]{colorStateList.getColorForState(iArr, defaultColor), i8, defaultColor});
    }

    @NonNull
    private final Drawable f(@NonNull TintTypedArray tintTypedArray) {
        j jVar = new j(o.b(getContext(), tintTypedArray.getResourceId(a.o.Dm, 0), tintTypedArray.getResourceId(a.o.Em, 0)).m());
        jVar.n0(com.google.android.material.resources.c.b(getContext(), tintTypedArray, a.o.Fm));
        return new InsetDrawable((Drawable) jVar, tintTypedArray.getDimensionPixelSize(a.o.Im, 0), tintTypedArray.getDimensionPixelSize(a.o.Jm, 0), tintTypedArray.getDimensionPixelSize(a.o.Hm, 0), tintTypedArray.getDimensionPixelSize(a.o.Gm, 0));
    }

    private MenuInflater getMenuInflater() {
        if (this.f8084k == null) {
            this.f8084k = new SupportMenuInflater(getContext());
        }
        return this.f8084k;
    }

    private boolean h(@NonNull TintTypedArray tintTypedArray) {
        return tintTypedArray.hasValue(a.o.Dm) || tintTypedArray.hasValue(a.o.Em);
    }

    private void l() {
        this.f8085l = new b();
        getViewTreeObserver().addOnGlobalLayoutListener(this.f8085l);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.material.internal.k
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public void a(@NonNull WindowInsetsCompat windowInsetsCompat) {
        this.f8080g.c(windowInsetsCompat);
    }

    public void d(@NonNull View view) {
        this.f8080g.b(view);
    }

    public View g(int i7) {
        return this.f8080g.f(i7);
    }

    @Nullable
    public MenuItem getCheckedItem() {
        return this.f8080g.d();
    }

    public int getHeaderCount() {
        return this.f8080g.e();
    }

    @Nullable
    public Drawable getItemBackground() {
        return this.f8080g.g();
    }

    @Dimension
    public int getItemHorizontalPadding() {
        return this.f8080g.h();
    }

    @Dimension
    public int getItemIconPadding() {
        return this.f8080g.i();
    }

    @Nullable
    public ColorStateList getItemIconTintList() {
        return this.f8080g.l();
    }

    public int getItemMaxLines() {
        return this.f8080g.j();
    }

    @Nullable
    public ColorStateList getItemTextColor() {
        return this.f8080g.k();
    }

    @NonNull
    public Menu getMenu() {
        return this.f8079f;
    }

    public View i(@LayoutRes int i7) {
        return this.f8080g.m(i7);
    }

    public void j(int i7) {
        this.f8080g.B(true);
        getMenuInflater().inflate(i7, this.f8079f);
        this.f8080g.B(false);
        this.f8080g.updateMenuView(false);
    }

    public void k(@NonNull View view) {
        this.f8080g.o(view);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.material.internal.k
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        com.google.android.material.shape.k.e(this);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.material.internal.k
    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        getViewTreeObserver().removeOnGlobalLayoutListener(this.f8085l);
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i7, int i8) {
        int i9;
        int mode = View.MeasureSpec.getMode(i7);
        if (mode != Integer.MIN_VALUE) {
            if (mode == 0) {
                i9 = this.f8082i;
            }
            super.onMeasure(i7, i8);
        }
        i9 = Math.min(View.MeasureSpec.getSize(i7), this.f8082i);
        i7 = View.MeasureSpec.makeMeasureSpec(i9, 1073741824);
        super.onMeasure(i7, i8);
    }

    /* access modifiers changed from: protected */
    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof SavedState)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        SavedState savedState = (SavedState) parcelable;
        super.onRestoreInstanceState(savedState.getSuperState());
        this.f8079f.restorePresenterStates(savedState.f8086f);
    }

    /* access modifiers changed from: protected */
    public Parcelable onSaveInstanceState() {
        SavedState savedState = new SavedState(super.onSaveInstanceState());
        Bundle bundle = new Bundle();
        savedState.f8086f = bundle;
        this.f8079f.savePresenterStates(bundle);
        return savedState;
    }

    public void setCheckedItem(@IdRes int i7) {
        MenuItem findItem = this.f8079f.findItem(i7);
        if (findItem != null) {
            this.f8080g.q((MenuItemImpl) findItem);
        }
    }

    public void setElevation(float f7) {
        super.setElevation(f7);
        com.google.android.material.shape.k.d(this, f7);
    }

    public void setItemBackground(@Nullable Drawable drawable) {
        this.f8080g.s(drawable);
    }

    public void setItemBackgroundResource(@DrawableRes int i7) {
        setItemBackground(ContextCompat.getDrawable(getContext(), i7));
    }

    public void setItemHorizontalPadding(@Dimension int i7) {
        this.f8080g.t(i7);
    }

    public void setItemHorizontalPaddingResource(@DimenRes int i7) {
        this.f8080g.t(getResources().getDimensionPixelSize(i7));
    }

    public void setItemIconPadding(@Dimension int i7) {
        this.f8080g.u(i7);
    }

    public void setItemIconPaddingResource(int i7) {
        this.f8080g.u(getResources().getDimensionPixelSize(i7));
    }

    public void setItemIconSize(@Dimension int i7) {
        this.f8080g.v(i7);
    }

    public void setItemIconTintList(@Nullable ColorStateList colorStateList) {
        this.f8080g.w(colorStateList);
    }

    public void setItemMaxLines(int i7) {
        this.f8080g.x(i7);
    }

    public void setItemTextAppearance(@StyleRes int i7) {
        this.f8080g.y(i7);
    }

    public void setItemTextColor(@Nullable ColorStateList colorStateList) {
        this.f8080g.z(colorStateList);
    }

    public void setNavigationItemSelectedListener(@Nullable c cVar) {
        this.f8081h = cVar;
    }

    public void setOverScrollMode(int i7) {
        super.setOverScrollMode(i7);
        i iVar = this.f8080g;
        if (iVar != null) {
            iVar.A(i7);
        }
    }

    public NavigationView(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, a.c.Oa);
    }

    public void setCheckedItem(@NonNull MenuItem menuItem) {
        MenuItem findItem = this.f8079f.findItem(menuItem.getItemId());
        if (findItem != null) {
            this.f8080g.q((MenuItemImpl) findItem);
            return;
        }
        throw new IllegalArgumentException("Called setCheckedItem(MenuItem) with an item that is not in the current menu.");
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public NavigationView(@NonNull Context context, @Nullable AttributeSet attributeSet, int i7) {
        super(l0.a.c(context, attributeSet, i7, r6), attributeSet, i7);
        int i8;
        boolean z7;
        int i9 = f8077o;
        i iVar = new i();
        this.f8080g = iVar;
        this.f8083j = new int[2];
        Context context2 = getContext();
        h hVar = new h(context2);
        this.f8079f = hVar;
        TintTypedArray k7 = q.k(context2, attributeSet, a.o.rm, i7, i9, new int[0]);
        if (k7.hasValue(a.o.sm)) {
            ViewCompat.setBackground(this, k7.getDrawable(a.o.sm));
        }
        if (getBackground() == null || (getBackground() instanceof ColorDrawable)) {
            o m7 = o.e(context2, attributeSet, i7, i9).m();
            Drawable background = getBackground();
            j jVar = new j(m7);
            if (background instanceof ColorDrawable) {
                jVar.n0(ColorStateList.valueOf(((ColorDrawable) background).getColor()));
            }
            jVar.Y(context2);
            ViewCompat.setBackground(this, jVar);
        }
        if (k7.hasValue(a.o.vm)) {
            setElevation((float) k7.getDimensionPixelSize(a.o.vm, 0));
        }
        setFitsSystemWindows(k7.getBoolean(a.o.tm, false));
        this.f8082i = k7.getDimensionPixelSize(a.o.um, 0);
        ColorStateList colorStateList = k7.hasValue(a.o.Bm) ? k7.getColorStateList(a.o.Bm) : e(16842808);
        if (k7.hasValue(a.o.Km)) {
            i8 = k7.getResourceId(a.o.Km, 0);
            z7 = true;
        } else {
            i8 = 0;
            z7 = false;
        }
        if (k7.hasValue(a.o.Am)) {
            setItemIconSize(k7.getDimensionPixelSize(a.o.Am, 0));
        }
        ColorStateList colorStateList2 = k7.hasValue(a.o.Lm) ? k7.getColorStateList(a.o.Lm) : null;
        if (!z7 && colorStateList2 == null) {
            colorStateList2 = e(16842806);
        }
        Drawable drawable = k7.getDrawable(a.o.xm);
        if (drawable == null && h(k7)) {
            drawable = f(k7);
        }
        if (k7.hasValue(a.o.ym)) {
            iVar.t(k7.getDimensionPixelSize(a.o.ym, 0));
        }
        int dimensionPixelSize = k7.getDimensionPixelSize(a.o.zm, 0);
        setItemMaxLines(k7.getInt(a.o.Cm, 1));
        hVar.setCallback(new a());
        iVar.r(1);
        iVar.initForMenu(context2, hVar);
        iVar.w(colorStateList);
        iVar.A(getOverScrollMode());
        if (z7) {
            iVar.y(i8);
        }
        iVar.z(colorStateList2);
        iVar.s(drawable);
        iVar.u(dimensionPixelSize);
        hVar.addMenuPresenter(iVar);
        addView((View) iVar.getMenuView(this));
        if (k7.hasValue(a.o.Mm)) {
            j(k7.getResourceId(a.o.Mm, 0));
        }
        if (k7.hasValue(a.o.wm)) {
            i(k7.getResourceId(a.o.wm, 0));
        }
        k7.recycle();
        l();
    }
}
