package com.google.android.material.navigation;

import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.drawable.Drawable;
import android.text.TextUtils;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.accessibility.AccessibilityNodeInfo;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.annotation.DimenRes;
import androidx.annotation.DrawableRes;
import androidx.annotation.LayoutRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.annotation.StyleRes;
import androidx.appcompat.view.menu.MenuItemImpl;
import androidx.appcompat.view.menu.MenuView;
import androidx.appcompat.widget.TooltipCompat;
import androidx.core.content.ContextCompat;
import androidx.core.graphics.drawable.DrawableCompat;
import androidx.core.view.PointerIconCompat;
import androidx.core.view.ViewCompat;
import androidx.core.view.accessibility.AccessibilityNodeInfoCompat;
import androidx.core.widget.TextViewCompat;
import b0.a;
import com.google.android.material.badge.BadgeDrawable;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
public abstract class a extends FrameLayout implements MenuView.ItemView {

    /* renamed from: q  reason: collision with root package name */
    private static final int f8089q = -1;

    /* renamed from: r  reason: collision with root package name */
    private static final int[] f8090r = {16842912};

    /* renamed from: a  reason: collision with root package name */
    private final int f8091a;

    /* renamed from: b  reason: collision with root package name */
    private float f8092b;

    /* renamed from: c  reason: collision with root package name */
    private float f8093c;

    /* renamed from: d  reason: collision with root package name */
    private float f8094d;

    /* renamed from: e  reason: collision with root package name */
    private int f8095e;

    /* renamed from: f  reason: collision with root package name */
    private boolean f8096f;

    /* renamed from: g  reason: collision with root package name */
    private ImageView f8097g;

    /* renamed from: h  reason: collision with root package name */
    private final ViewGroup f8098h;

    /* renamed from: i  reason: collision with root package name */
    private final TextView f8099i;

    /* renamed from: j  reason: collision with root package name */
    private final TextView f8100j;

    /* renamed from: k  reason: collision with root package name */
    private int f8101k = -1;
    @Nullable

    /* renamed from: l  reason: collision with root package name */
    private MenuItemImpl f8102l;
    @Nullable

    /* renamed from: m  reason: collision with root package name */
    private ColorStateList f8103m;
    @Nullable

    /* renamed from: n  reason: collision with root package name */
    private Drawable f8104n;
    @Nullable

    /* renamed from: o  reason: collision with root package name */
    private Drawable f8105o;
    @Nullable

    /* renamed from: p  reason: collision with root package name */
    private BadgeDrawable f8106p;

    /* renamed from: com.google.android.material.navigation.a$a  reason: collision with other inner class name */
    class View$OnLayoutChangeListenerC0091a implements View.OnLayoutChangeListener {
        View$OnLayoutChangeListenerC0091a() {
        }

        public void onLayoutChange(View view, int i7, int i8, int i9, int i10, int i11, int i12, int i13, int i14) {
            if (a.this.f8097g.getVisibility() == 0) {
                a aVar = a.this;
                aVar.k(aVar.f8097g);
            }
        }
    }

    public a(@NonNull Context context) {
        super(context);
        LayoutInflater.from(context).inflate(getItemLayoutResId(), (ViewGroup) this, true);
        this.f8097g = (ImageView) findViewById(a.h.f1393p3);
        ViewGroup viewGroup = (ViewGroup) findViewById(a.h.f1400q3);
        this.f8098h = viewGroup;
        TextView textView = (TextView) findViewById(a.h.f1414s3);
        this.f8099i = textView;
        TextView textView2 = (TextView) findViewById(a.h.f1407r3);
        this.f8100j = textView2;
        setBackgroundResource(getItemBackgroundResId());
        this.f8091a = getResources().getDimensionPixelSize(getItemDefaultMarginResId());
        viewGroup.setTag(a.h.f1379n3, Integer.valueOf(viewGroup.getPaddingBottom()));
        ViewCompat.setImportantForAccessibility(textView, 2);
        ViewCompat.setImportantForAccessibility(textView2, 2);
        setFocusable(true);
        c(textView.getTextSize(), textView2.getTextSize());
        ImageView imageView = this.f8097g;
        if (imageView != null) {
            imageView.addOnLayoutChangeListener(new View$OnLayoutChangeListenerC0091a());
        }
    }

    private void c(float f7, float f8) {
        this.f8092b = f7 - f8;
        this.f8093c = (f8 * 1.0f) / f7;
        this.f8094d = (f7 * 1.0f) / f8;
    }

    @Nullable
    private FrameLayout d(View view) {
        ImageView imageView = this.f8097g;
        if (view != imageView || !com.google.android.material.badge.a.f7141a) {
            return null;
        }
        return (FrameLayout) imageView.getParent();
    }

    private boolean e() {
        return this.f8106p != null;
    }

    private static void g(@NonNull View view, int i7, int i8) {
        FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) view.getLayoutParams();
        layoutParams.topMargin = i7;
        layoutParams.gravity = i8;
        view.setLayoutParams(layoutParams);
    }

    private int getItemVisiblePosition() {
        ViewGroup viewGroup = (ViewGroup) getParent();
        int indexOfChild = viewGroup.indexOfChild(this);
        int i7 = 0;
        for (int i8 = 0; i8 < indexOfChild; i8++) {
            View childAt = viewGroup.getChildAt(i8);
            if ((childAt instanceof a) && childAt.getVisibility() == 0) {
                i7++;
            }
        }
        return i7;
    }

    private int getSuggestedIconHeight() {
        BadgeDrawable badgeDrawable = this.f8106p;
        int minimumHeight = badgeDrawable != null ? badgeDrawable.getMinimumHeight() / 2 : 0;
        return Math.max(minimumHeight, ((FrameLayout.LayoutParams) this.f8097g.getLayoutParams()).topMargin) + this.f8097g.getMeasuredWidth() + minimumHeight;
    }

    private int getSuggestedIconWidth() {
        BadgeDrawable badgeDrawable = this.f8106p;
        int minimumWidth = badgeDrawable == null ? 0 : badgeDrawable.getMinimumWidth() - this.f8106p.q();
        FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) this.f8097g.getLayoutParams();
        return Math.max(minimumWidth, layoutParams.leftMargin) + this.f8097g.getMeasuredWidth() + Math.max(minimumWidth, layoutParams.rightMargin);
    }

    private static void h(@NonNull View view, float f7, float f8, int i7) {
        view.setScaleX(f7);
        view.setScaleY(f8);
        view.setVisibility(i7);
    }

    private void i(@Nullable View view) {
        if (e() && view != null) {
            setClipChildren(false);
            setClipToPadding(false);
            com.google.android.material.badge.a.b(this.f8106p, view, d(view));
        }
    }

    private void j(@Nullable View view) {
        if (e()) {
            if (view != null) {
                setClipChildren(true);
                setClipToPadding(true);
                com.google.android.material.badge.a.g(this.f8106p, view);
            }
            this.f8106p = null;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void k(View view) {
        if (e()) {
            com.google.android.material.badge.a.j(this.f8106p, view, d(view));
        }
    }

    private static void l(@NonNull View view, int i7) {
        view.setPadding(view.getPaddingLeft(), view.getPaddingTop(), view.getPaddingRight(), i7);
    }

    /* access modifiers changed from: package-private */
    public void f() {
        j(this.f8097g);
    }

    @Nullable
    public BadgeDrawable getBadge() {
        return this.f8106p;
    }

    /* access modifiers changed from: protected */
    @DrawableRes
    public int getItemBackgroundResId() {
        return a.g.f1229h1;
    }

    @Override // androidx.appcompat.view.menu.MenuView.ItemView
    @Nullable
    public MenuItemImpl getItemData() {
        return this.f8102l;
    }

    /* access modifiers changed from: protected */
    @DimenRes
    public int getItemDefaultMarginResId() {
        return a.f.f1052g5;
    }

    /* access modifiers changed from: protected */
    @LayoutRes
    public abstract int getItemLayoutResId();

    public int getItemPosition() {
        return this.f8101k;
    }

    /* access modifiers changed from: protected */
    public int getSuggestedMinimumHeight() {
        FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) this.f8098h.getLayoutParams();
        return getSuggestedIconHeight() + layoutParams.topMargin + this.f8098h.getMeasuredHeight() + layoutParams.bottomMargin;
    }

    /* access modifiers changed from: protected */
    public int getSuggestedMinimumWidth() {
        FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) this.f8098h.getLayoutParams();
        return Math.max(getSuggestedIconWidth(), layoutParams.leftMargin + this.f8098h.getMeasuredWidth() + layoutParams.rightMargin);
    }

    @Override // androidx.appcompat.view.menu.MenuView.ItemView
    public void initialize(@NonNull MenuItemImpl menuItemImpl, int i7) {
        this.f8102l = menuItemImpl;
        setCheckable(menuItemImpl.isCheckable());
        setChecked(menuItemImpl.isChecked());
        setEnabled(menuItemImpl.isEnabled());
        setIcon(menuItemImpl.getIcon());
        setTitle(menuItemImpl.getTitle());
        setId(menuItemImpl.getItemId());
        if (!TextUtils.isEmpty(menuItemImpl.getContentDescription())) {
            setContentDescription(menuItemImpl.getContentDescription());
        }
        TooltipCompat.setTooltipText(this, !TextUtils.isEmpty(menuItemImpl.getTooltipText()) ? menuItemImpl.getTooltipText() : menuItemImpl.getTitle());
        setVisibility(menuItemImpl.isVisible() ? 0 : 8);
    }

    @NonNull
    public int[] onCreateDrawableState(int i7) {
        int[] onCreateDrawableState = super.onCreateDrawableState(i7 + 1);
        MenuItemImpl menuItemImpl = this.f8102l;
        if (menuItemImpl != null && menuItemImpl.isCheckable() && this.f8102l.isChecked()) {
            View.mergeDrawableStates(onCreateDrawableState, f8090r);
        }
        return onCreateDrawableState;
    }

    public void onInitializeAccessibilityNodeInfo(@NonNull AccessibilityNodeInfo accessibilityNodeInfo) {
        super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
        BadgeDrawable badgeDrawable = this.f8106p;
        if (badgeDrawable != null && badgeDrawable.isVisible()) {
            CharSequence title = this.f8102l.getTitle();
            if (!TextUtils.isEmpty(this.f8102l.getContentDescription())) {
                title = this.f8102l.getContentDescription();
            }
            accessibilityNodeInfo.setContentDescription(((Object) title) + ", " + ((Object) this.f8106p.o()));
        }
        AccessibilityNodeInfoCompat wrap = AccessibilityNodeInfoCompat.wrap(accessibilityNodeInfo);
        wrap.setCollectionItemInfo(AccessibilityNodeInfoCompat.CollectionItemInfoCompat.obtain(0, 1, getItemVisiblePosition(), 1, false, isSelected()));
        if (isSelected()) {
            wrap.setClickable(false);
            wrap.removeAction(AccessibilityNodeInfoCompat.AccessibilityActionCompat.ACTION_CLICK);
        }
        wrap.setRoleDescription(getResources().getString(a.m.P));
    }

    @Override // androidx.appcompat.view.menu.MenuView.ItemView
    public boolean prefersCondensedTitle() {
        return false;
    }

    /* access modifiers changed from: package-private */
    public void setBadge(@NonNull BadgeDrawable badgeDrawable) {
        this.f8106p = badgeDrawable;
        ImageView imageView = this.f8097g;
        if (imageView != null) {
            i(imageView);
        }
    }

    @Override // androidx.appcompat.view.menu.MenuView.ItemView
    public void setCheckable(boolean z7) {
        refreshDrawableState();
    }

    /* JADX WARNING: Code restructure failed: missing block: B:10:0x0082, code lost:
        g(r8.f8097g, r8.f8091a, 49);
        r0 = r8.f8100j;
        r1 = r8.f8094d;
        h(r0, r1, r1, 4);
        h(r8.f8099i, 1.0f, 1.0f, 0);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:12:0x009a, code lost:
        if (r9 != false) goto L_0x009c;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:13:0x009c, code lost:
        g(r0, r1, 49);
        r0 = r8.f8098h;
        l(r0, ((java.lang.Integer) r0.getTag(b0.a.h.f1379n3)).intValue());
        r8.f8100j.setVisibility(0);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:14:0x00b6, code lost:
        g(r0, r1, 17);
        l(r8.f8098h, 0);
        r8.f8100j.setVisibility(4);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:15:0x00c3, code lost:
        r8.f8099i.setVisibility(4);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:19:0x00d1, code lost:
        if (r9 != false) goto L_0x009c;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:21:0x00e5, code lost:
        if (r9 != false) goto L_0x0069;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:8:0x0067, code lost:
        if (r9 != false) goto L_0x0069;
     */
    @Override // androidx.appcompat.view.menu.MenuView.ItemView
    public void setChecked(boolean z7) {
        ImageView imageView;
        int i7;
        TextView textView = this.f8100j;
        textView.setPivotX((float) (textView.getWidth() / 2));
        TextView textView2 = this.f8100j;
        textView2.setPivotY((float) textView2.getBaseline());
        TextView textView3 = this.f8099i;
        textView3.setPivotX((float) (textView3.getWidth() / 2));
        TextView textView4 = this.f8099i;
        textView4.setPivotY((float) textView4.getBaseline());
        int i8 = this.f8095e;
        if (i8 != -1) {
            if (i8 == 0) {
                imageView = this.f8097g;
                i7 = this.f8091a;
            } else if (i8 != 1) {
                if (i8 == 2) {
                    g(this.f8097g, this.f8091a, 17);
                    this.f8100j.setVisibility(8);
                    this.f8099i.setVisibility(8);
                }
                refreshDrawableState();
                setSelected(z7);
            } else {
                ViewGroup viewGroup = this.f8098h;
                l(viewGroup, ((Integer) viewGroup.getTag(a.h.f1379n3)).intValue());
            }
        } else if (this.f8096f) {
            imageView = this.f8097g;
            i7 = this.f8091a;
        } else {
            ViewGroup viewGroup2 = this.f8098h;
            l(viewGroup2, ((Integer) viewGroup2.getTag(a.h.f1379n3)).intValue());
        }
        g(this.f8097g, (int) (((float) this.f8091a) + this.f8092b), 49);
        h(this.f8100j, 1.0f, 1.0f, 0);
        TextView textView5 = this.f8099i;
        float f7 = this.f8093c;
        h(textView5, f7, f7, 4);
        refreshDrawableState();
        setSelected(z7);
    }

    @Override // androidx.appcompat.view.menu.MenuView.ItemView
    public void setEnabled(boolean z7) {
        super.setEnabled(z7);
        this.f8099i.setEnabled(z7);
        this.f8100j.setEnabled(z7);
        this.f8097g.setEnabled(z7);
        ViewCompat.setPointerIcon(this, z7 ? PointerIconCompat.getSystemIcon(getContext(), PointerIconCompat.TYPE_HAND) : null);
    }

    @Override // androidx.appcompat.view.menu.MenuView.ItemView
    public void setIcon(@Nullable Drawable drawable) {
        if (drawable != this.f8104n) {
            this.f8104n = drawable;
            if (drawable != null) {
                Drawable.ConstantState constantState = drawable.getConstantState();
                if (constantState != null) {
                    drawable = constantState.newDrawable();
                }
                drawable = DrawableCompat.wrap(drawable).mutate();
                this.f8105o = drawable;
                ColorStateList colorStateList = this.f8103m;
                if (colorStateList != null) {
                    DrawableCompat.setTintList(drawable, colorStateList);
                }
            }
            this.f8097g.setImageDrawable(drawable);
        }
    }

    public void setIconSize(int i7) {
        FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) this.f8097g.getLayoutParams();
        layoutParams.width = i7;
        layoutParams.height = i7;
        this.f8097g.setLayoutParams(layoutParams);
    }

    public void setIconTintList(@Nullable ColorStateList colorStateList) {
        Drawable drawable;
        this.f8103m = colorStateList;
        if (this.f8102l != null && (drawable = this.f8105o) != null) {
            DrawableCompat.setTintList(drawable, colorStateList);
            this.f8105o.invalidateSelf();
        }
    }

    public void setItemBackground(int i7) {
        setItemBackground(i7 == 0 ? null : ContextCompat.getDrawable(getContext(), i7));
    }

    public void setItemPosition(int i7) {
        this.f8101k = i7;
    }

    public void setLabelVisibilityMode(int i7) {
        if (this.f8095e != i7) {
            this.f8095e = i7;
            MenuItemImpl menuItemImpl = this.f8102l;
            if (menuItemImpl != null) {
                setChecked(menuItemImpl.isChecked());
            }
        }
    }

    public void setShifting(boolean z7) {
        if (this.f8096f != z7) {
            this.f8096f = z7;
            MenuItemImpl menuItemImpl = this.f8102l;
            if (menuItemImpl != null) {
                setChecked(menuItemImpl.isChecked());
            }
        }
    }

    @Override // androidx.appcompat.view.menu.MenuView.ItemView
    public void setShortcut(boolean z7, char c7) {
    }

    public void setTextAppearanceActive(@StyleRes int i7) {
        TextViewCompat.setTextAppearance(this.f8100j, i7);
        c(this.f8099i.getTextSize(), this.f8100j.getTextSize());
    }

    public void setTextAppearanceInactive(@StyleRes int i7) {
        TextViewCompat.setTextAppearance(this.f8099i, i7);
        c(this.f8099i.getTextSize(), this.f8100j.getTextSize());
    }

    public void setTextColor(@Nullable ColorStateList colorStateList) {
        if (colorStateList != null) {
            this.f8099i.setTextColor(colorStateList);
            this.f8100j.setTextColor(colorStateList);
        }
    }

    @Override // androidx.appcompat.view.menu.MenuView.ItemView
    public void setTitle(@Nullable CharSequence charSequence) {
        this.f8099i.setText(charSequence);
        this.f8100j.setText(charSequence);
        MenuItemImpl menuItemImpl = this.f8102l;
        if (menuItemImpl == null || TextUtils.isEmpty(menuItemImpl.getContentDescription())) {
            setContentDescription(charSequence);
        }
        MenuItemImpl menuItemImpl2 = this.f8102l;
        if (menuItemImpl2 != null && !TextUtils.isEmpty(menuItemImpl2.getTooltipText())) {
            charSequence = this.f8102l.getTooltipText();
        }
        TooltipCompat.setTooltipText(this, charSequence);
    }

    @Override // androidx.appcompat.view.menu.MenuView.ItemView
    public boolean showsIcon() {
        return true;
    }

    public void setItemBackground(@Nullable Drawable drawable) {
        if (!(drawable == null || drawable.getConstantState() == null)) {
            drawable = drawable.getConstantState().newDrawable().mutate();
        }
        ViewCompat.setBackground(this, drawable);
    }
}
