package com.google.android.material.navigation;

import android.animation.TimeInterpolator;
import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.drawable.Drawable;
import android.util.SparseArray;
import android.util.TypedValue;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewGroup;
import android.view.accessibility.AccessibilityNodeInfo;
import androidx.annotation.Dimension;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.annotation.StyleRes;
import androidx.appcompat.R;
import androidx.appcompat.content.res.AppCompatResources;
import androidx.appcompat.view.menu.MenuBuilder;
import androidx.appcompat.view.menu.MenuItemImpl;
import androidx.appcompat.view.menu.MenuView;
import androidx.core.util.Pools;
import androidx.core.view.ViewCompat;
import androidx.core.view.accessibility.AccessibilityNodeInfoCompat;
import androidx.interpolator.view.animation.FastOutSlowInInterpolator;
import androidx.transition.AutoTransition;
import androidx.transition.TransitionManager;
import androidx.transition.TransitionSet;
import com.google.android.material.badge.BadgeDrawable;
import com.google.android.material.internal.o;
import java.util.HashSet;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
public abstract class c extends ViewGroup implements MenuView {

    /* renamed from: t  reason: collision with root package name */
    private static final long f8110t = 115;

    /* renamed from: u  reason: collision with root package name */
    private static final int f8111u = 5;

    /* renamed from: v  reason: collision with root package name */
    private static final int[] f8112v = {16842912};

    /* renamed from: w  reason: collision with root package name */
    private static final int[] f8113w = {-16842910};
    @NonNull

    /* renamed from: a  reason: collision with root package name */
    private final TransitionSet f8114a;
    @NonNull

    /* renamed from: b  reason: collision with root package name */
    private final View.OnClickListener f8115b;

    /* renamed from: c  reason: collision with root package name */
    private final Pools.Pool<a> f8116c = new Pools.SynchronizedPool(5);
    @NonNull

    /* renamed from: d  reason: collision with root package name */
    private final SparseArray<View.OnTouchListener> f8117d = new SparseArray<>(5);

    /* renamed from: e  reason: collision with root package name */
    private int f8118e;
    @Nullable

    /* renamed from: f  reason: collision with root package name */
    private a[] f8119f;

    /* renamed from: g  reason: collision with root package name */
    private int f8120g = 0;

    /* renamed from: h  reason: collision with root package name */
    private int f8121h = 0;
    @Nullable

    /* renamed from: i  reason: collision with root package name */
    private ColorStateList f8122i;
    @Dimension

    /* renamed from: j  reason: collision with root package name */
    private int f8123j;

    /* renamed from: k  reason: collision with root package name */
    private ColorStateList f8124k;
    @Nullable

    /* renamed from: l  reason: collision with root package name */
    private final ColorStateList f8125l = d(16842808);
    @StyleRes

    /* renamed from: m  reason: collision with root package name */
    private int f8126m;
    @StyleRes

    /* renamed from: n  reason: collision with root package name */
    private int f8127n;

    /* renamed from: o  reason: collision with root package name */
    private Drawable f8128o;

    /* renamed from: p  reason: collision with root package name */
    private int f8129p;
    @NonNull

    /* renamed from: q  reason: collision with root package name */
    private SparseArray<BadgeDrawable> f8130q = new SparseArray<>(5);

    /* renamed from: r  reason: collision with root package name */
    private NavigationBarPresenter f8131r;

    /* renamed from: s  reason: collision with root package name */
    private MenuBuilder f8132s;

    class a implements View.OnClickListener {
        a() {
        }

        public void onClick(View view) {
            MenuItemImpl itemData = ((a) view).getItemData();
            if (!c.this.f8132s.performItemAction(itemData, c.this.f8131r, 0)) {
                itemData.setChecked(true);
            }
        }
    }

    public c(@NonNull Context context) {
        super(context);
        AutoTransition autoTransition = new AutoTransition();
        this.f8114a = autoTransition;
        autoTransition.setOrdering(0);
        autoTransition.setDuration(f8110t);
        autoTransition.setInterpolator((TimeInterpolator) new FastOutSlowInInterpolator());
        autoTransition.addTransition(new o());
        this.f8115b = new a();
        ViewCompat.setImportantForAccessibility(this, 1);
    }

    private a getNewItem() {
        a acquire = this.f8116c.acquire();
        return acquire == null ? e(getContext()) : acquire;
    }

    private boolean j(int i7) {
        return i7 != -1;
    }

    private void l() {
        HashSet hashSet = new HashSet();
        for (int i7 = 0; i7 < this.f8132s.size(); i7++) {
            hashSet.add(Integer.valueOf(this.f8132s.getItem(i7).getItemId()));
        }
        for (int i8 = 0; i8 < this.f8130q.size(); i8++) {
            int keyAt = this.f8130q.keyAt(i8);
            if (!hashSet.contains(Integer.valueOf(keyAt))) {
                this.f8130q.delete(keyAt);
            }
        }
    }

    private void p(int i7) {
        if (!j(i7)) {
            throw new IllegalArgumentException(i7 + " is not a valid view id");
        }
    }

    private void setBadgeIfNeeded(@NonNull a aVar) {
        BadgeDrawable badgeDrawable;
        int id = aVar.getId();
        if (j(id) && (badgeDrawable = this.f8130q.get(id)) != null) {
            aVar.setBadge(badgeDrawable);
        }
    }

    @SuppressLint({"ClickableViewAccessibility"})
    public void c() {
        removeAllViews();
        a[] aVarArr = this.f8119f;
        if (aVarArr != null) {
            for (a aVar : aVarArr) {
                if (aVar != null) {
                    this.f8116c.release(aVar);
                    aVar.f();
                }
            }
        }
        if (this.f8132s.size() == 0) {
            this.f8120g = 0;
            this.f8121h = 0;
            this.f8119f = null;
            return;
        }
        l();
        this.f8119f = new a[this.f8132s.size()];
        boolean i7 = i(this.f8118e, this.f8132s.getVisibleItems().size());
        for (int i8 = 0; i8 < this.f8132s.size(); i8++) {
            this.f8131r.c(true);
            this.f8132s.getItem(i8).setCheckable(true);
            this.f8131r.c(false);
            a newItem = getNewItem();
            this.f8119f[i8] = newItem;
            newItem.setIconTintList(this.f8122i);
            newItem.setIconSize(this.f8123j);
            newItem.setTextColor(this.f8125l);
            newItem.setTextAppearanceInactive(this.f8126m);
            newItem.setTextAppearanceActive(this.f8127n);
            newItem.setTextColor(this.f8124k);
            Drawable drawable = this.f8128o;
            if (drawable != null) {
                newItem.setItemBackground(drawable);
            } else {
                newItem.setItemBackground(this.f8129p);
            }
            newItem.setShifting(i7);
            newItem.setLabelVisibilityMode(this.f8118e);
            MenuItemImpl menuItemImpl = (MenuItemImpl) this.f8132s.getItem(i8);
            newItem.initialize(menuItemImpl, 0);
            newItem.setItemPosition(i8);
            int itemId = menuItemImpl.getItemId();
            newItem.setOnTouchListener(this.f8117d.get(itemId));
            newItem.setOnClickListener(this.f8115b);
            int i9 = this.f8120g;
            if (i9 != 0 && itemId == i9) {
                this.f8121h = i8;
            }
            setBadgeIfNeeded(newItem);
            addView(newItem);
        }
        int min = Math.min(this.f8132s.size() - 1, this.f8121h);
        this.f8121h = min;
        this.f8132s.getItem(min).setChecked(true);
    }

    @Nullable
    public ColorStateList d(int i7) {
        TypedValue typedValue = new TypedValue();
        if (!getContext().getTheme().resolveAttribute(i7, typedValue, true)) {
            return null;
        }
        ColorStateList colorStateList = AppCompatResources.getColorStateList(getContext(), typedValue.resourceId);
        if (!getContext().getTheme().resolveAttribute(R.attr.colorPrimary, typedValue, true)) {
            return null;
        }
        int i8 = typedValue.data;
        int defaultColor = colorStateList.getDefaultColor();
        int[] iArr = f8113w;
        return new ColorStateList(new int[][]{iArr, f8112v, ViewGroup.EMPTY_STATE_SET}, new int[]{colorStateList.getColorForState(iArr, defaultColor), i8, defaultColor});
    }

    /* access modifiers changed from: protected */
    @NonNull
    public abstract a e(@NonNull Context context);

    @Nullable
    public a f(int i7) {
        p(i7);
        a[] aVarArr = this.f8119f;
        if (aVarArr == null) {
            return null;
        }
        for (a aVar : aVarArr) {
            if (aVar.getId() == i7) {
                return aVar;
            }
        }
        return null;
    }

    @Nullable
    public BadgeDrawable g(int i7) {
        return this.f8130q.get(i7);
    }

    /* access modifiers changed from: package-private */
    public SparseArray<BadgeDrawable> getBadgeDrawables() {
        return this.f8130q;
    }

    @Nullable
    public ColorStateList getIconTintList() {
        return this.f8122i;
    }

    @Nullable
    public Drawable getItemBackground() {
        a[] aVarArr = this.f8119f;
        return (aVarArr == null || aVarArr.length <= 0) ? this.f8128o : aVarArr[0].getBackground();
    }

    @Deprecated
    public int getItemBackgroundRes() {
        return this.f8129p;
    }

    @Dimension
    public int getItemIconSize() {
        return this.f8123j;
    }

    @StyleRes
    public int getItemTextAppearanceActive() {
        return this.f8127n;
    }

    @StyleRes
    public int getItemTextAppearanceInactive() {
        return this.f8126m;
    }

    @Nullable
    public ColorStateList getItemTextColor() {
        return this.f8124k;
    }

    public int getLabelVisibilityMode() {
        return this.f8118e;
    }

    /* access modifiers changed from: protected */
    @Nullable
    public MenuBuilder getMenu() {
        return this.f8132s;
    }

    public int getSelectedItemId() {
        return this.f8120g;
    }

    /* access modifiers changed from: protected */
    public int getSelectedItemPosition() {
        return this.f8121h;
    }

    @Override // androidx.appcompat.view.menu.MenuView
    public int getWindowAnimations() {
        return 0;
    }

    /* access modifiers changed from: package-private */
    public BadgeDrawable h(int i7) {
        p(i7);
        BadgeDrawable badgeDrawable = this.f8130q.get(i7);
        if (badgeDrawable == null) {
            badgeDrawable = BadgeDrawable.d(getContext());
            this.f8130q.put(i7, badgeDrawable);
        }
        a f7 = f(i7);
        if (f7 != null) {
            f7.setBadge(badgeDrawable);
        }
        return badgeDrawable;
    }

    /* access modifiers changed from: protected */
    public boolean i(int i7, int i8) {
        if (i7 == -1) {
            if (i8 > 3) {
                return true;
            }
        } else if (i7 == 0) {
            return true;
        }
        return false;
    }

    @Override // androidx.appcompat.view.menu.MenuView
    public void initialize(@NonNull MenuBuilder menuBuilder) {
        this.f8132s = menuBuilder;
    }

    /* access modifiers changed from: package-private */
    public void k(int i7) {
        p(i7);
        BadgeDrawable badgeDrawable = this.f8130q.get(i7);
        a f7 = f(i7);
        if (f7 != null) {
            f7.f();
        }
        if (badgeDrawable != null) {
            this.f8130q.remove(i7);
        }
    }

    @SuppressLint({"ClickableViewAccessibility"})
    public void m(int i7, @Nullable View.OnTouchListener onTouchListener) {
        SparseArray<View.OnTouchListener> sparseArray = this.f8117d;
        if (onTouchListener == null) {
            sparseArray.remove(i7);
        } else {
            sparseArray.put(i7, onTouchListener);
        }
        a[] aVarArr = this.f8119f;
        if (aVarArr != null) {
            for (a aVar : aVarArr) {
                if (aVar.getItemData().getItemId() == i7) {
                    aVar.setOnTouchListener(onTouchListener);
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void n(int i7) {
        int size = this.f8132s.size();
        for (int i8 = 0; i8 < size; i8++) {
            MenuItem item = this.f8132s.getItem(i8);
            if (i7 == item.getItemId()) {
                this.f8120g = i7;
                this.f8121h = i8;
                item.setChecked(true);
                return;
            }
        }
    }

    public void o() {
        MenuBuilder menuBuilder = this.f8132s;
        if (!(menuBuilder == null || this.f8119f == null)) {
            int size = menuBuilder.size();
            if (size != this.f8119f.length) {
                c();
                return;
            }
            int i7 = this.f8120g;
            for (int i8 = 0; i8 < size; i8++) {
                MenuItem item = this.f8132s.getItem(i8);
                if (item.isChecked()) {
                    this.f8120g = item.getItemId();
                    this.f8121h = i8;
                }
            }
            if (i7 != this.f8120g) {
                TransitionManager.beginDelayedTransition(this, this.f8114a);
            }
            boolean i9 = i(this.f8118e, this.f8132s.getVisibleItems().size());
            for (int i10 = 0; i10 < size; i10++) {
                this.f8131r.c(true);
                this.f8119f[i10].setLabelVisibilityMode(this.f8118e);
                this.f8119f[i10].setShifting(i9);
                this.f8119f[i10].initialize((MenuItemImpl) this.f8132s.getItem(i10), 0);
                this.f8131r.c(false);
            }
        }
    }

    public void onInitializeAccessibilityNodeInfo(@NonNull AccessibilityNodeInfo accessibilityNodeInfo) {
        super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
        AccessibilityNodeInfoCompat.wrap(accessibilityNodeInfo).setCollectionInfo(AccessibilityNodeInfoCompat.CollectionInfoCompat.obtain(1, this.f8132s.getVisibleItems().size(), false, 1));
    }

    /* access modifiers changed from: package-private */
    public void setBadgeDrawables(SparseArray<BadgeDrawable> sparseArray) {
        this.f8130q = sparseArray;
        a[] aVarArr = this.f8119f;
        if (aVarArr != null) {
            for (a aVar : aVarArr) {
                aVar.setBadge(sparseArray.get(aVar.getId()));
            }
        }
    }

    public void setIconTintList(@Nullable ColorStateList colorStateList) {
        this.f8122i = colorStateList;
        a[] aVarArr = this.f8119f;
        if (aVarArr != null) {
            for (a aVar : aVarArr) {
                aVar.setIconTintList(colorStateList);
            }
        }
    }

    public void setItemBackground(@Nullable Drawable drawable) {
        this.f8128o = drawable;
        a[] aVarArr = this.f8119f;
        if (aVarArr != null) {
            for (a aVar : aVarArr) {
                aVar.setItemBackground(drawable);
            }
        }
    }

    public void setItemBackgroundRes(int i7) {
        this.f8129p = i7;
        a[] aVarArr = this.f8119f;
        if (aVarArr != null) {
            for (a aVar : aVarArr) {
                aVar.setItemBackground(i7);
            }
        }
    }

    public void setItemIconSize(@Dimension int i7) {
        this.f8123j = i7;
        a[] aVarArr = this.f8119f;
        if (aVarArr != null) {
            for (a aVar : aVarArr) {
                aVar.setIconSize(i7);
            }
        }
    }

    public void setItemTextAppearanceActive(@StyleRes int i7) {
        this.f8127n = i7;
        a[] aVarArr = this.f8119f;
        if (aVarArr != null) {
            for (a aVar : aVarArr) {
                aVar.setTextAppearanceActive(i7);
                ColorStateList colorStateList = this.f8124k;
                if (colorStateList != null) {
                    aVar.setTextColor(colorStateList);
                }
            }
        }
    }

    public void setItemTextAppearanceInactive(@StyleRes int i7) {
        this.f8126m = i7;
        a[] aVarArr = this.f8119f;
        if (aVarArr != null) {
            for (a aVar : aVarArr) {
                aVar.setTextAppearanceInactive(i7);
                ColorStateList colorStateList = this.f8124k;
                if (colorStateList != null) {
                    aVar.setTextColor(colorStateList);
                }
            }
        }
    }

    public void setItemTextColor(@Nullable ColorStateList colorStateList) {
        this.f8124k = colorStateList;
        a[] aVarArr = this.f8119f;
        if (aVarArr != null) {
            for (a aVar : aVarArr) {
                aVar.setTextColor(colorStateList);
            }
        }
    }

    public void setLabelVisibilityMode(int i7) {
        this.f8118e = i7;
    }

    public void setPresenter(@NonNull NavigationBarPresenter navigationBarPresenter) {
        this.f8131r = navigationBarPresenter;
    }
}
