package com.google.android.material.navigationrail;

import android.content.Context;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import androidx.annotation.LayoutRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.appcompat.widget.TintTypedArray;
import b0.a;
import com.google.android.material.internal.q;
import com.google.android.material.navigation.NavigationBarView;

public class c extends NavigationBarView {

    /* renamed from: o  reason: collision with root package name */
    static final int f8135o = 49;

    /* renamed from: p  reason: collision with root package name */
    static final int f8136p = 7;

    /* renamed from: q  reason: collision with root package name */
    private static final int f8137q = 49;

    /* renamed from: m  reason: collision with root package name */
    private final int f8138m;
    @Nullable

    /* renamed from: n  reason: collision with root package name */
    private View f8139n;

    public c(@NonNull Context context) {
        this(context, null);
    }

    private b getNavigationRailMenuView() {
        return (b) getMenuView();
    }

    private boolean n() {
        View view = this.f8139n;
        return (view == null || view.getVisibility() == 8) ? false : true;
    }

    private int o(int i7) {
        int suggestedMinimumWidth = getSuggestedMinimumWidth();
        if (View.MeasureSpec.getMode(i7) == 1073741824 || suggestedMinimumWidth <= 0) {
            return i7;
        }
        return View.MeasureSpec.makeMeasureSpec(Math.min(View.MeasureSpec.getSize(i7), suggestedMinimumWidth + getPaddingLeft() + getPaddingRight()), 1073741824);
    }

    @Nullable
    public View getHeaderView() {
        return this.f8139n;
    }

    @Override // com.google.android.material.navigation.NavigationBarView
    public int getMaxItemCount() {
        return 7;
    }

    public int getMenuGravity() {
        return getNavigationRailMenuView().getMenuGravity();
    }

    public void k(@LayoutRes int i7) {
        l(LayoutInflater.from(getContext()).inflate(i7, (ViewGroup) this, false));
    }

    public void l(@NonNull View view) {
        p();
        this.f8139n = view;
        FrameLayout.LayoutParams layoutParams = new FrameLayout.LayoutParams(-2, -2);
        layoutParams.gravity = 49;
        layoutParams.topMargin = this.f8138m;
        addView(view, 0, layoutParams);
    }

    /* access modifiers changed from: protected */
    @NonNull
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    /* renamed from: m */
    public b e(@NonNull Context context) {
        return new b(context);
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z7, int i7, int i8, int i9, int i10) {
        super.onLayout(z7, i7, i8, i9, i10);
        b navigationRailMenuView = getNavigationRailMenuView();
        int i11 = 0;
        if (n()) {
            int bottom = this.f8139n.getBottom() + this.f8138m;
            int top = navigationRailMenuView.getTop();
            if (top < bottom) {
                i11 = bottom - top;
            }
        } else if (navigationRailMenuView.q()) {
            i11 = this.f8138m;
        }
        if (i11 > 0) {
            navigationRailMenuView.layout(navigationRailMenuView.getLeft(), navigationRailMenuView.getTop() + i11, navigationRailMenuView.getRight(), navigationRailMenuView.getBottom() + i11);
        }
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i7, int i8) {
        int o7 = o(i7);
        super.onMeasure(o7, i8);
        if (n()) {
            measureChild(getNavigationRailMenuView(), o7, View.MeasureSpec.makeMeasureSpec((getMeasuredHeight() - this.f8139n.getMeasuredHeight()) - this.f8138m, Integer.MIN_VALUE));
        }
    }

    public void p() {
        View view = this.f8139n;
        if (view != null) {
            removeView(view);
            this.f8139n = null;
        }
    }

    public void setMenuGravity(int i7) {
        getNavigationRailMenuView().setMenuGravity(i7);
    }

    public c(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, a.c.Na);
    }

    public c(@NonNull Context context, @Nullable AttributeSet attributeSet, int i7) {
        this(context, attributeSet, i7, a.n.ac);
    }

    public c(@NonNull Context context, @Nullable AttributeSet attributeSet, int i7, int i8) {
        super(context, attributeSet, i7, i8);
        this.f8138m = getResources().getDimensionPixelSize(a.f.f1156t5);
        TintTypedArray k7 = q.k(getContext(), attributeSet, a.o.om, i7, i8, new int[0]);
        int resourceId = k7.getResourceId(a.o.pm, 0);
        if (resourceId != 0) {
            k(resourceId);
        }
        setMenuGravity(k7.getInt(a.o.qm, 49));
        k7.recycle();
    }
}
