package com.google.android.material.progressindicator;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.drawable.Drawable;
import android.os.SystemClock;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewParent;
import android.widget.ProgressBar;
import androidx.annotation.AttrRes;
import androidx.annotation.ColorInt;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.Px;
import androidx.annotation.RestrictTo;
import androidx.annotation.StyleRes;
import androidx.annotation.VisibleForTesting;
import androidx.core.view.ViewCompat;
import androidx.vectordrawable.graphics.drawable.Animatable2Compat;
import b0.a;
import com.google.android.material.internal.q;
import com.google.android.material.progressindicator.c;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.util.Arrays;

public abstract class b<S extends c> extends ProgressBar {

    /* renamed from: o  reason: collision with root package name */
    public static final int f8141o = 0;

    /* renamed from: p  reason: collision with root package name */
    public static final int f8142p = 1;

    /* renamed from: q  reason: collision with root package name */
    public static final int f8143q = 2;

    /* renamed from: r  reason: collision with root package name */
    public static final int f8144r = 0;

    /* renamed from: s  reason: collision with root package name */
    public static final int f8145s = 1;

    /* renamed from: t  reason: collision with root package name */
    public static final int f8146t = 2;

    /* renamed from: u  reason: collision with root package name */
    static final int f8147u = a.n.kc;

    /* renamed from: v  reason: collision with root package name */
    static final float f8148v = 0.2f;

    /* renamed from: w  reason: collision with root package name */
    static final int f8149w = 255;

    /* renamed from: x  reason: collision with root package name */
    static final int f8150x = 1000;

    /* renamed from: a  reason: collision with root package name */
    S f8151a;

    /* renamed from: b  reason: collision with root package name */
    private int f8152b;

    /* renamed from: c  reason: collision with root package name */
    private boolean f8153c;

    /* renamed from: d  reason: collision with root package name */
    private boolean f8154d;

    /* renamed from: e  reason: collision with root package name */
    private final int f8155e;

    /* renamed from: f  reason: collision with root package name */
    private final int f8156f;

    /* renamed from: g  reason: collision with root package name */
    private long f8157g = -1;

    /* renamed from: h  reason: collision with root package name */
    a f8158h;

    /* renamed from: i  reason: collision with root package name */
    private boolean f8159i = false;

    /* renamed from: j  reason: collision with root package name */
    private int f8160j = 4;

    /* renamed from: k  reason: collision with root package name */
    private final Runnable f8161k = new a();

    /* renamed from: l  reason: collision with root package name */
    private final Runnable f8162l = new RunnableC0092b();

    /* renamed from: m  reason: collision with root package name */
    private final Animatable2Compat.AnimationCallback f8163m = new c();

    /* renamed from: n  reason: collision with root package name */
    private final Animatable2Compat.AnimationCallback f8164n = new d();

    class a implements Runnable {
        a() {
        }

        public void run() {
            b.this.l();
        }
    }

    /* renamed from: com.google.android.material.progressindicator.b$b  reason: collision with other inner class name */
    class RunnableC0092b implements Runnable {
        RunnableC0092b() {
        }

        public void run() {
            b.this.k();
            b.this.f8157g = -1;
        }
    }

    class c extends Animatable2Compat.AnimationCallback {
        c() {
        }

        @Override // androidx.vectordrawable.graphics.drawable.Animatable2Compat.AnimationCallback
        public void onAnimationEnd(Drawable drawable) {
            b.this.setIndeterminate(false);
            b.this.p(0, false);
            b bVar = b.this;
            bVar.p(bVar.f8152b, b.this.f8153c);
        }
    }

    class d extends Animatable2Compat.AnimationCallback {
        d() {
        }

        @Override // androidx.vectordrawable.graphics.drawable.Animatable2Compat.AnimationCallback
        public void onAnimationEnd(Drawable drawable) {
            super.onAnimationEnd(drawable);
            if (!b.this.f8159i) {
                b bVar = b.this;
                bVar.setVisibility(bVar.f8160j);
            }
        }
    }

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public @interface e {
    }

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public @interface f {
    }

    protected b(@NonNull Context context, @Nullable AttributeSet attributeSet, @AttrRes int i7, @StyleRes int i8) {
        super(l0.a.c(context, attributeSet, i7, f8147u), attributeSet, i7);
        Context context2 = getContext();
        this.f8151a = i(context2, attributeSet);
        TypedArray j7 = q.j(context2, attributeSet, a.o.f1855d4, i7, i8, new int[0]);
        this.f8155e = j7.getInt(a.o.f1904j4, -1);
        this.f8156f = Math.min(j7.getInt(a.o.f1887h4, -1), 1000);
        j7.recycle();
        this.f8158h = new a();
        this.f8154d = true;
    }

    @Nullable
    private j<S> getCurrentDrawingDelegate() {
        if (isIndeterminate()) {
            if (getIndeterminateDrawable() == null) {
                return null;
            }
            return getIndeterminateDrawable().x();
        } else if (getProgressDrawable() == null) {
            return null;
        } else {
            return getProgressDrawable().y();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void k() {
        ((i) getCurrentDrawable()).s(false, false, true);
        if (n()) {
            setVisibility(4);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void l() {
        if (this.f8156f > 0) {
            this.f8157g = SystemClock.uptimeMillis();
        }
        setVisibility(0);
    }

    private boolean n() {
        return (getProgressDrawable() == null || !getProgressDrawable().isVisible()) && (getIndeterminateDrawable() == null || !getIndeterminateDrawable().isVisible());
    }

    private void o() {
        if (!(getProgressDrawable() == null || getIndeterminateDrawable() == null)) {
            getIndeterminateDrawable().w().d(this.f8163m);
        }
        if (getProgressDrawable() != null) {
            getProgressDrawable().registerAnimationCallback(this.f8164n);
        }
        if (getIndeterminateDrawable() != null) {
            getIndeterminateDrawable().registerAnimationCallback(this.f8164n);
        }
    }

    private void r() {
        if (getIndeterminateDrawable() != null) {
            getIndeterminateDrawable().unregisterAnimationCallback(this.f8164n);
            getIndeterminateDrawable().w().h();
        }
        if (getProgressDrawable() != null) {
            getProgressDrawable().unregisterAnimationCallback(this.f8164n);
        }
    }

    @Nullable
    public Drawable getCurrentDrawable() {
        return isIndeterminate() ? getIndeterminateDrawable() : getProgressDrawable();
    }

    public int getHideAnimationBehavior() {
        return this.f8151a.f8174f;
    }

    @NonNull
    public int[] getIndicatorColor() {
        return this.f8151a.f8171c;
    }

    public int getShowAnimationBehavior() {
        return this.f8151a.f8173e;
    }

    @ColorInt
    public int getTrackColor() {
        return this.f8151a.f8172d;
    }

    @Px
    public int getTrackCornerRadius() {
        return this.f8151a.f8170b;
    }

    @Px
    public int getTrackThickness() {
        return this.f8151a.f8169a;
    }

    /* access modifiers changed from: protected */
    public void h(boolean z7) {
        if (this.f8154d) {
            ((i) getCurrentDrawable()).s(s(), false, z7);
        }
    }

    /* access modifiers changed from: package-private */
    public abstract S i(@NonNull Context context, @NonNull AttributeSet attributeSet);

    public void invalidate() {
        super.invalidate();
        if (getCurrentDrawable() != null) {
            getCurrentDrawable().invalidateSelf();
        }
    }

    public void j() {
        if (getVisibility() != 0) {
            removeCallbacks(this.f8161k);
            return;
        }
        removeCallbacks(this.f8162l);
        long uptimeMillis = SystemClock.uptimeMillis() - this.f8157g;
        int i7 = this.f8156f;
        if (uptimeMillis >= ((long) i7)) {
            this.f8162l.run();
        } else {
            postDelayed(this.f8162l, ((long) i7) - uptimeMillis);
        }
    }

    /* access modifiers changed from: package-private */
    public boolean m() {
        View view = this;
        while (view.getVisibility() == 0) {
            ViewParent parent = view.getParent();
            if (parent == null) {
                return getWindowVisibility() == 0;
            }
            if (!(parent instanceof View)) {
                return true;
            }
            view = (View) parent;
        }
        return false;
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        o();
        if (s()) {
            l();
        }
    }

    /* access modifiers changed from: protected */
    public void onDetachedFromWindow() {
        removeCallbacks(this.f8162l);
        removeCallbacks(this.f8161k);
        ((i) getCurrentDrawable()).i();
        r();
        super.onDetachedFromWindow();
    }

    /* access modifiers changed from: protected */
    public synchronized void onDraw(@NonNull Canvas canvas) {
        int save = canvas.save();
        if (!(getPaddingLeft() == 0 && getPaddingTop() == 0)) {
            canvas.translate((float) getPaddingLeft(), (float) getPaddingTop());
        }
        if (!(getPaddingRight() == 0 && getPaddingBottom() == 0)) {
            canvas.clipRect(0, 0, getWidth() - (getPaddingLeft() + getPaddingRight()), getHeight() - (getPaddingTop() + getPaddingBottom()));
        }
        getCurrentDrawable().draw(canvas);
        canvas.restoreToCount(save);
    }

    /* access modifiers changed from: protected */
    public synchronized void onMeasure(int i7, int i8) {
        super.onMeasure(i7, i8);
        j<S> currentDrawingDelegate = getCurrentDrawingDelegate();
        if (currentDrawingDelegate != null) {
            int e7 = currentDrawingDelegate.e();
            int d7 = currentDrawingDelegate.d();
            setMeasuredDimension(e7 < 0 ? getMeasuredWidth() : e7 + getPaddingLeft() + getPaddingRight(), d7 < 0 ? getMeasuredHeight() : d7 + getPaddingTop() + getPaddingBottom());
        }
    }

    /* access modifiers changed from: protected */
    public void onVisibilityChanged(@NonNull View view, int i7) {
        super.onVisibilityChanged(view, i7);
        h(i7 == 0);
    }

    /* access modifiers changed from: protected */
    public void onWindowVisibilityChanged(int i7) {
        super.onWindowVisibilityChanged(i7);
        h(false);
    }

    public void p(int i7, boolean z7) {
        if (!isIndeterminate()) {
            super.setProgress(i7);
            if (getProgressDrawable() != null && !z7) {
                getProgressDrawable().jumpToCurrentState();
            }
        } else if (getProgressDrawable() != null) {
            this.f8152b = i7;
            this.f8153c = z7;
            this.f8159i = true;
            if (!getIndeterminateDrawable().isVisible() || this.f8158h.a(getContext().getContentResolver()) == 0.0f) {
                this.f8163m.onAnimationEnd(getIndeterminateDrawable());
            } else {
                getIndeterminateDrawable().w().f();
            }
        }
    }

    public void q() {
        if (this.f8155e > 0) {
            removeCallbacks(this.f8161k);
            postDelayed(this.f8161k, (long) this.f8155e);
            return;
        }
        this.f8161k.run();
    }

    /* access modifiers changed from: package-private */
    public boolean s() {
        return ViewCompat.isAttachedToWindow(this) && getWindowVisibility() == 0 && m();
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    @VisibleForTesting
    public void setAnimatorDurationScaleProvider(@NonNull a aVar) {
        this.f8158h = aVar;
        if (getProgressDrawable() != null) {
            getProgressDrawable().f8221c = aVar;
        }
        if (getIndeterminateDrawable() != null) {
            getIndeterminateDrawable().f8221c = aVar;
        }
    }

    public void setHideAnimationBehavior(int i7) {
        this.f8151a.f8174f = i7;
        invalidate();
    }

    public synchronized void setIndeterminate(boolean z7) {
        if (z7 != isIndeterminate()) {
            if (!s() || !z7) {
                i iVar = (i) getCurrentDrawable();
                if (iVar != null) {
                    iVar.i();
                }
                super.setIndeterminate(z7);
                i iVar2 = (i) getCurrentDrawable();
                if (iVar2 != null) {
                    iVar2.s(s(), false, false);
                }
                this.f8159i = false;
                return;
            }
            throw new IllegalStateException("Cannot switch to indeterminate mode while the progress indicator is visible.");
        }
    }

    public void setIndeterminateDrawable(@Nullable Drawable drawable) {
        if (drawable == null) {
            super.setIndeterminateDrawable(null);
        } else if (drawable instanceof l) {
            ((i) drawable).i();
            super.setIndeterminateDrawable(drawable);
        } else {
            throw new IllegalArgumentException("Cannot set framework drawable as indeterminate drawable.");
        }
    }

    public void setIndicatorColor(@ColorInt int... iArr) {
        if (iArr.length == 0) {
            iArr = new int[]{f0.a.b(getContext(), a.c.K2, -1)};
        }
        if (!Arrays.equals(getIndicatorColor(), iArr)) {
            this.f8151a.f8171c = iArr;
            getIndeterminateDrawable().w().c();
            invalidate();
        }
    }

    public synchronized void setProgress(int i7) {
        if (!isIndeterminate()) {
            p(i7, false);
        }
    }

    public void setProgressDrawable(@Nullable Drawable drawable) {
        if (drawable == null) {
            super.setProgressDrawable(null);
        } else if (drawable instanceof h) {
            h hVar = (h) drawable;
            hVar.i();
            super.setProgressDrawable(hVar);
            hVar.C(((float) getProgress()) / ((float) getMax()));
        } else {
            throw new IllegalArgumentException("Cannot set framework drawable as progress drawable.");
        }
    }

    public void setShowAnimationBehavior(int i7) {
        this.f8151a.f8173e = i7;
        invalidate();
    }

    public void setTrackColor(@ColorInt int i7) {
        S s7 = this.f8151a;
        if (s7.f8172d != i7) {
            s7.f8172d = i7;
            invalidate();
        }
    }

    public void setTrackCornerRadius(@Px int i7) {
        S s7 = this.f8151a;
        if (s7.f8170b != i7) {
            s7.f8170b = Math.min(i7, s7.f8169a / 2);
        }
    }

    public void setTrackThickness(@Px int i7) {
        S s7 = this.f8151a;
        if (s7.f8169a != i7) {
            s7.f8169a = i7;
            requestLayout();
        }
    }

    public void setVisibilityAfterHide(int i7) {
        if (i7 == 0 || i7 == 4 || i7 == 8) {
            this.f8160j = i7;
            return;
        }
        throw new IllegalArgumentException("The component's visibility must be one of VISIBLE, INVISIBLE, and GONE defined in View.");
    }

    @Nullable
    public l<S> getIndeterminateDrawable() {
        return (l) super.getIndeterminateDrawable();
    }

    @Nullable
    public h<S> getProgressDrawable() {
        return (h) super.getProgressDrawable();
    }
}
