package com.google.android.material.progressindicator;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.ObjectAnimator;
import android.animation.ValueAnimator;
import android.content.Context;
import android.graphics.ColorFilter;
import android.graphics.Paint;
import android.graphics.drawable.Drawable;
import android.util.Property;
import androidx.annotation.FloatRange;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.VisibleForTesting;
import androidx.vectordrawable.graphics.drawable.Animatable2Compat;
import java.util.ArrayList;
import java.util.List;

/* access modifiers changed from: package-private */
public abstract class i extends Drawable implements Animatable2Compat {

    /* renamed from: o  reason: collision with root package name */
    private static final boolean f8216o = false;

    /* renamed from: p  reason: collision with root package name */
    private static final int f8217p = 500;

    /* renamed from: q  reason: collision with root package name */
    private static final Property<i, Float> f8218q = new c(Float.class, "growFraction");

    /* renamed from: a  reason: collision with root package name */
    final Context f8219a;

    /* renamed from: b  reason: collision with root package name */
    final c f8220b;

    /* renamed from: c  reason: collision with root package name */
    a f8221c;

    /* renamed from: d  reason: collision with root package name */
    private ValueAnimator f8222d;

    /* renamed from: e  reason: collision with root package name */
    private ValueAnimator f8223e;

    /* renamed from: f  reason: collision with root package name */
    private boolean f8224f;

    /* renamed from: g  reason: collision with root package name */
    private boolean f8225g;

    /* renamed from: h  reason: collision with root package name */
    private float f8226h;

    /* renamed from: i  reason: collision with root package name */
    private List<Animatable2Compat.AnimationCallback> f8227i;

    /* renamed from: j  reason: collision with root package name */
    private Animatable2Compat.AnimationCallback f8228j;

    /* renamed from: k  reason: collision with root package name */
    private boolean f8229k;

    /* renamed from: l  reason: collision with root package name */
    private float f8230l;

    /* renamed from: m  reason: collision with root package name */
    final Paint f8231m = new Paint();

    /* renamed from: n  reason: collision with root package name */
    private int f8232n;

    /* access modifiers changed from: package-private */
    public class a extends AnimatorListenerAdapter {
        a() {
        }

        public void onAnimationStart(Animator animator) {
            super.onAnimationStart(animator);
            i.this.e();
        }
    }

    /* access modifiers changed from: package-private */
    public class b extends AnimatorListenerAdapter {
        b() {
        }

        public void onAnimationEnd(Animator animator) {
            super.onAnimationEnd(animator);
            i.super.setVisible(false, false);
            i.this.d();
        }
    }

    static class c extends Property<i, Float> {
        c(Class cls, String str) {
            super(cls, str);
        }

        /* renamed from: a */
        public Float get(i iVar) {
            return Float.valueOf(iVar.g());
        }

        /* renamed from: b */
        public void set(i iVar, Float f7) {
            iVar.m(f7.floatValue());
        }
    }

    i(@NonNull Context context, @NonNull c cVar) {
        this.f8219a = context;
        this.f8220b = cVar;
        this.f8221c = new a();
        setAlpha(255);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void d() {
        Animatable2Compat.AnimationCallback animationCallback = this.f8228j;
        if (animationCallback != null) {
            animationCallback.onAnimationEnd(this);
        }
        List<Animatable2Compat.AnimationCallback> list = this.f8227i;
        if (!(list == null || this.f8229k)) {
            for (Animatable2Compat.AnimationCallback animationCallback2 : list) {
                animationCallback2.onAnimationEnd(this);
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void e() {
        Animatable2Compat.AnimationCallback animationCallback = this.f8228j;
        if (animationCallback != null) {
            animationCallback.onAnimationStart(this);
        }
        List<Animatable2Compat.AnimationCallback> list = this.f8227i;
        if (!(list == null || this.f8229k)) {
            for (Animatable2Compat.AnimationCallback animationCallback2 : list) {
                animationCallback2.onAnimationStart(this);
            }
        }
    }

    private void f(@NonNull ValueAnimator... valueAnimatorArr) {
        boolean z7 = this.f8229k;
        this.f8229k = true;
        for (ValueAnimator valueAnimator : valueAnimatorArr) {
            valueAnimator.end();
        }
        this.f8229k = z7;
    }

    private void l() {
        if (this.f8222d == null) {
            ObjectAnimator ofFloat = ObjectAnimator.ofFloat(this, f8218q, 0.0f, 1.0f);
            this.f8222d = ofFloat;
            ofFloat.setDuration(500L);
            this.f8222d.setInterpolator(com.google.android.material.animation.a.f6955b);
            r(this.f8222d);
        }
        if (this.f8223e == null) {
            ObjectAnimator ofFloat2 = ObjectAnimator.ofFloat(this, f8218q, 1.0f, 0.0f);
            this.f8223e = ofFloat2;
            ofFloat2.setDuration(500L);
            this.f8223e.setInterpolator(com.google.android.material.animation.a.f6955b);
            n(this.f8223e);
        }
    }

    private void n(@NonNull ValueAnimator valueAnimator) {
        ValueAnimator valueAnimator2 = this.f8223e;
        if (valueAnimator2 == null || !valueAnimator2.isRunning()) {
            this.f8223e = valueAnimator;
            valueAnimator.addListener(new b());
            return;
        }
        throw new IllegalArgumentException("Cannot set hideAnimator while the current hideAnimator is running.");
    }

    private void r(@NonNull ValueAnimator valueAnimator) {
        ValueAnimator valueAnimator2 = this.f8222d;
        if (valueAnimator2 == null || !valueAnimator2.isRunning()) {
            this.f8222d = valueAnimator;
            valueAnimator.addListener(new a());
            return;
        }
        throw new IllegalArgumentException("Cannot set showAnimator while the current showAnimator is running.");
    }

    @Override // androidx.vectordrawable.graphics.drawable.Animatable2Compat
    public void clearAnimationCallbacks() {
        this.f8227i.clear();
        this.f8227i = null;
    }

    /* access modifiers changed from: package-private */
    public float g() {
        if (this.f8220b.b() || this.f8220b.a()) {
            return (this.f8225g || this.f8224f) ? this.f8226h : this.f8230l;
        }
        return 1.0f;
    }

    public int getAlpha() {
        return this.f8232n;
    }

    public int getOpacity() {
        return -3;
    }

    /* access modifiers changed from: package-private */
    @NonNull
    public ValueAnimator h() {
        return this.f8223e;
    }

    public boolean i() {
        return s(false, false, false);
    }

    public boolean isRunning() {
        return k() || j();
    }

    public boolean j() {
        ValueAnimator valueAnimator = this.f8223e;
        return (valueAnimator != null && valueAnimator.isRunning()) || this.f8225g;
    }

    public boolean k() {
        ValueAnimator valueAnimator = this.f8222d;
        return (valueAnimator != null && valueAnimator.isRunning()) || this.f8224f;
    }

    /* access modifiers changed from: package-private */
    public void m(@FloatRange(from = 0.0d, to = 1.0d) float f7) {
        if (this.f8230l != f7) {
            this.f8230l = f7;
            invalidateSelf();
        }
    }

    /* access modifiers changed from: package-private */
    public void o(@NonNull Animatable2Compat.AnimationCallback animationCallback) {
        this.f8228j = animationCallback;
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public void p(boolean z7, @FloatRange(from = 0.0d, to = 1.0d) float f7) {
        this.f8225g = z7;
        this.f8226h = f7;
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public void q(boolean z7, @FloatRange(from = 0.0d, to = 1.0d) float f7) {
        this.f8224f = z7;
        this.f8226h = f7;
    }

    @Override // androidx.vectordrawable.graphics.drawable.Animatable2Compat
    public void registerAnimationCallback(@NonNull Animatable2Compat.AnimationCallback animationCallback) {
        if (this.f8227i == null) {
            this.f8227i = new ArrayList();
        }
        if (!this.f8227i.contains(animationCallback)) {
            this.f8227i.add(animationCallback);
        }
    }

    public boolean s(boolean z7, boolean z8, boolean z9) {
        return t(z7, z8, z9 && this.f8221c.a(this.f8219a.getContentResolver()) > 0.0f);
    }

    public void setAlpha(int i7) {
        this.f8232n = i7;
        invalidateSelf();
    }

    public void setColorFilter(@Nullable ColorFilter colorFilter) {
        this.f8231m.setColorFilter(colorFilter);
        invalidateSelf();
    }

    public boolean setVisible(boolean z7, boolean z8) {
        return s(z7, z8, true);
    }

    public void start() {
        t(true, true, false);
    }

    public void stop() {
        t(false, true, false);
    }

    /* access modifiers changed from: package-private */
    public boolean t(boolean z7, boolean z8, boolean z9) {
        l();
        if (!isVisible() && !z7) {
            return false;
        }
        ValueAnimator valueAnimator = z7 ? this.f8222d : this.f8223e;
        if (!z9) {
            if (valueAnimator.isRunning()) {
                valueAnimator.end();
            } else {
                f(valueAnimator);
            }
            return super.setVisible(z7, false);
        } else if (z9 && valueAnimator.isRunning()) {
            return false;
        } else {
            boolean z10 = !z7 || super.setVisible(z7, false);
            if (!(z7 ? this.f8220b.b() : this.f8220b.a())) {
                f(valueAnimator);
                return z10;
            }
            if (z8 || !valueAnimator.isPaused()) {
                valueAnimator.start();
            } else {
                valueAnimator.resume();
            }
            return z10;
        }
    }

    @Override // androidx.vectordrawable.graphics.drawable.Animatable2Compat
    public boolean unregisterAnimationCallback(@NonNull Animatable2Compat.AnimationCallback animationCallback) {
        List<Animatable2Compat.AnimationCallback> list = this.f8227i;
        if (list == null || !list.contains(animationCallback)) {
            return false;
        }
        this.f8227i.remove(animationCallback);
        if (!this.f8227i.isEmpty()) {
            return true;
        }
        this.f8227i = null;
        return true;
    }
}
