package com.google.android.material.shape;

import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.Matrix;
import android.graphics.Outline;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffColorFilter;
import android.graphics.PorterDuffXfermode;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.Region;
import android.graphics.drawable.Drawable;
import android.os.Looper;
import android.util.AttributeSet;
import android.util.Log;
import androidx.annotation.AttrRes;
import androidx.annotation.ColorInt;
import androidx.annotation.IntRange;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.annotation.StyleRes;
import androidx.core.graphics.drawable.TintAwareDrawable;
import androidx.core.util.ObjectsCompat;
import b0.a;
import com.google.android.material.shape.o;
import com.google.android.material.shape.p;
import com.google.android.material.shape.q;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.util.BitSet;

public class j extends Drawable implements TintAwareDrawable, s {
    public static final int A = 1;
    public static final int B = 2;
    private static final Paint C = new Paint(1);

    /* renamed from: w  reason: collision with root package name */
    private static final String f8373w = "j";

    /* renamed from: x  reason: collision with root package name */
    private static final float f8374x = 0.75f;

    /* renamed from: y  reason: collision with root package name */
    private static final float f8375y = 0.25f;

    /* renamed from: z  reason: collision with root package name */
    public static final int f8376z = 0;

    /* renamed from: a  reason: collision with root package name */
    private d f8377a;

    /* renamed from: b  reason: collision with root package name */
    private final q.i[] f8378b;

    /* renamed from: c  reason: collision with root package name */
    private final q.i[] f8379c;

    /* renamed from: d  reason: collision with root package name */
    private final BitSet f8380d;

    /* renamed from: e  reason: collision with root package name */
    private boolean f8381e;

    /* renamed from: f  reason: collision with root package name */
    private final Matrix f8382f;

    /* renamed from: g  reason: collision with root package name */
    private final Path f8383g;

    /* renamed from: h  reason: collision with root package name */
    private final Path f8384h;

    /* renamed from: i  reason: collision with root package name */
    private final RectF f8385i;

    /* renamed from: j  reason: collision with root package name */
    private final RectF f8386j;

    /* renamed from: k  reason: collision with root package name */
    private final Region f8387k;

    /* renamed from: l  reason: collision with root package name */
    private final Region f8388l;

    /* renamed from: m  reason: collision with root package name */
    private o f8389m;

    /* renamed from: n  reason: collision with root package name */
    private final Paint f8390n;

    /* renamed from: o  reason: collision with root package name */
    private final Paint f8391o;

    /* renamed from: p  reason: collision with root package name */
    private final com.google.android.material.shadow.b f8392p;
    @NonNull

    /* renamed from: q  reason: collision with root package name */
    private final p.b f8393q;

    /* renamed from: r  reason: collision with root package name */
    private final p f8394r;
    @Nullable

    /* renamed from: s  reason: collision with root package name */
    private PorterDuffColorFilter f8395s;
    @Nullable

    /* renamed from: t  reason: collision with root package name */
    private PorterDuffColorFilter f8396t;
    @NonNull

    /* renamed from: u  reason: collision with root package name */
    private final RectF f8397u;

    /* renamed from: v  reason: collision with root package name */
    private boolean f8398v;

    class a implements p.b {
        a() {
        }

        @Override // com.google.android.material.shape.p.b
        public void a(@NonNull q qVar, Matrix matrix, int i7) {
            j.this.f8380d.set(i7, qVar.e());
            j.this.f8378b[i7] = qVar.f(matrix);
        }

        @Override // com.google.android.material.shape.p.b
        public void b(@NonNull q qVar, Matrix matrix, int i7) {
            j.this.f8380d.set(i7 + 4, qVar.e());
            j.this.f8379c[i7] = qVar.f(matrix);
        }
    }

    /* access modifiers changed from: package-private */
    public class b implements o.c {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ float f8400a;

        b(float f7) {
            this.f8400a = f7;
        }

        @Override // com.google.android.material.shape.o.c
        @NonNull
        public d a(@NonNull d dVar) {
            return dVar instanceof m ? dVar : new b(this.f8400a, dVar);
        }
    }

    @Retention(RetentionPolicy.SOURCE)
    public @interface c {
    }

    /* access modifiers changed from: package-private */
    public static final class d extends Drawable.ConstantState {
        @NonNull

        /* renamed from: a  reason: collision with root package name */
        public o f8402a;
        @Nullable

        /* renamed from: b  reason: collision with root package name */
        public i0.a f8403b;
        @Nullable

        /* renamed from: c  reason: collision with root package name */
        public ColorFilter f8404c;
        @Nullable

        /* renamed from: d  reason: collision with root package name */
        public ColorStateList f8405d = null;
        @Nullable

        /* renamed from: e  reason: collision with root package name */
        public ColorStateList f8406e = null;
        @Nullable

        /* renamed from: f  reason: collision with root package name */
        public ColorStateList f8407f = null;
        @Nullable

        /* renamed from: g  reason: collision with root package name */
        public ColorStateList f8408g = null;
        @Nullable

        /* renamed from: h  reason: collision with root package name */
        public PorterDuff.Mode f8409h = PorterDuff.Mode.SRC_IN;
        @Nullable

        /* renamed from: i  reason: collision with root package name */
        public Rect f8410i = null;

        /* renamed from: j  reason: collision with root package name */
        public float f8411j = 1.0f;

        /* renamed from: k  reason: collision with root package name */
        public float f8412k = 1.0f;

        /* renamed from: l  reason: collision with root package name */
        public float f8413l;

        /* renamed from: m  reason: collision with root package name */
        public int f8414m = 255;

        /* renamed from: n  reason: collision with root package name */
        public float f8415n = 0.0f;

        /* renamed from: o  reason: collision with root package name */
        public float f8416o = 0.0f;

        /* renamed from: p  reason: collision with root package name */
        public float f8417p = 0.0f;

        /* renamed from: q  reason: collision with root package name */
        public int f8418q = 0;

        /* renamed from: r  reason: collision with root package name */
        public int f8419r = 0;

        /* renamed from: s  reason: collision with root package name */
        public int f8420s = 0;

        /* renamed from: t  reason: collision with root package name */
        public int f8421t = 0;

        /* renamed from: u  reason: collision with root package name */
        public boolean f8422u = false;

        /* renamed from: v  reason: collision with root package name */
        public Paint.Style f8423v = Paint.Style.FILL_AND_STROKE;

        public d(@NonNull d dVar) {
            this.f8402a = dVar.f8402a;
            this.f8403b = dVar.f8403b;
            this.f8413l = dVar.f8413l;
            this.f8404c = dVar.f8404c;
            this.f8405d = dVar.f8405d;
            this.f8406e = dVar.f8406e;
            this.f8409h = dVar.f8409h;
            this.f8408g = dVar.f8408g;
            this.f8414m = dVar.f8414m;
            this.f8411j = dVar.f8411j;
            this.f8420s = dVar.f8420s;
            this.f8418q = dVar.f8418q;
            this.f8422u = dVar.f8422u;
            this.f8412k = dVar.f8412k;
            this.f8415n = dVar.f8415n;
            this.f8416o = dVar.f8416o;
            this.f8417p = dVar.f8417p;
            this.f8419r = dVar.f8419r;
            this.f8421t = dVar.f8421t;
            this.f8407f = dVar.f8407f;
            this.f8423v = dVar.f8423v;
            if (dVar.f8410i != null) {
                this.f8410i = new Rect(dVar.f8410i);
            }
        }

        public int getChangingConfigurations() {
            return 0;
        }

        @NonNull
        public Drawable newDrawable() {
            j jVar = new j(this, null);
            jVar.f8381e = true;
            return jVar;
        }

        public d(o oVar, i0.a aVar) {
            this.f8402a = oVar;
            this.f8403b = aVar;
        }
    }

    public j() {
        this(new o());
    }

    private boolean L0(int[] iArr) {
        boolean z7;
        int color;
        int colorForState;
        int color2;
        int colorForState2;
        if (this.f8377a.f8405d == null || color2 == (colorForState2 = this.f8377a.f8405d.getColorForState(iArr, (color2 = this.f8390n.getColor())))) {
            z7 = false;
        } else {
            this.f8390n.setColor(colorForState2);
            z7 = true;
        }
        if (this.f8377a.f8406e == null || color == (colorForState = this.f8377a.f8406e.getColorForState(iArr, (color = this.f8391o.getColor())))) {
            return z7;
        }
        this.f8391o.setColor(colorForState);
        return true;
    }

    private boolean M0() {
        PorterDuffColorFilter porterDuffColorFilter = this.f8395s;
        PorterDuffColorFilter porterDuffColorFilter2 = this.f8396t;
        d dVar = this.f8377a;
        this.f8395s = k(dVar.f8408g, dVar.f8409h, this.f8390n, true);
        d dVar2 = this.f8377a;
        this.f8396t = k(dVar2.f8407f, dVar2.f8409h, this.f8391o, false);
        d dVar3 = this.f8377a;
        if (dVar3.f8422u) {
            this.f8392p.d(dVar3.f8408g.getColorForState(getState(), 0));
        }
        return !ObjectsCompat.equals(porterDuffColorFilter, this.f8395s) || !ObjectsCompat.equals(porterDuffColorFilter2, this.f8396t);
    }

    private float N() {
        if (X()) {
            return this.f8391o.getStrokeWidth() / 2.0f;
        }
        return 0.0f;
    }

    private void N0() {
        float U = U();
        this.f8377a.f8419r = (int) Math.ceil((double) (0.75f * U));
        this.f8377a.f8420s = (int) Math.ceil((double) (U * f8375y));
        M0();
        Z();
    }

    private boolean V() {
        d dVar = this.f8377a;
        int i7 = dVar.f8418q;
        return i7 != 1 && dVar.f8419r > 0 && (i7 == 2 || i0());
    }

    private boolean W() {
        Paint.Style style = this.f8377a.f8423v;
        return style == Paint.Style.FILL_AND_STROKE || style == Paint.Style.FILL;
    }

    private boolean X() {
        Paint.Style style = this.f8377a.f8423v;
        return (style == Paint.Style.FILL_AND_STROKE || style == Paint.Style.STROKE) && this.f8391o.getStrokeWidth() > 0.0f;
    }

    private void Z() {
        super.invalidateSelf();
    }

    @Nullable
    private PorterDuffColorFilter f(@NonNull Paint paint, boolean z7) {
        int color;
        int l7;
        if (!z7 || (l7 = l((color = paint.getColor()))) == color) {
            return null;
        }
        return new PorterDuffColorFilter(l7, PorterDuff.Mode.SRC_IN);
    }

    private void f0(@NonNull Canvas canvas) {
        if (V()) {
            canvas.save();
            h0(canvas);
            if (!this.f8398v) {
                o(canvas);
            } else {
                int width = (int) (this.f8397u.width() - ((float) getBounds().width()));
                int height = (int) (this.f8397u.height() - ((float) getBounds().height()));
                if (width < 0 || height < 0) {
                    throw new IllegalStateException("Invalid shadow bounds. Check that the treatments result in a valid path.");
                }
                Bitmap createBitmap = Bitmap.createBitmap(((int) this.f8397u.width()) + (this.f8377a.f8419r * 2) + width, ((int) this.f8397u.height()) + (this.f8377a.f8419r * 2) + height, Bitmap.Config.ARGB_8888);
                Canvas canvas2 = new Canvas(createBitmap);
                float f7 = (float) ((getBounds().left - this.f8377a.f8419r) - width);
                float f8 = (float) ((getBounds().top - this.f8377a.f8419r) - height);
                canvas2.translate(-f7, -f8);
                o(canvas2);
                canvas.drawBitmap(createBitmap, f7, f8, (Paint) null);
                createBitmap.recycle();
            }
            canvas.restore();
        }
    }

    private void g(@NonNull RectF rectF, @NonNull Path path) {
        h(rectF, path);
        if (this.f8377a.f8411j != 1.0f) {
            this.f8382f.reset();
            Matrix matrix = this.f8382f;
            float f7 = this.f8377a.f8411j;
            matrix.setScale(f7, f7, rectF.width() / 2.0f, rectF.height() / 2.0f);
            path.transform(this.f8382f);
        }
        path.computeBounds(this.f8397u, true);
    }

    private static int g0(int i7, int i8) {
        return (i7 * (i8 + (i8 >>> 7))) >>> 8;
    }

    private void h0(@NonNull Canvas canvas) {
        canvas.translate((float) H(), (float) I());
    }

    private void i() {
        o y7 = getShapeAppearanceModel().y(new b(-N()));
        this.f8389m = y7;
        this.f8394r.d(y7, this.f8377a.f8412k, w(), this.f8384h);
    }

    @NonNull
    private PorterDuffColorFilter j(@NonNull ColorStateList colorStateList, @NonNull PorterDuff.Mode mode, boolean z7) {
        int colorForState = colorStateList.getColorForState(getState(), 0);
        if (z7) {
            colorForState = l(colorForState);
        }
        return new PorterDuffColorFilter(colorForState, mode);
    }

    @NonNull
    private PorterDuffColorFilter k(@Nullable ColorStateList colorStateList, @Nullable PorterDuff.Mode mode, @NonNull Paint paint, boolean z7) {
        return (colorStateList == null || mode == null) ? f(paint, z7) : j(colorStateList, mode, z7);
    }

    @NonNull
    public static j m(Context context) {
        return n(context, 0.0f);
    }

    @NonNull
    public static j n(Context context, float f7) {
        int c7 = f0.a.c(context, a.c.Q2, j.class.getSimpleName());
        j jVar = new j();
        jVar.Y(context);
        jVar.n0(ColorStateList.valueOf(c7));
        jVar.m0(f7);
        return jVar;
    }

    private void o(@NonNull Canvas canvas) {
        if (this.f8380d.cardinality() > 0) {
            Log.w(f8373w, "Compatibility shadow requested but can't be drawn for all operations in this shape.");
        }
        if (this.f8377a.f8420s != 0) {
            canvas.drawPath(this.f8383g, this.f8392p.c());
        }
        for (int i7 = 0; i7 < 4; i7++) {
            this.f8378b[i7].b(this.f8392p, this.f8377a.f8419r, canvas);
            this.f8379c[i7].b(this.f8392p, this.f8377a.f8419r, canvas);
        }
        if (this.f8398v) {
            int H = H();
            int I = I();
            canvas.translate((float) (-H), (float) (-I));
            canvas.drawPath(this.f8383g, C);
            canvas.translate((float) H, (float) I);
        }
    }

    private void p(@NonNull Canvas canvas) {
        r(canvas, this.f8390n, this.f8383g, this.f8377a.f8402a, v());
    }

    private void r(@NonNull Canvas canvas, @NonNull Paint paint, @NonNull Path path, @NonNull o oVar, @NonNull RectF rectF) {
        if (oVar.u(rectF)) {
            float a8 = oVar.t().a(rectF) * this.f8377a.f8412k;
            canvas.drawRoundRect(rectF, a8, a8, paint);
            return;
        }
        canvas.drawPath(path, paint);
    }

    private void s(@NonNull Canvas canvas) {
        r(canvas, this.f8391o, this.f8384h, this.f8389m, w());
    }

    @NonNull
    private RectF w() {
        this.f8386j.set(v());
        float N = N();
        this.f8386j.inset(N, N);
        return this.f8386j;
    }

    public Paint.Style A() {
        return this.f8377a.f8423v;
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public void A0(int i7) {
        d dVar = this.f8377a;
        if (dVar.f8420s != i7) {
            dVar.f8420s = i7;
            Z();
        }
    }

    public float B() {
        return this.f8377a.f8415n;
    }

    @Deprecated
    public void B0(@NonNull r rVar) {
        setShapeAppearanceModel(rVar);
    }

    @Deprecated
    public void C(int i7, int i8, @NonNull Path path) {
        h(new RectF(0.0f, 0.0f, (float) i7, (float) i8), path);
    }

    public void C0(float f7, @ColorInt int i7) {
        H0(f7);
        E0(ColorStateList.valueOf(i7));
    }

    public float D() {
        return this.f8377a.f8411j;
    }

    public void D0(float f7, @Nullable ColorStateList colorStateList) {
        H0(f7);
        E0(colorStateList);
    }

    public int E() {
        return this.f8377a.f8421t;
    }

    public void E0(@Nullable ColorStateList colorStateList) {
        d dVar = this.f8377a;
        if (dVar.f8406e != colorStateList) {
            dVar.f8406e = colorStateList;
            onStateChange(getState());
        }
    }

    public int F() {
        return this.f8377a.f8418q;
    }

    public void F0(@ColorInt int i7) {
        G0(ColorStateList.valueOf(i7));
    }

    @Deprecated
    public int G() {
        return (int) x();
    }

    public void G0(ColorStateList colorStateList) {
        this.f8377a.f8407f = colorStateList;
        M0();
        Z();
    }

    public int H() {
        d dVar = this.f8377a;
        return (int) (((double) dVar.f8420s) * Math.sin(Math.toRadians((double) dVar.f8421t)));
    }

    public void H0(float f7) {
        this.f8377a.f8413l = f7;
        invalidateSelf();
    }

    public int I() {
        d dVar = this.f8377a;
        return (int) (((double) dVar.f8420s) * Math.cos(Math.toRadians((double) dVar.f8421t)));
    }

    public void I0(float f7) {
        d dVar = this.f8377a;
        if (dVar.f8417p != f7) {
            dVar.f8417p = f7;
            N0();
        }
    }

    public int J() {
        return this.f8377a.f8419r;
    }

    public void J0(boolean z7) {
        d dVar = this.f8377a;
        if (dVar.f8422u != z7) {
            dVar.f8422u = z7;
            invalidateSelf();
        }
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public int K() {
        return this.f8377a.f8420s;
    }

    public void K0(float f7) {
        I0(f7 - x());
    }

    @Nullable
    @Deprecated
    public r L() {
        o shapeAppearanceModel = getShapeAppearanceModel();
        if (shapeAppearanceModel instanceof r) {
            return (r) shapeAppearanceModel;
        }
        return null;
    }

    @Nullable
    public ColorStateList M() {
        return this.f8377a.f8406e;
    }

    @Nullable
    public ColorStateList O() {
        return this.f8377a.f8407f;
    }

    public float P() {
        return this.f8377a.f8413l;
    }

    @Nullable
    public ColorStateList Q() {
        return this.f8377a.f8408g;
    }

    public float R() {
        return this.f8377a.f8402a.r().a(v());
    }

    public float S() {
        return this.f8377a.f8402a.t().a(v());
    }

    public float T() {
        return this.f8377a.f8417p;
    }

    public float U() {
        return x() + T();
    }

    public void Y(Context context) {
        this.f8377a.f8403b = new i0.a(context);
        N0();
    }

    public boolean a0() {
        i0.a aVar = this.f8377a.f8403b;
        return aVar != null && aVar.l();
    }

    public boolean b0() {
        return this.f8377a.f8403b != null;
    }

    public boolean c0(int i7, int i8) {
        return getTransparentRegion().contains(i7, i8);
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public boolean d0() {
        return this.f8377a.f8402a.u(v());
    }

    public void draw(@NonNull Canvas canvas) {
        this.f8390n.setColorFilter(this.f8395s);
        int alpha = this.f8390n.getAlpha();
        this.f8390n.setAlpha(g0(alpha, this.f8377a.f8414m));
        this.f8391o.setColorFilter(this.f8396t);
        this.f8391o.setStrokeWidth(this.f8377a.f8413l);
        int alpha2 = this.f8391o.getAlpha();
        this.f8391o.setAlpha(g0(alpha2, this.f8377a.f8414m));
        if (this.f8381e) {
            i();
            g(v(), this.f8383g);
            this.f8381e = false;
        }
        f0(canvas);
        if (W()) {
            p(canvas);
        }
        if (X()) {
            s(canvas);
        }
        this.f8390n.setAlpha(alpha);
        this.f8391o.setAlpha(alpha2);
    }

    @Deprecated
    public boolean e0() {
        int i7 = this.f8377a.f8418q;
        return i7 == 0 || i7 == 2;
    }

    @Nullable
    public Drawable.ConstantState getConstantState() {
        return this.f8377a;
    }

    public int getOpacity() {
        return -3;
    }

    @TargetApi(21)
    public void getOutline(@NonNull Outline outline) {
        if (this.f8377a.f8418q != 2) {
            if (d0()) {
                outline.setRoundRect(getBounds(), R() * this.f8377a.f8412k);
                return;
            }
            g(v(), this.f8383g);
            this.f8383g.isConvex();
            try {
                outline.setConvexPath(this.f8383g);
            } catch (IllegalArgumentException unused) {
            }
        }
    }

    public boolean getPadding(@NonNull Rect rect) {
        Rect rect2 = this.f8377a.f8410i;
        if (rect2 == null) {
            return super.getPadding(rect);
        }
        rect.set(rect2);
        return true;
    }

    @Override // com.google.android.material.shape.s
    @NonNull
    public o getShapeAppearanceModel() {
        return this.f8377a.f8402a;
    }

    public Region getTransparentRegion() {
        this.f8387k.set(getBounds());
        g(v(), this.f8383g);
        this.f8388l.setPath(this.f8383g, this.f8387k);
        this.f8387k.op(this.f8388l, Region.Op.DIFFERENCE);
        return this.f8387k;
    }

    /* access modifiers changed from: protected */
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public final void h(@NonNull RectF rectF, @NonNull Path path) {
        p pVar = this.f8394r;
        d dVar = this.f8377a;
        pVar.e(dVar.f8402a, dVar.f8412k, rectF, this.f8393q, path);
    }

    public boolean i0() {
        if (d0()) {
            return false;
        }
        this.f8383g.isConvex();
        return false;
    }

    public void invalidateSelf() {
        this.f8381e = true;
        super.invalidateSelf();
    }

    public boolean isStateful() {
        ColorStateList colorStateList;
        ColorStateList colorStateList2;
        ColorStateList colorStateList3;
        ColorStateList colorStateList4;
        return super.isStateful() || ((colorStateList = this.f8377a.f8408g) != null && colorStateList.isStateful()) || (((colorStateList2 = this.f8377a.f8407f) != null && colorStateList2.isStateful()) || (((colorStateList3 = this.f8377a.f8406e) != null && colorStateList3.isStateful()) || ((colorStateList4 = this.f8377a.f8405d) != null && colorStateList4.isStateful())));
    }

    public void j0(float f7) {
        setShapeAppearanceModel(this.f8377a.f8402a.w(f7));
    }

    public void k0(@NonNull d dVar) {
        setShapeAppearanceModel(this.f8377a.f8402a.x(dVar));
    }

    /* access modifiers changed from: protected */
    @ColorInt
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public int l(@ColorInt int i7) {
        float U = U() + B();
        i0.a aVar = this.f8377a.f8403b;
        return aVar != null ? aVar.e(i7, U) : i7;
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public void l0(boolean z7) {
        this.f8394r.n(z7);
    }

    public void m0(float f7) {
        d dVar = this.f8377a;
        if (dVar.f8416o != f7) {
            dVar.f8416o = f7;
            N0();
        }
    }

    @NonNull
    public Drawable mutate() {
        this.f8377a = new d(this.f8377a);
        return this;
    }

    public void n0(@Nullable ColorStateList colorStateList) {
        d dVar = this.f8377a;
        if (dVar.f8405d != colorStateList) {
            dVar.f8405d = colorStateList;
            onStateChange(getState());
        }
    }

    public void o0(float f7) {
        d dVar = this.f8377a;
        if (dVar.f8412k != f7) {
            dVar.f8412k = f7;
            this.f8381e = true;
            invalidateSelf();
        }
    }

    /* access modifiers changed from: protected */
    public void onBoundsChange(Rect rect) {
        this.f8381e = true;
        super.onBoundsChange(rect);
    }

    /* access modifiers changed from: protected */
    public boolean onStateChange(int[] iArr) {
        boolean z7 = L0(iArr) || M0();
        if (z7) {
            invalidateSelf();
        }
        return z7;
    }

    public void p0(int i7, int i8, int i9, int i10) {
        d dVar = this.f8377a;
        if (dVar.f8410i == null) {
            dVar.f8410i = new Rect();
        }
        this.f8377a.f8410i.set(i7, i8, i9, i10);
        invalidateSelf();
    }

    /* access modifiers changed from: protected */
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public void q(@NonNull Canvas canvas, @NonNull Paint paint, @NonNull Path path, @NonNull RectF rectF) {
        r(canvas, paint, path, this.f8377a.f8402a, rectF);
    }

    public void q0(Paint.Style style) {
        this.f8377a.f8423v = style;
        Z();
    }

    public void r0(float f7) {
        d dVar = this.f8377a;
        if (dVar.f8415n != f7) {
            dVar.f8415n = f7;
            N0();
        }
    }

    public void s0(float f7) {
        d dVar = this.f8377a;
        if (dVar.f8411j != f7) {
            dVar.f8411j = f7;
            invalidateSelf();
        }
    }

    public void setAlpha(@IntRange(from = 0, to = 255) int i7) {
        d dVar = this.f8377a;
        if (dVar.f8414m != i7) {
            dVar.f8414m = i7;
            Z();
        }
    }

    public void setColorFilter(@Nullable ColorFilter colorFilter) {
        this.f8377a.f8404c = colorFilter;
        Z();
    }

    @Override // com.google.android.material.shape.s
    public void setShapeAppearanceModel(@NonNull o oVar) {
        this.f8377a.f8402a = oVar;
        invalidateSelf();
    }

    @Override // androidx.core.graphics.drawable.TintAwareDrawable
    public void setTint(@ColorInt int i7) {
        setTintList(ColorStateList.valueOf(i7));
    }

    @Override // androidx.core.graphics.drawable.TintAwareDrawable
    public void setTintList(@Nullable ColorStateList colorStateList) {
        this.f8377a.f8408g = colorStateList;
        M0();
        Z();
    }

    @Override // androidx.core.graphics.drawable.TintAwareDrawable
    public void setTintMode(@Nullable PorterDuff.Mode mode) {
        d dVar = this.f8377a;
        if (dVar.f8409h != mode) {
            dVar.f8409h = mode;
            M0();
            Z();
        }
    }

    public float t() {
        return this.f8377a.f8402a.j().a(v());
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public void t0(boolean z7) {
        this.f8398v = z7;
    }

    public float u() {
        return this.f8377a.f8402a.l().a(v());
    }

    public void u0(int i7) {
        this.f8392p.d(i7);
        this.f8377a.f8422u = false;
        Z();
    }

    /* access modifiers changed from: protected */
    @NonNull
    public RectF v() {
        this.f8385i.set(getBounds());
        return this.f8385i;
    }

    public void v0(int i7) {
        d dVar = this.f8377a;
        if (dVar.f8421t != i7) {
            dVar.f8421t = i7;
            Z();
        }
    }

    public void w0(int i7) {
        d dVar = this.f8377a;
        if (dVar.f8418q != i7) {
            dVar.f8418q = i7;
            Z();
        }
    }

    public float x() {
        return this.f8377a.f8416o;
    }

    @Deprecated
    public void x0(int i7) {
        m0((float) i7);
    }

    @Nullable
    public ColorStateList y() {
        return this.f8377a.f8405d;
    }

    @Deprecated
    public void y0(boolean z7) {
        w0(!z7 ? 1 : 0);
    }

    public float z() {
        return this.f8377a.f8412k;
    }

    @Deprecated
    public void z0(int i7) {
        this.f8377a.f8419r = i7;
    }

    public j(@NonNull Context context, @Nullable AttributeSet attributeSet, @AttrRes int i7, @StyleRes int i8) {
        this(o.e(context, attributeSet, i7, i8).m());
    }

    private j(@NonNull d dVar) {
        this.f8378b = new q.i[4];
        this.f8379c = new q.i[4];
        this.f8380d = new BitSet(8);
        this.f8382f = new Matrix();
        this.f8383g = new Path();
        this.f8384h = new Path();
        this.f8385i = new RectF();
        this.f8386j = new RectF();
        this.f8387k = new Region();
        this.f8388l = new Region();
        Paint paint = new Paint(1);
        this.f8390n = paint;
        Paint paint2 = new Paint(1);
        this.f8391o = paint2;
        this.f8392p = new com.google.android.material.shadow.b();
        this.f8394r = Looper.getMainLooper().getThread() == Thread.currentThread() ? p.k() : new p();
        this.f8397u = new RectF();
        this.f8398v = true;
        this.f8377a = dVar;
        paint2.setStyle(Paint.Style.STROKE);
        paint.setStyle(Paint.Style.FILL);
        Paint paint3 = C;
        paint3.setColor(-1);
        paint3.setXfermode(new PorterDuffXfermode(PorterDuff.Mode.DST_OUT));
        M0();
        L0(getState());
        this.f8393q = new a();
    }

    /* synthetic */ j(d dVar, a aVar) {
        this(dVar);
    }

    public j(@NonNull o oVar) {
        this(new d(oVar, null));
    }

    @Deprecated
    public j(@NonNull r rVar) {
        this((o) rVar);
    }
}
