package com.google.android.material.snackbar;

import android.accessibilityservice.AccessibilityServiceInfo;
import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.AnimatorSet;
import android.animation.ValueAnimator;
import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.GradientDrawable;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.util.AttributeSet;
import android.util.DisplayMetrics;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.ViewTreeObserver;
import android.view.WindowInsets;
import android.view.WindowManager;
import android.view.accessibility.AccessibilityManager;
import android.widget.FrameLayout;
import androidx.annotation.IdRes;
import androidx.annotation.IntRange;
import androidx.annotation.LayoutRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.annotation.RestrictTo;
import androidx.coordinatorlayout.widget.CoordinatorLayout;
import androidx.core.graphics.drawable.DrawableCompat;
import androidx.core.view.AccessibilityDelegateCompat;
import androidx.core.view.OnApplyWindowInsetsListener;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;
import androidx.core.view.accessibility.AccessibilityNodeInfoCompat;
import b0.a;
import com.google.android.material.behavior.SwipeDismissBehavior;
import com.google.android.material.snackbar.BaseTransientBottomBar;
import com.google.android.material.snackbar.b;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.util.ArrayList;
import java.util.List;

public abstract class BaseTransientBottomBar<B extends BaseTransientBottomBar<B>> {
    static final int A = 180;
    private static final int B = 150;
    private static final int C = 75;
    private static final float D = 0.8f;
    @NonNull
    static final Handler E = new Handler(Looper.getMainLooper(), new j());
    static final int F = 0;
    static final int G = 1;
    private static final boolean H = false;
    private static final int[] I = {a.c.Kc};
    private static final String J = BaseTransientBottomBar.class.getSimpleName();

    /* renamed from: u  reason: collision with root package name */
    public static final int f8580u = 0;

    /* renamed from: v  reason: collision with root package name */
    public static final int f8581v = 1;

    /* renamed from: w  reason: collision with root package name */
    public static final int f8582w = -2;

    /* renamed from: x  reason: collision with root package name */
    public static final int f8583x = -1;

    /* renamed from: y  reason: collision with root package name */
    public static final int f8584y = 0;

    /* renamed from: z  reason: collision with root package name */
    static final int f8585z = 250;
    @NonNull

    /* renamed from: a  reason: collision with root package name */
    private final ViewGroup f8586a;

    /* renamed from: b  reason: collision with root package name */
    private final Context f8587b;
    @NonNull

    /* renamed from: c  reason: collision with root package name */
    protected final z f8588c;
    @NonNull

    /* renamed from: d  reason: collision with root package name */
    private final a f8589d;

    /* renamed from: e  reason: collision with root package name */
    private int f8590e;

    /* renamed from: f  reason: collision with root package name */
    private boolean f8591f;
    @Nullable

    /* renamed from: g  reason: collision with root package name */
    private View f8592g;

    /* renamed from: h  reason: collision with root package name */
    private boolean f8593h;

    /* renamed from: i  reason: collision with root package name */
    private final ViewTreeObserver.OnGlobalLayoutListener f8594i;
    @RequiresApi(29)

    /* renamed from: j  reason: collision with root package name */
    private final Runnable f8595j;
    @Nullable

    /* renamed from: k  reason: collision with root package name */
    private Rect f8596k;

    /* renamed from: l  reason: collision with root package name */
    private int f8597l;

    /* renamed from: m  reason: collision with root package name */
    private int f8598m;

    /* renamed from: n  reason: collision with root package name */
    private int f8599n;

    /* renamed from: o  reason: collision with root package name */
    private int f8600o;

    /* renamed from: p  reason: collision with root package name */
    private int f8601p;

    /* renamed from: q  reason: collision with root package name */
    private List<t<B>> f8602q;

    /* renamed from: r  reason: collision with root package name */
    private Behavior f8603r;
    @Nullable

    /* renamed from: s  reason: collision with root package name */
    private final AccessibilityManager f8604s;
    @NonNull

    /* renamed from: t  reason: collision with root package name */
    b.AbstractC0095b f8605t;

    public static class Behavior extends SwipeDismissBehavior<View> {
        @NonNull

        /* renamed from: t  reason: collision with root package name */
        private final u f8606t = new u(this);

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void p(@NonNull BaseTransientBottomBar<?> baseTransientBottomBar) {
            this.f8606t.c(baseTransientBottomBar);
        }

        @Override // com.google.android.material.behavior.SwipeDismissBehavior
        public boolean a(View view) {
            return this.f8606t.a(view);
        }

        @Override // com.google.android.material.behavior.SwipeDismissBehavior, androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
        public boolean onInterceptTouchEvent(@NonNull CoordinatorLayout coordinatorLayout, @NonNull View view, @NonNull MotionEvent motionEvent) {
            this.f8606t.b(coordinatorLayout, view, motionEvent);
            return super.onInterceptTouchEvent(coordinatorLayout, view, motionEvent);
        }
    }

    /* access modifiers changed from: package-private */
    public class a implements Runnable {
        a() {
        }

        public void run() {
            z zVar = BaseTransientBottomBar.this.f8588c;
            if (zVar != null) {
                if (zVar.getParent() != null) {
                    BaseTransientBottomBar.this.f8588c.setVisibility(0);
                }
                int animationMode = BaseTransientBottomBar.this.f8588c.getAnimationMode();
                BaseTransientBottomBar baseTransientBottomBar = BaseTransientBottomBar.this;
                if (animationMode == 1) {
                    baseTransientBottomBar.i0();
                } else {
                    baseTransientBottomBar.k0();
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class b extends AnimatorListenerAdapter {
        b() {
        }

        public void onAnimationEnd(Animator animator) {
            BaseTransientBottomBar.this.T();
        }
    }

    /* access modifiers changed from: package-private */
    public class c extends AnimatorListenerAdapter {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ int f8609f;

        c(int i7) {
            this.f8609f = i7;
        }

        public void onAnimationEnd(Animator animator) {
            BaseTransientBottomBar.this.S(this.f8609f);
        }
    }

    /* access modifiers changed from: package-private */
    public class d implements ValueAnimator.AnimatorUpdateListener {
        d() {
        }

        public void onAnimationUpdate(@NonNull ValueAnimator valueAnimator) {
            BaseTransientBottomBar.this.f8588c.setAlpha(((Float) valueAnimator.getAnimatedValue()).floatValue());
        }
    }

    /* access modifiers changed from: package-private */
    public class e implements ValueAnimator.AnimatorUpdateListener {
        e() {
        }

        public void onAnimationUpdate(@NonNull ValueAnimator valueAnimator) {
            float floatValue = ((Float) valueAnimator.getAnimatedValue()).floatValue();
            BaseTransientBottomBar.this.f8588c.setScaleX(floatValue);
            BaseTransientBottomBar.this.f8588c.setScaleY(floatValue);
        }
    }

    /* access modifiers changed from: package-private */
    public class f extends AnimatorListenerAdapter {
        f() {
        }

        public void onAnimationEnd(Animator animator) {
            BaseTransientBottomBar.this.T();
        }

        public void onAnimationStart(Animator animator) {
            BaseTransientBottomBar.this.f8589d.a(70, BaseTransientBottomBar.A);
        }
    }

    /* access modifiers changed from: package-private */
    public class g implements ValueAnimator.AnimatorUpdateListener {

        /* renamed from: f  reason: collision with root package name */
        private int f8614f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ int f8615g;

        g(int i7) {
            this.f8615g = i7;
            this.f8614f = i7;
        }

        public void onAnimationUpdate(@NonNull ValueAnimator valueAnimator) {
            int intValue = ((Integer) valueAnimator.getAnimatedValue()).intValue();
            if (BaseTransientBottomBar.H) {
                ViewCompat.offsetTopAndBottom(BaseTransientBottomBar.this.f8588c, intValue - this.f8614f);
            } else {
                BaseTransientBottomBar.this.f8588c.setTranslationY((float) intValue);
            }
            this.f8614f = intValue;
        }
    }

    /* access modifiers changed from: package-private */
    public class h extends AnimatorListenerAdapter {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ int f8617f;

        h(int i7) {
            this.f8617f = i7;
        }

        public void onAnimationEnd(Animator animator) {
            BaseTransientBottomBar.this.S(this.f8617f);
        }

        public void onAnimationStart(Animator animator) {
            BaseTransientBottomBar.this.f8589d.b(0, BaseTransientBottomBar.A);
        }
    }

    /* access modifiers changed from: package-private */
    public class i implements ValueAnimator.AnimatorUpdateListener {

        /* renamed from: f  reason: collision with root package name */
        private int f8619f = 0;

        i() {
        }

        public void onAnimationUpdate(@NonNull ValueAnimator valueAnimator) {
            int intValue = ((Integer) valueAnimator.getAnimatedValue()).intValue();
            if (BaseTransientBottomBar.H) {
                ViewCompat.offsetTopAndBottom(BaseTransientBottomBar.this.f8588c, intValue - this.f8619f);
            } else {
                BaseTransientBottomBar.this.f8588c.setTranslationY((float) intValue);
            }
            this.f8619f = intValue;
        }
    }

    static class j implements Handler.Callback {
        j() {
        }

        public boolean handleMessage(@NonNull Message message) {
            int i7 = message.what;
            if (i7 == 0) {
                ((BaseTransientBottomBar) message.obj).g0();
                return true;
            } else if (i7 != 1) {
                return false;
            } else {
                ((BaseTransientBottomBar) message.obj).M(message.arg1);
                return true;
            }
        }
    }

    class k implements ViewTreeObserver.OnGlobalLayoutListener {
        k() {
        }

        public void onGlobalLayout() {
            if (BaseTransientBottomBar.this.f8593h) {
                BaseTransientBottomBar baseTransientBottomBar = BaseTransientBottomBar.this;
                baseTransientBottomBar.f8601p = baseTransientBottomBar.v();
                BaseTransientBottomBar.this.m0();
            }
        }
    }

    class l implements Runnable {
        l() {
        }

        public void run() {
            int G;
            BaseTransientBottomBar baseTransientBottomBar = BaseTransientBottomBar.this;
            if (baseTransientBottomBar.f8588c != null && baseTransientBottomBar.f8587b != null && (G = (BaseTransientBottomBar.this.G() - BaseTransientBottomBar.this.K()) + ((int) BaseTransientBottomBar.this.f8588c.getTranslationY())) < BaseTransientBottomBar.this.f8600o) {
                ViewGroup.LayoutParams layoutParams = BaseTransientBottomBar.this.f8588c.getLayoutParams();
                if (!(layoutParams instanceof ViewGroup.MarginLayoutParams)) {
                    Log.w(BaseTransientBottomBar.J, "Unable to apply gesture inset because layout params are not MarginLayoutParams");
                    return;
                }
                ((ViewGroup.MarginLayoutParams) layoutParams).bottomMargin += BaseTransientBottomBar.this.f8600o - G;
                BaseTransientBottomBar.this.f8588c.requestLayout();
            }
        }
    }

    class m implements OnApplyWindowInsetsListener {
        m() {
        }

        @Override // androidx.core.view.OnApplyWindowInsetsListener
        @NonNull
        public WindowInsetsCompat onApplyWindowInsets(View view, @NonNull WindowInsetsCompat windowInsetsCompat) {
            BaseTransientBottomBar.this.f8597l = windowInsetsCompat.getSystemWindowInsetBottom();
            BaseTransientBottomBar.this.f8598m = windowInsetsCompat.getSystemWindowInsetLeft();
            BaseTransientBottomBar.this.f8599n = windowInsetsCompat.getSystemWindowInsetRight();
            BaseTransientBottomBar.this.m0();
            return windowInsetsCompat;
        }
    }

    class n extends AccessibilityDelegateCompat {
        n() {
        }

        @Override // androidx.core.view.AccessibilityDelegateCompat
        public void onInitializeAccessibilityNodeInfo(View view, @NonNull AccessibilityNodeInfoCompat accessibilityNodeInfoCompat) {
            super.onInitializeAccessibilityNodeInfo(view, accessibilityNodeInfoCompat);
            accessibilityNodeInfoCompat.addAction(1048576);
            accessibilityNodeInfoCompat.setDismissable(true);
        }

        @Override // androidx.core.view.AccessibilityDelegateCompat
        public boolean performAccessibilityAction(View view, int i7, Bundle bundle) {
            if (i7 != 1048576) {
                return super.performAccessibilityAction(view, i7, bundle);
            }
            BaseTransientBottomBar.this.w();
            return true;
        }
    }

    class o implements b.AbstractC0095b {
        o() {
        }

        @Override // com.google.android.material.snackbar.b.AbstractC0095b
        public void a(int i7) {
            Handler handler = BaseTransientBottomBar.E;
            handler.sendMessage(handler.obtainMessage(1, i7, 0, BaseTransientBottomBar.this));
        }

        @Override // com.google.android.material.snackbar.b.AbstractC0095b
        public void show() {
            Handler handler = BaseTransientBottomBar.E;
            handler.sendMessage(handler.obtainMessage(0, BaseTransientBottomBar.this));
        }
    }

    /* access modifiers changed from: package-private */
    public class p implements x {

        class a implements Runnable {
            a() {
            }

            public void run() {
                BaseTransientBottomBar.this.S(3);
            }
        }

        p() {
        }

        @Override // com.google.android.material.snackbar.BaseTransientBottomBar.x
        public void onViewAttachedToWindow(View view) {
            WindowInsets rootWindowInsets = BaseTransientBottomBar.this.f8588c.getRootWindowInsets();
            if (rootWindowInsets != null) {
                BaseTransientBottomBar.this.f8600o = rootWindowInsets.getMandatorySystemGestureInsets().bottom;
                BaseTransientBottomBar.this.m0();
            }
        }

        @Override // com.google.android.material.snackbar.BaseTransientBottomBar.x
        public void onViewDetachedFromWindow(View view) {
            if (BaseTransientBottomBar.this.Q()) {
                BaseTransientBottomBar.E.post(new a());
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class q implements y {
        q() {
        }

        @Override // com.google.android.material.snackbar.BaseTransientBottomBar.y
        public void a(View view, int i7, int i8, int i9, int i10) {
            BaseTransientBottomBar.this.f8588c.setOnLayoutChangeListener(null);
            BaseTransientBottomBar.this.h0();
        }
    }

    /* access modifiers changed from: package-private */
    public class r implements SwipeDismissBehavior.c {
        r() {
        }

        @Override // com.google.android.material.behavior.SwipeDismissBehavior.c
        public void a(@NonNull View view) {
            if (view.getParent() != null) {
                view.setVisibility(8);
            }
            BaseTransientBottomBar.this.x(0);
        }

        @Override // com.google.android.material.behavior.SwipeDismissBehavior.c
        public void b(int i7) {
            if (i7 == 0) {
                b.c().l(BaseTransientBottomBar.this.f8605t);
            } else if (i7 == 1 || i7 == 2) {
                b.c().k(BaseTransientBottomBar.this.f8605t);
            }
        }
    }

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public @interface s {
    }

    public static abstract class t<B> {

        /* renamed from: a  reason: collision with root package name */
        public static final int f8630a = 0;

        /* renamed from: b  reason: collision with root package name */
        public static final int f8631b = 1;

        /* renamed from: c  reason: collision with root package name */
        public static final int f8632c = 2;

        /* renamed from: d  reason: collision with root package name */
        public static final int f8633d = 3;

        /* renamed from: e  reason: collision with root package name */
        public static final int f8634e = 4;

        @Retention(RetentionPolicy.SOURCE)
        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
        public @interface a {
        }

        public void a(B b7, int i7) {
        }

        public void b(B b7) {
        }
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public static class u {

        /* renamed from: a  reason: collision with root package name */
        private b.AbstractC0095b f8635a;

        public u(@NonNull SwipeDismissBehavior<?> swipeDismissBehavior) {
            swipeDismissBehavior.l(0.1f);
            swipeDismissBehavior.i(0.6f);
            swipeDismissBehavior.m(0);
        }

        public boolean a(View view) {
            return view instanceof z;
        }

        public void b(@NonNull CoordinatorLayout coordinatorLayout, @NonNull View view, @NonNull MotionEvent motionEvent) {
            int actionMasked = motionEvent.getActionMasked();
            if (actionMasked != 0) {
                if (actionMasked == 1 || actionMasked == 3) {
                    b.c().l(this.f8635a);
                }
            } else if (coordinatorLayout.isPointInChildBounds(view, (int) motionEvent.getX(), (int) motionEvent.getY())) {
                b.c().k(this.f8635a);
            }
        }

        public void c(@NonNull BaseTransientBottomBar<?> baseTransientBottomBar) {
            this.f8635a = baseTransientBottomBar.f8605t;
        }
    }

    @Deprecated
    public interface v extends a {
    }

    @IntRange(from = 1)
    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public @interface w {
    }

    /* access modifiers changed from: protected */
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public interface x {
        void onViewAttachedToWindow(View view);

        void onViewDetachedFromWindow(View view);
    }

    /* access modifiers changed from: protected */
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public interface y {
        void a(View view, int i7, int i8, int i9, int i10);
    }

    /* access modifiers changed from: protected */
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public static class z extends FrameLayout {

        /* renamed from: h  reason: collision with root package name */
        private static final View.OnTouchListener f8636h = new a();

        /* renamed from: a  reason: collision with root package name */
        private y f8637a;

        /* renamed from: b  reason: collision with root package name */
        private x f8638b;

        /* renamed from: c  reason: collision with root package name */
        private int f8639c;

        /* renamed from: d  reason: collision with root package name */
        private final float f8640d;

        /* renamed from: e  reason: collision with root package name */
        private final float f8641e;

        /* renamed from: f  reason: collision with root package name */
        private ColorStateList f8642f;

        /* renamed from: g  reason: collision with root package name */
        private PorterDuff.Mode f8643g;

        static class a implements View.OnTouchListener {
            a() {
            }

            @SuppressLint({"ClickableViewAccessibility"})
            public boolean onTouch(View view, MotionEvent motionEvent) {
                return true;
            }
        }

        protected z(@NonNull Context context) {
            this(context, null);
        }

        @NonNull
        private Drawable a() {
            float dimension = getResources().getDimension(a.f.Y5);
            GradientDrawable gradientDrawable = new GradientDrawable();
            gradientDrawable.setShape(0);
            gradientDrawable.setCornerRadius(dimension);
            gradientDrawable.setColor(f0.a.j(this, a.c.Q2, a.c.J2, getBackgroundOverlayColorAlpha()));
            if (this.f8642f == null) {
                return DrawableCompat.wrap(gradientDrawable);
            }
            Drawable wrap = DrawableCompat.wrap(gradientDrawable);
            DrawableCompat.setTintList(wrap, this.f8642f);
            return wrap;
        }

        /* access modifiers changed from: package-private */
        public float getActionTextColorAlpha() {
            return this.f8641e;
        }

        /* access modifiers changed from: package-private */
        public int getAnimationMode() {
            return this.f8639c;
        }

        /* access modifiers changed from: package-private */
        public float getBackgroundOverlayColorAlpha() {
            return this.f8640d;
        }

        /* access modifiers changed from: protected */
        public void onAttachedToWindow() {
            super.onAttachedToWindow();
            x xVar = this.f8638b;
            if (xVar != null) {
                xVar.onViewAttachedToWindow(this);
            }
            ViewCompat.requestApplyInsets(this);
        }

        /* access modifiers changed from: protected */
        public void onDetachedFromWindow() {
            super.onDetachedFromWindow();
            x xVar = this.f8638b;
            if (xVar != null) {
                xVar.onViewDetachedFromWindow(this);
            }
        }

        /* access modifiers changed from: protected */
        public void onLayout(boolean z7, int i7, int i8, int i9, int i10) {
            super.onLayout(z7, i7, i8, i9, i10);
            y yVar = this.f8637a;
            if (yVar != null) {
                yVar.a(this, i7, i8, i9, i10);
            }
        }

        /* access modifiers changed from: package-private */
        public void setAnimationMode(int i7) {
            this.f8639c = i7;
        }

        public void setBackground(@Nullable Drawable drawable) {
            setBackgroundDrawable(drawable);
        }

        public void setBackgroundDrawable(@Nullable Drawable drawable) {
            if (!(drawable == null || this.f8642f == null)) {
                drawable = DrawableCompat.wrap(drawable.mutate());
                DrawableCompat.setTintList(drawable, this.f8642f);
                DrawableCompat.setTintMode(drawable, this.f8643g);
            }
            super.setBackgroundDrawable(drawable);
        }

        public void setBackgroundTintList(@Nullable ColorStateList colorStateList) {
            this.f8642f = colorStateList;
            if (getBackground() != null) {
                Drawable wrap = DrawableCompat.wrap(getBackground().mutate());
                DrawableCompat.setTintList(wrap, colorStateList);
                DrawableCompat.setTintMode(wrap, this.f8643g);
                if (wrap != getBackground()) {
                    super.setBackgroundDrawable(wrap);
                }
            }
        }

        public void setBackgroundTintMode(@Nullable PorterDuff.Mode mode) {
            this.f8643g = mode;
            if (getBackground() != null) {
                Drawable wrap = DrawableCompat.wrap(getBackground().mutate());
                DrawableCompat.setTintMode(wrap, mode);
                if (wrap != getBackground()) {
                    super.setBackgroundDrawable(wrap);
                }
            }
        }

        /* access modifiers changed from: package-private */
        public void setOnAttachStateChangeListener(x xVar) {
            this.f8638b = xVar;
        }

        public void setOnClickListener(@Nullable View.OnClickListener onClickListener) {
            setOnTouchListener(onClickListener != null ? null : f8636h);
            super.setOnClickListener(onClickListener);
        }

        /* access modifiers changed from: package-private */
        public void setOnLayoutChangeListener(y yVar) {
            this.f8637a = yVar;
        }

        protected z(@NonNull Context context, AttributeSet attributeSet) {
            super(l0.a.c(context, attributeSet, 0, 0), attributeSet);
            Context context2 = getContext();
            TypedArray obtainStyledAttributes = context2.obtainStyledAttributes(attributeSet, a.o.gp);
            if (obtainStyledAttributes.hasValue(a.o.np)) {
                ViewCompat.setElevation(this, (float) obtainStyledAttributes.getDimensionPixelSize(a.o.np, 0));
            }
            this.f8639c = obtainStyledAttributes.getInt(a.o.jp, 0);
            this.f8640d = obtainStyledAttributes.getFloat(a.o.kp, 1.0f);
            setBackgroundTintList(com.google.android.material.resources.c.a(context2, obtainStyledAttributes, a.o.lp));
            setBackgroundTintMode(com.google.android.material.internal.y.k(obtainStyledAttributes.getInt(a.o.mp, -1), PorterDuff.Mode.SRC_IN));
            this.f8641e = obtainStyledAttributes.getFloat(a.o.ip, 1.0f);
            obtainStyledAttributes.recycle();
            setOnTouchListener(f8636h);
            setFocusable(true);
            if (getBackground() == null) {
                ViewCompat.setBackground(this, a());
            }
        }
    }

    protected BaseTransientBottomBar(@NonNull Context context, @NonNull ViewGroup viewGroup, @NonNull View view, @NonNull a aVar) {
        this.f8593h = false;
        this.f8594i = new k();
        this.f8595j = new l();
        this.f8605t = new o();
        if (viewGroup == null) {
            throw new IllegalArgumentException("Transient bottom bar must have non-null parent");
        } else if (view == null) {
            throw new IllegalArgumentException("Transient bottom bar must have non-null content");
        } else if (aVar != null) {
            this.f8586a = viewGroup;
            this.f8589d = aVar;
            this.f8587b = context;
            com.google.android.material.internal.q.a(context);
            z zVar = (z) LayoutInflater.from(context).inflate(H(), viewGroup, false);
            this.f8588c = zVar;
            if (view instanceof SnackbarContentLayout) {
                ((SnackbarContentLayout) view).c(zVar.getActionTextColorAlpha());
            }
            zVar.addView(view);
            ViewGroup.LayoutParams layoutParams = zVar.getLayoutParams();
            if (layoutParams instanceof ViewGroup.MarginLayoutParams) {
                ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) layoutParams;
                this.f8596k = new Rect(marginLayoutParams.leftMargin, marginLayoutParams.topMargin, marginLayoutParams.rightMargin, marginLayoutParams.bottomMargin);
            }
            ViewCompat.setAccessibilityLiveRegion(zVar, 1);
            ViewCompat.setImportantForAccessibility(zVar, 1);
            ViewCompat.setFitsSystemWindows(zVar, true);
            ViewCompat.setOnApplyWindowInsetsListener(zVar, new m());
            ViewCompat.setAccessibilityDelegate(zVar, new n());
            this.f8604s = (AccessibilityManager) context.getSystemService("accessibility");
        } else {
            throw new IllegalArgumentException("Transient bottom bar must have non-null callback");
        }
    }

    private ValueAnimator F(float... fArr) {
        ValueAnimator ofFloat = ValueAnimator.ofFloat(fArr);
        ofFloat.setInterpolator(com.google.android.material.animation.a.f6957d);
        ofFloat.addUpdateListener(new e());
        return ofFloat;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    @RequiresApi(17)
    private int G() {
        DisplayMetrics displayMetrics = new DisplayMetrics();
        ((WindowManager) this.f8587b.getSystemService("window")).getDefaultDisplay().getRealMetrics(displayMetrics);
        return displayMetrics.heightPixels;
    }

    private int I() {
        int height = this.f8588c.getHeight();
        ViewGroup.LayoutParams layoutParams = this.f8588c.getLayoutParams();
        return layoutParams instanceof ViewGroup.MarginLayoutParams ? height + ((ViewGroup.MarginLayoutParams) layoutParams).bottomMargin : height;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private int K() {
        int[] iArr = new int[2];
        this.f8588c.getLocationOnScreen(iArr);
        return iArr[1] + this.f8588c.getHeight();
    }

    private boolean R() {
        ViewGroup.LayoutParams layoutParams = this.f8588c.getLayoutParams();
        return (layoutParams instanceof CoordinatorLayout.LayoutParams) && (((CoordinatorLayout.LayoutParams) layoutParams).getBehavior() instanceof SwipeDismissBehavior);
    }

    private void c0(CoordinatorLayout.LayoutParams layoutParams) {
        SwipeDismissBehavior<? extends View> swipeDismissBehavior = this.f8603r;
        if (swipeDismissBehavior == null) {
            swipeDismissBehavior = E();
        }
        if (swipeDismissBehavior instanceof Behavior) {
            ((Behavior) swipeDismissBehavior).p(this);
        }
        swipeDismissBehavior.j(new r());
        layoutParams.setBehavior(swipeDismissBehavior);
        if (this.f8592g == null) {
            layoutParams.insetEdge = 80;
        }
    }

    private boolean e0() {
        return this.f8600o > 0 && !this.f8591f && R();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void h0() {
        if (d0()) {
            t();
            return;
        }
        if (this.f8588c.getParent() != null) {
            this.f8588c.setVisibility(0);
        }
        T();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void i0() {
        ValueAnimator y7 = y(0.0f, 1.0f);
        ValueAnimator F2 = F(D, 1.0f);
        AnimatorSet animatorSet = new AnimatorSet();
        animatorSet.playTogether(y7, F2);
        animatorSet.setDuration(150L);
        animatorSet.addListener(new b());
        animatorSet.start();
    }

    private void j0(int i7) {
        ValueAnimator y7 = y(1.0f, 0.0f);
        y7.setDuration(75L);
        y7.addListener(new c(i7));
        y7.start();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void k0() {
        int I2 = I();
        if (H) {
            ViewCompat.offsetTopAndBottom(this.f8588c, I2);
        } else {
            this.f8588c.setTranslationY((float) I2);
        }
        ValueAnimator valueAnimator = new ValueAnimator();
        valueAnimator.setIntValues(I2, 0);
        valueAnimator.setInterpolator(com.google.android.material.animation.a.f6955b);
        valueAnimator.setDuration(250L);
        valueAnimator.addListener(new f());
        valueAnimator.addUpdateListener(new g(I2));
        valueAnimator.start();
    }

    private void l0(int i7) {
        ValueAnimator valueAnimator = new ValueAnimator();
        valueAnimator.setIntValues(0, I());
        valueAnimator.setInterpolator(com.google.android.material.animation.a.f6955b);
        valueAnimator.setDuration(250L);
        valueAnimator.addListener(new h(i7));
        valueAnimator.addUpdateListener(new i());
        valueAnimator.start();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void m0() {
        Rect rect;
        ViewGroup.LayoutParams layoutParams = this.f8588c.getLayoutParams();
        if (!(layoutParams instanceof ViewGroup.MarginLayoutParams) || (rect = this.f8596k) == null) {
            Log.w(J, "Unable to update margins because layout params are not MarginLayoutParams");
            return;
        }
        ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) layoutParams;
        marginLayoutParams.bottomMargin = rect.bottom + (this.f8592g != null ? this.f8601p : this.f8597l);
        marginLayoutParams.leftMargin = rect.left + this.f8598m;
        marginLayoutParams.rightMargin = rect.right + this.f8599n;
        this.f8588c.requestLayout();
        if (e0()) {
            this.f8588c.removeCallbacks(this.f8595j);
            this.f8588c.post(this.f8595j);
        }
    }

    private void u(int i7) {
        if (this.f8588c.getAnimationMode() == 1) {
            j0(i7);
        } else {
            l0(i7);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private int v() {
        View view = this.f8592g;
        if (view == null) {
            return 0;
        }
        int[] iArr = new int[2];
        view.getLocationOnScreen(iArr);
        int i7 = iArr[1];
        int[] iArr2 = new int[2];
        this.f8586a.getLocationOnScreen(iArr2);
        return (iArr2[1] + this.f8586a.getHeight()) - i7;
    }

    private ValueAnimator y(float... fArr) {
        ValueAnimator ofFloat = ValueAnimator.ofFloat(fArr);
        ofFloat.setInterpolator(com.google.android.material.animation.a.f6954a);
        ofFloat.addUpdateListener(new d());
        return ofFloat;
    }

    public int A() {
        return this.f8588c.getAnimationMode();
    }

    public Behavior B() {
        return this.f8603r;
    }

    @NonNull
    public Context C() {
        return this.f8587b;
    }

    public int D() {
        return this.f8590e;
    }

    /* access modifiers changed from: protected */
    @NonNull
    public SwipeDismissBehavior<? extends View> E() {
        return new Behavior();
    }

    /* access modifiers changed from: protected */
    @LayoutRes
    public int H() {
        return L() ? a.k.f1556w0 : a.k.F;
    }

    @NonNull
    public View J() {
        return this.f8588c;
    }

    /* access modifiers changed from: protected */
    public boolean L() {
        TypedArray obtainStyledAttributes = this.f8587b.obtainStyledAttributes(I);
        int resourceId = obtainStyledAttributes.getResourceId(0, -1);
        obtainStyledAttributes.recycle();
        return resourceId != -1;
    }

    /* access modifiers changed from: package-private */
    public final void M(int i7) {
        if (!d0() || this.f8588c.getVisibility() != 0) {
            S(i7);
        } else {
            u(i7);
        }
    }

    public boolean N() {
        return this.f8593h;
    }

    public boolean O() {
        return this.f8591f;
    }

    public boolean P() {
        return b.c().e(this.f8605t);
    }

    public boolean Q() {
        return b.c().f(this.f8605t);
    }

    /* access modifiers changed from: package-private */
    public void S(int i7) {
        b.c().i(this.f8605t);
        List<t<B>> list = this.f8602q;
        if (list != null) {
            for (int size = list.size() - 1; size >= 0; size--) {
                this.f8602q.get(size).a(this, i7);
            }
        }
        ViewParent parent = this.f8588c.getParent();
        if (parent instanceof ViewGroup) {
            ((ViewGroup) parent).removeView(this.f8588c);
        }
    }

    /* access modifiers changed from: package-private */
    public void T() {
        b.c().j(this.f8605t);
        List<t<B>> list = this.f8602q;
        if (list != null) {
            for (int size = list.size() - 1; size >= 0; size--) {
                this.f8602q.get(size).b(this);
            }
        }
    }

    @NonNull
    public B U(@Nullable t<B> tVar) {
        List<t<B>> list;
        if (tVar == null || (list = this.f8602q) == null) {
            return this;
        }
        list.remove(tVar);
        return this;
    }

    @NonNull
    public B V(@IdRes int i7) {
        View findViewById = this.f8586a.findViewById(i7);
        if (findViewById != null) {
            return W(findViewById);
        }
        throw new IllegalArgumentException("Unable to find anchor view with id: " + i7);
    }

    @NonNull
    public B W(@Nullable View view) {
        com.google.android.material.internal.y.l(this.f8592g, this.f8594i);
        this.f8592g = view;
        com.google.android.material.internal.y.a(view, this.f8594i);
        return this;
    }

    public void X(boolean z7) {
        this.f8593h = z7;
    }

    @NonNull
    public B Y(int i7) {
        this.f8588c.setAnimationMode(i7);
        return this;
    }

    @NonNull
    public B Z(Behavior behavior) {
        this.f8603r = behavior;
        return this;
    }

    @NonNull
    public B a0(int i7) {
        this.f8590e = i7;
        return this;
    }

    @NonNull
    public B b0(boolean z7) {
        this.f8591f = z7;
        return this;
    }

    /* access modifiers changed from: package-private */
    public boolean d0() {
        AccessibilityManager accessibilityManager = this.f8604s;
        if (accessibilityManager == null) {
            return true;
        }
        List<AccessibilityServiceInfo> enabledAccessibilityServiceList = accessibilityManager.getEnabledAccessibilityServiceList(1);
        return enabledAccessibilityServiceList != null && enabledAccessibilityServiceList.isEmpty();
    }

    public void f0() {
        b.c().n(D(), this.f8605t);
    }

    /* access modifiers changed from: package-private */
    public final void g0() {
        this.f8588c.setOnAttachStateChangeListener(new p());
        if (this.f8588c.getParent() == null) {
            ViewGroup.LayoutParams layoutParams = this.f8588c.getLayoutParams();
            if (layoutParams instanceof CoordinatorLayout.LayoutParams) {
                c0((CoordinatorLayout.LayoutParams) layoutParams);
            }
            this.f8601p = v();
            m0();
            this.f8588c.setVisibility(4);
            this.f8586a.addView(this.f8588c);
        }
        if (ViewCompat.isLaidOut(this.f8588c)) {
            h0();
        } else {
            this.f8588c.setOnLayoutChangeListener(new q());
        }
    }

    @NonNull
    public B s(@Nullable t<B> tVar) {
        if (tVar == null) {
            return this;
        }
        if (this.f8602q == null) {
            this.f8602q = new ArrayList();
        }
        this.f8602q.add(tVar);
        return this;
    }

    /* access modifiers changed from: package-private */
    public void t() {
        this.f8588c.post(new a());
    }

    public void w() {
        x(3);
    }

    /* access modifiers changed from: protected */
    public void x(int i7) {
        b.c().b(this.f8605t, i7);
    }

    @Nullable
    public View z() {
        return this.f8592g;
    }

    protected BaseTransientBottomBar(@NonNull ViewGroup viewGroup, @NonNull View view, @NonNull a aVar) {
        this(viewGroup.getContext(), viewGroup, view, aVar);
    }
}
