package com.google.android.material.snackbar;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.PorterDuff;
import android.graphics.drawable.Drawable;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.accessibility.AccessibilityManager;
import android.widget.Button;
import android.widget.FrameLayout;
import androidx.annotation.ColorInt;
import androidx.annotation.Dimension;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.annotation.StringRes;
import androidx.coordinatorlayout.widget.CoordinatorLayout;
import b0.a;
import com.google.android.material.snackbar.BaseTransientBottomBar;

public class Snackbar extends BaseTransientBottomBar<Snackbar> {
    private static final int[] N;
    private static final int[] O;
    @Nullable
    private final AccessibilityManager K;
    private boolean L;
    @Nullable
    private BaseTransientBottomBar.t<Snackbar> M;

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public static final class SnackbarLayout extends BaseTransientBottomBar.z {
        public SnackbarLayout(Context context) {
            super(context);
        }

        /* access modifiers changed from: protected */
        public void onMeasure(int i7, int i8) {
            super.onMeasure(i7, i8);
            int childCount = getChildCount();
            int measuredWidth = (getMeasuredWidth() - getPaddingLeft()) - getPaddingRight();
            for (int i9 = 0; i9 < childCount; i9++) {
                View childAt = getChildAt(i9);
                if (childAt.getLayoutParams().width == -1) {
                    childAt.measure(View.MeasureSpec.makeMeasureSpec(measuredWidth, 1073741824), View.MeasureSpec.makeMeasureSpec(childAt.getMeasuredHeight(), 1073741824));
                }
            }
        }

        @Override // com.google.android.material.snackbar.BaseTransientBottomBar.z
        public /* bridge */ /* synthetic */ void setBackground(@Nullable Drawable drawable) {
            super.setBackground(drawable);
        }

        @Override // com.google.android.material.snackbar.BaseTransientBottomBar.z
        public /* bridge */ /* synthetic */ void setBackgroundDrawable(@Nullable Drawable drawable) {
            super.setBackgroundDrawable(drawable);
        }

        @Override // com.google.android.material.snackbar.BaseTransientBottomBar.z
        public /* bridge */ /* synthetic */ void setBackgroundTintList(@Nullable ColorStateList colorStateList) {
            super.setBackgroundTintList(colorStateList);
        }

        @Override // com.google.android.material.snackbar.BaseTransientBottomBar.z
        public /* bridge */ /* synthetic */ void setBackgroundTintMode(@Nullable PorterDuff.Mode mode) {
            super.setBackgroundTintMode(mode);
        }

        @Override // com.google.android.material.snackbar.BaseTransientBottomBar.z
        public /* bridge */ /* synthetic */ void setOnClickListener(@Nullable View.OnClickListener onClickListener) {
            super.setOnClickListener(onClickListener);
        }

        public SnackbarLayout(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
        }
    }

    /* access modifiers changed from: package-private */
    public class a implements View.OnClickListener {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ View.OnClickListener f8644a;

        a(View.OnClickListener onClickListener) {
            this.f8644a = onClickListener;
        }

        public void onClick(View view) {
            this.f8644a.onClick(view);
            Snackbar.this.x(1);
        }
    }

    public static class b extends BaseTransientBottomBar.t<Snackbar> {

        /* renamed from: f  reason: collision with root package name */
        public static final int f8646f = 0;

        /* renamed from: g  reason: collision with root package name */
        public static final int f8647g = 1;

        /* renamed from: h  reason: collision with root package name */
        public static final int f8648h = 2;

        /* renamed from: i  reason: collision with root package name */
        public static final int f8649i = 3;

        /* renamed from: j  reason: collision with root package name */
        public static final int f8650j = 4;

        /* renamed from: c */
        public void a(Snackbar snackbar, int i7) {
        }

        /* renamed from: d */
        public void b(Snackbar snackbar) {
        }
    }

    static {
        int i7 = a.c.Jc;
        N = new int[]{i7};
        O = new int[]{i7, a.c.Lc};
    }

    private Snackbar(@NonNull Context context, @NonNull ViewGroup viewGroup, @NonNull View view, @NonNull a aVar) {
        super(context, viewGroup, view, aVar);
        this.K = (AccessibilityManager) viewGroup.getContext().getSystemService("accessibility");
    }

    @Nullable
    private static ViewGroup n0(View view) {
        ViewGroup viewGroup = null;
        while (!(view instanceof CoordinatorLayout)) {
            if (view instanceof FrameLayout) {
                if (view.getId() == 16908290) {
                    return (ViewGroup) view;
                }
                viewGroup = (ViewGroup) view;
            }
            if (view != null) {
                ViewParent parent = view.getParent();
                if (parent instanceof View) {
                    view = (View) parent;
                    continue;
                } else {
                    view = null;
                    continue;
                }
            }
            if (view == null) {
                return viewGroup;
            }
        }
        return (ViewGroup) view;
    }

    @Deprecated
    protected static boolean o0(@NonNull Context context) {
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(N);
        int resourceId = obtainStyledAttributes.getResourceId(0, -1);
        obtainStyledAttributes.recycle();
        return resourceId != -1;
    }

    private static boolean p0(@NonNull Context context) {
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(O);
        int resourceId = obtainStyledAttributes.getResourceId(0, -1);
        int resourceId2 = obtainStyledAttributes.getResourceId(1, -1);
        obtainStyledAttributes.recycle();
        return (resourceId == -1 || resourceId2 == -1) ? false : true;
    }

    @NonNull
    public static Snackbar q0(@NonNull Context context, @NonNull View view, @NonNull CharSequence charSequence, int i7) {
        return t0(context, view, charSequence, i7);
    }

    @NonNull
    public static Snackbar r0(@NonNull View view, @StringRes int i7, int i8) {
        return s0(view, view.getResources().getText(i7), i8);
    }

    @NonNull
    public static Snackbar s0(@NonNull View view, @NonNull CharSequence charSequence, int i7) {
        return t0(null, view, charSequence, i7);
    }

    @NonNull
    private static Snackbar t0(@Nullable Context context, @NonNull View view, @NonNull CharSequence charSequence, int i7) {
        ViewGroup n02 = n0(view);
        if (n02 != null) {
            if (context == null) {
                context = n02.getContext();
            }
            SnackbarContentLayout snackbarContentLayout = (SnackbarContentLayout) LayoutInflater.from(context).inflate(p0(context) ? a.k.f1558x0 : a.k.G, n02, false);
            Snackbar snackbar = new Snackbar(context, n02, snackbarContentLayout, snackbarContentLayout);
            snackbar.E0(charSequence);
            snackbar.a0(i7);
            return snackbar;
        }
        throw new IllegalArgumentException("No suitable parent found from the given view. Please provide a valid view.");
    }

    @NonNull
    public Snackbar A0(@Nullable PorterDuff.Mode mode) {
        this.f8588c.setBackgroundTintMode(mode);
        return this;
    }

    @NonNull
    @Deprecated
    public Snackbar B0(@Nullable b bVar) {
        BaseTransientBottomBar.t<Snackbar> tVar = this.M;
        if (tVar != null) {
            U(tVar);
        }
        if (bVar != null) {
            s(bVar);
        }
        this.M = bVar;
        return this;
    }

    @NonNull
    public Snackbar C0(@Dimension int i7) {
        ((SnackbarContentLayout) this.f8588c.getChildAt(0)).setMaxInlineActionWidth(i7);
        return this;
    }

    @Override // com.google.android.material.snackbar.BaseTransientBottomBar
    public int D() {
        int D = super.D();
        if (D == -2) {
            return -2;
        }
        return this.K.getRecommendedTimeoutMillis(D, (this.L ? 4 : 0) | 1 | 2);
    }

    @NonNull
    public Snackbar D0(@StringRes int i7) {
        return E0(C().getText(i7));
    }

    @NonNull
    public Snackbar E0(@NonNull CharSequence charSequence) {
        ((SnackbarContentLayout) this.f8588c.getChildAt(0)).getMessageView().setText(charSequence);
        return this;
    }

    @NonNull
    public Snackbar F0(@ColorInt int i7) {
        ((SnackbarContentLayout) this.f8588c.getChildAt(0)).getMessageView().setTextColor(i7);
        return this;
    }

    @NonNull
    public Snackbar G0(ColorStateList colorStateList) {
        ((SnackbarContentLayout) this.f8588c.getChildAt(0)).getMessageView().setTextColor(colorStateList);
        return this;
    }

    @Override // com.google.android.material.snackbar.BaseTransientBottomBar
    public boolean P() {
        return super.P();
    }

    @Override // com.google.android.material.snackbar.BaseTransientBottomBar
    public void f0() {
        super.f0();
    }

    @NonNull
    public Snackbar u0(@StringRes int i7, View.OnClickListener onClickListener) {
        return v0(C().getText(i7), onClickListener);
    }

    @NonNull
    public Snackbar v0(@Nullable CharSequence charSequence, @Nullable View.OnClickListener onClickListener) {
        Button actionView = ((SnackbarContentLayout) this.f8588c.getChildAt(0)).getActionView();
        if (TextUtils.isEmpty(charSequence) || onClickListener == null) {
            actionView.setVisibility(8);
            actionView.setOnClickListener(null);
            this.L = false;
        } else {
            this.L = true;
            actionView.setVisibility(0);
            actionView.setText(charSequence);
            actionView.setOnClickListener(new a(onClickListener));
        }
        return this;
    }

    @Override // com.google.android.material.snackbar.BaseTransientBottomBar
    public void w() {
        super.w();
    }

    @NonNull
    public Snackbar w0(@ColorInt int i7) {
        ((SnackbarContentLayout) this.f8588c.getChildAt(0)).getActionView().setTextColor(i7);
        return this;
    }

    @NonNull
    public Snackbar x0(ColorStateList colorStateList) {
        ((SnackbarContentLayout) this.f8588c.getChildAt(0)).getActionView().setTextColor(colorStateList);
        return this;
    }

    @NonNull
    public Snackbar y0(@ColorInt int i7) {
        return z0(ColorStateList.valueOf(i7));
    }

    @NonNull
    public Snackbar z0(@Nullable ColorStateList colorStateList) {
        this.f8588c.setBackgroundTintList(colorStateList);
        return this;
    }
}
