package com.google.android.material.tabs;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.ValueAnimator;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.database.DataSetObserver;
import android.graphics.Canvas;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.GradientDrawable;
import android.graphics.drawable.RippleDrawable;
import android.text.Layout;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.accessibility.AccessibilityNodeInfo;
import android.widget.FrameLayout;
import android.widget.HorizontalScrollView;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.annotation.BoolRes;
import androidx.annotation.ColorInt;
import androidx.annotation.ColorRes;
import androidx.annotation.Dimension;
import androidx.annotation.DrawableRes;
import androidx.annotation.LayoutRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.annotation.RestrictTo;
import androidx.annotation.StringRes;
import androidx.appcompat.R;
import androidx.appcompat.content.res.AppCompatResources;
import androidx.appcompat.widget.TooltipCompat;
import androidx.core.graphics.drawable.DrawableCompat;
import androidx.core.util.Pools;
import androidx.core.view.GravityCompat;
import androidx.core.view.MarginLayoutParamsCompat;
import androidx.core.view.PointerIconCompat;
import androidx.core.view.ViewCompat;
import androidx.core.view.accessibility.AccessibilityNodeInfoCompat;
import androidx.core.widget.TextViewCompat;
import androidx.viewpager.widget.PagerAdapter;
import androidx.viewpager.widget.ViewPager;
import b0.a;
import com.google.android.material.badge.BadgeDrawable;
import com.google.android.material.internal.q;
import com.google.android.material.internal.y;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.Iterator;

@ViewPager.DecorView
public class d extends HorizontalScrollView {
    private static final int Q = a.n.Aa;
    @Dimension(unit = 0)
    private static final int R = 72;
    @Dimension(unit = 0)
    static final int S = 8;
    @Dimension(unit = 0)
    private static final int T = 48;
    @Dimension(unit = 0)
    private static final int U = 56;
    @Dimension(unit = 0)
    static final int V = 16;
    private static final int W = -1;

    /* renamed from: a0  reason: collision with root package name */
    private static final int f8678a0 = 300;

    /* renamed from: b0  reason: collision with root package name */
    private static final Pools.Pool<i> f8679b0 = new Pools.SynchronizedPool(16);

    /* renamed from: c0  reason: collision with root package name */
    private static final String f8680c0 = "TabLayout";

    /* renamed from: d0  reason: collision with root package name */
    public static final int f8681d0 = 0;

    /* renamed from: e0  reason: collision with root package name */
    public static final int f8682e0 = 1;

    /* renamed from: f0  reason: collision with root package name */
    public static final int f8683f0 = 2;

    /* renamed from: g0  reason: collision with root package name */
    public static final int f8684g0 = 0;

    /* renamed from: h0  reason: collision with root package name */
    public static final int f8685h0 = 1;

    /* renamed from: i0  reason: collision with root package name */
    public static final int f8686i0 = 0;

    /* renamed from: j0  reason: collision with root package name */
    public static final int f8687j0 = 1;

    /* renamed from: k0  reason: collision with root package name */
    public static final int f8688k0 = 2;

    /* renamed from: l0  reason: collision with root package name */
    public static final int f8689l0 = 0;

    /* renamed from: m0  reason: collision with root package name */
    public static final int f8690m0 = 1;

    /* renamed from: n0  reason: collision with root package name */
    public static final int f8691n0 = 2;

    /* renamed from: o0  reason: collision with root package name */
    public static final int f8692o0 = 3;

    /* renamed from: p0  reason: collision with root package name */
    public static final int f8693p0 = 0;

    /* renamed from: q0  reason: collision with root package name */
    public static final int f8694q0 = 1;
    boolean A;
    boolean B;
    int C;
    boolean D;
    private b E;
    @Nullable
    private c F;
    private final ArrayList<c> G;
    @Nullable
    private c H;
    private ValueAnimator I;
    @Nullable
    ViewPager J;
    @Nullable
    private PagerAdapter K;
    private DataSetObserver L;
    private m M;
    private b N;
    private boolean O;
    private final Pools.Pool<n> P;

    /* renamed from: a  reason: collision with root package name */
    private final ArrayList<i> f8695a;
    @Nullable

    /* renamed from: b  reason: collision with root package name */
    private i f8696b;
    @NonNull

    /* renamed from: c  reason: collision with root package name */
    final h f8697c;

    /* renamed from: d  reason: collision with root package name */
    int f8698d;

    /* renamed from: e  reason: collision with root package name */
    int f8699e;

    /* renamed from: f  reason: collision with root package name */
    int f8700f;

    /* renamed from: g  reason: collision with root package name */
    int f8701g;

    /* renamed from: h  reason: collision with root package name */
    int f8702h;

    /* renamed from: i  reason: collision with root package name */
    ColorStateList f8703i;

    /* renamed from: j  reason: collision with root package name */
    ColorStateList f8704j;

    /* renamed from: k  reason: collision with root package name */
    ColorStateList f8705k;
    @NonNull

    /* renamed from: l  reason: collision with root package name */
    Drawable f8706l;

    /* renamed from: m  reason: collision with root package name */
    private int f8707m;

    /* renamed from: n  reason: collision with root package name */
    PorterDuff.Mode f8708n;

    /* renamed from: o  reason: collision with root package name */
    float f8709o;

    /* renamed from: p  reason: collision with root package name */
    float f8710p;

    /* renamed from: q  reason: collision with root package name */
    final int f8711q;

    /* renamed from: r  reason: collision with root package name */
    int f8712r;

    /* renamed from: s  reason: collision with root package name */
    private final int f8713s;

    /* renamed from: t  reason: collision with root package name */
    private final int f8714t;

    /* renamed from: u  reason: collision with root package name */
    private final int f8715u;

    /* renamed from: v  reason: collision with root package name */
    private int f8716v;

    /* renamed from: w  reason: collision with root package name */
    int f8717w;

    /* renamed from: x  reason: collision with root package name */
    int f8718x;

    /* renamed from: y  reason: collision with root package name */
    int f8719y;

    /* renamed from: z  reason: collision with root package name */
    int f8720z;

    /* access modifiers changed from: package-private */
    public class a implements ValueAnimator.AnimatorUpdateListener {
        a() {
        }

        public void onAnimationUpdate(@NonNull ValueAnimator valueAnimator) {
            d.this.scrollTo(((Integer) valueAnimator.getAnimatedValue()).intValue(), 0);
        }
    }

    /* access modifiers changed from: private */
    public class b implements ViewPager.OnAdapterChangeListener {

        /* renamed from: a  reason: collision with root package name */
        private boolean f8722a;

        b() {
        }

        /* access modifiers changed from: package-private */
        public void a(boolean z7) {
            this.f8722a = z7;
        }

        @Override // androidx.viewpager.widget.ViewPager.OnAdapterChangeListener
        public void onAdapterChanged(@NonNull ViewPager viewPager, @Nullable PagerAdapter pagerAdapter, @Nullable PagerAdapter pagerAdapter2) {
            d dVar = d.this;
            if (dVar.J == viewPager) {
                dVar.O(pagerAdapter2, this.f8722a);
            }
        }
    }

    @Deprecated
    public interface c<T extends i> {
        void a(T t7);

        void b(T t7);

        void c(T t7);
    }

    /* renamed from: com.google.android.material.tabs.d$d  reason: collision with other inner class name */
    public @interface AbstractC0096d {
    }

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public @interface e {
    }

    public interface f extends c<i> {
    }

    /* access modifiers changed from: private */
    public class g extends DataSetObserver {
        g() {
        }

        public void onChanged() {
            d.this.E();
        }

        public void onInvalidated() {
            d.this.E();
        }
    }

    /* access modifiers changed from: package-private */
    public class h extends LinearLayout {

        /* renamed from: a  reason: collision with root package name */
        ValueAnimator f8725a;

        /* renamed from: b  reason: collision with root package name */
        int f8726b = -1;

        /* renamed from: c  reason: collision with root package name */
        float f8727c;

        /* renamed from: d  reason: collision with root package name */
        private int f8728d = -1;

        /* access modifiers changed from: package-private */
        public class a implements ValueAnimator.AnimatorUpdateListener {

            /* renamed from: f  reason: collision with root package name */
            final /* synthetic */ View f8730f;

            /* renamed from: g  reason: collision with root package name */
            final /* synthetic */ View f8731g;

            a(View view, View view2) {
                this.f8730f = view;
                this.f8731g = view2;
            }

            public void onAnimationUpdate(@NonNull ValueAnimator valueAnimator) {
                h.this.h(this.f8730f, this.f8731g, valueAnimator.getAnimatedFraction());
            }
        }

        /* access modifiers changed from: package-private */
        public class b extends AnimatorListenerAdapter {

            /* renamed from: f  reason: collision with root package name */
            final /* synthetic */ int f8733f;

            b(int i7) {
                this.f8733f = i7;
            }

            public void onAnimationEnd(Animator animator) {
                h.this.f8726b = this.f8733f;
            }

            public void onAnimationStart(Animator animator) {
                h.this.f8726b = this.f8733f;
            }
        }

        h(Context context) {
            super(context);
            setWillNotDraw(false);
        }

        private void e() {
            View childAt = getChildAt(this.f8726b);
            b bVar = d.this.E;
            d dVar = d.this;
            bVar.d(dVar, childAt, dVar.f8706l);
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void h(View view, View view2, float f7) {
            if (view != null && view.getWidth() > 0) {
                b bVar = d.this.E;
                d dVar = d.this;
                bVar.c(dVar, view, view2, f7, dVar.f8706l);
            } else {
                Drawable drawable = d.this.f8706l;
                drawable.setBounds(-1, drawable.getBounds().top, -1, d.this.f8706l.getBounds().bottom);
            }
            ViewCompat.postInvalidateOnAnimation(this);
        }

        private void i(boolean z7, int i7, int i8) {
            View childAt = getChildAt(this.f8726b);
            View childAt2 = getChildAt(i7);
            if (childAt2 == null) {
                e();
                return;
            }
            a aVar = new a(childAt, childAt2);
            if (z7) {
                ValueAnimator valueAnimator = new ValueAnimator();
                this.f8725a = valueAnimator;
                valueAnimator.setInterpolator(com.google.android.material.animation.a.f6955b);
                valueAnimator.setDuration((long) i8);
                valueAnimator.setFloatValues(0.0f, 1.0f);
                valueAnimator.addUpdateListener(aVar);
                valueAnimator.addListener(new b(i7));
                valueAnimator.start();
                return;
            }
            this.f8725a.removeAllUpdateListeners();
            this.f8725a.addUpdateListener(aVar);
        }

        /* access modifiers changed from: package-private */
        public void b(int i7, int i8) {
            ValueAnimator valueAnimator = this.f8725a;
            if (valueAnimator != null && valueAnimator.isRunning()) {
                this.f8725a.cancel();
            }
            i(true, i7, i8);
        }

        /* access modifiers changed from: package-private */
        public boolean c() {
            int childCount = getChildCount();
            for (int i7 = 0; i7 < childCount; i7++) {
                if (getChildAt(i7).getWidth() <= 0) {
                    return true;
                }
            }
            return false;
        }

        /* access modifiers changed from: package-private */
        public float d() {
            return ((float) this.f8726b) + this.f8727c;
        }

        /* JADX WARNING: Removed duplicated region for block: B:17:0x004f  */
        public void draw(@NonNull Canvas canvas) {
            int i7;
            int height = d.this.f8706l.getBounds().height();
            if (height < 0) {
                height = d.this.f8706l.getIntrinsicHeight();
            }
            int i8 = d.this.f8719y;
            if (i8 != 0) {
                if (i8 != 1) {
                    i7 = 0;
                    if (i8 != 2) {
                        if (i8 != 3) {
                            height = 0;
                        }
                    }
                } else {
                    i7 = (getHeight() - height) / 2;
                    height = (getHeight() + height) / 2;
                }
                if (d.this.f8706l.getBounds().width() > 0) {
                    Rect bounds = d.this.f8706l.getBounds();
                    d.this.f8706l.setBounds(bounds.left, i7, bounds.right, height);
                    d dVar = d.this;
                    Drawable drawable = dVar.f8706l;
                    if (dVar.f8707m != 0) {
                        drawable = DrawableCompat.wrap(drawable);
                        DrawableCompat.setTint(drawable, d.this.f8707m);
                    }
                    drawable.draw(canvas);
                }
                super.draw(canvas);
            }
            i7 = getHeight() - height;
            height = getHeight();
            if (d.this.f8706l.getBounds().width() > 0) {
            }
            super.draw(canvas);
        }

        /* access modifiers changed from: package-private */
        public void f(int i7, float f7) {
            ValueAnimator valueAnimator = this.f8725a;
            if (valueAnimator != null && valueAnimator.isRunning()) {
                this.f8725a.cancel();
            }
            this.f8726b = i7;
            this.f8727c = f7;
            h(getChildAt(i7), getChildAt(this.f8726b + 1), this.f8727c);
        }

        /* access modifiers changed from: package-private */
        public void g(int i7) {
            Rect bounds = d.this.f8706l.getBounds();
            d.this.f8706l.setBounds(bounds.left, 0, bounds.right, i7);
            requestLayout();
        }

        /* access modifiers changed from: protected */
        public void onLayout(boolean z7, int i7, int i8, int i9, int i10) {
            super.onLayout(z7, i7, i8, i9, i10);
            ValueAnimator valueAnimator = this.f8725a;
            if (valueAnimator == null || !valueAnimator.isRunning()) {
                e();
            } else {
                i(false, this.f8726b, -1);
            }
        }

        /* access modifiers changed from: protected */
        public void onMeasure(int i7, int i8) {
            super.onMeasure(i7, i8);
            if (View.MeasureSpec.getMode(i7) == 1073741824) {
                d dVar = d.this;
                boolean z7 = true;
                if (dVar.f8717w == 1 || dVar.f8720z == 2) {
                    int childCount = getChildCount();
                    int i9 = 0;
                    for (int i10 = 0; i10 < childCount; i10++) {
                        View childAt = getChildAt(i10);
                        if (childAt.getVisibility() == 0) {
                            i9 = Math.max(i9, childAt.getMeasuredWidth());
                        }
                    }
                    if (i9 > 0) {
                        if (i9 * childCount <= getMeasuredWidth() - (((int) y.e(getContext(), 16)) * 2)) {
                            boolean z8 = false;
                            for (int i11 = 0; i11 < childCount; i11++) {
                                LinearLayout.LayoutParams layoutParams = (LinearLayout.LayoutParams) getChildAt(i11).getLayoutParams();
                                if (layoutParams.width != i9 || layoutParams.weight != 0.0f) {
                                    layoutParams.width = i9;
                                    layoutParams.weight = 0.0f;
                                    z8 = true;
                                }
                            }
                            z7 = z8;
                        } else {
                            d dVar2 = d.this;
                            dVar2.f8717w = 0;
                            dVar2.W(false);
                        }
                        if (z7) {
                            super.onMeasure(i7, i8);
                        }
                    }
                }
            }
        }

        public void onRtlPropertiesChanged(int i7) {
            super.onRtlPropertiesChanged(i7);
        }
    }

    public static class i {

        /* renamed from: k  reason: collision with root package name */
        public static final int f8735k = -1;
        @Nullable

        /* renamed from: a  reason: collision with root package name */
        private Object f8736a;
        @Nullable

        /* renamed from: b  reason: collision with root package name */
        private Drawable f8737b;
        @Nullable

        /* renamed from: c  reason: collision with root package name */
        private CharSequence f8738c;
        @Nullable

        /* renamed from: d  reason: collision with root package name */
        private CharSequence f8739d;

        /* renamed from: e  reason: collision with root package name */
        private int f8740e = -1;
        @Nullable

        /* renamed from: f  reason: collision with root package name */
        private View f8741f;
        @AbstractC0096d

        /* renamed from: g  reason: collision with root package name */
        private int f8742g = 1;
        @Nullable

        /* renamed from: h  reason: collision with root package name */
        public d f8743h;
        @NonNull

        /* renamed from: i  reason: collision with root package name */
        public n f8744i;

        /* renamed from: j  reason: collision with root package name */
        private int f8745j = -1;

        @NonNull
        public i A(@AbstractC0096d int i7) {
            this.f8742g = i7;
            d dVar = this.f8743h;
            if (dVar.f8717w == 1 || dVar.f8720z == 2) {
                dVar.W(true);
            }
            E();
            if (com.google.android.material.badge.a.f7141a && this.f8744i.o() && this.f8744i.f8753e.isVisible()) {
                this.f8744i.invalidate();
            }
            return this;
        }

        @NonNull
        public i B(@Nullable Object obj) {
            this.f8736a = obj;
            return this;
        }

        @NonNull
        public i C(@StringRes int i7) {
            d dVar = this.f8743h;
            if (dVar != null) {
                return D(dVar.getResources().getText(i7));
            }
            throw new IllegalArgumentException("Tab not attached to a TabLayout");
        }

        @NonNull
        public i D(@Nullable CharSequence charSequence) {
            if (TextUtils.isEmpty(this.f8739d) && !TextUtils.isEmpty(charSequence)) {
                this.f8744i.setContentDescription(charSequence);
            }
            this.f8738c = charSequence;
            E();
            return this;
        }

        /* access modifiers changed from: package-private */
        public void E() {
            n nVar = this.f8744i;
            if (nVar != null) {
                nVar.x();
            }
        }

        @Nullable
        public BadgeDrawable e() {
            return this.f8744i.getBadge();
        }

        @Nullable
        public CharSequence f() {
            n nVar = this.f8744i;
            if (nVar == null) {
                return null;
            }
            return nVar.getContentDescription();
        }

        @Nullable
        public View g() {
            return this.f8741f;
        }

        @Nullable
        public Drawable h() {
            return this.f8737b;
        }

        public int i() {
            return this.f8745j;
        }

        @NonNull
        public BadgeDrawable j() {
            return this.f8744i.getOrCreateBadge();
        }

        public int k() {
            return this.f8740e;
        }

        @AbstractC0096d
        public int l() {
            return this.f8742g;
        }

        @Nullable
        public Object m() {
            return this.f8736a;
        }

        @Nullable
        public CharSequence n() {
            return this.f8738c;
        }

        public boolean o() {
            d dVar = this.f8743h;
            if (dVar != null) {
                return dVar.getSelectedTabPosition() == this.f8740e;
            }
            throw new IllegalArgumentException("Tab not attached to a TabLayout");
        }

        public void p() {
            this.f8744i.r();
        }

        /* access modifiers changed from: package-private */
        public void q() {
            this.f8743h = null;
            this.f8744i = null;
            this.f8736a = null;
            this.f8737b = null;
            this.f8745j = -1;
            this.f8738c = null;
            this.f8739d = null;
            this.f8740e = -1;
            this.f8741f = null;
        }

        public void r() {
            d dVar = this.f8743h;
            if (dVar != null) {
                dVar.M(this);
                return;
            }
            throw new IllegalArgumentException("Tab not attached to a TabLayout");
        }

        @NonNull
        public i s(@StringRes int i7) {
            d dVar = this.f8743h;
            if (dVar != null) {
                return t(dVar.getResources().getText(i7));
            }
            throw new IllegalArgumentException("Tab not attached to a TabLayout");
        }

        @NonNull
        public i t(@Nullable CharSequence charSequence) {
            this.f8739d = charSequence;
            E();
            return this;
        }

        @NonNull
        public i u(@LayoutRes int i7) {
            return v(LayoutInflater.from(this.f8744i.getContext()).inflate(i7, (ViewGroup) this.f8744i, false));
        }

        @NonNull
        public i v(@Nullable View view) {
            this.f8741f = view;
            E();
            return this;
        }

        @NonNull
        public i w(@DrawableRes int i7) {
            d dVar = this.f8743h;
            if (dVar != null) {
                return x(AppCompatResources.getDrawable(dVar.getContext(), i7));
            }
            throw new IllegalArgumentException("Tab not attached to a TabLayout");
        }

        @NonNull
        public i x(@Nullable Drawable drawable) {
            this.f8737b = drawable;
            d dVar = this.f8743h;
            if (dVar.f8717w == 1 || dVar.f8720z == 2) {
                dVar.W(true);
            }
            E();
            if (com.google.android.material.badge.a.f7141a && this.f8744i.o() && this.f8744i.f8753e.isVisible()) {
                this.f8744i.invalidate();
            }
            return this;
        }

        @NonNull
        public i y(int i7) {
            this.f8745j = i7;
            n nVar = this.f8744i;
            if (nVar != null) {
                nVar.setId(i7);
            }
            return this;
        }

        /* access modifiers changed from: package-private */
        public void z(int i7) {
            this.f8740e = i7;
        }
    }

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public @interface j {
    }

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public @interface k {
    }

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public @interface l {
    }

    public static class m implements ViewPager.OnPageChangeListener {
        @NonNull

        /* renamed from: a  reason: collision with root package name */
        private final WeakReference<d> f8746a;

        /* renamed from: b  reason: collision with root package name */
        private int f8747b;

        /* renamed from: c  reason: collision with root package name */
        private int f8748c;

        public m(d dVar) {
            this.f8746a = new WeakReference<>(dVar);
        }

        /* access modifiers changed from: package-private */
        public void a() {
            this.f8748c = 0;
            this.f8747b = 0;
        }

        @Override // androidx.viewpager.widget.ViewPager.OnPageChangeListener
        public void onPageScrollStateChanged(int i7) {
            this.f8747b = this.f8748c;
            this.f8748c = i7;
        }

        @Override // androidx.viewpager.widget.ViewPager.OnPageChangeListener
        public void onPageScrolled(int i7, float f7, int i8) {
            d dVar = this.f8746a.get();
            if (dVar != null) {
                int i9 = this.f8748c;
                boolean z7 = false;
                boolean z8 = i9 != 2 || this.f8747b == 1;
                if (!(i9 == 2 && this.f8747b == 0)) {
                    z7 = true;
                }
                dVar.Q(i7, f7, z8, z7);
            }
        }

        @Override // androidx.viewpager.widget.ViewPager.OnPageChangeListener
        public void onPageSelected(int i7) {
            d dVar = this.f8746a.get();
            if (dVar != null && dVar.getSelectedTabPosition() != i7 && i7 < dVar.getTabCount()) {
                int i8 = this.f8748c;
                dVar.N(dVar.z(i7), i8 == 0 || (i8 == 2 && this.f8747b == 0));
            }
        }
    }

    public final class n extends LinearLayout {

        /* renamed from: a  reason: collision with root package name */
        private i f8749a;

        /* renamed from: b  reason: collision with root package name */
        private TextView f8750b;

        /* renamed from: c  reason: collision with root package name */
        private ImageView f8751c;
        @Nullable

        /* renamed from: d  reason: collision with root package name */
        private View f8752d;
        @Nullable

        /* renamed from: e  reason: collision with root package name */
        private BadgeDrawable f8753e;
        @Nullable

        /* renamed from: f  reason: collision with root package name */
        private View f8754f;
        @Nullable

        /* renamed from: g  reason: collision with root package name */
        private TextView f8755g;
        @Nullable

        /* renamed from: h  reason: collision with root package name */
        private ImageView f8756h;
        @Nullable

        /* renamed from: i  reason: collision with root package name */
        private Drawable f8757i;

        /* renamed from: j  reason: collision with root package name */
        private int f8758j = 2;

        /* access modifiers changed from: package-private */
        public class a implements View.OnLayoutChangeListener {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ View f8760a;

            a(View view) {
                this.f8760a = view;
            }

            public void onLayoutChange(View view, int i7, int i8, int i9, int i10, int i11, int i12, int i13, int i14) {
                if (this.f8760a.getVisibility() == 0) {
                    n.this.w(this.f8760a);
                }
            }
        }

        public n(@NonNull Context context) {
            super(context);
            y(context);
            ViewCompat.setPaddingRelative(this, d.this.f8698d, d.this.f8699e, d.this.f8700f, d.this.f8701g);
            setGravity(17);
            setOrientation(!d.this.A ? 1 : 0);
            setClickable(true);
            ViewCompat.setPointerIcon(this, PointerIconCompat.getSystemIcon(getContext(), PointerIconCompat.TYPE_HAND));
        }

        private void A(@Nullable TextView textView, @Nullable ImageView imageView) {
            i iVar = this.f8749a;
            CharSequence charSequence = null;
            Drawable mutate = (iVar == null || iVar.h() == null) ? null : DrawableCompat.wrap(this.f8749a.h()).mutate();
            i iVar2 = this.f8749a;
            CharSequence n7 = iVar2 != null ? iVar2.n() : null;
            if (imageView != null) {
                if (mutate != null) {
                    imageView.setImageDrawable(mutate);
                    imageView.setVisibility(0);
                    setVisibility(0);
                } else {
                    imageView.setVisibility(8);
                    imageView.setImageDrawable(null);
                }
            }
            boolean z7 = !TextUtils.isEmpty(n7);
            if (textView != null) {
                if (z7) {
                    textView.setText(n7);
                    if (this.f8749a.f8742g == 1) {
                        textView.setVisibility(0);
                    } else {
                        textView.setVisibility(8);
                    }
                    setVisibility(0);
                } else {
                    textView.setVisibility(8);
                    textView.setText((CharSequence) null);
                }
            }
            if (imageView != null) {
                ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) imageView.getLayoutParams();
                int e7 = (!z7 || imageView.getVisibility() != 0) ? 0 : (int) y.e(getContext(), 8);
                if (d.this.A) {
                    if (e7 != MarginLayoutParamsCompat.getMarginEnd(marginLayoutParams)) {
                        MarginLayoutParamsCompat.setMarginEnd(marginLayoutParams, e7);
                        marginLayoutParams.bottomMargin = 0;
                    }
                } else if (e7 != marginLayoutParams.bottomMargin) {
                    marginLayoutParams.bottomMargin = e7;
                    MarginLayoutParamsCompat.setMarginEnd(marginLayoutParams, 0);
                }
                imageView.setLayoutParams(marginLayoutParams);
                imageView.requestLayout();
            }
            i iVar3 = this.f8749a;
            if (iVar3 != null) {
                charSequence = iVar3.f8739d;
            }
            if (!z7) {
                n7 = charSequence;
            }
            TooltipCompat.setTooltipText(this, n7);
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        @Nullable
        private BadgeDrawable getBadge() {
            return this.f8753e;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        @NonNull
        private BadgeDrawable getOrCreateBadge() {
            if (this.f8753e == null) {
                this.f8753e = BadgeDrawable.d(getContext());
            }
            v();
            BadgeDrawable badgeDrawable = this.f8753e;
            if (badgeDrawable != null) {
                return badgeDrawable;
            }
            throw new IllegalStateException("Unable to create badge");
        }

        private void i(@Nullable View view) {
            if (view != null) {
                view.addOnLayoutChangeListener(new a(view));
            }
        }

        private float j(@NonNull Layout layout, int i7, float f7) {
            return layout.getLineWidth(i7) * (f7 / layout.getPaint().getTextSize());
        }

        private void k(boolean z7) {
            setClipChildren(z7);
            setClipToPadding(z7);
            ViewGroup viewGroup = (ViewGroup) getParent();
            if (viewGroup != null) {
                viewGroup.setClipChildren(z7);
                viewGroup.setClipToPadding(z7);
            }
        }

        @NonNull
        private FrameLayout l() {
            FrameLayout frameLayout = new FrameLayout(getContext());
            frameLayout.setLayoutParams(new FrameLayout.LayoutParams(-2, -2));
            return frameLayout;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void m(@NonNull Canvas canvas) {
            Drawable drawable = this.f8757i;
            if (drawable != null) {
                drawable.setBounds(getLeft(), getTop(), getRight(), getBottom());
                this.f8757i.draw(canvas);
            }
        }

        @Nullable
        private FrameLayout n(@NonNull View view) {
            if ((view == this.f8751c || view == this.f8750b) && com.google.android.material.badge.a.f7141a) {
                return (FrameLayout) view.getParent();
            }
            return null;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private boolean o() {
            return this.f8753e != null;
        }

        /* JADX DEBUG: Multi-variable search result rejected for r4v0, resolved type: com.google.android.material.tabs.d$n */
        /* JADX WARN: Multi-variable type inference failed */
        private void p() {
            FrameLayout frameLayout;
            if (com.google.android.material.badge.a.f7141a) {
                frameLayout = l();
                addView(frameLayout, 0);
            } else {
                frameLayout = this;
            }
            ImageView imageView = (ImageView) LayoutInflater.from(getContext()).inflate(a.k.H, (ViewGroup) frameLayout, false);
            this.f8751c = imageView;
            frameLayout.addView(imageView, 0);
        }

        /* JADX DEBUG: Multi-variable search result rejected for r4v0, resolved type: com.google.android.material.tabs.d$n */
        /* JADX WARN: Multi-variable type inference failed */
        private void q() {
            FrameLayout frameLayout;
            if (com.google.android.material.badge.a.f7141a) {
                frameLayout = l();
                addView(frameLayout);
            } else {
                frameLayout = this;
            }
            TextView textView = (TextView) LayoutInflater.from(getContext()).inflate(a.k.I, (ViewGroup) frameLayout, false);
            this.f8750b = textView;
            frameLayout.addView(textView);
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void r() {
            if (this.f8752d != null) {
                u();
            }
            this.f8753e = null;
        }

        private void t(@Nullable View view) {
            if (o() && view != null) {
                k(false);
                com.google.android.material.badge.a.b(this.f8753e, view, n(view));
                this.f8752d = view;
            }
        }

        private void u() {
            if (o()) {
                k(true);
                View view = this.f8752d;
                if (view != null) {
                    com.google.android.material.badge.a.g(this.f8753e, view);
                    this.f8752d = null;
                }
            }
        }

        private void v() {
            i iVar;
            View view;
            View view2;
            i iVar2;
            if (o()) {
                if (this.f8754f == null) {
                    if (this.f8751c != null && (iVar2 = this.f8749a) != null && iVar2.h() != null) {
                        View view3 = this.f8752d;
                        view = this.f8751c;
                        if (view3 != view) {
                            u();
                            view2 = this.f8751c;
                        }
                        w(view);
                        return;
                    } else if (!(this.f8750b == null || (iVar = this.f8749a) == null || iVar.l() != 1)) {
                        View view4 = this.f8752d;
                        view = this.f8750b;
                        if (view4 != view) {
                            u();
                            view2 = this.f8750b;
                        }
                        w(view);
                        return;
                    }
                    t(view2);
                    return;
                }
                u();
            }
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void w(@NonNull View view) {
            if (o() && view == this.f8752d) {
                com.google.android.material.badge.a.j(this.f8753e, view, n(view));
            }
        }

        /* JADX WARN: Multi-variable type inference failed */
        /* JADX WARN: Type inference failed for: r3v0, types: [android.graphics.drawable.RippleDrawable] */
        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        /* JADX WARNING: Unknown variable types count: 1 */
        private void y(Context context) {
            int i7 = d.this.f8711q;
            GradientDrawable gradientDrawable = null;
            if (i7 != 0) {
                Drawable drawable = AppCompatResources.getDrawable(context, i7);
                this.f8757i = drawable;
                if (drawable != null && drawable.isStateful()) {
                    this.f8757i.setState(getDrawableState());
                }
            } else {
                this.f8757i = null;
            }
            GradientDrawable gradientDrawable2 = new GradientDrawable();
            gradientDrawable2.setColor(0);
            if (d.this.f8705k != null) {
                GradientDrawable gradientDrawable3 = new GradientDrawable();
                gradientDrawable3.setCornerRadius(1.0E-5f);
                gradientDrawable3.setColor(-1);
                ColorStateList a8 = com.google.android.material.ripple.b.a(d.this.f8705k);
                boolean z7 = d.this.D;
                if (z7) {
                    gradientDrawable2 = null;
                }
                if (!z7) {
                    gradientDrawable = gradientDrawable3;
                }
                gradientDrawable2 = new RippleDrawable(a8, gradientDrawable2, gradientDrawable);
            }
            ViewCompat.setBackground(this, gradientDrawable2);
            d.this.invalidate();
        }

        /* access modifiers changed from: protected */
        public void drawableStateChanged() {
            super.drawableStateChanged();
            int[] drawableState = getDrawableState();
            Drawable drawable = this.f8757i;
            boolean z7 = false;
            if (drawable != null && drawable.isStateful()) {
                z7 = false | this.f8757i.setState(drawableState);
            }
            if (z7) {
                invalidate();
                d.this.invalidate();
            }
        }

        /* access modifiers changed from: package-private */
        public int getContentHeight() {
            View[] viewArr = {this.f8750b, this.f8751c, this.f8754f};
            int i7 = 0;
            int i8 = 0;
            boolean z7 = false;
            for (int i9 = 0; i9 < 3; i9++) {
                View view = viewArr[i9];
                if (view != null && view.getVisibility() == 0) {
                    i8 = z7 ? Math.min(i8, view.getTop()) : view.getTop();
                    i7 = z7 ? Math.max(i7, view.getBottom()) : view.getBottom();
                    z7 = true;
                }
            }
            return i7 - i8;
        }

        /* access modifiers changed from: package-private */
        public int getContentWidth() {
            View[] viewArr = {this.f8750b, this.f8751c, this.f8754f};
            int i7 = 0;
            int i8 = 0;
            boolean z7 = false;
            for (int i9 = 0; i9 < 3; i9++) {
                View view = viewArr[i9];
                if (view != null && view.getVisibility() == 0) {
                    i8 = z7 ? Math.min(i8, view.getLeft()) : view.getLeft();
                    i7 = z7 ? Math.max(i7, view.getRight()) : view.getRight();
                    z7 = true;
                }
            }
            return i7 - i8;
        }

        @Nullable
        public i getTab() {
            return this.f8749a;
        }

        public void onInitializeAccessibilityNodeInfo(@NonNull AccessibilityNodeInfo accessibilityNodeInfo) {
            super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
            BadgeDrawable badgeDrawable = this.f8753e;
            if (badgeDrawable != null && badgeDrawable.isVisible()) {
                CharSequence contentDescription = getContentDescription();
                accessibilityNodeInfo.setContentDescription(((Object) contentDescription) + ", " + ((Object) this.f8753e.o()));
            }
            AccessibilityNodeInfoCompat wrap = AccessibilityNodeInfoCompat.wrap(accessibilityNodeInfo);
            wrap.setCollectionItemInfo(AccessibilityNodeInfoCompat.CollectionItemInfoCompat.obtain(0, 1, this.f8749a.k(), 1, false, isSelected()));
            if (isSelected()) {
                wrap.setClickable(false);
                wrap.removeAction(AccessibilityNodeInfoCompat.AccessibilityActionCompat.ACTION_CLICK);
            }
            wrap.setRoleDescription(getResources().getString(a.m.P));
        }

        public void onMeasure(int i7, int i8) {
            Layout layout;
            int size = View.MeasureSpec.getSize(i7);
            int mode = View.MeasureSpec.getMode(i7);
            int tabMaxWidth = d.this.getTabMaxWidth();
            if (tabMaxWidth > 0 && (mode == 0 || size > tabMaxWidth)) {
                i7 = View.MeasureSpec.makeMeasureSpec(d.this.f8712r, Integer.MIN_VALUE);
            }
            super.onMeasure(i7, i8);
            if (this.f8750b != null) {
                float f7 = d.this.f8709o;
                int i9 = this.f8758j;
                ImageView imageView = this.f8751c;
                boolean z7 = true;
                if (imageView == null || imageView.getVisibility() != 0) {
                    TextView textView = this.f8750b;
                    if (textView != null && textView.getLineCount() > 1) {
                        f7 = d.this.f8710p;
                    }
                } else {
                    i9 = 1;
                }
                float textSize = this.f8750b.getTextSize();
                int lineCount = this.f8750b.getLineCount();
                int maxLines = TextViewCompat.getMaxLines(this.f8750b);
                int i10 = (f7 > textSize ? 1 : (f7 == textSize ? 0 : -1));
                if (i10 != 0 || (maxLines >= 0 && i9 != maxLines)) {
                    if (d.this.f8720z == 1 && i10 > 0 && lineCount == 1 && ((layout = this.f8750b.getLayout()) == null || j(layout, 0, f7) > ((float) ((getMeasuredWidth() - getPaddingLeft()) - getPaddingRight())))) {
                        z7 = false;
                    }
                    if (z7) {
                        this.f8750b.setTextSize(0, f7);
                        this.f8750b.setMaxLines(i9);
                        super.onMeasure(i7, i8);
                    }
                }
            }
        }

        public boolean performClick() {
            boolean performClick = super.performClick();
            if (this.f8749a == null) {
                return performClick;
            }
            if (!performClick) {
                playSoundEffect(0);
            }
            this.f8749a.r();
            return true;
        }

        /* access modifiers changed from: package-private */
        public void s() {
            setTab(null);
            setSelected(false);
        }

        public void setSelected(boolean z7) {
            if (isSelected() != z7) {
            }
            super.setSelected(z7);
            TextView textView = this.f8750b;
            if (textView != null) {
                textView.setSelected(z7);
            }
            ImageView imageView = this.f8751c;
            if (imageView != null) {
                imageView.setSelected(z7);
            }
            View view = this.f8754f;
            if (view != null) {
                view.setSelected(z7);
            }
        }

        /* access modifiers changed from: package-private */
        public void setTab(@Nullable i iVar) {
            if (iVar != this.f8749a) {
                this.f8749a = iVar;
                x();
            }
        }

        /* access modifiers changed from: package-private */
        public final void x() {
            i iVar = this.f8749a;
            Drawable drawable = null;
            View g7 = iVar != null ? iVar.g() : null;
            if (g7 != null) {
                ViewParent parent = g7.getParent();
                if (parent != this) {
                    if (parent != null) {
                        ((ViewGroup) parent).removeView(g7);
                    }
                    addView(g7);
                }
                this.f8754f = g7;
                TextView textView = this.f8750b;
                if (textView != null) {
                    textView.setVisibility(8);
                }
                ImageView imageView = this.f8751c;
                if (imageView != null) {
                    imageView.setVisibility(8);
                    this.f8751c.setImageDrawable(null);
                }
                TextView textView2 = (TextView) g7.findViewById(16908308);
                this.f8755g = textView2;
                if (textView2 != null) {
                    this.f8758j = TextViewCompat.getMaxLines(textView2);
                }
                this.f8756h = (ImageView) g7.findViewById(16908294);
            } else {
                View view = this.f8754f;
                if (view != null) {
                    removeView(view);
                    this.f8754f = null;
                }
                this.f8755g = null;
                this.f8756h = null;
            }
            if (this.f8754f == null) {
                if (this.f8751c == null) {
                    p();
                }
                if (!(iVar == null || iVar.h() == null)) {
                    drawable = DrawableCompat.wrap(iVar.h()).mutate();
                }
                if (drawable != null) {
                    DrawableCompat.setTintList(drawable, d.this.f8704j);
                    PorterDuff.Mode mode = d.this.f8708n;
                    if (mode != null) {
                        DrawableCompat.setTintMode(drawable, mode);
                    }
                }
                if (this.f8750b == null) {
                    q();
                    this.f8758j = TextViewCompat.getMaxLines(this.f8750b);
                }
                TextViewCompat.setTextAppearance(this.f8750b, d.this.f8702h);
                ColorStateList colorStateList = d.this.f8703i;
                if (colorStateList != null) {
                    this.f8750b.setTextColor(colorStateList);
                }
                A(this.f8750b, this.f8751c);
                v();
                i(this.f8751c);
                i(this.f8750b);
            } else {
                TextView textView3 = this.f8755g;
                if (!(textView3 == null && this.f8756h == null)) {
                    A(textView3, this.f8756h);
                }
            }
            if (iVar != null && !TextUtils.isEmpty(iVar.f8739d)) {
                setContentDescription(iVar.f8739d);
            }
            setSelected(iVar != null && iVar.o());
        }

        /* access modifiers changed from: package-private */
        public final void z() {
            ImageView imageView;
            setOrientation(!d.this.A ? 1 : 0);
            TextView textView = this.f8755g;
            if (textView == null && this.f8756h == null) {
                textView = this.f8750b;
                imageView = this.f8751c;
            } else {
                imageView = this.f8756h;
            }
            A(textView, imageView);
        }
    }

    public static class o implements f {

        /* renamed from: a  reason: collision with root package name */
        private final ViewPager f8762a;

        public o(ViewPager viewPager) {
            this.f8762a = viewPager;
        }

        @Override // com.google.android.material.tabs.d.c
        public void a(i iVar) {
        }

        @Override // com.google.android.material.tabs.d.c
        public void b(@NonNull i iVar) {
            this.f8762a.setCurrentItem(iVar.k());
        }

        @Override // com.google.android.material.tabs.d.c
        public void c(i iVar) {
        }
    }

    public d(@NonNull Context context) {
        this(context, null);
    }

    private void L(int i7) {
        n nVar = (n) this.f8697c.getChildAt(i7);
        this.f8697c.removeViewAt(i7);
        if (nVar != null) {
            nVar.s();
            this.P.release(nVar);
        }
        requestLayout();
    }

    private void T(@Nullable ViewPager viewPager, boolean z7, boolean z8) {
        ViewPager viewPager2 = this.J;
        if (viewPager2 != null) {
            m mVar = this.M;
            if (mVar != null) {
                viewPager2.removeOnPageChangeListener(mVar);
            }
            b bVar = this.N;
            if (bVar != null) {
                this.J.removeOnAdapterChangeListener(bVar);
            }
        }
        c cVar = this.H;
        if (cVar != null) {
            H(cVar);
            this.H = null;
        }
        if (viewPager != null) {
            this.J = viewPager;
            if (this.M == null) {
                this.M = new m(this);
            }
            this.M.a();
            viewPager.addOnPageChangeListener(this.M);
            o oVar = new o(viewPager);
            this.H = oVar;
            c(oVar);
            PagerAdapter adapter = viewPager.getAdapter();
            if (adapter != null) {
                O(adapter, z7);
            }
            if (this.N == null) {
                this.N = new b();
            }
            this.N.a(z7);
            viewPager.addOnAdapterChangeListener(this.N);
            P(viewPager.getCurrentItem(), 0.0f, true);
        } else {
            this.J = null;
            O(null, false);
        }
        this.O = z8;
    }

    private void U() {
        int size = this.f8695a.size();
        for (int i7 = 0; i7 < size; i7++) {
            this.f8695a.get(i7).E();
        }
    }

    private void V(@NonNull LinearLayout.LayoutParams layoutParams) {
        float f7;
        if (this.f8720z == 1 && this.f8717w == 0) {
            layoutParams.width = 0;
            f7 = 1.0f;
        } else {
            layoutParams.width = -2;
            f7 = 0.0f;
        }
        layoutParams.weight = f7;
    }

    @Dimension(unit = 0)
    private int getDefaultHeight() {
        int size = this.f8695a.size();
        boolean z7 = false;
        int i7 = 0;
        while (true) {
            if (i7 < size) {
                i iVar = this.f8695a.get(i7);
                if (iVar != null && iVar.h() != null && !TextUtils.isEmpty(iVar.n())) {
                    z7 = true;
                    break;
                }
                i7++;
            } else {
                break;
            }
        }
        if (!z7 || this.A) {
            return 48;
        }
        return R;
    }

    private int getTabMinWidth() {
        int i7 = this.f8713s;
        if (i7 != -1) {
            return i7;
        }
        int i8 = this.f8720z;
        if (i8 == 0 || i8 == 2) {
            return this.f8715u;
        }
        return 0;
    }

    private int getTabScrollRange() {
        return Math.max(0, ((this.f8697c.getWidth() - getWidth()) - getPaddingLeft()) - getPaddingRight());
    }

    private void i(@NonNull c cVar) {
        i D2 = D();
        CharSequence charSequence = cVar.f8675a;
        if (charSequence != null) {
            D2.D(charSequence);
        }
        Drawable drawable = cVar.f8676b;
        if (drawable != null) {
            D2.x(drawable);
        }
        int i7 = cVar.f8677c;
        if (i7 != 0) {
            D2.u(i7);
        }
        if (!TextUtils.isEmpty(cVar.getContentDescription())) {
            D2.t(cVar.getContentDescription());
        }
        e(D2);
    }

    private void j(@NonNull i iVar) {
        n nVar = iVar.f8744i;
        nVar.setSelected(false);
        nVar.setActivated(false);
        this.f8697c.addView(nVar, iVar.k(), s());
    }

    private void k(View view) {
        if (view instanceof c) {
            i((c) view);
            return;
        }
        throw new IllegalArgumentException("Only TabItem instances can be added to TabLayout");
    }

    private void l(int i7) {
        if (i7 != -1) {
            if (getWindowToken() == null || !ViewCompat.isLaidOut(this) || this.f8697c.c()) {
                P(i7, 0.0f, true);
                return;
            }
            int scrollX = getScrollX();
            int o7 = o(i7, 0.0f);
            if (scrollX != o7) {
                y();
                this.I.setIntValues(scrollX, o7);
                this.I.start();
            }
            this.f8697c.b(i7, this.f8718x);
        }
    }

    private void m(int i7) {
        if (i7 == 0) {
            Log.w(f8680c0, "MODE_SCROLLABLE + GRAVITY_FILL is not supported, GRAVITY_START will be used instead");
        } else if (i7 == 1) {
            this.f8697c.setGravity(1);
            return;
        } else if (i7 != 2) {
            return;
        }
        this.f8697c.setGravity(GravityCompat.START);
    }

    private void n() {
        int i7 = this.f8720z;
        ViewCompat.setPaddingRelative(this.f8697c, (i7 == 0 || i7 == 2) ? Math.max(0, this.f8716v - this.f8698d) : 0, 0, 0, 0);
        int i8 = this.f8720z;
        if (i8 == 0) {
            m(this.f8717w);
        } else if (i8 == 1 || i8 == 2) {
            if (this.f8717w == 2) {
                Log.w(f8680c0, "GRAVITY_START is not supported with the current tab mode, GRAVITY_CENTER will be used instead");
            }
            this.f8697c.setGravity(1);
        }
        W(true);
    }

    private int o(int i7, float f7) {
        int i8 = this.f8720z;
        int i9 = 0;
        if (i8 != 0 && i8 != 2) {
            return 0;
        }
        View childAt = this.f8697c.getChildAt(i7);
        int i10 = i7 + 1;
        View childAt2 = i10 < this.f8697c.getChildCount() ? this.f8697c.getChildAt(i10) : null;
        int width = childAt != null ? childAt.getWidth() : 0;
        if (childAt2 != null) {
            i9 = childAt2.getWidth();
        }
        int left = (childAt.getLeft() + (width / 2)) - (getWidth() / 2);
        int i11 = (int) (((float) (width + i9)) * 0.5f * f7);
        return ViewCompat.getLayoutDirection(this) == 0 ? left + i11 : left - i11;
    }

    private void q(@NonNull i iVar, int i7) {
        iVar.z(i7);
        this.f8695a.add(i7, iVar);
        int size = this.f8695a.size();
        while (true) {
            i7++;
            if (i7 < size) {
                this.f8695a.get(i7).z(i7);
            } else {
                return;
            }
        }
    }

    @NonNull
    private static ColorStateList r(int i7, int i8) {
        return new ColorStateList(new int[][]{HorizontalScrollView.SELECTED_STATE_SET, HorizontalScrollView.EMPTY_STATE_SET}, new int[]{i8, i7});
    }

    @NonNull
    private LinearLayout.LayoutParams s() {
        LinearLayout.LayoutParams layoutParams = new LinearLayout.LayoutParams(-2, -1);
        V(layoutParams);
        return layoutParams;
    }

    private void setSelectedTabView(int i7) {
        int childCount = this.f8697c.getChildCount();
        if (i7 < childCount) {
            int i8 = 0;
            while (i8 < childCount) {
                View childAt = this.f8697c.getChildAt(i8);
                boolean z7 = true;
                childAt.setSelected(i8 == i7);
                if (i8 != i7) {
                    z7 = false;
                }
                childAt.setActivated(z7);
                i8++;
            }
        }
    }

    @NonNull
    private n u(@NonNull i iVar) {
        Pools.Pool<n> pool = this.P;
        n acquire = pool != null ? pool.acquire() : null;
        if (acquire == null) {
            acquire = new n(getContext());
        }
        acquire.setTab(iVar);
        acquire.setFocusable(true);
        acquire.setMinimumWidth(getTabMinWidth());
        acquire.setContentDescription(TextUtils.isEmpty(iVar.f8739d) ? iVar.f8738c : iVar.f8739d);
        return acquire;
    }

    private void v(@NonNull i iVar) {
        for (int size = this.G.size() - 1; size >= 0; size--) {
            this.G.get(size).a(iVar);
        }
    }

    private void w(@NonNull i iVar) {
        for (int size = this.G.size() - 1; size >= 0; size--) {
            this.G.get(size).b(iVar);
        }
    }

    private void x(@NonNull i iVar) {
        for (int size = this.G.size() - 1; size >= 0; size--) {
            this.G.get(size).c(iVar);
        }
    }

    private void y() {
        if (this.I == null) {
            ValueAnimator valueAnimator = new ValueAnimator();
            this.I = valueAnimator;
            valueAnimator.setInterpolator(com.google.android.material.animation.a.f6955b);
            this.I.setDuration((long) this.f8718x);
            this.I.addUpdateListener(new a());
        }
    }

    public boolean A() {
        return this.D;
    }

    public boolean B() {
        return this.A;
    }

    public boolean C() {
        return this.B;
    }

    @NonNull
    public i D() {
        i t7 = t();
        t7.f8743h = this;
        t7.f8744i = u(t7);
        if (t7.f8745j != -1) {
            t7.f8744i.setId(t7.f8745j);
        }
        return t7;
    }

    /* access modifiers changed from: package-private */
    public void E() {
        int currentItem;
        G();
        PagerAdapter pagerAdapter = this.K;
        if (pagerAdapter != null) {
            int count = pagerAdapter.getCount();
            for (int i7 = 0; i7 < count; i7++) {
                h(D().D(this.K.getPageTitle(i7)), false);
            }
            ViewPager viewPager = this.J;
            if (viewPager != null && count > 0 && (currentItem = viewPager.getCurrentItem()) != getSelectedTabPosition() && currentItem < getTabCount()) {
                M(z(currentItem));
            }
        }
    }

    /* access modifiers changed from: protected */
    public boolean F(i iVar) {
        return f8679b0.release(iVar);
    }

    public void G() {
        for (int childCount = this.f8697c.getChildCount() - 1; childCount >= 0; childCount--) {
            L(childCount);
        }
        Iterator<i> it = this.f8695a.iterator();
        while (it.hasNext()) {
            i next = it.next();
            it.remove();
            next.q();
            F(next);
        }
        this.f8696b = null;
    }

    @Deprecated
    public void H(@Nullable c cVar) {
        this.G.remove(cVar);
    }

    public void I(@NonNull f fVar) {
        H(fVar);
    }

    public void J(@NonNull i iVar) {
        if (iVar.f8743h == this) {
            K(iVar.k());
            return;
        }
        throw new IllegalArgumentException("Tab does not belong to this TabLayout.");
    }

    public void K(int i7) {
        i iVar = this.f8696b;
        int k7 = iVar != null ? iVar.k() : 0;
        L(i7);
        i remove = this.f8695a.remove(i7);
        if (remove != null) {
            remove.q();
            F(remove);
        }
        int size = this.f8695a.size();
        for (int i8 = i7; i8 < size; i8++) {
            this.f8695a.get(i8).z(i8);
        }
        if (k7 == i7) {
            M(this.f8695a.isEmpty() ? null : this.f8695a.get(Math.max(0, i7 - 1)));
        }
    }

    public void M(@Nullable i iVar) {
        N(iVar, true);
    }

    public void N(@Nullable i iVar, boolean z7) {
        i iVar2 = this.f8696b;
        if (iVar2 != iVar) {
            int k7 = iVar != null ? iVar.k() : -1;
            if (z7) {
                if ((iVar2 == null || iVar2.k() == -1) && k7 != -1) {
                    P(k7, 0.0f, true);
                } else {
                    l(k7);
                }
                if (k7 != -1) {
                    setSelectedTabView(k7);
                }
            }
            this.f8696b = iVar;
            if (iVar2 != null) {
                x(iVar2);
            }
            if (iVar != null) {
                w(iVar);
            }
        } else if (iVar2 != null) {
            v(iVar);
            l(iVar.k());
        }
    }

    /* access modifiers changed from: package-private */
    public void O(@Nullable PagerAdapter pagerAdapter, boolean z7) {
        DataSetObserver dataSetObserver;
        PagerAdapter pagerAdapter2 = this.K;
        if (!(pagerAdapter2 == null || (dataSetObserver = this.L) == null)) {
            pagerAdapter2.unregisterDataSetObserver(dataSetObserver);
        }
        this.K = pagerAdapter;
        if (z7 && pagerAdapter != null) {
            if (this.L == null) {
                this.L = new g();
            }
            pagerAdapter.registerDataSetObserver(this.L);
        }
        E();
    }

    public void P(int i7, float f7, boolean z7) {
        Q(i7, f7, z7, true);
    }

    public void Q(int i7, float f7, boolean z7, boolean z8) {
        int round = Math.round(((float) i7) + f7);
        if (round >= 0 && round < this.f8697c.getChildCount()) {
            if (z8) {
                this.f8697c.f(i7, f7);
            }
            ValueAnimator valueAnimator = this.I;
            if (valueAnimator != null && valueAnimator.isRunning()) {
                this.I.cancel();
            }
            scrollTo(o(i7, f7), 0);
            if (z7) {
                setSelectedTabView(round);
            }
        }
    }

    public void R(int i7, int i8) {
        setTabTextColors(r(i7, i8));
    }

    public void S(@Nullable ViewPager viewPager, boolean z7) {
        T(viewPager, z7, false);
    }

    /* access modifiers changed from: package-private */
    public void W(boolean z7) {
        for (int i7 = 0; i7 < this.f8697c.getChildCount(); i7++) {
            View childAt = this.f8697c.getChildAt(i7);
            childAt.setMinimumWidth(getTabMinWidth());
            V((LinearLayout.LayoutParams) childAt.getLayoutParams());
            if (z7) {
                childAt.requestLayout();
            }
        }
    }

    public void addView(View view) {
        k(view);
    }

    @Deprecated
    public void c(@Nullable c cVar) {
        if (!this.G.contains(cVar)) {
            this.G.add(cVar);
        }
    }

    public void d(@NonNull f fVar) {
        c(fVar);
    }

    public void e(@NonNull i iVar) {
        h(iVar, this.f8695a.isEmpty());
    }

    public void f(@NonNull i iVar, int i7) {
        g(iVar, i7, this.f8695a.isEmpty());
    }

    public void g(@NonNull i iVar, int i7, boolean z7) {
        if (iVar.f8743h == this) {
            q(iVar, i7);
            j(iVar);
            if (z7) {
                iVar.r();
                return;
            }
            return;
        }
        throw new IllegalArgumentException("Tab belongs to a different TabLayout.");
    }

    public int getSelectedTabPosition() {
        i iVar = this.f8696b;
        if (iVar != null) {
            return iVar.k();
        }
        return -1;
    }

    public int getTabCount() {
        return this.f8695a.size();
    }

    public int getTabGravity() {
        return this.f8717w;
    }

    @Nullable
    public ColorStateList getTabIconTint() {
        return this.f8704j;
    }

    public int getTabIndicatorAnimationMode() {
        return this.C;
    }

    public int getTabIndicatorGravity() {
        return this.f8719y;
    }

    /* access modifiers changed from: package-private */
    public int getTabMaxWidth() {
        return this.f8712r;
    }

    public int getTabMode() {
        return this.f8720z;
    }

    @Nullable
    public ColorStateList getTabRippleColor() {
        return this.f8705k;
    }

    @NonNull
    public Drawable getTabSelectedIndicator() {
        return this.f8706l;
    }

    @Nullable
    public ColorStateList getTabTextColors() {
        return this.f8703i;
    }

    public void h(@NonNull i iVar, boolean z7) {
        g(iVar, this.f8695a.size(), z7);
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        com.google.android.material.shape.k.e(this);
        if (this.J == null) {
            ViewParent parent = getParent();
            if (parent instanceof ViewPager) {
                T((ViewPager) parent, true, true);
            }
        }
    }

    /* access modifiers changed from: protected */
    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        if (this.O) {
            setupWithViewPager(null);
            this.O = false;
        }
    }

    /* access modifiers changed from: protected */
    public void onDraw(@NonNull Canvas canvas) {
        for (int i7 = 0; i7 < this.f8697c.getChildCount(); i7++) {
            View childAt = this.f8697c.getChildAt(i7);
            if (childAt instanceof n) {
                ((n) childAt).m(canvas);
            }
        }
        super.onDraw(canvas);
    }

    public void onInitializeAccessibilityNodeInfo(@NonNull AccessibilityNodeInfo accessibilityNodeInfo) {
        super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
        AccessibilityNodeInfoCompat.wrap(accessibilityNodeInfo).setCollectionInfo(AccessibilityNodeInfoCompat.CollectionInfoCompat.obtain(1, getTabCount(), false, 1));
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Code restructure failed: missing block: B:21:0x0073, code lost:
        if (r0 != 2) goto L_0x008d;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:23:0x007e, code lost:
        if (r7.getMeasuredWidth() != getMeasuredWidth()) goto L_0x0080;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:24:0x0080, code lost:
        r4 = true;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:26:0x008a, code lost:
        if (r7.getMeasuredWidth() < getMeasuredWidth()) goto L_0x0080;
     */
    public void onMeasure(int i7, int i8) {
        int round = Math.round(y.e(getContext(), getDefaultHeight()));
        int mode = View.MeasureSpec.getMode(i8);
        boolean z7 = false;
        if (mode != Integer.MIN_VALUE) {
            if (mode == 0) {
                i8 = View.MeasureSpec.makeMeasureSpec(round + getPaddingTop() + getPaddingBottom(), 1073741824);
            }
        } else if (getChildCount() == 1 && View.MeasureSpec.getSize(i8) >= round) {
            getChildAt(0).setMinimumHeight(round);
        }
        int size = View.MeasureSpec.getSize(i7);
        if (View.MeasureSpec.getMode(i7) != 0) {
            int i9 = this.f8714t;
            if (i9 <= 0) {
                i9 = (int) (((float) size) - y.e(getContext(), U));
            }
            this.f8712r = i9;
        }
        super.onMeasure(i7, i8);
        if (getChildCount() == 1) {
            View childAt = getChildAt(0);
            int i10 = this.f8720z;
            if (i10 != 0) {
                if (i10 != 1) {
                }
                if (z7) {
                    childAt.measure(View.MeasureSpec.makeMeasureSpec(getMeasuredWidth(), 1073741824), ViewGroup.getChildMeasureSpec(i8, getPaddingTop() + getPaddingBottom(), childAt.getLayoutParams().height));
                }
            }
        }
    }

    public void p() {
        this.G.clear();
    }

    @RequiresApi(21)
    public void setElevation(float f7) {
        super.setElevation(f7);
        com.google.android.material.shape.k.d(this, f7);
    }

    public void setInlineLabel(boolean z7) {
        if (this.A != z7) {
            this.A = z7;
            for (int i7 = 0; i7 < this.f8697c.getChildCount(); i7++) {
                View childAt = this.f8697c.getChildAt(i7);
                if (childAt instanceof n) {
                    ((n) childAt).z();
                }
            }
            n();
        }
    }

    public void setInlineLabelResource(@BoolRes int i7) {
        setInlineLabel(getResources().getBoolean(i7));
    }

    @Deprecated
    public void setOnTabSelectedListener(@Nullable c cVar) {
        c cVar2 = this.F;
        if (cVar2 != null) {
            H(cVar2);
        }
        this.F = cVar;
        if (cVar != null) {
            c(cVar);
        }
    }

    /* access modifiers changed from: package-private */
    public void setScrollAnimatorListener(Animator.AnimatorListener animatorListener) {
        y();
        this.I.addListener(animatorListener);
    }

    public void setSelectedTabIndicator(@DrawableRes int i7) {
        setSelectedTabIndicator(i7 != 0 ? AppCompatResources.getDrawable(getContext(), i7) : null);
    }

    public void setSelectedTabIndicatorColor(@ColorInt int i7) {
        this.f8707m = i7;
    }

    public void setSelectedTabIndicatorGravity(int i7) {
        if (this.f8719y != i7) {
            this.f8719y = i7;
            ViewCompat.postInvalidateOnAnimation(this.f8697c);
        }
    }

    @Deprecated
    public void setSelectedTabIndicatorHeight(int i7) {
        this.f8697c.g(i7);
    }

    public void setTabGravity(int i7) {
        if (this.f8717w != i7) {
            this.f8717w = i7;
            n();
        }
    }

    public void setTabIconTint(@Nullable ColorStateList colorStateList) {
        if (this.f8704j != colorStateList) {
            this.f8704j = colorStateList;
            U();
        }
    }

    public void setTabIconTintResource(@ColorRes int i7) {
        setTabIconTint(AppCompatResources.getColorStateList(getContext(), i7));
    }

    public void setTabIndicatorAnimationMode(int i7) {
        b bVar;
        this.C = i7;
        if (i7 == 0) {
            bVar = new b();
        } else if (i7 == 1) {
            bVar = new a();
        } else {
            throw new IllegalArgumentException(i7 + " is not a valid TabIndicatorAnimationMode");
        }
        this.E = bVar;
    }

    public void setTabIndicatorFullWidth(boolean z7) {
        this.B = z7;
        ViewCompat.postInvalidateOnAnimation(this.f8697c);
    }

    public void setTabMode(int i7) {
        if (i7 != this.f8720z) {
            this.f8720z = i7;
            n();
        }
    }

    public void setTabRippleColor(@Nullable ColorStateList colorStateList) {
        if (this.f8705k != colorStateList) {
            this.f8705k = colorStateList;
            for (int i7 = 0; i7 < this.f8697c.getChildCount(); i7++) {
                View childAt = this.f8697c.getChildAt(i7);
                if (childAt instanceof n) {
                    ((n) childAt).y(getContext());
                }
            }
        }
    }

    public void setTabRippleColorResource(@ColorRes int i7) {
        setTabRippleColor(AppCompatResources.getColorStateList(getContext(), i7));
    }

    public void setTabTextColors(@Nullable ColorStateList colorStateList) {
        if (this.f8703i != colorStateList) {
            this.f8703i = colorStateList;
            U();
        }
    }

    @Deprecated
    public void setTabsFromPagerAdapter(@Nullable PagerAdapter pagerAdapter) {
        O(pagerAdapter, false);
    }

    public void setUnboundedRipple(boolean z7) {
        if (this.D != z7) {
            this.D = z7;
            for (int i7 = 0; i7 < this.f8697c.getChildCount(); i7++) {
                View childAt = this.f8697c.getChildAt(i7);
                if (childAt instanceof n) {
                    ((n) childAt).y(getContext());
                }
            }
        }
    }

    public void setUnboundedRippleResource(@BoolRes int i7) {
        setUnboundedRipple(getResources().getBoolean(i7));
    }

    public void setupWithViewPager(@Nullable ViewPager viewPager) {
        S(viewPager, true);
    }

    public boolean shouldDelayChildPressedState() {
        return getTabScrollRange() > 0;
    }

    /* access modifiers changed from: protected */
    public i t() {
        i acquire = f8679b0.acquire();
        return acquire == null ? new i() : acquire;
    }

    @Nullable
    public i z(int i7) {
        if (i7 < 0 || i7 >= getTabCount()) {
            return null;
        }
        return this.f8695a.get(i7);
    }

    public d(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, a.c.Wd);
    }

    @Override // android.widget.HorizontalScrollView, android.view.ViewGroup
    public void addView(View view, int i7) {
        k(view);
    }

    @Override // android.widget.FrameLayout, android.widget.FrameLayout, android.view.ViewGroup
    public FrameLayout.LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return generateDefaultLayoutParams();
    }

    @Deprecated
    public void setOnTabSelectedListener(@Nullable f fVar) {
        setOnTabSelectedListener((c) fVar);
    }

    public void setSelectedTabIndicator(@Nullable Drawable drawable) {
        if (this.f8706l != drawable) {
            if (drawable == null) {
                drawable = new GradientDrawable();
            }
            this.f8706l = drawable;
        }
    }

    /* JADX INFO: finally extract failed */
    /* JADX WARNING: Illegal instructions before constructor call */
    public d(@NonNull Context context, @Nullable AttributeSet attributeSet, int i7) {
        super(l0.a.c(context, attributeSet, i7, r4), attributeSet, i7);
        int i8 = Q;
        this.f8695a = new ArrayList<>();
        this.f8706l = new GradientDrawable();
        this.f8707m = 0;
        this.f8712r = Integer.MAX_VALUE;
        this.G = new ArrayList<>();
        this.P = new Pools.SimplePool(12);
        Context context2 = getContext();
        setHorizontalScrollBarEnabled(false);
        h hVar = new h(context2);
        this.f8697c = hVar;
        super.addView(hVar, 0, new FrameLayout.LayoutParams(-2, -1));
        TypedArray j7 = q.j(context2, attributeSet, a.o.eq, i7, i8, a.o.Cq);
        if (getBackground() instanceof ColorDrawable) {
            com.google.android.material.shape.j jVar = new com.google.android.material.shape.j();
            jVar.n0(ColorStateList.valueOf(((ColorDrawable) getBackground()).getColor()));
            jVar.Y(context2);
            jVar.m0(ViewCompat.getElevation(this));
            ViewCompat.setBackground(this, jVar);
        }
        setSelectedTabIndicator(com.google.android.material.resources.c.d(context2, j7, a.o.kq));
        setSelectedTabIndicatorColor(j7.getColor(a.o.nq, 0));
        hVar.g(j7.getDimensionPixelSize(a.o.qq, -1));
        setSelectedTabIndicatorGravity(j7.getInt(a.o.pq, 0));
        setTabIndicatorFullWidth(j7.getBoolean(a.o.oq, true));
        setTabIndicatorAnimationMode(j7.getInt(a.o.mq, 0));
        int dimensionPixelSize = j7.getDimensionPixelSize(a.o.vq, 0);
        this.f8701g = dimensionPixelSize;
        this.f8700f = dimensionPixelSize;
        this.f8699e = dimensionPixelSize;
        this.f8698d = dimensionPixelSize;
        this.f8698d = j7.getDimensionPixelSize(a.o.yq, dimensionPixelSize);
        this.f8699e = j7.getDimensionPixelSize(a.o.zq, this.f8699e);
        this.f8700f = j7.getDimensionPixelSize(a.o.xq, this.f8700f);
        this.f8701g = j7.getDimensionPixelSize(a.o.wq, this.f8701g);
        int resourceId = j7.getResourceId(a.o.Cq, a.n.f1656e6);
        this.f8702h = resourceId;
        TypedArray obtainStyledAttributes = context2.obtainStyledAttributes(resourceId, R.styleable.TextAppearance);
        try {
            this.f8709o = (float) obtainStyledAttributes.getDimensionPixelSize(R.styleable.TextAppearance_android_textSize, 0);
            this.f8703i = com.google.android.material.resources.c.a(context2, obtainStyledAttributes, R.styleable.TextAppearance_android_textColor);
            obtainStyledAttributes.recycle();
            if (j7.hasValue(a.o.Dq)) {
                this.f8703i = com.google.android.material.resources.c.a(context2, j7, a.o.Dq);
            }
            if (j7.hasValue(a.o.Bq)) {
                this.f8703i = r(this.f8703i.getDefaultColor(), j7.getColor(a.o.Bq, 0));
            }
            this.f8704j = com.google.android.material.resources.c.a(context2, j7, a.o.iq);
            this.f8708n = y.k(j7.getInt(a.o.jq, -1), null);
            this.f8705k = com.google.android.material.resources.c.a(context2, j7, a.o.Aq);
            this.f8718x = j7.getInt(a.o.lq, f8678a0);
            this.f8713s = j7.getDimensionPixelSize(a.o.tq, -1);
            this.f8714t = j7.getDimensionPixelSize(a.o.sq, -1);
            this.f8711q = j7.getResourceId(a.o.fq, 0);
            this.f8716v = j7.getDimensionPixelSize(a.o.gq, 0);
            this.f8720z = j7.getInt(a.o.uq, 1);
            this.f8717w = j7.getInt(a.o.hq, 0);
            this.A = j7.getBoolean(a.o.rq, false);
            this.D = j7.getBoolean(a.o.Eq, false);
            j7.recycle();
            Resources resources = getResources();
            this.f8710p = (float) resources.getDimensionPixelSize(a.f.H1);
            this.f8715u = resources.getDimensionPixelSize(a.f.F1);
            n();
        } catch (Throwable th) {
            obtainStyledAttributes.recycle();
            throw th;
        }
    }

    @Override // android.widget.HorizontalScrollView, android.view.ViewGroup
    public void addView(View view, int i7, ViewGroup.LayoutParams layoutParams) {
        k(view);
    }

    @Override // android.widget.HorizontalScrollView, android.view.ViewGroup
    public void addView(View view, ViewGroup.LayoutParams layoutParams) {
        k(view);
    }
}
