package com.google.android.material.textfield;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.AnimatorSet;
import android.animation.ValueAnimator;
import android.text.Editable;
import android.text.TextUtils;
import android.text.TextWatcher;
import android.view.View;
import android.widget.EditText;
import androidx.annotation.NonNull;
import androidx.appcompat.content.res.AppCompatResources;
import b0.a;
import com.google.android.material.textfield.TextInputLayout;

/* access modifiers changed from: package-private */
public class a extends e {

    /* renamed from: j  reason: collision with root package name */
    private static final int f8843j = 100;

    /* renamed from: k  reason: collision with root package name */
    private static final int f8844k = 150;

    /* renamed from: l  reason: collision with root package name */
    private static final float f8845l = 0.8f;

    /* renamed from: d  reason: collision with root package name */
    private final TextWatcher f8846d = new C0097a();

    /* renamed from: e  reason: collision with root package name */
    private final View.OnFocusChangeListener f8847e = new b();

    /* renamed from: f  reason: collision with root package name */
    private final TextInputLayout.h f8848f = new c();

    /* renamed from: g  reason: collision with root package name */
    private final TextInputLayout.i f8849g = new d();

    /* renamed from: h  reason: collision with root package name */
    private AnimatorSet f8850h;

    /* renamed from: i  reason: collision with root package name */
    private ValueAnimator f8851i;

    /* renamed from: com.google.android.material.textfield.a$a  reason: collision with other inner class name */
    class C0097a implements TextWatcher {
        C0097a() {
        }

        public void afterTextChanged(@NonNull Editable editable) {
            if (a.this.f8894a.getSuffixText() == null) {
                a aVar = a.this;
                aVar.i(aVar.f8894a.hasFocus() && a.l(editable));
            }
        }

        public void beforeTextChanged(CharSequence charSequence, int i7, int i8, int i9) {
        }

        public void onTextChanged(CharSequence charSequence, int i7, int i8, int i9) {
        }
    }

    class b implements View.OnFocusChangeListener {
        b() {
        }

        public void onFocusChange(View view, boolean z7) {
            boolean z8 = true;
            boolean z9 = !TextUtils.isEmpty(((EditText) view).getText());
            a aVar = a.this;
            if (!z9 || !z7) {
                z8 = false;
            }
            aVar.i(z8);
        }
    }

    class c implements TextInputLayout.h {
        c() {
        }

        @Override // com.google.android.material.textfield.TextInputLayout.h
        public void a(@NonNull TextInputLayout textInputLayout) {
            EditText editText = textInputLayout.getEditText();
            textInputLayout.setEndIconVisible(editText.hasFocus() && a.l(editText.getText()));
            textInputLayout.setEndIconCheckable(false);
            editText.setOnFocusChangeListener(a.this.f8847e);
            editText.removeTextChangedListener(a.this.f8846d);
            editText.addTextChangedListener(a.this.f8846d);
        }
    }

    class d implements TextInputLayout.i {

        /* renamed from: com.google.android.material.textfield.a$d$a  reason: collision with other inner class name */
        class RunnableC0098a implements Runnable {

            /* renamed from: f  reason: collision with root package name */
            final /* synthetic */ EditText f8856f;

            RunnableC0098a(EditText editText) {
                this.f8856f = editText;
            }

            public void run() {
                this.f8856f.removeTextChangedListener(a.this.f8846d);
            }
        }

        d() {
        }

        @Override // com.google.android.material.textfield.TextInputLayout.i
        public void a(@NonNull TextInputLayout textInputLayout, int i7) {
            EditText editText = textInputLayout.getEditText();
            if (editText != null && i7 == 2) {
                editText.post(new RunnableC0098a(editText));
                if (editText.getOnFocusChangeListener() == a.this.f8847e) {
                    editText.setOnFocusChangeListener(null);
                }
            }
        }
    }

    class e implements View.OnClickListener {
        e() {
        }

        public void onClick(View view) {
            Editable text = a.this.f8894a.getEditText().getText();
            if (text != null) {
                text.clear();
            }
            a.this.f8894a.i0();
        }
    }

    /* access modifiers changed from: package-private */
    public class f extends AnimatorListenerAdapter {
        f() {
        }

        public void onAnimationStart(Animator animator) {
            a.this.f8894a.setEndIconVisible(true);
        }
    }

    /* access modifiers changed from: package-private */
    public class g extends AnimatorListenerAdapter {
        g() {
        }

        public void onAnimationEnd(Animator animator) {
            a.this.f8894a.setEndIconVisible(false);
        }
    }

    /* access modifiers changed from: package-private */
    public class h implements ValueAnimator.AnimatorUpdateListener {
        h() {
        }

        public void onAnimationUpdate(@NonNull ValueAnimator valueAnimator) {
            a.this.f8896c.setAlpha(((Float) valueAnimator.getAnimatedValue()).floatValue());
        }
    }

    /* access modifiers changed from: package-private */
    public class i implements ValueAnimator.AnimatorUpdateListener {
        i() {
        }

        public void onAnimationUpdate(@NonNull ValueAnimator valueAnimator) {
            float floatValue = ((Float) valueAnimator.getAnimatedValue()).floatValue();
            a.this.f8896c.setScaleX(floatValue);
            a.this.f8896c.setScaleY(floatValue);
        }
    }

    a(@NonNull TextInputLayout textInputLayout) {
        super(textInputLayout);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void i(boolean z7) {
        boolean z8 = this.f8894a.P() == z7;
        if (z7 && !this.f8850h.isRunning()) {
            this.f8851i.cancel();
            this.f8850h.start();
            if (z8) {
                this.f8850h.end();
            }
        } else if (!z7) {
            this.f8850h.cancel();
            this.f8851i.start();
            if (z8) {
                this.f8851i.end();
            }
        }
    }

    private ValueAnimator j(float... fArr) {
        ValueAnimator ofFloat = ValueAnimator.ofFloat(fArr);
        ofFloat.setInterpolator(com.google.android.material.animation.a.f6954a);
        ofFloat.setDuration(100L);
        ofFloat.addUpdateListener(new h());
        return ofFloat;
    }

    private ValueAnimator k() {
        ValueAnimator ofFloat = ValueAnimator.ofFloat(f8845l, 1.0f);
        ofFloat.setInterpolator(com.google.android.material.animation.a.f6957d);
        ofFloat.setDuration(150L);
        ofFloat.addUpdateListener(new i());
        return ofFloat;
    }

    /* access modifiers changed from: private */
    public static boolean l(@NonNull Editable editable) {
        return editable.length() > 0;
    }

    private void m() {
        ValueAnimator k7 = k();
        ValueAnimator j7 = j(0.0f, 1.0f);
        AnimatorSet animatorSet = new AnimatorSet();
        this.f8850h = animatorSet;
        animatorSet.playTogether(k7, j7);
        this.f8850h.addListener(new f());
        ValueAnimator j8 = j(1.0f, 0.0f);
        this.f8851i = j8;
        j8.addListener(new g());
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.textfield.e
    public void a() {
        this.f8894a.setEndIconDrawable(AppCompatResources.getDrawable(this.f8895b, a.g.f1223f1));
        TextInputLayout textInputLayout = this.f8894a;
        textInputLayout.setEndIconContentDescription(textInputLayout.getResources().getText(a.m.I));
        this.f8894a.setEndIconOnClickListener(new e());
        this.f8894a.e(this.f8848f);
        this.f8894a.f(this.f8849g);
        m();
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.textfield.e
    public void c(boolean z7) {
        if (this.f8894a.getSuffixText() != null) {
            i(z7);
        }
    }
}
