package com.google.android.material.textfield;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.ValueAnimator;
import android.annotation.SuppressLint;
import android.content.res.ColorStateList;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.LayerDrawable;
import android.graphics.drawable.RippleDrawable;
import android.graphics.drawable.StateListDrawable;
import android.text.Editable;
import android.text.TextWatcher;
import android.view.MotionEvent;
import android.view.View;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityManager;
import android.widget.AutoCompleteTextView;
import android.widget.EditText;
import android.widget.Spinner;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.appcompat.content.res.AppCompatResources;
import androidx.core.view.ViewCompat;
import androidx.core.view.accessibility.AccessibilityNodeInfoCompat;
import b0.a;
import com.google.android.material.internal.p;
import com.google.android.material.shape.o;
import com.google.android.material.textfield.TextInputLayout;

/* access modifiers changed from: package-private */
public class d extends e {

    /* renamed from: q  reason: collision with root package name */
    private static final boolean f8863q = true;

    /* renamed from: r  reason: collision with root package name */
    private static final int f8864r = 50;

    /* renamed from: s  reason: collision with root package name */
    private static final int f8865s = 67;

    /* renamed from: d  reason: collision with root package name */
    private final TextWatcher f8866d = new a();

    /* renamed from: e  reason: collision with root package name */
    private final View.OnFocusChangeListener f8867e = new c();

    /* renamed from: f  reason: collision with root package name */
    private final TextInputLayout.e f8868f = new C0100d(this.f8894a);

    /* renamed from: g  reason: collision with root package name */
    private final TextInputLayout.h f8869g = new e();
    @SuppressLint({"ClickableViewAccessibility"})

    /* renamed from: h  reason: collision with root package name */
    private final TextInputLayout.i f8870h = new f();

    /* renamed from: i  reason: collision with root package name */
    private boolean f8871i = false;

    /* renamed from: j  reason: collision with root package name */
    private boolean f8872j = false;

    /* renamed from: k  reason: collision with root package name */
    private long f8873k = Long.MAX_VALUE;

    /* renamed from: l  reason: collision with root package name */
    private StateListDrawable f8874l;

    /* renamed from: m  reason: collision with root package name */
    private com.google.android.material.shape.j f8875m;
    @Nullable

    /* renamed from: n  reason: collision with root package name */
    private AccessibilityManager f8876n;

    /* renamed from: o  reason: collision with root package name */
    private ValueAnimator f8877o;

    /* renamed from: p  reason: collision with root package name */
    private ValueAnimator f8878p;

    class a extends p {

        /* renamed from: com.google.android.material.textfield.d$a$a  reason: collision with other inner class name */
        class RunnableC0099a implements Runnable {

            /* renamed from: f  reason: collision with root package name */
            final /* synthetic */ AutoCompleteTextView f8880f;

            RunnableC0099a(AutoCompleteTextView autoCompleteTextView) {
                this.f8880f = autoCompleteTextView;
            }

            public void run() {
                boolean isPopupShowing = this.f8880f.isPopupShowing();
                d.this.E(isPopupShowing);
                d.this.f8871i = isPopupShowing;
            }
        }

        a() {
        }

        @Override // com.google.android.material.internal.p
        public void afterTextChanged(Editable editable) {
            AutoCompleteTextView y7 = d.y(d.this.f8894a.getEditText());
            if (d.this.f8876n.isTouchExplorationEnabled() && d.D(y7) && !d.this.f8896c.hasFocus()) {
                y7.dismissDropDown();
            }
            y7.post(new RunnableC0099a(y7));
        }
    }

    /* access modifiers changed from: package-private */
    public class b implements ValueAnimator.AnimatorUpdateListener {
        b() {
        }

        public void onAnimationUpdate(@NonNull ValueAnimator valueAnimator) {
            d.this.f8896c.setAlpha(((Float) valueAnimator.getAnimatedValue()).floatValue());
        }
    }

    class c implements View.OnFocusChangeListener {
        c() {
        }

        public void onFocusChange(View view, boolean z7) {
            d.this.f8894a.setEndIconActivated(z7);
            if (!z7) {
                d.this.E(false);
                d.this.f8871i = false;
            }
        }
    }

    /* renamed from: com.google.android.material.textfield.d$d  reason: collision with other inner class name */
    class C0100d extends TextInputLayout.e {
        C0100d(TextInputLayout textInputLayout) {
            super(textInputLayout);
        }

        @Override // com.google.android.material.textfield.TextInputLayout.e, androidx.core.view.AccessibilityDelegateCompat
        public void onInitializeAccessibilityNodeInfo(View view, @NonNull AccessibilityNodeInfoCompat accessibilityNodeInfoCompat) {
            super.onInitializeAccessibilityNodeInfo(view, accessibilityNodeInfoCompat);
            if (!d.D(d.this.f8894a.getEditText())) {
                accessibilityNodeInfoCompat.setClassName(Spinner.class.getName());
            }
            if (accessibilityNodeInfoCompat.isShowingHintText()) {
                accessibilityNodeInfoCompat.setHintText(null);
            }
        }

        @Override // androidx.core.view.AccessibilityDelegateCompat
        public void onPopulateAccessibilityEvent(View view, @NonNull AccessibilityEvent accessibilityEvent) {
            super.onPopulateAccessibilityEvent(view, accessibilityEvent);
            AutoCompleteTextView y7 = d.y(d.this.f8894a.getEditText());
            if (accessibilityEvent.getEventType() == 1 && d.this.f8876n.isTouchExplorationEnabled() && !d.D(d.this.f8894a.getEditText())) {
                d.this.H(y7);
            }
        }
    }

    class e implements TextInputLayout.h {
        e() {
        }

        @Override // com.google.android.material.textfield.TextInputLayout.h
        public void a(@NonNull TextInputLayout textInputLayout) {
            AutoCompleteTextView y7 = d.y(textInputLayout.getEditText());
            d.this.F(y7);
            d.this.v(y7);
            d.this.G(y7);
            y7.setThreshold(0);
            y7.removeTextChangedListener(d.this.f8866d);
            y7.addTextChangedListener(d.this.f8866d);
            textInputLayout.setEndIconCheckable(true);
            textInputLayout.setErrorIconDrawable((Drawable) null);
            if (!d.D(y7)) {
                ViewCompat.setImportantForAccessibility(d.this.f8896c, 2);
            }
            textInputLayout.setTextInputAccessibilityDelegate(d.this.f8868f);
            textInputLayout.setEndIconVisible(true);
        }
    }

    class f implements TextInputLayout.i {

        class a implements Runnable {

            /* renamed from: f  reason: collision with root package name */
            final /* synthetic */ AutoCompleteTextView f8887f;

            a(AutoCompleteTextView autoCompleteTextView) {
                this.f8887f = autoCompleteTextView;
            }

            public void run() {
                this.f8887f.removeTextChangedListener(d.this.f8866d);
            }
        }

        f() {
        }

        @Override // com.google.android.material.textfield.TextInputLayout.i
        public void a(@NonNull TextInputLayout textInputLayout, int i7) {
            AutoCompleteTextView autoCompleteTextView = (AutoCompleteTextView) textInputLayout.getEditText();
            if (autoCompleteTextView != null && i7 == 3) {
                autoCompleteTextView.post(new a(autoCompleteTextView));
                if (autoCompleteTextView.getOnFocusChangeListener() == d.this.f8867e) {
                    autoCompleteTextView.setOnFocusChangeListener(null);
                }
                autoCompleteTextView.setOnTouchListener(null);
                if (d.f8863q) {
                    autoCompleteTextView.setOnDismissListener(null);
                }
            }
        }
    }

    class g implements View.OnClickListener {
        g() {
        }

        public void onClick(View view) {
            d.this.H((AutoCompleteTextView) d.this.f8894a.getEditText());
        }
    }

    /* access modifiers changed from: package-private */
    public class h implements View.OnTouchListener {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ AutoCompleteTextView f8890a;

        h(AutoCompleteTextView autoCompleteTextView) {
            this.f8890a = autoCompleteTextView;
        }

        public boolean onTouch(@NonNull View view, @NonNull MotionEvent motionEvent) {
            if (motionEvent.getAction() == 1) {
                if (d.this.C()) {
                    d.this.f8871i = false;
                }
                d.this.H(this.f8890a);
            }
            return false;
        }
    }

    /* access modifiers changed from: package-private */
    public class i implements AutoCompleteTextView.OnDismissListener {
        i() {
        }

        public void onDismiss() {
            d.this.f8871i = true;
            d.this.f8873k = System.currentTimeMillis();
            d.this.E(false);
        }
    }

    /* access modifiers changed from: package-private */
    public class j extends AnimatorListenerAdapter {
        j() {
        }

        public void onAnimationEnd(Animator animator) {
            d dVar = d.this;
            dVar.f8896c.setChecked(dVar.f8872j);
            d.this.f8878p.start();
        }
    }

    d(@NonNull TextInputLayout textInputLayout) {
        super(textInputLayout);
    }

    private com.google.android.material.shape.j A(float f7, float f8, float f9, int i7) {
        o m7 = o.a().K(f7).P(f7).x(f8).C(f8).m();
        com.google.android.material.shape.j n7 = com.google.android.material.shape.j.n(this.f8895b, f9);
        n7.setShapeAppearanceModel(m7);
        n7.p0(0, i7, 0, i7);
        return n7;
    }

    private void B() {
        this.f8878p = z(f8865s, 0.0f, 1.0f);
        ValueAnimator z7 = z(50, 1.0f, 0.0f);
        this.f8877o = z7;
        z7.addListener(new j());
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean C() {
        long currentTimeMillis = System.currentTimeMillis() - this.f8873k;
        return currentTimeMillis < 0 || currentTimeMillis > 300;
    }

    /* access modifiers changed from: private */
    public static boolean D(@NonNull EditText editText) {
        return editText.getKeyListener() != null;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void E(boolean z7) {
        if (this.f8872j != z7) {
            this.f8872j = z7;
            this.f8878p.cancel();
            this.f8877o.start();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void F(@NonNull AutoCompleteTextView autoCompleteTextView) {
        Drawable drawable;
        if (f8863q) {
            int boxBackgroundMode = this.f8894a.getBoxBackgroundMode();
            if (boxBackgroundMode == 2) {
                drawable = this.f8875m;
            } else if (boxBackgroundMode == 1) {
                drawable = this.f8874l;
            } else {
                return;
            }
            autoCompleteTextView.setDropDownBackgroundDrawable(drawable);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    @SuppressLint({"ClickableViewAccessibility"})
    private void G(@NonNull AutoCompleteTextView autoCompleteTextView) {
        autoCompleteTextView.setOnTouchListener(new h(autoCompleteTextView));
        autoCompleteTextView.setOnFocusChangeListener(this.f8867e);
        if (f8863q) {
            autoCompleteTextView.setOnDismissListener(new i());
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void H(@Nullable AutoCompleteTextView autoCompleteTextView) {
        if (autoCompleteTextView != null) {
            if (C()) {
                this.f8871i = false;
            }
            if (!this.f8871i) {
                if (f8863q) {
                    E(!this.f8872j);
                } else {
                    this.f8872j = !this.f8872j;
                    this.f8896c.toggle();
                }
                if (this.f8872j) {
                    autoCompleteTextView.requestFocus();
                    autoCompleteTextView.showDropDown();
                    return;
                }
                autoCompleteTextView.dismissDropDown();
                return;
            }
            this.f8871i = false;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void v(@NonNull AutoCompleteTextView autoCompleteTextView) {
        if (!D(autoCompleteTextView)) {
            int boxBackgroundMode = this.f8894a.getBoxBackgroundMode();
            com.google.android.material.shape.j boxBackground = this.f8894a.getBoxBackground();
            int d7 = f0.a.d(autoCompleteTextView, a.c.B2);
            int[][] iArr = {new int[]{16842919}, new int[0]};
            if (boxBackgroundMode == 2) {
                x(autoCompleteTextView, d7, iArr, boxBackground);
            } else if (boxBackgroundMode == 1) {
                w(autoCompleteTextView, d7, iArr, boxBackground);
            }
        }
    }

    private void w(@NonNull AutoCompleteTextView autoCompleteTextView, int i7, int[][] iArr, @NonNull com.google.android.material.shape.j jVar) {
        int boxBackgroundColor = this.f8894a.getBoxBackgroundColor();
        int[] iArr2 = {f0.a.h(i7, boxBackgroundColor, 0.1f), boxBackgroundColor};
        if (f8863q) {
            ViewCompat.setBackground(autoCompleteTextView, new RippleDrawable(new ColorStateList(iArr, iArr2), jVar, jVar));
            return;
        }
        com.google.android.material.shape.j jVar2 = new com.google.android.material.shape.j(jVar.getShapeAppearanceModel());
        jVar2.n0(new ColorStateList(iArr, iArr2));
        LayerDrawable layerDrawable = new LayerDrawable(new Drawable[]{jVar, jVar2});
        int paddingStart = ViewCompat.getPaddingStart(autoCompleteTextView);
        int paddingTop = autoCompleteTextView.getPaddingTop();
        int paddingEnd = ViewCompat.getPaddingEnd(autoCompleteTextView);
        int paddingBottom = autoCompleteTextView.getPaddingBottom();
        ViewCompat.setBackground(autoCompleteTextView, layerDrawable);
        ViewCompat.setPaddingRelative(autoCompleteTextView, paddingStart, paddingTop, paddingEnd, paddingBottom);
    }

    private void x(@NonNull AutoCompleteTextView autoCompleteTextView, int i7, int[][] iArr, @NonNull com.google.android.material.shape.j jVar) {
        LayerDrawable layerDrawable;
        int d7 = f0.a.d(autoCompleteTextView, a.c.Q2);
        com.google.android.material.shape.j jVar2 = new com.google.android.material.shape.j(jVar.getShapeAppearanceModel());
        int h7 = f0.a.h(i7, d7, 0.1f);
        jVar2.n0(new ColorStateList(iArr, new int[]{h7, 0}));
        if (f8863q) {
            jVar2.setTint(d7);
            ColorStateList colorStateList = new ColorStateList(iArr, new int[]{h7, d7});
            com.google.android.material.shape.j jVar3 = new com.google.android.material.shape.j(jVar.getShapeAppearanceModel());
            jVar3.setTint(-1);
            layerDrawable = new LayerDrawable(new Drawable[]{new RippleDrawable(colorStateList, jVar2, jVar3), jVar});
        } else {
            layerDrawable = new LayerDrawable(new Drawable[]{jVar2, jVar});
        }
        ViewCompat.setBackground(autoCompleteTextView, layerDrawable);
    }

    /* access modifiers changed from: private */
    @NonNull
    public static AutoCompleteTextView y(EditText editText) {
        if (editText instanceof AutoCompleteTextView) {
            return (AutoCompleteTextView) editText;
        }
        throw new RuntimeException("EditText needs to be an AutoCompleteTextView if an Exposed Dropdown Menu is being used.");
    }

    private ValueAnimator z(int i7, float... fArr) {
        ValueAnimator ofFloat = ValueAnimator.ofFloat(fArr);
        ofFloat.setInterpolator(com.google.android.material.animation.a.f6954a);
        ofFloat.setDuration((long) i7);
        ofFloat.addUpdateListener(new b());
        return ofFloat;
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.textfield.e
    public void a() {
        float dimensionPixelOffset = (float) this.f8895b.getResources().getDimensionPixelOffset(a.f.M5);
        float dimensionPixelOffset2 = (float) this.f8895b.getResources().getDimensionPixelOffset(a.f.f1187x4);
        int dimensionPixelOffset3 = this.f8895b.getResources().getDimensionPixelOffset(a.f.f1203z4);
        com.google.android.material.shape.j A = A(dimensionPixelOffset, dimensionPixelOffset, dimensionPixelOffset2, dimensionPixelOffset3);
        com.google.android.material.shape.j A2 = A(0.0f, dimensionPixelOffset, dimensionPixelOffset2, dimensionPixelOffset3);
        this.f8875m = A;
        StateListDrawable stateListDrawable = new StateListDrawable();
        this.f8874l = stateListDrawable;
        stateListDrawable.addState(new int[]{16842922}, A);
        this.f8874l.addState(new int[0], A2);
        this.f8894a.setEndIconDrawable(AppCompatResources.getDrawable(this.f8895b, f8863q ? a.g.f1214c1 : a.g.f1217d1));
        TextInputLayout textInputLayout = this.f8894a;
        textInputLayout.setEndIconContentDescription(textInputLayout.getResources().getText(a.m.K));
        this.f8894a.setEndIconOnClickListener(new g());
        this.f8894a.e(this.f8869g);
        this.f8894a.f(this.f8870h);
        B();
        this.f8876n = (AccessibilityManager) this.f8895b.getSystemService("accessibility");
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.textfield.e
    public boolean b(int i7) {
        return i7 != 0;
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.textfield.e
    public boolean d() {
        return true;
    }
}
