package com.google.android.material.textfield;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.AnimatorSet;
import android.animation.ObjectAnimator;
import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.Typeface;
import android.text.TextUtils;
import android.view.View;
import android.view.ViewGroup;
import android.widget.EditText;
import android.widget.FrameLayout;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.annotation.ColorInt;
import androidx.annotation.DimenRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.StyleRes;
import androidx.appcompat.widget.AppCompatTextView;
import androidx.core.view.ViewCompat;
import androidx.core.widget.TextViewCompat;
import b0.a;
import com.google.android.material.animation.b;
import com.google.android.material.resources.c;
import java.util.ArrayList;
import java.util.List;

/* access modifiers changed from: package-private */
public final class f {
    private static final int A = 0;
    private static final int B = 1;
    private static final int C = 2;

    /* renamed from: v  reason: collision with root package name */
    private static final int f8897v = 217;

    /* renamed from: w  reason: collision with root package name */
    private static final int f8898w = 167;

    /* renamed from: x  reason: collision with root package name */
    static final int f8899x = 0;

    /* renamed from: y  reason: collision with root package name */
    static final int f8900y = 1;

    /* renamed from: z  reason: collision with root package name */
    static final int f8901z = 2;

    /* renamed from: a  reason: collision with root package name */
    private final Context f8902a;
    @NonNull

    /* renamed from: b  reason: collision with root package name */
    private final TextInputLayout f8903b;

    /* renamed from: c  reason: collision with root package name */
    private LinearLayout f8904c;

    /* renamed from: d  reason: collision with root package name */
    private int f8905d;

    /* renamed from: e  reason: collision with root package name */
    private FrameLayout f8906e;
    @Nullable

    /* renamed from: f  reason: collision with root package name */
    private Animator f8907f;

    /* renamed from: g  reason: collision with root package name */
    private final float f8908g;

    /* renamed from: h  reason: collision with root package name */
    private int f8909h;

    /* renamed from: i  reason: collision with root package name */
    private int f8910i;
    @Nullable

    /* renamed from: j  reason: collision with root package name */
    private CharSequence f8911j;

    /* renamed from: k  reason: collision with root package name */
    private boolean f8912k;
    @Nullable

    /* renamed from: l  reason: collision with root package name */
    private TextView f8913l;
    @Nullable

    /* renamed from: m  reason: collision with root package name */
    private CharSequence f8914m;

    /* renamed from: n  reason: collision with root package name */
    private int f8915n;
    @Nullable

    /* renamed from: o  reason: collision with root package name */
    private ColorStateList f8916o;

    /* renamed from: p  reason: collision with root package name */
    private CharSequence f8917p;

    /* renamed from: q  reason: collision with root package name */
    private boolean f8918q;
    @Nullable

    /* renamed from: r  reason: collision with root package name */
    private TextView f8919r;

    /* renamed from: s  reason: collision with root package name */
    private int f8920s;
    @Nullable

    /* renamed from: t  reason: collision with root package name */
    private ColorStateList f8921t;

    /* renamed from: u  reason: collision with root package name */
    private Typeface f8922u;

    /* access modifiers changed from: package-private */
    public class a extends AnimatorListenerAdapter {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ int f8923f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ TextView f8924g;

        /* renamed from: p  reason: collision with root package name */
        final /* synthetic */ int f8925p;

        /* renamed from: x  reason: collision with root package name */
        final /* synthetic */ TextView f8926x;

        a(int i7, TextView textView, int i8, TextView textView2) {
            this.f8923f = i7;
            this.f8924g = textView;
            this.f8925p = i8;
            this.f8926x = textView2;
        }

        public void onAnimationEnd(Animator animator) {
            f.this.f8909h = this.f8923f;
            f.this.f8907f = null;
            TextView textView = this.f8924g;
            if (textView != null) {
                textView.setVisibility(4);
                if (this.f8925p == 1 && f.this.f8913l != null) {
                    f.this.f8913l.setText((CharSequence) null);
                }
            }
            TextView textView2 = this.f8926x;
            if (textView2 != null) {
                textView2.setTranslationY(0.0f);
                this.f8926x.setAlpha(1.0f);
            }
        }

        public void onAnimationStart(Animator animator) {
            TextView textView = this.f8926x;
            if (textView != null) {
                textView.setVisibility(0);
            }
        }
    }

    public f(@NonNull TextInputLayout textInputLayout) {
        Context context = textInputLayout.getContext();
        this.f8902a = context;
        this.f8903b = textInputLayout;
        this.f8908g = (float) context.getResources().getDimensionPixelSize(a.f.I1);
    }

    private boolean A(int i7) {
        return i7 == 2 && this.f8919r != null && !TextUtils.isEmpty(this.f8917p);
    }

    private void F(int i7, int i8) {
        TextView m7;
        TextView m8;
        if (i7 != i8) {
            if (!(i8 == 0 || (m8 = m(i8)) == null)) {
                m8.setVisibility(0);
                m8.setAlpha(1.0f);
            }
            if (!(i7 == 0 || (m7 = m(i7)) == null)) {
                m7.setVisibility(4);
                if (i7 == 1) {
                    m7.setText((CharSequence) null);
                }
            }
            this.f8909h = i8;
        }
    }

    private void N(@Nullable TextView textView, Typeface typeface) {
        if (textView != null) {
            textView.setTypeface(typeface);
        }
    }

    private void P(@NonNull ViewGroup viewGroup, int i7) {
        if (i7 == 0) {
            viewGroup.setVisibility(8);
        }
    }

    private boolean Q(@Nullable TextView textView, @Nullable CharSequence charSequence) {
        return ViewCompat.isLaidOut(this.f8903b) && this.f8903b.isEnabled() && (this.f8910i != this.f8909h || textView == null || !TextUtils.equals(textView.getText(), charSequence));
    }

    private void T(int i7, int i8, boolean z7) {
        if (i7 != i8) {
            if (z7) {
                AnimatorSet animatorSet = new AnimatorSet();
                this.f8907f = animatorSet;
                ArrayList arrayList = new ArrayList();
                h(arrayList, this.f8918q, this.f8919r, 2, i7, i8);
                h(arrayList, this.f8912k, this.f8913l, 1, i7, i8);
                b.a(animatorSet, arrayList);
                animatorSet.addListener(new a(i8, m(i7), i7, m(i8)));
                animatorSet.start();
            } else {
                F(i7, i8);
            }
            this.f8903b.J0();
            this.f8903b.M0(z7);
            this.f8903b.W0();
        }
    }

    private boolean f() {
        return (this.f8904c == null || this.f8903b.getEditText() == null) ? false : true;
    }

    private void h(@NonNull List<Animator> list, boolean z7, @Nullable TextView textView, int i7, int i8, int i9) {
        if (textView != null && z7) {
            if (i7 == i9 || i7 == i8) {
                list.add(i(textView, i9 == i7));
                if (i9 == i7) {
                    list.add(j(textView));
                }
            }
        }
    }

    private ObjectAnimator i(TextView textView, boolean z7) {
        ObjectAnimator ofFloat = ObjectAnimator.ofFloat(textView, View.ALPHA, z7 ? 1.0f : 0.0f);
        ofFloat.setDuration(167L);
        ofFloat.setInterpolator(com.google.android.material.animation.a.f6954a);
        return ofFloat;
    }

    private ObjectAnimator j(TextView textView) {
        ObjectAnimator ofFloat = ObjectAnimator.ofFloat(textView, View.TRANSLATION_Y, -this.f8908g, 0.0f);
        ofFloat.setDuration(217L);
        ofFloat.setInterpolator(com.google.android.material.animation.a.f6957d);
        return ofFloat;
    }

    @Nullable
    private TextView m(int i7) {
        if (i7 == 1) {
            return this.f8913l;
        }
        if (i7 != 2) {
            return null;
        }
        return this.f8919r;
    }

    private int u(boolean z7, @DimenRes int i7, int i8) {
        return z7 ? this.f8902a.getResources().getDimensionPixelSize(i7) : i8;
    }

    private boolean z(int i7) {
        return i7 == 1 && this.f8913l != null && !TextUtils.isEmpty(this.f8911j);
    }

    /* access modifiers changed from: package-private */
    public boolean B(int i7) {
        return i7 == 0 || i7 == 1;
    }

    /* access modifiers changed from: package-private */
    public boolean C() {
        return this.f8912k;
    }

    /* access modifiers changed from: package-private */
    public boolean D() {
        return this.f8918q;
    }

    /* access modifiers changed from: package-private */
    public void E(TextView textView, int i7) {
        ViewGroup viewGroup;
        if (this.f8904c != null) {
            if (!B(i7) || (viewGroup = this.f8906e) == null) {
                viewGroup = this.f8904c;
            }
            viewGroup.removeView(textView);
            int i8 = this.f8905d - 1;
            this.f8905d = i8;
            P(this.f8904c, i8);
        }
    }

    /* access modifiers changed from: package-private */
    public void G(@Nullable CharSequence charSequence) {
        this.f8914m = charSequence;
        TextView textView = this.f8913l;
        if (textView != null) {
            textView.setContentDescription(charSequence);
        }
    }

    /* access modifiers changed from: package-private */
    public void H(boolean z7) {
        if (this.f8912k != z7) {
            g();
            if (z7) {
                AppCompatTextView appCompatTextView = new AppCompatTextView(this.f8902a);
                this.f8913l = appCompatTextView;
                appCompatTextView.setId(a.h.f1444w5);
                this.f8913l.setTextAlignment(5);
                Typeface typeface = this.f8922u;
                if (typeface != null) {
                    this.f8913l.setTypeface(typeface);
                }
                I(this.f8915n);
                J(this.f8916o);
                G(this.f8914m);
                this.f8913l.setVisibility(4);
                ViewCompat.setAccessibilityLiveRegion(this.f8913l, 1);
                d(this.f8913l, 0);
            } else {
                x();
                E(this.f8913l, 0);
                this.f8913l = null;
                this.f8903b.J0();
                this.f8903b.W0();
            }
            this.f8912k = z7;
        }
    }

    /* access modifiers changed from: package-private */
    public void I(@StyleRes int i7) {
        this.f8915n = i7;
        TextView textView = this.f8913l;
        if (textView != null) {
            this.f8903b.v0(textView, i7);
        }
    }

    /* access modifiers changed from: package-private */
    public void J(@Nullable ColorStateList colorStateList) {
        this.f8916o = colorStateList;
        TextView textView = this.f8913l;
        if (textView != null && colorStateList != null) {
            textView.setTextColor(colorStateList);
        }
    }

    /* access modifiers changed from: package-private */
    public void K(@StyleRes int i7) {
        this.f8920s = i7;
        TextView textView = this.f8919r;
        if (textView != null) {
            TextViewCompat.setTextAppearance(textView, i7);
        }
    }

    /* access modifiers changed from: package-private */
    public void L(boolean z7) {
        if (this.f8918q != z7) {
            g();
            if (z7) {
                AppCompatTextView appCompatTextView = new AppCompatTextView(this.f8902a);
                this.f8919r = appCompatTextView;
                appCompatTextView.setId(a.h.f1451x5);
                this.f8919r.setTextAlignment(5);
                Typeface typeface = this.f8922u;
                if (typeface != null) {
                    this.f8919r.setTypeface(typeface);
                }
                this.f8919r.setVisibility(4);
                ViewCompat.setAccessibilityLiveRegion(this.f8919r, 1);
                K(this.f8920s);
                M(this.f8921t);
                d(this.f8919r, 1);
            } else {
                y();
                E(this.f8919r, 1);
                this.f8919r = null;
                this.f8903b.J0();
                this.f8903b.W0();
            }
            this.f8918q = z7;
        }
    }

    /* access modifiers changed from: package-private */
    public void M(@Nullable ColorStateList colorStateList) {
        this.f8921t = colorStateList;
        TextView textView = this.f8919r;
        if (textView != null && colorStateList != null) {
            textView.setTextColor(colorStateList);
        }
    }

    /* access modifiers changed from: package-private */
    public void O(Typeface typeface) {
        if (typeface != this.f8922u) {
            this.f8922u = typeface;
            N(this.f8913l, typeface);
            N(this.f8919r, typeface);
        }
    }

    /* access modifiers changed from: package-private */
    public void R(CharSequence charSequence) {
        g();
        this.f8911j = charSequence;
        this.f8913l.setText(charSequence);
        int i7 = this.f8909h;
        if (i7 != 1) {
            this.f8910i = 1;
        }
        T(i7, this.f8910i, Q(this.f8913l, charSequence));
    }

    /* access modifiers changed from: package-private */
    public void S(CharSequence charSequence) {
        g();
        this.f8917p = charSequence;
        this.f8919r.setText(charSequence);
        int i7 = this.f8909h;
        if (i7 != 2) {
            this.f8910i = 2;
        }
        T(i7, this.f8910i, Q(this.f8919r, charSequence));
    }

    /* access modifiers changed from: package-private */
    public void d(TextView textView, int i7) {
        if (this.f8904c == null && this.f8906e == null) {
            LinearLayout linearLayout = new LinearLayout(this.f8902a);
            this.f8904c = linearLayout;
            linearLayout.setOrientation(0);
            this.f8903b.addView(this.f8904c, -1, -2);
            this.f8906e = new FrameLayout(this.f8902a);
            this.f8904c.addView(this.f8906e, new LinearLayout.LayoutParams(0, -2, 1.0f));
            if (this.f8903b.getEditText() != null) {
                e();
            }
        }
        if (B(i7)) {
            this.f8906e.setVisibility(0);
            this.f8906e.addView(textView);
        } else {
            this.f8904c.addView(textView, new LinearLayout.LayoutParams(-2, -2));
        }
        this.f8904c.setVisibility(0);
        this.f8905d++;
    }

    /* access modifiers changed from: package-private */
    public void e() {
        if (f()) {
            EditText editText = this.f8903b.getEditText();
            boolean g7 = c.g(this.f8902a);
            ViewCompat.setPaddingRelative(this.f8904c, u(g7, a.f.f1177w2, ViewCompat.getPaddingStart(editText)), u(g7, a.f.f1185x2, this.f8902a.getResources().getDimensionPixelSize(a.f.f1169v2)), u(g7, a.f.f1177w2, ViewCompat.getPaddingEnd(editText)), 0);
        }
    }

    /* access modifiers changed from: package-private */
    public void g() {
        Animator animator = this.f8907f;
        if (animator != null) {
            animator.cancel();
        }
    }

    /* access modifiers changed from: package-private */
    public boolean k() {
        return z(this.f8909h);
    }

    /* access modifiers changed from: package-private */
    public boolean l() {
        return z(this.f8910i);
    }

    /* access modifiers changed from: package-private */
    @Nullable
    public CharSequence n() {
        return this.f8914m;
    }

    /* access modifiers changed from: package-private */
    @Nullable
    public CharSequence o() {
        return this.f8911j;
    }

    /* access modifiers changed from: package-private */
    @ColorInt
    public int p() {
        TextView textView = this.f8913l;
        if (textView != null) {
            return textView.getCurrentTextColor();
        }
        return -1;
    }

    /* access modifiers changed from: package-private */
    @Nullable
    public ColorStateList q() {
        TextView textView = this.f8913l;
        if (textView != null) {
            return textView.getTextColors();
        }
        return null;
    }

    /* access modifiers changed from: package-private */
    public CharSequence r() {
        return this.f8917p;
    }

    /* access modifiers changed from: package-private */
    @Nullable
    public ColorStateList s() {
        TextView textView = this.f8919r;
        if (textView != null) {
            return textView.getTextColors();
        }
        return null;
    }

    /* access modifiers changed from: package-private */
    @ColorInt
    public int t() {
        TextView textView = this.f8919r;
        if (textView != null) {
            return textView.getCurrentTextColor();
        }
        return -1;
    }

    /* access modifiers changed from: package-private */
    public boolean v() {
        return A(this.f8909h);
    }

    /* access modifiers changed from: package-private */
    public boolean w() {
        return A(this.f8910i);
    }

    /* access modifiers changed from: package-private */
    public void x() {
        this.f8911j = null;
        g();
        if (this.f8909h == 1) {
            this.f8910i = (!this.f8918q || TextUtils.isEmpty(this.f8917p)) ? 0 : 2;
        }
        T(this.f8909h, this.f8910i, Q(this.f8913l, null));
    }

    /* access modifiers changed from: package-private */
    public void y() {
        g();
        int i7 = this.f8909h;
        if (i7 == 2) {
            this.f8910i = 0;
        }
        T(i7, this.f8910i, Q(this.f8919r, null));
    }
}
