package com.google.android.material.textfield;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.accessibility.AccessibilityManager;
import android.widget.AdapterView;
import android.widget.Filterable;
import android.widget.ListAdapter;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.appcompat.widget.AppCompatAutoCompleteTextView;
import androidx.appcompat.widget.ListPopupWindow;
import b0.a;
import com.google.android.material.internal.q;

public class g extends AppCompatAutoCompleteTextView {

    /* renamed from: d  reason: collision with root package name */
    private static final int f8928d = 15;
    @NonNull

    /* renamed from: a  reason: collision with root package name */
    private final ListPopupWindow f8929a;
    @Nullable

    /* renamed from: b  reason: collision with root package name */
    private final AccessibilityManager f8930b;
    @NonNull

    /* renamed from: c  reason: collision with root package name */
    private final Rect f8931c;

    class a implements AdapterView.OnItemClickListener {
        a() {
        }

        @Override // android.widget.AdapterView.OnItemClickListener
        public void onItemClick(AdapterView<?> adapterView, View view, int i7, long j7) {
            g gVar = g.this;
            g.this.e(i7 < 0 ? gVar.f8929a.getSelectedItem() : gVar.getAdapter().getItem(i7));
            AdapterView.OnItemClickListener onItemClickListener = g.this.getOnItemClickListener();
            if (onItemClickListener != null) {
                if (view == null || i7 < 0) {
                    view = g.this.f8929a.getSelectedView();
                    i7 = g.this.f8929a.getSelectedItemPosition();
                    j7 = g.this.f8929a.getSelectedItemId();
                }
                onItemClickListener.onItemClick(g.this.f8929a.getListView(), view, i7, j7);
            }
            g.this.f8929a.dismiss();
        }
    }

    public g(@NonNull Context context) {
        this(context, null);
    }

    @Nullable
    private TextInputLayout c() {
        for (ViewParent parent = getParent(); parent != null; parent = parent.getParent()) {
            if (parent instanceof TextInputLayout) {
                return (TextInputLayout) parent;
            }
        }
        return null;
    }

    private int d() {
        ListAdapter adapter = getAdapter();
        TextInputLayout c7 = c();
        int i7 = 0;
        if (adapter == null || c7 == null) {
            return 0;
        }
        int makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(getMeasuredWidth(), 0);
        int makeMeasureSpec2 = View.MeasureSpec.makeMeasureSpec(getMeasuredHeight(), 0);
        int min = Math.min(adapter.getCount(), Math.max(0, this.f8929a.getSelectedItemPosition()) + 15);
        View view = null;
        int i8 = 0;
        for (int max = Math.max(0, min - 15); max < min; max++) {
            int itemViewType = adapter.getItemViewType(max);
            if (itemViewType != i7) {
                view = null;
                i7 = itemViewType;
            }
            view = adapter.getView(max, view, c7);
            if (view.getLayoutParams() == null) {
                view.setLayoutParams(new ViewGroup.LayoutParams(-2, -2));
            }
            view.measure(makeMeasureSpec, makeMeasureSpec2);
            i8 = Math.max(i8, view.getMeasuredWidth());
        }
        Drawable background = this.f8929a.getBackground();
        if (background != null) {
            background.getPadding(this.f8931c);
            Rect rect = this.f8931c;
            i8 += rect.left + rect.right;
        }
        return i8 + c7.getEndIconView().getMeasuredWidth();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private <T extends ListAdapter & Filterable> void e(Object obj) {
        setText(convertSelectionToString(obj), false);
    }

    @Nullable
    public CharSequence getHint() {
        TextInputLayout c7 = c();
        return (c7 == null || !c7.Z()) ? super.getHint() : c7.getHint();
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        TextInputLayout c7 = c();
        if (c7 != null && c7.Z() && super.getHint() == null && com.google.android.material.internal.g.c()) {
            setHint("");
        }
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i7, int i8) {
        super.onMeasure(i7, i8);
        if (View.MeasureSpec.getMode(i7) == Integer.MIN_VALUE) {
            setMeasuredDimension(Math.min(Math.max(getMeasuredWidth(), d()), View.MeasureSpec.getSize(i7)), getMeasuredHeight());
        }
    }

    @Override // android.widget.AutoCompleteTextView
    public <T extends ListAdapter & Filterable> void setAdapter(@Nullable T t7) {
        super.setAdapter(t7);
        this.f8929a.setAdapter(getAdapter());
    }

    public void showDropDown() {
        AccessibilityManager accessibilityManager = this.f8930b;
        if (accessibilityManager == null || !accessibilityManager.isTouchExplorationEnabled()) {
            super.showDropDown();
        } else {
            this.f8929a.show();
        }
    }

    public g(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, a.c.Z);
    }

    public g(@NonNull Context context, @Nullable AttributeSet attributeSet, int i7) {
        super(l0.a.c(context, attributeSet, i7, 0), attributeSet, i7);
        this.f8931c = new Rect();
        Context context2 = getContext();
        TypedArray j7 = q.j(context2, attributeSet, a.o.Zi, i7, a.n.f9, new int[0]);
        if (j7.hasValue(a.o.aj) && j7.getInt(a.o.aj, 0) == 0) {
            setKeyListener(null);
        }
        this.f8930b = (AccessibilityManager) context2.getSystemService("accessibility");
        ListPopupWindow listPopupWindow = new ListPopupWindow(context2);
        this.f8929a = listPopupWindow;
        listPopupWindow.setModal(true);
        listPopupWindow.setAnchorView(this);
        listPopupWindow.setInputMethodMode(2);
        listPopupWindow.setAdapter(getAdapter());
        listPopupWindow.setOnItemClickListener(new a());
        j7.recycle();
    }
}
