package com.google.android.material.timepicker;

import android.content.Context;
import android.content.res.Configuration;
import android.text.Editable;
import android.text.InputFilter;
import android.text.TextUtils;
import android.text.TextWatcher;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Checkable;
import android.widget.EditText;
import android.widget.FrameLayout;
import android.widget.TextView;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.core.view.AccessibilityDelegateCompat;
import androidx.core.view.ViewCompat;
import b0.a;
import com.google.android.material.chip.Chip;
import com.google.android.material.internal.p;
import com.google.android.material.textfield.TextInputLayout;
import java.util.Arrays;

class ChipTextInputComboView extends FrameLayout implements Checkable {

    /* renamed from: a  reason: collision with root package name */
    private final Chip f8942a;

    /* renamed from: b  reason: collision with root package name */
    private final TextInputLayout f8943b;

    /* renamed from: c  reason: collision with root package name */
    private final EditText f8944c;

    /* renamed from: d  reason: collision with root package name */
    private TextWatcher f8945d;

    /* renamed from: e  reason: collision with root package name */
    private TextView f8946e;

    private class b extends p {

        /* renamed from: b  reason: collision with root package name */
        private static final String f8947b = "00";

        private b() {
        }

        @Override // com.google.android.material.internal.p
        public void afterTextChanged(Editable editable) {
            if (TextUtils.isEmpty(editable)) {
                ChipTextInputComboView.this.f8942a.setText(ChipTextInputComboView.this.d(f8947b));
            } else {
                ChipTextInputComboView.this.f8942a.setText(ChipTextInputComboView.this.d(editable));
            }
        }
    }

    public ChipTextInputComboView(@NonNull Context context) {
        this(context, null);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private String d(CharSequence charSequence) {
        return TimeModel.a(getResources(), charSequence);
    }

    private void j() {
        this.f8944c.setImeHintLocales(getContext().getResources().getConfiguration().getLocales());
    }

    public void c(InputFilter inputFilter) {
        InputFilter[] filters = this.f8944c.getFilters();
        InputFilter[] inputFilterArr = (InputFilter[]) Arrays.copyOf(filters, filters.length + 1);
        inputFilterArr[filters.length] = inputFilter;
        this.f8944c.setFilters(inputFilterArr);
    }

    public TextInputLayout e() {
        return this.f8943b;
    }

    public void f(AccessibilityDelegateCompat accessibilityDelegateCompat) {
        ViewCompat.setAccessibilityDelegate(this.f8942a, accessibilityDelegateCompat);
    }

    public void g(boolean z7) {
        this.f8944c.setCursorVisible(z7);
    }

    public void h(CharSequence charSequence) {
        this.f8946e.setText(charSequence);
    }

    public void i(CharSequence charSequence) {
        this.f8942a.setText(d(charSequence));
        if (!TextUtils.isEmpty(this.f8944c.getText())) {
            this.f8944c.removeTextChangedListener(this.f8945d);
            this.f8944c.setText((CharSequence) null);
            this.f8944c.addTextChangedListener(this.f8945d);
        }
    }

    public boolean isChecked() {
        return this.f8942a.isChecked();
    }

    /* access modifiers changed from: protected */
    public void onConfigurationChanged(Configuration configuration) {
        super.onConfigurationChanged(configuration);
        j();
    }

    public void setChecked(boolean z7) {
        this.f8942a.setChecked(z7);
        int i7 = 0;
        this.f8944c.setVisibility(z7 ? 0 : 4);
        Chip chip = this.f8942a;
        if (z7) {
            i7 = 8;
        }
        chip.setVisibility(i7);
        if (isChecked()) {
            this.f8944c.requestFocus();
            if (!TextUtils.isEmpty(this.f8944c.getText())) {
                EditText editText = this.f8944c;
                editText.setSelection(editText.getText().length());
            }
        }
    }

    public void setOnClickListener(@Nullable View.OnClickListener onClickListener) {
        this.f8942a.setOnClickListener(onClickListener);
    }

    public void setTag(int i7, Object obj) {
        this.f8942a.setTag(i7, obj);
    }

    public void toggle() {
        this.f8942a.toggle();
    }

    public ChipTextInputComboView(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public ChipTextInputComboView(@NonNull Context context, @Nullable AttributeSet attributeSet, int i7) {
        super(context, attributeSet, i7);
        LayoutInflater from = LayoutInflater.from(context);
        Chip chip = (Chip) from.inflate(a.k.f1507b0, (ViewGroup) this, false);
        this.f8942a = chip;
        TextInputLayout textInputLayout = (TextInputLayout) from.inflate(a.k.f1510c0, (ViewGroup) this, false);
        this.f8943b = textInputLayout;
        EditText editText = textInputLayout.getEditText();
        this.f8944c = editText;
        editText.setVisibility(4);
        b bVar = new b();
        this.f8945d = bVar;
        editText.addTextChangedListener(bVar);
        j();
        addView(chip);
        addView(textInputLayout);
        this.f8946e = (TextView) findViewById(a.h.f1441w2);
        editText.setSaveEnabled(false);
    }
}
