package com.google.android.material.timepicker;

import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.RadialGradient;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.Shader;
import android.util.AttributeSet;
import android.util.DisplayMetrics;
import android.util.SparseArray;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewTreeObserver;
import android.view.accessibility.AccessibilityNodeInfo;
import android.widget.TextView;
import androidx.annotation.FloatRange;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.StringRes;
import androidx.appcompat.content.res.AppCompatResources;
import androidx.core.view.AccessibilityDelegateCompat;
import androidx.core.view.ViewCompat;
import androidx.core.view.accessibility.AccessibilityNodeInfoCompat;
import b0.a;
import com.google.android.material.resources.c;
import com.google.android.material.timepicker.ClockHandView;
import java.util.Arrays;

class ClockFaceView extends d implements ClockHandView.d {

    /* renamed from: s  reason: collision with root package name */
    private static final float f8949s = 0.001f;

    /* renamed from: t  reason: collision with root package name */
    private static final int f8950t = 12;

    /* renamed from: u  reason: collision with root package name */
    private static final String f8951u = "";

    /* renamed from: e  reason: collision with root package name */
    private final ClockHandView f8952e;

    /* renamed from: f  reason: collision with root package name */
    private final Rect f8953f;

    /* renamed from: g  reason: collision with root package name */
    private final RectF f8954g;

    /* renamed from: h  reason: collision with root package name */
    private final SparseArray<TextView> f8955h;

    /* renamed from: i  reason: collision with root package name */
    private final AccessibilityDelegateCompat f8956i;

    /* renamed from: j  reason: collision with root package name */
    private final int[] f8957j;

    /* renamed from: k  reason: collision with root package name */
    private final float[] f8958k;

    /* renamed from: l  reason: collision with root package name */
    private final int f8959l;

    /* renamed from: m  reason: collision with root package name */
    private final int f8960m;

    /* renamed from: n  reason: collision with root package name */
    private final int f8961n;

    /* renamed from: o  reason: collision with root package name */
    private final int f8962o;

    /* renamed from: p  reason: collision with root package name */
    private String[] f8963p;

    /* renamed from: q  reason: collision with root package name */
    private float f8964q;

    /* renamed from: r  reason: collision with root package name */
    private final ColorStateList f8965r;

    class a implements ViewTreeObserver.OnPreDrawListener {
        a() {
        }

        public boolean onPreDraw() {
            if (!ClockFaceView.this.isShown()) {
                return true;
            }
            ClockFaceView.this.getViewTreeObserver().removeOnPreDrawListener(this);
            ClockFaceView.this.h(((ClockFaceView.this.getHeight() / 2) - ClockFaceView.this.f8952e.g()) - ClockFaceView.this.f8959l);
            return true;
        }
    }

    class b extends AccessibilityDelegateCompat {
        b() {
        }

        @Override // androidx.core.view.AccessibilityDelegateCompat
        public void onInitializeAccessibilityNodeInfo(View view, @NonNull AccessibilityNodeInfoCompat accessibilityNodeInfoCompat) {
            super.onInitializeAccessibilityNodeInfo(view, accessibilityNodeInfoCompat);
            int intValue = ((Integer) view.getTag(a.h.G2)).intValue();
            if (intValue > 0) {
                accessibilityNodeInfoCompat.setTraversalAfter((View) ClockFaceView.this.f8955h.get(intValue - 1));
            }
            accessibilityNodeInfoCompat.setCollectionItemInfo(AccessibilityNodeInfoCompat.CollectionItemInfoCompat.obtain(0, 1, intValue, 1, false, view.isSelected()));
        }
    }

    public ClockFaceView(@NonNull Context context) {
        this(context, null);
    }

    private void o() {
        RectF d7 = this.f8952e.d();
        for (int i7 = 0; i7 < this.f8955h.size(); i7++) {
            TextView textView = this.f8955h.get(i7);
            if (textView != null) {
                textView.getDrawingRect(this.f8953f);
                this.f8953f.offset(textView.getPaddingLeft(), textView.getPaddingTop());
                offsetDescendantRectToMyCoords(textView, this.f8953f);
                this.f8954g.set(this.f8953f);
                textView.getPaint().setShader(p(d7, this.f8954g));
                textView.invalidate();
            }
        }
    }

    private RadialGradient p(RectF rectF, RectF rectF2) {
        if (!RectF.intersects(rectF, rectF2)) {
            return null;
        }
        return new RadialGradient(rectF.centerX() - this.f8954g.left, rectF.centerY() - this.f8954g.top, rectF.width() * 0.5f, this.f8957j, this.f8958k, Shader.TileMode.CLAMP);
    }

    private static float q(float f7, float f8, float f9) {
        return Math.max(Math.max(f7, f8), f9);
    }

    private void r(@StringRes int i7) {
        LayoutInflater from = LayoutInflater.from(getContext());
        int size = this.f8955h.size();
        for (int i8 = 0; i8 < Math.max(this.f8963p.length, size); i8++) {
            TextView textView = this.f8955h.get(i8);
            if (i8 >= this.f8963p.length) {
                removeView(textView);
                this.f8955h.remove(i8);
            } else {
                if (textView == null) {
                    textView = (TextView) from.inflate(a.k.X, (ViewGroup) this, false);
                    this.f8955h.put(i8, textView);
                    addView(textView);
                }
                textView.setVisibility(0);
                textView.setText(this.f8963p[i8]);
                textView.setTag(a.h.G2, Integer.valueOf(i8));
                ViewCompat.setAccessibilityDelegate(textView, this.f8956i);
                textView.setTextColor(this.f8965r);
                if (i7 != 0) {
                    textView.setContentDescription(getResources().getString(i7, this.f8963p[i8]));
                }
            }
        }
    }

    public void c(String[] strArr, @StringRes int i7) {
        this.f8963p = strArr;
        r(i7);
    }

    @Override // com.google.android.material.timepicker.ClockHandView.d
    public void d(float f7, boolean z7) {
        if (Math.abs(this.f8964q - f7) > f8949s) {
            this.f8964q = f7;
            o();
        }
    }

    public void e(@FloatRange(from = 0.0d, to = 360.0d) float f7) {
        this.f8952e.l(f7);
        o();
    }

    @Override // com.google.android.material.timepicker.d
    public void h(int i7) {
        if (i7 != g()) {
            super.h(i7);
            this.f8952e.k(g());
        }
    }

    public void onInitializeAccessibilityNodeInfo(@NonNull AccessibilityNodeInfo accessibilityNodeInfo) {
        super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
        AccessibilityNodeInfoCompat.wrap(accessibilityNodeInfo).setCollectionInfo(AccessibilityNodeInfoCompat.CollectionInfoCompat.obtain(1, this.f8963p.length, false, 1));
    }

    /* access modifiers changed from: protected */
    @Override // androidx.constraintlayout.widget.ConstraintLayout
    public void onLayout(boolean z7, int i7, int i8, int i9, int i10) {
        super.onLayout(z7, i7, i8, i9, i10);
        o();
    }

    /* access modifiers changed from: protected */
    @Override // androidx.constraintlayout.widget.ConstraintLayout
    public void onMeasure(int i7, int i8) {
        DisplayMetrics displayMetrics = getResources().getDisplayMetrics();
        int q7 = (int) (((float) this.f8962o) / q(((float) this.f8960m) / ((float) displayMetrics.heightPixels), ((float) this.f8961n) / ((float) displayMetrics.widthPixels), 1.0f));
        int makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(q7, 1073741824);
        setMeasuredDimension(q7, q7);
        super.onMeasure(makeMeasureSpec, makeMeasureSpec);
    }

    public ClockFaceView(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, a.c.M9);
    }

    @SuppressLint({"ClickableViewAccessibility"})
    public ClockFaceView(@NonNull Context context, @Nullable AttributeSet attributeSet, int i7) {
        super(context, attributeSet, i7);
        this.f8953f = new Rect();
        this.f8954g = new RectF();
        this.f8955h = new SparseArray<>();
        this.f8958k = new float[]{0.0f, 0.9f, 1.0f};
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, a.o.f1938n6, i7, a.n.Ic);
        Resources resources = getResources();
        ColorStateList a8 = c.a(context, obtainStyledAttributes, a.o.f1954p6);
        this.f8965r = a8;
        LayoutInflater.from(context).inflate(a.k.Y, (ViewGroup) this, true);
        ClockHandView clockHandView = (ClockHandView) findViewById(a.h.f1399q2);
        this.f8952e = clockHandView;
        this.f8959l = resources.getDimensionPixelSize(a.f.f1017c2);
        int colorForState = a8.getColorForState(new int[]{16842913}, a8.getDefaultColor());
        this.f8957j = new int[]{colorForState, colorForState, a8.getDefaultColor()};
        clockHandView.b(this);
        int defaultColor = AppCompatResources.getColorStateList(context, a.e.f983w1).getDefaultColor();
        ColorStateList a9 = c.a(context, obtainStyledAttributes, a.o.f1946o6);
        setBackgroundColor(a9 != null ? a9.getDefaultColor() : defaultColor);
        getViewTreeObserver().addOnPreDrawListener(new a());
        setFocusable(true);
        obtainStyledAttributes.recycle();
        this.f8956i = new b();
        String[] strArr = new String[12];
        Arrays.fill(strArr, "");
        c(strArr, 0);
        this.f8960m = resources.getDimensionPixelSize(a.f.E2);
        this.f8961n = resources.getDimensionPixelSize(a.f.F2);
        this.f8962o = resources.getDimensionPixelSize(a.f.f1065i2);
    }
}
