package com.google.android.material.timepicker;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.ValueAnimator;
import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.RectF;
import android.util.AttributeSet;
import android.util.Pair;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewConfiguration;
import androidx.annotation.Dimension;
import androidx.annotation.FloatRange;
import androidx.annotation.Nullable;
import androidx.annotation.Px;
import androidx.core.view.ViewCompat;
import b0.a;
import java.util.ArrayList;
import java.util.List;

/* access modifiers changed from: package-private */
public class ClockHandView extends View {

    /* renamed from: r  reason: collision with root package name */
    private static final int f8968r = 200;

    /* renamed from: a  reason: collision with root package name */
    private ValueAnimator f8969a;

    /* renamed from: b  reason: collision with root package name */
    private boolean f8970b;

    /* renamed from: c  reason: collision with root package name */
    private float f8971c;

    /* renamed from: d  reason: collision with root package name */
    private float f8972d;

    /* renamed from: e  reason: collision with root package name */
    private boolean f8973e;

    /* renamed from: f  reason: collision with root package name */
    private int f8974f;

    /* renamed from: g  reason: collision with root package name */
    private final List<d> f8975g;

    /* renamed from: h  reason: collision with root package name */
    private final int f8976h;

    /* renamed from: i  reason: collision with root package name */
    private final float f8977i;

    /* renamed from: j  reason: collision with root package name */
    private final Paint f8978j;

    /* renamed from: k  reason: collision with root package name */
    private final RectF f8979k;
    @Px

    /* renamed from: l  reason: collision with root package name */
    private final int f8980l;

    /* renamed from: m  reason: collision with root package name */
    private float f8981m;

    /* renamed from: n  reason: collision with root package name */
    private boolean f8982n;

    /* renamed from: o  reason: collision with root package name */
    private c f8983o;

    /* renamed from: p  reason: collision with root package name */
    private double f8984p;

    /* renamed from: q  reason: collision with root package name */
    private int f8985q;

    /* access modifiers changed from: package-private */
    public class a implements ValueAnimator.AnimatorUpdateListener {
        a() {
        }

        public void onAnimationUpdate(ValueAnimator valueAnimator) {
            ClockHandView.this.n(((Float) valueAnimator.getAnimatedValue()).floatValue(), true);
        }
    }

    /* access modifiers changed from: package-private */
    public class b extends AnimatorListenerAdapter {
        b() {
        }

        public void onAnimationCancel(Animator animator) {
            animator.end();
        }
    }

    public interface c {
        void c(@FloatRange(from = 0.0d, to = 360.0d) float f7, boolean z7);
    }

    public interface d {
        void d(@FloatRange(from = 0.0d, to = 360.0d) float f7, boolean z7);
    }

    public ClockHandView(Context context) {
        this(context, null);
    }

    private void c(Canvas canvas) {
        int height = getHeight() / 2;
        int width = getWidth() / 2;
        float f7 = (float) width;
        float f8 = (float) height;
        this.f8978j.setStrokeWidth(0.0f);
        canvas.drawCircle((((float) this.f8985q) * ((float) Math.cos(this.f8984p))) + f7, (((float) this.f8985q) * ((float) Math.sin(this.f8984p))) + f8, (float) this.f8976h, this.f8978j);
        double sin = Math.sin(this.f8984p);
        double cos = Math.cos(this.f8984p);
        double d7 = (double) ((float) (this.f8985q - this.f8976h));
        this.f8978j.setStrokeWidth((float) this.f8980l);
        canvas.drawLine(f7, f8, (float) (width + ((int) (cos * d7))), (float) (height + ((int) (d7 * sin))), this.f8978j);
        canvas.drawCircle(f7, f8, this.f8977i, this.f8978j);
    }

    private int e(float f7, float f8) {
        int degrees = ((int) Math.toDegrees(Math.atan2((double) (f8 - ((float) (getHeight() / 2))), (double) (f7 - ((float) (getWidth() / 2)))))) + 90;
        return degrees < 0 ? degrees + 360 : degrees;
    }

    private Pair<Float, Float> h(float f7) {
        float f8 = f();
        if (Math.abs(f8 - f7) > 180.0f) {
            if (f8 > 180.0f && f7 < 180.0f) {
                f7 += 360.0f;
            }
            if (f8 < 180.0f && f7 > 180.0f) {
                f8 += 360.0f;
            }
        }
        return new Pair<>(Float.valueOf(f8), Float.valueOf(f7));
    }

    private boolean i(float f7, float f8, boolean z7, boolean z8, boolean z9) {
        float e7 = (float) e(f7, f8);
        boolean z10 = false;
        boolean z11 = f() != e7;
        if (z8 && z11) {
            return true;
        }
        if (!z11 && !z7) {
            return false;
        }
        if (z9 && this.f8970b) {
            z10 = true;
        }
        m(e7, z10);
        return true;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void n(@FloatRange(from = 0.0d, to = 360.0d) float f7, boolean z7) {
        float f8 = f7 % 360.0f;
        this.f8981m = f8;
        this.f8984p = Math.toRadians((double) (f8 - 90.0f));
        float width = ((float) (getWidth() / 2)) + (((float) this.f8985q) * ((float) Math.cos(this.f8984p)));
        float height = ((float) (getHeight() / 2)) + (((float) this.f8985q) * ((float) Math.sin(this.f8984p)));
        RectF rectF = this.f8979k;
        int i7 = this.f8976h;
        rectF.set(width - ((float) i7), height - ((float) i7), width + ((float) i7), height + ((float) i7));
        for (d dVar : this.f8975g) {
            dVar.d(f8, z7);
        }
        invalidate();
    }

    public void b(d dVar) {
        this.f8975g.add(dVar);
    }

    public RectF d() {
        return this.f8979k;
    }

    @FloatRange(from = 0.0d, to = 360.0d)
    public float f() {
        return this.f8981m;
    }

    public int g() {
        return this.f8976h;
    }

    public void j(boolean z7) {
        this.f8970b = z7;
    }

    public void k(@Dimension int i7) {
        this.f8985q = i7;
        invalidate();
    }

    public void l(@FloatRange(from = 0.0d, to = 360.0d) float f7) {
        m(f7, false);
    }

    public void m(@FloatRange(from = 0.0d, to = 360.0d) float f7, boolean z7) {
        ValueAnimator valueAnimator = this.f8969a;
        if (valueAnimator != null) {
            valueAnimator.cancel();
        }
        if (!z7) {
            n(f7, false);
            return;
        }
        Pair<Float, Float> h7 = h(f7);
        ValueAnimator ofFloat = ValueAnimator.ofFloat(((Float) h7.first).floatValue(), ((Float) h7.second).floatValue());
        this.f8969a = ofFloat;
        ofFloat.setDuration(200L);
        this.f8969a.addUpdateListener(new a());
        this.f8969a.addListener(new b());
        this.f8969a.start();
    }

    public void o(c cVar) {
        this.f8983o = cVar;
    }

    /* access modifiers changed from: protected */
    public void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        c(canvas);
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z7, int i7, int i8, int i9, int i10) {
        super.onLayout(z7, i7, i8, i9, i10);
        l(f());
    }

    @SuppressLint({"ClickableViewAccessibility"})
    public boolean onTouchEvent(MotionEvent motionEvent) {
        boolean z7;
        boolean z8;
        boolean z9;
        c cVar;
        int actionMasked = motionEvent.getActionMasked();
        float x7 = motionEvent.getX();
        float y7 = motionEvent.getY();
        if (actionMasked == 0) {
            this.f8971c = x7;
            this.f8972d = y7;
            this.f8973e = true;
            this.f8982n = false;
            z9 = false;
            z8 = false;
            z7 = true;
        } else if (actionMasked == 1 || actionMasked == 2) {
            int i7 = (int) (x7 - this.f8971c);
            int i8 = (int) (y7 - this.f8972d);
            this.f8973e = (i7 * i7) + (i8 * i8) > this.f8974f;
            boolean z10 = this.f8982n;
            z9 = actionMasked == 1;
            z7 = false;
            z8 = z10;
        } else {
            z9 = false;
            z8 = false;
            z7 = false;
        }
        boolean i9 = i(x7, y7, z8, z7, z9) | this.f8982n;
        this.f8982n = i9;
        if (i9 && z9 && (cVar = this.f8983o) != null) {
            cVar.c((float) e(x7, y7), this.f8973e);
        }
        return true;
    }

    public ClockHandView(Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, a.c.M9);
    }

    public ClockHandView(Context context, @Nullable AttributeSet attributeSet, int i7) {
        super(context, attributeSet, i7);
        this.f8975g = new ArrayList();
        Paint paint = new Paint();
        this.f8978j = paint;
        this.f8979k = new RectF();
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, a.o.f1963q6, i7, a.n.Ic);
        this.f8985q = obtainStyledAttributes.getDimensionPixelSize(a.o.f1979s6, 0);
        this.f8976h = obtainStyledAttributes.getDimensionPixelSize(a.o.f1987t6, 0);
        Resources resources = getResources();
        this.f8980l = resources.getDimensionPixelSize(a.f.f1025d2);
        this.f8977i = (float) resources.getDimensionPixelSize(a.f.f1009b2);
        int color = obtainStyledAttributes.getColor(a.o.f1971r6, 0);
        paint.setAntiAlias(true);
        paint.setColor(color);
        l(0.0f);
        this.f8974f = ViewConfiguration.get(context).getScaledTouchSlop();
        ViewCompat.setImportantForAccessibility(this, 2);
        obtainStyledAttributes.recycle();
    }
}
