package com.google.android.material.timepicker;

import android.annotation.SuppressLint;
import android.content.Context;
import android.util.AttributeSet;
import android.view.GestureDetector;
import android.view.LayoutInflater;
import android.view.MotionEvent;
import android.view.View;
import android.widget.Checkable;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.StringRes;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.constraintlayout.widget.ConstraintSet;
import androidx.core.view.AccessibilityDelegateCompat;
import androidx.core.view.ViewCompat;
import b0.a;
import com.google.android.material.button.MaterialButtonToggleGroup;
import com.google.android.material.chip.Chip;
import com.google.android.material.timepicker.ClockHandView;
import java.util.Locale;

class TimePickerView extends ConstraintLayout implements g {

    /* renamed from: a  reason: collision with root package name */
    private final Chip f8993a;

    /* renamed from: b  reason: collision with root package name */
    private final Chip f8994b;

    /* renamed from: c  reason: collision with root package name */
    private final ClockHandView f8995c;

    /* renamed from: d  reason: collision with root package name */
    private final ClockFaceView f8996d;

    /* renamed from: e  reason: collision with root package name */
    private final MaterialButtonToggleGroup f8997e;

    /* renamed from: f  reason: collision with root package name */
    private final View.OnClickListener f8998f;

    /* renamed from: g  reason: collision with root package name */
    private f f8999g;

    /* renamed from: h  reason: collision with root package name */
    private g f9000h;

    /* renamed from: i  reason: collision with root package name */
    private e f9001i;

    class a implements View.OnClickListener {
        a() {
        }

        public void onClick(View view) {
            if (TimePickerView.this.f9000h != null) {
                TimePickerView.this.f9000h.f(((Integer) view.getTag(a.h.f1443w4)).intValue());
            }
        }
    }

    class b implements MaterialButtonToggleGroup.e {
        b() {
        }

        @Override // com.google.android.material.button.MaterialButtonToggleGroup.e
        public void a(MaterialButtonToggleGroup materialButtonToggleGroup, int i7, boolean z7) {
            int i8 = i7 == a.h.f1413s2 ? 1 : 0;
            if (TimePickerView.this.f8999g != null && z7) {
                TimePickerView.this.f8999g.e(i8);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class c extends GestureDetector.SimpleOnGestureListener {
        c() {
        }

        public boolean onDoubleTap(MotionEvent motionEvent) {
            boolean onDoubleTap = super.onDoubleTap(motionEvent);
            if (TimePickerView.this.f9001i != null) {
                TimePickerView.this.f9001i.a();
            }
            return onDoubleTap;
        }
    }

    /* access modifiers changed from: package-private */
    public class d implements View.OnTouchListener {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ GestureDetector f9005a;

        d(GestureDetector gestureDetector) {
            this.f9005a = gestureDetector;
        }

        public boolean onTouch(View view, MotionEvent motionEvent) {
            if (((Checkable) view).isChecked()) {
                return this.f9005a.onTouchEvent(motionEvent);
            }
            return false;
        }
    }

    /* access modifiers changed from: package-private */
    public interface e {
        void a();
    }

    /* access modifiers changed from: package-private */
    public interface f {
        void e(int i7);
    }

    /* access modifiers changed from: package-private */
    public interface g {
        void f(int i7);
    }

    public TimePickerView(Context context) {
        this(context, null);
    }

    private void r() {
        this.f8993a.setTag(a.h.f1443w4, 12);
        this.f8994b.setTag(a.h.f1443w4, 10);
        this.f8993a.setOnClickListener(this.f8998f);
        this.f8994b.setOnClickListener(this.f8998f);
    }

    @SuppressLint({"ClickableViewAccessibility"})
    private void s() {
        d dVar = new d(new GestureDetector(getContext(), new c()));
        this.f8993a.setOnTouchListener(dVar);
        this.f8994b.setOnTouchListener(dVar);
    }

    private void u() {
        if (this.f8997e.getVisibility() == 0) {
            ConstraintSet constraintSet = new ConstraintSet();
            constraintSet.clone(this);
            int i7 = 1;
            if (ViewCompat.getLayoutDirection(this) == 0) {
                i7 = 2;
            }
            constraintSet.clear(a.h.f1385o2, i7);
            constraintSet.applyTo(this);
        }
    }

    @Override // com.google.android.material.timepicker.g
    public void a(int i7) {
        boolean z7 = true;
        this.f8993a.setChecked(i7 == 12);
        Chip chip = this.f8994b;
        if (i7 != 10) {
            z7 = false;
        }
        chip.setChecked(z7);
    }

    @Override // com.google.android.material.timepicker.g
    @SuppressLint({"DefaultLocale"})
    public void b(int i7, int i8, int i9) {
        this.f8997e.j(i7 == 1 ? a.h.f1413s2 : a.h.f1406r2);
        Locale locale = getResources().getConfiguration().locale;
        String format = String.format(locale, TimeModel.U5, Integer.valueOf(i9));
        String format2 = String.format(locale, TimeModel.U5, Integer.valueOf(i8));
        this.f8993a.setText(format);
        this.f8994b.setText(format2);
    }

    @Override // com.google.android.material.timepicker.g
    public void c(String[] strArr, @StringRes int i7) {
        this.f8996d.c(strArr, i7);
    }

    @Override // com.google.android.material.timepicker.g
    public void e(float f7) {
        this.f8995c.l(f7);
    }

    public void i(ClockHandView.d dVar) {
        this.f8995c.b(dVar);
    }

    public void j(boolean z7) {
        this.f8995c.j(z7);
    }

    public void k(float f7, boolean z7) {
        this.f8995c.m(f7, z7);
    }

    public void l(AccessibilityDelegateCompat accessibilityDelegateCompat) {
        ViewCompat.setAccessibilityDelegate(this.f8993a, accessibilityDelegateCompat);
    }

    public void m(AccessibilityDelegateCompat accessibilityDelegateCompat) {
        ViewCompat.setAccessibilityDelegate(this.f8994b, accessibilityDelegateCompat);
    }

    public void n(ClockHandView.c cVar) {
        this.f8995c.o(cVar);
    }

    /* access modifiers changed from: package-private */
    public void o(@Nullable e eVar) {
        this.f9001i = eVar;
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        u();
    }

    /* access modifiers changed from: protected */
    public void onVisibilityChanged(@NonNull View view, int i7) {
        super.onVisibilityChanged(view, i7);
        if (view == this && i7 == 0) {
            u();
        }
    }

    /* access modifiers changed from: package-private */
    public void p(f fVar) {
        this.f8999g = fVar;
    }

    /* access modifiers changed from: package-private */
    public void q(g gVar) {
        this.f9000h = gVar;
    }

    public void t() {
        this.f8997e.setVisibility(0);
    }

    public TimePickerView(Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public TimePickerView(Context context, @Nullable AttributeSet attributeSet, int i7) {
        super(context, attributeSet, i7);
        this.f8998f = new a();
        LayoutInflater.from(context).inflate(a.k.f1513d0, this);
        this.f8996d = (ClockFaceView) findViewById(a.h.f1392p2);
        MaterialButtonToggleGroup materialButtonToggleGroup = (MaterialButtonToggleGroup) findViewById(a.h.f1420t2);
        this.f8997e = materialButtonToggleGroup;
        materialButtonToggleGroup.g(new b());
        this.f8993a = (Chip) findViewById(a.h.f1455y2);
        this.f8994b = (Chip) findViewById(a.h.f1434v2);
        this.f8995c = (ClockHandView) findViewById(a.h.f1399q2);
        s();
        r();
    }
}
