package com.google.android.material.timepicker;

import android.app.Dialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.os.Bundle;
import android.text.TextUtils;
import android.util.Pair;
import android.util.TypedValue;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewStub;
import android.view.Window;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.annotation.DrawableRes;
import androidx.annotation.IntRange;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.StringRes;
import androidx.annotation.StyleRes;
import androidx.fragment.app.DialogFragment;
import b0.a;
import com.google.android.material.button.MaterialButton;
import com.google.android.material.shape.j;
import com.google.android.material.timepicker.TimePickerView;
import java.util.LinkedHashSet;
import java.util.Set;

public final class b extends DialogFragment {

    /* renamed from: r  reason: collision with root package name */
    public static final int f9008r = 0;

    /* renamed from: s  reason: collision with root package name */
    public static final int f9009s = 1;

    /* renamed from: t  reason: collision with root package name */
    static final String f9010t = "TIME_PICKER_TIME_MODEL";

    /* renamed from: u  reason: collision with root package name */
    static final String f9011u = "TIME_PICKER_INPUT_MODE";

    /* renamed from: v  reason: collision with root package name */
    static final String f9012v = "TIME_PICKER_TITLE_RES";

    /* renamed from: w  reason: collision with root package name */
    static final String f9013w = "TIME_PICKER_TITLE_TEXT";

    /* renamed from: x  reason: collision with root package name */
    static final String f9014x = "TIME_PICKER_OVERRIDE_THEME_RES_ID";

    /* renamed from: a  reason: collision with root package name */
    private final Set<View.OnClickListener> f9015a = new LinkedHashSet();

    /* renamed from: b  reason: collision with root package name */
    private final Set<View.OnClickListener> f9016b = new LinkedHashSet();

    /* renamed from: c  reason: collision with root package name */
    private final Set<DialogInterface.OnCancelListener> f9017c = new LinkedHashSet();

    /* renamed from: d  reason: collision with root package name */
    private final Set<DialogInterface.OnDismissListener> f9018d = new LinkedHashSet();

    /* renamed from: e  reason: collision with root package name */
    private TimePickerView f9019e;

    /* renamed from: f  reason: collision with root package name */
    private ViewStub f9020f;
    @Nullable

    /* renamed from: g  reason: collision with root package name */
    private f f9021g;
    @Nullable

    /* renamed from: h  reason: collision with root package name */
    private j f9022h;
    @Nullable

    /* renamed from: i  reason: collision with root package name */
    private h f9023i;
    @DrawableRes

    /* renamed from: j  reason: collision with root package name */
    private int f9024j;
    @DrawableRes

    /* renamed from: k  reason: collision with root package name */
    private int f9025k;

    /* renamed from: l  reason: collision with root package name */
    private int f9026l = 0;

    /* renamed from: m  reason: collision with root package name */
    private String f9027m;

    /* renamed from: n  reason: collision with root package name */
    private MaterialButton f9028n;

    /* renamed from: o  reason: collision with root package name */
    private int f9029o = 0;

    /* renamed from: p  reason: collision with root package name */
    private TimeModel f9030p;

    /* renamed from: q  reason: collision with root package name */
    private int f9031q = 0;

    class a implements TimePickerView.e {
        a() {
        }

        @Override // com.google.android.material.timepicker.TimePickerView.e
        public void a() {
            b.this.f9029o = 1;
            b bVar = b.this;
            bVar.P(bVar.f9028n);
            b.this.f9022h.i();
        }
    }

    /* renamed from: com.google.android.material.timepicker.b$b  reason: collision with other inner class name */
    class View$OnClickListenerC0101b implements View.OnClickListener {
        View$OnClickListenerC0101b() {
        }

        public void onClick(View view) {
            for (View.OnClickListener onClickListener : b.this.f9015a) {
                onClickListener.onClick(view);
            }
            b.this.dismiss();
        }
    }

    class c implements View.OnClickListener {
        c() {
        }

        public void onClick(View view) {
            for (View.OnClickListener onClickListener : b.this.f9016b) {
                onClickListener.onClick(view);
            }
            b.this.dismiss();
        }
    }

    class d implements View.OnClickListener {
        d() {
        }

        public void onClick(View view) {
            b bVar = b.this;
            bVar.f9029o = bVar.f9029o == 0 ? 1 : 0;
            b bVar2 = b.this;
            bVar2.P(bVar2.f9028n);
        }
    }

    public static final class e {

        /* renamed from: a  reason: collision with root package name */
        private TimeModel f9036a = new TimeModel();

        /* renamed from: b  reason: collision with root package name */
        private int f9037b;

        /* renamed from: c  reason: collision with root package name */
        private int f9038c = 0;

        /* renamed from: d  reason: collision with root package name */
        private CharSequence f9039d;

        /* renamed from: e  reason: collision with root package name */
        private int f9040e = 0;

        @NonNull
        public b f() {
            return b.J(this);
        }

        @NonNull
        public e g(@IntRange(from = 0, to = 23) int i7) {
            this.f9036a.q(i7);
            return this;
        }

        @NonNull
        public e h(int i7) {
            this.f9037b = i7;
            return this;
        }

        @NonNull
        public e i(@IntRange(from = 0, to = 60) int i7) {
            this.f9036a.r(i7);
            return this;
        }

        @NonNull
        public e j(@StyleRes int i7) {
            this.f9040e = i7;
            return this;
        }

        @NonNull
        public e k(int i7) {
            TimeModel timeModel = this.f9036a;
            int i8 = timeModel.f8991x;
            int i9 = timeModel.f8992y;
            TimeModel timeModel2 = new TimeModel(i7);
            this.f9036a = timeModel2;
            timeModel2.r(i9);
            this.f9036a.q(i8);
            return this;
        }

        @NonNull
        public e l(@StringRes int i7) {
            this.f9038c = i7;
            return this;
        }

        @NonNull
        public e m(@Nullable CharSequence charSequence) {
            this.f9039d = charSequence;
            return this;
        }
    }

    private Pair<Integer, Integer> C(int i7) {
        if (i7 == 0) {
            return new Pair<>(Integer.valueOf(this.f9024j), Integer.valueOf(a.m.f1583j0));
        }
        if (i7 == 1) {
            return new Pair<>(Integer.valueOf(this.f9025k), Integer.valueOf(a.m.f1573e0));
        }
        throw new IllegalArgumentException("no icon for mode: " + i7);
    }

    private int G() {
        int i7 = this.f9031q;
        if (i7 != 0) {
            return i7;
        }
        TypedValue a8 = com.google.android.material.resources.b.a(requireContext(), a.c.P9);
        if (a8 == null) {
            return 0;
        }
        return a8.data;
    }

    private h I(int i7) {
        if (i7 == 0) {
            f fVar = this.f9021g;
            if (fVar == null) {
                fVar = new f(this.f9019e, this.f9030p);
            }
            this.f9021g = fVar;
            return fVar;
        }
        if (this.f9022h == null) {
            this.f9022h = new j((LinearLayout) this.f9020f.inflate(), this.f9030p);
        }
        this.f9022h.e();
        return this.f9022h;
    }

    /* access modifiers changed from: private */
    @NonNull
    public static b J(@NonNull e eVar) {
        b bVar = new b();
        Bundle bundle = new Bundle();
        bundle.putParcelable(f9010t, eVar.f9036a);
        bundle.putInt(f9011u, eVar.f9037b);
        bundle.putInt(f9012v, eVar.f9038c);
        bundle.putInt(f9014x, eVar.f9040e);
        if (eVar.f9039d != null) {
            bundle.putString(f9013w, eVar.f9039d.toString());
        }
        bVar.setArguments(bundle);
        return bVar;
    }

    private void O(@Nullable Bundle bundle) {
        if (bundle != null) {
            TimeModel timeModel = (TimeModel) bundle.getParcelable(f9010t);
            this.f9030p = timeModel;
            if (timeModel == null) {
                this.f9030p = new TimeModel();
            }
            this.f9029o = bundle.getInt(f9011u, 0);
            this.f9026l = bundle.getInt(f9012v, 0);
            this.f9027m = bundle.getString(f9013w);
            this.f9031q = bundle.getInt(f9014x, 0);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void P(MaterialButton materialButton) {
        h hVar = this.f9023i;
        if (hVar != null) {
            hVar.g();
        }
        h I = I(this.f9029o);
        this.f9023i = I;
        I.show();
        this.f9023i.b();
        Pair<Integer, Integer> C = C(this.f9029o);
        materialButton.setIconResource(((Integer) C.first).intValue());
        materialButton.setContentDescription(getResources().getString(((Integer) C.second).intValue()));
    }

    public void A() {
        this.f9016b.clear();
    }

    public void B() {
        this.f9015a.clear();
    }

    @IntRange(from = 0, to = 23)
    public int D() {
        return this.f9030p.f8991x % 24;
    }

    public int E() {
        return this.f9029o;
    }

    @IntRange(from = 0, to = 60)
    public int F() {
        return this.f9030p.f8992y;
    }

    /* access modifiers changed from: package-private */
    @Nullable
    public f H() {
        return this.f9021g;
    }

    public boolean K(@NonNull DialogInterface.OnCancelListener onCancelListener) {
        return this.f9017c.remove(onCancelListener);
    }

    public boolean L(@NonNull DialogInterface.OnDismissListener onDismissListener) {
        return this.f9018d.remove(onDismissListener);
    }

    public boolean M(@NonNull View.OnClickListener onClickListener) {
        return this.f9016b.remove(onClickListener);
    }

    public boolean N(@NonNull View.OnClickListener onClickListener) {
        return this.f9015a.remove(onClickListener);
    }

    @Override // androidx.fragment.app.DialogFragment
    public final void onCancel(@NonNull DialogInterface dialogInterface) {
        for (DialogInterface.OnCancelListener onCancelListener : this.f9017c) {
            onCancelListener.onCancel(dialogInterface);
        }
        super.onCancel(dialogInterface);
    }

    @Override // androidx.fragment.app.Fragment, androidx.fragment.app.DialogFragment
    public void onCreate(@Nullable Bundle bundle) {
        super.onCreate(bundle);
        if (bundle == null) {
            bundle = getArguments();
        }
        O(bundle);
    }

    @Override // androidx.fragment.app.DialogFragment
    @NonNull
    public final Dialog onCreateDialog(@Nullable Bundle bundle) {
        Dialog dialog = new Dialog(requireContext(), G());
        Context context = dialog.getContext();
        int g7 = com.google.android.material.resources.b.g(context, a.c.Q2, b.class.getCanonicalName());
        j jVar = new j(context, null, a.c.O9, a.n.Gc);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(null, a.o.Bk, a.c.O9, a.n.Gc);
        this.f9025k = obtainStyledAttributes.getResourceId(a.o.Ck, 0);
        this.f9024j = obtainStyledAttributes.getResourceId(a.o.Dk, 0);
        obtainStyledAttributes.recycle();
        jVar.Y(context);
        jVar.n0(ColorStateList.valueOf(g7));
        Window window = dialog.getWindow();
        window.setBackgroundDrawable(jVar);
        window.requestFeature(1);
        window.setLayout(-2, -2);
        return dialog;
    }

    @Override // androidx.fragment.app.Fragment
    @NonNull
    public final View onCreateView(@NonNull LayoutInflater layoutInflater, @Nullable ViewGroup viewGroup, @Nullable Bundle bundle) {
        ViewGroup viewGroup2 = (ViewGroup) layoutInflater.inflate(a.k.f1516e0, viewGroup);
        TimePickerView timePickerView = (TimePickerView) viewGroup2.findViewById(a.h.F2);
        this.f9019e = timePickerView;
        timePickerView.o(new a());
        this.f9020f = (ViewStub) viewGroup2.findViewById(a.h.f1462z2);
        this.f9028n = (MaterialButton) viewGroup2.findViewById(a.h.D2);
        TextView textView = (TextView) viewGroup2.findViewById(a.h.P1);
        if (!TextUtils.isEmpty(this.f9027m)) {
            textView.setText(this.f9027m);
        }
        int i7 = this.f9026l;
        if (i7 != 0) {
            textView.setText(i7);
        }
        P(this.f9028n);
        ((Button) viewGroup2.findViewById(a.h.E2)).setOnClickListener(new View$OnClickListenerC0101b());
        ((Button) viewGroup2.findViewById(a.h.A2)).setOnClickListener(new c());
        this.f9028n.setOnClickListener(new d());
        return viewGroup2;
    }

    @Override // androidx.fragment.app.DialogFragment
    public final void onDismiss(@NonNull DialogInterface dialogInterface) {
        for (DialogInterface.OnDismissListener onDismissListener : this.f9018d) {
            onDismissListener.onDismiss(dialogInterface);
        }
        super.onDismiss(dialogInterface);
    }

    @Override // androidx.fragment.app.Fragment, androidx.fragment.app.DialogFragment
    public void onSaveInstanceState(@NonNull Bundle bundle) {
        super.onSaveInstanceState(bundle);
        bundle.putParcelable(f9010t, this.f9030p);
        bundle.putInt(f9011u, this.f9029o);
        bundle.putInt(f9012v, this.f9026l);
        bundle.putString(f9013w, this.f9027m);
        bundle.putInt(f9014x, this.f9031q);
    }

    @Override // androidx.fragment.app.Fragment, androidx.fragment.app.DialogFragment
    public void onStop() {
        super.onStop();
        this.f9023i = null;
        this.f9021g = null;
        this.f9022h = null;
        this.f9019e = null;
    }

    public boolean u(@NonNull DialogInterface.OnCancelListener onCancelListener) {
        return this.f9017c.add(onCancelListener);
    }

    public boolean v(@NonNull DialogInterface.OnDismissListener onDismissListener) {
        return this.f9018d.add(onDismissListener);
    }

    public boolean w(@NonNull View.OnClickListener onClickListener) {
        return this.f9016b.add(onClickListener);
    }

    public boolean x(@NonNull View.OnClickListener onClickListener) {
        return this.f9015a.add(onClickListener);
    }

    public void y() {
        this.f9017c.clear();
    }

    public void z() {
        this.f9018d.clear();
    }
}
