package com.google.android.material.timepicker;

import android.content.Context;
import android.content.res.Resources;
import android.graphics.PorterDuff;
import android.graphics.drawable.Drawable;
import android.text.Editable;
import android.text.TextUtils;
import android.text.TextWatcher;
import android.view.View;
import android.view.inputmethod.InputMethodManager;
import android.widget.EditText;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.annotation.ColorInt;
import androidx.appcompat.content.res.AppCompatResources;
import androidx.core.content.ContextCompat;
import b0.a;
import com.google.android.material.button.MaterialButtonToggleGroup;
import com.google.android.material.internal.p;
import com.google.android.material.timepicker.TimePickerView;
import java.lang.reflect.Field;
import java.util.Locale;

/* access modifiers changed from: package-private */
public class j implements TimePickerView.g, h {

    /* renamed from: a  reason: collision with root package name */
    private final LinearLayout f9061a;

    /* renamed from: b  reason: collision with root package name */
    private final TimeModel f9062b;

    /* renamed from: c  reason: collision with root package name */
    private final TextWatcher f9063c = new a();

    /* renamed from: d  reason: collision with root package name */
    private final TextWatcher f9064d = new b();

    /* renamed from: e  reason: collision with root package name */
    private final ChipTextInputComboView f9065e;

    /* renamed from: f  reason: collision with root package name */
    private final ChipTextInputComboView f9066f;

    /* renamed from: g  reason: collision with root package name */
    private final i f9067g;

    /* renamed from: h  reason: collision with root package name */
    private final EditText f9068h;

    /* renamed from: i  reason: collision with root package name */
    private final EditText f9069i;

    /* renamed from: j  reason: collision with root package name */
    private MaterialButtonToggleGroup f9070j;

    class a extends p {
        a() {
        }

        @Override // com.google.android.material.internal.p
        public void afterTextChanged(Editable editable) {
            try {
                if (TextUtils.isEmpty(editable)) {
                    j.this.f9062b.r(0);
                    return;
                }
                j.this.f9062b.r(Integer.parseInt(editable.toString()));
            } catch (NumberFormatException unused) {
            }
        }
    }

    class b extends p {
        b() {
        }

        @Override // com.google.android.material.internal.p
        public void afterTextChanged(Editable editable) {
            try {
                if (TextUtils.isEmpty(editable)) {
                    j.this.f9062b.o(0);
                    return;
                }
                j.this.f9062b.o(Integer.parseInt(editable.toString()));
            } catch (NumberFormatException unused) {
            }
        }
    }

    class c implements View.OnClickListener {
        c() {
        }

        public void onClick(View view) {
            j.this.f(((Integer) view.getTag(a.h.f1443w4)).intValue());
        }
    }

    /* access modifiers changed from: package-private */
    public class d implements MaterialButtonToggleGroup.e {
        d() {
        }

        @Override // com.google.android.material.button.MaterialButtonToggleGroup.e
        public void a(MaterialButtonToggleGroup materialButtonToggleGroup, int i7, boolean z7) {
            j.this.f9062b.s(i7 == a.h.f1413s2 ? 1 : 0);
        }
    }

    public j(LinearLayout linearLayout, TimeModel timeModel) {
        this.f9061a = linearLayout;
        this.f9062b = timeModel;
        Resources resources = linearLayout.getResources();
        ChipTextInputComboView chipTextInputComboView = (ChipTextInputComboView) linearLayout.findViewById(a.h.f1448x2);
        this.f9065e = chipTextInputComboView;
        ChipTextInputComboView chipTextInputComboView2 = (ChipTextInputComboView) linearLayout.findViewById(a.h.f1427u2);
        this.f9066f = chipTextInputComboView2;
        ((TextView) chipTextInputComboView.findViewById(a.h.f1441w2)).setText(resources.getString(a.m.f1577g0));
        ((TextView) chipTextInputComboView2.findViewById(a.h.f1441w2)).setText(resources.getString(a.m.f1575f0));
        chipTextInputComboView.setTag(a.h.f1443w4, 12);
        chipTextInputComboView2.setTag(a.h.f1443w4, 10);
        if (timeModel.f8990p == 0) {
            l();
        }
        c cVar = new c();
        chipTextInputComboView2.setOnClickListener(cVar);
        chipTextInputComboView.setOnClickListener(cVar);
        chipTextInputComboView2.c(timeModel.l());
        chipTextInputComboView.c(timeModel.m());
        this.f9068h = chipTextInputComboView2.e().getEditText();
        this.f9069i = chipTextInputComboView.e().getEditText();
        this.f9067g = new i(chipTextInputComboView2, chipTextInputComboView, timeModel);
        chipTextInputComboView2.f(new a(linearLayout.getContext(), a.m.S));
        chipTextInputComboView.f(new a(linearLayout.getContext(), a.m.U));
        a();
    }

    private void d() {
        this.f9068h.addTextChangedListener(this.f9064d);
        this.f9069i.addTextChangedListener(this.f9063c);
    }

    private void h() {
        this.f9068h.removeTextChangedListener(this.f9064d);
        this.f9069i.removeTextChangedListener(this.f9063c);
    }

    private static void j(EditText editText, @ColorInt int i7) {
        try {
            Context context = editText.getContext();
            Field declaredField = TextView.class.getDeclaredField("mCursorDrawableRes");
            declaredField.setAccessible(true);
            int i8 = declaredField.getInt(editText);
            Field declaredField2 = TextView.class.getDeclaredField("mEditor");
            declaredField2.setAccessible(true);
            Object obj = declaredField2.get(editText);
            Field declaredField3 = obj.getClass().getDeclaredField("mCursorDrawable");
            declaredField3.setAccessible(true);
            Drawable drawable = AppCompatResources.getDrawable(context, i8);
            drawable.setColorFilter(i7, PorterDuff.Mode.SRC_IN);
            declaredField3.set(obj, new Drawable[]{drawable, drawable});
        } catch (Throwable unused) {
        }
    }

    private void k(TimeModel timeModel) {
        h();
        Locale locale = this.f9061a.getResources().getConfiguration().locale;
        String format = String.format(locale, TimeModel.U5, Integer.valueOf(timeModel.f8992y));
        String format2 = String.format(locale, TimeModel.U5, Integer.valueOf(timeModel.j()));
        this.f9065e.i(format);
        this.f9066f.i(format2);
        d();
        m();
    }

    private void l() {
        MaterialButtonToggleGroup materialButtonToggleGroup = (MaterialButtonToggleGroup) this.f9061a.findViewById(a.h.f1420t2);
        this.f9070j = materialButtonToggleGroup;
        materialButtonToggleGroup.g(new d());
        this.f9070j.setVisibility(0);
        m();
    }

    private void m() {
        MaterialButtonToggleGroup materialButtonToggleGroup = this.f9070j;
        if (materialButtonToggleGroup != null) {
            materialButtonToggleGroup.j(this.f9062b.C2 == 0 ? a.h.f1406r2 : a.h.f1413s2);
        }
    }

    @Override // com.google.android.material.timepicker.h
    public void a() {
        d();
        k(this.f9062b);
        this.f9067g.a();
    }

    @Override // com.google.android.material.timepicker.h
    public void b() {
        k(this.f9062b);
    }

    public void e() {
        this.f9065e.setChecked(false);
        this.f9066f.setChecked(false);
    }

    @Override // com.google.android.material.timepicker.TimePickerView.g
    public void f(int i7) {
        this.f9062b.C1 = i7;
        boolean z7 = true;
        this.f9065e.setChecked(i7 == 12);
        ChipTextInputComboView chipTextInputComboView = this.f9066f;
        if (i7 != 10) {
            z7 = false;
        }
        chipTextInputComboView.setChecked(z7);
        m();
    }

    @Override // com.google.android.material.timepicker.h
    public void g() {
        InputMethodManager inputMethodManager;
        View focusedChild = this.f9061a.getFocusedChild();
        if (!(focusedChild == null || (inputMethodManager = (InputMethodManager) ContextCompat.getSystemService(this.f9061a.getContext(), InputMethodManager.class)) == null)) {
            inputMethodManager.hideSoftInputFromWindow(focusedChild.getWindowToken(), 0);
        }
        this.f9061a.setVisibility(8);
    }

    public void i() {
        boolean z7 = true;
        this.f9065e.setChecked(this.f9062b.C1 == 12);
        ChipTextInputComboView chipTextInputComboView = this.f9066f;
        if (this.f9062b.C1 != 10) {
            z7 = false;
        }
        chipTextInputComboView.setChecked(z7);
    }

    @Override // com.google.android.material.timepicker.h
    public void show() {
        this.f9061a.setVisibility(0);
    }
}
