package com.google.android.material.tooltip;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Rect;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.view.View;
import androidx.annotation.AttrRes;
import androidx.annotation.FloatRange;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.Px;
import androidx.annotation.RestrictTo;
import androidx.annotation.StringRes;
import androidx.annotation.StyleRes;
import androidx.core.graphics.ColorUtils;
import b0.a;
import com.google.android.material.internal.n;
import com.google.android.material.internal.q;
import com.google.android.material.resources.c;
import com.google.android.material.resources.d;
import com.google.android.material.shape.g;
import com.google.android.material.shape.i;
import com.google.android.material.shape.j;
import com.google.android.material.shape.l;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
public class a extends j implements n.b {
    @StyleRes
    private static final int U = a.n.Rc;
    @AttrRes
    private static final int V = a.c.uf;
    @Nullable
    private CharSequence D;
    @NonNull
    private final Context E;
    @Nullable
    private final Paint.FontMetrics F = new Paint.FontMetrics();
    @NonNull
    private final n G;
    @NonNull
    private final View.OnLayoutChangeListener H;
    @NonNull
    private final Rect I;
    private int J;
    private int K;
    private int L;
    private int M;
    private int N;
    private int O;
    private float P;
    private float Q;
    private final float R;
    private float S;
    private float T;

    /* renamed from: com.google.android.material.tooltip.a$a  reason: collision with other inner class name */
    class View$OnLayoutChangeListenerC0102a implements View.OnLayoutChangeListener {
        View$OnLayoutChangeListenerC0102a() {
        }

        public void onLayoutChange(View view, int i7, int i8, int i9, int i10, int i11, int i12, int i13, int i14) {
            a.this.q1(view);
        }
    }

    private a(@NonNull Context context, AttributeSet attributeSet, @AttrRes int i7, @StyleRes int i8) {
        super(context, attributeSet, i7, i8);
        n nVar = new n(this);
        this.G = nVar;
        this.H = new View$OnLayoutChangeListenerC0102a();
        this.I = new Rect();
        this.P = 1.0f;
        this.Q = 1.0f;
        this.R = 0.5f;
        this.S = 0.5f;
        this.T = 1.0f;
        this.E = context;
        nVar.e().density = context.getResources().getDisplayMetrics().density;
        nVar.e().setTextAlign(Paint.Align.CENTER);
    }

    private float P0() {
        int i7;
        if (((this.I.right - getBounds().right) - this.O) - this.M < 0) {
            i7 = ((this.I.right - getBounds().right) - this.O) - this.M;
        } else if (((this.I.left - getBounds().left) - this.O) + this.M <= 0) {
            return 0.0f;
        } else {
            i7 = ((this.I.left - getBounds().left) - this.O) + this.M;
        }
        return (float) i7;
    }

    private float Q0() {
        this.G.e().getFontMetrics(this.F);
        Paint.FontMetrics fontMetrics = this.F;
        return (fontMetrics.descent + fontMetrics.ascent) / 2.0f;
    }

    private float R0(@NonNull Rect rect) {
        return ((float) rect.centerY()) - Q0();
    }

    @NonNull
    public static a S0(@NonNull Context context) {
        return U0(context, null, V, U);
    }

    @NonNull
    public static a T0(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        return U0(context, attributeSet, V, U);
    }

    @NonNull
    public static a U0(@NonNull Context context, @Nullable AttributeSet attributeSet, @AttrRes int i7, @StyleRes int i8) {
        a aVar = new a(context, attributeSet, i7, i8);
        aVar.f1(attributeSet, i7, i8);
        return aVar;
    }

    private g V0() {
        float width = ((float) (((double) getBounds().width()) - (((double) this.N) * Math.sqrt(2.0d)))) / 2.0f;
        return new l(new i((float) this.N), Math.min(Math.max(-P0(), -width), width));
    }

    private void X0(@NonNull Canvas canvas) {
        if (this.D != null) {
            Rect bounds = getBounds();
            int R0 = (int) R0(bounds);
            if (this.G.d() != null) {
                this.G.e().drawableState = getState();
                this.G.k(this.E);
                this.G.e().setAlpha((int) (this.T * 255.0f));
            }
            CharSequence charSequence = this.D;
            canvas.drawText(charSequence, 0, charSequence.length(), (float) bounds.centerX(), (float) R0, this.G.e());
        }
    }

    private float e1() {
        CharSequence charSequence = this.D;
        if (charSequence == null) {
            return 0.0f;
        }
        return this.G.f(charSequence.toString());
    }

    private void f1(@Nullable AttributeSet attributeSet, @AttrRes int i7, @StyleRes int i8) {
        TypedArray j7 = q.j(this.E, attributeSet, a.o.Vs, i7, i8, new int[0]);
        this.N = this.E.getResources().getDimensionPixelSize(a.f.f1117o6);
        setShapeAppearanceModel(getShapeAppearanceModel().v().t(V0()).m());
        l1(j7.getText(a.o.bt));
        m1(c.f(this.E, j7, a.o.Ws));
        n0(ColorStateList.valueOf(j7.getColor(a.o.ct, f0.a.g(ColorUtils.setAlphaComponent(f0.a.c(this.E, 16842801, a.class.getCanonicalName()), 229), ColorUtils.setAlphaComponent(f0.a.c(this.E, a.c.E2, a.class.getCanonicalName()), 153)))));
        E0(ColorStateList.valueOf(f0.a.c(this.E, a.c.Q2, a.class.getCanonicalName())));
        this.J = j7.getDimensionPixelSize(a.o.Xs, 0);
        this.K = j7.getDimensionPixelSize(a.o.Zs, 0);
        this.L = j7.getDimensionPixelSize(a.o.at, 0);
        this.M = j7.getDimensionPixelSize(a.o.Ys, 0);
        j7.recycle();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void q1(@NonNull View view) {
        int[] iArr = new int[2];
        view.getLocationOnScreen(iArr);
        this.O = iArr[0];
        view.getWindowVisibleDisplayFrame(this.I);
    }

    public void W0(@Nullable View view) {
        if (view != null) {
            view.removeOnLayoutChangeListener(this.H);
        }
    }

    public int Y0() {
        return this.M;
    }

    public int Z0() {
        return this.L;
    }

    @Override // com.google.android.material.internal.n.b
    public void a() {
        invalidateSelf();
    }

    public int a1() {
        return this.K;
    }

    @Nullable
    public CharSequence b1() {
        return this.D;
    }

    @Nullable
    public d c1() {
        return this.G.d();
    }

    public int d1() {
        return this.J;
    }

    @Override // com.google.android.material.shape.j
    public void draw(@NonNull Canvas canvas) {
        canvas.save();
        canvas.scale(this.P, this.Q, ((float) getBounds().left) + (((float) getBounds().width()) * 0.5f), ((float) getBounds().top) + (((float) getBounds().height()) * this.S));
        canvas.translate(P0(), (float) (-((((double) this.N) * Math.sqrt(2.0d)) - ((double) this.N))));
        super.draw(canvas);
        X0(canvas);
        canvas.restore();
    }

    public void g1(@Px int i7) {
        this.M = i7;
        invalidateSelf();
    }

    public int getIntrinsicHeight() {
        return (int) Math.max(this.G.e().getTextSize(), (float) this.L);
    }

    public int getIntrinsicWidth() {
        return (int) Math.max(((float) (this.J * 2)) + e1(), (float) this.K);
    }

    public void h1(@Px int i7) {
        this.L = i7;
        invalidateSelf();
    }

    public void i1(@Px int i7) {
        this.K = i7;
        invalidateSelf();
    }

    public void j1(@Nullable View view) {
        if (view != null) {
            q1(view);
            view.addOnLayoutChangeListener(this.H);
        }
    }

    public void k1(@FloatRange(from = 0.0d, to = 1.0d) float f7) {
        this.S = 1.2f;
        this.P = f7;
        this.Q = f7;
        this.T = com.google.android.material.animation.a.b(0.0f, 1.0f, 0.19f, 1.0f, f7);
        invalidateSelf();
    }

    public void l1(@Nullable CharSequence charSequence) {
        if (!TextUtils.equals(this.D, charSequence)) {
            this.D = charSequence;
            this.G.j(true);
            invalidateSelf();
        }
    }

    public void m1(@Nullable d dVar) {
        this.G.i(dVar, this.E);
    }

    public void n1(@StyleRes int i7) {
        m1(new d(this.E, i7));
    }

    public void o1(@Px int i7) {
        this.J = i7;
        invalidateSelf();
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.material.shape.j
    public void onBoundsChange(Rect rect) {
        super.onBoundsChange(rect);
        setShapeAppearanceModel(getShapeAppearanceModel().v().t(V0()).m());
    }

    @Override // com.google.android.material.shape.j, com.google.android.material.internal.n.b
    public boolean onStateChange(int[] iArr) {
        return super.onStateChange(iArr);
    }

    public void p1(@StringRes int i7) {
        l1(this.E.getResources().getString(i7));
    }
}
