package com.google.android.material.transformation;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.AnimatorSet;
import android.animation.ObjectAnimator;
import android.animation.ValueAnimator;
import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.util.Pair;
import android.util.Property;
import android.view.View;
import android.view.ViewAnimationUtils;
import android.view.ViewGroup;
import android.widget.ImageView;
import androidx.annotation.CallSuper;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.coordinatorlayout.widget.CoordinatorLayout;
import androidx.core.view.ViewCompat;
import b0.a;
import com.google.android.material.animation.h;
import com.google.android.material.animation.i;
import com.google.android.material.animation.j;
import com.google.android.material.circularreveal.g;
import com.google.android.material.floatingactionbutton.FloatingActionButton;
import com.graphisoft.bimxlab.MainActivity;
import java.util.ArrayList;
import java.util.List;

@Deprecated
public abstract class FabTransformationBehavior extends ExpandableTransformationBehavior {

    /* renamed from: f  reason: collision with root package name */
    private final Rect f9086f;

    /* renamed from: g  reason: collision with root package name */
    private final RectF f9087g;

    /* renamed from: h  reason: collision with root package name */
    private final RectF f9088h;

    /* renamed from: i  reason: collision with root package name */
    private final int[] f9089i;

    /* renamed from: j  reason: collision with root package name */
    private float f9090j;

    /* renamed from: k  reason: collision with root package name */
    private float f9091k;

    class a extends AnimatorListenerAdapter {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ boolean f9092f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ View f9093g;

        /* renamed from: p  reason: collision with root package name */
        final /* synthetic */ View f9094p;

        a(boolean z7, View view, View view2) {
            this.f9092f = z7;
            this.f9093g = view;
            this.f9094p = view2;
        }

        public void onAnimationEnd(Animator animator) {
            if (!this.f9092f) {
                this.f9093g.setVisibility(4);
                this.f9094p.setAlpha(1.0f);
                this.f9094p.setVisibility(0);
            }
        }

        public void onAnimationStart(Animator animator) {
            if (this.f9092f) {
                this.f9093g.setVisibility(0);
                this.f9094p.setAlpha(0.0f);
                this.f9094p.setVisibility(4);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class b implements ValueAnimator.AnimatorUpdateListener {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ View f9096f;

        b(View view) {
            this.f9096f = view;
        }

        public void onAnimationUpdate(ValueAnimator valueAnimator) {
            this.f9096f.invalidate();
        }
    }

    /* access modifiers changed from: package-private */
    public class c extends AnimatorListenerAdapter {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ g f9098f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ Drawable f9099g;

        c(g gVar, Drawable drawable) {
            this.f9098f = gVar;
            this.f9099g = drawable;
        }

        public void onAnimationEnd(Animator animator) {
            this.f9098f.setCircularRevealOverlayDrawable(null);
        }

        public void onAnimationStart(Animator animator) {
            this.f9098f.setCircularRevealOverlayDrawable(this.f9099g);
        }
    }

    /* access modifiers changed from: package-private */
    public class d extends AnimatorListenerAdapter {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ g f9101f;

        d(g gVar) {
            this.f9101f = gVar;
        }

        public void onAnimationEnd(Animator animator) {
            g.e revealInfo = this.f9101f.getRevealInfo();
            revealInfo.f7529c = Float.MAX_VALUE;
            this.f9101f.setRevealInfo(revealInfo);
        }
    }

    /* access modifiers changed from: protected */
    public static class e {
        @Nullable

        /* renamed from: a  reason: collision with root package name */
        public h f9103a;

        /* renamed from: b  reason: collision with root package name */
        public j f9104b;

        protected e() {
        }
    }

    public FabTransformationBehavior() {
        this.f9086f = new Rect();
        this.f9087g = new RectF();
        this.f9088h = new RectF();
        this.f9089i = new int[2];
    }

    private int A(@NonNull View view) {
        ColorStateList backgroundTintList = ViewCompat.getBackgroundTintList(view);
        if (backgroundTintList != null) {
            return backgroundTintList.getColorForState(view.getDrawableState(), backgroundTintList.getDefaultColor());
        }
        return 0;
    }

    @Nullable
    private ViewGroup C(View view) {
        if (view instanceof ViewGroup) {
            return (ViewGroup) view;
        }
        return null;
    }

    @Nullable
    private ViewGroup h(@NonNull View view) {
        View findViewById = view.findViewById(a.h.f1295b3);
        return findViewById != null ? C(findViewById) : ((view instanceof b) || (view instanceof a)) ? C(((ViewGroup) view).getChildAt(0)) : C(view);
    }

    private void i(@NonNull View view, @NonNull e eVar, @NonNull i iVar, @NonNull i iVar2, float f7, float f8, float f9, float f10, @NonNull RectF rectF) {
        float p7 = p(eVar, iVar, f7, f9);
        float p8 = p(eVar, iVar2, f8, f10);
        Rect rect = this.f9086f;
        view.getWindowVisibleDisplayFrame(rect);
        RectF rectF2 = this.f9087g;
        rectF2.set(rect);
        RectF rectF3 = this.f9088h;
        q(view, rectF3);
        rectF3.offset(p7, p8);
        rectF3.intersect(rectF2);
        rectF.set(rectF3);
    }

    private void j(@NonNull View view, @NonNull RectF rectF) {
        q(view, rectF);
        rectF.offset(this.f9090j, this.f9091k);
    }

    @NonNull
    private Pair<i, i> k(float f7, float f8, boolean z7, @NonNull e eVar) {
        String str;
        h hVar;
        i iVar;
        int i7;
        if (f7 == 0.0f || f8 == 0.0f) {
            iVar = eVar.f9103a.h("translationXLinear");
            hVar = eVar.f9103a;
            str = "translationYLinear";
        } else if ((!z7 || f8 >= 0.0f) && (z7 || i7 <= 0)) {
            iVar = eVar.f9103a.h("translationXCurveDownwards");
            hVar = eVar.f9103a;
            str = "translationYCurveDownwards";
        } else {
            iVar = eVar.f9103a.h("translationXCurveUpwards");
            hVar = eVar.f9103a;
            str = "translationYCurveUpwards";
        }
        return new Pair<>(iVar, hVar.h(str));
    }

    private float l(@NonNull View view, @NonNull View view2, @NonNull j jVar) {
        RectF rectF = this.f9087g;
        RectF rectF2 = this.f9088h;
        j(view, rectF);
        q(view2, rectF2);
        rectF2.offset(-n(view, view2, jVar), 0.0f);
        return rectF.centerX() - rectF2.left;
    }

    private float m(@NonNull View view, @NonNull View view2, @NonNull j jVar) {
        RectF rectF = this.f9087g;
        RectF rectF2 = this.f9088h;
        j(view, rectF);
        q(view2, rectF2);
        rectF2.offset(0.0f, -o(view, view2, jVar));
        return rectF.centerY() - rectF2.top;
    }

    private float n(@NonNull View view, @NonNull View view2, @NonNull j jVar) {
        float f7;
        float f8;
        float f9;
        RectF rectF = this.f9087g;
        RectF rectF2 = this.f9088h;
        j(view, rectF);
        q(view2, rectF2);
        int i7 = jVar.f6975a & 7;
        if (i7 == 1) {
            f9 = rectF2.centerX();
            f8 = rectF.centerX();
        } else if (i7 == 3) {
            f9 = rectF2.left;
            f8 = rectF.left;
        } else if (i7 != 5) {
            f7 = 0.0f;
            return f7 + jVar.f6976b;
        } else {
            f9 = rectF2.right;
            f8 = rectF.right;
        }
        f7 = f9 - f8;
        return f7 + jVar.f6976b;
    }

    private float o(@NonNull View view, @NonNull View view2, @NonNull j jVar) {
        float f7;
        float f8;
        float f9;
        RectF rectF = this.f9087g;
        RectF rectF2 = this.f9088h;
        j(view, rectF);
        q(view2, rectF2);
        int i7 = jVar.f6975a & MainActivity.f15646h;
        if (i7 == 16) {
            f9 = rectF2.centerY();
            f8 = rectF.centerY();
        } else if (i7 == 48) {
            f9 = rectF2.top;
            f8 = rectF.top;
        } else if (i7 != 80) {
            f7 = 0.0f;
            return f7 + jVar.f6977c;
        } else {
            f9 = rectF2.bottom;
            f8 = rectF.bottom;
        }
        f7 = f9 - f8;
        return f7 + jVar.f6977c;
    }

    private float p(@NonNull e eVar, @NonNull i iVar, float f7, float f8) {
        long c7 = iVar.c();
        long d7 = iVar.d();
        i h7 = eVar.f9103a.h("expansion");
        return com.google.android.material.animation.a.a(f7, f8, iVar.e().getInterpolation(((float) (((h7.c() + h7.d()) + 17) - c7)) / ((float) d7)));
    }

    private void q(@NonNull View view, RectF rectF) {
        rectF.set(0.0f, 0.0f, (float) view.getWidth(), (float) view.getHeight());
        int[] iArr = this.f9089i;
        view.getLocationInWindow(iArr);
        rectF.offsetTo((float) iArr[0], (float) iArr[1]);
        rectF.offset((float) ((int) (-view.getTranslationX())), (float) ((int) (-view.getTranslationY())));
    }

    private void r(View view, View view2, boolean z7, boolean z8, @NonNull e eVar, @NonNull List<Animator> list, List<Animator.AnimatorListener> list2) {
        ViewGroup h7;
        ObjectAnimator objectAnimator;
        if (view2 instanceof ViewGroup) {
            if ((!(view2 instanceof g) || com.google.android.material.circularreveal.d.f7509o != 0) && (h7 = h(view2)) != null) {
                if (z7) {
                    if (!z8) {
                        com.google.android.material.animation.d.f6960a.set(h7, Float.valueOf(0.0f));
                    }
                    objectAnimator = ObjectAnimator.ofFloat(h7, com.google.android.material.animation.d.f6960a, 1.0f);
                } else {
                    objectAnimator = ObjectAnimator.ofFloat(h7, com.google.android.material.animation.d.f6960a, 0.0f);
                }
                eVar.f9103a.h("contentFade").a(objectAnimator);
                list.add(objectAnimator);
            }
        }
    }

    private void s(@NonNull View view, View view2, boolean z7, boolean z8, @NonNull e eVar, @NonNull List<Animator> list, List<Animator.AnimatorListener> list2) {
        ObjectAnimator objectAnimator;
        if (view2 instanceof g) {
            g gVar = (g) view2;
            int A = A(view);
            int i7 = 16777215 & A;
            if (z7) {
                if (!z8) {
                    gVar.setCircularRevealScrimColor(A);
                }
                objectAnimator = ObjectAnimator.ofInt(gVar, g.d.f7525a, i7);
            } else {
                objectAnimator = ObjectAnimator.ofInt(gVar, g.d.f7525a, A);
            }
            objectAnimator.setEvaluator(com.google.android.material.animation.c.b());
            eVar.f9103a.h("color").a(objectAnimator);
            list.add(objectAnimator);
        }
    }

    private void t(@NonNull View view, @NonNull View view2, boolean z7, @NonNull e eVar, @NonNull List<Animator> list) {
        float n7 = n(view, view2, eVar.f9104b);
        float o7 = o(view, view2, eVar.f9104b);
        Pair<i, i> k7 = k(n7, o7, z7, eVar);
        i iVar = (i) k7.first;
        i iVar2 = (i) k7.second;
        Property property = View.TRANSLATION_X;
        float[] fArr = new float[1];
        if (!z7) {
            n7 = this.f9090j;
        }
        fArr[0] = n7;
        ObjectAnimator ofFloat = ObjectAnimator.ofFloat(view, property, fArr);
        Property property2 = View.TRANSLATION_Y;
        float[] fArr2 = new float[1];
        if (!z7) {
            o7 = this.f9091k;
        }
        fArr2[0] = o7;
        ObjectAnimator ofFloat2 = ObjectAnimator.ofFloat(view, property2, fArr2);
        iVar.a(ofFloat);
        iVar2.a(ofFloat2);
        list.add(ofFloat);
        list.add(ofFloat2);
    }

    @TargetApi(21)
    private void u(View view, @NonNull View view2, boolean z7, boolean z8, @NonNull e eVar, @NonNull List<Animator> list, List<Animator.AnimatorListener> list2) {
        ObjectAnimator objectAnimator;
        float elevation = ViewCompat.getElevation(view2) - ViewCompat.getElevation(view);
        if (z7) {
            if (!z8) {
                view2.setTranslationZ(-elevation);
            }
            objectAnimator = ObjectAnimator.ofFloat(view2, View.TRANSLATION_Z, 0.0f);
        } else {
            objectAnimator = ObjectAnimator.ofFloat(view2, View.TRANSLATION_Z, -elevation);
        }
        eVar.f9103a.h("elevation").a(objectAnimator);
        list.add(objectAnimator);
    }

    private void v(@NonNull View view, View view2, boolean z7, boolean z8, @NonNull e eVar, float f7, float f8, @NonNull List<Animator> list, @NonNull List<Animator.AnimatorListener> list2) {
        Animator animator;
        if (view2 instanceof g) {
            g gVar = (g) view2;
            float l7 = l(view, view2, eVar.f9104b);
            float m7 = m(view, view2, eVar.f9104b);
            ((FloatingActionButton) view).k(this.f9086f);
            float width = ((float) this.f9086f.width()) / 2.0f;
            i h7 = eVar.f9103a.h("expansion");
            if (z7) {
                if (!z8) {
                    gVar.setRevealInfo(new g.e(l7, m7, width));
                }
                if (z8) {
                    width = gVar.getRevealInfo().f7529c;
                }
                animator = com.google.android.material.circularreveal.a.a(gVar, l7, m7, k0.a.b(l7, m7, 0.0f, 0.0f, f7, f8));
                animator.addListener(new d(gVar));
                y(view2, h7.c(), (int) l7, (int) m7, width, list);
            } else {
                float f9 = gVar.getRevealInfo().f7529c;
                Animator a8 = com.google.android.material.circularreveal.a.a(gVar, l7, m7, width);
                int i7 = (int) l7;
                int i8 = (int) m7;
                y(view2, h7.c(), i7, i8, f9, list);
                x(view2, h7.c(), h7.d(), eVar.f9103a.i(), i7, i8, width, list);
                animator = a8;
            }
            h7.a(animator);
            list.add(animator);
            list2.add(com.google.android.material.circularreveal.a.c(gVar));
        }
    }

    private void w(View view, View view2, boolean z7, boolean z8, @NonNull e eVar, @NonNull List<Animator> list, @NonNull List<Animator.AnimatorListener> list2) {
        ObjectAnimator objectAnimator;
        if ((view2 instanceof g) && (view instanceof ImageView)) {
            g gVar = (g) view2;
            Drawable drawable = ((ImageView) view).getDrawable();
            if (drawable != null) {
                drawable.mutate();
                if (z7) {
                    if (!z8) {
                        drawable.setAlpha(255);
                    }
                    objectAnimator = ObjectAnimator.ofInt(drawable, com.google.android.material.animation.e.f6961b, 0);
                } else {
                    objectAnimator = ObjectAnimator.ofInt(drawable, com.google.android.material.animation.e.f6961b, 255);
                }
                objectAnimator.addUpdateListener(new b(view2));
                eVar.f9103a.h("iconFade").a(objectAnimator);
                list.add(objectAnimator);
                list2.add(new c(gVar, drawable));
            }
        }
    }

    private void x(View view, long j7, long j8, long j9, int i7, int i8, float f7, @NonNull List<Animator> list) {
        long j10 = j7 + j8;
        if (j10 < j9) {
            Animator createCircularReveal = ViewAnimationUtils.createCircularReveal(view, i7, i8, f7, f7);
            createCircularReveal.setStartDelay(j10);
            createCircularReveal.setDuration(j9 - j10);
            list.add(createCircularReveal);
        }
    }

    private void y(View view, long j7, int i7, int i8, float f7, @NonNull List<Animator> list) {
        if (j7 > 0) {
            Animator createCircularReveal = ViewAnimationUtils.createCircularReveal(view, i7, i8, f7, f7);
            createCircularReveal.setStartDelay(0);
            createCircularReveal.setDuration(j7);
            list.add(createCircularReveal);
        }
    }

    private void z(@NonNull View view, @NonNull View view2, boolean z7, boolean z8, @NonNull e eVar, @NonNull List<Animator> list, List<Animator.AnimatorListener> list2, @NonNull RectF rectF) {
        ObjectAnimator objectAnimator;
        ObjectAnimator objectAnimator2;
        float n7 = n(view, view2, eVar.f9104b);
        float o7 = o(view, view2, eVar.f9104b);
        Pair<i, i> k7 = k(n7, o7, z7, eVar);
        i iVar = (i) k7.first;
        i iVar2 = (i) k7.second;
        if (z7) {
            if (!z8) {
                view2.setTranslationX(-n7);
                view2.setTranslationY(-o7);
            }
            objectAnimator2 = ObjectAnimator.ofFloat(view2, View.TRANSLATION_X, 0.0f);
            objectAnimator = ObjectAnimator.ofFloat(view2, View.TRANSLATION_Y, 0.0f);
            i(view2, eVar, iVar, iVar2, -n7, -o7, 0.0f, 0.0f, rectF);
        } else {
            objectAnimator2 = ObjectAnimator.ofFloat(view2, View.TRANSLATION_X, -n7);
            objectAnimator = ObjectAnimator.ofFloat(view2, View.TRANSLATION_Y, -o7);
        }
        iVar.a(objectAnimator2);
        iVar2.a(objectAnimator);
        list.add(objectAnimator2);
        list.add(objectAnimator);
    }

    /* access modifiers changed from: protected */
    public abstract e B(Context context, boolean z7);

    /* access modifiers changed from: protected */
    @Override // com.google.android.material.transformation.ExpandableTransformationBehavior
    @NonNull
    public AnimatorSet g(@NonNull View view, @NonNull View view2, boolean z7, boolean z8) {
        e B = B(view2.getContext(), z7);
        if (z7) {
            this.f9090j = view.getTranslationX();
            this.f9091k = view.getTranslationY();
        }
        ArrayList arrayList = new ArrayList();
        ArrayList arrayList2 = new ArrayList();
        u(view, view2, z7, z8, B, arrayList, arrayList2);
        RectF rectF = this.f9087g;
        z(view, view2, z7, z8, B, arrayList, arrayList2, rectF);
        float width = rectF.width();
        float height = rectF.height();
        t(view, view2, z7, B, arrayList);
        w(view, view2, z7, z8, B, arrayList, arrayList2);
        v(view, view2, z7, z8, B, width, height, arrayList, arrayList2);
        s(view, view2, z7, z8, B, arrayList, arrayList2);
        r(view, view2, z7, z8, B, arrayList, arrayList2);
        AnimatorSet animatorSet = new AnimatorSet();
        com.google.android.material.animation.b.a(animatorSet, arrayList);
        animatorSet.addListener(new a(z7, view2, view));
        int size = arrayList2.size();
        for (int i7 = 0; i7 < size; i7++) {
            animatorSet.addListener(arrayList2.get(i7));
        }
        return animatorSet;
    }

    @Override // com.google.android.material.transformation.ExpandableBehavior, androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
    @CallSuper
    public boolean layoutDependsOn(@NonNull CoordinatorLayout coordinatorLayout, @NonNull View view, @NonNull View view2) {
        if (view.getVisibility() == 8) {
            throw new IllegalStateException("This behavior cannot be attached to a GONE view. Set the view to INVISIBLE instead.");
        } else if (!(view2 instanceof FloatingActionButton)) {
            return false;
        } else {
            int expandedComponentIdHint = ((FloatingActionButton) view2).getExpandedComponentIdHint();
            return expandedComponentIdHint == 0 || expandedComponentIdHint == view.getId();
        }
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
    @CallSuper
    public void onAttachedToLayoutParams(@NonNull CoordinatorLayout.LayoutParams layoutParams) {
        if (layoutParams.dodgeInsetEdges == 0) {
            layoutParams.dodgeInsetEdges = 80;
        }
    }

    public FabTransformationBehavior(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.f9086f = new Rect();
        this.f9087g = new RectF();
        this.f9088h = new RectF();
        this.f9089i = new int[2];
    }
}
