package com.google.android.material.transition.platform;

import android.animation.Animator;
import android.animation.ValueAnimator;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.PathMeasure;
import android.graphics.PointF;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.Region;
import android.graphics.drawable.Drawable;
import android.transition.ArcMotion;
import android.transition.PathMotion;
import android.transition.Transition;
import android.transition.TransitionValues;
import android.util.DisplayMetrics;
import android.util.Log;
import android.view.View;
import android.view.ViewGroup;
import android.view.WindowManager;
import androidx.annotation.ColorInt;
import androidx.annotation.FloatRange;
import androidx.annotation.IdRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.annotation.RestrictTo;
import androidx.annotation.StyleRes;
import androidx.core.util.Preconditions;
import androidx.core.view.InputDeviceCompat;
import androidx.core.view.ViewCompat;
import b0.a;
import com.google.android.material.internal.y;
import com.google.android.material.shape.j;
import com.google.android.material.shape.o;
import com.google.android.material.shape.s;
import com.google.android.material.transition.platform.v;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

@RequiresApi(21)
public final class l extends Transition {
    private static final f A6 = new f(new e(0.0f, 0.25f), new e(0.0f, 1.0f), new e(0.0f, 1.0f), new e(0.0f, 0.75f), null);
    private static final f B6 = new f(new e(0.6f, 0.9f), new e(0.0f, 1.0f), new e(0.0f, 0.9f), new e(0.3f, 0.9f), null);
    private static final f C6 = new f(new e(0.1f, 0.4f), new e(0.1f, 1.0f), new e(0.1f, 1.0f), new e(0.1f, 0.9f), null);
    private static final f D6 = new f(new e(0.6f, 0.9f), new e(0.0f, 0.9f), new e(0.0f, 0.9f), new e(0.2f, 0.9f), null);
    private static final float E6 = -1.0f;

    /* renamed from: m6  reason: collision with root package name */
    public static final int f9269m6 = 0;

    /* renamed from: n6  reason: collision with root package name */
    public static final int f9270n6 = 1;

    /* renamed from: o6  reason: collision with root package name */
    public static final int f9271o6 = 2;

    /* renamed from: p6  reason: collision with root package name */
    public static final int f9272p6 = 0;

    /* renamed from: q6  reason: collision with root package name */
    public static final int f9273q6 = 1;

    /* renamed from: r6  reason: collision with root package name */
    public static final int f9274r6 = 2;

    /* renamed from: s6  reason: collision with root package name */
    public static final int f9275s6 = 3;

    /* renamed from: t6  reason: collision with root package name */
    public static final int f9276t6 = 0;

    /* renamed from: u6  reason: collision with root package name */
    public static final int f9277u6 = 1;

    /* renamed from: v6  reason: collision with root package name */
    public static final int f9278v6 = 2;

    /* renamed from: w6  reason: collision with root package name */
    private static final String f9279w6 = "l";

    /* renamed from: x6  reason: collision with root package name */
    private static final String f9280x6 = "materialContainerTransition:bounds";

    /* renamed from: y6  reason: collision with root package name */
    private static final String f9281y6 = "materialContainerTransition:shapeAppearance";

    /* renamed from: z6  reason: collision with root package name */
    private static final String[] f9282z6 = {f9280x6, f9281y6};
    @IdRes
    private int C1 = -1;
    @IdRes
    private int C2 = -1;
    @ColorInt
    private int U5 = 0;
    @ColorInt
    private int V5 = 0;
    @ColorInt
    private int W5 = 0;
    @ColorInt
    private int X5 = 1375731712;
    private int Y5 = 0;
    private int Z5 = 0;

    /* renamed from: a6  reason: collision with root package name */
    private int f9283a6 = 0;
    @Nullable

    /* renamed from: b6  reason: collision with root package name */
    private View f9284b6;
    @Nullable

    /* renamed from: c6  reason: collision with root package name */
    private View f9285c6;
    @Nullable

    /* renamed from: d6  reason: collision with root package name */
    private o f9286d6;
    @Nullable

    /* renamed from: e6  reason: collision with root package name */
    private o f9287e6;

    /* renamed from: f  reason: collision with root package name */
    private boolean f9288f = false;
    @Nullable

    /* renamed from: f6  reason: collision with root package name */
    private e f9289f6;

    /* renamed from: g  reason: collision with root package name */
    private boolean f9290g = false;
    @Nullable

    /* renamed from: g6  reason: collision with root package name */
    private e f9291g6;
    @Nullable

    /* renamed from: h6  reason: collision with root package name */
    private e f9292h6;
    @Nullable

    /* renamed from: i6  reason: collision with root package name */
    private e f9293i6;

    /* renamed from: j6  reason: collision with root package name */
    private boolean f9294j6 = true;

    /* renamed from: k6  reason: collision with root package name */
    private float f9295k6 = -1.0f;

    /* renamed from: l6  reason: collision with root package name */
    private float f9296l6 = -1.0f;

    /* renamed from: p  reason: collision with root package name */
    private boolean f9297p = false;

    /* renamed from: x  reason: collision with root package name */
    private boolean f9298x = false;
    @IdRes

    /* renamed from: y  reason: collision with root package name */
    private int f9299y = 16908290;

    /* access modifiers changed from: package-private */
    public class a implements ValueAnimator.AnimatorUpdateListener {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ h f9300f;

        a(h hVar) {
            this.f9300f = hVar;
        }

        public void onAnimationUpdate(ValueAnimator valueAnimator) {
            this.f9300f.o(valueAnimator.getAnimatedFraction());
        }
    }

    class b extends u {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ View f9302a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ h f9303b;

        /* renamed from: c  reason: collision with root package name */
        final /* synthetic */ View f9304c;

        /* renamed from: d  reason: collision with root package name */
        final /* synthetic */ View f9305d;

        b(View view, h hVar, View view2, View view3) {
            this.f9302a = view;
            this.f9303b = hVar;
            this.f9304c = view2;
            this.f9305d = view3;
        }

        @Override // com.google.android.material.transition.platform.u
        public void onTransitionEnd(@NonNull Transition transition) {
            l.this.removeListener(this);
            if (!l.this.f9290g) {
                this.f9304c.setAlpha(1.0f);
                this.f9305d.setAlpha(1.0f);
                y.h(this.f9302a).remove(this.f9303b);
            }
        }

        @Override // com.google.android.material.transition.platform.u
        public void onTransitionStart(@NonNull Transition transition) {
            y.h(this.f9302a).add(this.f9303b);
            this.f9304c.setAlpha(0.0f);
            this.f9305d.setAlpha(0.0f);
        }
    }

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public @interface c {
    }

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public @interface d {
    }

    public static class e {
        @FloatRange(from = 0.0d, to = 1.0d)

        /* renamed from: a  reason: collision with root package name */
        private final float f9307a;
        @FloatRange(from = 0.0d, to = 1.0d)

        /* renamed from: b  reason: collision with root package name */
        private final float f9308b;

        public e(@FloatRange(from = 0.0d, to = 1.0d) float f7, @FloatRange(from = 0.0d, to = 1.0d) float f8) {
            this.f9307a = f7;
            this.f9308b = f8;
        }

        @FloatRange(from = 0.0d, to = 1.0d)
        public float c() {
            return this.f9308b;
        }

        @FloatRange(from = 0.0d, to = 1.0d)
        public float d() {
            return this.f9307a;
        }
    }

    /* access modifiers changed from: private */
    public static class f {
        @NonNull

        /* renamed from: a  reason: collision with root package name */
        private final e f9309a;
        @NonNull

        /* renamed from: b  reason: collision with root package name */
        private final e f9310b;
        @NonNull

        /* renamed from: c  reason: collision with root package name */
        private final e f9311c;
        @NonNull

        /* renamed from: d  reason: collision with root package name */
        private final e f9312d;

        private f(@NonNull e eVar, @NonNull e eVar2, @NonNull e eVar3, @NonNull e eVar4) {
            this.f9309a = eVar;
            this.f9310b = eVar2;
            this.f9311c = eVar3;
            this.f9312d = eVar4;
        }

        /* synthetic */ f(e eVar, e eVar2, e eVar3, e eVar4, a aVar) {
            this(eVar, eVar2, eVar3, eVar4);
        }
    }

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public @interface g {
    }

    private static final class h extends Drawable {
        private static final int M = 754974720;
        private static final int N = -7829368;
        private static final float O = 0.3f;
        private static final float P = 1.5f;
        private final f A;
        private final a B;
        private final f C;
        private final boolean D;
        private final Paint E;
        private final Path F;
        private c G;
        private h H;
        private RectF I;
        private float J;
        private float K;
        private float L;

        /* renamed from: a  reason: collision with root package name */
        private final View f9313a;

        /* renamed from: b  reason: collision with root package name */
        private final RectF f9314b;

        /* renamed from: c  reason: collision with root package name */
        private final o f9315c;

        /* renamed from: d  reason: collision with root package name */
        private final float f9316d;

        /* renamed from: e  reason: collision with root package name */
        private final View f9317e;

        /* renamed from: f  reason: collision with root package name */
        private final RectF f9318f;

        /* renamed from: g  reason: collision with root package name */
        private final o f9319g;

        /* renamed from: h  reason: collision with root package name */
        private final float f9320h;

        /* renamed from: i  reason: collision with root package name */
        private final Paint f9321i;

        /* renamed from: j  reason: collision with root package name */
        private final Paint f9322j;

        /* renamed from: k  reason: collision with root package name */
        private final Paint f9323k;

        /* renamed from: l  reason: collision with root package name */
        private final Paint f9324l;

        /* renamed from: m  reason: collision with root package name */
        private final Paint f9325m;

        /* renamed from: n  reason: collision with root package name */
        private final j f9326n;

        /* renamed from: o  reason: collision with root package name */
        private final PathMeasure f9327o;

        /* renamed from: p  reason: collision with root package name */
        private final float f9328p;

        /* renamed from: q  reason: collision with root package name */
        private final float[] f9329q;

        /* renamed from: r  reason: collision with root package name */
        private final boolean f9330r;

        /* renamed from: s  reason: collision with root package name */
        private final float f9331s;

        /* renamed from: t  reason: collision with root package name */
        private final float f9332t;

        /* renamed from: u  reason: collision with root package name */
        private final boolean f9333u;

        /* renamed from: v  reason: collision with root package name */
        private final j f9334v;

        /* renamed from: w  reason: collision with root package name */
        private final RectF f9335w;

        /* renamed from: x  reason: collision with root package name */
        private final RectF f9336x;

        /* renamed from: y  reason: collision with root package name */
        private final RectF f9337y;

        /* renamed from: z  reason: collision with root package name */
        private final RectF f9338z;

        /* access modifiers changed from: package-private */
        public class a implements v.c {
            a() {
            }

            @Override // com.google.android.material.transition.platform.v.c
            public void a(Canvas canvas) {
                h.this.f9313a.draw(canvas);
            }
        }

        /* access modifiers changed from: package-private */
        public class b implements v.c {
            b() {
            }

            @Override // com.google.android.material.transition.platform.v.c
            public void a(Canvas canvas) {
                h.this.f9317e.draw(canvas);
            }
        }

        private h(PathMotion pathMotion, View view, RectF rectF, o oVar, float f7, View view2, RectF rectF2, o oVar2, float f8, @ColorInt int i7, @ColorInt int i8, @ColorInt int i9, int i10, boolean z7, boolean z8, a aVar, f fVar, f fVar2, boolean z9) {
            Paint paint = new Paint();
            this.f9321i = paint;
            Paint paint2 = new Paint();
            this.f9322j = paint2;
            Paint paint3 = new Paint();
            this.f9323k = paint3;
            this.f9324l = new Paint();
            Paint paint4 = new Paint();
            this.f9325m = paint4;
            this.f9326n = new j();
            float[] fArr = new float[2];
            this.f9329q = fArr;
            j jVar = new j();
            this.f9334v = jVar;
            Paint paint5 = new Paint();
            this.E = paint5;
            this.F = new Path();
            this.f9313a = view;
            this.f9314b = rectF;
            this.f9315c = oVar;
            this.f9316d = f7;
            this.f9317e = view2;
            this.f9318f = rectF2;
            this.f9319g = oVar2;
            this.f9320h = f8;
            this.f9330r = z7;
            this.f9333u = z8;
            this.B = aVar;
            this.C = fVar;
            this.A = fVar2;
            this.D = z9;
            DisplayMetrics displayMetrics = new DisplayMetrics();
            ((WindowManager) view.getContext().getSystemService("window")).getDefaultDisplay().getMetrics(displayMetrics);
            this.f9331s = (float) displayMetrics.widthPixels;
            this.f9332t = (float) displayMetrics.heightPixels;
            paint.setColor(i7);
            paint2.setColor(i8);
            paint3.setColor(i9);
            jVar.n0(ColorStateList.valueOf(0));
            jVar.w0(2);
            jVar.t0(false);
            jVar.u0(N);
            RectF rectF3 = new RectF(rectF);
            this.f9335w = rectF3;
            this.f9336x = new RectF(rectF3);
            RectF rectF4 = new RectF(rectF3);
            this.f9337y = rectF4;
            this.f9338z = new RectF(rectF4);
            PointF m7 = m(rectF);
            PointF m8 = m(rectF2);
            PathMeasure pathMeasure = new PathMeasure(pathMotion.getPath(m7.x, m7.y, m8.x, m8.y), false);
            this.f9327o = pathMeasure;
            this.f9328p = pathMeasure.getLength();
            fArr[0] = rectF.centerX();
            fArr[1] = rectF.top;
            paint4.setStyle(Paint.Style.FILL);
            paint4.setShader(v.c(i10));
            paint5.setStyle(Paint.Style.STROKE);
            paint5.setStrokeWidth(10.0f);
            p(0.0f);
        }

        private static float d(RectF rectF, float f7) {
            return ((rectF.centerX() / (f7 / 2.0f)) - 1.0f) * 0.3f;
        }

        private static float e(RectF rectF, float f7) {
            return (rectF.centerY() / f7) * P;
        }

        private void f(Canvas canvas, RectF rectF, Path path, @ColorInt int i7) {
            PointF m7 = m(rectF);
            if (this.L == 0.0f) {
                path.reset();
                path.moveTo(m7.x, m7.y);
                return;
            }
            path.lineTo(m7.x, m7.y);
            this.E.setColor(i7);
            canvas.drawPath(path, this.E);
        }

        private void g(Canvas canvas, RectF rectF, @ColorInt int i7) {
            this.E.setColor(i7);
            canvas.drawRect(rectF, this.E);
        }

        private void h(Canvas canvas) {
            canvas.save();
            canvas.clipPath(this.f9326n.d(), Region.Op.DIFFERENCE);
            j(canvas);
            canvas.restore();
        }

        private void i(Canvas canvas) {
            j jVar = this.f9334v;
            RectF rectF = this.I;
            jVar.setBounds((int) rectF.left, (int) rectF.top, (int) rectF.right, (int) rectF.bottom);
            this.f9334v.m0(this.J);
            this.f9334v.A0((int) this.K);
            this.f9334v.setShapeAppearanceModel(this.f9326n.c());
            this.f9334v.draw(canvas);
        }

        private void j(Canvas canvas) {
            o c7 = this.f9326n.c();
            if (c7.u(this.I)) {
                float a8 = c7.r().a(this.I);
                canvas.drawRoundRect(this.I, a8, a8, this.f9324l);
                return;
            }
            canvas.drawPath(this.f9326n.d(), this.f9324l);
        }

        private void k(Canvas canvas) {
            n(canvas, this.f9323k);
            Rect bounds = getBounds();
            RectF rectF = this.f9337y;
            v.A(canvas, bounds, rectF.left, rectF.top, this.H.f9259b, this.G.f9237b, new b());
        }

        private void l(Canvas canvas) {
            n(canvas, this.f9322j);
            Rect bounds = getBounds();
            RectF rectF = this.f9335w;
            v.A(canvas, bounds, rectF.left, rectF.top, this.H.f9258a, this.G.f9236a, new a());
        }

        private static PointF m(RectF rectF) {
            return new PointF(rectF.centerX(), rectF.top);
        }

        private void n(Canvas canvas, Paint paint) {
            if (paint.getColor() != 0 && paint.getAlpha() > 0) {
                canvas.drawRect(getBounds(), paint);
            }
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void o(float f7) {
            if (this.L != f7) {
                p(f7);
            }
        }

        private void p(float f7) {
            float f8;
            float f9;
            this.L = f7;
            this.f9325m.setAlpha((int) (this.f9330r ? v.n(0.0f, 255.0f, f7) : v.n(255.0f, 0.0f, f7)));
            this.f9327o.getPosTan(this.f9328p * f7, this.f9329q, null);
            float[] fArr = this.f9329q;
            float f10 = fArr[0];
            float f11 = fArr[1];
            int i7 = (f7 > 1.0f ? 1 : (f7 == 1.0f ? 0 : -1));
            if (i7 > 0 || f7 < 0.0f) {
                if (i7 > 0) {
                    f9 = (f7 - 1.0f) / 0.00999999f;
                    f8 = 0.99f;
                } else {
                    f8 = 0.01f;
                    f9 = (f7 / 0.01f) * -1.0f;
                }
                this.f9327o.getPosTan(this.f9328p * f8, fArr, null);
                float[] fArr2 = this.f9329q;
                f10 += (f10 - fArr2[0]) * f9;
                f11 += (f11 - fArr2[1]) * f9;
            }
            h a8 = this.C.a(f7, ((Float) Preconditions.checkNotNull(Float.valueOf(this.A.f9310b.f9307a))).floatValue(), ((Float) Preconditions.checkNotNull(Float.valueOf(this.A.f9310b.f9308b))).floatValue(), this.f9314b.width(), this.f9314b.height(), this.f9318f.width(), this.f9318f.height());
            this.H = a8;
            RectF rectF = this.f9335w;
            float f12 = a8.f9260c;
            rectF.set(f10 - (f12 / 2.0f), f11, (f12 / 2.0f) + f10, a8.f9261d + f11);
            RectF rectF2 = this.f9337y;
            h hVar = this.H;
            float f13 = hVar.f9262e;
            rectF2.set(f10 - (f13 / 2.0f), f11, f10 + (f13 / 2.0f), hVar.f9263f + f11);
            this.f9336x.set(this.f9335w);
            this.f9338z.set(this.f9337y);
            float floatValue = ((Float) Preconditions.checkNotNull(Float.valueOf(this.A.f9311c.f9307a))).floatValue();
            float floatValue2 = ((Float) Preconditions.checkNotNull(Float.valueOf(this.A.f9311c.f9308b))).floatValue();
            boolean b7 = this.C.b(this.H);
            RectF rectF3 = b7 ? this.f9336x : this.f9338z;
            float o7 = v.o(0.0f, 1.0f, floatValue, floatValue2, f7);
            if (!b7) {
                o7 = 1.0f - o7;
            }
            this.C.c(rectF3, o7, this.H);
            this.I = new RectF(Math.min(this.f9336x.left, this.f9338z.left), Math.min(this.f9336x.top, this.f9338z.top), Math.max(this.f9336x.right, this.f9338z.right), Math.max(this.f9336x.bottom, this.f9338z.bottom));
            this.f9326n.b(f7, this.f9315c, this.f9319g, this.f9335w, this.f9336x, this.f9338z, this.A.f9312d);
            this.J = v.n(this.f9316d, this.f9320h, f7);
            float d7 = d(this.I, this.f9331s);
            float e7 = e(this.I, this.f9332t);
            float f14 = this.J;
            float f15 = (float) ((int) (e7 * f14));
            this.K = f15;
            this.f9324l.setShadowLayer(f14, (float) ((int) (d7 * f14)), f15, M);
            this.G = this.B.a(f7, ((Float) Preconditions.checkNotNull(Float.valueOf(this.A.f9309a.f9307a))).floatValue(), ((Float) Preconditions.checkNotNull(Float.valueOf(this.A.f9309a.f9308b))).floatValue(), 0.35f);
            if (this.f9322j.getColor() != 0) {
                this.f9322j.setAlpha(this.G.f9236a);
            }
            if (this.f9323k.getColor() != 0) {
                this.f9323k.setAlpha(this.G.f9237b);
            }
            invalidateSelf();
        }

        public void draw(@NonNull Canvas canvas) {
            if (this.f9325m.getAlpha() > 0) {
                canvas.drawRect(getBounds(), this.f9325m);
            }
            int save = this.D ? canvas.save() : -1;
            if (this.f9333u && this.J > 0.0f) {
                h(canvas);
            }
            this.f9326n.a(canvas);
            n(canvas, this.f9321i);
            if (this.G.f9238c) {
                l(canvas);
                k(canvas);
            } else {
                k(canvas);
                l(canvas);
            }
            if (this.D) {
                canvas.restoreToCount(save);
                f(canvas, this.f9335w, this.F, -65281);
                g(canvas, this.f9336x, InputDeviceCompat.SOURCE_ANY);
                g(canvas, this.f9335w, -16711936);
                g(canvas, this.f9338z, -16711681);
                g(canvas, this.f9337y, -16776961);
            }
        }

        public int getOpacity() {
            return -3;
        }

        public void setAlpha(int i7) {
            throw new UnsupportedOperationException("Setting alpha on is not supported");
        }

        public void setColorFilter(@Nullable ColorFilter colorFilter) {
            throw new UnsupportedOperationException("Setting a color filter is not supported");
        }

        /* synthetic */ h(PathMotion pathMotion, View view, RectF rectF, o oVar, float f7, View view2, RectF rectF2, o oVar2, float f8, int i7, int i8, int i9, int i10, boolean z7, boolean z8, a aVar, f fVar, f fVar2, boolean z9, a aVar2) {
            this(pathMotion, view, rectF, oVar, f7, view2, rectF2, oVar2, f8, i7, i8, i9, i10, z7, z8, aVar, fVar, fVar2, z9);
        }
    }

    public l() {
    }

    private f A(boolean z7, f fVar, f fVar2) {
        if (!z7) {
            fVar = fVar2;
        }
        return new f((e) v.d(this.f9289f6, fVar.f9309a), (e) v.d(this.f9291g6, fVar.f9310b), (e) v.d(this.f9292h6, fVar.f9311c), (e) v.d(this.f9293i6, fVar.f9312d), null);
    }

    @StyleRes
    private static int C(Context context) {
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(new int[]{a.c.Mf});
        int resourceId = obtainStyledAttributes.getResourceId(0, -1);
        obtainStyledAttributes.recycle();
        return resourceId;
    }

    private boolean F(@NonNull RectF rectF, @NonNull RectF rectF2) {
        int i7 = this.Y5;
        if (i7 == 0) {
            return v.a(rectF2) > v.a(rectF);
        }
        if (i7 == 1) {
            return true;
        }
        if (i7 == 2) {
            return false;
        }
        throw new IllegalArgumentException("Invalid transition direction: " + this.Y5);
    }

    private void H(Context context, boolean z7) {
        v.u(this, context, a.c.ya, com.google.android.material.animation.a.f6955b);
        v.t(this, context, z7 ? a.c.oa : a.c.ra);
        if (!this.f9297p) {
            v.v(this, context, a.c.Aa);
        }
    }

    private f b(boolean z7) {
        f fVar;
        f fVar2;
        PathMotion pathMotion = getPathMotion();
        if ((pathMotion instanceof ArcMotion) || (pathMotion instanceof k)) {
            fVar = C6;
            fVar2 = D6;
        } else {
            fVar = A6;
            fVar2 = B6;
        }
        return A(z7, fVar, fVar2);
    }

    private static RectF c(View view, @Nullable View view2, float f7, float f8) {
        if (view2 == null) {
            return new RectF(0.0f, 0.0f, (float) view.getWidth(), (float) view.getHeight());
        }
        RectF i7 = v.i(view2);
        i7.offset(f7, f8);
        return i7;
    }

    private static o d(@NonNull View view, @NonNull RectF rectF, @Nullable o oVar) {
        return v.b(t(view, oVar), rectF);
    }

    /* JADX WARNING: Removed duplicated region for block: B:16:0x0048  */
    /* JADX WARNING: Removed duplicated region for block: B:17:0x004d  */
    private static void e(@NonNull TransitionValues transitionValues, @Nullable View view, @IdRes int i7, @Nullable o oVar) {
        View view2;
        if (i7 != -1) {
            view = v.f(transitionValues.view, i7);
        } else if (view == null) {
            if (transitionValues.view.getTag(a.h.f1309d3) instanceof View) {
                view = (View) transitionValues.view.getTag(a.h.f1309d3);
                transitionValues.view.setTag(a.h.f1309d3, null);
            }
            view2 = transitionValues.view;
            if (!ViewCompat.isLaidOut(view2) || view2.getWidth() != 0 || view2.getHeight() != 0) {
                RectF j7 = view2.getParent() != null ? v.j(view2) : v.i(view2);
                transitionValues.values.put(f9280x6, j7);
                transitionValues.values.put(f9281y6, d(view2, j7, oVar));
            }
            return;
        }
        transitionValues.view = view;
        view2 = transitionValues.view;
        if (!ViewCompat.isLaidOut(view2)) {
        }
        if (view2.getParent() != null) {
        }
        transitionValues.values.put(f9280x6, j7);
        transitionValues.values.put(f9281y6, d(view2, j7, oVar));
    }

    private static float h(float f7, View view) {
        return f7 != -1.0f ? f7 : ViewCompat.getElevation(view);
    }

    private static o t(@NonNull View view, @Nullable o oVar) {
        if (oVar != null) {
            return oVar;
        }
        if (view.getTag(a.h.f1309d3) instanceof o) {
            return (o) view.getTag(a.h.f1309d3);
        }
        Context context = view.getContext();
        int C = C(context);
        return C != -1 ? o.b(context, C, 0).m() : view instanceof s ? ((s) view).getShapeAppearanceModel() : o.a().m();
    }

    public int B() {
        return this.Y5;
    }

    public boolean D() {
        return this.f9288f;
    }

    public boolean E() {
        return this.f9294j6;
    }

    public boolean G() {
        return this.f9290g;
    }

    public void I(@ColorInt int i7) {
        this.U5 = i7;
        this.V5 = i7;
        this.W5 = i7;
    }

    public void J(@ColorInt int i7) {
        this.U5 = i7;
    }

    public void K(boolean z7) {
        this.f9288f = z7;
    }

    public void M(@IdRes int i7) {
        this.f9299y = i7;
    }

    public void N(boolean z7) {
        this.f9294j6 = z7;
    }

    public void O(@ColorInt int i7) {
        this.W5 = i7;
    }

    public void P(float f7) {
        this.f9296l6 = f7;
    }

    public void Q(@Nullable o oVar) {
        this.f9287e6 = oVar;
    }

    public void R(@Nullable View view) {
        this.f9285c6 = view;
    }

    public void S(@IdRes int i7) {
        this.C2 = i7;
    }

    public void T(int i7) {
        this.Z5 = i7;
    }

    public void U(@Nullable e eVar) {
        this.f9289f6 = eVar;
    }

    public void V(int i7) {
        this.f9283a6 = i7;
    }

    public void W(boolean z7) {
        this.f9290g = z7;
    }

    public void Y(@Nullable e eVar) {
        this.f9292h6 = eVar;
    }

    public void a0(@Nullable e eVar) {
        this.f9291g6 = eVar;
    }

    public void b0(@ColorInt int i7) {
        this.X5 = i7;
    }

    public void c0(@Nullable e eVar) {
        this.f9293i6 = eVar;
    }

    public void captureEndValues(@NonNull TransitionValues transitionValues) {
        e(transitionValues, this.f9285c6, this.C2, this.f9287e6);
    }

    public void captureStartValues(@NonNull TransitionValues transitionValues) {
        e(transitionValues, this.f9284b6, this.C1, this.f9286d6);
    }

    @Nullable
    public Animator createAnimator(@NonNull ViewGroup viewGroup, @Nullable TransitionValues transitionValues, @Nullable TransitionValues transitionValues2) {
        String str;
        String str2;
        View view;
        View view2;
        if (transitionValues == null || transitionValues2 == null) {
            return null;
        }
        RectF rectF = (RectF) transitionValues.values.get(f9280x6);
        o oVar = (o) transitionValues.values.get(f9281y6);
        if (rectF == null || oVar == null) {
            str = f9279w6;
            str2 = "Skipping due to null start bounds. Ensure start view is laid out and measured.";
        } else {
            RectF rectF2 = (RectF) transitionValues2.values.get(f9280x6);
            o oVar2 = (o) transitionValues2.values.get(f9281y6);
            if (rectF2 == null || oVar2 == null) {
                str = f9279w6;
                str2 = "Skipping due to null end bounds. Ensure end view is laid out and measured.";
            } else {
                View view3 = transitionValues.view;
                View view4 = transitionValues2.view;
                View view5 = view4.getParent() != null ? view4 : view3;
                if (this.f9299y == view5.getId()) {
                    view = (View) view5.getParent();
                    view2 = view5;
                } else {
                    view = v.e(view5, this.f9299y);
                    view2 = null;
                }
                RectF i7 = v.i(view);
                float f7 = -i7.left;
                float f8 = -i7.top;
                RectF c7 = c(view, view2, f7, f8);
                rectF.offset(f7, f8);
                rectF2.offset(f7, f8);
                boolean F = F(rectF, rectF2);
                if (!this.f9298x) {
                    H(view5.getContext(), F);
                }
                h hVar = new h(getPathMotion(), view3, rectF, oVar, h(this.f9295k6, view3), view4, rectF2, oVar2, h(this.f9296l6, view4), this.U5, this.V5, this.W5, this.X5, F, this.f9294j6, b.a(this.Z5, F), g.a(this.f9283a6, F, rectF, rectF2), b(F), this.f9288f, null);
                hVar.setBounds(Math.round(c7.left), Math.round(c7.top), Math.round(c7.right), Math.round(c7.bottom));
                ValueAnimator ofFloat = ValueAnimator.ofFloat(0.0f, 1.0f);
                ofFloat.addUpdateListener(new a(hVar));
                addListener(new b(view, hVar, view3, view4));
                return ofFloat;
            }
        }
        Log.w(str, str2);
        return null;
    }

    public void e0(@ColorInt int i7) {
        this.V5 = i7;
    }

    @ColorInt
    public int f() {
        return this.U5;
    }

    public void f0(float f7) {
        this.f9295k6 = f7;
    }

    @IdRes
    public int g() {
        return this.f9299y;
    }

    public void g0(@Nullable o oVar) {
        this.f9286d6 = oVar;
    }

    @Nullable
    public String[] getTransitionProperties() {
        return f9282z6;
    }

    public void h0(@Nullable View view) {
        this.f9284b6 = view;
    }

    @ColorInt
    public int i() {
        return this.W5;
    }

    public void i0(@IdRes int i7) {
        this.C1 = i7;
    }

    public float j() {
        return this.f9296l6;
    }

    public void j0(int i7) {
        this.Y5 = i7;
    }

    @Nullable
    public o k() {
        return this.f9287e6;
    }

    @Nullable
    public View l() {
        return this.f9285c6;
    }

    @IdRes
    public int m() {
        return this.C2;
    }

    public int n() {
        return this.Z5;
    }

    @Nullable
    public e o() {
        return this.f9289f6;
    }

    public int p() {
        return this.f9283a6;
    }

    @Nullable
    public e q() {
        return this.f9292h6;
    }

    @Nullable
    public e r() {
        return this.f9291g6;
    }

    @ColorInt
    public int s() {
        return this.X5;
    }

    public void setPathMotion(@Nullable PathMotion pathMotion) {
        super.setPathMotion(pathMotion);
        this.f9297p = true;
    }

    @Nullable
    public e u() {
        return this.f9293i6;
    }

    @ColorInt
    public int v() {
        return this.V5;
    }

    public float w() {
        return this.f9295k6;
    }

    @Nullable
    public o x() {
        return this.f9286d6;
    }

    @Nullable
    public View y() {
        return this.f9284b6;
    }

    @IdRes
    public int z() {
        return this.C1;
    }

    public l(@NonNull Context context, boolean z7) {
        H(context, z7);
        this.f9298x = true;
    }
}
