package com.google.android.material.transition;

import android.animation.TimeInterpolator;
import android.content.Context;
import android.graphics.Canvas;
import android.graphics.LinearGradient;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.Shader;
import android.util.TypedValue;
import android.view.View;
import android.view.ViewParent;
import androidx.annotation.AttrRes;
import androidx.annotation.ColorInt;
import androidx.annotation.FloatRange;
import androidx.annotation.IdRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.core.graphics.PathParser;
import androidx.core.view.animation.PathInterpolatorCompat;
import androidx.transition.PathMotion;
import androidx.transition.PatternPathMotion;
import androidx.transition.Transition;
import androidx.transition.TransitionSet;
import com.google.android.material.shape.m;
import com.google.android.material.shape.o;

class u {

    /* renamed from: a  reason: collision with root package name */
    static final int f9414a = -1;
    @AttrRes

    /* renamed from: b  reason: collision with root package name */
    static final int f9415b = 0;

    /* renamed from: c  reason: collision with root package name */
    private static final String f9416c = "cubic-bezier";

    /* renamed from: d  reason: collision with root package name */
    private static final String f9417d = "path";

    /* renamed from: e  reason: collision with root package name */
    private static final String f9418e = "(";

    /* renamed from: f  reason: collision with root package name */
    private static final String f9419f = ")";

    /* renamed from: g  reason: collision with root package name */
    private static final int f9420g = 0;

    /* renamed from: h  reason: collision with root package name */
    private static final int f9421h = 1;

    /* renamed from: i  reason: collision with root package name */
    private static final RectF f9422i = new RectF();

    static class a implements o.c {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ RectF f9423a;

        a(RectF rectF) {
            this.f9423a = rectF;
        }

        @Override // com.google.android.material.shape.o.c
        @NonNull
        public com.google.android.material.shape.d a(@NonNull com.google.android.material.shape.d dVar) {
            return dVar instanceof m ? dVar : new m(dVar.a(this.f9423a) / this.f9423a.height());
        }
    }

    static class b implements d {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ RectF f9424a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ RectF f9425b;

        /* renamed from: c  reason: collision with root package name */
        final /* synthetic */ float f9426c;

        /* renamed from: d  reason: collision with root package name */
        final /* synthetic */ float f9427d;

        /* renamed from: e  reason: collision with root package name */
        final /* synthetic */ float f9428e;

        b(RectF rectF, RectF rectF2, float f7, float f8, float f9) {
            this.f9424a = rectF;
            this.f9425b = rectF2;
            this.f9426c = f7;
            this.f9427d = f8;
            this.f9428e = f9;
        }

        @Override // com.google.android.material.transition.u.d
        @NonNull
        public com.google.android.material.shape.d a(@NonNull com.google.android.material.shape.d dVar, @NonNull com.google.android.material.shape.d dVar2) {
            return new com.google.android.material.shape.a(u.o(dVar.a(this.f9424a), dVar2.a(this.f9425b), this.f9426c, this.f9427d, this.f9428e));
        }
    }

    interface c {
        void a(Canvas canvas);
    }

    /* access modifiers changed from: package-private */
    public interface d {
        @NonNull
        com.google.android.material.shape.d a(@NonNull com.google.android.material.shape.d dVar, @NonNull com.google.android.material.shape.d dVar2);
    }

    private u() {
    }

    static void A(Canvas canvas, Rect rect, float f7, float f8, float f9, int i7, c cVar) {
        if (i7 > 0) {
            int save = canvas.save();
            canvas.translate(f7, f8);
            canvas.scale(f9, f9);
            if (i7 < 255) {
                z(canvas, rect, i7);
            }
            cVar.a(canvas);
            canvas.restoreToCount(save);
        }
    }

    static o B(o oVar, o oVar2, RectF rectF, d dVar) {
        return (m(oVar, rectF) ? oVar : oVar2).v().L(dVar.a(oVar.r(), oVar2.r())).Q(dVar.a(oVar.t(), oVar2.t())).y(dVar.a(oVar.j(), oVar2.j())).D(dVar.a(oVar.l(), oVar2.l())).m();
    }

    static float a(@NonNull RectF rectF) {
        return rectF.width() * rectF.height();
    }

    static o b(o oVar, RectF rectF) {
        return oVar.y(new a(rectF));
    }

    static Shader c(@ColorInt int i7) {
        return new LinearGradient(0.0f, 0.0f, 0.0f, 0.0f, i7, i7, Shader.TileMode.CLAMP);
    }

    @NonNull
    static <T> T d(@Nullable T t7, @NonNull T t8) {
        return t7 != null ? t7 : t8;
    }

    static View e(View view, @IdRes int i7) {
        String resourceName = view.getResources().getResourceName(i7);
        while (view != null) {
            if (view.getId() != i7) {
                ViewParent parent = view.getParent();
                if (!(parent instanceof View)) {
                    break;
                }
                view = (View) parent;
            } else {
                return view;
            }
        }
        throw new IllegalArgumentException(resourceName + " is not a valid ancestor");
    }

    static View f(View view, @IdRes int i7) {
        View findViewById = view.findViewById(i7);
        return findViewById != null ? findViewById : e(view, i7);
    }

    private static float g(String[] strArr, int i7) {
        float parseFloat = Float.parseFloat(strArr[i7]);
        if (parseFloat >= 0.0f && parseFloat <= 1.0f) {
            return parseFloat;
        }
        throw new IllegalArgumentException("Motion easing control point value must be between 0 and 1; instead got: " + parseFloat);
    }

    private static String h(String str, String str2) {
        return str.substring(str2.length() + 1, str.length() - 1);
    }

    static RectF i(View view) {
        int[] iArr = new int[2];
        view.getLocationOnScreen(iArr);
        int i7 = iArr[0];
        int i8 = iArr[1];
        return new RectF((float) i7, (float) i8, (float) (view.getWidth() + i7), (float) (view.getHeight() + i8));
    }

    static RectF j(View view) {
        return new RectF((float) view.getLeft(), (float) view.getTop(), (float) view.getRight(), (float) view.getBottom());
    }

    static Rect k(View view) {
        return new Rect(view.getLeft(), view.getTop(), view.getRight(), view.getBottom());
    }

    private static boolean l(String str, String str2) {
        StringBuilder sb = new StringBuilder();
        sb.append(str2);
        sb.append(f9418e);
        return str.startsWith(sb.toString()) && str.endsWith(f9419f);
    }

    private static boolean m(o oVar, RectF rectF) {
        return (oVar.r().a(rectF) == 0.0f && oVar.t().a(rectF) == 0.0f && oVar.l().a(rectF) == 0.0f && oVar.j().a(rectF) == 0.0f) ? false : true;
    }

    static float n(float f7, float f8, float f9) {
        return f7 + (f9 * (f8 - f7));
    }

    static float o(float f7, float f8, @FloatRange(from = 0.0d, to = 1.0d) float f9, @FloatRange(from = 0.0d, to = 1.0d) float f10, @FloatRange(from = 0.0d, to = 1.0d) float f11) {
        return p(f7, f8, f9, f10, f11, false);
    }

    static float p(float f7, float f8, @FloatRange(from = 0.0d, to = 1.0d) float f9, @FloatRange(from = 0.0d, to = 1.0d) float f10, @FloatRange(from = 0.0d) float f11, boolean z7) {
        return (!z7 || (f11 >= 0.0f && f11 <= 1.0f)) ? f11 < f9 ? f7 : f11 > f10 ? f8 : n(f7, f8, (f11 - f9) / (f10 - f9)) : n(f7, f8, f11);
    }

    static int q(int i7, int i8, @FloatRange(from = 0.0d, to = 1.0d) float f7, @FloatRange(from = 0.0d, to = 1.0d) float f8, @FloatRange(from = 0.0d, to = 1.0d) float f9) {
        return f9 < f7 ? i7 : f9 > f8 ? i8 : (int) n((float) i7, (float) i8, (f9 - f7) / (f8 - f7));
    }

    static o r(o oVar, o oVar2, RectF rectF, RectF rectF2, @FloatRange(from = 0.0d, to = 1.0d) float f7, @FloatRange(from = 0.0d, to = 1.0d) float f8, @FloatRange(from = 0.0d, to = 1.0d) float f9) {
        return f9 < f7 ? oVar : f9 > f8 ? oVar2 : B(oVar, oVar2, rectF, new b(rectF, rectF2, f7, f8, f9));
    }

    static void s(TransitionSet transitionSet, @Nullable Transition transition) {
        if (transition != null) {
            transitionSet.addTransition(transition);
        }
    }

    static boolean t(Transition transition, Context context, @AttrRes int i7) {
        int e7;
        if (i7 == 0 || transition.getDuration() != -1 || (e7 = com.google.android.material.resources.b.e(context, i7, -1)) == -1) {
            return false;
        }
        transition.setDuration((long) e7);
        return true;
    }

    static boolean u(Transition transition, Context context, @AttrRes int i7, TimeInterpolator timeInterpolator) {
        if (i7 == 0 || transition.getInterpolator() != null) {
            return false;
        }
        transition.setInterpolator(x(context, i7, timeInterpolator));
        return true;
    }

    static boolean v(Transition transition, Context context, @AttrRes int i7) {
        PathMotion y7;
        if (i7 == 0 || (y7 = y(context, i7)) == null) {
            return false;
        }
        transition.setPathMotion(y7);
        return true;
    }

    static void w(TransitionSet transitionSet, @Nullable Transition transition) {
        if (transition != null) {
            transitionSet.removeTransition(transition);
        }
    }

    static TimeInterpolator x(Context context, @AttrRes int i7, @NonNull TimeInterpolator timeInterpolator) {
        TypedValue typedValue = new TypedValue();
        if (!context.getTheme().resolveAttribute(i7, typedValue, true)) {
            return timeInterpolator;
        }
        if (typedValue.type == 3) {
            String valueOf = String.valueOf(typedValue.string);
            if (l(valueOf, f9416c)) {
                String[] split = h(valueOf, f9416c).split(",");
                if (split.length == 4) {
                    return PathInterpolatorCompat.create(g(split, 0), g(split, 1), g(split, 2), g(split, 3));
                }
                throw new IllegalArgumentException("Motion easing theme attribute must have 4 control points if using bezier curve format; instead got: " + split.length);
            } else if (l(valueOf, f9417d)) {
                return PathInterpolatorCompat.create(PathParser.createPathFromPathData(h(valueOf, f9417d)));
            } else {
                throw new IllegalArgumentException("Invalid motion easing type: " + valueOf);
            }
        } else {
            throw new IllegalArgumentException("Motion easing theme attribute must be a string");
        }
    }

    @Nullable
    static PathMotion y(Context context, @AttrRes int i7) {
        TypedValue typedValue = new TypedValue();
        if (!context.getTheme().resolveAttribute(i7, typedValue, true)) {
            return null;
        }
        int i8 = typedValue.type;
        if (i8 == 16) {
            int i9 = typedValue.data;
            if (i9 == 0) {
                return null;
            }
            if (i9 == 1) {
                return new k();
            }
            throw new IllegalArgumentException("Invalid motion path type: " + i9);
        } else if (i8 == 3) {
            return new PatternPathMotion(PathParser.createPathFromPathData(String.valueOf(typedValue.string)));
        } else {
            throw new IllegalArgumentException("Motion path theme attribute must either be an enum value or path data string");
        }
    }

    private static int z(Canvas canvas, Rect rect, int i7) {
        RectF rectF = f9422i;
        rectF.set(rect);
        return canvas.saveLayerAlpha(rectF, i7);
    }
}
