package com.google.common.cache;

import com.google.common.base.MoreObjects;
import com.google.common.base.Objects;
import com.google.common.base.Preconditions;
import com.google.common.base.Splitter;
import com.google.common.cache.n;
import com.google.common.collect.h6;
import com.google.common.collect.t5;
import java.util.Locale;
import java.util.concurrent.TimeUnit;

@m0.c
public final class e {

    /* renamed from: o  reason: collision with root package name */
    private static final Splitter f9469o = Splitter.on(',').trimResults();

    /* renamed from: p  reason: collision with root package name */
    private static final Splitter f9470p = Splitter.on('=').trimResults();

    /* renamed from: q  reason: collision with root package name */
    private static final h6<String, m> f9471q;
    @m0.d

    /* renamed from: a  reason: collision with root package name */
    Integer f9472a;
    @m0.d

    /* renamed from: b  reason: collision with root package name */
    Long f9473b;
    @m0.d

    /* renamed from: c  reason: collision with root package name */
    Long f9474c;
    @m0.d

    /* renamed from: d  reason: collision with root package name */
    Integer f9475d;
    @m0.d

    /* renamed from: e  reason: collision with root package name */
    n.t f9476e;
    @m0.d

    /* renamed from: f  reason: collision with root package name */
    n.t f9477f;
    @m0.d

    /* renamed from: g  reason: collision with root package name */
    Boolean f9478g;
    @m0.d

    /* renamed from: h  reason: collision with root package name */
    long f9479h;
    @m0.d

    /* renamed from: i  reason: collision with root package name */
    TimeUnit f9480i;
    @m0.d

    /* renamed from: j  reason: collision with root package name */
    long f9481j;
    @m0.d

    /* renamed from: k  reason: collision with root package name */
    TimeUnit f9482k;
    @m0.d

    /* renamed from: l  reason: collision with root package name */
    long f9483l;
    @m0.d

    /* renamed from: m  reason: collision with root package name */
    TimeUnit f9484m;

    /* renamed from: n  reason: collision with root package name */
    private final String f9485n;

    /* access modifiers changed from: package-private */
    public static /* synthetic */ class a {

        /* renamed from: a  reason: collision with root package name */
        static final /* synthetic */ int[] f9486a;

        /* JADX WARNING: Can't wrap try/catch for region: R(6:0|1|2|3|4|6) */
        /* JADX WARNING: Code restructure failed: missing block: B:7:?, code lost:
            return;
         */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0012 */
        static {
            int[] iArr = new int[n.t.values().length];
            f9486a = iArr;
            iArr[n.t.WEAK.ordinal()] = 1;
            f9486a[n.t.SOFT.ordinal()] = 2;
        }
    }

    static class b extends d {
        b() {
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.cache.e.d
        public void b(e eVar, long j7, TimeUnit timeUnit) {
            Preconditions.checkArgument(eVar.f9482k == null, "expireAfterAccess already set");
            eVar.f9481j = j7;
            eVar.f9482k = timeUnit;
        }
    }

    static class c extends f {
        c() {
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.cache.e.f
        public void b(e eVar, int i7) {
            Integer num = eVar.f9475d;
            Preconditions.checkArgument(num == null, "concurrency level was already set to ", num);
            eVar.f9475d = Integer.valueOf(i7);
        }
    }

    static abstract class d implements m {
        d() {
        }

        @Override // com.google.common.cache.e.m
        public void a(e eVar, String str, String str2) {
            TimeUnit timeUnit;
            Preconditions.checkArgument(str2 != null && !str2.isEmpty(), "value of key %s omitted", str);
            try {
                char charAt = str2.charAt(str2.length() - 1);
                if (charAt == 'd') {
                    timeUnit = TimeUnit.DAYS;
                } else if (charAt == 'h') {
                    timeUnit = TimeUnit.HOURS;
                } else if (charAt == 'm') {
                    timeUnit = TimeUnit.MINUTES;
                } else if (charAt == 's') {
                    timeUnit = TimeUnit.SECONDS;
                } else {
                    throw new IllegalArgumentException(e.d("key %s invalid format.  was %s, must end with one of [dDhHmMsS]", new Object[]{str, str2}));
                }
                b(eVar, Long.parseLong(str2.substring(0, str2.length() - 1)), timeUnit);
            } catch (NumberFormatException unused) {
                throw new IllegalArgumentException(e.d("key %s value set to %s, must be integer", new Object[]{str, str2}));
            }
        }

        /* access modifiers changed from: protected */
        public abstract void b(e eVar, long j7, TimeUnit timeUnit);
    }

    /* renamed from: com.google.common.cache.e$e  reason: collision with other inner class name */
    static class C0107e extends f {
        C0107e() {
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.cache.e.f
        public void b(e eVar, int i7) {
            Integer num = eVar.f9472a;
            Preconditions.checkArgument(num == null, "initial capacity was already set to ", num);
            eVar.f9472a = Integer.valueOf(i7);
        }
    }

    static abstract class f implements m {
        f() {
        }

        @Override // com.google.common.cache.e.m
        public void a(e eVar, String str, String str2) {
            Preconditions.checkArgument(str2 != null && !str2.isEmpty(), "value of key %s omitted", str);
            try {
                b(eVar, Integer.parseInt(str2));
            } catch (NumberFormatException e7) {
                throw new IllegalArgumentException(e.d("key %s value set to %s, must be integer", new Object[]{str, str2}), e7);
            }
        }

        /* access modifiers changed from: protected */
        public abstract void b(e eVar, int i7);
    }

    static class g implements m {

        /* renamed from: a  reason: collision with root package name */
        private final n.t f9487a;

        public g(n.t tVar) {
            this.f9487a = tVar;
        }

        @Override // com.google.common.cache.e.m
        public void a(e eVar, String str, String str2) {
            boolean z7 = true;
            Preconditions.checkArgument(str2 == null, "key %s does not take values", str);
            n.t tVar = eVar.f9476e;
            if (tVar != null) {
                z7 = false;
            }
            Preconditions.checkArgument(z7, "%s was already set to %s", str, tVar);
            eVar.f9476e = this.f9487a;
        }
    }

    static abstract class h implements m {
        h() {
        }

        @Override // com.google.common.cache.e.m
        public void a(e eVar, String str, String str2) {
            Preconditions.checkArgument(str2 != null && !str2.isEmpty(), "value of key %s omitted", str);
            try {
                b(eVar, Long.parseLong(str2));
            } catch (NumberFormatException e7) {
                throw new IllegalArgumentException(e.d("key %s value set to %s, must be integer", new Object[]{str, str2}), e7);
            }
        }

        /* access modifiers changed from: protected */
        public abstract void b(e eVar, long j7);
    }

    static class i extends h {
        i() {
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.cache.e.h
        public void b(e eVar, long j7) {
            Long l7 = eVar.f9473b;
            boolean z7 = true;
            Preconditions.checkArgument(l7 == null, "maximum size was already set to ", l7);
            Long l8 = eVar.f9474c;
            if (l8 != null) {
                z7 = false;
            }
            Preconditions.checkArgument(z7, "maximum weight was already set to ", l8);
            eVar.f9473b = Long.valueOf(j7);
        }
    }

    static class j extends h {
        j() {
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.cache.e.h
        public void b(e eVar, long j7) {
            Long l7 = eVar.f9474c;
            boolean z7 = true;
            Preconditions.checkArgument(l7 == null, "maximum weight was already set to ", l7);
            Long l8 = eVar.f9473b;
            if (l8 != null) {
                z7 = false;
            }
            Preconditions.checkArgument(z7, "maximum size was already set to ", l8);
            eVar.f9474c = Long.valueOf(j7);
        }
    }

    static class k implements m {
        k() {
        }

        @Override // com.google.common.cache.e.m
        public void a(e eVar, String str, String str2) {
            boolean z7 = true;
            Preconditions.checkArgument(str2 == null, "recordStats does not take values");
            if (eVar.f9478g != null) {
                z7 = false;
            }
            Preconditions.checkArgument(z7, "recordStats already set");
            eVar.f9478g = Boolean.TRUE;
        }
    }

    static class l extends d {
        l() {
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.cache.e.d
        public void b(e eVar, long j7, TimeUnit timeUnit) {
            Preconditions.checkArgument(eVar.f9484m == null, "refreshAfterWrite already set");
            eVar.f9483l = j7;
            eVar.f9484m = timeUnit;
        }
    }

    /* access modifiers changed from: private */
    public interface m {
        void a(e eVar, String str, String str2);
    }

    static class n implements m {

        /* renamed from: a  reason: collision with root package name */
        private final n.t f9488a;

        public n(n.t tVar) {
            this.f9488a = tVar;
        }

        @Override // com.google.common.cache.e.m
        public void a(e eVar, String str, String str2) {
            boolean z7 = true;
            Preconditions.checkArgument(str2 == null, "key %s does not take values", str);
            n.t tVar = eVar.f9477f;
            if (tVar != null) {
                z7 = false;
            }
            Preconditions.checkArgument(z7, "%s was already set to %s", str, tVar);
            eVar.f9477f = this.f9488a;
        }
    }

    static class o extends d {
        o() {
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.cache.e.d
        public void b(e eVar, long j7, TimeUnit timeUnit) {
            Preconditions.checkArgument(eVar.f9480i == null, "expireAfterWrite already set");
            eVar.f9479h = j7;
            eVar.f9480i = timeUnit;
        }
    }

    static {
        h6.b f7 = h6.b().f("initialCapacity", new C0107e()).f("maximumSize", new i()).f("maximumWeight", new j()).f("concurrencyLevel", new c());
        n.t tVar = n.t.WEAK;
        f9471q = f7.f("weakKeys", new g(tVar)).f("softValues", new n(n.t.SOFT)).f("weakValues", new n(tVar)).f("recordStats", new k()).f("expireAfterAccess", new b()).f("expireAfterWrite", new o()).f("refreshAfterWrite", new l()).f("refreshInterval", new l()).a();
    }

    private e(String str) {
        this.f9485n = str;
    }

    public static e b() {
        return e("maximumSize=0");
    }

    private static Long c(long j7, TimeUnit timeUnit) {
        if (timeUnit == null) {
            return null;
        }
        return Long.valueOf(timeUnit.toNanos(j7));
    }

    /* access modifiers changed from: private */
    public static String d(String str, Object... objArr) {
        return String.format(Locale.ROOT, str, objArr);
    }

    public static e e(String str) {
        e eVar = new e(str);
        if (!str.isEmpty()) {
            for (String str2 : f9469o.split(str)) {
                t5 x7 = t5.x(f9470p.split(str2));
                Preconditions.checkArgument(!x7.isEmpty(), "blank key-value pair");
                boolean z7 = false;
                Preconditions.checkArgument(x7.size() <= 2, "key-value pair %s with more than one equals sign", str2);
                String str3 = (String) x7.get(0);
                m mVar = f9471q.get(str3);
                if (mVar != null) {
                    z7 = true;
                }
                Preconditions.checkArgument(z7, "unknown key %s", str3);
                mVar.a(eVar, str3, x7.size() == 1 ? null : (String) x7.get(1));
            }
        }
        return eVar;
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof e)) {
            return false;
        }
        e eVar = (e) obj;
        return Objects.equal(this.f9472a, eVar.f9472a) && Objects.equal(this.f9473b, eVar.f9473b) && Objects.equal(this.f9474c, eVar.f9474c) && Objects.equal(this.f9475d, eVar.f9475d) && Objects.equal(this.f9476e, eVar.f9476e) && Objects.equal(this.f9477f, eVar.f9477f) && Objects.equal(this.f9478g, eVar.f9478g) && Objects.equal(c(this.f9479h, this.f9480i), c(eVar.f9479h, eVar.f9480i)) && Objects.equal(c(this.f9481j, this.f9482k), c(eVar.f9481j, eVar.f9482k)) && Objects.equal(c(this.f9483l, this.f9484m), c(eVar.f9483l, eVar.f9484m));
    }

    /* access modifiers changed from: package-private */
    public d<Object, Object> f() {
        d<Object, Object> F = d.F();
        Integer num = this.f9472a;
        if (num != null) {
            F.z(num.intValue());
        }
        Long l7 = this.f9473b;
        if (l7 != null) {
            F.D(l7.longValue());
        }
        Long l8 = this.f9474c;
        if (l8 != null) {
            F.E(l8.longValue());
        }
        Integer num2 = this.f9475d;
        if (num2 != null) {
            F.e(num2.intValue());
        }
        n.t tVar = this.f9476e;
        if (tVar != null) {
            if (a.f9486a[tVar.ordinal()] == 1) {
                F.P();
            } else {
                throw new AssertionError();
            }
        }
        n.t tVar2 = this.f9477f;
        if (tVar2 != null) {
            int i7 = a.f9486a[tVar2.ordinal()];
            if (i7 == 1) {
                F.Q();
            } else if (i7 == 2) {
                F.M();
            } else {
                throw new AssertionError();
            }
        }
        Boolean bool = this.f9478g;
        if (bool != null && bool.booleanValue()) {
            F.G();
        }
        TimeUnit timeUnit = this.f9480i;
        if (timeUnit != null) {
            F.h(this.f9479h, timeUnit);
        }
        TimeUnit timeUnit2 = this.f9482k;
        if (timeUnit2 != null) {
            F.f(this.f9481j, timeUnit2);
        }
        TimeUnit timeUnit3 = this.f9484m;
        if (timeUnit3 != null) {
            F.H(this.f9483l, timeUnit3);
        }
        return F;
    }

    public String g() {
        return this.f9485n;
    }

    public int hashCode() {
        return Objects.hashCode(this.f9472a, this.f9473b, this.f9474c, this.f9475d, this.f9476e, this.f9477f, this.f9478g, c(this.f9479h, this.f9480i), c(this.f9481j, this.f9482k), c(this.f9483l, this.f9484m));
    }

    public String toString() {
        return MoreObjects.toStringHelper(this).addValue(g()).toString();
    }
}
