package com.google.common.cache;

import com.google.common.base.Equivalence;
import com.google.common.base.Function;
import com.google.common.base.Preconditions;
import com.google.common.base.Stopwatch;
import com.google.common.base.Ticker;
import com.google.common.cache.a;
import com.google.common.cache.d;
import com.google.common.cache.f;
import com.google.common.collect.e7;
import com.google.common.collect.h6;
import com.google.common.collect.jc;
import com.google.common.collect.v9;
import com.google.common.collect.w8;
import com.google.common.util.concurrent.c2;
import com.google.common.util.concurrent.d1;
import com.google.common.util.concurrent.e2;
import com.google.common.util.concurrent.k1;
import com.google.common.util.concurrent.s1;
import com.google.common.util.concurrent.v0;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.Serializable;
import java.lang.ref.Reference;
import java.lang.ref.ReferenceQueue;
import java.lang.ref.SoftReference;
import java.lang.ref.WeakReference;
import java.util.AbstractCollection;
import java.util.AbstractMap;
import java.util.AbstractQueue;
import java.util.AbstractSet;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.LinkedHashSet;
import java.util.Map;
import java.util.NoSuchElementException;
import java.util.Queue;
import java.util.Set;
import java.util.concurrent.Callable;
import java.util.concurrent.ConcurrentLinkedQueue;
import java.util.concurrent.ConcurrentMap;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicReferenceArray;
import java.util.concurrent.locks.ReentrantLock;
import java.util.function.BiFunction;
import java.util.function.BiPredicate;
import java.util.function.Predicate;
import java.util.logging.Level;
import java.util.logging.Logger;

/* access modifiers changed from: package-private */
@m0.b(emulated = true)
public class n<K, V> extends AbstractMap<K, V> implements ConcurrentMap<K, V> {

    /* renamed from: j6  reason: collision with root package name */
    static final int f9511j6 = 1073741824;

    /* renamed from: k6  reason: collision with root package name */
    static final int f9512k6 = 65536;

    /* renamed from: l6  reason: collision with root package name */
    static final int f9513l6 = 3;

    /* renamed from: m6  reason: collision with root package name */
    static final int f9514m6 = 63;

    /* renamed from: n6  reason: collision with root package name */
    static final int f9515n6 = 16;

    /* renamed from: o6  reason: collision with root package name */
    static final Logger f9516o6 = Logger.getLogger(n.class.getName());

    /* renamed from: p6  reason: collision with root package name */
    static final a0<Object, Object> f9517p6 = new a();

    /* renamed from: q6  reason: collision with root package name */
    static final Queue<?> f9518q6 = new b();
    final Equivalence<Object> C1;
    final t C2;
    final t U5;
    final long V5;
    final z<K, V> W5;
    final long X5;
    final long Y5;
    final long Z5;

    /* renamed from: a6  reason: collision with root package name */
    final Queue<x<K, V>> f9519a6;

    /* renamed from: b6  reason: collision with root package name */
    final v<K, V> f9520b6;

    /* renamed from: c6  reason: collision with root package name */
    final Ticker f9521c6;

    /* renamed from: d6  reason: collision with root package name */
    final f f9522d6;

    /* renamed from: e6  reason: collision with root package name */
    final a.b f9523e6;

    /* renamed from: f  reason: collision with root package name */
    final int f9524f;

    /* renamed from: f6  reason: collision with root package name */
    final f<? super K, V> f9525f6;

    /* renamed from: g  reason: collision with root package name */
    final int f9526g;

    /* renamed from: g6  reason: collision with root package name */
    Set<K> f9527g6;

    /* renamed from: h6  reason: collision with root package name */
    Collection<V> f9528h6;

    /* renamed from: i6  reason: collision with root package name */
    Set<Map.Entry<K, V>> f9529i6;

    /* renamed from: p  reason: collision with root package name */
    final r<K, V>[] f9530p;

    /* renamed from: x  reason: collision with root package name */
    final int f9531x;

    /* renamed from: y  reason: collision with root package name */
    final Equivalence<Object> f9532y;

    static class a implements a0<Object, Object> {
        a() {
        }

        @Override // com.google.common.cache.n.a0
        public t<Object, Object> a() {
            return null;
        }

        @Override // com.google.common.cache.n.a0
        public void b(Object obj) {
        }

        @Override // com.google.common.cache.n.a0
        public int c() {
            return 0;
        }

        @Override // com.google.common.cache.n.a0
        public boolean d() {
            return false;
        }

        @Override // com.google.common.cache.n.a0
        public Object e() {
            return null;
        }

        @Override // com.google.common.cache.n.a0
        public a0<Object, Object> f(ReferenceQueue<Object> referenceQueue, Object obj, t<Object, Object> tVar) {
            return this;
        }

        @Override // com.google.common.cache.n.a0
        public boolean g() {
            return false;
        }

        @Override // com.google.common.cache.n.a0
        public Object get() {
            return null;
        }
    }

    /* access modifiers changed from: package-private */
    public interface a0<K, V> {
        t<K, V> a();

        void b(V v7);

        int c();

        boolean d();

        V e() throws ExecutionException;

        a0<K, V> f(ReferenceQueue<V> referenceQueue, V v7, t<K, V> tVar);

        boolean g();

        V get();
    }

    static class b extends AbstractQueue<Object> {
        b() {
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.lang.Iterable
        public Iterator<Object> iterator() {
            return e7.Y().iterator();
        }

        @Override // java.util.Queue
        public boolean offer(Object obj) {
            return true;
        }

        @Override // java.util.Queue
        public Object peek() {
            return null;
        }

        @Override // java.util.Queue
        public Object poll() {
            return null;
        }

        public int size() {
            return 0;
        }
    }

    final class b0 extends AbstractCollection<V> {

        /* renamed from: f  reason: collision with root package name */
        private final ConcurrentMap<?, ?> f9533f;

        b0(ConcurrentMap<?, ?> concurrentMap) {
            this.f9533f = concurrentMap;
        }

        public void clear() {
            this.f9533f.clear();
        }

        public boolean contains(Object obj) {
            return this.f9533f.containsValue(obj);
        }

        public boolean isEmpty() {
            return this.f9533f.isEmpty();
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.lang.Iterable
        public Iterator<V> iterator() {
            return new z();
        }

        @Override // java.util.Collection
        public boolean removeIf(Predicate<? super V> predicate) {
            Preconditions.checkNotNull(predicate);
            return n.this.X(new p(predicate));
        }

        public int size() {
            return this.f9533f.size();
        }

        public Object[] toArray() {
            return n.a0(this).toArray();
        }

        @Override // java.util.AbstractCollection, java.util.Collection
        public <E> E[] toArray(E[] eArr) {
            return (E[]) n.a0(this).toArray(eArr);
        }
    }

    abstract class c<T> extends AbstractSet<T> {
        @e1.i

        /* renamed from: f  reason: collision with root package name */
        final ConcurrentMap<?, ?> f9535f;

        c(ConcurrentMap<?, ?> concurrentMap) {
            this.f9535f = concurrentMap;
        }

        public void clear() {
            this.f9535f.clear();
        }

        public boolean isEmpty() {
            return this.f9535f.isEmpty();
        }

        public int size() {
            return this.f9535f.size();
        }

        public Object[] toArray() {
            return n.a0(this).toArray();
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
        public <E> E[] toArray(E[] eArr) {
            return (E[]) n.a0(this).toArray(eArr);
        }
    }

    static final class c0<K, V> extends e0<K, V> {
        t<K, V> C1 = n.L();

        /* renamed from: x  reason: collision with root package name */
        volatile long f9537x = Long.MAX_VALUE;

        /* renamed from: y  reason: collision with root package name */
        t<K, V> f9538y = n.L();

        c0(ReferenceQueue<K> referenceQueue, K k7, int i7, t<K, V> tVar) {
            super(referenceQueue, k7, i7, tVar);
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.e0
        public void A(t<K, V> tVar) {
            this.C1 = tVar;
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.e0
        public t<K, V> k() {
            return this.C1;
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.e0
        public void q(long j7) {
            this.f9537x = j7;
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.e0
        public long s() {
            return this.f9537x;
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.e0
        public t<K, V> v() {
            return this.f9538y;
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.e0
        public void w(t<K, V> tVar) {
            this.f9538y = tVar;
        }
    }

    static abstract class d<K, V> implements t<K, V> {
        d() {
        }

        @Override // com.google.common.cache.t
        public void A(t<K, V> tVar) {
            throw new UnsupportedOperationException();
        }

        @Override // com.google.common.cache.t
        public t<K, V> B() {
            throw new UnsupportedOperationException();
        }

        @Override // com.google.common.cache.t
        public K getKey() {
            throw new UnsupportedOperationException();
        }

        @Override // com.google.common.cache.t
        public int h() {
            throw new UnsupportedOperationException();
        }

        @Override // com.google.common.cache.t
        public t<K, V> i() {
            throw new UnsupportedOperationException();
        }

        @Override // com.google.common.cache.t
        public a0<K, V> j() {
            throw new UnsupportedOperationException();
        }

        @Override // com.google.common.cache.t
        public t<K, V> k() {
            throw new UnsupportedOperationException();
        }

        @Override // com.google.common.cache.t
        public void m(a0<K, V> a0Var) {
            throw new UnsupportedOperationException();
        }

        @Override // com.google.common.cache.t
        public long p() {
            throw new UnsupportedOperationException();
        }

        @Override // com.google.common.cache.t
        public void q(long j7) {
            throw new UnsupportedOperationException();
        }

        @Override // com.google.common.cache.t
        public t<K, V> r() {
            throw new UnsupportedOperationException();
        }

        @Override // com.google.common.cache.t
        public long s() {
            throw new UnsupportedOperationException();
        }

        @Override // com.google.common.cache.t
        public void u(long j7) {
            throw new UnsupportedOperationException();
        }

        @Override // com.google.common.cache.t
        public t<K, V> v() {
            throw new UnsupportedOperationException();
        }

        @Override // com.google.common.cache.t
        public void w(t<K, V> tVar) {
            throw new UnsupportedOperationException();
        }

        @Override // com.google.common.cache.t
        public void y(t<K, V> tVar) {
            throw new UnsupportedOperationException();
        }

        @Override // com.google.common.cache.t
        public void z(t<K, V> tVar) {
            throw new UnsupportedOperationException();
        }
    }

    static final class d0<K, V> extends e0<K, V> {
        t<K, V> C1 = n.L();
        volatile long C2 = Long.MAX_VALUE;
        t<K, V> U5 = n.L();
        t<K, V> V5 = n.L();

        /* renamed from: x  reason: collision with root package name */
        volatile long f9539x = Long.MAX_VALUE;

        /* renamed from: y  reason: collision with root package name */
        t<K, V> f9540y = n.L();

        d0(ReferenceQueue<K> referenceQueue, K k7, int i7, t<K, V> tVar) {
            super(referenceQueue, k7, i7, tVar);
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.e0
        public void A(t<K, V> tVar) {
            this.C1 = tVar;
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.e0
        public t<K, V> B() {
            return this.V5;
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.e0
        public t<K, V> k() {
            return this.C1;
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.e0
        public long p() {
            return this.C2;
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.e0
        public void q(long j7) {
            this.f9539x = j7;
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.e0
        public t<K, V> r() {
            return this.U5;
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.e0
        public long s() {
            return this.f9539x;
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.e0
        public void u(long j7) {
            this.C2 = j7;
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.e0
        public t<K, V> v() {
            return this.f9540y;
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.e0
        public void w(t<K, V> tVar) {
            this.f9540y = tVar;
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.e0
        public void y(t<K, V> tVar) {
            this.U5 = tVar;
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.e0
        public void z(t<K, V> tVar) {
            this.V5 = tVar;
        }
    }

    /* access modifiers changed from: package-private */
    public static final class e<K, V> extends AbstractQueue<t<K, V>> {

        /* renamed from: f  reason: collision with root package name */
        final t<K, V> f9541f = new a();

        class a extends d<K, V> {

            /* renamed from: f  reason: collision with root package name */
            t<K, V> f9542f = this;

            /* renamed from: g  reason: collision with root package name */
            t<K, V> f9543g = this;

            a() {
            }

            @Override // com.google.common.cache.t, com.google.common.cache.n.d
            public void A(t<K, V> tVar) {
                this.f9543g = tVar;
            }

            @Override // com.google.common.cache.t, com.google.common.cache.n.d
            public t<K, V> k() {
                return this.f9543g;
            }

            @Override // com.google.common.cache.t, com.google.common.cache.n.d
            public void q(long j7) {
            }

            @Override // com.google.common.cache.t, com.google.common.cache.n.d
            public long s() {
                return Long.MAX_VALUE;
            }

            @Override // com.google.common.cache.t, com.google.common.cache.n.d
            public t<K, V> v() {
                return this.f9542f;
            }

            @Override // com.google.common.cache.t, com.google.common.cache.n.d
            public void w(t<K, V> tVar) {
                this.f9542f = tVar;
            }
        }

        class b extends com.google.common.collect.s<t<K, V>> {
            b(t tVar) {
                super(tVar);
            }

            /* access modifiers changed from: protected */
            /* renamed from: b */
            public t<K, V> a(t<K, V> tVar) {
                t<K, V> v7 = tVar.v();
                if (v7 == e.this.f9541f) {
                    return null;
                }
                return v7;
            }
        }

        e() {
        }

        /* renamed from: b */
        public boolean offer(t<K, V> tVar) {
            n.f(tVar.k(), tVar.v());
            n.f(this.f9541f.k(), tVar);
            n.f(tVar, this.f9541f);
            return true;
        }

        /* renamed from: c */
        public t<K, V> peek() {
            t<K, V> v7 = this.f9541f.v();
            if (v7 == this.f9541f) {
                return null;
            }
            return v7;
        }

        public void clear() {
            t<K, V> v7 = this.f9541f.v();
            while (true) {
                t<K, V> tVar = this.f9541f;
                if (v7 != tVar) {
                    t<K, V> v8 = v7.v();
                    n.M(v7);
                    v7 = v8;
                } else {
                    tVar.w(tVar);
                    t<K, V> tVar2 = this.f9541f;
                    tVar2.A(tVar2);
                    return;
                }
            }
        }

        public boolean contains(Object obj) {
            return ((t) obj).v() != q.INSTANCE;
        }

        /* renamed from: e */
        public t<K, V> poll() {
            t<K, V> v7 = this.f9541f.v();
            if (v7 == this.f9541f) {
                return null;
            }
            remove(v7);
            return v7;
        }

        public boolean isEmpty() {
            return this.f9541f.v() == this.f9541f;
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.lang.Iterable
        public Iterator<t<K, V>> iterator() {
            return new b(peek());
        }

        public boolean remove(Object obj) {
            t tVar = (t) obj;
            t<K, V> k7 = tVar.k();
            t<K, V> v7 = tVar.v();
            n.f(k7, v7);
            n.M(tVar);
            return v7 != q.INSTANCE;
        }

        public int size() {
            int i7 = 0;
            for (t<K, V> v7 = this.f9541f.v(); v7 != this.f9541f; v7 = v7.v()) {
                i7++;
            }
            return i7;
        }
    }

    static class e0<K, V> extends WeakReference<K> implements t<K, V> {

        /* renamed from: f  reason: collision with root package name */
        final int f9546f;

        /* renamed from: g  reason: collision with root package name */
        final t<K, V> f9547g;

        /* renamed from: p  reason: collision with root package name */
        volatile a0<K, V> f9548p = n.b0();

        e0(ReferenceQueue<K> referenceQueue, K k7, int i7, t<K, V> tVar) {
            super(k7, referenceQueue);
            this.f9546f = i7;
            this.f9547g = tVar;
        }

        @Override // com.google.common.cache.t
        public void A(t<K, V> tVar) {
            throw new UnsupportedOperationException();
        }

        @Override // com.google.common.cache.t
        public t<K, V> B() {
            throw new UnsupportedOperationException();
        }

        @Override // com.google.common.cache.t
        public K getKey() {
            return (K) get();
        }

        @Override // com.google.common.cache.t
        public int h() {
            return this.f9546f;
        }

        @Override // com.google.common.cache.t
        public t<K, V> i() {
            return this.f9547g;
        }

        @Override // com.google.common.cache.t
        public a0<K, V> j() {
            return this.f9548p;
        }

        @Override // com.google.common.cache.t
        public t<K, V> k() {
            throw new UnsupportedOperationException();
        }

        @Override // com.google.common.cache.t
        public void m(a0<K, V> a0Var) {
            this.f9548p = a0Var;
        }

        @Override // com.google.common.cache.t
        public long p() {
            throw new UnsupportedOperationException();
        }

        @Override // com.google.common.cache.t
        public void q(long j7) {
            throw new UnsupportedOperationException();
        }

        @Override // com.google.common.cache.t
        public t<K, V> r() {
            throw new UnsupportedOperationException();
        }

        @Override // com.google.common.cache.t
        public long s() {
            throw new UnsupportedOperationException();
        }

        @Override // com.google.common.cache.t
        public void u(long j7) {
            throw new UnsupportedOperationException();
        }

        @Override // com.google.common.cache.t
        public t<K, V> v() {
            throw new UnsupportedOperationException();
        }

        @Override // com.google.common.cache.t
        public void w(t<K, V> tVar) {
            throw new UnsupportedOperationException();
        }

        @Override // com.google.common.cache.t
        public void y(t<K, V> tVar) {
            throw new UnsupportedOperationException();
        }

        @Override // com.google.common.cache.t
        public void z(t<K, V> tVar) {
            throw new UnsupportedOperationException();
        }
    }

    /* access modifiers changed from: package-private */
    public enum f {
        STRONG {
            /* access modifiers changed from: package-private */
            @Override // com.google.common.cache.n.f
            public <K, V> t<K, V> e(r<K, V> rVar, K k7, int i7, t<K, V> tVar) {
                return new w(k7, i7, tVar);
            }
        },
        STRONG_ACCESS {
            /* access modifiers changed from: package-private */
            @Override // com.google.common.cache.n.f
            public <K, V> t<K, V> b(r<K, V> rVar, t<K, V> tVar, t<K, V> tVar2) {
                t<K, V> b7 = super.b(rVar, tVar, tVar2);
                a(tVar, b7);
                return b7;
            }

            /* access modifiers changed from: package-private */
            @Override // com.google.common.cache.n.f
            public <K, V> t<K, V> e(r<K, V> rVar, K k7, int i7, t<K, V> tVar) {
                return new u(k7, i7, tVar);
            }
        },
        STRONG_WRITE {
            /* access modifiers changed from: package-private */
            @Override // com.google.common.cache.n.f
            public <K, V> t<K, V> b(r<K, V> rVar, t<K, V> tVar, t<K, V> tVar2) {
                t<K, V> b7 = super.b(rVar, tVar, tVar2);
                c(tVar, b7);
                return b7;
            }

            /* access modifiers changed from: package-private */
            @Override // com.google.common.cache.n.f
            public <K, V> t<K, V> e(r<K, V> rVar, K k7, int i7, t<K, V> tVar) {
                return new y(k7, i7, tVar);
            }
        },
        STRONG_ACCESS_WRITE {
            /* access modifiers changed from: package-private */
            @Override // com.google.common.cache.n.f
            public <K, V> t<K, V> b(r<K, V> rVar, t<K, V> tVar, t<K, V> tVar2) {
                t<K, V> b7 = super.b(rVar, tVar, tVar2);
                a(tVar, b7);
                c(tVar, b7);
                return b7;
            }

            /* access modifiers changed from: package-private */
            @Override // com.google.common.cache.n.f
            public <K, V> t<K, V> e(r<K, V> rVar, K k7, int i7, t<K, V> tVar) {
                return new v(k7, i7, tVar);
            }
        },
        WEAK {
            /* access modifiers changed from: package-private */
            @Override // com.google.common.cache.n.f
            public <K, V> t<K, V> e(r<K, V> rVar, K k7, int i7, t<K, V> tVar) {
                return new e0(rVar.U5, k7, i7, tVar);
            }
        },
        WEAK_ACCESS {
            /* access modifiers changed from: package-private */
            @Override // com.google.common.cache.n.f
            public <K, V> t<K, V> b(r<K, V> rVar, t<K, V> tVar, t<K, V> tVar2) {
                t<K, V> b7 = super.b(rVar, tVar, tVar2);
                a(tVar, b7);
                return b7;
            }

            /* access modifiers changed from: package-private */
            @Override // com.google.common.cache.n.f
            public <K, V> t<K, V> e(r<K, V> rVar, K k7, int i7, t<K, V> tVar) {
                return new c0(rVar.U5, k7, i7, tVar);
            }
        },
        WEAK_WRITE {
            /* access modifiers changed from: package-private */
            @Override // com.google.common.cache.n.f
            public <K, V> t<K, V> b(r<K, V> rVar, t<K, V> tVar, t<K, V> tVar2) {
                t<K, V> b7 = super.b(rVar, tVar, tVar2);
                c(tVar, b7);
                return b7;
            }

            /* access modifiers changed from: package-private */
            @Override // com.google.common.cache.n.f
            public <K, V> t<K, V> e(r<K, V> rVar, K k7, int i7, t<K, V> tVar) {
                return new g0(rVar.U5, k7, i7, tVar);
            }
        },
        WEAK_ACCESS_WRITE {
            /* access modifiers changed from: package-private */
            @Override // com.google.common.cache.n.f
            public <K, V> t<K, V> b(r<K, V> rVar, t<K, V> tVar, t<K, V> tVar2) {
                t<K, V> b7 = super.b(rVar, tVar, tVar2);
                a(tVar, b7);
                c(tVar, b7);
                return b7;
            }

            /* access modifiers changed from: package-private */
            @Override // com.google.common.cache.n.f
            public <K, V> t<K, V> e(r<K, V> rVar, K k7, int i7, t<K, V> tVar) {
                return new d0(rVar.U5, k7, i7, tVar);
            }
        };
        
        static final int V5 = 1;
        static final int W5 = 2;
        static final int X5 = 4;
        static final f[] Y5;

        static {
            a aVar;
            b bVar;
            c cVar;
            d dVar;
            e eVar;
            C0109f fVar;
            g gVar;
            h hVar;
            Y5 = new f[]{aVar, bVar, cVar, dVar, eVar, fVar, gVar, hVar};
        }

        /* JADX DEBUG: Multi-variable search result rejected for r2v2, resolved type: boolean */
        /* JADX WARN: Multi-variable type inference failed */
        static f d(t tVar, boolean z7, boolean z8) {
            int i7 = 0;
            int i8 = (tVar == t.WEAK ? 4 : 0) | (z7 ? 1 : 0);
            if (z8) {
                i7 = 2;
            }
            return Y5[i8 | i7];
        }

        /* access modifiers changed from: package-private */
        public <K, V> void a(t<K, V> tVar, t<K, V> tVar2) {
            tVar2.q(tVar.s());
            n.f(tVar.k(), tVar2);
            n.f(tVar2, tVar.v());
            n.M(tVar);
        }

        /* access modifiers changed from: package-private */
        public <K, V> t<K, V> b(r<K, V> rVar, t<K, V> tVar, t<K, V> tVar2) {
            return e(rVar, tVar.getKey(), tVar.h(), tVar2);
        }

        /* access modifiers changed from: package-private */
        public <K, V> void c(t<K, V> tVar, t<K, V> tVar2) {
            tVar2.u(tVar.p());
            n.g(tVar.B(), tVar2);
            n.g(tVar2, tVar.r());
            n.N(tVar);
        }

        /* access modifiers changed from: package-private */
        public abstract <K, V> t<K, V> e(r<K, V> rVar, K k7, int i7, t<K, V> tVar);

        /* synthetic */ f(a aVar) {
            this();
        }
    }

    static class f0<K, V> extends WeakReference<V> implements a0<K, V> {

        /* renamed from: f  reason: collision with root package name */
        final t<K, V> f9554f;

        f0(ReferenceQueue<V> referenceQueue, V v7, t<K, V> tVar) {
            super(v7, referenceQueue);
            this.f9554f = tVar;
        }

        @Override // com.google.common.cache.n.a0
        public t<K, V> a() {
            return this.f9554f;
        }

        @Override // com.google.common.cache.n.a0
        public void b(V v7) {
        }

        @Override // com.google.common.cache.n.a0
        public int c() {
            return 1;
        }

        @Override // com.google.common.cache.n.a0
        public boolean d() {
            return false;
        }

        @Override // com.google.common.cache.n.a0
        public V e() {
            return (V) get();
        }

        @Override // com.google.common.cache.n.a0
        public a0<K, V> f(ReferenceQueue<V> referenceQueue, V v7, t<K, V> tVar) {
            return new f0(referenceQueue, v7, tVar);
        }

        @Override // com.google.common.cache.n.a0
        public boolean g() {
            return true;
        }
    }

    final class g extends n<K, V>.i {
        g() {
            super();
        }

        /* renamed from: f */
        public Map.Entry<K, V> next() {
            return c();
        }
    }

    static final class g0<K, V> extends e0<K, V> {
        t<K, V> C1 = n.L();

        /* renamed from: x  reason: collision with root package name */
        volatile long f9555x = Long.MAX_VALUE;

        /* renamed from: y  reason: collision with root package name */
        t<K, V> f9556y = n.L();

        g0(ReferenceQueue<K> referenceQueue, K k7, int i7, t<K, V> tVar) {
            super(referenceQueue, k7, i7, tVar);
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.e0
        public t<K, V> B() {
            return this.C1;
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.e0
        public long p() {
            return this.f9555x;
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.e0
        public t<K, V> r() {
            return this.f9556y;
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.e0
        public void u(long j7) {
            this.f9555x = j7;
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.e0
        public void y(t<K, V> tVar) {
            this.f9556y = tVar;
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.e0
        public void z(t<K, V> tVar) {
            this.C1 = tVar;
        }
    }

    final class h extends n<K, V>.c {
        h(ConcurrentMap<?, ?> concurrentMap) {
            super(concurrentMap);
        }

        /* access modifiers changed from: private */
        public static /* synthetic */ boolean c(Predicate predicate, Object obj, Object obj2) {
            return predicate.test(v9.T(obj, obj2));
        }

        public boolean contains(Object obj) {
            Map.Entry entry;
            Object key;
            Object obj2;
            return (obj instanceof Map.Entry) && (key = (entry = (Map.Entry) obj).getKey()) != null && (obj2 = n.this.get(key)) != null && n.this.C1.equivalent(entry.getValue(), obj2);
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
        public Iterator<Map.Entry<K, V>> iterator() {
            return new g();
        }

        public boolean remove(Object obj) {
            Map.Entry entry;
            Object key;
            return (obj instanceof Map.Entry) && (key = (entry = (Map.Entry) obj).getKey()) != null && n.this.remove(key, entry.getValue());
        }

        @Override // java.util.Collection
        public boolean removeIf(Predicate<? super Map.Entry<K, V>> predicate) {
            Preconditions.checkNotNull(predicate);
            return n.this.X(new o(predicate));
        }
    }

    static final class h0<K, V> extends s<K, V> {

        /* renamed from: g  reason: collision with root package name */
        final int f9558g;

        h0(ReferenceQueue<V> referenceQueue, V v7, t<K, V> tVar, int i7) {
            super(referenceQueue, v7, tVar);
            this.f9558g = i7;
        }

        @Override // com.google.common.cache.n.s, com.google.common.cache.n.a0
        public int c() {
            return this.f9558g;
        }

        @Override // com.google.common.cache.n.s, com.google.common.cache.n.a0
        public a0<K, V> f(ReferenceQueue<V> referenceQueue, V v7, t<K, V> tVar) {
            return new h0(referenceQueue, v7, tVar, this.f9558g);
        }
    }

    /* access modifiers changed from: package-private */
    public abstract class i<T> implements Iterator<T> {
        n<K, V>.l0 C1;
        n<K, V>.l0 C2;

        /* renamed from: f  reason: collision with root package name */
        int f9559f;

        /* renamed from: g  reason: collision with root package name */
        int f9560g = -1;

        /* renamed from: p  reason: collision with root package name */
        r<K, V> f9561p;

        /* renamed from: x  reason: collision with root package name */
        AtomicReferenceArray<t<K, V>> f9562x;

        /* renamed from: y  reason: collision with root package name */
        t<K, V> f9563y;

        i() {
            this.f9559f = n.this.f9530p.length - 1;
            a();
        }

        /* access modifiers changed from: package-private */
        public final void a() {
            this.C1 = null;
            if (!d() && !e()) {
                while (true) {
                    int i7 = this.f9559f;
                    if (i7 >= 0) {
                        r<K, V>[] rVarArr = n.this.f9530p;
                        this.f9559f = i7 - 1;
                        r<K, V> rVar = rVarArr[i7];
                        this.f9561p = rVar;
                        if (rVar.f9596g != 0) {
                            AtomicReferenceArray<t<K, V>> atomicReferenceArray = this.f9561p.C1;
                            this.f9562x = atomicReferenceArray;
                            this.f9560g = atomicReferenceArray.length() - 1;
                            if (e()) {
                                return;
                            }
                        }
                    } else {
                        return;
                    }
                }
            }
        }

        /* JADX INFO: finally extract failed */
        /* access modifiers changed from: package-private */
        public boolean b(t<K, V> tVar) {
            try {
                long read = n.this.f9521c6.read();
                K key = tVar.getKey();
                Object v7 = n.this.v(tVar, read);
                if (v7 != null) {
                    this.C1 = new l0(key, v7);
                    this.f9561p.I();
                    return true;
                }
                this.f9561p.I();
                return false;
            } catch (Throwable th) {
                this.f9561p.I();
                throw th;
            }
        }

        /* access modifiers changed from: package-private */
        public n<K, V>.l0 c() {
            n<K, V>.l0 l0Var = this.C1;
            if (l0Var != null) {
                this.C2 = l0Var;
                a();
                return this.C2;
            }
            throw new NoSuchElementException();
        }

        /* access modifiers changed from: package-private */
        public boolean d() {
            t<K, V> tVar = this.f9563y;
            if (tVar == null) {
                return false;
            }
            while (true) {
                this.f9563y = tVar.i();
                t<K, V> tVar2 = this.f9563y;
                if (tVar2 == null) {
                    return false;
                }
                if (b(tVar2)) {
                    return true;
                }
                tVar = this.f9563y;
            }
        }

        /* access modifiers changed from: package-private */
        public boolean e() {
            while (true) {
                int i7 = this.f9560g;
                if (i7 < 0) {
                    return false;
                }
                AtomicReferenceArray<t<K, V>> atomicReferenceArray = this.f9562x;
                this.f9560g = i7 - 1;
                t<K, V> tVar = atomicReferenceArray.get(i7);
                this.f9563y = tVar;
                if (tVar != null && (b(tVar) || d())) {
                    return true;
                }
            }
        }

        public boolean hasNext() {
            return this.C1 != null;
        }

        @Override // java.util.Iterator
        public abstract T next();

        public void remove() {
            Preconditions.checkState(this.C2 != null);
            n.this.remove(this.C2.getKey());
            this.C2 = null;
        }
    }

    static final class i0<K, V> extends x<K, V> {

        /* renamed from: g  reason: collision with root package name */
        final int f9564g;

        i0(V v7, int i7) {
            super(v7);
            this.f9564g = i7;
        }

        @Override // com.google.common.cache.n.a0, com.google.common.cache.n.x
        public int c() {
            return this.f9564g;
        }
    }

    final class j extends n<K, V>.i {
        j() {
            super();
        }

        @Override // java.util.Iterator, com.google.common.cache.n.i
        public K next() {
            return (K) c().getKey();
        }
    }

    static final class j0<K, V> extends f0<K, V> {

        /* renamed from: g  reason: collision with root package name */
        final int f9565g;

        j0(ReferenceQueue<V> referenceQueue, V v7, t<K, V> tVar, int i7) {
            super(referenceQueue, v7, tVar);
            this.f9565g = i7;
        }

        @Override // com.google.common.cache.n.a0, com.google.common.cache.n.f0
        public int c() {
            return this.f9565g;
        }

        @Override // com.google.common.cache.n.a0, com.google.common.cache.n.f0
        public a0<K, V> f(ReferenceQueue<V> referenceQueue, V v7, t<K, V> tVar) {
            return new j0(referenceQueue, v7, tVar, this.f9565g);
        }
    }

    /* access modifiers changed from: package-private */
    public final class k extends n<K, V>.c {
        k(ConcurrentMap<?, ?> concurrentMap) {
            super(concurrentMap);
        }

        public boolean contains(Object obj) {
            return this.f9535f.containsKey(obj);
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
        public Iterator<K> iterator() {
            return new j();
        }

        public boolean remove(Object obj) {
            return this.f9535f.remove(obj) != null;
        }
    }

    /* access modifiers changed from: package-private */
    public static final class k0<K, V> extends AbstractQueue<t<K, V>> {

        /* renamed from: f  reason: collision with root package name */
        final t<K, V> f9567f = new a();

        class a extends d<K, V> {

            /* renamed from: f  reason: collision with root package name */
            t<K, V> f9568f = this;

            /* renamed from: g  reason: collision with root package name */
            t<K, V> f9569g = this;

            a() {
            }

            @Override // com.google.common.cache.t, com.google.common.cache.n.d
            public t<K, V> B() {
                return this.f9569g;
            }

            @Override // com.google.common.cache.t, com.google.common.cache.n.d
            public long p() {
                return Long.MAX_VALUE;
            }

            @Override // com.google.common.cache.t, com.google.common.cache.n.d
            public t<K, V> r() {
                return this.f9568f;
            }

            @Override // com.google.common.cache.t, com.google.common.cache.n.d
            public void u(long j7) {
            }

            @Override // com.google.common.cache.t, com.google.common.cache.n.d
            public void y(t<K, V> tVar) {
                this.f9568f = tVar;
            }

            @Override // com.google.common.cache.t, com.google.common.cache.n.d
            public void z(t<K, V> tVar) {
                this.f9569g = tVar;
            }
        }

        class b extends com.google.common.collect.s<t<K, V>> {
            b(t tVar) {
                super(tVar);
            }

            /* access modifiers changed from: protected */
            /* renamed from: b */
            public t<K, V> a(t<K, V> tVar) {
                t<K, V> r7 = tVar.r();
                if (r7 == k0.this.f9567f) {
                    return null;
                }
                return r7;
            }
        }

        k0() {
        }

        /* renamed from: b */
        public boolean offer(t<K, V> tVar) {
            n.g(tVar.B(), tVar.r());
            n.g(this.f9567f.B(), tVar);
            n.g(tVar, this.f9567f);
            return true;
        }

        /* renamed from: c */
        public t<K, V> peek() {
            t<K, V> r7 = this.f9567f.r();
            if (r7 == this.f9567f) {
                return null;
            }
            return r7;
        }

        public void clear() {
            t<K, V> r7 = this.f9567f.r();
            while (true) {
                t<K, V> tVar = this.f9567f;
                if (r7 != tVar) {
                    t<K, V> r8 = r7.r();
                    n.N(r7);
                    r7 = r8;
                } else {
                    tVar.y(tVar);
                    t<K, V> tVar2 = this.f9567f;
                    tVar2.z(tVar2);
                    return;
                }
            }
        }

        public boolean contains(Object obj) {
            return ((t) obj).r() != q.INSTANCE;
        }

        /* renamed from: e */
        public t<K, V> poll() {
            t<K, V> r7 = this.f9567f.r();
            if (r7 == this.f9567f) {
                return null;
            }
            remove(r7);
            return r7;
        }

        public boolean isEmpty() {
            return this.f9567f.r() == this.f9567f;
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.lang.Iterable
        public Iterator<t<K, V>> iterator() {
            return new b(peek());
        }

        public boolean remove(Object obj) {
            t tVar = (t) obj;
            t<K, V> B = tVar.B();
            t<K, V> r7 = tVar.r();
            n.g(B, r7);
            n.N(tVar);
            return r7 != q.INSTANCE;
        }

        public int size() {
            int i7 = 0;
            for (t<K, V> r7 = this.f9567f.r(); r7 != this.f9567f; r7 = r7.r()) {
                i7++;
            }
            return i7;
        }
    }

    static final class l<K, V> extends p<K, V> implements j<K, V>, Serializable {

        /* renamed from: c6  reason: collision with root package name */
        private static final long f9572c6 = 1;

        /* renamed from: b6  reason: collision with root package name */
        transient j<K, V> f9573b6;

        l(n<K, V> nVar) {
            super(nVar);
        }

        /* JADX DEBUG: Type inference failed for r0v0. Raw type applied. Possible types: com.google.common.cache.f<? super K, V>, com.google.common.cache.f<? super K1 extends K, V1 extends V> */
        /* JADX DEBUG: Type inference failed for r2v2. Raw type applied. Possible types: com.google.common.cache.j<K1 extends K, V1 extends V>, com.google.common.cache.j<K, V> */
        private void F1(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException {
            objectInputStream.defaultReadObject();
            this.f9573b6 = (j<K1, V1>) H1().b((f<? super K, V>) this.Y5);
        }

        private Object G1() {
            return this.f9573b6;
        }

        @Override // com.google.common.cache.j
        public h6<K, V> Q0(Iterable<? extends K> iterable) throws ExecutionException {
            return this.f9573b6.Q0(iterable);
        }

        @Override // com.google.common.cache.j
        public V X(K k7) {
            return this.f9573b6.X(k7);
        }

        @Override // com.google.common.base.Function, java.util.function.Function, com.google.common.cache.j
        public final V apply(K k7) {
            return this.f9573b6.apply(k7);
        }

        @Override // com.google.common.cache.j
        public void f1(K k7) {
            this.f9573b6.f1(k7);
        }

        @Override // com.google.common.cache.j
        public V get(K k7) throws ExecutionException {
            return this.f9573b6.get(k7);
        }
    }

    /* access modifiers changed from: package-private */
    public final class l0 implements Map.Entry<K, V> {

        /* renamed from: f  reason: collision with root package name */
        final K f9574f;

        /* renamed from: g  reason: collision with root package name */
        V f9575g;

        l0(K k7, V v7) {
            this.f9574f = k7;
            this.f9575g = v7;
        }

        public boolean equals(Object obj) {
            if (!(obj instanceof Map.Entry)) {
                return false;
            }
            Map.Entry entry = (Map.Entry) obj;
            return this.f9574f.equals(entry.getKey()) && this.f9575g.equals(entry.getValue());
        }

        @Override // java.util.Map.Entry
        public K getKey() {
            return this.f9574f;
        }

        @Override // java.util.Map.Entry
        public V getValue() {
            return this.f9575g;
        }

        public int hashCode() {
            return this.f9575g.hashCode() ^ this.f9574f.hashCode();
        }

        @Override // java.util.Map.Entry
        public V setValue(V v7) {
            V v8 = (V) n.this.put(this.f9574f, v7);
            this.f9575g = v7;
            return v8;
        }

        public String toString() {
            return getKey() + "=" + getValue();
        }
    }

    /* access modifiers changed from: package-private */
    public static class m<K, V> implements a0<K, V> {

        /* renamed from: f  reason: collision with root package name */
        volatile a0<K, V> f9577f;

        /* renamed from: g  reason: collision with root package name */
        final s1<V> f9578g;

        /* renamed from: p  reason: collision with root package name */
        final Stopwatch f9579p;

        /* access modifiers changed from: package-private */
        public class a implements Function<V, V> {
            a() {
            }

            @Override // com.google.common.base.Function, java.util.function.Function
            public V apply(V v7) {
                m.this.m(v7);
                return v7;
            }
        }

        public m() {
            this(null);
        }

        private d1<V> j(Throwable th) {
            return v0.l(th);
        }

        @Override // com.google.common.cache.n.a0
        public t<K, V> a() {
            return null;
        }

        @Override // com.google.common.cache.n.a0
        public void b(V v7) {
            if (v7 != null) {
                m(v7);
            } else {
                this.f9577f = n.b0();
            }
        }

        @Override // com.google.common.cache.n.a0
        public int c() {
            return this.f9577f.c();
        }

        @Override // com.google.common.cache.n.a0
        public boolean d() {
            return true;
        }

        @Override // com.google.common.cache.n.a0
        public V e() throws ExecutionException {
            return (V) e2.f(this.f9578g);
        }

        @Override // com.google.common.cache.n.a0
        public a0<K, V> f(ReferenceQueue<V> referenceQueue, V v7, t<K, V> tVar) {
            return this;
        }

        @Override // com.google.common.cache.n.a0
        public boolean g() {
            return this.f9577f.g();
        }

        @Override // com.google.common.cache.n.a0
        public V get() {
            return this.f9577f.get();
        }

        public V h(K k7, BiFunction<? super K, ? super V, ? extends V> biFunction) {
            V v7;
            this.f9579p.start();
            try {
                v7 = this.f9577f.e();
            } catch (ExecutionException unused) {
                v7 = null;
            }
            try {
                V v8 = (V) biFunction.apply(k7, v7);
                m(v8);
                return v8;
            } catch (Throwable th) {
                n(th);
                throw th;
            }
        }

        public long i() {
            return this.f9579p.elapsed(TimeUnit.NANOSECONDS);
        }

        public a0<K, V> k() {
            return this.f9577f;
        }

        public d1<V> l(K k7, f<? super K, V> fVar) {
            try {
                this.f9579p.start();
                V v7 = this.f9577f.get();
                if (v7 == null) {
                    V d7 = fVar.d(k7);
                    return m(d7) ? this.f9578g : v0.m(d7);
                }
                d1<V> f7 = fVar.f(k7, v7);
                return f7 == null ? v0.m(null) : v0.v(f7, new a(), k1.d());
            } catch (Throwable th) {
                d1<V> j7 = n(th) ? this.f9578g : j(th);
                if (th instanceof InterruptedException) {
                    Thread.currentThread().interrupt();
                }
                return j7;
            }
        }

        public boolean m(V v7) {
            return this.f9578g.z(v7);
        }

        public boolean n(Throwable th) {
            return this.f9578g.A(th);
        }

        public m(a0<K, V> a0Var) {
            this.f9578g = s1.E();
            this.f9579p = Stopwatch.createUnstarted();
            this.f9577f = a0Var == null ? n.b0() : a0Var;
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: com.google.common.cache.n$n  reason: collision with other inner class name */
    public static class C0110n<K, V> extends o<K, V> implements j<K, V> {

        /* renamed from: p  reason: collision with root package name */
        private static final long f9581p = 1;

        C0110n(d<? super K, ? super V> dVar, f<? super K, V> fVar) {
            super(new n(dVar, (f) Preconditions.checkNotNull(fVar)), null);
        }

        @Override // com.google.common.cache.j
        public h6<K, V> Q0(Iterable<? extends K> iterable) throws ExecutionException {
            return this.f9583f.q(iterable);
        }

        @Override // com.google.common.cache.j
        public V X(K k7) {
            try {
                return get(k7);
            } catch (ExecutionException e7) {
                throw new c2(e7.getCause());
            }
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.cache.n.o
        public Object a() {
            return new l(this.f9583f);
        }

        @Override // com.google.common.base.Function, java.util.function.Function, com.google.common.cache.j
        public final V apply(K k7) {
            return X(k7);
        }

        @Override // com.google.common.cache.j
        public void f1(K k7) {
            this.f9583f.U(k7);
        }

        @Override // com.google.common.cache.j
        public V get(K k7) throws ExecutionException {
            return this.f9583f.x(k7);
        }
    }

    /* access modifiers changed from: package-private */
    public static class o<K, V> implements c<K, V>, Serializable {

        /* renamed from: g  reason: collision with root package name */
        private static final long f9582g = 1;

        /* renamed from: f  reason: collision with root package name */
        final n<K, V> f9583f;

        class a extends f<Object, V> {

            /* renamed from: f  reason: collision with root package name */
            final /* synthetic */ Callable f9584f;

            a(Callable callable) {
                this.f9584f = callable;
            }

            @Override // com.google.common.cache.f
            public V d(Object obj) throws Exception {
                return (V) this.f9584f.call();
            }
        }

        o(d<? super K, ? super V> dVar) {
            this(new n(dVar, null));
        }

        @Override // com.google.common.cache.c
        public void A1(Object obj) {
            Preconditions.checkNotNull(obj);
            this.f9583f.remove(obj);
        }

        @Override // com.google.common.cache.c
        public g B1() {
            a.C0105a aVar = new a.C0105a();
            aVar.g(this.f9583f.f9523e6);
            for (r<K, V> rVar : this.f9583f.f9530p) {
                aVar.g(rVar.f9594a6);
            }
            return aVar.f();
        }

        @Override // com.google.common.cache.c
        public void C1() {
            this.f9583f.clear();
        }

        /* access modifiers changed from: package-private */
        public Object a() {
            return new p(this.f9583f);
        }

        @Override // com.google.common.cache.c
        public ConcurrentMap<K, V> e() {
            return this.f9583f;
        }

        @Override // com.google.common.cache.c
        public V f0(Object obj) {
            return this.f9583f.t(obj);
        }

        @Override // com.google.common.cache.c
        public V l0(K k7, Callable<? extends V> callable) throws ExecutionException {
            Preconditions.checkNotNull(callable);
            return this.f9583f.p(k7, new a(callable));
        }

        @Override // com.google.common.cache.c
        public void put(K k7, V v7) {
            this.f9583f.put(k7, v7);
        }

        @Override // com.google.common.cache.c
        public void putAll(Map<? extends K, ? extends V> map) {
            this.f9583f.putAll(map);
        }

        @Override // com.google.common.cache.c
        public void q() {
            this.f9583f.e();
        }

        @Override // com.google.common.cache.c
        public void q0(Iterable<?> iterable) {
            this.f9583f.z(iterable);
        }

        @Override // com.google.common.cache.c
        public long size() {
            return this.f9583f.G();
        }

        @Override // com.google.common.cache.c
        public h6<K, V> t1(Iterable<?> iterable) {
            return this.f9583f.r(iterable);
        }

        private o(n<K, V> nVar) {
            this.f9583f = nVar;
        }

        /* synthetic */ o(n nVar, a aVar) {
            this(nVar);
        }
    }

    static class p<K, V> extends h<K, V> implements Serializable {

        /* renamed from: a6  reason: collision with root package name */
        private static final long f9586a6 = 1;
        final long C1;
        final long C2;
        final z<K, V> U5;
        final int V5;
        final v<? super K, ? super V> W5;
        final Ticker X5;
        final f<? super K, V> Y5;
        transient c<K, V> Z5;

        /* renamed from: f  reason: collision with root package name */
        final t f9587f;

        /* renamed from: g  reason: collision with root package name */
        final t f9588g;

        /* renamed from: p  reason: collision with root package name */
        final Equivalence<Object> f9589p;

        /* renamed from: x  reason: collision with root package name */
        final Equivalence<Object> f9590x;

        /* renamed from: y  reason: collision with root package name */
        final long f9591y;

        private p(t tVar, t tVar2, Equivalence<Object> equivalence, Equivalence<Object> equivalence2, long j7, long j8, long j9, z<K, V> zVar, int i7, v<? super K, ? super V> vVar, Ticker ticker, f<? super K, V> fVar) {
            this.f9587f = tVar;
            this.f9588g = tVar2;
            this.f9589p = equivalence;
            this.f9590x = equivalence2;
            this.f9591y = j7;
            this.C1 = j8;
            this.C2 = j9;
            this.U5 = zVar;
            this.V5 = i7;
            this.W5 = vVar;
            this.X5 = (ticker == Ticker.systemTicker() || ticker == d.f9446x) ? null : ticker;
            this.Y5 = fVar;
        }

        /* JADX DEBUG: Type inference failed for r1v2. Raw type applied. Possible types: com.google.common.cache.c<K1 extends K, V1 extends V>, com.google.common.cache.c<K, V> */
        private void F1(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException {
            objectInputStream.defaultReadObject();
            this.Z5 = (c<K1, V1>) H1().a();
        }

        private Object G1() {
            return this.Z5;
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.cache.h
        /* renamed from: E1 */
        public c<K, V> D1() {
            return this.Z5;
        }

        /* JADX DEBUG: Type inference failed for r1v5. Raw type applied. Possible types: com.google.common.cache.v<? super K, ? super V>, com.google.common.cache.v<? super K1 extends K, ? super V1 extends V> */
        /* access modifiers changed from: package-private */
        public d<K, V> H1() {
            d dVar = (d<K1, V1>) d.F().K(this.f9587f).L(this.f9588g).B(this.f9589p).O(this.f9590x).e(this.V5).J((v<? super K, ? super V>) this.W5);
            dVar.f9449a = false;
            long j7 = this.f9591y;
            if (j7 > 0) {
                dVar.h(j7, TimeUnit.NANOSECONDS);
            }
            long j8 = this.C1;
            if (j8 > 0) {
                dVar.f(j8, TimeUnit.NANOSECONDS);
            }
            z<K, V> zVar = this.U5;
            if (zVar != d.e.INSTANCE) {
                dVar.R(zVar);
                long j9 = this.C2;
                if (j9 != -1) {
                    dVar.E(j9);
                }
            } else {
                long j10 = this.C2;
                if (j10 != -1) {
                    dVar.D(j10);
                }
            }
            Ticker ticker = this.X5;
            if (ticker != null) {
                dVar.N(ticker);
            }
            return dVar;
        }

        p(n<K, V> nVar) {
            this(nVar.C2, nVar.U5, nVar.f9532y, nVar.C1, nVar.Y5, nVar.X5, nVar.V5, nVar.W5, nVar.f9531x, nVar.f9520b6, nVar.f9521c6, nVar.f9525f6);
        }
    }

    /* access modifiers changed from: private */
    public enum q implements t<Object, Object> {
        INSTANCE;

        @Override // com.google.common.cache.t
        public void A(t<Object, Object> tVar) {
        }

        @Override // com.google.common.cache.t
        public t<Object, Object> B() {
            return this;
        }

        @Override // com.google.common.cache.t
        public Object getKey() {
            return null;
        }

        @Override // com.google.common.cache.t
        public int h() {
            return 0;
        }

        @Override // com.google.common.cache.t
        public t<Object, Object> i() {
            return null;
        }

        @Override // com.google.common.cache.t
        public a0<Object, Object> j() {
            return null;
        }

        @Override // com.google.common.cache.t
        public t<Object, Object> k() {
            return this;
        }

        @Override // com.google.common.cache.t
        public void m(a0<Object, Object> a0Var) {
        }

        @Override // com.google.common.cache.t
        public long p() {
            return 0;
        }

        @Override // com.google.common.cache.t
        public void q(long j7) {
        }

        @Override // com.google.common.cache.t
        public t<Object, Object> r() {
            return this;
        }

        @Override // com.google.common.cache.t
        public long s() {
            return 0;
        }

        @Override // com.google.common.cache.t
        public void u(long j7) {
        }

        @Override // com.google.common.cache.t
        public t<Object, Object> v() {
            return this;
        }

        @Override // com.google.common.cache.t
        public void w(t<Object, Object> tVar) {
        }

        @Override // com.google.common.cache.t
        public void y(t<Object, Object> tVar) {
        }

        @Override // com.google.common.cache.t
        public void z(t<Object, Object> tVar) {
        }
    }

    /* access modifiers changed from: package-private */
    public static class r<K, V> extends ReentrantLock {
        volatile AtomicReferenceArray<t<K, V>> C1;
        final long C2;
        final ReferenceQueue<K> U5;
        final ReferenceQueue<V> V5;
        final Queue<t<K, V>> W5;
        final AtomicInteger X5 = new AtomicInteger();
        @q0.a("this")
        final Queue<t<K, V>> Y5;
        @q0.a("this")
        final Queue<t<K, V>> Z5;

        /* renamed from: a6  reason: collision with root package name */
        final a.b f9594a6;
        @e1.i

        /* renamed from: f  reason: collision with root package name */
        final n<K, V> f9595f;

        /* renamed from: g  reason: collision with root package name */
        volatile int f9596g;
        @q0.a("this")

        /* renamed from: p  reason: collision with root package name */
        long f9597p;

        /* renamed from: x  reason: collision with root package name */
        int f9598x;

        /* renamed from: y  reason: collision with root package name */
        int f9599y;

        /* access modifiers changed from: package-private */
        public class a implements Runnable {

            /* renamed from: f  reason: collision with root package name */
            final /* synthetic */ Object f9600f;

            /* renamed from: g  reason: collision with root package name */
            final /* synthetic */ int f9601g;

            /* renamed from: p  reason: collision with root package name */
            final /* synthetic */ m f9602p;

            /* renamed from: x  reason: collision with root package name */
            final /* synthetic */ d1 f9603x;

            a(Object obj, int i7, m mVar, d1 d1Var) {
                this.f9600f = obj;
                this.f9601g = i7;
                this.f9602p = mVar;
                this.f9603x = d1Var;
            }

            /* JADX DEBUG: Multi-variable search result rejected for r0v1, resolved type: com.google.common.cache.n$r */
            /* JADX WARN: Multi-variable type inference failed */
            public void run() {
                try {
                    r.this.v(this.f9600f, this.f9601g, this.f9602p, this.f9603x);
                } catch (Throwable th) {
                    n.f9516o6.log(Level.WARNING, "Exception thrown during refresh", th);
                    this.f9602p.n(th);
                }
            }
        }

        r(n<K, V> nVar, int i7, long j7, a.b bVar) {
            this.f9595f = nVar;
            this.C2 = j7;
            this.f9594a6 = (a.b) Preconditions.checkNotNull(bVar);
            B(H(i7));
            ReferenceQueue<V> referenceQueue = null;
            this.U5 = nVar.e0() ? new ReferenceQueue<>() : null;
            this.V5 = nVar.f0() ? new ReferenceQueue<>() : referenceQueue;
            this.W5 = nVar.d0() ? new ConcurrentLinkedQueue<>() : n.k();
            this.Y5 = nVar.h0() ? new k0<>() : n.k();
            this.Z5 = nVar.d0() ? new e<>() : n.k();
        }

        /* access modifiers changed from: package-private */
        @q0.a("this")
        public t<K, V> A() {
            for (t<K, V> tVar : this.Z5) {
                if (tVar.j().c() > 0) {
                    return tVar;
                }
            }
            throw new AssertionError();
        }

        /* access modifiers changed from: package-private */
        public void B(AtomicReferenceArray<t<K, V>> atomicReferenceArray) {
            this.f9599y = (atomicReferenceArray.length() * 3) / 4;
            if (!this.f9595f.j()) {
                int i7 = this.f9599y;
                if (((long) i7) == this.C2) {
                    this.f9599y = i7 + 1;
                }
            }
            this.C1 = atomicReferenceArray;
        }

        /* JADX INFO: finally extract failed */
        /* access modifiers changed from: package-private */
        public m<K, V> C(K k7, int i7, boolean z7) {
            lock();
            try {
                long read = this.f9595f.f9521c6.read();
                K(read);
                AtomicReferenceArray<t<K, V>> atomicReferenceArray = this.C1;
                int length = (atomicReferenceArray.length() - 1) & i7;
                t<K, V> tVar = atomicReferenceArray.get(length);
                for (t<K, V> tVar2 = tVar; tVar2 != null; tVar2 = tVar2.i()) {
                    K key = tVar2.getKey();
                    if (tVar2.h() == i7 && key != null && this.f9595f.f9532y.equivalent(k7, key)) {
                        a0<K, V> j7 = tVar2.j();
                        if (!j7.d()) {
                            if (!z7 || read - tVar2.p() >= this.f9595f.Z5) {
                                this.f9598x++;
                                m<K, V> mVar = new m<>(j7);
                                tVar2.m(mVar);
                                unlock();
                                J();
                                return mVar;
                            }
                        }
                        unlock();
                        J();
                        return null;
                    }
                }
                this.f9598x++;
                m<K, V> mVar2 = new m<>();
                t<K, V> G = G(k7, i7, tVar);
                G.m(mVar2);
                atomicReferenceArray.set(length, G);
                unlock();
                J();
                return mVar2;
            } catch (Throwable th) {
                unlock();
                J();
                throw th;
            }
        }

        /* access modifiers changed from: package-private */
        public d1<V> D(K k7, int i7, m<K, V> mVar, f<? super K, V> fVar) {
            d1<V> l7 = mVar.l(k7, fVar);
            l7.addListener(new a(k7, i7, mVar, l7), k1.d());
            return l7;
        }

        /* access modifiers changed from: package-private */
        public V E(K k7, int i7, m<K, V> mVar, f<? super K, V> fVar) throws ExecutionException {
            return v(k7, i7, mVar, mVar.l(k7, fVar));
        }

        /* access modifiers changed from: package-private */
        public V F(K k7, int i7, f<? super K, V> fVar) throws ExecutionException {
            m<K, V> mVar;
            boolean z7;
            a0<K, V> a0Var;
            V E;
            int c7;
            u uVar;
            lock();
            try {
                long read = this.f9595f.f9521c6.read();
                K(read);
                int i8 = this.f9596g - 1;
                AtomicReferenceArray<t<K, V>> atomicReferenceArray = this.C1;
                int length = i7 & (atomicReferenceArray.length() - 1);
                t<K, V> tVar = atomicReferenceArray.get(length);
                t<K, V> tVar2 = tVar;
                while (true) {
                    mVar = null;
                    if (tVar2 == null) {
                        z7 = true;
                        a0Var = null;
                        break;
                    }
                    K key = tVar2.getKey();
                    if (tVar2.h() != i7 || key == null || !this.f9595f.f9532y.equivalent(k7, key)) {
                        tVar2 = tVar2.i();
                    } else {
                        a0<K, V> j7 = tVar2.j();
                        if (j7.d()) {
                            z7 = false;
                        } else {
                            V v7 = j7.get();
                            if (v7 == null) {
                                c7 = j7.c();
                                uVar = u.COLLECTED;
                            } else if (this.f9595f.A(tVar2, read)) {
                                c7 = j7.c();
                                uVar = u.EXPIRED;
                            } else {
                                O(tVar2, read);
                                this.f9594a6.b(1);
                                unlock();
                                J();
                                return v7;
                            }
                            p(key, i7, v7, c7, uVar);
                            this.Y5.remove(tVar2);
                            this.Z5.remove(tVar2);
                            this.f9596g = i8;
                            z7 = true;
                        }
                        a0Var = j7;
                    }
                }
                if (z7) {
                    mVar = new m<>();
                    if (tVar2 == null) {
                        tVar2 = G(k7, i7, tVar);
                        tVar2.m(mVar);
                        atomicReferenceArray.set(length, tVar2);
                    } else {
                        tVar2.m(mVar);
                    }
                }
                if (!z7) {
                    return k0(tVar2, k7, a0Var);
                }
                try {
                    synchronized (tVar2) {
                        E = E(k7, i7, mVar, fVar);
                    }
                    return E;
                } finally {
                    this.f9594a6.c(1);
                }
            } finally {
                unlock();
                J();
            }
        }

        /* JADX DEBUG: Multi-variable search result rejected for r0v1, resolved type: com.google.common.cache.n$f */
        /* JADX WARN: Multi-variable type inference failed */
        /* access modifiers changed from: package-private */
        @q0.a("this")
        public t<K, V> G(K k7, int i7, t<K, V> tVar) {
            return this.f9595f.f9522d6.e(this, Preconditions.checkNotNull(k7), i7, tVar);
        }

        /* access modifiers changed from: package-private */
        public AtomicReferenceArray<t<K, V>> H(int i7) {
            return new AtomicReferenceArray<>(i7);
        }

        /* access modifiers changed from: package-private */
        public void I() {
            if ((this.X5.incrementAndGet() & 63) == 0) {
                a();
            }
        }

        /* access modifiers changed from: package-private */
        public void J() {
            d0();
        }

        /* access modifiers changed from: package-private */
        @q0.a("this")
        public void K(long j7) {
            c0(j7);
        }

        /* access modifiers changed from: package-private */
        public V L(K k7, int i7, V v7, boolean z7) {
            int i8;
            lock();
            try {
                long read = this.f9595f.f9521c6.read();
                K(read);
                if (this.f9596g + 1 > this.f9599y) {
                    r();
                }
                AtomicReferenceArray<t<K, V>> atomicReferenceArray = this.C1;
                int length = i7 & (atomicReferenceArray.length() - 1);
                t<K, V> tVar = atomicReferenceArray.get(length);
                t<K, V> tVar2 = tVar;
                while (true) {
                    if (tVar2 == null) {
                        this.f9598x++;
                        tVar2 = G(k7, i7, tVar);
                        f0(tVar2, k7, v7, read);
                        atomicReferenceArray.set(length, tVar2);
                        this.f9596g++;
                        break;
                    }
                    K key = tVar2.getKey();
                    if (tVar2.h() != i7 || key == null || !this.f9595f.f9532y.equivalent(k7, key)) {
                        tVar2 = tVar2.i();
                    } else {
                        a0<K, V> j7 = tVar2.j();
                        V v8 = j7.get();
                        if (v8 == null) {
                            this.f9598x++;
                            if (j7.g()) {
                                p(k7, i7, v8, j7.c(), u.COLLECTED);
                                f0(tVar2, k7, v7, read);
                                i8 = this.f9596g;
                            } else {
                                f0(tVar2, k7, v7, read);
                                i8 = this.f9596g + 1;
                            }
                            this.f9596g = i8;
                        } else {
                            if (z7) {
                                O(tVar2, read);
                            } else {
                                this.f9598x++;
                                p(k7, i7, v8, j7.c(), u.REPLACED);
                                f0(tVar2, k7, v7, read);
                                q(tVar2);
                            }
                            unlock();
                            J();
                            return v8;
                        }
                    }
                }
                q(tVar2);
                return null;
            } finally {
                unlock();
                J();
            }
        }

        /* access modifiers changed from: package-private */
        public boolean M(t<K, V> tVar, int i7) {
            lock();
            try {
                AtomicReferenceArray<t<K, V>> atomicReferenceArray = this.C1;
                int length = (atomicReferenceArray.length() - 1) & i7;
                t<K, V> tVar2 = atomicReferenceArray.get(length);
                for (t<K, V> tVar3 = tVar2; tVar3 != null; tVar3 = tVar3.i()) {
                    if (tVar3 == tVar) {
                        this.f9598x++;
                        atomicReferenceArray.set(length, Z(tVar2, tVar3, tVar3.getKey(), i7, tVar3.j().get(), tVar3.j(), u.COLLECTED));
                        this.f9596g--;
                        return true;
                    }
                }
                unlock();
                J();
                return false;
            } finally {
                unlock();
                J();
            }
        }

        /* access modifiers changed from: package-private */
        public boolean N(K k7, int i7, a0<K, V> a0Var) {
            lock();
            try {
                AtomicReferenceArray<t<K, V>> atomicReferenceArray = this.C1;
                int length = (atomicReferenceArray.length() - 1) & i7;
                t<K, V> tVar = atomicReferenceArray.get(length);
                for (t<K, V> tVar2 = tVar; tVar2 != null; tVar2 = tVar2.i()) {
                    K key = tVar2.getKey();
                    if (tVar2.h() == i7 && key != null && this.f9595f.f9532y.equivalent(k7, key)) {
                        if (tVar2.j() == a0Var) {
                            this.f9598x++;
                            atomicReferenceArray.set(length, Z(tVar, tVar2, key, i7, a0Var.get(), a0Var, u.COLLECTED));
                            this.f9596g--;
                            return true;
                        } else {
                            unlock();
                            if (!isHeldByCurrentThread()) {
                                J();
                            }
                            return false;
                        }
                    }
                }
                unlock();
                if (!isHeldByCurrentThread()) {
                    J();
                }
                return false;
            } finally {
                unlock();
                if (!isHeldByCurrentThread()) {
                    J();
                }
            }
        }

        /* access modifiers changed from: package-private */
        @q0.a("this")
        public void O(t<K, V> tVar, long j7) {
            if (this.f9595f.R()) {
                tVar.q(j7);
            }
            this.Z5.add(tVar);
        }

        /* access modifiers changed from: package-private */
        public void P(t<K, V> tVar, long j7) {
            if (this.f9595f.R()) {
                tVar.q(j7);
            }
            this.W5.add(tVar);
        }

        /* access modifiers changed from: package-private */
        @q0.a("this")
        public void Q(t<K, V> tVar, int i7, long j7) {
            k();
            this.f9597p += (long) i7;
            if (this.f9595f.R()) {
                tVar.q(j7);
            }
            if (this.f9595f.T()) {
                tVar.u(j7);
            }
            this.Z5.add(tVar);
            this.Y5.add(tVar);
        }

        /* access modifiers changed from: package-private */
        public V R(K k7, int i7, f<? super K, V> fVar, boolean z7) {
            m<K, V> C = C(k7, i7, z7);
            if (C == null) {
                return null;
            }
            d1<V> D = D(k7, i7, C, fVar);
            if (D.isDone()) {
                try {
                    return (V) e2.f(D);
                } catch (Throwable unused) {
                }
            }
            return null;
        }

        /* access modifiers changed from: package-private */
        public V S(Object obj, int i7) {
            u uVar;
            lock();
            try {
                K(this.f9595f.f9521c6.read());
                AtomicReferenceArray<t<K, V>> atomicReferenceArray = this.C1;
                int length = (atomicReferenceArray.length() - 1) & i7;
                t<K, V> tVar = atomicReferenceArray.get(length);
                t<K, V> tVar2 = tVar;
                while (true) {
                    if (tVar2 == null) {
                        break;
                    }
                    K key = tVar2.getKey();
                    if (tVar2.h() != i7 || key == null || !this.f9595f.f9532y.equivalent(obj, key)) {
                        tVar2 = tVar2.i();
                    } else {
                        a0<K, V> j7 = tVar2.j();
                        V v7 = j7.get();
                        if (v7 != null) {
                            uVar = u.EXPLICIT;
                        } else if (j7.g()) {
                            uVar = u.COLLECTED;
                        }
                        this.f9598x++;
                        atomicReferenceArray.set(length, Z(tVar, tVar2, key, i7, v7, j7, uVar));
                        this.f9596g--;
                        return v7;
                    }
                }
                unlock();
                J();
                return null;
            } finally {
                unlock();
                J();
            }
        }

        /* access modifiers changed from: package-private */
        public boolean T(Object obj, int i7, Object obj2) {
            u uVar;
            lock();
            try {
                K(this.f9595f.f9521c6.read());
                AtomicReferenceArray<t<K, V>> atomicReferenceArray = this.C1;
                boolean z7 = true;
                int length = (atomicReferenceArray.length() - 1) & i7;
                t<K, V> tVar = atomicReferenceArray.get(length);
                t<K, V> tVar2 = tVar;
                while (true) {
                    if (tVar2 == null) {
                        break;
                    }
                    K key = tVar2.getKey();
                    if (tVar2.h() != i7 || key == null || !this.f9595f.f9532y.equivalent(obj, key)) {
                        tVar2 = tVar2.i();
                    } else {
                        a0<K, V> j7 = tVar2.j();
                        V v7 = j7.get();
                        if (this.f9595f.C1.equivalent(obj2, v7)) {
                            uVar = u.EXPLICIT;
                        } else if (v7 == null && j7.g()) {
                            uVar = u.COLLECTED;
                        }
                        this.f9598x++;
                        atomicReferenceArray.set(length, Z(tVar, tVar2, key, i7, v7, j7, uVar));
                        this.f9596g--;
                        if (uVar != u.EXPLICIT) {
                            z7 = false;
                        }
                        return z7;
                    }
                }
                unlock();
                J();
                return false;
            } finally {
                unlock();
                J();
            }
        }

        /* access modifiers changed from: package-private */
        @q0.a("this")
        public void U(t<K, V> tVar) {
            p(tVar.getKey(), tVar.h(), tVar.j().get(), tVar.j().c(), u.COLLECTED);
            this.Y5.remove(tVar);
            this.Z5.remove(tVar);
        }

        /* access modifiers changed from: package-private */
        @m0.d
        @q0.a("this")
        public boolean V(t<K, V> tVar, int i7, u uVar) {
            AtomicReferenceArray<t<K, V>> atomicReferenceArray = this.C1;
            int length = (atomicReferenceArray.length() - 1) & i7;
            t<K, V> tVar2 = atomicReferenceArray.get(length);
            for (t<K, V> tVar3 = tVar2; tVar3 != null; tVar3 = tVar3.i()) {
                if (tVar3 == tVar) {
                    this.f9598x++;
                    atomicReferenceArray.set(length, Z(tVar2, tVar3, tVar3.getKey(), i7, tVar3.j().get(), tVar3.j(), uVar));
                    this.f9596g--;
                    return true;
                }
            }
            return false;
        }

        /* access modifiers changed from: package-private */
        @q0.a("this")
        public t<K, V> X(t<K, V> tVar, t<K, V> tVar2) {
            int i7 = this.f9596g;
            t<K, V> i8 = tVar2.i();
            while (tVar != tVar2) {
                t<K, V> i9 = i(tVar, i8);
                if (i9 != null) {
                    i8 = i9;
                } else {
                    U(tVar);
                    i7--;
                }
                tVar = tVar.i();
            }
            this.f9596g = i7;
            return i8;
        }

        /* access modifiers changed from: package-private */
        public boolean Y(K k7, int i7, m<K, V> mVar) {
            lock();
            try {
                AtomicReferenceArray<t<K, V>> atomicReferenceArray = this.C1;
                int length = (atomicReferenceArray.length() - 1) & i7;
                t<K, V> tVar = atomicReferenceArray.get(length);
                t<K, V> tVar2 = tVar;
                while (true) {
                    if (tVar2 == null) {
                        break;
                    }
                    K key = tVar2.getKey();
                    if (tVar2.h() != i7 || key == null || !this.f9595f.f9532y.equivalent(k7, key)) {
                        tVar2 = tVar2.i();
                    } else if (tVar2.j() == mVar) {
                        if (mVar.g()) {
                            tVar2.m(mVar.k());
                        } else {
                            atomicReferenceArray.set(length, X(tVar, tVar2));
                        }
                        return true;
                    }
                }
                unlock();
                J();
                return false;
            } finally {
                unlock();
                J();
            }
        }

        /* access modifiers changed from: package-private */
        @q0.a("this")
        public t<K, V> Z(t<K, V> tVar, t<K, V> tVar2, K k7, int i7, V v7, a0<K, V> a0Var, u uVar) {
            p(k7, i7, v7, a0Var.c(), uVar);
            this.Y5.remove(tVar2);
            this.Z5.remove(tVar2);
            if (!a0Var.d()) {
                return X(tVar, tVar2);
            }
            a0Var.b(null);
            return tVar;
        }

        /* access modifiers changed from: package-private */
        public void a() {
            c0(this.f9595f.f9521c6.read());
            d0();
        }

        /* access modifiers changed from: package-private */
        public V a0(K k7, int i7, V v7) {
            lock();
            try {
                long read = this.f9595f.f9521c6.read();
                K(read);
                AtomicReferenceArray<t<K, V>> atomicReferenceArray = this.C1;
                int length = i7 & (atomicReferenceArray.length() - 1);
                t<K, V> tVar = atomicReferenceArray.get(length);
                t<K, V> tVar2 = tVar;
                while (true) {
                    if (tVar2 == null) {
                        break;
                    }
                    K key = tVar2.getKey();
                    if (tVar2.h() == i7 && key != null) {
                        if (this.f9595f.f9532y.equivalent(k7, key)) {
                            a0<K, V> j7 = tVar2.j();
                            V v8 = j7.get();
                            if (v8 != null) {
                                this.f9598x++;
                                p(k7, i7, v8, j7.c(), u.REPLACED);
                                f0(tVar2, k7, v7, read);
                                q(tVar2);
                                unlock();
                                J();
                                return v8;
                            } else if (j7.g()) {
                                this.f9598x++;
                                atomicReferenceArray.set(length, Z(tVar, tVar2, key, i7, v8, j7, u.COLLECTED));
                                this.f9596g--;
                            }
                        }
                    }
                    tVar2 = tVar2.i();
                }
                return null;
            } finally {
                unlock();
                J();
            }
        }

        /* access modifiers changed from: package-private */
        public void b() {
            u uVar;
            if (this.f9596g != 0) {
                lock();
                try {
                    K(this.f9595f.f9521c6.read());
                    AtomicReferenceArray<t<K, V>> atomicReferenceArray = this.C1;
                    for (int i7 = 0; i7 < atomicReferenceArray.length(); i7++) {
                        for (t<K, V> tVar = atomicReferenceArray.get(i7); tVar != null; tVar = tVar.i()) {
                            if (tVar.j().g()) {
                                K key = tVar.getKey();
                                V v7 = tVar.j().get();
                                if (key != null) {
                                    if (v7 != null) {
                                        uVar = u.EXPLICIT;
                                        p(key, tVar.h(), v7, tVar.j().c(), uVar);
                                    }
                                }
                                uVar = u.COLLECTED;
                                p(key, tVar.h(), v7, tVar.j().c(), uVar);
                            }
                        }
                    }
                    for (int i8 = 0; i8 < atomicReferenceArray.length(); i8++) {
                        atomicReferenceArray.set(i8, null);
                    }
                    d();
                    this.Y5.clear();
                    this.Z5.clear();
                    this.X5.set(0);
                    this.f9598x++;
                    this.f9596g = 0;
                } finally {
                    unlock();
                    J();
                }
            }
        }

        /* access modifiers changed from: package-private */
        public boolean b0(K k7, int i7, V v7, V v8) {
            lock();
            try {
                long read = this.f9595f.f9521c6.read();
                K(read);
                AtomicReferenceArray<t<K, V>> atomicReferenceArray = this.C1;
                int length = i7 & (atomicReferenceArray.length() - 1);
                t<K, V> tVar = atomicReferenceArray.get(length);
                t<K, V> tVar2 = tVar;
                while (true) {
                    if (tVar2 == null) {
                        break;
                    }
                    K key = tVar2.getKey();
                    if (tVar2.h() == i7 && key != null) {
                        if (this.f9595f.f9532y.equivalent(k7, key)) {
                            a0<K, V> j7 = tVar2.j();
                            V v9 = j7.get();
                            if (v9 == null) {
                                if (j7.g()) {
                                    this.f9598x++;
                                    atomicReferenceArray.set(length, Z(tVar, tVar2, key, i7, v9, j7, u.COLLECTED));
                                    this.f9596g--;
                                }
                            } else if (this.f9595f.C1.equivalent(v7, v9)) {
                                this.f9598x++;
                                p(k7, i7, v9, j7.c(), u.REPLACED);
                                f0(tVar2, k7, v8, read);
                                q(tVar2);
                                unlock();
                                J();
                                return true;
                            } else {
                                O(tVar2, read);
                            }
                        }
                    }
                    tVar2 = tVar2.i();
                }
                return false;
            } finally {
                unlock();
                J();
            }
        }

        /* access modifiers changed from: package-private */
        public void c() {
            do {
            } while (this.U5.poll() != null);
        }

        /* access modifiers changed from: package-private */
        public void c0(long j7) {
            if (tryLock()) {
                try {
                    m();
                    s(j7);
                    this.X5.set(0);
                } finally {
                    unlock();
                }
            }
        }

        /* access modifiers changed from: package-private */
        public void d() {
            if (this.f9595f.e0()) {
                c();
            }
            if (this.f9595f.f0()) {
                e();
            }
        }

        /* access modifiers changed from: package-private */
        public void d0() {
            if (!isHeldByCurrentThread()) {
                this.f9595f.O();
            }
        }

        /* access modifiers changed from: package-private */
        public void e() {
            do {
            } while (this.V5.poll() != null);
        }

        /* access modifiers changed from: package-private */
        public V e0(t<K, V> tVar, K k7, int i7, V v7, long j7, f<? super K, V> fVar) {
            V R;
            return (!this.f9595f.V() || j7 - tVar.p() <= this.f9595f.Z5 || tVar.j().d() || (R = R(k7, i7, fVar, true)) == null) ? v7 : R;
        }

        /* access modifiers changed from: package-private */
        public V f(K k7, int i7, BiFunction<? super K, ? super V, ? extends V> biFunction) {
            int i8;
            a0<K, V> a0Var;
            int i9;
            int i10;
            BiFunction<? super K, ? super V, ? extends V> biFunction2;
            lock();
            try {
                long read = this.f9595f.f9521c6.read();
                K(read);
                AtomicReferenceArray<t<K, V>> atomicReferenceArray = this.C1;
                int length = i7 & (atomicReferenceArray.length() - 1);
                t<K, V> tVar = atomicReferenceArray.get(length);
                t<K, V> tVar2 = tVar;
                while (true) {
                    if (tVar2 == null) {
                        i8 = 0;
                        a0Var = null;
                        i9 = 1;
                        break;
                    }
                    K key = tVar2.getKey();
                    if (tVar2.h() != i7 || key == null || !this.f9595f.f9532y.equivalent(k7, key)) {
                        tVar2 = tVar2.i();
                    } else {
                        a0<K, V> j7 = tVar2.j();
                        if (this.f9595f.A(tVar2, read)) {
                            i8 = 0;
                            p(key, i7, j7.get(), j7.c(), u.EXPIRED);
                        } else {
                            i8 = 0;
                        }
                        this.Y5.remove(tVar2);
                        this.Z5.remove(tVar2);
                        i9 = i8;
                        a0Var = j7;
                    }
                }
                m<K, V> mVar = new m<>(a0Var);
                if (tVar2 == null) {
                    tVar2 = G(k7, i7, tVar);
                    tVar2.m(mVar);
                    atomicReferenceArray.set(length, tVar2);
                    biFunction2 = biFunction;
                    i10 = 1;
                } else {
                    tVar2.m(mVar);
                    biFunction2 = biFunction;
                    i10 = i9;
                }
                V h7 = mVar.h(k7, biFunction2);
                if (h7 == null) {
                    if (i10 != 0) {
                        Y(k7, i7, mVar);
                    } else {
                        V(tVar2, i7, u.EXPLICIT);
                    }
                    unlock();
                    J();
                    return null;
                } else if (a0Var == null || h7 != a0Var.get()) {
                    try {
                        V v7 = v(k7, i7, mVar, v0.m(h7));
                        unlock();
                        J();
                        return v7;
                    } catch (ExecutionException unused) {
                        throw new AssertionError("impossible; Futures.immediateFuture can't throw");
                    }
                } else {
                    mVar.m(h7);
                    tVar2.m(a0Var);
                    Q(tVar2, i8, read);
                    return h7;
                }
            } finally {
                unlock();
                J();
            }
        }

        /* access modifiers changed from: package-private */
        @q0.a("this")
        public void f0(t<K, V> tVar, K k7, V v7, long j7) {
            a0<K, V> j8 = tVar.j();
            int a8 = this.f9595f.W5.a(k7, v7);
            Preconditions.checkState(a8 >= 0, "Weights must be non-negative");
            tVar.m(this.f9595f.U5.b(this, tVar, v7, a8));
            Q(tVar, a8, j7);
            j8.b(v7);
        }

        /* access modifiers changed from: package-private */
        public boolean g(Object obj, int i7) {
            try {
                boolean z7 = false;
                if (this.f9596g != 0) {
                    t<K, V> y7 = y(obj, i7, this.f9595f.f9521c6.read());
                    if (y7 == null) {
                        return false;
                    }
                    if (y7.j().get() != null) {
                        z7 = true;
                    }
                    I();
                    return z7;
                }
                I();
                return false;
            } finally {
                I();
            }
        }

        /* access modifiers changed from: package-private */
        public boolean g0(K k7, int i7, m<K, V> mVar, V v7) {
            lock();
            try {
                long read = this.f9595f.f9521c6.read();
                K(read);
                int i8 = this.f9596g + 1;
                if (i8 > this.f9599y) {
                    r();
                    i8 = this.f9596g + 1;
                }
                int i9 = i8;
                AtomicReferenceArray<t<K, V>> atomicReferenceArray = this.C1;
                int length = i7 & (atomicReferenceArray.length() - 1);
                t<K, V> tVar = atomicReferenceArray.get(length);
                t<K, V> tVar2 = tVar;
                while (true) {
                    if (tVar2 == null) {
                        this.f9598x++;
                        tVar2 = G(k7, i7, tVar);
                        f0(tVar2, k7, v7, read);
                        atomicReferenceArray.set(length, tVar2);
                        this.f9596g = i9;
                        break;
                    }
                    K key = tVar2.getKey();
                    if (tVar2.h() != i7 || key == null || !this.f9595f.f9532y.equivalent(k7, key)) {
                        tVar2 = tVar2.i();
                    } else {
                        a0<K, V> j7 = tVar2.j();
                        V v8 = j7.get();
                        if (mVar != j7) {
                            if (v8 != null || j7 == n.f9517p6) {
                                p(k7, i7, v7, 0, u.REPLACED);
                                unlock();
                                J();
                                return false;
                            }
                        }
                        this.f9598x++;
                        if (mVar.g()) {
                            p(k7, i7, v8, mVar.c(), v8 == null ? u.COLLECTED : u.REPLACED);
                            i9--;
                        }
                        f0(tVar2, k7, v7, read);
                        this.f9596g = i9;
                    }
                }
                q(tVar2);
                return true;
            } finally {
                unlock();
                J();
            }
        }

        /* JADX INFO: finally extract failed */
        /* access modifiers changed from: package-private */
        @m0.d
        public boolean h(Object obj) {
            try {
                if (this.f9596g != 0) {
                    long read = this.f9595f.f9521c6.read();
                    AtomicReferenceArray<t<K, V>> atomicReferenceArray = this.C1;
                    int length = atomicReferenceArray.length();
                    for (int i7 = 0; i7 < length; i7++) {
                        for (t<K, V> tVar = atomicReferenceArray.get(i7); tVar != null; tVar = tVar.i()) {
                            V z7 = z(tVar, read);
                            if (z7 != null) {
                                if (this.f9595f.C1.equivalent(obj, z7)) {
                                    I();
                                    return true;
                                }
                            }
                        }
                    }
                }
                I();
                return false;
            } catch (Throwable th) {
                I();
                throw th;
            }
        }

        /* access modifiers changed from: package-private */
        public void h0() {
            if (tryLock()) {
                try {
                    m();
                } finally {
                    unlock();
                }
            }
        }

        /* access modifiers changed from: package-private */
        @q0.a("this")
        public t<K, V> i(t<K, V> tVar, t<K, V> tVar2) {
            if (tVar.getKey() == null) {
                return null;
            }
            a0<K, V> j7 = tVar.j();
            V v7 = j7.get();
            if (v7 == null && j7.g()) {
                return null;
            }
            t<K, V> b7 = this.f9595f.f9522d6.b(this, tVar, tVar2);
            b7.m(j7.f(this.V5, v7, b7));
            return b7;
        }

        /* access modifiers changed from: package-private */
        public void i0(long j7) {
            if (tryLock()) {
                try {
                    s(j7);
                } finally {
                    unlock();
                }
            }
        }

        /* access modifiers changed from: package-private */
        @q0.a("this")
        public void j() {
            int i7 = 0;
            do {
                Reference<? extends K> poll = this.U5.poll();
                if (poll != null) {
                    this.f9595f.P((t) poll);
                    i7++;
                } else {
                    return;
                }
            } while (i7 != 16);
        }

        /* access modifiers changed from: package-private */
        @q0.a("this")
        public void k() {
            while (true) {
                t<K, V> poll = this.W5.poll();
                if (poll == null) {
                    return;
                }
                if (this.Z5.contains(poll)) {
                    this.Z5.add(poll);
                }
            }
        }

        /* access modifiers changed from: package-private */
        public V k0(t<K, V> tVar, K k7, a0<K, V> a0Var) throws ExecutionException {
            if (a0Var.d()) {
                Preconditions.checkState(!Thread.holdsLock(tVar), "Recursive load of: %s", k7);
                try {
                    V e7 = a0Var.e();
                    if (e7 != null) {
                        P(tVar, this.f9595f.f9521c6.read());
                        return e7;
                    }
                    throw new f.c("CacheLoader returned null for key " + ((Object) k7) + ".");
                } finally {
                    this.f9594a6.c(1);
                }
            } else {
                throw new AssertionError();
            }
        }

        /* access modifiers changed from: package-private */
        @q0.a("this")
        public void m() {
            if (this.f9595f.e0()) {
                j();
            }
            if (this.f9595f.f0()) {
                n();
            }
        }

        /* access modifiers changed from: package-private */
        @q0.a("this")
        public void n() {
            int i7 = 0;
            do {
                Reference<? extends V> poll = this.V5.poll();
                if (poll != null) {
                    this.f9595f.Q((a0) poll);
                    i7++;
                } else {
                    return;
                }
            } while (i7 != 16);
        }

        /* access modifiers changed from: package-private */
        @q0.a("this")
        public void p(K k7, int i7, V v7, int i8, u uVar) {
            this.f9597p -= (long) i8;
            if (uVar.a()) {
                this.f9594a6.a();
            }
            if (this.f9595f.f9519a6 != n.f9518q6) {
                this.f9595f.f9519a6.offer(x.a(k7, v7, uVar));
            }
        }

        /* access modifiers changed from: package-private */
        @q0.a("this")
        public void q(t<K, V> tVar) {
            if (this.f9595f.l()) {
                k();
                if (((long) tVar.j().c()) <= this.C2 || V(tVar, tVar.h(), u.SIZE)) {
                    while (this.f9597p > this.C2) {
                        t<K, V> A = A();
                        if (!V(A, A.h(), u.SIZE)) {
                            throw new AssertionError();
                        }
                    }
                    return;
                }
                throw new AssertionError();
            }
        }

        /* access modifiers changed from: package-private */
        @q0.a("this")
        public void r() {
            AtomicReferenceArray<t<K, V>> atomicReferenceArray = this.C1;
            int length = atomicReferenceArray.length();
            if (length < 1073741824) {
                int i7 = this.f9596g;
                AtomicReferenceArray<t<K, V>> H = H(length << 1);
                this.f9599y = (H.length() * 3) / 4;
                int length2 = H.length() - 1;
                for (int i8 = 0; i8 < length; i8++) {
                    t<K, V> tVar = atomicReferenceArray.get(i8);
                    if (tVar != null) {
                        t<K, V> i9 = tVar.i();
                        int h7 = tVar.h() & length2;
                        if (i9 == null) {
                            H.set(h7, tVar);
                        } else {
                            t<K, V> tVar2 = tVar;
                            while (i9 != null) {
                                int h8 = i9.h() & length2;
                                if (h8 != h7) {
                                    tVar2 = i9;
                                    h7 = h8;
                                }
                                i9 = i9.i();
                            }
                            H.set(h7, tVar2);
                            while (tVar != tVar2) {
                                int h9 = tVar.h() & length2;
                                t<K, V> i10 = i(tVar, H.get(h9));
                                if (i10 != null) {
                                    H.set(h9, i10);
                                } else {
                                    U(tVar);
                                    i7--;
                                }
                                tVar = tVar.i();
                            }
                        }
                    }
                }
                this.C1 = H;
                this.f9596g = i7;
            }
        }

        /* access modifiers changed from: package-private */
        @q0.a("this")
        public void s(long j7) {
            t<K, V> peek;
            t<K, V> peek2;
            k();
            do {
                peek = this.Y5.peek();
                if (peek == null || !this.f9595f.A(peek, j7)) {
                    do {
                        peek2 = this.Z5.peek();
                        if (peek2 == null || !this.f9595f.A(peek2, j7)) {
                            return;
                        }
                    } while (V(peek2, peek2.h(), u.EXPIRED));
                    throw new AssertionError();
                }
            } while (V(peek, peek.h(), u.EXPIRED));
            throw new AssertionError();
        }

        /* access modifiers changed from: package-private */
        public V t(Object obj, int i7) {
            try {
                if (this.f9596g != 0) {
                    long read = this.f9595f.f9521c6.read();
                    t<K, V> y7 = y(obj, i7, read);
                    if (y7 == null) {
                        return null;
                    }
                    V v7 = y7.j().get();
                    if (v7 != null) {
                        P(y7, read);
                        V e02 = e0(y7, y7.getKey(), i7, v7, read, this.f9595f.f9525f6);
                        I();
                        return e02;
                    }
                    h0();
                }
                I();
                return null;
            } finally {
                I();
            }
        }

        /* access modifiers changed from: package-private */
        public V u(K k7, int i7, f<? super K, V> fVar) throws ExecutionException {
            t<K, V> w7;
            Preconditions.checkNotNull(k7);
            Preconditions.checkNotNull(fVar);
            try {
                if (!(this.f9596g == 0 || (w7 = w(k7, i7)) == null)) {
                    long read = this.f9595f.f9521c6.read();
                    V z7 = z(w7, read);
                    if (z7 != null) {
                        P(w7, read);
                        this.f9594a6.b(1);
                        V e02 = e0(w7, k7, i7, z7, read, fVar);
                        I();
                        return e02;
                    }
                    a0<K, V> j7 = w7.j();
                    if (j7.d()) {
                        V k02 = k0(w7, k7, j7);
                        I();
                        return k02;
                    }
                }
                V F = F(k7, i7, fVar);
                I();
                return F;
            } catch (ExecutionException e7) {
                Throwable cause = e7.getCause();
                if (cause instanceof Error) {
                    throw new com.google.common.util.concurrent.g0((Error) cause);
                } else if (cause instanceof RuntimeException) {
                    throw new c2(cause);
                } else {
                    throw e7;
                }
            } catch (Throwable th) {
                I();
                throw th;
            }
        }

        /* access modifiers changed from: package-private */
        /* JADX WARNING: Removed duplicated region for block: B:13:0x0035  */
        public V v(K k7, int i7, m<K, V> mVar, d1<V> d1Var) throws ExecutionException {
            V v7;
            Throwable th;
            try {
                v7 = (V) e2.f(d1Var);
                if (v7 != null) {
                    try {
                        this.f9594a6.e(mVar.i());
                        g0(k7, i7, mVar, v7);
                        return v7;
                    } catch (Throwable th2) {
                        th = th2;
                        if (v7 == null) {
                        }
                        throw th;
                    }
                } else {
                    throw new f.c("CacheLoader returned null for key " + ((Object) k7) + ".");
                }
            } catch (Throwable th3) {
                th = th3;
                v7 = null;
                if (v7 == null) {
                    this.f9594a6.d(mVar.i());
                    Y(k7, i7, mVar);
                }
                throw th;
            }
        }

        /* access modifiers changed from: package-private */
        public t<K, V> w(Object obj, int i7) {
            for (t<K, V> x7 = x(i7); x7 != null; x7 = x7.i()) {
                if (x7.h() == i7) {
                    K key = x7.getKey();
                    if (key == null) {
                        h0();
                    } else if (this.f9595f.f9532y.equivalent(obj, key)) {
                        return x7;
                    }
                }
            }
            return null;
        }

        /* access modifiers changed from: package-private */
        public t<K, V> x(int i7) {
            AtomicReferenceArray<t<K, V>> atomicReferenceArray = this.C1;
            return atomicReferenceArray.get(i7 & (atomicReferenceArray.length() - 1));
        }

        /* access modifiers changed from: package-private */
        public t<K, V> y(Object obj, int i7, long j7) {
            t<K, V> w7 = w(obj, i7);
            if (w7 == null) {
                return null;
            }
            if (!this.f9595f.A(w7, j7)) {
                return w7;
            }
            i0(j7);
            return null;
        }

        /* access modifiers changed from: package-private */
        public V z(t<K, V> tVar, long j7) {
            if (tVar.getKey() == null) {
                h0();
                return null;
            }
            V v7 = tVar.j().get();
            if (v7 == null) {
                h0();
                return null;
            } else if (!this.f9595f.A(tVar, j7)) {
                return v7;
            } else {
                i0(j7);
                return null;
            }
        }
    }

    static class s<K, V> extends SoftReference<V> implements a0<K, V> {

        /* renamed from: f  reason: collision with root package name */
        final t<K, V> f9605f;

        s(ReferenceQueue<V> referenceQueue, V v7, t<K, V> tVar) {
            super(v7, referenceQueue);
            this.f9605f = tVar;
        }

        @Override // com.google.common.cache.n.a0
        public t<K, V> a() {
            return this.f9605f;
        }

        @Override // com.google.common.cache.n.a0
        public void b(V v7) {
        }

        @Override // com.google.common.cache.n.a0
        public int c() {
            return 1;
        }

        @Override // com.google.common.cache.n.a0
        public boolean d() {
            return false;
        }

        @Override // com.google.common.cache.n.a0
        public V e() {
            return (V) get();
        }

        @Override // com.google.common.cache.n.a0
        public a0<K, V> f(ReferenceQueue<V> referenceQueue, V v7, t<K, V> tVar) {
            return new s(referenceQueue, v7, tVar);
        }

        @Override // com.google.common.cache.n.a0
        public boolean g() {
            return true;
        }
    }

    /* access modifiers changed from: package-private */
    public enum t {
        STRONG {
            /* access modifiers changed from: package-private */
            @Override // com.google.common.cache.n.t
            public Equivalence<Object> a() {
                return Equivalence.equals();
            }

            /* access modifiers changed from: package-private */
            @Override // com.google.common.cache.n.t
            public <K, V> a0<K, V> b(r<K, V> rVar, t<K, V> tVar, V v7, int i7) {
                return i7 == 1 ? new x(v7) : new i0(v7, i7);
            }
        },
        SOFT {
            /* access modifiers changed from: package-private */
            @Override // com.google.common.cache.n.t
            public Equivalence<Object> a() {
                return Equivalence.identity();
            }

            /* access modifiers changed from: package-private */
            @Override // com.google.common.cache.n.t
            public <K, V> a0<K, V> b(r<K, V> rVar, t<K, V> tVar, V v7, int i7) {
                return i7 == 1 ? new s(rVar.V5, v7, tVar) : new h0(rVar.V5, v7, tVar, i7);
            }
        },
        WEAK {
            /* access modifiers changed from: package-private */
            @Override // com.google.common.cache.n.t
            public Equivalence<Object> a() {
                return Equivalence.identity();
            }

            /* access modifiers changed from: package-private */
            @Override // com.google.common.cache.n.t
            public <K, V> a0<K, V> b(r<K, V> rVar, t<K, V> tVar, V v7, int i7) {
                return i7 == 1 ? new f0(rVar.V5, v7, tVar) : new j0(rVar.V5, v7, tVar, i7);
            }
        };

        /* access modifiers changed from: package-private */
        public abstract Equivalence<Object> a();

        /* access modifiers changed from: package-private */
        public abstract <K, V> a0<K, V> b(r<K, V> rVar, t<K, V> tVar, V v7, int i7);

        /* synthetic */ t(a aVar) {
            this();
        }
    }

    static final class u<K, V> extends w<K, V> {
        t<K, V> C1 = n.L();
        t<K, V> C2 = n.L();

        /* renamed from: y  reason: collision with root package name */
        volatile long f9610y = Long.MAX_VALUE;

        u(K k7, int i7, t<K, V> tVar) {
            super(k7, i7, tVar);
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.d
        public void A(t<K, V> tVar) {
            this.C2 = tVar;
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.d
        public t<K, V> k() {
            return this.C2;
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.d
        public void q(long j7) {
            this.f9610y = j7;
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.d
        public long s() {
            return this.f9610y;
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.d
        public t<K, V> v() {
            return this.C1;
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.d
        public void w(t<K, V> tVar) {
            this.C1 = tVar;
        }
    }

    static final class v<K, V> extends w<K, V> {
        t<K, V> C1 = n.L();
        t<K, V> C2 = n.L();
        volatile long U5 = Long.MAX_VALUE;
        t<K, V> V5 = n.L();
        t<K, V> W5 = n.L();

        /* renamed from: y  reason: collision with root package name */
        volatile long f9611y = Long.MAX_VALUE;

        v(K k7, int i7, t<K, V> tVar) {
            super(k7, i7, tVar);
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.d
        public void A(t<K, V> tVar) {
            this.C2 = tVar;
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.d
        public t<K, V> B() {
            return this.W5;
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.d
        public t<K, V> k() {
            return this.C2;
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.d
        public long p() {
            return this.U5;
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.d
        public void q(long j7) {
            this.f9611y = j7;
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.d
        public t<K, V> r() {
            return this.V5;
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.d
        public long s() {
            return this.f9611y;
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.d
        public void u(long j7) {
            this.U5 = j7;
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.d
        public t<K, V> v() {
            return this.C1;
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.d
        public void w(t<K, V> tVar) {
            this.C1 = tVar;
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.d
        public void y(t<K, V> tVar) {
            this.V5 = tVar;
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.d
        public void z(t<K, V> tVar) {
            this.W5 = tVar;
        }
    }

    static class w<K, V> extends d<K, V> {

        /* renamed from: f  reason: collision with root package name */
        final K f9612f;

        /* renamed from: g  reason: collision with root package name */
        final int f9613g;

        /* renamed from: p  reason: collision with root package name */
        final t<K, V> f9614p;

        /* renamed from: x  reason: collision with root package name */
        volatile a0<K, V> f9615x = n.b0();

        w(K k7, int i7, t<K, V> tVar) {
            this.f9612f = k7;
            this.f9613g = i7;
            this.f9614p = tVar;
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.d
        public K getKey() {
            return this.f9612f;
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.d
        public int h() {
            return this.f9613g;
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.d
        public t<K, V> i() {
            return this.f9614p;
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.d
        public a0<K, V> j() {
            return this.f9615x;
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.d
        public void m(a0<K, V> a0Var) {
            this.f9615x = a0Var;
        }
    }

    static class x<K, V> implements a0<K, V> {

        /* renamed from: f  reason: collision with root package name */
        final V f9616f;

        x(V v7) {
            this.f9616f = v7;
        }

        @Override // com.google.common.cache.n.a0
        public t<K, V> a() {
            return null;
        }

        @Override // com.google.common.cache.n.a0
        public void b(V v7) {
        }

        @Override // com.google.common.cache.n.a0
        public int c() {
            return 1;
        }

        @Override // com.google.common.cache.n.a0
        public boolean d() {
            return false;
        }

        @Override // com.google.common.cache.n.a0
        public V e() {
            return get();
        }

        @Override // com.google.common.cache.n.a0
        public a0<K, V> f(ReferenceQueue<V> referenceQueue, V v7, t<K, V> tVar) {
            return this;
        }

        @Override // com.google.common.cache.n.a0
        public boolean g() {
            return true;
        }

        @Override // com.google.common.cache.n.a0
        public V get() {
            return this.f9616f;
        }
    }

    static final class y<K, V> extends w<K, V> {
        t<K, V> C1 = n.L();
        t<K, V> C2 = n.L();

        /* renamed from: y  reason: collision with root package name */
        volatile long f9617y = Long.MAX_VALUE;

        y(K k7, int i7, t<K, V> tVar) {
            super(k7, i7, tVar);
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.d
        public t<K, V> B() {
            return this.C2;
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.d
        public long p() {
            return this.f9617y;
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.d
        public t<K, V> r() {
            return this.C1;
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.d
        public void u(long j7) {
            this.f9617y = j7;
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.d
        public void y(t<K, V> tVar) {
            this.C1 = tVar;
        }

        @Override // com.google.common.cache.t, com.google.common.cache.n.d
        public void z(t<K, V> tVar) {
            this.C2 = tVar;
        }
    }

    final class z extends n<K, V>.i {
        z() {
            super();
        }

        @Override // java.util.Iterator, com.google.common.cache.n.i
        public V next() {
            return (V) c().getValue();
        }
    }

    /* JADX DEBUG: Type inference failed for r3v0. Raw type applied. Possible types: com.google.common.cache.z<K1 extends K, V1 extends V>, com.google.common.cache.z<K, V> */
    /* JADX DEBUG: Type inference failed for r3v4. Raw type applied. Possible types: com.google.common.cache.v<K1 extends K, V1 extends V>, com.google.common.cache.v<K, V> */
    n(d<? super K, ? super V> dVar, f<? super K, V> fVar) {
        this.f9531x = Math.min(dVar.l(), 65536);
        t q7 = dVar.q();
        this.C2 = q7;
        this.U5 = dVar.x();
        this.f9532y = dVar.p();
        this.C1 = dVar.w();
        long r7 = dVar.r();
        this.V5 = r7;
        this.W5 = (z<K1, V1>) dVar.y();
        this.X5 = dVar.m();
        this.Y5 = dVar.n();
        this.Z5 = dVar.s();
        v vVar = (v<K1, V1>) dVar.t();
        this.f9520b6 = vVar;
        this.f9519a6 = vVar == d.EnumC0106d.INSTANCE ? k() : new ConcurrentLinkedQueue<>();
        this.f9521c6 = dVar.v(S());
        this.f9522d6 = f.d(q7, c0(), g0());
        this.f9523e6 = (a.b) dVar.u().get();
        this.f9525f6 = fVar;
        int min = Math.min(dVar.o(), 1073741824);
        if (l() && !j()) {
            min = (int) Math.min((long) min, r7);
        }
        int i7 = 0;
        int i8 = 1;
        int i9 = 0;
        int i10 = 1;
        while (i10 < this.f9531x && (!l() || ((long) (i10 * 20)) <= this.V5)) {
            i9++;
            i10 <<= 1;
        }
        this.f9526g = 32 - i9;
        this.f9524f = i10 - 1;
        this.f9530p = I(i10);
        int i11 = min / i10;
        while (i8 < (i11 * i10 < min ? i11 + 1 : i11)) {
            i8 <<= 1;
        }
        if (l()) {
            long j7 = this.V5;
            long j8 = (long) i10;
            long j9 = (j7 / j8) + 1;
            long j10 = j7 % j8;
            while (true) {
                r<K, V>[] rVarArr = this.f9530p;
                if (i7 < rVarArr.length) {
                    if (((long) i7) == j10) {
                        j9--;
                    }
                    rVarArr[i7] = i(i8, j9, (a.b) dVar.u().get());
                    i7++;
                } else {
                    return;
                }
            }
        } else {
            while (true) {
                r<K, V>[] rVarArr2 = this.f9530p;
                if (i7 < rVarArr2.length) {
                    rVarArr2[i7] = i(i8, -1, (a.b) dVar.u().get());
                    i7++;
                } else {
                    return;
                }
            }
        }
    }

    /* access modifiers changed from: private */
    public static /* synthetic */ Object C(java.util.function.Function function, Object obj, Object obj2, Object obj3) {
        return obj3 == null ? function.apply(obj) : obj3;
    }

    /* access modifiers changed from: private */
    public static /* synthetic */ Object D(BiFunction biFunction, Object obj, Object obj2) {
        if (obj2 == null) {
            return null;
        }
        return biFunction.apply(obj, obj2);
    }

    /* access modifiers changed from: private */
    public static /* synthetic */ Object E(Object obj, BiFunction biFunction, Object obj2, Object obj3) {
        return obj3 == null ? obj : biFunction.apply(obj3, obj);
    }

    static <K, V> t<K, V> L() {
        return q.INSTANCE;
    }

    static <K, V> void M(t<K, V> tVar) {
        t<K, V> L = L();
        tVar.w(L);
        tVar.A(L);
    }

    static <K, V> void N(t<K, V> tVar) {
        t<K, V> L = L();
        tVar.y(L);
        tVar.z(L);
    }

    static int W(int i7) {
        int i8 = i7 + ((i7 << 15) ^ -12931);
        int i9 = i8 ^ (i8 >>> 10);
        int i10 = i9 + (i9 << 3);
        int i11 = i10 ^ (i10 >>> 6);
        int i12 = i11 + (i11 << 2) + (i11 << 14);
        return i12 ^ (i12 >>> 16);
    }

    /* access modifiers changed from: private */
    public static <E> ArrayList<E> a0(Collection<E> collection) {
        ArrayList<E> arrayList = new ArrayList<>(collection.size());
        w8.a(arrayList, collection.iterator());
        return arrayList;
    }

    static <K, V> a0<K, V> b0() {
        return (a0<K, V>) f9517p6;
    }

    static <K, V> void f(t<K, V> tVar, t<K, V> tVar2) {
        tVar.w(tVar2);
        tVar2.A(tVar);
    }

    static <K, V> void g(t<K, V> tVar, t<K, V> tVar2) {
        tVar.y(tVar2);
        tVar2.z(tVar);
    }

    static <E> Queue<E> k() {
        return (Queue<E>) f9518q6;
    }

    /* access modifiers changed from: package-private */
    public boolean A(t<K, V> tVar, long j7) {
        Preconditions.checkNotNull(tVar);
        if (!n() || j7 - tVar.s() < this.X5) {
            return o() && j7 - tVar.p() >= this.Y5;
        }
        return true;
    }

    /* access modifiers changed from: package-private */
    @m0.d
    public boolean B(t<K, V> tVar, long j7) {
        return Z(tVar.h()).z(tVar, j7) != null;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r6v0, resolved type: com.google.common.cache.n<K, V> */
    /* JADX WARN: Multi-variable type inference failed */
    /* access modifiers changed from: package-private */
    public Map<K, V> F(Set<? extends K> set, f<? super K, V> fVar) throws ExecutionException {
        Throwable th;
        Preconditions.checkNotNull(fVar);
        Preconditions.checkNotNull(set);
        Stopwatch createStarted = Stopwatch.createStarted();
        boolean z7 = true;
        boolean z8 = false;
        try {
            Map map = (Map<? super K, V>) fVar.e(set);
            if (map != null) {
                createStarted.stop();
                for (Map.Entry<K, V> entry : map.entrySet()) {
                    K key = entry.getKey();
                    V value = entry.getValue();
                    if (key == null || value == null) {
                        z8 = true;
                    } else {
                        put(key, value);
                    }
                }
                a.b bVar = this.f9523e6;
                if (!z8) {
                    bVar.e(createStarted.elapsed(TimeUnit.NANOSECONDS));
                    return map;
                }
                bVar.d(createStarted.elapsed(TimeUnit.NANOSECONDS));
                throw new f.c(fVar + " returned null keys or values from loadAll");
            }
            this.f9523e6.d(createStarted.elapsed(TimeUnit.NANOSECONDS));
            throw new f.c(fVar + " returned null map from loadAll");
        } catch (f.e e7) {
            throw e7;
        } catch (InterruptedException e8) {
            Thread.currentThread().interrupt();
            throw new ExecutionException(e8);
        } catch (RuntimeException e9) {
            throw new c2(e9);
        } catch (Exception e10) {
            throw new ExecutionException(e10);
        } catch (Error e11) {
            throw new com.google.common.util.concurrent.g0(e11);
        } catch (Throwable th2) {
            th = th2;
        }
        if (!z7) {
            this.f9523e6.d(createStarted.elapsed(TimeUnit.NANOSECONDS));
        }
        throw th;
    }

    /* access modifiers changed from: package-private */
    public long G() {
        r<K, V>[] rVarArr;
        long j7 = 0;
        for (r<K, V> rVar : this.f9530p) {
            j7 += (long) Math.max(0, rVar.f9596g);
        }
        return j7;
    }

    /* access modifiers changed from: package-private */
    @m0.d
    public t<K, V> H(K k7, int i7, t<K, V> tVar) {
        r<K, V> Z = Z(i7);
        Z.lock();
        try {
            return Z.G(k7, i7, tVar);
        } finally {
            Z.unlock();
        }
    }

    /* access modifiers changed from: package-private */
    public final r<K, V>[] I(int i7) {
        return new r[i7];
    }

    /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: com.google.common.cache.n$t */
    /* JADX WARN: Multi-variable type inference failed */
    /* access modifiers changed from: package-private */
    @m0.d
    public a0<K, V> K(t<K, V> tVar, V v7, int i7) {
        return this.U5.b(Z(tVar.h()), tVar, Preconditions.checkNotNull(v7), i7);
    }

    /* access modifiers changed from: package-private */
    public void O() {
        while (true) {
            x<K, V> poll = this.f9519a6.poll();
            if (poll != null) {
                try {
                    this.f9520b6.a(poll);
                } catch (Throwable th) {
                    f9516o6.log(Level.WARNING, "Exception thrown by removal listener", th);
                }
            } else {
                return;
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void P(t<K, V> tVar) {
        int h7 = tVar.h();
        Z(h7).M(tVar, h7);
    }

    /* access modifiers changed from: package-private */
    public void Q(a0<K, V> a0Var) {
        t<K, V> a8 = a0Var.a();
        int h7 = a8.h();
        Z(h7).N(a8.getKey(), h7, a0Var);
    }

    /* access modifiers changed from: package-private */
    public boolean R() {
        return n();
    }

    /* access modifiers changed from: package-private */
    public boolean S() {
        return T() || R();
    }

    /* access modifiers changed from: package-private */
    public boolean T() {
        return o() || V();
    }

    /* access modifiers changed from: package-private */
    public void U(K k7) {
        int y7 = y(Preconditions.checkNotNull(k7));
        Z(y7).R(k7, y7, this.f9525f6, false);
    }

    /* access modifiers changed from: package-private */
    public boolean V() {
        return this.Z5 > 0;
    }

    /* access modifiers changed from: package-private */
    public boolean X(BiPredicate<? super K, ? super V> biPredicate) {
        Preconditions.checkNotNull(biPredicate);
        boolean z7 = false;
        for (K k7 : keySet()) {
            while (true) {
                V v7 = get(k7);
                if (v7 != null && biPredicate.test(k7, v7)) {
                    if (remove(k7, v7)) {
                        z7 = true;
                        break;
                    }
                } else {
                    break;
                }
            }
        }
        return z7;
    }

    /* access modifiers changed from: package-private */
    public r<K, V> Z(int i7) {
        return this.f9530p[this.f9524f & (i7 >>> this.f9526g)];
    }

    /* access modifiers changed from: package-private */
    public boolean c0() {
        return d0() || R();
    }

    public void clear() {
        for (r<K, V> rVar : this.f9530p) {
            rVar.b();
        }
    }

    @Override // java.util.Map, java.util.concurrent.ConcurrentMap
    public V compute(K k7, BiFunction<? super K, ? super V, ? extends V> biFunction) {
        Preconditions.checkNotNull(k7);
        Preconditions.checkNotNull(biFunction);
        int y7 = y(k7);
        return Z(y7).f(k7, y7, biFunction);
    }

    @Override // java.util.Map, java.util.concurrent.ConcurrentMap
    public V computeIfAbsent(K k7, java.util.function.Function<? super K, ? extends V> function) {
        Preconditions.checkNotNull(k7);
        Preconditions.checkNotNull(function);
        return compute(k7, new k(function, k7));
    }

    @Override // java.util.Map, java.util.concurrent.ConcurrentMap
    public V computeIfPresent(K k7, BiFunction<? super K, ? super V, ? extends V> biFunction) {
        Preconditions.checkNotNull(k7);
        Preconditions.checkNotNull(biFunction);
        return compute(k7, new l(biFunction));
    }

    public boolean containsKey(Object obj) {
        if (obj == null) {
            return false;
        }
        int y7 = y(obj);
        return Z(y7).g(obj, y7);
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r12v0 */
    /* JADX WARN: Type inference failed for: r12v1 */
    /* JADX WARN: Type inference failed for: r15v0 */
    /* JADX WARN: Type inference failed for: r15v1, types: [int] */
    public boolean containsValue(Object obj) {
        boolean z7 = false;
        if (obj == null) {
            return false;
        }
        long read = this.f9521c6.read();
        r<K, V>[] rVarArr = this.f9530p;
        long j7 = -1;
        int i7 = 0;
        while (i7 < 3) {
            int length = rVarArr.length;
            long j8 = 0;
            int i8 = z7;
            while (i8 < length) {
                r<K, V> rVar = rVarArr[i8 == true ? 1 : 0];
                int i9 = rVar.f9596g;
                AtomicReferenceArray<t<K, V>> atomicReferenceArray = rVar.C1;
                int i10 = z7;
                while (i10 < atomicReferenceArray.length()) {
                    t<K, V> tVar = atomicReferenceArray.get(i10 == true ? 1 : 0);
                    while (tVar != null) {
                        V z8 = rVar.z(tVar, read);
                        if (z8 != null && this.C1.equivalent(obj, z8)) {
                            return true;
                        }
                        tVar = tVar.i();
                        rVarArr = rVarArr;
                        read = read;
                    }
                    i10++;
                }
                j8 += (long) rVar.f9598x;
                read = read;
                z7 = false;
                i8 = (i8 == true ? 1 : 0) + 1;
            }
            if (j8 == j7) {
                return false;
            }
            i7++;
            j7 = j8;
            rVarArr = rVarArr;
            read = read;
            z7 = false;
        }
        return z7;
    }

    /* access modifiers changed from: package-private */
    public boolean d0() {
        return n() || l();
    }

    public void e() {
        for (r<K, V> rVar : this.f9530p) {
            rVar.a();
        }
    }

    /* access modifiers changed from: package-private */
    public boolean e0() {
        return this.C2 != t.STRONG;
    }

    @Override // java.util.AbstractMap, java.util.Map
    @m0.c
    public Set<Map.Entry<K, V>> entrySet() {
        Set<Map.Entry<K, V>> set = this.f9529i6;
        if (set != null) {
            return set;
        }
        h hVar = new h(this);
        this.f9529i6 = hVar;
        return hVar;
    }

    /* access modifiers changed from: package-private */
    public boolean f0() {
        return this.U5 != t.STRONG;
    }

    /* access modifiers changed from: package-private */
    public boolean g0() {
        return h0() || T();
    }

    @Override // java.util.AbstractMap, java.util.Map
    public V get(Object obj) {
        if (obj == null) {
            return null;
        }
        int y7 = y(obj);
        return Z(y7).t(obj, y7);
    }

    @Override // java.util.Map, java.util.concurrent.ConcurrentMap
    public V getOrDefault(Object obj, V v7) {
        V v8 = get(obj);
        return v8 != null ? v8 : v7;
    }

    /* access modifiers changed from: package-private */
    @m0.d
    public t<K, V> h(t<K, V> tVar, t<K, V> tVar2) {
        return Z(tVar.h()).i(tVar, tVar2);
    }

    /* access modifiers changed from: package-private */
    public boolean h0() {
        return o();
    }

    /* access modifiers changed from: package-private */
    public r<K, V> i(int i7, long j7, a.b bVar) {
        return new r<>(this, i7, j7, bVar);
    }

    public boolean isEmpty() {
        r<K, V>[] rVarArr = this.f9530p;
        long j7 = 0;
        for (int i7 = 0; i7 < rVarArr.length; i7++) {
            if (rVarArr[i7].f9596g != 0) {
                return false;
            }
            j7 += (long) rVarArr[i7].f9598x;
        }
        if (j7 == 0) {
            return true;
        }
        for (int i8 = 0; i8 < rVarArr.length; i8++) {
            if (rVarArr[i8].f9596g != 0) {
                return false;
            }
            j7 -= (long) rVarArr[i8].f9598x;
        }
        return j7 == 0;
    }

    /* access modifiers changed from: package-private */
    public boolean j() {
        return this.W5 != d.e.INSTANCE;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public Set<K> keySet() {
        Set<K> set = this.f9527g6;
        if (set != null) {
            return set;
        }
        k kVar = new k(this);
        this.f9527g6 = kVar;
        return kVar;
    }

    /* access modifiers changed from: package-private */
    public boolean l() {
        return this.V5 >= 0;
    }

    /* access modifiers changed from: package-private */
    public boolean m() {
        return o() || n();
    }

    @Override // java.util.Map, java.util.concurrent.ConcurrentMap
    public V merge(K k7, V v7, BiFunction<? super V, ? super V, ? extends V> biFunction) {
        Preconditions.checkNotNull(k7);
        Preconditions.checkNotNull(v7);
        Preconditions.checkNotNull(biFunction);
        return compute(k7, new m(v7, biFunction));
    }

    /* access modifiers changed from: package-private */
    public boolean n() {
        return this.X5 > 0;
    }

    /* access modifiers changed from: package-private */
    public boolean o() {
        return this.Y5 > 0;
    }

    /* access modifiers changed from: package-private */
    public V p(K k7, f<? super K, V> fVar) throws ExecutionException {
        int y7 = y(Preconditions.checkNotNull(k7));
        return Z(y7).u(k7, y7, fVar);
    }

    @Override // java.util.AbstractMap, java.util.Map
    public V put(K k7, V v7) {
        Preconditions.checkNotNull(k7);
        Preconditions.checkNotNull(v7);
        int y7 = y(k7);
        return Z(y7).L(k7, y7, v7, false);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: com.google.common.cache.n<K, V> */
    /* JADX WARN: Multi-variable type inference failed */
    @Override // java.util.AbstractMap, java.util.Map
    public void putAll(Map<? extends K, ? extends V> map) {
        for (Map.Entry<? extends K, ? extends V> entry : map.entrySet()) {
            put(entry.getKey(), entry.getValue());
        }
    }

    @Override // java.util.Map, java.util.concurrent.ConcurrentMap
    public V putIfAbsent(K k7, V v7) {
        Preconditions.checkNotNull(k7);
        Preconditions.checkNotNull(v7);
        int y7 = y(k7);
        return Z(y7).L(k7, y7, v7, true);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r7v0, resolved type: com.google.common.cache.n<K, V> */
    /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: java.util.LinkedHashMap */
    /* JADX WARN: Multi-variable type inference failed */
    /* access modifiers changed from: package-private */
    public h6<K, V> q(Iterable<? extends K> iterable) throws ExecutionException {
        LinkedHashMap m02 = v9.m0();
        LinkedHashSet A = jc.A();
        int i7 = 0;
        int i8 = i7;
        for (Object obj : iterable) {
            Object obj2 = get(obj);
            if (!m02.containsKey(obj)) {
                m02.put(obj, obj2);
                if (obj2 == null) {
                    i8++;
                    A.add(obj);
                } else {
                    i7++;
                }
            }
        }
        try {
            if (!A.isEmpty()) {
                try {
                    Map F = F(A, this.f9525f6);
                    for (Object obj3 : A) {
                        Object obj4 = F.get(obj3);
                        if (obj4 != null) {
                            m02.put(obj3, obj4);
                        } else {
                            throw new f.c("loadAll failed to return a value for " + obj3);
                        }
                    }
                } catch (f.e unused) {
                    for (Object obj5 : A) {
                        i8--;
                        m02.put(obj5, p(obj5, this.f9525f6));
                    }
                }
            }
            h6<K, V> g7 = h6.g(m02);
            return g7;
        } finally {
            this.f9523e6.b(i7);
            this.f9523e6.c(i8);
        }
    }

    /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: java.util.LinkedHashMap */
    /* JADX WARN: Multi-variable type inference failed */
    /* access modifiers changed from: package-private */
    public h6<K, V> r(Iterable<?> iterable) {
        LinkedHashMap m02 = v9.m0();
        int i7 = 0;
        int i8 = 0;
        for (Object obj : iterable) {
            V v7 = get(obj);
            if (v7 == null) {
                i8++;
            } else {
                m02.put(obj, v7);
                i7++;
            }
        }
        this.f9523e6.b(i7);
        this.f9523e6.c(i8);
        return h6.g(m02);
    }

    @Override // java.util.AbstractMap, java.util.Map
    public V remove(Object obj) {
        if (obj == null) {
            return null;
        }
        int y7 = y(obj);
        return Z(y7).S(obj, y7);
    }

    @Override // java.util.Map, java.util.concurrent.ConcurrentMap
    public V replace(K k7, V v7) {
        Preconditions.checkNotNull(k7);
        Preconditions.checkNotNull(v7);
        int y7 = y(k7);
        return Z(y7).a0(k7, y7, v7);
    }

    /* access modifiers changed from: package-private */
    public t<K, V> s(Object obj) {
        if (obj == null) {
            return null;
        }
        int y7 = y(obj);
        return Z(y7).w(obj, y7);
    }

    public int size() {
        return com.google.common.primitives.l.x(G());
    }

    public V t(Object obj) {
        int y7 = y(Preconditions.checkNotNull(obj));
        V t7 = Z(y7).t(obj, y7);
        a.b bVar = this.f9523e6;
        if (t7 == null) {
            bVar.c(1);
        } else {
            bVar.b(1);
        }
        return t7;
    }

    /* access modifiers changed from: package-private */
    public V v(t<K, V> tVar, long j7) {
        V v7;
        if (tVar.getKey() == null || (v7 = tVar.j().get()) == null || A(tVar, j7)) {
            return null;
        }
        return v7;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public Collection<V> values() {
        Collection<V> collection = this.f9528h6;
        if (collection != null) {
            return collection;
        }
        b0 b0Var = new b0(this);
        this.f9528h6 = b0Var;
        return b0Var;
    }

    /* access modifiers changed from: package-private */
    public V x(K k7) throws ExecutionException {
        return p(k7, this.f9525f6);
    }

    /* access modifiers changed from: package-private */
    public int y(Object obj) {
        return W(this.f9532y.hash(obj));
    }

    /* access modifiers changed from: package-private */
    public void z(Iterable<?> iterable) {
        Iterator<?> it = iterable.iterator();
        while (it.hasNext()) {
            remove(it.next());
        }
    }

    public boolean remove(Object obj, Object obj2) {
        if (obj == null || obj2 == null) {
            return false;
        }
        int y7 = y(obj);
        return Z(y7).T(obj, y7, obj2);
    }

    @Override // java.util.Map, java.util.concurrent.ConcurrentMap
    public boolean replace(K k7, V v7, V v8) {
        Preconditions.checkNotNull(k7);
        Preconditions.checkNotNull(v8);
        if (v7 == null) {
            return false;
        }
        int y7 = y(k7);
        return Z(y7).b0(k7, y7, v7, v8);
    }
}
