package com.google.common.collect;

import com.google.common.base.Objects;
import com.google.common.base.Preconditions;
import e1.h;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.io.Serializable;
import java.util.Collection;
import java.util.Iterator;
import java.util.Map;
import java.util.Set;
import java.util.function.BiFunction;

/* access modifiers changed from: package-private */
@m0.b(emulated = true)
public abstract class a<K, V> extends l4<K, V> implements h0<K, V>, Serializable {
    @m0.c
    private static final long C1 = 0;

    /* renamed from: f  reason: collision with root package name */
    private transient Map<K, V> f9654f;
    @h

    /* renamed from: g  reason: collision with root package name */
    transient a<V, K> f9655g;

    /* renamed from: p  reason: collision with root package name */
    private transient Set<K> f9656p;

    /* renamed from: x  reason: collision with root package name */
    private transient Set<V> f9657x;

    /* renamed from: y  reason: collision with root package name */
    private transient Set<Map.Entry<K, V>> f9658y;

    /* access modifiers changed from: package-private */
    /* renamed from: com.google.common.collect.a$a  reason: collision with other inner class name */
    public class C0112a implements Iterator<Map.Entry<K, V>> {

        /* renamed from: f  reason: collision with root package name */
        Map.Entry<K, V> f9659f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ Iterator f9660g;

        C0112a(Iterator it) {
            this.f9660g = it;
        }

        /* renamed from: a */
        public Map.Entry<K, V> next() {
            Map.Entry<K, V> entry = (Map.Entry) this.f9660g.next();
            this.f9659f = entry;
            return new b(entry);
        }

        public boolean hasNext() {
            return this.f9660g.hasNext();
        }

        public void remove() {
            t1.e(this.f9659f != null);
            V value = this.f9659f.getValue();
            this.f9660g.remove();
            a.this.Y1(value);
            this.f9659f = null;
        }
    }

    /* access modifiers changed from: package-private */
    public class b extends m4<K, V> {

        /* renamed from: f  reason: collision with root package name */
        private final Map.Entry<K, V> f9662f;

        b(Map.Entry<K, V> entry) {
            this.f9662f = entry;
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.collect.m4
        /* renamed from: E1 */
        public Map.Entry<K, V> D1() {
            return this.f9662f;
        }

        @Override // java.util.Map.Entry, com.google.common.collect.m4
        public V setValue(V v7) {
            a.this.T1(v7);
            Preconditions.checkState(a.this.entrySet().contains(this), "entry no longer in map");
            if (Objects.equal(v7, getValue())) {
                return v7;
            }
            Preconditions.checkArgument(!a.this.containsValue(v7), "value already present: %s", v7);
            V value = this.f9662f.setValue(v7);
            Preconditions.checkState(Objects.equal(v7, a.this.get(getKey())), "entry no longer in map");
            a.this.b2(getKey(), true, value, v7);
            return value;
        }
    }

    /* access modifiers changed from: private */
    public class c extends t4<Map.Entry<K, V>> {

        /* renamed from: f  reason: collision with root package name */
        final Set<Map.Entry<K, V>> f9664f;

        private c() {
            this.f9664f = a.this.f9654f.entrySet();
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.collect.t4
        /* renamed from: Q1 */
        public Set<Map.Entry<K, V>> E1() {
            return this.f9664f;
        }

        @Override // com.google.common.collect.a4
        public void clear() {
            a.this.clear();
        }

        @Override // com.google.common.collect.a4
        public boolean contains(Object obj) {
            return v9.u(E1(), obj);
        }

        @Override // java.util.Collection, java.util.Set, com.google.common.collect.a4
        public boolean containsAll(Collection<?> collection) {
            return I1(collection);
        }

        @Override // java.util.Collection, java.util.Set, java.lang.Iterable, com.google.common.collect.a4
        public Iterator<Map.Entry<K, V>> iterator() {
            return a.this.U1();
        }

        @Override // com.google.common.collect.a4
        public boolean remove(Object obj) {
            if (!this.f9664f.contains(obj)) {
                return false;
            }
            Map.Entry entry = (Map.Entry) obj;
            ((a) a.this.f9655g).f9654f.remove(entry.getValue());
            this.f9664f.remove(entry);
            return true;
        }

        @Override // java.util.Collection, java.util.Set, com.google.common.collect.a4
        public boolean removeAll(Collection<?> collection) {
            return L1(collection);
        }

        @Override // java.util.Collection, java.util.Set, com.google.common.collect.a4
        public boolean retainAll(Collection<?> collection) {
            return M1(collection);
        }

        @Override // com.google.common.collect.a4
        public Object[] toArray() {
            return N1();
        }

        /* synthetic */ c(a aVar, C0112a aVar2) {
            this();
        }

        @Override // java.util.Collection, java.util.Set, com.google.common.collect.a4
        public <T> T[] toArray(T[] tArr) {
            return (T[]) O1(tArr);
        }
    }

    /* access modifiers changed from: package-private */
    public static class d<K, V> extends a<K, V> {
        @m0.c
        private static final long C2 = 0;

        d(Map<K, V> map, a<V, K> aVar) {
            super(map, aVar, null);
        }

        @m0.c
        private void c2(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException {
            objectInputStream.defaultReadObject();
            a2((a) objectInputStream.readObject());
        }

        @m0.c
        private void e2(ObjectOutputStream objectOutputStream) throws IOException {
            objectOutputStream.defaultWriteObject();
            objectOutputStream.writeObject(p1());
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.collect.a, com.google.common.collect.l4, com.google.common.collect.r4
        public /* bridge */ /* synthetic */ Object D1() {
            return a.super.D1();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.a
        public K S1(K k7) {
            return this.f9655g.T1(k7);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.a
        public V T1(V v7) {
            return this.f9655g.S1(v7);
        }

        /* access modifiers changed from: package-private */
        @m0.c
        public Object d2() {
            return p1().p1();
        }

        @Override // java.util.Map, com.google.common.collect.a, com.google.common.collect.a, com.google.common.collect.l4, com.google.common.collect.h0, com.google.common.collect.h0
        public /* bridge */ /* synthetic */ Collection values() {
            return a.super.values();
        }
    }

    /* access modifiers changed from: private */
    public class e extends t4<K> {
        private e() {
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.collect.t4
        /* renamed from: Q1 */
        public Set<K> E1() {
            return a.this.f9654f.keySet();
        }

        @Override // com.google.common.collect.a4
        public void clear() {
            a.this.clear();
        }

        @Override // java.util.Collection, java.util.Set, java.lang.Iterable, com.google.common.collect.a4
        public Iterator<K> iterator() {
            return v9.X(a.this.entrySet().iterator());
        }

        @Override // com.google.common.collect.a4
        public boolean remove(Object obj) {
            if (!contains(obj)) {
                return false;
            }
            a.this.X1(obj);
            return true;
        }

        @Override // java.util.Collection, java.util.Set, com.google.common.collect.a4
        public boolean removeAll(Collection<?> collection) {
            return L1(collection);
        }

        @Override // java.util.Collection, java.util.Set, com.google.common.collect.a4
        public boolean retainAll(Collection<?> collection) {
            return M1(collection);
        }

        /* synthetic */ e(a aVar, C0112a aVar2) {
            this();
        }
    }

    /* access modifiers changed from: private */
    public class f extends t4<V> {

        /* renamed from: f  reason: collision with root package name */
        final Set<V> f9667f;

        private f() {
            this.f9667f = a.this.f9655g.keySet();
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.collect.t4
        /* renamed from: Q1 */
        public Set<V> E1() {
            return this.f9667f;
        }

        @Override // java.util.Collection, java.util.Set, java.lang.Iterable, com.google.common.collect.a4
        public Iterator<V> iterator() {
            return v9.a1(a.this.entrySet().iterator());
        }

        @Override // com.google.common.collect.a4
        public Object[] toArray() {
            return N1();
        }

        @Override // com.google.common.collect.r4
        public String toString() {
            return P1();
        }

        /* synthetic */ f(a aVar, C0112a aVar2) {
            this();
        }

        @Override // java.util.Collection, java.util.Set, com.google.common.collect.a4
        public <T> T[] toArray(T[] tArr) {
            return (T[]) O1(tArr);
        }
    }

    private a(Map<K, V> map, a<V, K> aVar) {
        this.f9654f = map;
        this.f9655g = aVar;
    }

    private V W1(K k7, V v7, boolean z7) {
        S1(k7);
        T1(v7);
        boolean containsKey = containsKey(k7);
        if (containsKey && Objects.equal(v7, get(k7))) {
            return v7;
        }
        if (z7) {
            p1().remove(v7);
        } else {
            Preconditions.checkArgument(!containsValue(v7), "value already present: %s", v7);
        }
        V put = this.f9654f.put(k7, v7);
        b2(k7, containsKey, put, v7);
        return put;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    @p0.a
    private V X1(Object obj) {
        V remove = this.f9654f.remove(obj);
        Y1(remove);
        return remove;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void Y1(V v7) {
        this.f9655g.f9654f.remove(v7);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void b2(K k7, boolean z7, V v7, V v8) {
        if (z7) {
            Y1(v7);
        }
        this.f9655g.f9654f.put(v8, k7);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.common.collect.l4
    /* renamed from: E1 */
    public Map<K, V> D1() {
        return this.f9654f;
    }

    /* access modifiers changed from: package-private */
    @p0.a
    public K S1(K k7) {
        return k7;
    }

    /* access modifiers changed from: package-private */
    @p0.a
    public V T1(V v7) {
        return v7;
    }

    /* access modifiers changed from: package-private */
    public Iterator<Map.Entry<K, V>> U1() {
        return new C0112a(this.f9654f.entrySet().iterator());
    }

    /* access modifiers changed from: package-private */
    public a<V, K> V1(Map<V, K> map) {
        return new d(map, this);
    }

    /* access modifiers changed from: package-private */
    public void Z1(Map<K, V> map, Map<V, K> map2) {
        boolean z7 = true;
        Preconditions.checkState(this.f9654f == null);
        Preconditions.checkState(this.f9655g == null);
        Preconditions.checkArgument(map.isEmpty());
        Preconditions.checkArgument(map2.isEmpty());
        if (map == map2) {
            z7 = false;
        }
        Preconditions.checkArgument(z7);
        this.f9654f = map;
        this.f9655g = V1(map2);
    }

    /* access modifiers changed from: package-private */
    public void a2(a<V, K> aVar) {
        this.f9655g = aVar;
    }

    @Override // com.google.common.collect.l4
    public void clear() {
        this.f9654f.clear();
        this.f9655g.f9654f.clear();
    }

    @Override // com.google.common.collect.l4
    public boolean containsValue(Object obj) {
        return this.f9655g.containsKey(obj);
    }

    @Override // java.util.Map, com.google.common.collect.l4
    public Set<Map.Entry<K, V>> entrySet() {
        Set<Map.Entry<K, V>> set = this.f9658y;
        if (set != null) {
            return set;
        }
        c cVar = new c(this, null);
        this.f9658y = cVar;
        return cVar;
    }

    @Override // com.google.common.collect.h0
    @p0.a
    public V k0(K k7, V v7) {
        return W1(k7, v7, true);
    }

    @Override // java.util.Map, com.google.common.collect.l4
    public Set<K> keySet() {
        Set<K> set = this.f9656p;
        if (set != null) {
            return set;
        }
        e eVar = new e(this, null);
        this.f9656p = eVar;
        return eVar;
    }

    @Override // com.google.common.collect.h0
    public h0<V, K> p1() {
        return this.f9655g;
    }

    @Override // java.util.Map, com.google.common.collect.l4, com.google.common.collect.h0
    @p0.a
    public V put(K k7, V v7) {
        return W1(k7, v7, false);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: com.google.common.collect.a<K, V> */
    /* JADX WARN: Multi-variable type inference failed */
    @Override // java.util.Map, com.google.common.collect.l4, com.google.common.collect.h0
    public void putAll(Map<? extends K, ? extends V> map) {
        for (Map.Entry<? extends K, ? extends V> entry : map.entrySet()) {
            put(entry.getKey(), entry.getValue());
        }
    }

    @Override // java.util.Map, com.google.common.collect.l4
    @p0.a
    public V remove(Object obj) {
        if (containsKey(obj)) {
            return X1(obj);
        }
        return null;
    }

    @Override // java.util.Map
    public void replaceAll(BiFunction<? super K, ? super V, ? extends V> biFunction) {
        this.f9654f.replaceAll(biFunction);
        this.f9655g.f9654f.clear();
        Iterator<Map.Entry<K, V>> it = this.f9654f.entrySet().iterator();
        Map.Entry<K, V> entry = null;
        while (it.hasNext()) {
            Map.Entry<K, V> next = it.next();
            K key = next.getKey();
            if (this.f9655g.f9654f.putIfAbsent(next.getValue(), key) != null) {
                it.remove();
                entry = next;
            }
        }
        if (entry != null) {
            throw new IllegalArgumentException("value already present: " + ((Object) entry.getValue()));
        }
    }

    /* synthetic */ a(Map map, a aVar, C0112a aVar2) {
        this(map, aVar);
    }

    @Override // java.util.Map, com.google.common.collect.l4, com.google.common.collect.h0, com.google.common.collect.h0
    public Set<V> values() {
        Set<V> set = this.f9657x;
        if (set != null) {
            return set;
        }
        f fVar = new f(this, null);
        this.f9657x = fVar;
        return fVar;
    }

    a(Map<K, V> map, Map<V, K> map2) {
        Z1(map, map2);
    }
}
