package com.google.common.collect;

import com.google.common.base.Objects;
import com.google.common.base.Preconditions;
import java.io.Serializable;
import java.util.Comparator;
import m0.b;

/* access modifiers changed from: package-private */
@b(serializable = true)
public final class a5<T> implements Serializable {
    private final T C1;
    private final i0 C2;
    private transient a5<T> U5;

    /* renamed from: f  reason: collision with root package name */
    private final Comparator<? super T> f9671f;

    /* renamed from: g  reason: collision with root package name */
    private final boolean f9672g;

    /* renamed from: p  reason: collision with root package name */
    private final T f9673p;

    /* renamed from: x  reason: collision with root package name */
    private final i0 f9674x;

    /* renamed from: y  reason: collision with root package name */
    private final boolean f9675y;

    private a5(Comparator<? super T> comparator, boolean z7, T t7, i0 i0Var, boolean z8, T t8, i0 i0Var2) {
        this.f9671f = (Comparator) Preconditions.checkNotNull(comparator);
        this.f9672g = z7;
        this.f9675y = z8;
        this.f9673p = t7;
        this.f9674x = (i0) Preconditions.checkNotNull(i0Var);
        this.C1 = t8;
        this.C2 = (i0) Preconditions.checkNotNull(i0Var2);
        if (z7) {
            comparator.compare(t7, t7);
        }
        if (z8) {
            comparator.compare(t8, t8);
        }
        if (z7 && z8) {
            int compare = comparator.compare(t7, t8);
            boolean z9 = true;
            Preconditions.checkArgument(compare <= 0, "lowerEndpoint (%s) > upperEndpoint (%s)", t7, t8);
            if (compare == 0) {
                i0 i0Var3 = i0.OPEN;
                Preconditions.checkArgument((i0Var != i0Var3) | (i0Var2 == i0Var3 ? false : z9));
            }
        }
    }

    static <T> a5<T> a(Comparator<? super T> comparator) {
        i0 i0Var = i0.OPEN;
        return new a5<>(comparator, false, null, i0Var, false, null, i0Var);
    }

    static <T> a5<T> d(Comparator<? super T> comparator, T t7, i0 i0Var) {
        return new a5<>(comparator, true, t7, i0Var, false, null, i0.OPEN);
    }

    static <T extends Comparable> a5<T> e(ob<T> obVar) {
        T t7 = null;
        T B = obVar.t() ? obVar.B() : null;
        i0 A = obVar.t() ? obVar.A() : i0.OPEN;
        if (obVar.u()) {
            t7 = obVar.N();
        }
        return new a5<>(kb.B(), obVar.t(), B, A, obVar.u(), t7, obVar.u() ? obVar.M() : i0.OPEN);
    }

    static <T> a5<T> p(Comparator<? super T> comparator, T t7, i0 i0Var, T t8, i0 i0Var2) {
        return new a5<>(comparator, true, t7, i0Var, true, t8, i0Var2);
    }

    static <T> a5<T> t(Comparator<? super T> comparator, T t7, i0 i0Var) {
        return new a5<>(comparator, false, null, i0.OPEN, true, t7, i0Var);
    }

    /* access modifiers changed from: package-private */
    public Comparator<? super T> b() {
        return this.f9671f;
    }

    /* access modifiers changed from: package-private */
    public boolean c(T t7) {
        return !s(t7) && !r(t7);
    }

    public boolean equals(Object obj) {
        if (!(obj instanceof a5)) {
            return false;
        }
        a5 a5Var = (a5) obj;
        return this.f9671f.equals(a5Var.f9671f) && this.f9672g == a5Var.f9672g && this.f9675y == a5Var.f9675y && f().equals(a5Var.f()) && h().equals(a5Var.h()) && Objects.equal(g(), a5Var.g()) && Objects.equal(i(), a5Var.i());
    }

    /* access modifiers changed from: package-private */
    public i0 f() {
        return this.f9674x;
    }

    /* access modifiers changed from: package-private */
    public T g() {
        return this.f9673p;
    }

    /* access modifiers changed from: package-private */
    public i0 h() {
        return this.C2;
    }

    public int hashCode() {
        return Objects.hashCode(this.f9671f, g(), f(), i(), h());
    }

    /* access modifiers changed from: package-private */
    public T i() {
        return this.C1;
    }

    /* access modifiers changed from: package-private */
    public boolean j() {
        return this.f9672g;
    }

    /* access modifiers changed from: package-private */
    public boolean k() {
        return this.f9675y;
    }

    /* access modifiers changed from: package-private */
    /* JADX WARNING: Code restructure failed: missing block: B:10:0x0047, code lost:
        if (r12.f() == com.google.common.collect.i0.OPEN) goto L_0x0020;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:21:0x0084, code lost:
        if (r12.h() == com.google.common.collect.i0.OPEN) goto L_0x005d;
     */
    /* JADX WARNING: Removed duplicated region for block: B:13:0x005b  */
    /* JADX WARNING: Removed duplicated region for block: B:15:0x0066  */
    /* JADX WARNING: Removed duplicated region for block: B:24:0x008b A[ADDED_TO_REGION] */
    public a5<T> m(a5<T> a5Var) {
        i0 i0Var;
        i0 i0Var2;
        T t7;
        int compare;
        i0 i0Var3;
        Preconditions.checkNotNull(a5Var);
        Preconditions.checkArgument(this.f9671f.equals(a5Var.f9671f));
        boolean z7 = this.f9672g;
        T g7 = g();
        i0 f7 = f();
        if (!j()) {
            z7 = a5Var.f9672g;
        } else {
            if (a5Var.j()) {
                int compare2 = this.f9671f.compare(g(), a5Var.g());
                if (compare2 >= 0) {
                    if (compare2 == 0) {
                    }
                }
            }
            boolean z8 = this.f9675y;
            T i7 = i();
            i0 h7 = h();
            if (k()) {
                z8 = a5Var.f9675y;
            } else {
                if (a5Var.k()) {
                    int compare3 = this.f9671f.compare(i(), a5Var.i());
                    if (compare3 <= 0) {
                        if (compare3 == 0) {
                        }
                    }
                }
                if (z7 || !z8 || ((compare = this.f9671f.compare(g7, i7)) <= 0 && !(compare == 0 && f7 == (i0Var3 = i0.OPEN) && h7 == i0Var3))) {
                    t7 = g7;
                    i0Var2 = f7;
                    i0Var = h7;
                } else {
                    i0Var2 = i0.OPEN;
                    i0Var = i0.CLOSED;
                    t7 = i7;
                }
                return new a5<>(this.f9671f, z7, t7, i0Var2, z8, i7, i0Var);
            }
            i7 = a5Var.i();
            h7 = a5Var.h();
            if (z7) {
            }
            t7 = g7;
            i0Var2 = f7;
            i0Var = h7;
            return new a5<>(this.f9671f, z7, t7, i0Var2, z8, i7, i0Var);
        }
        g7 = a5Var.g();
        f7 = a5Var.f();
        boolean z82 = this.f9675y;
        T i72 = i();
        i0 h72 = h();
        if (k()) {
        }
        i72 = a5Var.i();
        h72 = a5Var.h();
        if (z7) {
        }
        t7 = g7;
        i0Var2 = f7;
        i0Var = h72;
        return new a5<>(this.f9671f, z7, t7, i0Var2, z82, i72, i0Var);
    }

    /* access modifiers changed from: package-private */
    public boolean n() {
        return (k() && s(i())) || (j() && r(g()));
    }

    /* access modifiers changed from: package-private */
    public a5<T> q() {
        a5<T> a5Var = this.U5;
        if (a5Var != null) {
            return a5Var;
        }
        a5<T> a5Var2 = new a5<>(kb.i(this.f9671f).G(), this.f9675y, i(), h(), this.f9672g, g(), f());
        a5Var2.U5 = this;
        this.U5 = a5Var2;
        return a5Var2;
    }

    /* access modifiers changed from: package-private */
    public boolean r(T t7) {
        boolean z7 = false;
        if (!k()) {
            return false;
        }
        int compare = this.f9671f.compare(t7, i());
        boolean z8 = compare > 0;
        boolean z9 = compare == 0;
        if (h() == i0.OPEN) {
            z7 = true;
        }
        return (z9 & z7) | z8;
    }

    /* access modifiers changed from: package-private */
    public boolean s(T t7) {
        boolean z7 = false;
        if (!j()) {
            return false;
        }
        int compare = this.f9671f.compare(t7, g());
        boolean z8 = compare < 0;
        boolean z9 = compare == 0;
        if (f() == i0.OPEN) {
            z7 = true;
        }
        return (z9 & z7) | z8;
    }

    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(this.f9671f);
        sb.append(":");
        i0 i0Var = this.f9674x;
        i0 i0Var2 = i0.CLOSED;
        sb.append(i0Var == i0Var2 ? '[' : '(');
        sb.append(this.f9672g ? this.f9673p : "-∞");
        sb.append(',');
        sb.append(this.f9675y ? this.C1 : "∞");
        sb.append(this.C2 == i0Var2 ? ']' : ')');
        return sb.toString();
    }
}
