package com.google.common.collect;

import com.google.common.base.Preconditions;
import com.google.common.collect.t5;
import com.google.common.collect.ya;
import com.google.common.collect.z6;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collection;
import java.util.Collections;
import java.util.Comparator;
import java.util.Iterator;
import java.util.function.Function;
import java.util.function.ToIntFunction;
import java.util.stream.Collector;
import m0.c;

@c
public abstract class a8<E> extends b8<E> implements zc<E> {
    @q0.b

    /* renamed from: y  reason: collision with root package name */
    transient a8<E> f9677y;

    public static class a<E> extends z6.b<E> {
        public a(Comparator<? super E> comparator) {
            super(he.T((Comparator) Preconditions.checkNotNull(comparator)));
        }

        @p0.a
        /* renamed from: q */
        public a<E> h(E e7) {
            super.a(e7);
            return this;
        }

        @p0.a
        /* renamed from: r */
        public a<E> i(E... eArr) {
            super.b(eArr);
            return this;
        }

        @p0.a
        /* renamed from: s */
        public a<E> j(Iterable<? extends E> iterable) {
            super.c(iterable);
            return this;
        }

        @p0.a
        /* renamed from: t */
        public a<E> k(Iterator<? extends E> it) {
            super.d(it);
            return this;
        }

        @p0.a
        /* renamed from: u */
        public a<E> l(E e7, int i7) {
            super.l(e7, i7);
            return this;
        }

        /* renamed from: v */
        public a8<E> m() {
            return a8.i1((zc) this.f10964b);
        }

        @p0.a
        /* renamed from: w */
        public a<E> p(E e7, int i7) {
            super.p(e7, i7);
            return this;
        }
    }

    private static final class b<E> implements Serializable {

        /* renamed from: f  reason: collision with root package name */
        final Comparator<? super E> f9678f;

        /* renamed from: g  reason: collision with root package name */
        final E[] f9679g;

        /* renamed from: p  reason: collision with root package name */
        final int[] f9680p;

        b(zc<E> zcVar) {
            this.f9678f = zcVar.comparator();
            int size = zcVar.entrySet().size();
            this.f9679g = (E[]) new Object[size];
            this.f9680p = new int[size];
            int i7 = 0;
            for (ya.a<E> aVar : zcVar.entrySet()) {
                this.f9679g[i7] = aVar.a();
                this.f9680p[i7] = aVar.getCount();
                i7++;
            }
        }

        /* access modifiers changed from: package-private */
        public Object a() {
            int length = this.f9679g.length;
            a aVar = new a(this.f9678f);
            for (int i7 = 0; i7 < length; i7++) {
                aVar.l(this.f9679g[i7], this.f9680p[i7]);
            }
            return aVar.m();
        }
    }

    a8() {
    }

    public static <E extends Comparable<?>> a<E> A1() {
        return new a<>(kb.B());
    }

    public static <E> a8<E> B1() {
        return (a8<E>) ac.X5;
    }

    public static <E extends Comparable<? super E>> a8<E> C1(E e7) {
        return new ac((bc) c8.q1(e7), new long[]{0, 1}, 0, 1);
    }

    public static <E extends Comparable<? super E>> a8<E> D1(E e7, E e8) {
        return b1(kb.B(), Arrays.asList(e7, e8));
    }

    public static <E extends Comparable<? super E>> a8<E> E1(E e7, E e8, E e9) {
        return b1(kb.B(), Arrays.asList(e7, e8, e9));
    }

    public static <E extends Comparable<? super E>> a8<E> F1(E e7, E e8, E e9, E e10) {
        return b1(kb.B(), Arrays.asList(e7, e8, e9, e10));
    }

    public static <E extends Comparable<? super E>> a8<E> G1(E e7, E e8, E e9, E e10, E e11) {
        return b1(kb.B(), Arrays.asList(e7, e8, e9, e10, e11));
    }

    public static <E extends Comparable<? super E>> a8<E> H1(E e7, E e8, E e9, E e10, E e11, E e12, E... eArr) {
        ArrayList u7 = i9.u(eArr.length + 6);
        Collections.addAll(u7, e7, e8, e9, e10, e11, e12);
        Collections.addAll(u7, eArr);
        return b1(kb.B(), u7);
    }

    public static <E> a<E> I1(Comparator<E> comparator) {
        return new a<>(comparator);
    }

    public static <E extends Comparable<?>> a<E> J1() {
        return new a<>(kb.B().G());
    }

    public static <E> Collector<E, ?, a8<E>> M1(Comparator<? super E> comparator) {
        return N1(comparator, Function.identity(), new v7());
    }

    public static <T, E> Collector<T, ?, a8<E>> N1(Comparator<? super E> comparator, Function<? super T, ? extends E> function, ToIntFunction<? super T> toIntFunction) {
        Preconditions.checkNotNull(comparator);
        Preconditions.checkNotNull(function);
        Preconditions.checkNotNull(toIntFunction);
        return Collector.of(new w7(comparator), new x7(function, toIntFunction), new y7(), new z7(comparator), new Collector.Characteristics[0]);
    }

    public static <E> a8<E> W0(Iterable<? extends E> iterable) {
        return b1(kb.B(), iterable);
    }

    public static <E> a8<E> b1(Comparator<? super E> comparator, Iterable<? extends E> iterable) {
        Collection entrySet;
        if (iterable instanceof a8) {
            a8<E> a8Var = (a8) iterable;
            if (comparator.equals(a8Var.comparator())) {
                if (!a8Var.m()) {
                    return a8Var;
                }
                entrySet = a8Var.entrySet().b();
                return j1(comparator, entrySet);
            }
        }
        ArrayList r7 = i9.r(iterable);
        he T = he.T((Comparator) Preconditions.checkNotNull(comparator));
        t8.a(T, r7);
        entrySet = T.entrySet();
        return j1(comparator, entrySet);
    }

    public static <E> a8<E> d1(Comparator<? super E> comparator, Iterator<? extends E> it) {
        Preconditions.checkNotNull(comparator);
        return new a(comparator).k(it).m();
    }

    public static <E> a8<E> e1(Iterator<? extends E> it) {
        return d1(kb.B(), it);
    }

    public static <E extends Comparable<? super E>> a8<E> f1(E[] eArr) {
        return b1(kb.B(), Arrays.asList(eArr));
    }

    public static <E> a8<E> i1(zc<E> zcVar) {
        return j1(zcVar.comparator(), i9.r(zcVar.entrySet()));
    }

    private static <E> a8<E> j1(Comparator<? super E> comparator, Collection<ya.a<E>> collection) {
        if (collection.isEmpty()) {
            return n1(comparator);
        }
        t5.b bVar = new t5.b(collection.size());
        long[] jArr = new long[(collection.size() + 1)];
        int i7 = 0;
        for (ya.a<E> aVar : collection) {
            bVar.a(aVar.a());
            int i8 = i7 + 1;
            jArr[i8] = jArr[i7] + ((long) aVar.getCount());
            i7 = i8;
        }
        return new ac(new bc(bVar.e(), comparator), jArr, 0, collection.size());
    }

    static <E> a8<E> n1(Comparator<? super E> comparator) {
        return kb.B().equals(comparator) ? (a8<E>) ac.X5 : new ac(comparator);
    }

    /* access modifiers changed from: private */
    public static /* synthetic */ int q1(Object obj) {
        return 1;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: com.google.common.collect.ya */
    /* JADX WARN: Multi-variable type inference failed */
    /* access modifiers changed from: private */
    public static /* synthetic */ void t1(Function function, ToIntFunction toIntFunction, ya yaVar, Object obj) {
        yaVar.c0(Preconditions.checkNotNull(function.apply(obj)), toIntFunction.applyAsInt(obj));
    }

    /* access modifiers changed from: private */
    public static /* synthetic */ a8 y1(Comparator comparator, ya yaVar) {
        return j1(comparator, yaVar.entrySet());
    }

    /* renamed from: K1 */
    public a8<E> w1(E e7, i0 i0Var, E e8, i0 i0Var2) {
        Preconditions.checkArgument(comparator().compare(e7, e8) <= 0, "Expected lowerBound <= upperBound but %s > %s", e7, e8);
        return U0(e7, i0Var).J0(e8, i0Var2);
    }

    /* renamed from: L1 */
    public abstract a8<E> U0(E e7, i0 i0Var);

    @Override // com.google.common.collect.vc, com.google.common.collect.zc
    public final Comparator<? super E> comparator() {
        return d().comparator();
    }

    /* renamed from: l1 */
    public a8<E> i0() {
        a8<E> a8Var = this.f9677y;
        if (a8Var == null) {
            a8Var = isEmpty() ? n1(kb.i(comparator()).G()) : new e3<>(this);
            this.f9677y = a8Var;
        }
        return a8Var;
    }

    /* renamed from: m1 */
    public abstract c8<E> d();

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.n5, com.google.common.collect.z6
    public Object p() {
        return new b(this);
    }

    /* renamed from: p1 */
    public abstract a8<E> J0(E e7, i0 i0Var);

    @Override // com.google.common.collect.zc
    @p0.a
    @Deprecated
    public final ya.a<E> pollFirstEntry() {
        throw new UnsupportedOperationException();
    }

    @Override // com.google.common.collect.zc
    @p0.a
    @Deprecated
    public final ya.a<E> pollLastEntry() {
        throw new UnsupportedOperationException();
    }
}
