package com.google.common.collect;

import com.google.common.base.Preconditions;
import java.util.Collection;
import java.util.Collections;
import java.util.Comparator;
import java.util.Iterator;
import java.util.NoSuchElementException;
import java.util.Set;
import java.util.Spliterator;
import java.util.function.Consumer;
import m0.b;
import m0.c;

/* access modifiers changed from: package-private */
@b(emulated = true, serializable = true)
public final class bc<E> extends c8<E> {

    /* renamed from: a6  reason: collision with root package name */
    static final bc<Comparable> f9689a6 = new bc<>(t5.R(), kb.B());
    private final transient t5<E> Z5;

    bc(t5<E> t5Var, Comparator<? super E> comparator) {
        super(comparator);
        this.Z5 = t5Var;
    }

    private int Q1(Object obj) throws ClassCastException {
        return Collections.binarySearch(this.Z5, obj, R1());
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.c8
    public c8<E> G1(E e7, boolean z7, E e8, boolean z8) {
        return J1(e7, z7).m1(e8, z8);
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.c8
    public c8<E> J1(E e7, boolean z7) {
        return N1(P1(e7, z7), size());
    }

    /* access modifiers changed from: package-private */
    public bc<E> N1(int i7, int i8) {
        return (i7 == 0 && i8 == size()) ? this : i7 < i8 ? new bc<>(this.Z5.subList(i7, i8), this.W5) : c8.i1(this.W5);
    }

    /* access modifiers changed from: package-private */
    public int O1(E e7, boolean z7) {
        int binarySearch = Collections.binarySearch(this.Z5, Preconditions.checkNotNull(e7), comparator());
        return binarySearch >= 0 ? z7 ? binarySearch + 1 : binarySearch : ~binarySearch;
    }

    /* access modifiers changed from: package-private */
    public int P1(E e7, boolean z7) {
        int binarySearch = Collections.binarySearch(this.Z5, Preconditions.checkNotNull(e7), comparator());
        return binarySearch >= 0 ? z7 ? binarySearch : binarySearch + 1 : ~binarySearch;
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.e7
    public t5<E> R() {
        return size() <= 1 ? this.Z5 : new p7(this, this.Z5);
    }

    /* access modifiers changed from: package-private */
    public Comparator<Object> R1() {
        return this.W5;
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.n5
    public int c(Object[] objArr, int i7) {
        return this.Z5.c(objArr, i7);
    }

    @Override // java.util.NavigableSet, com.google.common.collect.c8
    public E ceiling(E e7) {
        int P1 = P1(e7, true);
        if (P1 == size()) {
            return null;
        }
        return this.Z5.get(P1);
    }

    @Override // com.google.common.collect.n5
    public boolean contains(Object obj) {
        if (obj == null) {
            return false;
        }
        try {
            return Q1(obj) >= 0;
        } catch (ClassCastException unused) {
            return false;
        }
    }

    @Override // java.util.Collection, java.util.Set, java.util.AbstractCollection
    public boolean containsAll(Collection<?> collection) {
        if (collection instanceof ya) {
            collection = ((ya) collection).d();
        }
        if (!wc.b(comparator(), collection) || collection.size() <= 1) {
            return super.containsAll(collection);
        }
        le<E> n7 = iterator();
        Iterator<?> it = collection.iterator();
        if (!n7.hasNext()) {
            return false;
        }
        Object next = it.next();
        E next2 = n7.next();
        while (true) {
            try {
                int L1 = L1(next2, next);
                if (L1 < 0) {
                    if (!n7.hasNext()) {
                        return false;
                    }
                    next2 = n7.next();
                } else if (L1 == 0) {
                    if (!it.hasNext()) {
                        return true;
                    }
                    next = it.next();
                } else if (L1 > 0) {
                    break;
                }
            } catch (ClassCastException | NullPointerException unused) {
            }
        }
        return false;
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.c8
    public c8<E> d1() {
        Comparator reverseOrder = Collections.reverseOrder(this.W5);
        return isEmpty() ? c8.i1(reverseOrder) : new bc(this.Z5.o0(), reverseOrder);
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.n5
    public Object[] e() {
        return this.Z5.e();
    }

    @Override // com.google.common.collect.c8
    @c
    /* renamed from: e1 */
    public le<E> descendingIterator() {
        return this.Z5.o0().iterator();
    }

    /* JADX WARNING: Removed duplicated region for block: B:19:0x0034 A[Catch:{ ClassCastException | NoSuchElementException -> 0x0046 }] */
    @Override // com.google.common.collect.e7
    public boolean equals(Object obj) {
        if (obj == this) {
            return true;
        }
        if (!(obj instanceof Set)) {
            return false;
        }
        Set set = (Set) obj;
        if (size() != set.size()) {
            return false;
        }
        if (isEmpty()) {
            return true;
        }
        if (!wc.b(this.W5, set)) {
            return containsAll(set);
        }
        Iterator<E> it = set.iterator();
        try {
            le<E> n7 = iterator();
            while (n7.hasNext()) {
                E next = n7.next();
                E next2 = it.next();
                if (next2 == null || L1(next, next2) != 0) {
                    return false;
                }
                while (n7.hasNext()) {
                }
            }
            return true;
        } catch (ClassCastException | NoSuchElementException unused) {
            return false;
        }
    }

    @Override // java.util.SortedSet, com.google.common.collect.c8
    public E first() {
        if (!isEmpty()) {
            return this.Z5.get(0);
        }
        throw new NoSuchElementException();
    }

    @Override // java.util.NavigableSet, com.google.common.collect.c8
    public E floor(E e7) {
        int O1 = O1(e7, true) - 1;
        if (O1 == -1) {
            return null;
        }
        return this.Z5.get(O1);
    }

    @Override // java.lang.Iterable
    public void forEach(Consumer<? super E> consumer) {
        this.Z5.forEach(consumer);
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.n5
    public int h() {
        return this.Z5.h();
    }

    @Override // java.util.NavigableSet, com.google.common.collect.c8
    public E higher(E e7) {
        int P1 = P1(e7, false);
        if (P1 == size()) {
            return null;
        }
        return this.Z5.get(P1);
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.c8
    public int indexOf(Object obj) {
        if (obj == null) {
            return -1;
        }
        try {
            int binarySearch = Collections.binarySearch(this.Z5, obj, R1());
            if (binarySearch >= 0) {
                return binarySearch;
            }
            return -1;
        } catch (ClassCastException unused) {
            return -1;
        }
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.n5
    public int k() {
        return this.Z5.k();
    }

    @Override // java.util.SortedSet, com.google.common.collect.c8
    public E last() {
        if (!isEmpty()) {
            return this.Z5.get(size() - 1);
        }
        throw new NoSuchElementException();
    }

    @Override // java.util.NavigableSet, com.google.common.collect.c8
    public E lower(E e7) {
        int O1 = O1(e7, false) - 1;
        if (O1 == -1) {
            return null;
        }
        return this.Z5.get(O1);
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.n5
    public boolean m() {
        return this.Z5.m();
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.c8
    public c8<E> m1(E e7, boolean z7) {
        return N1(0, O1(e7, z7));
    }

    @Override // com.google.common.collect.n5, com.google.common.collect.c8, com.google.common.collect.e7
    /* renamed from: n */
    public le<E> iterator() {
        return this.Z5.iterator();
    }

    public int size() {
        return this.Z5.size();
    }

    @Override // java.util.SortedSet, java.util.Collection, java.util.Set, com.google.common.collect.n5, java.lang.Iterable, com.google.common.collect.c8
    public Spliterator<E> spliterator() {
        return b().spliterator();
    }
}
