package com.google.common.collect;

import com.google.common.base.Function;
import com.google.common.base.Objects;
import com.google.common.base.Preconditions;
import com.google.common.base.Supplier;
import com.google.common.collect.xd;
import java.io.Serializable;
import java.util.Collection;
import java.util.Collections;
import java.util.Iterator;
import java.util.Map;
import java.util.Set;
import java.util.SortedMap;
import java.util.SortedSet;
import java.util.Spliterator;
import java.util.function.BinaryOperator;
import java.util.stream.Collector;

@m0.b
public final class be {

    /* renamed from: a  reason: collision with root package name */
    private static final Function<? extends Map<?, ?>, ? extends Map<?, ?>> f9691a = new a();

    static class a implements Function<Map<Object, Object>, Map<Object, Object>> {
        a() {
        }

        /* renamed from: a */
        public Map<Object, Object> apply(Map<Object, Object> map) {
            return Collections.unmodifiableMap(map);
        }
    }

    /* access modifiers changed from: package-private */
    public static abstract class b<R, C, V> implements xd.a<R, C, V> {
        b() {
        }

        @Override // com.google.common.collect.xd.a
        public boolean equals(Object obj) {
            if (obj == this) {
                return true;
            }
            if (!(obj instanceof xd.a)) {
                return false;
            }
            xd.a aVar = (xd.a) obj;
            return Objects.equal(b(), aVar.b()) && Objects.equal(a(), aVar.a()) && Objects.equal(getValue(), aVar.getValue());
        }

        @Override // com.google.common.collect.xd.a
        public int hashCode() {
            return Objects.hashCode(b(), a(), getValue());
        }

        public String toString() {
            return "(" + ((Object) b()) + "," + ((Object) a()) + ")=" + ((Object) getValue());
        }
    }

    /* access modifiers changed from: package-private */
    public static final class c<R, C, V> extends b<R, C, V> implements Serializable {

        /* renamed from: x  reason: collision with root package name */
        private static final long f9692x = 0;

        /* renamed from: f  reason: collision with root package name */
        private final R f9693f;

        /* renamed from: g  reason: collision with root package name */
        private final C f9694g;

        /* renamed from: p  reason: collision with root package name */
        private final V f9695p;

        c(R r7, C c7, V v7) {
            this.f9693f = r7;
            this.f9694g = c7;
            this.f9695p = v7;
        }

        @Override // com.google.common.collect.xd.a
        public C a() {
            return this.f9694g;
        }

        @Override // com.google.common.collect.xd.a
        public R b() {
            return this.f9693f;
        }

        @Override // com.google.common.collect.xd.a
        public V getValue() {
            return this.f9695p;
        }
    }

    /* access modifiers changed from: private */
    public static class d<R, C, V1, V2> extends y<R, C, V2> {

        /* renamed from: p  reason: collision with root package name */
        final xd<R, C, V1> f9696p;

        /* renamed from: x  reason: collision with root package name */
        final Function<? super V1, V2> f9697x;

        /* access modifiers changed from: package-private */
        public class a implements Function<xd.a<R, C, V1>, xd.a<R, C, V2>> {
            a() {
            }

            /* renamed from: a */
            public xd.a<R, C, V2> apply(xd.a<R, C, V1> aVar) {
                return be.f(aVar.b(), aVar.a(), d.this.f9697x.apply(aVar.getValue()));
            }
        }

        class b implements Function<Map<C, V1>, Map<C, V2>> {
            b() {
            }

            /* renamed from: a */
            public Map<C, V2> apply(Map<C, V1> map) {
                return v9.N0(map, d.this.f9697x);
            }
        }

        class c implements Function<Map<R, V1>, Map<R, V2>> {
            c() {
            }

            /* renamed from: a */
            public Map<R, V2> apply(Map<R, V1> map) {
                return v9.N0(map, d.this.f9697x);
            }
        }

        d(xd<R, C, V1> xdVar, Function<? super V1, V2> function) {
            this.f9696p = (xd) Preconditions.checkNotNull(xdVar);
            this.f9697x = (Function) Preconditions.checkNotNull(function);
        }

        @Override // com.google.common.collect.y, com.google.common.collect.xd
        public V2 L(Object obj, Object obj2) {
            if (m1(obj, obj2)) {
                return this.f9697x.apply(this.f9696p.L(obj, obj2));
            }
            return null;
        }

        @Override // com.google.common.collect.xd
        public Map<R, V2> U(C c7) {
            return v9.N0(this.f9696p.U(c7), this.f9697x);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.y
        public Iterator<xd.a<R, C, V2>> a() {
            return w8.c0(this.f9696p.b0().iterator(), g());
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.y
        public Spliterator<xd.a<R, C, V2>> b() {
            return w1.e(this.f9696p.b0().spliterator(), g());
        }

        @Override // com.google.common.collect.y, com.google.common.collect.xd
        public Set<C> b1() {
            return this.f9696p.b1();
        }

        @Override // com.google.common.collect.y, com.google.common.collect.xd
        public void clear() {
            this.f9696p.clear();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.y
        public Collection<V2> d() {
            return f2.m(this.f9696p.values(), this.f9697x);
        }

        @Override // com.google.common.collect.y, com.google.common.collect.xd
        public V2 d0(R r7, C c7, V2 v22) {
            throw new UnsupportedOperationException();
        }

        /* access modifiers changed from: package-private */
        public Function<xd.a<R, C, V1>, xd.a<R, C, V2>> g() {
            return new a();
        }

        @Override // com.google.common.collect.y, com.google.common.collect.xd
        public void l1(xd<? extends R, ? extends C, ? extends V2> xdVar) {
            throw new UnsupportedOperationException();
        }

        @Override // com.google.common.collect.xd
        public Map<R, Map<C, V2>> m() {
            return v9.N0(this.f9696p.m(), new b());
        }

        @Override // com.google.common.collect.y, com.google.common.collect.xd
        public boolean m1(Object obj, Object obj2) {
            return this.f9696p.m1(obj, obj2);
        }

        @Override // com.google.common.collect.xd
        public Map<C, Map<R, V2>> n1() {
            return v9.N0(this.f9696p.n1(), new c());
        }

        @Override // com.google.common.collect.y, com.google.common.collect.xd
        public Set<R> p() {
            return this.f9696p.p();
        }

        @Override // com.google.common.collect.y, com.google.common.collect.xd
        public V2 remove(Object obj, Object obj2) {
            if (m1(obj, obj2)) {
                return this.f9697x.apply(this.f9696p.remove(obj, obj2));
            }
            return null;
        }

        @Override // com.google.common.collect.xd
        public Map<C, V2> s1(R r7) {
            return v9.N0(this.f9696p.s1(r7), this.f9697x);
        }

        @Override // com.google.common.collect.xd
        public int size() {
            return this.f9696p.size();
        }
    }

    /* access modifiers changed from: private */
    public static class e<C, R, V> extends y<C, R, V> {

        /* renamed from: x  reason: collision with root package name */
        private static final Function<xd.a<?, ?, ?>, xd.a<?, ?, ?>> f9701x = new a();

        /* renamed from: p  reason: collision with root package name */
        final xd<R, C, V> f9702p;

        static class a implements Function<xd.a<?, ?, ?>, xd.a<?, ?, ?>> {
            a() {
            }

            /* renamed from: a */
            public xd.a<?, ?, ?> apply(xd.a<?, ?, ?> aVar) {
                return be.f(aVar.a(), aVar.b(), aVar.getValue());
            }
        }

        e(xd<R, C, V> xdVar) {
            this.f9702p = (xd) Preconditions.checkNotNull(xdVar);
        }

        @Override // com.google.common.collect.y, com.google.common.collect.xd
        public V L(Object obj, Object obj2) {
            return this.f9702p.L(obj2, obj);
        }

        @Override // com.google.common.collect.y, com.google.common.collect.xd
        public boolean T(Object obj) {
            return this.f9702p.d1(obj);
        }

        @Override // com.google.common.collect.xd
        public Map<C, V> U(R r7) {
            return this.f9702p.s1(r7);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.y
        public Iterator<xd.a<C, R, V>> a() {
            return w8.c0(this.f9702p.b0().iterator(), f9701x);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.y
        public Spliterator<xd.a<C, R, V>> b() {
            return w1.e(this.f9702p.b0().spliterator(), f9701x);
        }

        @Override // com.google.common.collect.y, com.google.common.collect.xd
        public Set<R> b1() {
            return this.f9702p.p();
        }

        @Override // com.google.common.collect.y, com.google.common.collect.xd
        public void clear() {
            this.f9702p.clear();
        }

        @Override // com.google.common.collect.y, com.google.common.collect.xd
        public boolean containsValue(Object obj) {
            return this.f9702p.containsValue(obj);
        }

        @Override // com.google.common.collect.y, com.google.common.collect.xd
        public V d0(C c7, R r7, V v7) {
            return this.f9702p.d0(r7, c7, v7);
        }

        @Override // com.google.common.collect.y, com.google.common.collect.xd
        public boolean d1(Object obj) {
            return this.f9702p.T(obj);
        }

        @Override // com.google.common.collect.y, com.google.common.collect.xd
        public void l1(xd<? extends C, ? extends R, ? extends V> xdVar) {
            this.f9702p.l1(be.p(xdVar));
        }

        @Override // com.google.common.collect.xd
        public Map<C, Map<R, V>> m() {
            return this.f9702p.n1();
        }

        @Override // com.google.common.collect.y, com.google.common.collect.xd
        public boolean m1(Object obj, Object obj2) {
            return this.f9702p.m1(obj2, obj);
        }

        @Override // com.google.common.collect.xd
        public Map<R, Map<C, V>> n1() {
            return this.f9702p.m();
        }

        @Override // com.google.common.collect.y, com.google.common.collect.xd
        public Set<C> p() {
            return this.f9702p.b1();
        }

        @Override // com.google.common.collect.y, com.google.common.collect.xd
        public V remove(Object obj, Object obj2) {
            return this.f9702p.remove(obj2, obj);
        }

        @Override // com.google.common.collect.xd
        public Map<R, V> s1(C c7) {
            return this.f9702p.U(c7);
        }

        @Override // com.google.common.collect.xd
        public int size() {
            return this.f9702p.size();
        }

        @Override // com.google.common.collect.y, com.google.common.collect.xd
        public Collection<V> values() {
            return this.f9702p.values();
        }
    }

    static final class f<R, C, V> extends g<R, C, V> implements fc<R, C, V> {

        /* renamed from: p  reason: collision with root package name */
        private static final long f9703p = 0;

        public f(fc<R, ? extends C, ? extends V> fcVar) {
            super(fcVar);
        }

        /* access modifiers changed from: protected */
        /* renamed from: F1 */
        public fc<R, C, V> E1() {
            return (fc) super.D1();
        }

        @Override // com.google.common.collect.be.g, com.google.common.collect.fc, com.google.common.collect.fc, com.google.common.collect.z4, com.google.common.collect.xd
        public SortedMap<R, Map<C, V>> m() {
            return Collections.unmodifiableSortedMap(v9.P0(E1().m(), be.s()));
        }

        @Override // com.google.common.collect.be.g, com.google.common.collect.fc, com.google.common.collect.fc, com.google.common.collect.z4, com.google.common.collect.xd
        public SortedSet<R> p() {
            return Collections.unmodifiableSortedSet(E1().p());
        }
    }

    /* access modifiers changed from: private */
    public static class g<R, C, V> extends z4<R, C, V> implements Serializable {

        /* renamed from: g  reason: collision with root package name */
        private static final long f9704g = 0;

        /* renamed from: f  reason: collision with root package name */
        final xd<? extends R, ? extends C, ? extends V> f9705f;

        g(xd<? extends R, ? extends C, ? extends V> xdVar) {
            this.f9705f = (xd) Preconditions.checkNotNull(xdVar);
        }

        /* JADX DEBUG: Type inference failed for r0v1. Raw type applied. Possible types: com.google.common.collect.xd<? extends R, ? extends C, ? extends V>, com.google.common.collect.xd<R, C, V> */
        /* access modifiers changed from: protected */
        @Override // com.google.common.collect.z4
        /* renamed from: E1 */
        public xd<R, C, V> D1() {
            return (xd<? extends R, ? extends C, ? extends V>) this.f9705f;
        }

        @Override // com.google.common.collect.z4, com.google.common.collect.xd
        public Map<R, V> U(C c7) {
            return Collections.unmodifiableMap(super.U(c7));
        }

        @Override // com.google.common.collect.z4, com.google.common.collect.xd
        public Set<xd.a<R, C, V>> b0() {
            return Collections.unmodifiableSet(super.b0());
        }

        @Override // com.google.common.collect.z4, com.google.common.collect.xd
        public Set<C> b1() {
            return Collections.unmodifiableSet(super.b1());
        }

        @Override // com.google.common.collect.z4, com.google.common.collect.xd
        public void clear() {
            throw new UnsupportedOperationException();
        }

        @Override // com.google.common.collect.z4, com.google.common.collect.xd
        public V d0(R r7, C c7, V v7) {
            throw new UnsupportedOperationException();
        }

        @Override // com.google.common.collect.z4, com.google.common.collect.xd
        public void l1(xd<? extends R, ? extends C, ? extends V> xdVar) {
            throw new UnsupportedOperationException();
        }

        @Override // com.google.common.collect.z4, com.google.common.collect.xd
        public Map<R, Map<C, V>> m() {
            return Collections.unmodifiableMap(v9.N0(super.m(), be.s()));
        }

        @Override // com.google.common.collect.z4, com.google.common.collect.xd
        public Map<C, Map<R, V>> n1() {
            return Collections.unmodifiableMap(v9.N0(super.n1(), be.s()));
        }

        @Override // com.google.common.collect.z4, com.google.common.collect.xd
        public Set<R> p() {
            return Collections.unmodifiableSet(super.p());
        }

        @Override // com.google.common.collect.z4, com.google.common.collect.xd
        public V remove(Object obj, Object obj2) {
            throw new UnsupportedOperationException();
        }

        @Override // com.google.common.collect.z4, com.google.common.collect.xd
        public Map<C, V> s1(R r7) {
            return Collections.unmodifiableMap(super.s1(r7));
        }

        @Override // com.google.common.collect.z4, com.google.common.collect.xd
        public Collection<V> values() {
            return Collections.unmodifiableCollection(super.values());
        }
    }

    private be() {
    }

    static boolean e(xd<?, ?, ?> xdVar, Object obj) {
        if (obj == xdVar) {
            return true;
        }
        if (obj instanceof xd) {
            return xdVar.b0().equals(((xd) obj).b0());
        }
        return false;
    }

    public static <R, C, V> xd.a<R, C, V> f(R r7, C c7, V v7) {
        return new c(r7, c7, v7);
    }

    /* access modifiers changed from: private */
    public static /* synthetic */ Object g(Object obj, Object obj2) {
        throw new IllegalStateException("Conflicting values " + obj + " and " + obj2);
    }

    /* access modifiers changed from: private */
    public static /* synthetic */ void h(java.util.function.Function function, java.util.function.Function function2, java.util.function.Function function3, BinaryOperator binaryOperator, xd xdVar, Object obj) {
        j(xdVar, function.apply(obj), function2.apply(obj), function3.apply(obj), binaryOperator);
    }

    /* access modifiers changed from: private */
    public static /* synthetic */ xd i(BinaryOperator binaryOperator, xd xdVar, xd xdVar2) {
        for (xd.a aVar : xdVar2.b0()) {
            j(xdVar, aVar.b(), aVar.a(), aVar.getValue(), binaryOperator);
        }
        return xdVar;
    }

    private static <R, C, V> void j(xd<R, C, V> xdVar, R r7, C c7, V v7, BinaryOperator<V> binaryOperator) {
        Preconditions.checkNotNull(v7);
        V L = xdVar.L(r7, c7);
        if (L != null && (v7 = (V) binaryOperator.apply(L, v7)) == null) {
            xdVar.remove(r7, c7);
        } else {
            xdVar.d0(r7, c7, v7);
        }
    }

    @m0.a
    public static <R, C, V> xd<R, C, V> k(Map<R, Map<C, V>> map, Supplier<? extends Map<C, V>> supplier) {
        Preconditions.checkArgument(map.isEmpty());
        Preconditions.checkNotNull(supplier);
        return new hd(map, supplier);
    }

    public static <R, C, V> xd<R, C, V> l(xd<R, C, V> xdVar) {
        return wd.z(xdVar, null);
    }

    public static <T, R, C, V, I extends xd<R, C, V>> Collector<T, ?, I> m(java.util.function.Function<? super T, ? extends R> function, java.util.function.Function<? super T, ? extends C> function2, java.util.function.Function<? super T, ? extends V> function3, BinaryOperator<V> binaryOperator, java.util.function.Supplier<I> supplier) {
        Preconditions.checkNotNull(function);
        Preconditions.checkNotNull(function2);
        Preconditions.checkNotNull(function3);
        Preconditions.checkNotNull(binaryOperator);
        Preconditions.checkNotNull(supplier);
        return Collector.of(supplier, new yd(function, function2, function3, binaryOperator), new zd(binaryOperator), new Collector.Characteristics[0]);
    }

    @m0.a
    public static <T, R, C, V, I extends xd<R, C, V>> Collector<T, ?, I> n(java.util.function.Function<? super T, ? extends R> function, java.util.function.Function<? super T, ? extends C> function2, java.util.function.Function<? super T, ? extends V> function3, java.util.function.Supplier<I> supplier) {
        return m(function, function2, function3, new ae(), supplier);
    }

    @m0.a
    public static <R, C, V1, V2> xd<R, C, V2> o(xd<R, C, V1> xdVar, Function<? super V1, V2> function) {
        return new d(xdVar, function);
    }

    /* JADX DEBUG: Type inference failed for r1v3. Raw type applied. Possible types: com.google.common.collect.xd<R, C, V>, com.google.common.collect.xd<C, R, V> */
    public static <R, C, V> xd<C, R, V> p(xd<R, C, V> xdVar) {
        return xdVar instanceof e ? (xd<R, C, V>) ((e) xdVar).f9702p : new e(xdVar);
    }

    @m0.a
    public static <R, C, V> fc<R, C, V> q(fc<R, ? extends C, ? extends V> fcVar) {
        return new f(fcVar);
    }

    public static <R, C, V> xd<R, C, V> r(xd<? extends R, ? extends C, ? extends V> xdVar) {
        return new g(xdVar);
    }

    /* access modifiers changed from: private */
    public static <K, V> Function<Map<K, V>, Map<K, V>> s() {
        return (Function<Map<K, V>, Map<K, V>>) f9691a;
    }
}
