package com.google.common.collect;

import com.google.common.base.Preconditions;
import com.google.common.collect.t5;
import com.google.common.collect.xc;
import java.io.Serializable;
import java.lang.Comparable;
import java.util.Collections;
import java.util.List;
import java.util.Map;
import java.util.NoSuchElementException;
import java.util.function.Function;
import java.util.stream.Collector;

@m0.a
@m0.c
public class c7<K extends Comparable<?>, V> implements qb<K, V>, Serializable {

    /* renamed from: p  reason: collision with root package name */
    private static final c7<Comparable<?>, Object> f9728p = new c7<>(t5.R(), t5.R());

    /* renamed from: x  reason: collision with root package name */
    private static final long f9729x = 0;

    /* renamed from: f  reason: collision with root package name */
    private final transient t5<ob<K>> f9730f;

    /* renamed from: g  reason: collision with root package name */
    private final transient t5<V> f9731g;

    /* access modifiers changed from: package-private */
    public class a extends t5<ob<K>> {

        /* renamed from: p  reason: collision with root package name */
        final /* synthetic */ int f9732p;

        /* renamed from: x  reason: collision with root package name */
        final /* synthetic */ int f9733x;

        /* renamed from: y  reason: collision with root package name */
        final /* synthetic */ ob f9734y;

        a(int i7, int i8, ob obVar) {
            this.f9732p = i7;
            this.f9733x = i8;
            this.f9734y = obVar;
        }

        /* renamed from: B0 */
        public ob<K> get(int i7) {
            Preconditions.checkElementIndex(i7, this.f9732p);
            return (i7 == 0 || i7 == this.f9732p + -1) ? ((ob) c7.this.f9730f.get(i7 + this.f9733x)).v(this.f9734y) : (ob) c7.this.f9730f.get(i7 + this.f9733x);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.n5
        public boolean m() {
            return true;
        }

        public int size() {
            return this.f9732p;
        }
    }

    /* access modifiers changed from: package-private */
    public class b extends c7<K, V> {
        final /* synthetic */ c7 C1;

        /* renamed from: y  reason: collision with root package name */
        final /* synthetic */ ob f9735y;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        b(t5 t5Var, t5 t5Var2, ob obVar, c7 c7Var) {
            super(t5Var, t5Var2);
            this.f9735y = obVar;
            this.C1 = c7Var;
        }

        @Override // com.google.common.collect.qb, com.google.common.collect.c7
        public /* bridge */ /* synthetic */ Map e() {
            return c7.super.e();
        }

        @Override // com.google.common.collect.qb, com.google.common.collect.c7
        public /* bridge */ /* synthetic */ Map f() {
            return c7.super.f();
        }

        @Override // com.google.common.collect.c7
        /* renamed from: t */
        public c7<K, V> d(ob<K> obVar) {
            return this.f9735y.w(obVar) ? this.C1.d(obVar.v(this.f9735y)) : c7.r();
        }
    }

    public static final class c<K extends Comparable<?>, V> {

        /* renamed from: a  reason: collision with root package name */
        private final List<Map.Entry<ob<K>, V>> f9736a = i9.q();

        public c7<K, V> a() {
            Collections.sort(this.f9736a, ob.F().E());
            t5.b bVar = new t5.b(this.f9736a.size());
            t5.b bVar2 = new t5.b(this.f9736a.size());
            for (int i7 = 0; i7 < this.f9736a.size(); i7++) {
                ob<K> key = this.f9736a.get(i7).getKey();
                if (i7 > 0) {
                    ob<K> key2 = this.f9736a.get(i7 - 1).getKey();
                    if (key.w(key2) && !key.v(key2).x()) {
                        throw new IllegalArgumentException("Overlapping ranges: range " + key2 + " overlaps with entry " + key);
                    }
                }
                bVar.a(key);
                bVar2.a(this.f9736a.get(i7).getValue());
            }
            return new c7<>(bVar.e(), bVar2.e());
        }

        /* access modifiers changed from: package-private */
        @p0.a
        public c<K, V> b(c<K, V> cVar) {
            this.f9736a.addAll(cVar.f9736a);
            return this;
        }

        @p0.a
        public c<K, V> c(ob<K> obVar, V v7) {
            Preconditions.checkNotNull(obVar);
            Preconditions.checkNotNull(v7);
            Preconditions.checkArgument(!obVar.x(), "Range must not be empty, but was %s", obVar);
            this.f9736a.add(v9.T(obVar, v7));
            return this;
        }

        /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: com.google.common.collect.c7$c<K extends java.lang.Comparable<?>, V> */
        /* JADX WARN: Multi-variable type inference failed */
        @p0.a
        public c<K, V> d(qb<K, ? extends V> qbVar) {
            for (Map.Entry<ob<K>, ? extends V> entry : qbVar.f().entrySet()) {
                c(entry.getKey(), entry.getValue());
            }
            return this;
        }
    }

    private static class d<K extends Comparable<?>, V> implements Serializable {

        /* renamed from: g  reason: collision with root package name */
        private static final long f9737g = 0;

        /* renamed from: f  reason: collision with root package name */
        private final h6<ob<K>, V> f9738f;

        d(h6<ob<K>, V> h6Var) {
            this.f9738f = h6Var;
        }

        /* access modifiers changed from: package-private */
        public Object a() {
            c cVar = new c();
            le<Map.Entry<ob<K>, V>> n7 = this.f9738f.entrySet().iterator();
            while (n7.hasNext()) {
                Map.Entry<ob<K>, V> next = n7.next();
                cVar.c(next.getKey(), next.getValue());
            }
            return cVar.a();
        }

        /* access modifiers changed from: package-private */
        public Object b() {
            return this.f9738f.isEmpty() ? c7.r() : a();
        }
    }

    c7(t5<ob<K>> t5Var, t5<V> t5Var2) {
        this.f9730f = t5Var;
        this.f9731g = t5Var2;
    }

    public static <K extends Comparable<?>, V> c<K, V> p() {
        return new c<>();
    }

    public static <K extends Comparable<?>, V> c7<K, V> q(qb<K, ? extends V> qbVar) {
        if (qbVar instanceof c7) {
            return (c7) qbVar;
        }
        Map<ob<K>, ? extends V> f7 = qbVar.f();
        t5.b bVar = new t5.b(f7.size());
        t5.b bVar2 = new t5.b(f7.size());
        for (Map.Entry<ob<K>, ? extends V> entry : f7.entrySet()) {
            bVar.a(entry.getKey());
            bVar2.a(entry.getValue());
        }
        return new c7<>(bVar.e(), bVar2.e());
    }

    public static <K extends Comparable<?>, V> c7<K, V> r() {
        return (c7<K, V>) f9728p;
    }

    public static <K extends Comparable<?>, V> c7<K, V> s(ob<K> obVar, V v7) {
        return new c7<>(t5.T(obVar), t5.T(v7));
    }

    public static <T, K extends Comparable<? super K>, V> Collector<T, ?, c7<K, V>> u(Function<? super T, ob<K>> function, Function<? super T, ? extends V> function2) {
        return s1.p(function, function2);
    }

    @Override // com.google.common.collect.qb
    @Deprecated
    public void a(ob<K> obVar) {
        throw new UnsupportedOperationException();
    }

    @Override // com.google.common.collect.qb
    public ob<K> b() {
        if (!this.f9730f.isEmpty()) {
            t5<ob<K>> t5Var = this.f9730f;
            return ob.m(this.f9730f.get(0).f10531f, t5Var.get(t5Var.size() - 1).f10532g);
        }
        throw new NoSuchElementException();
    }

    @Override // com.google.common.collect.qb
    public Map.Entry<ob<K>, V> c(K k7) {
        int a8 = xc.a(this.f9730f, ob.z(), c3.d(k7), xc.c.ANY_PRESENT, xc.b.NEXT_LOWER);
        if (a8 == -1) {
            return null;
        }
        ob<K> obVar = this.f9730f.get(a8);
        if (obVar.j(k7)) {
            return v9.T(obVar, this.f9731g.get(a8));
        }
        return null;
    }

    @Override // com.google.common.collect.qb
    @Deprecated
    public void clear() {
        throw new UnsupportedOperationException();
    }

    @Override // com.google.common.collect.qb
    public boolean equals(Object obj) {
        if (obj instanceof qb) {
            return f().equals(((qb) obj).f());
        }
        return false;
    }

    @Override // com.google.common.collect.qb
    public V g(K k7) {
        int a8 = xc.a(this.f9730f, ob.z(), c3.d(k7), xc.c.ANY_PRESENT, xc.b.NEXT_LOWER);
        if (a8 != -1 && this.f9730f.get(a8).j(k7)) {
            return this.f9731g.get(a8);
        }
        return null;
    }

    @Override // com.google.common.collect.qb
    @Deprecated
    public void h(qb<K, V> qbVar) {
        throw new UnsupportedOperationException();
    }

    @Override // com.google.common.collect.qb
    public int hashCode() {
        return f().hashCode();
    }

    @Override // com.google.common.collect.qb
    @Deprecated
    public void i(ob<K> obVar, V v7) {
        throw new UnsupportedOperationException();
    }

    @Override // com.google.common.collect.qb
    @Deprecated
    public void j(ob<K> obVar, V v7) {
        throw new UnsupportedOperationException();
    }

    /* renamed from: m */
    public h6<ob<K>, V> e() {
        return this.f9730f.isEmpty() ? h6.v() : new s7(new bc(this.f9730f.o0(), ob.F().G()), this.f9731g.o0());
    }

    /* renamed from: n */
    public h6<ob<K>, V> f() {
        return this.f9730f.isEmpty() ? h6.v() : new s7(new bc(this.f9730f, ob.F()), this.f9731g);
    }

    /* renamed from: t */
    public c7<K, V> d(ob<K> obVar) {
        if (((ob) Preconditions.checkNotNull(obVar)).x()) {
            return r();
        }
        if (this.f9730f.isEmpty() || obVar.q(b())) {
            return this;
        }
        t5<ob<K>> t5Var = this.f9730f;
        com.google.common.base.Function L = ob.L();
        c3<C> c3Var = obVar.f10531f;
        xc.c cVar = xc.c.FIRST_AFTER;
        xc.b bVar = xc.b.NEXT_HIGHER;
        int a8 = xc.a(t5Var, L, c3Var, cVar, bVar);
        int a9 = xc.a(this.f9730f, ob.z(), obVar.f10532g, xc.c.ANY_PRESENT, bVar);
        return a8 >= a9 ? r() : new b(new a(a9 - a8, a8, obVar), this.f9731g.subList(a8, a9), obVar, this);
    }

    @Override // com.google.common.collect.qb
    public String toString() {
        return f().toString();
    }

    /* access modifiers changed from: package-private */
    public Object v() {
        return new d(f());
    }
}
