package com.google.common.collect;

import com.google.common.base.Preconditions;
import com.google.common.collect.e7;
import com.google.common.collect.n5;
import java.io.InvalidObjectException;
import java.io.ObjectInputStream;
import java.io.Serializable;
import java.util.Arrays;
import java.util.Collection;
import java.util.Collections;
import java.util.Comparator;
import java.util.Iterator;
import java.util.NavigableSet;
import java.util.SortedSet;
import java.util.Spliterator;
import java.util.Spliterators;
import java.util.function.Consumer;
import java.util.stream.Collector;

@m0.b(emulated = true, serializable = true)
public abstract class c8<E> extends d8<E> implements NavigableSet<E>, vc<E> {
    static final int Y5 = 1301;
    final transient Comparator<? super E> W5;
    @m0.c
    @q0.b
    transient c8<E> X5;

    class a extends Spliterators.AbstractSpliterator<E> {

        /* renamed from: a  reason: collision with root package name */
        final le<E> f9739a;

        a(long j7, int i7) {
            super(j7, i7);
            this.f9739a = c8.this.iterator();
        }

        @Override // java.util.Spliterator
        public Comparator<? super E> getComparator() {
            return c8.this.W5;
        }

        @Override // java.util.Spliterator
        public boolean tryAdvance(Consumer<? super E> consumer) {
            if (!this.f9739a.hasNext()) {
                return false;
            }
            consumer.accept(this.f9739a.next());
            return true;
        }
    }

    public static final class b<E> extends e7.a<E> {

        /* renamed from: d  reason: collision with root package name */
        private final Comparator<? super E> f9741d;

        /* renamed from: e  reason: collision with root package name */
        private E[] f9742e = ((E[]) new Object[4]);

        /* renamed from: f  reason: collision with root package name */
        private int f9743f = 0;

        public b(Comparator<? super E> comparator) {
            super(true);
            this.f9741d = (Comparator) Preconditions.checkNotNull(comparator);
        }

        private void v() {
            int i7 = this.f9743f;
            if (i7 != 0) {
                Arrays.sort(this.f9742e, 0, i7, this.f9741d);
                int i8 = 1;
                int i9 = 1;
                while (true) {
                    int i10 = this.f9743f;
                    if (i8 < i10) {
                        Comparator<? super E> comparator = this.f9741d;
                        E[] eArr = this.f9742e;
                        int compare = comparator.compare(eArr[i9 - 1], eArr[i8]);
                        if (compare < 0) {
                            E[] eArr2 = this.f9742e;
                            eArr2[i9] = eArr2[i8];
                            i9++;
                        } else if (compare > 0) {
                            throw new AssertionError("Comparator " + this.f9741d + " compare method violates its contract");
                        }
                        i8++;
                    } else {
                        Arrays.fill(this.f9742e, i9, i10, (Object) null);
                        this.f9743f = i9;
                        return;
                    }
                }
            }
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.e7.a
        public void m() {
            E[] eArr = this.f9742e;
            this.f9742e = (E[]) Arrays.copyOf(eArr, eArr.length);
        }

        @p0.a
        /* renamed from: p */
        public b<E> g(E e7) {
            Preconditions.checkNotNull(e7);
            n();
            if (this.f9743f == this.f9742e.length) {
                v();
                int i7 = this.f9743f;
                int f7 = n5.a.f(i7, i7 + 1);
                E[] eArr = this.f9742e;
                if (f7 > eArr.length) {
                    this.f9742e = (E[]) Arrays.copyOf(eArr, f7);
                }
            }
            E[] eArr2 = this.f9742e;
            int i8 = this.f9743f;
            this.f9743f = i8 + 1;
            eArr2[i8] = e7;
            return this;
        }

        @p0.a
        /* renamed from: q */
        public b<E> h(E... eArr) {
            jb.b(eArr);
            for (E e7 : eArr) {
                g(e7);
            }
            return this;
        }

        @p0.a
        /* renamed from: r */
        public b<E> i(Iterable<? extends E> iterable) {
            super.c(iterable);
            return this;
        }

        @p0.a
        /* renamed from: s */
        public b<E> j(Iterator<? extends E> it) {
            super.d(it);
            return this;
        }

        /* renamed from: t */
        public c8<E> k() {
            v();
            if (this.f9743f == 0) {
                return c8.i1(this.f9741d);
            }
            this.f9899c = true;
            return new bc(t5.s(this.f9742e, this.f9743f), this.f9741d);
        }

        /* access modifiers changed from: package-private */
        @p0.a
        /* renamed from: u */
        public b<E> l(e7.a<E> aVar) {
            n();
            b bVar = (b) aVar;
            for (int i7 = 0; i7 < bVar.f9743f; i7++) {
                g(bVar.f9742e[i7]);
            }
            return this;
        }
    }

    private static class c<E> implements Serializable {

        /* renamed from: p  reason: collision with root package name */
        private static final long f9744p = 0;

        /* renamed from: f  reason: collision with root package name */
        final Comparator<? super E> f9745f;

        /* renamed from: g  reason: collision with root package name */
        final Object[] f9746g;

        public c(Comparator<? super E> comparator, Object[] objArr) {
            this.f9745f = comparator;
            this.f9746g = objArr;
        }

        /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: com.google.common.collect.c8$b */
        /* JADX WARN: Multi-variable type inference failed */
        /* access modifiers changed from: package-private */
        public Object a() {
            return new b(this.f9745f).h(this.f9746g).k();
        }
    }

    c8(Comparator<? super E> comparator) {
        this.W5 = comparator;
    }

    public static <E extends Comparable<? super E>> c8<E> A1(E e7, E e8, E e9, E e10, E e11, E e12, E... eArr) {
        int length = eArr.length + 6;
        Comparable[] comparableArr = new Comparable[length];
        comparableArr[0] = e7;
        comparableArr[1] = e8;
        comparableArr[2] = e9;
        comparableArr[3] = e10;
        comparableArr[4] = e11;
        comparableArr[5] = e12;
        System.arraycopy(eArr, 0, comparableArr, 6, eArr.length);
        return H0(kb.B(), length, comparableArr);
    }

    public static <E> b<E> B1(Comparator<E> comparator) {
        return new b<>(comparator);
    }

    private void C1(ObjectInputStream objectInputStream) throws InvalidObjectException {
        throw new InvalidObjectException("Use SerializedForm");
    }

    public static <E extends Comparable<?>> b<E> D1() {
        return new b<>(Collections.reverseOrder());
    }

    static <E> c8<E> H0(Comparator<? super E> comparator, int i7, E... eArr) {
        if (i7 == 0) {
            return i1(comparator);
        }
        jb.c(eArr, i7);
        Arrays.sort(eArr, 0, i7, comparator);
        int i8 = 1;
        for (int i9 = 1; i9 < i7; i9++) {
            E e7 = eArr[i9];
            if (comparator.compare(e7, eArr[i8 - 1]) != 0) {
                eArr[i8] = e7;
                i8++;
            }
        }
        Arrays.fill(eArr, i8, i7, (Object) null);
        return new bc(t5.s(eArr, i8), comparator);
    }

    public static <E> c8<E> K0(Iterable<? extends E> iterable) {
        return P0(kb.B(), iterable);
    }

    public static <E> Collector<E, ?, c8<E>> K1(Comparator<? super E> comparator) {
        return s1.t(comparator);
    }

    static int M1(Comparator<?> comparator, Object obj, Object obj2) {
        return comparator.compare(obj, obj2);
    }

    public static <E> c8<E> N0(Collection<? extends E> collection) {
        return Q0(kb.B(), collection);
    }

    public static <E> c8<E> P0(Comparator<? super E> comparator, Iterable<? extends E> iterable) {
        Preconditions.checkNotNull(comparator);
        if (wc.b(comparator, iterable) && (iterable instanceof c8)) {
            c8<E> c8Var = (c8) iterable;
            if (!c8Var.m()) {
                return c8Var;
            }
        }
        Object[] N = t8.N(iterable);
        return H0(comparator, N.length, N);
    }

    public static <E> c8<E> Q0(Comparator<? super E> comparator, Collection<? extends E> collection) {
        return P0(comparator, collection);
    }

    public static <E> c8<E> S0(Comparator<? super E> comparator, Iterator<? extends E> it) {
        return new b(comparator).j(it).k();
    }

    public static <E> c8<E> T0(Iterator<? extends E> it) {
        return S0(kb.B(), it);
    }

    public static <E extends Comparable<? super E>> c8<E> W0(E[] eArr) {
        return H0(kb.B(), eArr.length, (Object[]) eArr.clone());
    }

    public static <E> c8<E> b1(SortedSet<E> sortedSet) {
        Comparator a8 = wc.a(sortedSet);
        t5 D = t5.D(sortedSet);
        return D.isEmpty() ? i1(a8) : new bc(D, a8);
    }

    static <E> bc<E> i1(Comparator<? super E> comparator) {
        return kb.B().equals(comparator) ? (bc<E>) bc.f9689a6 : new bc<>(t5.R(), comparator);
    }

    public static <E extends Comparable<?>> b<E> n1() {
        return new b<>(kb.B());
    }

    public static <E> c8<E> p1() {
        return bc.f9689a6;
    }

    public static <E extends Comparable<? super E>> c8<E> q1(E e7) {
        return new bc(t5.T(e7), kb.B());
    }

    public static <E extends Comparable<? super E>> c8<E> s1(E e7, E e8) {
        return H0(kb.B(), 2, e7, e8);
    }

    public static <E extends Comparable<? super E>> c8<E> t1(E e7, E e8, E e9) {
        return H0(kb.B(), 3, e7, e8, e9);
    }

    public static <E extends Comparable<? super E>> c8<E> v1(E e7, E e8, E e9, E e10) {
        return H0(kb.B(), 4, e7, e8, e9, e10);
    }

    public static <E extends Comparable<? super E>> c8<E> y1(E e7, E e8, E e9, E e10, E e11) {
        return H0(kb.B(), 5, e7, e8, e9, e10, e11);
    }

    /* renamed from: E1 */
    public c8<E> subSet(E e7, E e8) {
        return subSet(e7, true, e8, false);
    }

    @m0.c
    /* renamed from: F1 */
    public c8<E> subSet(E e7, boolean z7, E e8, boolean z8) {
        Preconditions.checkNotNull(e7);
        Preconditions.checkNotNull(e8);
        Preconditions.checkArgument(this.W5.compare(e7, e8) <= 0);
        return G1(e7, z7, e8, z8);
    }

    /* access modifiers changed from: package-private */
    public abstract c8<E> G1(E e7, boolean z7, E e8, boolean z8);

    /* renamed from: H1 */
    public c8<E> tailSet(E e7) {
        return tailSet(e7, true);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: com.google.common.collect.c8<E> */
    /* JADX WARN: Multi-variable type inference failed */
    @m0.c
    /* renamed from: I1 */
    public c8<E> tailSet(E e7, boolean z7) {
        return J1(Preconditions.checkNotNull(e7), z7);
    }

    /* access modifiers changed from: package-private */
    public abstract c8<E> J1(E e7, boolean z7);

    /* access modifiers changed from: package-private */
    public int L1(Object obj, Object obj2) {
        return M1(this.W5, obj, obj2);
    }

    @Override // java.util.NavigableSet
    @m0.c
    public E ceiling(E e7) {
        return (E) t8.v(tailSet(e7, true), null);
    }

    @Override // com.google.common.collect.vc, java.util.SortedSet
    public Comparator<? super E> comparator() {
        return this.W5;
    }

    /* access modifiers changed from: package-private */
    @m0.c
    public abstract c8<E> d1();

    @m0.c
    /* renamed from: e1 */
    public abstract le<E> descendingIterator();

    @m0.c
    /* renamed from: f1 */
    public c8<E> descendingSet() {
        c8<E> c8Var = this.X5;
        if (c8Var != null) {
            return c8Var;
        }
        c8<E> d12 = d1();
        this.X5 = d12;
        d12.X5 = this;
        return d12;
    }

    @Override // java.util.SortedSet
    public E first() {
        return iterator().next();
    }

    @Override // java.util.NavigableSet
    @m0.c
    public E floor(E e7) {
        return (E) w8.J(headSet(e7, true).descendingIterator(), null);
    }

    @Override // java.util.NavigableSet
    @m0.c
    public E higher(E e7) {
        return (E) t8.v(tailSet(e7, false), null);
    }

    /* access modifiers changed from: package-private */
    public abstract int indexOf(Object obj);

    /* renamed from: j1 */
    public c8<E> headSet(E e7) {
        return headSet(e7, false);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: com.google.common.collect.c8<E> */
    /* JADX WARN: Multi-variable type inference failed */
    @m0.c
    /* renamed from: l1 */
    public c8<E> headSet(E e7, boolean z7) {
        return m1(Preconditions.checkNotNull(e7), z7);
    }

    @Override // java.util.SortedSet
    public E last() {
        return descendingIterator().next();
    }

    @Override // java.util.NavigableSet
    @m0.c
    public E lower(E e7) {
        return (E) w8.J(headSet(e7, false).descendingIterator(), null);
    }

    /* access modifiers changed from: package-private */
    public abstract c8<E> m1(E e7, boolean z7);

    @Override // com.google.common.collect.n5, com.google.common.collect.e7
    /* renamed from: n */
    public abstract le<E> iterator();

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.n5, com.google.common.collect.e7
    public Object p() {
        return new c(this.W5, toArray());
    }

    @Override // java.util.NavigableSet
    @Deprecated
    @p0.a
    @m0.c
    public final E pollFirst() {
        throw new UnsupportedOperationException();
    }

    @Override // java.util.NavigableSet
    @Deprecated
    @p0.a
    @m0.c
    public final E pollLast() {
        throw new UnsupportedOperationException();
    }

    @Override // java.util.SortedSet, java.util.Collection, java.util.Set, com.google.common.collect.n5, java.lang.Iterable
    public Spliterator<E> spliterator() {
        return new a((long) size(), 1365);
    }
}
