package com.google.common.collect;

import com.google.common.base.Preconditions;
import com.google.common.collect.xd;
import java.util.Collections;
import java.util.Comparator;
import java.util.LinkedHashSet;
import java.util.List;

/* access modifiers changed from: package-private */
@m0.b
public abstract class cc<R, C, V> extends m8<R, C, V> {

    /* access modifiers changed from: package-private */
    public static class a implements Comparator<xd.a<R, C, V>> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ Comparator f9752f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ Comparator f9753g;

        a(Comparator comparator, Comparator comparator2) {
            this.f9752f = comparator;
            this.f9753g = comparator2;
        }

        /* renamed from: a */
        public int compare(xd.a<R, C, V> aVar, xd.a<R, C, V> aVar2) {
            Comparator comparator = this.f9752f;
            int compare = comparator == null ? 0 : comparator.compare(aVar.b(), aVar2.b());
            if (compare != 0) {
                return compare;
            }
            Comparator comparator2 = this.f9753g;
            if (comparator2 == null) {
                return 0;
            }
            return comparator2.compare(aVar.a(), aVar2.a());
        }
    }

    /* access modifiers changed from: private */
    public final class b extends o8<xd.a<R, C, V>> {
        private b() {
        }

        @Override // com.google.common.collect.n5
        public boolean contains(Object obj) {
            if (!(obj instanceof xd.a)) {
                return false;
            }
            xd.a aVar = (xd.a) obj;
            Object L = cc.this.L(aVar.b(), aVar.a());
            return L != null && L.equals(aVar.getValue());
        }

        /* access modifiers changed from: package-private */
        /* renamed from: l0 */
        public xd.a<R, C, V> get(int i7) {
            return cc.this.h0(i7);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.n5
        public boolean m() {
            return false;
        }

        public int size() {
            return cc.this.size();
        }

        /* synthetic */ b(cc ccVar, a aVar) {
            this();
        }
    }

    /* access modifiers changed from: private */
    public final class c extends t5<V> {
        private c() {
        }

        @Override // java.util.List
        public V get(int i7) {
            return (V) cc.this.i0(i7);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.n5
        public boolean m() {
            return true;
        }

        public int size() {
            return cc.this.size();
        }

        /* synthetic */ c(cc ccVar, a aVar) {
            this();
        }
    }

    cc() {
    }

    static <R, C, V> cc<R, C, V> c0(Iterable<xd.a<R, C, V>> iterable) {
        return f0(iterable, null, null);
    }

    static <R, C, V> cc<R, C, V> e0(List<xd.a<R, C, V>> list, Comparator<? super R> comparator, Comparator<? super C> comparator2) {
        Preconditions.checkNotNull(list);
        if (!(comparator == null && comparator2 == null)) {
            Collections.sort(list, new a(comparator, comparator2));
        }
        return f0(list, comparator, comparator2);
    }

    private static <R, C, V> cc<R, C, V> f0(Iterable<xd.a<R, C, V>> iterable, Comparator<? super R> comparator, Comparator<? super C> comparator2) {
        LinkedHashSet linkedHashSet = new LinkedHashSet();
        LinkedHashSet linkedHashSet2 = new LinkedHashSet();
        t5 x7 = t5.x(iterable);
        for (xd.a<R, C, V> aVar : iterable) {
            linkedHashSet.add(aVar.b());
            linkedHashSet2.add(aVar.a());
        }
        return g0(x7, comparator == null ? e7.J(linkedHashSet) : e7.J(t5.r0(comparator, linkedHashSet)), comparator2 == null ? e7.J(linkedHashSet2) : e7.J(t5.r0(comparator2, linkedHashSet2)));
    }

    static <R, C, V> cc<R, C, V> g0(t5<xd.a<R, C, V>> t5Var, e7<R> e7Var, e7<C> e7Var2) {
        return ((long) t5Var.size()) > (((long) e7Var.size()) * ((long) e7Var2.size())) / 2 ? new d3(t5Var, e7Var, e7Var2) : new dd(t5Var, e7Var, e7Var2);
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.m8
    /* renamed from: C */
    public final e7<xd.a<R, C, V>> c() {
        return isEmpty() ? e7.Y() : new b(this, null);
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.m8
    /* renamed from: E */
    public final n5<V> d() {
        return isEmpty() ? t5.R() : new c(this, null);
    }

    /* access modifiers changed from: package-private */
    public final void a0(R r7, C c7, V v7, V v8) {
        Preconditions.checkArgument(v7 == null, "Duplicate key: (row=%s, column=%s), values: [%s, %s].", r7, c7, v8, v7);
    }

    /* access modifiers changed from: package-private */
    public abstract xd.a<R, C, V> h0(int i7);

    /* access modifiers changed from: package-private */
    public abstract V i0(int i7);
}
