package com.google.common.collect;

import com.google.common.base.Preconditions;
import com.google.common.math.d;
import java.math.RoundingMode;
import java.util.Arrays;
import java.util.Collections;
import java.util.Comparator;
import java.util.Iterator;
import java.util.List;
import m0.b;

/* access modifiers changed from: package-private */
@b
public final class ce<T> {

    /* renamed from: a  reason: collision with root package name */
    private final int f9755a;

    /* renamed from: b  reason: collision with root package name */
    private final Comparator<? super T> f9756b;

    /* renamed from: c  reason: collision with root package name */
    private final T[] f9757c;

    /* renamed from: d  reason: collision with root package name */
    private int f9758d;

    /* renamed from: e  reason: collision with root package name */
    private T f9759e;

    private ce(Comparator<? super T> comparator, int i7) {
        this.f9756b = (Comparator) Preconditions.checkNotNull(comparator, "comparator");
        this.f9755a = i7;
        Preconditions.checkArgument(i7 >= 0, "k must be nonnegative, was %s", i7);
        this.f9757c = (T[]) new Object[(i7 * 2)];
        this.f9758d = 0;
        this.f9759e = null;
    }

    public static <T extends Comparable<? super T>> ce<T> b(int i7) {
        return c(i7, kb.B());
    }

    public static <T> ce<T> c(int i7, Comparator<? super T> comparator) {
        return new ce<>(kb.i(comparator).G(), i7);
    }

    public static <T extends Comparable<? super T>> ce<T> d(int i7) {
        return e(i7, kb.B());
    }

    public static <T> ce<T> e(int i7, Comparator<? super T> comparator) {
        return new ce<>(comparator, i7);
    }

    private int i(int i7, int i8, int i9) {
        T[] tArr = this.f9757c;
        T t7 = tArr[i9];
        tArr[i9] = tArr[i8];
        int i10 = i7;
        while (i7 < i8) {
            if (this.f9756b.compare(this.f9757c[i7], t7) < 0) {
                j(i10, i7);
                i10++;
            }
            i7++;
        }
        T[] tArr2 = this.f9757c;
        tArr2[i8] = tArr2[i10];
        tArr2[i10] = t7;
        return i10;
    }

    private void j(int i7, int i8) {
        T[] tArr = this.f9757c;
        T t7 = tArr[i7];
        tArr[i7] = tArr[i8];
        tArr[i8] = t7;
    }

    private void l() {
        int i7 = (this.f9755a * 2) - 1;
        int p7 = d.p(i7 + 0, RoundingMode.CEILING) * 3;
        int i8 = 0;
        int i9 = 0;
        int i10 = 0;
        while (true) {
            if (i8 < i7) {
                int i11 = i(i8, i7, ((i8 + i7) + 1) >>> 1);
                int i12 = this.f9755a;
                if (i11 <= i12) {
                    if (i11 >= i12) {
                        break;
                    }
                    i8 = Math.max(i11, i8 + 1);
                    i10 = i11;
                } else {
                    i7 = i11 - 1;
                }
                i9++;
                if (i9 >= p7) {
                    Arrays.sort(this.f9757c, i8, i7, this.f9756b);
                    break;
                }
            } else {
                break;
            }
        }
        this.f9758d = this.f9755a;
        this.f9759e = this.f9757c[i10];
        while (true) {
            i10++;
            if (i10 >= this.f9755a) {
                return;
            }
            if (this.f9756b.compare(this.f9757c[i10], this.f9759e) > 0) {
                this.f9759e = this.f9757c[i10];
            }
        }
    }

    /* access modifiers changed from: package-private */
    public ce<T> a(ce<T> ceVar) {
        for (int i7 = 0; i7 < ceVar.f9758d; i7++) {
            f(ceVar.f9757c[i7]);
        }
        return this;
    }

    public void f(T t7) {
        int i7 = this.f9755a;
        if (i7 != 0) {
            int i8 = this.f9758d;
            if (i8 == 0) {
                this.f9757c[0] = t7;
                this.f9759e = t7;
                this.f9758d = 1;
            } else if (i8 < i7) {
                T[] tArr = this.f9757c;
                this.f9758d = i8 + 1;
                tArr[i8] = t7;
                if (this.f9756b.compare(t7, this.f9759e) > 0) {
                    this.f9759e = t7;
                }
            } else if (this.f9756b.compare(t7, this.f9759e) < 0) {
                T[] tArr2 = this.f9757c;
                int i9 = this.f9758d;
                int i10 = i9 + 1;
                this.f9758d = i10;
                tArr2[i9] = t7;
                if (i10 == this.f9755a * 2) {
                    l();
                }
            }
        }
    }

    public void g(Iterable<? extends T> iterable) {
        h(iterable.iterator());
    }

    /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: com.google.common.collect.ce<T> */
    /* JADX WARN: Multi-variable type inference failed */
    public void h(Iterator<? extends T> it) {
        while (it.hasNext()) {
            f(it.next());
        }
    }

    public List<T> k() {
        Arrays.sort(this.f9757c, 0, this.f9758d, this.f9756b);
        int i7 = this.f9758d;
        int i8 = this.f9755a;
        if (i7 > i8) {
            T[] tArr = this.f9757c;
            Arrays.fill(tArr, i8, tArr.length, (Object) null);
            int i9 = this.f9755a;
            this.f9758d = i9;
            this.f9759e = this.f9757c[i9 - 1];
        }
        return Collections.unmodifiableList(Arrays.asList(Arrays.copyOf(this.f9757c, this.f9758d)));
    }
}
