package com.google.common.collect;

import com.google.common.base.Objects;
import com.google.common.base.Preconditions;
import com.google.common.collect.v9;
import e1.h;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.io.Serializable;
import java.util.Arrays;
import java.util.ConcurrentModificationException;
import java.util.Iterator;
import java.util.Map;
import java.util.NoSuchElementException;
import java.util.Set;
import java.util.function.BiConsumer;
import java.util.function.BiFunction;

@m0.b(emulated = true)
public final class d5<K, V> extends v9.b0<K, V> implements h0<K, V>, Serializable {
    private static final double V5 = 1.0d;
    @m0.c
    private static final long W5 = 0;
    private transient int C1;
    private transient int C2;
    @h
    private transient h0<V, K> U5;

    /* renamed from: f  reason: collision with root package name */
    private transient b<K, V>[] f9771f;

    /* renamed from: g  reason: collision with root package name */
    private transient b<K, V>[] f9772g;

    /* renamed from: p  reason: collision with root package name */
    private transient b<K, V> f9773p;

    /* renamed from: x  reason: collision with root package name */
    private transient b<K, V> f9774x;

    /* renamed from: y  reason: collision with root package name */
    private transient int f9775y;

    /* access modifiers changed from: package-private */
    public class a extends d5<K, V>.e {

        /* access modifiers changed from: package-private */
        /* renamed from: com.google.common.collect.d5$a$a  reason: collision with other inner class name */
        public class C0113a extends n<K, V> {

            /* renamed from: f  reason: collision with root package name */
            b<K, V> f9776f;

            C0113a(b<K, V> bVar) {
                this.f9776f = bVar;
            }

            @Override // java.util.Map.Entry, com.google.common.collect.n
            public K getKey() {
                return this.f9776f.f10494f;
            }

            @Override // java.util.Map.Entry, com.google.common.collect.n
            public V getValue() {
                return this.f9776f.f10495g;
            }

            @Override // java.util.Map.Entry, com.google.common.collect.n
            public V setValue(V v7) {
                V v8 = this.f9776f.f10495g;
                int d7 = i5.d(v7);
                if (d7 == this.f9776f.f9779y && Objects.equal(v7, v8)) {
                    return v7;
                }
                Preconditions.checkArgument(d5.this.B(v7, d7) == null, "value already present: %s", v7);
                d5.this.r(this.f9776f);
                b<K, V> bVar = this.f9776f;
                b<K, V> bVar2 = new b<>(bVar.f10494f, bVar.f9778x, v7, d7);
                d5.this.t(bVar2, this.f9776f);
                b<K, V> bVar3 = this.f9776f;
                bVar3.V5 = null;
                bVar3.U5 = null;
                a aVar = a.this;
                aVar.f9787p = d5.this.C2;
                a aVar2 = a.this;
                if (aVar2.f9786g == this.f9776f) {
                    aVar2.f9786g = bVar2;
                }
                this.f9776f = bVar2;
                return v8;
            }
        }

        a() {
            super();
        }

        /* access modifiers changed from: package-private */
        /* renamed from: b */
        public Map.Entry<K, V> a(b<K, V> bVar) {
            return new C0113a(bVar);
        }
    }

    /* access modifiers changed from: private */
    public static final class b<K, V> extends o5<K, V> {
        b<K, V> C1;
        b<K, V> C2;
        b<K, V> U5;
        b<K, V> V5;

        /* renamed from: x  reason: collision with root package name */
        final int f9778x;

        /* renamed from: y  reason: collision with root package name */
        final int f9779y;

        b(K k7, int i7, V v7, int i8) {
            super(k7, v7);
            this.f9778x = i7;
            this.f9779y = i8;
        }
    }

    /* access modifiers changed from: private */
    public final class c extends v9.b0<V, K> implements h0<V, K>, Serializable {

        class a extends d5<K, V>.e {

            /* access modifiers changed from: package-private */
            /* renamed from: com.google.common.collect.d5$c$a$a  reason: collision with other inner class name */
            public class C0114a extends n<V, K> {

                /* renamed from: f  reason: collision with root package name */
                b<K, V> f9781f;

                C0114a(b<K, V> bVar) {
                    this.f9781f = bVar;
                }

                @Override // java.util.Map.Entry, com.google.common.collect.n
                public V getKey() {
                    return this.f9781f.f10495g;
                }

                @Override // java.util.Map.Entry, com.google.common.collect.n
                public K getValue() {
                    return this.f9781f.f10494f;
                }

                @Override // java.util.Map.Entry, com.google.common.collect.n
                public K setValue(K k7) {
                    K k8 = this.f9781f.f10494f;
                    int d7 = i5.d(k7);
                    if (d7 == this.f9781f.f9778x && Objects.equal(k7, k8)) {
                        return k7;
                    }
                    Preconditions.checkArgument(d5.this.A(k7, d7) == null, "value already present: %s", k7);
                    d5.this.r(this.f9781f);
                    b<K, V> bVar = this.f9781f;
                    b<K, V> bVar2 = new b<>(k7, d7, bVar.f10495g, bVar.f9779y);
                    this.f9781f = bVar2;
                    d5.this.t(bVar2, null);
                    a aVar = a.this;
                    aVar.f9787p = d5.this.C2;
                    return k8;
                }
            }

            a() {
                super();
            }

            /* access modifiers changed from: package-private */
            /* renamed from: b */
            public Map.Entry<V, K> a(b<K, V> bVar) {
                return new C0114a(bVar);
            }
        }

        private final class b extends v9.c0<V, K> {

            class a extends d5<K, V>.e {
                a() {
                    super();
                }

                /* access modifiers changed from: package-private */
                @Override // com.google.common.collect.d5.e
                public V a(b<K, V> bVar) {
                    return bVar.f10495g;
                }
            }

            b() {
                super(c.this);
            }

            @Override // com.google.common.collect.v9.c0, java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
            public Iterator<V> iterator() {
                return new a();
            }

            @Override // com.google.common.collect.v9.c0
            public boolean remove(Object obj) {
                b B = d5.this.B(obj, i5.d(obj));
                if (B == null) {
                    return false;
                }
                d5.this.r(B);
                return true;
            }
        }

        private c() {
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.v9.b0
        public Iterator<Map.Entry<V, K>> a() {
            return new a();
        }

        @Override // com.google.common.collect.v9.b0
        public void clear() {
            e().clear();
        }

        public boolean containsKey(Object obj) {
            return e().containsValue(obj);
        }

        /* access modifiers changed from: package-private */
        public h0<K, V> e() {
            return d5.this;
        }

        @Override // java.util.Map
        public void forEach(BiConsumer<? super V, ? super K> biConsumer) {
            Preconditions.checkNotNull(biConsumer);
            d5.this.forEach(new e5(biConsumer));
        }

        /* access modifiers changed from: package-private */
        public Object g() {
            return new d(d5.this);
        }

        @Override // java.util.AbstractMap, java.util.Map
        public K get(Object obj) {
            return (K) v9.Y(d5.this.B(obj, i5.d(obj)));
        }

        @Override // com.google.common.collect.h0
        public K k0(V v7, K k7) {
            return (K) d5.this.x(v7, k7, true);
        }

        @Override // java.util.AbstractMap, java.util.Map
        public Set<V> keySet() {
            return new b();
        }

        @Override // com.google.common.collect.h0
        public h0<K, V> p1() {
            return e();
        }

        @Override // java.util.AbstractMap, java.util.Map, com.google.common.collect.h0
        @p0.a
        public K put(V v7, K k7) {
            return (K) d5.this.x(v7, k7, false);
        }

        @Override // java.util.AbstractMap, java.util.Map
        public K remove(Object obj) {
            b B = d5.this.B(obj, i5.d(obj));
            if (B == null) {
                return null;
            }
            d5.this.r(B);
            B.V5 = null;
            B.U5 = null;
            return B.f10494f;
        }

        /* JADX DEBUG: Multi-variable search result rejected for r3v0, resolved type: com.google.common.collect.d5$c */
        /* JADX WARN: Multi-variable type inference failed */
        @Override // java.util.Map
        public void replaceAll(BiFunction<? super V, ? super K, ? extends K> biFunction) {
            Preconditions.checkNotNull(biFunction);
            clear();
            for (b<K, V> bVar = d5.this.f9773p; bVar != null; bVar = bVar.U5) {
                V v7 = bVar.f10495g;
                put(v7, biFunction.apply(v7, bVar.f10494f));
            }
        }

        @Override // com.google.common.collect.v9.b0
        public int size() {
            return d5.this.f9775y;
        }

        /* synthetic */ c(d5 d5Var, a aVar) {
            this();
        }

        @Override // java.util.AbstractMap, java.util.Map, com.google.common.collect.h0, com.google.common.collect.h0
        public Set<K> values() {
            return e().keySet();
        }
    }

    private static final class d<K, V> implements Serializable {

        /* renamed from: f  reason: collision with root package name */
        private final d5<K, V> f9784f;

        d(d5<K, V> d5Var) {
            this.f9784f = d5Var;
        }

        /* access modifiers changed from: package-private */
        public Object a() {
            return this.f9784f.p1();
        }
    }

    abstract class e<T> implements Iterator<T> {

        /* renamed from: f  reason: collision with root package name */
        b<K, V> f9785f;

        /* renamed from: g  reason: collision with root package name */
        b<K, V> f9786g = null;

        /* renamed from: p  reason: collision with root package name */
        int f9787p;

        /* renamed from: x  reason: collision with root package name */
        int f9788x;

        e() {
            this.f9785f = d5.this.f9773p;
            this.f9787p = d5.this.C2;
            this.f9788x = d5.this.size();
        }

        /* access modifiers changed from: package-private */
        public abstract T a(b<K, V> bVar);

        public boolean hasNext() {
            if (d5.this.C2 == this.f9787p) {
                return this.f9785f != null && this.f9788x > 0;
            }
            throw new ConcurrentModificationException();
        }

        @Override // java.util.Iterator
        public T next() {
            if (hasNext()) {
                b<K, V> bVar = this.f9785f;
                this.f9785f = bVar.U5;
                this.f9786g = bVar;
                this.f9788x--;
                return a(bVar);
            }
            throw new NoSuchElementException();
        }

        public void remove() {
            if (d5.this.C2 == this.f9787p) {
                t1.e(this.f9786g != null);
                d5.this.r(this.f9786g);
                this.f9787p = d5.this.C2;
                this.f9786g = null;
                return;
            }
            throw new ConcurrentModificationException();
        }
    }

    private final class f extends v9.c0<K, V> {

        class a extends d5<K, V>.e {
            a() {
                super();
            }

            /* access modifiers changed from: package-private */
            @Override // com.google.common.collect.d5.e
            public K a(b<K, V> bVar) {
                return bVar.f10494f;
            }
        }

        f() {
            super(d5.this);
        }

        @Override // com.google.common.collect.v9.c0, java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
        public Iterator<K> iterator() {
            return new a();
        }

        @Override // com.google.common.collect.v9.c0
        public boolean remove(Object obj) {
            b A = d5.this.A(obj, i5.d(obj));
            if (A == null) {
                return false;
            }
            d5.this.r(A);
            A.V5 = null;
            A.U5 = null;
            return true;
        }
    }

    private d5(int i7) {
        s(i7);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private b<K, V> A(Object obj, int i7) {
        for (b<K, V> bVar = this.f9771f[this.C1 & i7]; bVar != null; bVar = bVar.C1) {
            if (i7 == bVar.f9778x && Objects.equal(obj, bVar.f10494f)) {
                return bVar;
            }
        }
        return null;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private b<K, V> B(Object obj, int i7) {
        for (b<K, V> bVar = this.f9772g[this.C1 & i7]; bVar != null; bVar = bVar.C2) {
            if (i7 == bVar.f9779y && Objects.equal(obj, bVar.f10495g)) {
                return bVar;
            }
        }
        return null;
    }

    @m0.c
    private void C(ObjectOutputStream objectOutputStream) throws IOException {
        objectOutputStream.defaultWriteObject();
        gc.i(this, objectOutputStream);
    }

    public static <K, V> d5<K, V> m() {
        return n(16);
    }

    public static <K, V> d5<K, V> n(int i7) {
        return new d5<>(i7);
    }

    public static <K, V> d5<K, V> p(Map<? extends K, ? extends V> map) {
        d5<K, V> n7 = n(map.size());
        n7.putAll(map);
        return n7;
    }

    private b<K, V>[] q(int i7) {
        return new b[i7];
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void r(b<K, V> bVar) {
        int i7 = bVar.f9778x & this.C1;
        b<K, V> bVar2 = null;
        b<K, V> bVar3 = null;
        for (b<K, V> bVar4 = this.f9771f[i7]; bVar4 != bVar; bVar4 = bVar4.C1) {
            bVar3 = bVar4;
        }
        if (bVar3 == null) {
            this.f9771f[i7] = bVar.C1;
        } else {
            bVar3.C1 = bVar.C1;
        }
        int i8 = bVar.f9779y & this.C1;
        b<K, V> bVar5 = this.f9772g[i8];
        while (true) {
            bVar2 = bVar5;
            if (bVar2 == bVar) {
                break;
            }
            bVar5 = bVar2.C2;
        }
        if (bVar2 == null) {
            this.f9772g[i8] = bVar.C2;
        } else {
            bVar2.C2 = bVar.C2;
        }
        b<K, V> bVar6 = bVar.V5;
        b<K, V> bVar7 = bVar.U5;
        if (bVar6 == null) {
            this.f9773p = bVar7;
        } else {
            bVar6.U5 = bVar7;
        }
        b<K, V> bVar8 = bVar.U5;
        if (bVar8 == null) {
            this.f9774x = bVar6;
        } else {
            bVar8.V5 = bVar6;
        }
        this.f9775y--;
        this.C2++;
    }

    private void s(int i7) {
        t1.b(i7, "expectedSize");
        int a8 = i5.a(i7, 1.0d);
        this.f9771f = q(a8);
        this.f9772g = q(a8);
        this.f9773p = null;
        this.f9774x = null;
        this.f9775y = 0;
        this.C1 = a8 - 1;
        this.C2 = 0;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void t(b<K, V> bVar, b<K, V> bVar2) {
        int i7 = bVar.f9778x;
        int i8 = this.C1;
        int i9 = i7 & i8;
        b<K, V>[] bVarArr = this.f9771f;
        bVar.C1 = bVarArr[i9];
        bVarArr[i9] = bVar;
        int i10 = bVar.f9779y & i8;
        b<K, V>[] bVarArr2 = this.f9772g;
        bVar.C2 = bVarArr2[i10];
        bVarArr2[i10] = bVar;
        if (bVar2 == null) {
            b<K, V> bVar3 = this.f9774x;
            bVar.V5 = bVar3;
            bVar.U5 = null;
            if (bVar3 == null) {
                this.f9773p = bVar;
            } else {
                bVar3.U5 = bVar;
            }
        } else {
            b<K, V> bVar4 = bVar2.V5;
            bVar.V5 = bVar4;
            if (bVar4 == null) {
                this.f9773p = bVar;
            } else {
                bVar4.U5 = bVar;
            }
            b<K, V> bVar5 = bVar2.U5;
            bVar.U5 = bVar5;
            if (bVar5 != null) {
                bVar5.V5 = bVar;
                this.f9775y++;
                this.C2++;
            }
        }
        this.f9774x = bVar;
        this.f9775y++;
        this.C2++;
    }

    private V v(K k7, V v7, boolean z7) {
        int d7 = i5.d(k7);
        int d8 = i5.d(v7);
        b<K, V> A = A(k7, d7);
        if (A != null && d8 == A.f9779y && Objects.equal(v7, A.f10495g)) {
            return v7;
        }
        b<K, V> B = B(v7, d8);
        if (B != null) {
            if (z7) {
                r(B);
            } else {
                throw new IllegalArgumentException("value already present: " + ((Object) v7));
            }
        }
        b<K, V> bVar = new b<>(k7, d7, v7, d8);
        if (A != null) {
            r(A);
            t(bVar, A);
            A.V5 = null;
            A.U5 = null;
            return A.f10495g;
        }
        t(bVar, null);
        z();
        return null;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private K x(V v7, K k7, boolean z7) {
        int d7 = i5.d(v7);
        int d8 = i5.d(k7);
        b<K, V> B = B(v7, d7);
        b<K, V> A = A(k7, d8);
        if (B != null && d8 == B.f9778x && Objects.equal(k7, B.f10494f)) {
            return k7;
        }
        if (A == null || z7) {
            if (B != null) {
                r(B);
            }
            if (A != null) {
                r(A);
            }
            t(new b<>(k7, d8, v7, d7), A);
            if (A != null) {
                A.V5 = null;
                A.U5 = null;
            }
            if (B != null) {
                B.V5 = null;
                B.U5 = null;
            }
            z();
            return (K) v9.Y(B);
        }
        throw new IllegalArgumentException("key already present: " + ((Object) k7));
    }

    @m0.c
    private void y(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException {
        objectInputStream.defaultReadObject();
        int h7 = gc.h(objectInputStream);
        s(16);
        gc.c(this, objectInputStream, h7);
    }

    private void z() {
        b<K, V>[] bVarArr = this.f9771f;
        if (i5.b(this.f9775y, bVarArr.length, 1.0d)) {
            int length = bVarArr.length * 2;
            this.f9771f = q(length);
            this.f9772g = q(length);
            this.C1 = length - 1;
            this.f9775y = 0;
            for (b<K, V> bVar = this.f9773p; bVar != null; bVar = bVar.U5) {
                t(bVar, bVar);
            }
            this.C2++;
        }
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.v9.b0
    public Iterator<Map.Entry<K, V>> a() {
        return new a();
    }

    @Override // com.google.common.collect.v9.b0
    public void clear() {
        this.f9775y = 0;
        Arrays.fill(this.f9771f, (Object) null);
        Arrays.fill(this.f9772g, (Object) null);
        this.f9773p = null;
        this.f9774x = null;
        this.C2++;
    }

    public boolean containsKey(Object obj) {
        return A(obj, i5.d(obj)) != null;
    }

    public boolean containsValue(Object obj) {
        return B(obj, i5.d(obj)) != null;
    }

    @Override // java.util.AbstractMap, java.util.Map, com.google.common.collect.v9.b0
    public /* bridge */ /* synthetic */ Set entrySet() {
        return super.entrySet();
    }

    @Override // java.util.Map
    public void forEach(BiConsumer<? super K, ? super V> biConsumer) {
        Preconditions.checkNotNull(biConsumer);
        for (b<K, V> bVar = this.f9773p; bVar != null; bVar = bVar.U5) {
            biConsumer.accept(bVar.f10494f, bVar.f10495g);
        }
    }

    @Override // java.util.AbstractMap, java.util.Map
    public V get(Object obj) {
        return (V) v9.b1(A(obj, i5.d(obj)));
    }

    @Override // com.google.common.collect.h0
    @p0.a
    public V k0(K k7, V v7) {
        return v(k7, v7, true);
    }

    @Override // java.util.AbstractMap, java.util.Map
    public Set<K> keySet() {
        return new f();
    }

    @Override // com.google.common.collect.h0
    public h0<V, K> p1() {
        h0<V, K> h0Var = this.U5;
        if (h0Var != null) {
            return h0Var;
        }
        c cVar = new c(this, null);
        this.U5 = cVar;
        return cVar;
    }

    @Override // java.util.AbstractMap, java.util.Map, com.google.common.collect.h0
    @p0.a
    public V put(K k7, V v7) {
        return v(k7, v7, false);
    }

    @Override // java.util.AbstractMap, java.util.Map
    @p0.a
    public V remove(Object obj) {
        b<K, V> A = A(obj, i5.d(obj));
        if (A == null) {
            return null;
        }
        r(A);
        A.V5 = null;
        A.U5 = null;
        return A.f10495g;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r3v0, resolved type: com.google.common.collect.d5<K, V> */
    /* JADX WARN: Multi-variable type inference failed */
    @Override // java.util.Map
    public void replaceAll(BiFunction<? super K, ? super V, ? extends V> biFunction) {
        Preconditions.checkNotNull(biFunction);
        clear();
        for (b<K, V> bVar = this.f9773p; bVar != null; bVar = bVar.U5) {
            K k7 = bVar.f10494f;
            put(k7, biFunction.apply(k7, bVar.f10495g));
        }
    }

    @Override // com.google.common.collect.v9.b0
    public int size() {
        return this.f9775y;
    }

    @Override // java.util.AbstractMap, java.util.Map, com.google.common.collect.h0, com.google.common.collect.h0
    public Set<V> values() {
        return p1().keySet();
    }
}
