package com.google.common.collect;

import com.google.common.base.Preconditions;
import com.google.common.collect.h6;
import com.google.common.collect.oa;
import com.google.common.collect.t5;
import com.google.common.collect.t6;
import e1.h;
import java.io.IOException;
import java.io.InvalidObjectException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.util.Collection;
import java.util.Comparator;
import java.util.Iterator;
import java.util.Map;
import java.util.function.Function;
import java.util.stream.Collector;
import java.util.stream.Collectors;
import java.util.stream.Stream;
import m0.b;
import m0.c;

@b(emulated = true, serializable = true)
public class d6<K, V> extends t6<K, V> implements h9<K, V> {
    @c
    private static final long W5 = 0;
    @h
    @q0.b
    private transient d6<V, K> V5;

    public static final class a<K, V> extends t6.c<K, V> {
        /* renamed from: l */
        public d6<K, V> a() {
            return (d6) super.a();
        }

        /* access modifiers changed from: package-private */
        @p0.a
        /* renamed from: m */
        public a<K, V> b(t6.c<K, V> cVar) {
            super.b(cVar);
            return this;
        }

        @p0.a
        /* renamed from: n */
        public a<K, V> d(Comparator<? super K> comparator) {
            super.d(comparator);
            return this;
        }

        @p0.a
        /* renamed from: o */
        public a<K, V> e(Comparator<? super V> comparator) {
            super.e(comparator);
            return this;
        }

        @p0.a
        /* renamed from: p */
        public a<K, V> f(K k7, V v7) {
            super.f(k7, v7);
            return this;
        }

        @p0.a
        /* renamed from: q */
        public a<K, V> g(Map.Entry<? extends K, ? extends V> entry) {
            super.g(entry);
            return this;
        }

        @p0.a
        /* renamed from: r */
        public a<K, V> h(na<? extends K, ? extends V> naVar) {
            super.h(naVar);
            return this;
        }

        @m0.a
        @p0.a
        /* renamed from: s */
        public a<K, V> i(Iterable<? extends Map.Entry<? extends K, ? extends V>> iterable) {
            super.i(iterable);
            return this;
        }

        @p0.a
        /* renamed from: t */
        public a<K, V> j(K k7, Iterable<? extends V> iterable) {
            super.j(k7, iterable);
            return this;
        }

        @p0.a
        /* renamed from: u */
        public a<K, V> k(K k7, V... vArr) {
            super.k(k7, vArr);
            return this;
        }
    }

    d6(h6<K, t5<V>> h6Var, int i7) {
        super(h6Var, i7);
    }

    @c
    private void A0(ObjectOutputStream objectOutputStream) throws IOException {
        objectOutputStream.defaultWriteObject();
        gc.j(this, objectOutputStream);
    }

    public static <K, V> a<K, V> a0() {
        return new a<>();
    }

    public static <K, V> d6<K, V> b0(na<? extends K, ? extends V> naVar) {
        if (naVar.isEmpty()) {
            return n0();
        }
        if (naVar instanceof d6) {
            d6<K, V> d6Var = (d6) naVar;
            if (!d6Var.F()) {
                return d6Var;
            }
        }
        return e0(naVar.e().entrySet(), null);
    }

    @m0.a
    public static <K, V> d6<K, V> c0(Iterable<? extends Map.Entry<? extends K, ? extends V>> iterable) {
        return new a().i(iterable).a();
    }

    public static <T, K, V> Collector<T, ?, d6<K, V>> d0(Function<? super T, ? extends K> function, Function<? super T, ? extends Stream<? extends V>> function2) {
        Preconditions.checkNotNull(function);
        Preconditions.checkNotNull(function2);
        u5 u5Var = new u5(function);
        v5 v5Var = new v5(function2);
        oa.j<Object, Object> a8 = oa.f().a();
        a8.getClass();
        return Collectors.collectingAndThen(ua.u(u5Var, v5Var, new w5(a8)), new x5());
    }

    /* JADX DEBUG: Multi-variable search result rejected for r0v1, resolved type: com.google.common.collect.h6$b */
    /* JADX WARN: Multi-variable type inference failed */
    static <K, V> d6<K, V> e0(Collection<? extends Map.Entry<? extends K, ? extends Collection<? extends V>>> collection, Comparator<? super V> comparator) {
        if (collection.isEmpty()) {
            return n0();
        }
        h6.b bVar = new h6.b(collection.size());
        Iterator<? extends Map.Entry<? extends K, ? extends Collection<? extends V>>> it = collection.iterator();
        int i7 = 0;
        while (it.hasNext()) {
            Map.Entry entry = (Map.Entry) it.next();
            Object key = entry.getKey();
            Collection collection2 = (Collection) entry.getValue();
            t5 D = comparator == null ? t5.D(collection2) : t5.r0(comparator, collection2);
            if (!D.isEmpty()) {
                bVar.f(key, D);
                i7 += D.size();
            }
        }
        return new d6<>(bVar.a(), i7);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r4v0, resolved type: com.google.common.collect.d6<K, V> */
    /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: com.google.common.collect.d6$a */
    /* JADX WARN: Multi-variable type inference failed */
    private d6<V, K> i0() {
        a a02 = a0();
        le n7 = h().iterator();
        while (n7.hasNext()) {
            Map.Entry entry = (Map.Entry) n7.next();
            a02.f(entry.getValue(), entry.getKey());
        }
        d6<V, K> l7 = a02.a();
        l7.V5 = this;
        return l7;
    }

    /* access modifiers changed from: private */
    public static /* synthetic */ Object k0(Function function, Object obj) {
        return Preconditions.checkNotNull(function.apply(obj));
    }

    /* access modifiers changed from: private */
    public static /* synthetic */ Stream l0(Function function, Object obj) {
        return ((Stream) function.apply(obj)).peek(new c6());
    }

    /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: com.google.common.collect.d6$a */
    /* JADX WARN: Multi-variable type inference failed */
    /* access modifiers changed from: private */
    public static /* synthetic */ void m0(Function function, Function function2, a aVar, Object obj) {
        aVar.f(function.apply(obj), function2.apply(obj));
    }

    public static <K, V> d6<K, V> n0() {
        return j3.X5;
    }

    public static <K, V> d6<K, V> o0(K k7, V v7) {
        a a02 = a0();
        a02.f(k7, v7);
        return a02.a();
    }

    public static <K, V> d6<K, V> p0(K k7, V v7, K k8, V v8) {
        a a02 = a0();
        a02.f(k7, v7);
        a02.f(k8, v8);
        return a02.a();
    }

    public static <K, V> d6<K, V> q0(K k7, V v7, K k8, V v8, K k9, V v9) {
        a a02 = a0();
        a02.f(k7, v7);
        a02.f(k8, v8);
        a02.f(k9, v9);
        return a02.a();
    }

    public static <K, V> d6<K, V> t0(K k7, V v7, K k8, V v8, K k9, V v9, K k10, V v10) {
        a a02 = a0();
        a02.f(k7, v7);
        a02.f(k8, v8);
        a02.f(k9, v9);
        a02.f(k10, v10);
        return a02.a();
    }

    public static <K, V> d6<K, V> v0(K k7, V v7, K k8, V v8, K k9, V v9, K k10, V v10, K k11, V v11) {
        a a02 = a0();
        a02.f(k7, v7);
        a02.f(k8, v8);
        a02.f(k9, v9);
        a02.f(k10, v10);
        a02.f(k11, v11);
        return a02.a();
    }

    /* JADX DEBUG: Multi-variable search result rejected for r1v1, resolved type: com.google.common.collect.h6$b */
    /* JADX WARN: Multi-variable type inference failed */
    @c
    private void w0(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException {
        objectInputStream.defaultReadObject();
        int readInt = objectInputStream.readInt();
        if (readInt >= 0) {
            h6.b b7 = h6.b();
            int i7 = 0;
            for (int i8 = 0; i8 < readInt; i8++) {
                Object readObject = objectInputStream.readObject();
                int readInt2 = objectInputStream.readInt();
                if (readInt2 > 0) {
                    t5.b t7 = t5.t();
                    for (int i9 = 0; i9 < readInt2; i9++) {
                        t7.a(objectInputStream.readObject());
                    }
                    b7.f(readObject, t7.e());
                    i7 += readInt2;
                } else {
                    throw new InvalidObjectException("Invalid value count " + readInt2);
                }
            }
            try {
                t6.e.f10637a.b(this, b7.a());
                t6.e.f10638b.a(this, i7);
            } catch (IllegalArgumentException e7) {
                throw ((InvalidObjectException) new InvalidObjectException(e7.getMessage()).initCause(e7));
            }
        } else {
            throw new InvalidObjectException("Invalid key count " + readInt);
        }
    }

    public static <T, K, V> Collector<T, ?, d6<K, V>> z0(Function<? super T, ? extends K> function, Function<? super T, ? extends V> function2) {
        Preconditions.checkNotNull(function, "keyFunction");
        Preconditions.checkNotNull(function2, "valueFunction");
        return Collector.of(new y5(), new z5(function, function2), new a6(), new b6(), new Collector.Characteristics[0]);
    }

    /* renamed from: f0 */
    public t5<V> get(K k7) {
        t5<V> t5Var = (t5) this.C1.get(k7);
        return t5Var == null ? t5.R() : t5Var;
    }

    /* renamed from: h0 */
    public d6<V, K> E() {
        d6<V, K> d6Var = this.V5;
        if (d6Var != null) {
            return d6Var;
        }
        d6<V, K> i02 = i0();
        this.V5 = i02;
        return i02;
    }

    @p0.a
    @Deprecated
    /* renamed from: x0 */
    public t5<V> b(Object obj) {
        throw new UnsupportedOperationException();
    }

    @p0.a
    @Deprecated
    /* renamed from: y0 */
    public t5<V> c(K k7, Iterable<? extends V> iterable) {
        throw new UnsupportedOperationException();
    }
}
