package com.google.common.collect;

import com.google.common.base.Preconditions;
import com.google.common.collect.t5;
import com.google.common.collect.xc;
import com.google.common.primitives.l;
import java.io.Serializable;
import java.lang.Comparable;
import java.util.Collections;
import java.util.Iterator;
import java.util.List;
import java.util.NoSuchElementException;
import java.util.stream.Collector;

@m0.a
@m0.c
public final class d7<C extends Comparable> extends r<C> implements Serializable {

    /* renamed from: p  reason: collision with root package name */
    private static final d7<Comparable<?>> f9791p = new d7<>(t5.R());

    /* renamed from: x  reason: collision with root package name */
    private static final d7<Comparable<?>> f9792x = new d7<>(t5.T(ob.a()));

    /* renamed from: f  reason: collision with root package name */
    private final transient t5<ob<C>> f9793f;
    @q0.b

    /* renamed from: g  reason: collision with root package name */
    private transient d7<C> f9794g;

    /* access modifiers changed from: package-private */
    public class a extends t5<ob<C>> {

        /* renamed from: p  reason: collision with root package name */
        final /* synthetic */ int f9795p;

        /* renamed from: x  reason: collision with root package name */
        final /* synthetic */ int f9796x;

        /* renamed from: y  reason: collision with root package name */
        final /* synthetic */ ob f9797y;

        a(int i7, int i8, ob obVar) {
            this.f9795p = i7;
            this.f9796x = i8;
            this.f9797y = obVar;
        }

        /* renamed from: B0 */
        public ob<C> get(int i7) {
            Preconditions.checkElementIndex(i7, this.f9795p);
            return (i7 == 0 || i7 == this.f9795p + -1) ? ((ob) d7.this.f9793f.get(i7 + this.f9796x)).v(this.f9797y) : (ob) d7.this.f9793f.get(i7 + this.f9796x);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.n5
        public boolean m() {
            return true;
        }

        public int size() {
            return this.f9795p;
        }
    }

    /* access modifiers changed from: private */
    public final class b extends c8<C> {
        private final h3<C> Z5;

        /* renamed from: a6  reason: collision with root package name */
        private transient Integer f9798a6;

        /* access modifiers changed from: package-private */
        public class a extends c<C> {

            /* renamed from: p  reason: collision with root package name */
            final Iterator<ob<C>> f9800p;

            /* renamed from: x  reason: collision with root package name */
            Iterator<C> f9801x = w8.u();

            a() {
                this.f9800p = d7.this.f9793f.iterator();
            }

            /* access modifiers changed from: protected */
            /* renamed from: d */
            public C a() {
                C next;
                while (true) {
                    if (!this.f9801x.hasNext()) {
                        if (!this.f9800p.hasNext()) {
                            next = (C) b();
                            break;
                        }
                        this.f9801x = a3.R1(this.f9800p.next(), b.this.Z5).iterator();
                    } else {
                        next = this.f9801x.next();
                        break;
                    }
                }
                return (C) next;
            }
        }

        /* access modifiers changed from: package-private */
        /* renamed from: com.google.common.collect.d7$b$b  reason: collision with other inner class name */
        public class C0115b extends c<C> {

            /* renamed from: p  reason: collision with root package name */
            final Iterator<ob<C>> f9803p;

            /* renamed from: x  reason: collision with root package name */
            Iterator<C> f9804x = w8.u();

            C0115b() {
                this.f9803p = d7.this.f9793f.o0().iterator();
            }

            /* access modifiers changed from: protected */
            /* renamed from: d */
            public C a() {
                C next;
                while (true) {
                    if (!this.f9804x.hasNext()) {
                        if (!this.f9803p.hasNext()) {
                            next = (C) b();
                            break;
                        }
                        this.f9804x = a3.R1(this.f9803p.next(), b.this.Z5).descendingIterator();
                    } else {
                        next = this.f9804x.next();
                        break;
                    }
                }
                return (C) next;
            }
        }

        b(h3<C> h3Var) {
            super(kb.B());
            this.Z5 = h3Var;
        }

        /* access modifiers changed from: package-private */
        /* renamed from: O1 */
        public c8<C> m1(C c7, boolean z7) {
            return P1(ob.K(c7, i0.b(z7)));
        }

        /* JADX DEBUG: Type inference failed for r1v1. Raw type applied. Possible types: com.google.common.collect.h3<C>, com.google.common.collect.h3<C extends java.lang.Comparable> */
        /* access modifiers changed from: package-private */
        public c8<C> P1(ob<C> obVar) {
            return d7.this.m(obVar).w((h3<C>) this.Z5);
        }

        /* access modifiers changed from: package-private */
        /* renamed from: Q1 */
        public c8<C> G1(C c7, boolean z7, C c8, boolean z8) {
            return (z7 || z8 || ob.i(c7, c8) != 0) ? P1(ob.E(c7, i0.b(z7), c8, i0.b(z8))) : c8.p1();
        }

        /* access modifiers changed from: package-private */
        /* renamed from: R1 */
        public c8<C> J1(C c7, boolean z7) {
            return P1(ob.n(c7, i0.b(z7)));
        }

        @Override // com.google.common.collect.n5
        public boolean contains(Object obj) {
            if (obj == null) {
                return false;
            }
            try {
                return d7.this.contains((Comparable) obj);
            } catch (ClassCastException unused) {
                return false;
            }
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.c8
        public c8<C> d1() {
            return new f3(this);
        }

        @Override // com.google.common.collect.c8
        @m0.c("NavigableSet")
        /* renamed from: e1 */
        public le<C> descendingIterator() {
            return new C0115b();
        }

        /* JADX DEBUG: Multi-variable search result rejected for r3v2, resolved type: com.google.common.collect.ob */
        /* JADX WARN: Multi-variable type inference failed */
        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.c8
        public int indexOf(Object obj) {
            if (!contains(obj)) {
                return -1;
            }
            Comparable comparable = (Comparable) obj;
            le n7 = d7.this.f9793f.iterator();
            long j7 = 0;
            while (n7.hasNext()) {
                ob obVar = (ob) n7.next();
                if (obVar.j(comparable)) {
                    return l.x(j7 + ((long) a3.R1(obVar, this.Z5).indexOf(comparable)));
                }
                j7 += (long) a3.R1(obVar, this.Z5).size();
            }
            throw new AssertionError("impossible");
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.n5
        public boolean m() {
            return d7.this.f9793f.m();
        }

        @Override // com.google.common.collect.n5, com.google.common.collect.c8, com.google.common.collect.e7
        /* renamed from: n */
        public le<C> iterator() {
            return new a();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.n5, com.google.common.collect.c8, com.google.common.collect.e7
        public Object p() {
            return new c(d7.this.f9793f, this.Z5);
        }

        public int size() {
            Integer num = this.f9798a6;
            if (num == null) {
                le n7 = d7.this.f9793f.iterator();
                long j7 = 0;
                while (n7.hasNext()) {
                    j7 += (long) a3.R1((ob) n7.next(), this.Z5).size();
                    if (j7 >= 2147483647L) {
                        break;
                    }
                }
                num = Integer.valueOf(l.x(j7));
                this.f9798a6 = num;
            }
            return num.intValue();
        }

        public String toString() {
            return d7.this.f9793f.toString();
        }
    }

    private static class c<C extends Comparable> implements Serializable {

        /* renamed from: f  reason: collision with root package name */
        private final t5<ob<C>> f9806f;

        /* renamed from: g  reason: collision with root package name */
        private final h3<C> f9807g;

        c(t5<ob<C>> t5Var, h3<C> h3Var) {
            this.f9806f = t5Var;
            this.f9807g = h3Var;
        }

        /* access modifiers changed from: package-private */
        public Object a() {
            return new d7(this.f9806f).w(this.f9807g);
        }
    }

    public static class d<C extends Comparable<?>> {

        /* renamed from: a  reason: collision with root package name */
        private final List<ob<C>> f9808a = i9.q();

        @p0.a
        public d<C> a(ob<C> obVar) {
            Preconditions.checkArgument(!obVar.x(), "range must not be empty, but was %s", obVar);
            this.f9808a.add(obVar);
            return this;
        }

        @p0.a
        public d<C> b(rb<C> rbVar) {
            return c(rbVar.p());
        }

        @p0.a
        public d<C> c(Iterable<ob<C>> iterable) {
            for (ob<C> obVar : iterable) {
                a(obVar);
            }
            return this;
        }

        public d7<C> d() {
            t5.b bVar = new t5.b(this.f9808a.size());
            Collections.sort(this.f9808a, ob.F());
            lb T = w8.T(this.f9808a.iterator());
            while (T.hasNext()) {
                ob obVar = (ob) T.next();
                while (T.hasNext()) {
                    ob<C> obVar2 = (ob) T.peek();
                    if (!obVar.w(obVar2)) {
                        break;
                    }
                    Preconditions.checkArgument(obVar.v(obVar2).x(), "Overlapping ranges not permitted but found %s overlapping %s", obVar, obVar2);
                    obVar = obVar.I((ob) T.next());
                }
                bVar.a(obVar);
            }
            t5 l7 = bVar.e();
            return l7.isEmpty() ? d7.F() : (l7.size() != 1 || !((ob) t8.z(l7)).equals(ob.a())) ? new d7<>(l7) : d7.t();
        }

        /* access modifiers changed from: package-private */
        @p0.a
        public d<C> e(d<C> dVar) {
            c(dVar.f9808a);
            return this;
        }
    }

    /* access modifiers changed from: private */
    public final class e extends t5<ob<C>> {

        /* renamed from: p  reason: collision with root package name */
        private final boolean f9809p;

        /* renamed from: x  reason: collision with root package name */
        private final boolean f9810x;

        /* renamed from: y  reason: collision with root package name */
        private final int f9811y;

        e() {
            boolean t7 = ((ob) d7.this.f9793f.get(0)).t();
            this.f9809p = t7;
            boolean u7 = ((ob) t8.w(d7.this.f9793f)).u();
            this.f9810x = u7;
            int size = d7.this.f9793f.size() - 1;
            size = t7 ? size + 1 : size;
            this.f9811y = u7 ? size + 1 : size;
        }

        /* renamed from: B0 */
        public ob<C> get(int i7) {
            c3<C> c3Var;
            Object obj;
            Preconditions.checkElementIndex(i7, this.f9811y);
            if (!this.f9809p) {
                obj = d7.this.f9793f.get(i7);
            } else if (i7 == 0) {
                c3Var = c3.c();
                return ob.m(c3Var, (this.f9810x || i7 != this.f9811y + -1) ? ((ob) d7.this.f9793f.get(i7 + (!this.f9809p ? 1 : 0))).f10531f : c3.a());
            } else {
                obj = d7.this.f9793f.get(i7 - 1);
            }
            c3Var = ((ob) obj).f10532g;
            return ob.m(c3Var, (this.f9810x || i7 != this.f9811y + -1) ? ((ob) d7.this.f9793f.get(i7 + (!this.f9809p ? 1 : 0))).f10531f : c3.a());
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.n5
        public boolean m() {
            return true;
        }

        public int size() {
            return this.f9811y;
        }
    }

    private static final class f<C extends Comparable> implements Serializable {

        /* renamed from: f  reason: collision with root package name */
        private final t5<ob<C>> f9812f;

        f(t5<ob<C>> t5Var) {
            this.f9812f = t5Var;
        }

        /* access modifiers changed from: package-private */
        public Object a() {
            return this.f9812f.isEmpty() ? d7.F() : this.f9812f.equals(t5.T(ob.a())) ? d7.t() : new d7(this.f9812f);
        }
    }

    d7(t5<ob<C>> t5Var) {
        this.f9793f = t5Var;
    }

    public static <C extends Comparable<?>> d7<C> A(Iterable<ob<C>> iterable) {
        return new d().c(iterable).d();
    }

    private t5<ob<C>> C(ob<C> obVar) {
        if (this.f9793f.isEmpty() || obVar.x()) {
            return t5.R();
        }
        if (obVar.q(b())) {
            return this.f9793f;
        }
        int a8 = obVar.t() ? xc.a(this.f9793f, ob.L(), obVar.f10531f, xc.c.FIRST_AFTER, xc.b.NEXT_HIGHER) : 0;
        int a9 = (obVar.u() ? xc.a(this.f9793f, ob.z(), obVar.f10532g, xc.c.FIRST_PRESENT, xc.b.NEXT_HIGHER) : this.f9793f.size()) - a8;
        return a9 == 0 ? t5.R() : new a(a9, a8, obVar);
    }

    public static <C extends Comparable> d7<C> F() {
        return f9791p;
    }

    public static <C extends Comparable> d7<C> G(ob<C> obVar) {
        Preconditions.checkNotNull(obVar);
        return obVar.x() ? F() : obVar.equals(ob.a()) ? t() : new d7<>(t5.T(obVar));
    }

    public static <E extends Comparable<? super E>> Collector<ob<E>, ?, d7<E>> I() {
        return s1.q();
    }

    public static <C extends Comparable<?>> d7<C> K(Iterable<ob<C>> iterable) {
        return z(je.v(iterable));
    }

    static <C extends Comparable> d7<C> t() {
        return f9792x;
    }

    public static <C extends Comparable<?>> d<C> x() {
        return new d<>();
    }

    public static <C extends Comparable> d7<C> z(rb<C> rbVar) {
        Preconditions.checkNotNull(rbVar);
        if (rbVar.isEmpty()) {
            return F();
        }
        if (rbVar.j(ob.a())) {
            return t();
        }
        if (rbVar instanceof d7) {
            d7<C> d7Var = (d7) rbVar;
            if (!d7Var.E()) {
                return d7Var;
            }
        }
        return new d7<>(t5.D(rbVar.p()));
    }

    public d7<C> B(rb<C> rbVar) {
        je u7 = je.u(this);
        u7.q(rbVar);
        return z(u7);
    }

    public d7<C> D(rb<C> rbVar) {
        je u7 = je.u(this);
        u7.q(rbVar.h());
        return z(u7);
    }

    /* access modifiers changed from: package-private */
    public boolean E() {
        return this.f9793f.m();
    }

    /* renamed from: H */
    public d7<C> m(ob<C> obVar) {
        if (!isEmpty()) {
            ob<C> b7 = b();
            if (obVar.q(b7)) {
                return this;
            }
            if (obVar.w(b7)) {
                return new d7<>(C(obVar));
            }
        }
        return F();
    }

    public d7<C> J(rb<C> rbVar) {
        return K(t8.f(p(), rbVar.p()));
    }

    /* access modifiers changed from: package-private */
    public Object L() {
        return new f(this.f9793f);
    }

    @Override // com.google.common.collect.rb, com.google.common.collect.r
    @Deprecated
    public void a(ob<C> obVar) {
        throw new UnsupportedOperationException();
    }

    @Override // com.google.common.collect.rb
    public ob<C> b() {
        if (!this.f9793f.isEmpty()) {
            c3<C> c3Var = this.f9793f.get(0).f10531f;
            t5<ob<C>> t5Var = this.f9793f;
            return ob.m(c3Var, t5Var.get(t5Var.size() - 1).f10532g);
        }
        throw new NoSuchElementException();
    }

    @Override // com.google.common.collect.rb
    @Deprecated
    public void c(Iterable<ob<C>> iterable) {
        throw new UnsupportedOperationException();
    }

    @Override // com.google.common.collect.rb, com.google.common.collect.r
    public /* bridge */ /* synthetic */ void clear() {
        super.clear();
    }

    /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: java.lang.Comparable */
    /* JADX WARN: Multi-variable type inference failed */
    @Override // com.google.common.collect.rb, com.google.common.collect.r
    public /* bridge */ /* synthetic */ boolean contains(Comparable comparable) {
        return super.contains(comparable);
    }

    @Override // com.google.common.collect.rb, com.google.common.collect.r
    @Deprecated
    public void d(rb<C> rbVar) {
        throw new UnsupportedOperationException();
    }

    @Override // com.google.common.collect.rb
    @Deprecated
    public void e(Iterable<ob<C>> iterable) {
        throw new UnsupportedOperationException();
    }

    @Override // com.google.common.collect.rb, com.google.common.collect.r
    public /* bridge */ /* synthetic */ boolean equals(Object obj) {
        return super.equals(obj);
    }

    @Override // com.google.common.collect.rb, com.google.common.collect.r
    public /* bridge */ /* synthetic */ boolean f(rb rbVar) {
        return super.f(rbVar);
    }

    @Override // com.google.common.collect.rb, com.google.common.collect.r
    @Deprecated
    public void g(ob<C> obVar) {
        throw new UnsupportedOperationException();
    }

    @Override // com.google.common.collect.rb, com.google.common.collect.r
    public ob<C> i(C c7) {
        int b7 = xc.b(this.f9793f, ob.z(), c3.d(c7), kb.B(), xc.c.ANY_PRESENT, xc.b.NEXT_LOWER);
        if (b7 == -1) {
            return null;
        }
        ob<C> obVar = this.f9793f.get(b7);
        if (obVar.j(c7)) {
            return obVar;
        }
        return null;
    }

    @Override // com.google.common.collect.rb, com.google.common.collect.r
    public boolean isEmpty() {
        return this.f9793f.isEmpty();
    }

    @Override // com.google.common.collect.rb, com.google.common.collect.r
    public boolean j(ob<C> obVar) {
        int b7 = xc.b(this.f9793f, ob.z(), obVar.f10531f, kb.B(), xc.c.ANY_PRESENT, xc.b.NEXT_LOWER);
        return b7 != -1 && this.f9793f.get(b7).q(obVar);
    }

    @Override // com.google.common.collect.rb, com.google.common.collect.r
    @Deprecated
    public void q(rb<C> rbVar) {
        throw new UnsupportedOperationException();
    }

    @Override // com.google.common.collect.rb, com.google.common.collect.r
    public boolean r(ob<C> obVar) {
        int b7 = xc.b(this.f9793f, ob.z(), obVar.f10531f, kb.B(), xc.c.ANY_PRESENT, xc.b.NEXT_HIGHER);
        if (b7 < this.f9793f.size() && this.f9793f.get(b7).w(obVar) && !this.f9793f.get(b7).v(obVar).x()) {
            return true;
        }
        if (b7 > 0) {
            int i7 = b7 - 1;
            return this.f9793f.get(i7).w(obVar) && !this.f9793f.get(i7).v(obVar).x();
        }
    }

    /* renamed from: u */
    public e7<ob<C>> n() {
        return this.f9793f.isEmpty() ? e7.Y() : new bc(this.f9793f.o0(), ob.F().G());
    }

    /* renamed from: v */
    public e7<ob<C>> p() {
        return this.f9793f.isEmpty() ? e7.Y() : new bc(this.f9793f, ob.F());
    }

    public c8<C> w(h3<C> h3Var) {
        Preconditions.checkNotNull(h3Var);
        if (isEmpty()) {
            return c8.p1();
        }
        ob<C> e7 = b().e(h3Var);
        if (e7.t()) {
            if (!e7.u()) {
                try {
                    h3Var.e();
                } catch (NoSuchElementException unused) {
                    throw new IllegalArgumentException("Neither the DiscreteDomain nor this range set are bounded above");
                }
            }
            return new b(h3Var);
        }
        throw new IllegalArgumentException("Neither the DiscreteDomain nor this range set are bounded below");
    }

    /* renamed from: y */
    public d7<C> h() {
        d7<C> F;
        d7<C> d7Var = this.f9794g;
        if (d7Var != null) {
            return d7Var;
        }
        if (this.f9793f.isEmpty()) {
            F = t();
        } else if (this.f9793f.size() != 1 || !this.f9793f.get(0).equals(ob.a())) {
            d7<C> d7Var2 = new d7<>(new e(), this);
            this.f9794g = d7Var2;
            return d7Var2;
        } else {
            F = F();
        }
        this.f9794g = F;
        return F;
    }

    private d7(t5<ob<C>> t5Var, d7<C> d7Var) {
        this.f9793f = t5Var;
        this.f9794g = d7Var;
    }
}
