package com.google.common.collect;

import com.google.common.base.Objects;
import com.google.common.base.Preconditions;
import com.google.common.collect.jc;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.util.Arrays;
import java.util.Collection;
import java.util.ConcurrentModificationException;
import java.util.Iterator;
import java.util.Map;
import java.util.NoSuchElementException;
import java.util.Set;
import java.util.Spliterator;
import java.util.Spliterators;
import java.util.function.BiConsumer;
import java.util.function.Consumer;

@m0.b(emulated = true, serializable = true)
public final class d9<K, V> extends e9<K, V> {
    private static final int Y5 = 16;
    private static final int Z5 = 2;
    @m0.d

    /* renamed from: a6  reason: collision with root package name */
    static final double f9813a6 = 1.0d;
    @m0.c

    /* renamed from: b6  reason: collision with root package name */
    private static final long f9814b6 = 1;
    @m0.d
    transient int W5 = 2;
    private transient b<K, V> X5;

    /* access modifiers changed from: package-private */
    public class a implements Iterator<Map.Entry<K, V>> {

        /* renamed from: f  reason: collision with root package name */
        b<K, V> f9815f;

        /* renamed from: g  reason: collision with root package name */
        b<K, V> f9816g;

        a() {
            this.f9815f = d9.this.X5.V5;
        }

        /* renamed from: a */
        public Map.Entry<K, V> next() {
            if (hasNext()) {
                b<K, V> bVar = this.f9815f;
                this.f9816g = bVar;
                this.f9815f = bVar.V5;
                return bVar;
            }
            throw new NoSuchElementException();
        }

        public boolean hasNext() {
            return this.f9815f != d9.this.X5;
        }

        public void remove() {
            t1.e(this.f9816g != null);
            d9.this.remove(this.f9816g.getKey(), this.f9816g.getValue());
            this.f9816g = null;
        }
    }

    /* access modifiers changed from: package-private */
    @m0.d
    public static final class b<K, V> extends o5<K, V> implements d<K, V> {
        d<K, V> C1;
        d<K, V> C2;
        b<K, V> U5;
        b<K, V> V5;

        /* renamed from: x  reason: collision with root package name */
        final int f9818x;

        /* renamed from: y  reason: collision with root package name */
        b<K, V> f9819y;

        b(K k7, V v7, int i7, b<K, V> bVar) {
            super(k7, v7);
            this.f9818x = i7;
            this.f9819y = bVar;
        }

        public b<K, V> a() {
            return this.U5;
        }

        @Override // com.google.common.collect.d9.d
        public void b(d<K, V> dVar) {
            this.C2 = dVar;
        }

        @Override // com.google.common.collect.d9.d
        public d<K, V> c() {
            return this.C1;
        }

        public b<K, V> d() {
            return this.V5;
        }

        @Override // com.google.common.collect.d9.d
        public d<K, V> e() {
            return this.C2;
        }

        /* access modifiers changed from: package-private */
        public boolean f(Object obj, int i7) {
            return this.f9818x == i7 && Objects.equal(getValue(), obj);
        }

        public void g(b<K, V> bVar) {
            this.U5 = bVar;
        }

        @Override // com.google.common.collect.d9.d
        public void h(d<K, V> dVar) {
            this.C1 = dVar;
        }

        public void i(b<K, V> bVar) {
            this.V5 = bVar;
        }
    }

    /* access modifiers changed from: package-private */
    @m0.d
    public final class c extends jc.l<V> implements d<K, V> {
        private d<K, V> C1;

        /* renamed from: f  reason: collision with root package name */
        private final K f9820f;
        @m0.d

        /* renamed from: g  reason: collision with root package name */
        b<K, V>[] f9821g;

        /* renamed from: p  reason: collision with root package name */
        private int f9822p = 0;

        /* renamed from: x  reason: collision with root package name */
        private int f9823x = 0;

        /* renamed from: y  reason: collision with root package name */
        private d<K, V> f9824y;

        class a implements Iterator<V> {

            /* renamed from: f  reason: collision with root package name */
            d<K, V> f9825f;

            /* renamed from: g  reason: collision with root package name */
            b<K, V> f9826g;

            /* renamed from: p  reason: collision with root package name */
            int f9827p;

            a() {
                this.f9825f = c.this.f9824y;
                this.f9827p = c.this.f9823x;
            }

            private void a() {
                if (c.this.f9823x != this.f9827p) {
                    throw new ConcurrentModificationException();
                }
            }

            public boolean hasNext() {
                a();
                return this.f9825f != c.this;
            }

            @Override // java.util.Iterator
            public V next() {
                if (hasNext()) {
                    b<K, V> bVar = (b) this.f9825f;
                    V value = bVar.getValue();
                    this.f9826g = bVar;
                    this.f9825f = bVar.e();
                    return value;
                }
                throw new NoSuchElementException();
            }

            public void remove() {
                a();
                t1.e(this.f9826g != null);
                c.this.remove(this.f9826g.getValue());
                this.f9827p = c.this.f9823x;
                this.f9826g = null;
            }
        }

        c(K k7, int i7) {
            this.f9820f = k7;
            this.f9824y = this;
            this.C1 = this;
            this.f9821g = new b[i5.a(i7, 1.0d)];
        }

        private int m() {
            return this.f9821g.length - 1;
        }

        private void n() {
            if (i5.b(this.f9822p, this.f9821g.length, 1.0d)) {
                int length = this.f9821g.length * 2;
                b<K, V>[] bVarArr = new b[length];
                this.f9821g = bVarArr;
                int i7 = length - 1;
                for (d<K, V> dVar = this.f9824y; dVar != this; dVar = dVar.e()) {
                    b<K, V> bVar = (b) dVar;
                    int i8 = bVar.f9818x & i7;
                    bVar.f9819y = bVarArr[i8];
                    bVarArr[i8] = bVar;
                }
            }
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
        public boolean add(V v7) {
            int d7 = i5.d(v7);
            int m7 = m() & d7;
            b<K, V> bVar = this.f9821g[m7];
            for (b<K, V> bVar2 = bVar; bVar2 != null; bVar2 = bVar2.f9819y) {
                if (bVar2.f(v7, d7)) {
                    return false;
                }
            }
            b<K, V> bVar3 = new b<>(this.f9820f, v7, d7, bVar);
            d9.i0(this.C1, bVar3);
            d9.i0(bVar3, this);
            d9.h0(d9.this.X5.a(), bVar3);
            d9.h0(bVar3, d9.this.X5);
            this.f9821g[m7] = bVar3;
            this.f9822p++;
            this.f9823x++;
            n();
            return true;
        }

        @Override // com.google.common.collect.d9.d
        public void b(d<K, V> dVar) {
            this.f9824y = dVar;
        }

        @Override // com.google.common.collect.d9.d
        public d<K, V> c() {
            return this.C1;
        }

        public void clear() {
            Arrays.fill(this.f9821g, (Object) null);
            this.f9822p = 0;
            for (d<K, V> dVar = this.f9824y; dVar != this; dVar = dVar.e()) {
                d9.d0((b) dVar);
            }
            d9.i0(this, this);
            this.f9823x++;
        }

        public boolean contains(Object obj) {
            int d7 = i5.d(obj);
            for (b<K, V> bVar = this.f9821g[m() & d7]; bVar != null; bVar = bVar.f9819y) {
                if (bVar.f(obj, d7)) {
                    return true;
                }
            }
            return false;
        }

        @Override // com.google.common.collect.d9.d
        public d<K, V> e() {
            return this.f9824y;
        }

        @Override // java.lang.Iterable
        public void forEach(Consumer<? super V> consumer) {
            Preconditions.checkNotNull(consumer);
            for (d<K, V> dVar = this.f9824y; dVar != this; dVar = dVar.e()) {
                consumer.accept((Object) ((b) dVar).getValue());
            }
        }

        @Override // com.google.common.collect.d9.d
        public void h(d<K, V> dVar) {
            this.C1 = dVar;
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
        public Iterator<V> iterator() {
            return new a();
        }

        @p0.a
        public boolean remove(Object obj) {
            int d7 = i5.d(obj);
            int m7 = m() & d7;
            b<K, V> bVar = null;
            for (b<K, V> bVar2 = this.f9821g[m7]; bVar2 != null; bVar2 = bVar2.f9819y) {
                if (bVar2.f(obj, d7)) {
                    if (bVar == null) {
                        this.f9821g[m7] = bVar2.f9819y;
                    } else {
                        bVar.f9819y = bVar2.f9819y;
                    }
                    d9.e0(bVar2);
                    d9.d0(bVar2);
                    this.f9822p--;
                    this.f9823x++;
                    return true;
                }
                bVar = bVar2;
            }
            return false;
        }

        public int size() {
            return this.f9822p;
        }
    }

    /* access modifiers changed from: private */
    public interface d<K, V> {
        void b(d<K, V> dVar);

        d<K, V> c();

        d<K, V> e();

        void h(d<K, V> dVar);
    }

    private d9(int i7, int i8) {
        super(mb.e(i7));
        t1.b(i8, "expectedValuesPerKey");
        this.W5 = i8;
        b<K, V> bVar = new b<>(null, null, 0, null);
        this.X5 = bVar;
        h0(bVar, bVar);
    }

    public static <K, V> d9<K, V> a0() {
        return new d9<>(16, 2);
    }

    public static <K, V> d9<K, V> b0(int i7, int i8) {
        return new d9<>(v9.t(i7), v9.t(i8));
    }

    public static <K, V> d9<K, V> c0(na<? extends K, ? extends V> naVar) {
        d9<K, V> b02 = b0(naVar.keySet().size(), 2);
        b02.B0(naVar);
        return b02;
    }

    /* access modifiers changed from: private */
    public static <K, V> void d0(b<K, V> bVar) {
        h0(bVar.a(), bVar.d());
    }

    /* access modifiers changed from: private */
    public static <K, V> void e0(d<K, V> dVar) {
        i0(dVar.c(), dVar.e());
    }

    /* JADX DEBUG: Multi-variable search result rejected for r6v0, resolved type: com.google.common.collect.d9<K, V> */
    /* JADX DEBUG: Multi-variable search result rejected for r1v2, resolved type: java.util.Map */
    /* JADX WARN: Multi-variable type inference failed */
    @m0.c
    private void f0(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException {
        objectInputStream.defaultReadObject();
        b<K, V> bVar = new b<>(null, null, 0, null);
        this.X5 = bVar;
        h0(bVar, bVar);
        this.W5 = 2;
        int readInt = objectInputStream.readInt();
        Map e7 = mb.e(12);
        for (int i7 = 0; i7 < readInt; i7++) {
            Object readObject = objectInputStream.readObject();
            e7.put(readObject, D(readObject));
        }
        int readInt2 = objectInputStream.readInt();
        for (int i8 = 0; i8 < readInt2; i8++) {
            ((Collection) e7.get(objectInputStream.readObject())).add(objectInputStream.readObject());
        }
        O(e7);
    }

    /* access modifiers changed from: private */
    public static <K, V> void h0(b<K, V> bVar, b<K, V> bVar2) {
        bVar.i(bVar2);
        bVar2.g(bVar);
    }

    /* access modifiers changed from: private */
    public static <K, V> void i0(d<K, V> dVar, d<K, V> dVar2) {
        dVar.b(dVar2);
        dVar2.h(dVar);
    }

    @m0.c
    private void k0(ObjectOutputStream objectOutputStream) throws IOException {
        objectOutputStream.defaultWriteObject();
        objectOutputStream.writeInt(keySet().size());
        for (K k7 : keySet()) {
            objectOutputStream.writeObject(k7);
        }
        objectOutputStream.writeInt(size());
        for (Map.Entry<K, V> entry : h()) {
            objectOutputStream.writeObject(entry.getKey());
            objectOutputStream.writeObject(entry.getValue());
        }
    }

    @Override // com.google.common.collect.o, com.google.common.collect.na
    @p0.a
    public /* bridge */ /* synthetic */ boolean B0(na naVar) {
        return super.B0(naVar);
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.j
    public Collection<V> D(K k7) {
        return new c(k7, this.W5);
    }

    @Override // com.google.common.collect.o, com.google.common.collect.na
    public /* bridge */ /* synthetic */ ya N0() {
        return super.N0();
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.t
    /* renamed from: S */
    public Set<V> C() {
        return mb.f(this.W5);
    }

    @Override // com.google.common.collect.j, com.google.common.collect.hc, com.google.common.collect.hc, com.google.common.collect.t, com.google.common.collect.t, com.google.common.collect.na
    @p0.a
    public /* bridge */ /* synthetic */ Set b(Object obj) {
        return super.b(obj);
    }

    @Override // com.google.common.collect.j, com.google.common.collect.na
    public void clear() {
        super.clear();
        b<K, V> bVar = this.X5;
        h0(bVar, bVar);
    }

    @Override // com.google.common.collect.j, com.google.common.collect.na
    public /* bridge */ /* synthetic */ boolean containsKey(Object obj) {
        return super.containsKey(obj);
    }

    @Override // com.google.common.collect.o, com.google.common.collect.na
    public /* bridge */ /* synthetic */ boolean containsValue(Object obj) {
        return super.containsValue(obj);
    }

    @Override // com.google.common.collect.hc, com.google.common.collect.o, com.google.common.collect.t, com.google.common.collect.na
    public /* bridge */ /* synthetic */ Map e() {
        return super.e();
    }

    @Override // com.google.common.collect.hc, com.google.common.collect.o, com.google.common.collect.t, com.google.common.collect.na
    public /* bridge */ /* synthetic */ boolean equals(Object obj) {
        return super.equals(obj);
    }

    @Override // com.google.common.collect.j, com.google.common.collect.na
    public /* bridge */ /* synthetic */ void forEach(BiConsumer biConsumer) {
        super.forEach(biConsumer);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: java.lang.Object */
    /* JADX WARN: Multi-variable type inference failed */
    @Override // com.google.common.collect.j, com.google.common.collect.hc, com.google.common.collect.hc, com.google.common.collect.t, com.google.common.collect.t, com.google.common.collect.na
    public /* bridge */ /* synthetic */ Set get(Object obj) {
        return super.get(obj);
    }

    @Override // com.google.common.collect.o, com.google.common.collect.na
    public /* bridge */ /* synthetic */ int hashCode() {
        return super.hashCode();
    }

    @Override // com.google.common.collect.o, com.google.common.collect.na
    public /* bridge */ /* synthetic */ boolean isEmpty() {
        return super.isEmpty();
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.j, com.google.common.collect.o
    public Iterator<Map.Entry<K, V>> j() {
        return new a();
    }

    @Override // com.google.common.collect.o, com.google.common.collect.na
    public Set<K> keySet() {
        return super.keySet();
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.j, com.google.common.collect.o
    public Spliterator<Map.Entry<K, V>> m() {
        return Spliterators.spliterator(h(), 17);
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.j, com.google.common.collect.o
    public Iterator<V> n() {
        return v9.a1(j());
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.j, com.google.common.collect.o
    public Spliterator<V> p() {
        return w1.e(m(), new m6());
    }

    /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: java.lang.Object */
    /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: java.lang.Object */
    /* JADX WARN: Multi-variable type inference failed */
    @Override // com.google.common.collect.j, com.google.common.collect.o, com.google.common.collect.t, com.google.common.collect.na
    @p0.a
    public /* bridge */ /* synthetic */ boolean put(Object obj, Object obj2) {
        return super.put(obj, obj2);
    }

    @Override // com.google.common.collect.o, com.google.common.collect.na
    public /* bridge */ /* synthetic */ boolean q1(Object obj, Object obj2) {
        return super.q1(obj, obj2);
    }

    @Override // com.google.common.collect.o, com.google.common.collect.na
    @p0.a
    public /* bridge */ /* synthetic */ boolean remove(Object obj, Object obj2) {
        return super.remove(obj, obj2);
    }

    @Override // com.google.common.collect.j, com.google.common.collect.na
    public /* bridge */ /* synthetic */ int size() {
        return super.size();
    }

    @Override // com.google.common.collect.o
    public /* bridge */ /* synthetic */ String toString() {
        return super.toString();
    }

    /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: java.lang.Object */
    /* JADX WARN: Multi-variable type inference failed */
    @Override // com.google.common.collect.o, com.google.common.collect.na
    @p0.a
    public /* bridge */ /* synthetic */ boolean v1(Object obj, Iterable iterable) {
        return super.v1(obj, iterable);
    }

    @Override // com.google.common.collect.j, com.google.common.collect.o, com.google.common.collect.na
    public Collection<V> values() {
        return super.values();
    }

    @Override // com.google.common.collect.j, com.google.common.collect.hc, com.google.common.collect.hc, com.google.common.collect.o, com.google.common.collect.t, com.google.common.collect.t, com.google.common.collect.na
    @p0.a
    public Set<V> c(K k7, Iterable<? extends V> iterable) {
        return super.c((Object) k7, (Iterable) iterable);
    }

    @Override // com.google.common.collect.j, com.google.common.collect.hc, com.google.common.collect.hc, com.google.common.collect.o, com.google.common.collect.t, com.google.common.collect.t, com.google.common.collect.na
    public Set<Map.Entry<K, V>> h() {
        return super.h();
    }
}
