package com.google.common.collect;

import com.google.common.base.Preconditions;
import com.google.common.collect.n5;
import e1.h;
import java.io.Serializable;
import java.math.RoundingMode;
import java.util.Arrays;
import java.util.Collection;
import java.util.EnumSet;
import java.util.Iterator;
import java.util.Set;
import java.util.SortedSet;
import java.util.Spliterator;
import java.util.function.Consumer;
import java.util.stream.Collector;

@m0.b(emulated = true, serializable = true)
public abstract class e7<E> extends n5<E> implements Set<E> {
    private static final double C1 = 0.7d;
    private static final int C2 = 751619276;
    static final double U5 = 0.001d;
    static final int V5 = 13;

    /* renamed from: x  reason: collision with root package name */
    static final int f9895x = 1297;

    /* renamed from: y  reason: collision with root package name */
    static final int f9896y = 1073741824;
    @h
    @q0.b

    /* renamed from: p  reason: collision with root package name */
    private transient t5<E> f9897p;

    public static class a<E> extends n5.a<E> {

        /* renamed from: b  reason: collision with root package name */
        private f<E> f9898b;

        /* renamed from: c  reason: collision with root package name */
        boolean f9899c;

        public a() {
            this(4);
        }

        @p0.a
        /* renamed from: g */
        public a<E> a(E e7) {
            Preconditions.checkNotNull(e7);
            n();
            this.f9898b = this.f9898b.a(e7);
            return this;
        }

        @p0.a
        /* renamed from: h */
        public a<E> b(E... eArr) {
            super.b(eArr);
            return this;
        }

        @p0.a
        /* renamed from: i */
        public a<E> c(Iterable<? extends E> iterable) {
            super.c(iterable);
            return this;
        }

        @p0.a
        /* renamed from: j */
        public a<E> d(Iterator<? extends E> it) {
            super.d(it);
            return this;
        }

        /* renamed from: k */
        public e7<E> e() {
            this.f9899c = true;
            f<E> g7 = this.f9898b.g();
            this.f9898b = g7;
            return g7.c();
        }

        /* access modifiers changed from: package-private */
        public a<E> l(a<E> aVar) {
            n();
            this.f9898b = this.f9898b.d(aVar.f9898b);
            return this;
        }

        /* access modifiers changed from: package-private */
        public void m() {
            this.f9898b = this.f9898b.e();
        }

        /* access modifiers changed from: package-private */
        public final void n() {
            if (this.f9899c) {
                m();
                this.f9899c = false;
            }
        }

        /* access modifiers changed from: package-private */
        @m0.d
        public void o() {
            this.f9898b = new c(this.f9898b);
        }

        a(int i7) {
            this.f9898b = new d(i7);
        }

        a(boolean z7) {
            this.f9898b = null;
        }
    }

    /* access modifiers changed from: package-private */
    public static abstract class b<E> extends e7<E> {

        class a extends j5<E> {
            a() {
            }

            /* access modifiers changed from: package-private */
            /* renamed from: D0 */
            public b<E> B0() {
                return b.this;
            }

            @Override // java.util.List
            public E get(int i7) {
                return (E) b.this.get(i7);
            }
        }

        b() {
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.e7
        public t5<E> R() {
            return new a();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.n5
        public int c(Object[] objArr, int i7) {
            return b().c(objArr, i7);
        }

        @Override // java.lang.Iterable
        public void forEach(Consumer<? super E> consumer) {
            Preconditions.checkNotNull(consumer);
            int size = size();
            for (int i7 = 0; i7 < size; i7++) {
                consumer.accept(get(i7));
            }
        }

        /* access modifiers changed from: package-private */
        public abstract E get(int i7);

        @Override // com.google.common.collect.n5, com.google.common.collect.e7
        /* renamed from: n */
        public le<E> iterator() {
            return b().iterator();
        }

        @Override // java.util.Collection, java.util.Set, com.google.common.collect.n5, java.lang.Iterable
        public Spliterator<E> spliterator() {
            return w1.c(size(), e7.f9895x, new f7(this));
        }
    }

    private static final class c<E> extends f<E> {

        /* renamed from: c  reason: collision with root package name */
        private final Set<Object> f9901c = jc.y(this.f9909b);

        c(f<E> fVar) {
            super(fVar);
            for (int i7 = 0; i7 < this.f9909b; i7++) {
                this.f9901c.add(this.f9908a[i7]);
            }
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.e7.f
        public f<E> a(E e7) {
            Preconditions.checkNotNull(e7);
            if (this.f9901c.add(e7)) {
                b(e7);
            }
            return this;
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.e7.f
        public e7<E> c() {
            int i7 = this.f9909b;
            return i7 != 0 ? i7 != 1 ? new b9(this.f9901c, t5.s(this.f9908a, this.f9909b)) : e7.Z(this.f9908a[0]) : e7.Y();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.e7.f
        public f<E> e() {
            return new c(this);
        }
    }

    /* access modifiers changed from: private */
    public static final class d<E> extends f<E> {

        /* renamed from: c  reason: collision with root package name */
        private Object[] f9902c;

        /* renamed from: d  reason: collision with root package name */
        private int f9903d;

        /* renamed from: e  reason: collision with root package name */
        private int f9904e;

        /* renamed from: f  reason: collision with root package name */
        private int f9905f;

        d(int i7) {
            super(i7);
            int u7 = e7.u(i7);
            this.f9902c = new Object[u7];
            this.f9903d = e7.X(u7);
            this.f9904e = (int) (((double) u7) * e7.C1);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.e7.f
        public f<E> a(E e7) {
            Preconditions.checkNotNull(e7);
            int hashCode = e7.hashCode();
            int c7 = i5.c(hashCode);
            int length = this.f9902c.length - 1;
            for (int i7 = c7; i7 - c7 < this.f9903d; i7++) {
                int i8 = i7 & length;
                Object obj = this.f9902c[i8];
                if (obj == null) {
                    b(e7);
                    this.f9902c[i8] = e7;
                    this.f9905f += hashCode;
                    h(this.f9909b);
                    return this;
                } else if (obj.equals(e7)) {
                    return this;
                }
            }
            return new c(this).a(e7);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.e7.f
        public e7<E> c() {
            int i7 = this.f9909b;
            if (i7 == 0) {
                return e7.Y();
            }
            if (i7 == 1) {
                return e7.Z(this.f9908a[0]);
            }
            Object[] objArr = this.f9908a;
            if (i7 != objArr.length) {
                objArr = Arrays.copyOf(objArr, i7);
            }
            int i8 = this.f9905f;
            Object[] objArr2 = this.f9902c;
            return new zb(objArr, i8, objArr2, objArr2.length - 1);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.e7.f
        public f<E> e() {
            return new d(this);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.e7.f
        public f<E> g() {
            int u7 = e7.u(this.f9909b);
            if (u7 * 2 < this.f9902c.length) {
                this.f9902c = e7.g0(u7, this.f9908a, this.f9909b);
            }
            return e7.T(this.f9902c) ? new c(this) : this;
        }

        /* access modifiers changed from: package-private */
        public void h(int i7) {
            if (i7 > this.f9904e) {
                Object[] objArr = this.f9902c;
                if (objArr.length < 1073741824) {
                    int length = objArr.length * 2;
                    this.f9902c = e7.g0(length, this.f9908a, this.f9909b);
                    this.f9903d = e7.X(length);
                    this.f9904e = (int) (((double) length) * e7.C1);
                }
            }
        }

        d(d<E> dVar) {
            super(dVar);
            Object[] objArr = dVar.f9902c;
            this.f9902c = Arrays.copyOf(objArr, objArr.length);
            this.f9903d = dVar.f9903d;
            this.f9904e = dVar.f9904e;
            this.f9905f = dVar.f9905f;
        }
    }

    private static class e implements Serializable {

        /* renamed from: g  reason: collision with root package name */
        private static final long f9906g = 0;

        /* renamed from: f  reason: collision with root package name */
        final Object[] f9907f;

        e(Object[] objArr) {
            this.f9907f = objArr;
        }

        /* access modifiers changed from: package-private */
        public Object a() {
            return e7.P(this.f9907f);
        }
    }

    /* access modifiers changed from: private */
    public static abstract class f<E> {

        /* renamed from: a  reason: collision with root package name */
        E[] f9908a;

        /* renamed from: b  reason: collision with root package name */
        int f9909b;

        f(int i7) {
            this.f9908a = (E[]) new Object[i7];
            this.f9909b = 0;
        }

        private void f(int i7) {
            E[] eArr = this.f9908a;
            if (i7 > eArr.length) {
                this.f9908a = (E[]) Arrays.copyOf(this.f9908a, n5.a.f(eArr.length, i7));
            }
        }

        /* access modifiers changed from: package-private */
        public abstract f<E> a(E e7);

        /* access modifiers changed from: package-private */
        public final void b(E e7) {
            f(this.f9909b + 1);
            E[] eArr = this.f9908a;
            int i7 = this.f9909b;
            this.f9909b = i7 + 1;
            eArr[i7] = e7;
        }

        /* access modifiers changed from: package-private */
        public abstract e7<E> c();

        /* access modifiers changed from: package-private */
        public final f<E> d(f<E> fVar) {
            for (int i7 = 0; i7 < fVar.f9909b; i7++) {
                this = this.a(fVar.f9908a[i7]);
            }
            return this;
        }

        /* access modifiers changed from: package-private */
        public abstract f<E> e();

        /* access modifiers changed from: package-private */
        public f<E> g() {
            return this;
        }

        f(f<E> fVar) {
            E[] eArr = fVar.f9908a;
            this.f9908a = (E[]) Arrays.copyOf(eArr, eArr.length);
            this.f9909b = fVar.f9909b;
        }
    }

    e7() {
    }

    public static <E> e7<E> D(Iterable<? extends E> iterable) {
        return iterable instanceof Collection ? J((Collection) iterable) : L(iterable.iterator());
    }

    public static <E> e7<E> J(Collection<? extends E> collection) {
        if ((collection instanceof e7) && !(collection instanceof SortedSet)) {
            e7<E> e7Var = (e7) collection;
            if (!e7Var.m()) {
                return e7Var;
            }
        } else if (collection instanceof EnumSet) {
            return Q((EnumSet) collection);
        }
        Object[] array = collection.toArray();
        return collection instanceof Set ? w(array.length, array.length, array) : x(array.length, array);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r1v1, resolved type: com.google.common.collect.e7$a */
    /* JADX WARN: Multi-variable type inference failed */
    public static <E> e7<E> L(Iterator<? extends E> it) {
        if (!it.hasNext()) {
            return Y();
        }
        Object next = it.next();
        return !it.hasNext() ? Z(next) : new a().a(next).d(it).e();
    }

    public static <E> e7<E> P(E[] eArr) {
        int length = eArr.length;
        return length != 0 ? length != 1 ? x(eArr.length, (Object[]) eArr.clone()) : Z(eArr[0]) : Y();
    }

    private static e7 Q(EnumSet enumSet) {
        return r5.l0(EnumSet.copyOf(enumSet));
    }

    static boolean T(Object[] objArr) {
        int X = X(objArr.length);
        int i7 = 0;
        while (i7 < objArr.length && objArr[i7] != null) {
            i7++;
            if (i7 > X) {
                return true;
            }
        }
        int length = objArr.length - 1;
        while (length > i7 && objArr[length] != null) {
            if (((objArr.length - 1) - length) + i7 > X) {
                return true;
            }
            length--;
        }
        int i8 = X / 2;
        int i9 = i7 + 1;
        while (true) {
            int i10 = i9 + i8;
            if (i10 > length) {
                return false;
            }
            for (int i11 = 0; i11 < i8; i11++) {
                if (objArr[i9 + i11] == null) {
                    i9 = i10;
                }
            }
            return true;
        }
    }

    /* access modifiers changed from: private */
    public static int X(int i7) {
        return com.google.common.math.d.p(i7, RoundingMode.UNNECESSARY) * 13;
    }

    public static <E> e7<E> Y() {
        return zb.f10973a6;
    }

    public static <E> e7<E> Z(E e7) {
        return new tc(e7);
    }

    public static <E> e7<E> a0(E e7, E e8) {
        return w(2, 2, e7, e8);
    }

    public static <E> e7<E> b0(E e7, E e8, E e9) {
        return w(3, 3, e7, e8, e9);
    }

    public static <E> e7<E> d0(E e7, E e8, E e9, E e10) {
        return w(4, 4, e7, e8, e9, e10);
    }

    public static <E> e7<E> e0(E e7, E e8, E e9, E e10, E e11) {
        return w(5, 5, e7, e8, e9, e10, e11);
    }

    @SafeVarargs
    public static <E> e7<E> f0(E e7, E e8, E e9, E e10, E e11, E e12, E... eArr) {
        Preconditions.checkArgument(eArr.length <= 2147483641, "the total number of elements must fit in an int");
        int length = eArr.length + 6;
        Object[] objArr = new Object[length];
        objArr[0] = e7;
        objArr[1] = e8;
        objArr[2] = e9;
        objArr[3] = e10;
        objArr[4] = e11;
        objArr[5] = e12;
        System.arraycopy(eArr, 0, objArr, 6, eArr.length);
        return w(length, length, objArr);
    }

    static Object[] g0(int i7, Object[] objArr, int i8) {
        int i9;
        Object[] objArr2 = new Object[i7];
        int i10 = i7 - 1;
        for (int i11 = 0; i11 < i8; i11++) {
            Object obj = objArr[i11];
            int c7 = i5.c(obj.hashCode());
            while (true) {
                i9 = c7 & i10;
                if (objArr2[i9] == null) {
                    break;
                }
                c7++;
            }
            objArr2[i9] = obj;
        }
        return objArr2;
    }

    public static <E> Collector<E, ?, e7<E>> k0() {
        return s1.r();
    }

    public static <E> a<E> s() {
        return new a<>();
    }

    @m0.a
    public static <E> a<E> t(int i7) {
        t1.b(i7, "expectedSize");
        return new a<>(i7);
    }

    @m0.d
    static int u(int i7) {
        int max = Math.max(i7, 2);
        boolean z7 = true;
        if (max < C2) {
            int highestOneBit = Integer.highestOneBit(max - 1) << 1;
            while (((double) highestOneBit) * C1 < ((double) max)) {
                highestOneBit <<= 1;
            }
            return highestOneBit;
        }
        if (max >= 1073741824) {
            z7 = false;
        }
        Preconditions.checkArgument(z7, "collection too large");
        return 1073741824;
    }

    private static <E> e7<E> w(int i7, int i8, Object... objArr) {
        if (i7 == 0) {
            return Y();
        }
        int i9 = 0;
        if (i7 == 1) {
            return Z(objArr[0]);
        }
        d dVar = new d(i8);
        while (i9 < i7) {
            i9++;
            dVar = dVar.a(Preconditions.checkNotNull(objArr[i9]));
        }
        return dVar.g().c();
    }

    private static <E> e7<E> x(int i7, Object... objArr) {
        return w(i7, Math.max(4, com.google.common.math.d.x(i7, RoundingMode.CEILING)), objArr);
    }

    /* access modifiers changed from: package-private */
    public t5<E> R() {
        return new tb(this, toArray());
    }

    /* access modifiers changed from: package-private */
    public boolean U() {
        return false;
    }

    @Override // com.google.common.collect.n5
    public t5<E> b() {
        t5<E> t5Var = this.f9897p;
        if (t5Var != null) {
            return t5Var;
        }
        t5<E> R = R();
        this.f9897p = R;
        return R;
    }

    public boolean equals(Object obj) {
        if (obj == this) {
            return true;
        }
        if (!(obj instanceof e7) || !U() || !((e7) obj).U() || hashCode() == obj.hashCode()) {
            return jc.g(this, obj);
        }
        return false;
    }

    public int hashCode() {
        return jc.k(this);
    }

    @Override // com.google.common.collect.n5
    /* renamed from: n */
    public abstract le<E> iterator();

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.n5
    public Object p() {
        return new e(toArray());
    }
}
