package com.google.common.collect;

import com.google.common.base.Function;
import com.google.common.base.Preconditions;
import com.google.common.base.Predicate;
import com.google.common.base.Predicates;
import java.util.AbstractCollection;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collection;
import java.util.Collections;
import java.util.Comparator;
import java.util.Iterator;
import java.util.List;
import java.util.Spliterator;
import java.util.function.Consumer;

@m0.b
public final class f2 {

    /* access modifiers changed from: package-private */
    public static class a<E> extends AbstractCollection<E> {

        /* renamed from: f  reason: collision with root package name */
        final Collection<E> f9941f;

        /* renamed from: g  reason: collision with root package name */
        final Predicate<? super E> f9942g;

        a(Collection<E> collection, Predicate<? super E> predicate) {
            this.f9941f = collection;
            this.f9942g = predicate;
        }

        /* access modifiers changed from: private */
        public /* synthetic */ void k(Consumer consumer, Object obj) {
            if (this.f9942g.test(obj)) {
                consumer.accept(obj);
            }
        }

        /* access modifiers changed from: private */
        public /* synthetic */ boolean l(java.util.function.Predicate predicate, Object obj) {
            return this.f9942g.apply(obj) && predicate.test(obj);
        }

        /* access modifiers changed from: private */
        public static /* synthetic */ boolean m(Collection collection, Object obj) {
            return !collection.contains(obj);
        }

        @Override // java.util.AbstractCollection, java.util.Collection
        public boolean add(E e7) {
            Preconditions.checkArgument(this.f9942g.apply(e7));
            return this.f9941f.add(e7);
        }

        @Override // java.util.AbstractCollection, java.util.Collection
        public boolean addAll(Collection<? extends E> collection) {
            Iterator<? extends E> it = collection.iterator();
            while (it.hasNext()) {
                Preconditions.checkArgument(this.f9942g.apply(it.next()));
            }
            return this.f9941f.addAll(collection);
        }

        public void clear() {
            t8.J(this.f9941f, this.f9942g);
        }

        public boolean contains(Object obj) {
            if (f2.j(this.f9941f, obj)) {
                return this.f9942g.apply(obj);
            }
            return false;
        }

        @Override // java.util.AbstractCollection, java.util.Collection
        public boolean containsAll(Collection<?> collection) {
            return f2.c(this, collection);
        }

        @Override // java.lang.Iterable
        public void forEach(Consumer<? super E> consumer) {
            Preconditions.checkNotNull(consumer);
            this.f9941f.forEach(new d2(this, consumer));
        }

        /* access modifiers changed from: package-private */
        public a<E> h(Predicate<? super E> predicate) {
            return new a<>(this.f9941f, Predicates.and(this.f9942g, predicate));
        }

        public boolean isEmpty() {
            return !t8.c(this.f9941f, this.f9942g);
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.lang.Iterable
        public Iterator<E> iterator() {
            return w8.x(this.f9941f.iterator(), this.f9942g);
        }

        public boolean remove(Object obj) {
            return contains(obj) && this.f9941f.remove(obj);
        }

        @Override // java.util.AbstractCollection, java.util.Collection
        public boolean removeAll(Collection<?> collection) {
            collection.getClass();
            return removeIf(new b2(collection));
        }

        @Override // java.util.Collection
        public boolean removeIf(java.util.function.Predicate<? super E> predicate) {
            Preconditions.checkNotNull(predicate);
            return this.f9941f.removeIf(new e2(this, predicate));
        }

        @Override // java.util.AbstractCollection, java.util.Collection
        public boolean retainAll(Collection<?> collection) {
            return removeIf(new c2(collection));
        }

        public int size() {
            int i7 = 0;
            for (E e7 : this.f9941f) {
                if (this.f9942g.apply(e7)) {
                    i7++;
                }
            }
            return i7;
        }

        @Override // java.util.Collection, java.lang.Iterable
        public Spliterator<E> spliterator() {
            return w1.a(this.f9941f.spliterator(), this.f9942g);
        }

        public Object[] toArray() {
            return i9.s(iterator()).toArray();
        }

        @Override // java.util.AbstractCollection, java.util.Collection
        public <T> T[] toArray(T[] tArr) {
            return (T[]) i9.s(iterator()).toArray(tArr);
        }
    }

    /* access modifiers changed from: private */
    public static final class b<E> extends AbstractCollection<List<E>> {

        /* renamed from: f  reason: collision with root package name */
        final t5<E> f9943f;

        /* renamed from: g  reason: collision with root package name */
        final Comparator<? super E> f9944g;

        /* renamed from: p  reason: collision with root package name */
        final int f9945p;

        b(Iterable<E> iterable, Comparator<? super E> comparator) {
            t5<E> r02 = t5.r0(comparator, iterable);
            this.f9943f = r02;
            this.f9944g = comparator;
            this.f9945p = b(r02, comparator);
        }

        private static <E> int b(List<E> list, Comparator<? super E> comparator) {
            int i7 = 1;
            int i8 = 1;
            int i9 = 1;
            while (i7 < list.size()) {
                if (comparator.compare(list.get(i7 - 1), list.get(i7)) < 0) {
                    i8 = com.google.common.math.d.u(i8, com.google.common.math.d.a(i7, i9));
                    if (i8 == Integer.MAX_VALUE) {
                        return Integer.MAX_VALUE;
                    }
                    i9 = 0;
                }
                i7++;
                i9++;
            }
            return com.google.common.math.d.u(i8, com.google.common.math.d.a(i7, i9));
        }

        public boolean contains(Object obj) {
            if (!(obj instanceof List)) {
                return false;
            }
            return f2.e(this.f9943f, (List) obj);
        }

        public boolean isEmpty() {
            return false;
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.lang.Iterable
        public Iterator<List<E>> iterator() {
            return new c(this.f9943f, this.f9944g);
        }

        public int size() {
            return this.f9945p;
        }

        public String toString() {
            return "orderedPermutationCollection(" + this.f9943f + ")";
        }
    }

    private static final class c<E> extends c<List<E>> {

        /* renamed from: p  reason: collision with root package name */
        List<E> f9946p;

        /* renamed from: x  reason: collision with root package name */
        final Comparator<? super E> f9947x;

        c(List<E> list, Comparator<? super E> comparator) {
            this.f9946p = i9.r(list);
            this.f9947x = comparator;
        }

        /* access modifiers changed from: package-private */
        public void d() {
            int f7 = f();
            if (f7 == -1) {
                this.f9946p = null;
                return;
            }
            Collections.swap(this.f9946p, f7, g(f7));
            Collections.reverse(this.f9946p.subList(f7 + 1, this.f9946p.size()));
        }

        /* access modifiers changed from: protected */
        /* renamed from: e */
        public List<E> a() {
            List<E> list = this.f9946p;
            if (list == null) {
                return (List) b();
            }
            t5 D = t5.D(list);
            d();
            return D;
        }

        /* access modifiers changed from: package-private */
        public int f() {
            for (int size = this.f9946p.size() - 2; size >= 0; size--) {
                if (this.f9947x.compare(this.f9946p.get(size), this.f9946p.get(size + 1)) < 0) {
                    return size;
                }
            }
            return -1;
        }

        /* access modifiers changed from: package-private */
        public int g(int i7) {
            E e7 = this.f9946p.get(i7);
            for (int size = this.f9946p.size() - 1; size > i7; size--) {
                if (this.f9947x.compare(e7, this.f9946p.get(size)) < 0) {
                    return size;
                }
            }
            throw new AssertionError("this statement should be unreachable");
        }
    }

    private static final class d<E> extends AbstractCollection<List<E>> {

        /* renamed from: f  reason: collision with root package name */
        final t5<E> f9948f;

        d(t5<E> t5Var) {
            this.f9948f = t5Var;
        }

        public boolean contains(Object obj) {
            if (!(obj instanceof List)) {
                return false;
            }
            return f2.e(this.f9948f, (List) obj);
        }

        public boolean isEmpty() {
            return false;
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.lang.Iterable
        public Iterator<List<E>> iterator() {
            return new e(this.f9948f);
        }

        public int size() {
            return com.google.common.math.d.h(this.f9948f.size());
        }

        public String toString() {
            return "permutations(" + this.f9948f + ")";
        }
    }

    private static class e<E> extends c<List<E>> {
        int C1 = Integer.MAX_VALUE;

        /* renamed from: p  reason: collision with root package name */
        final List<E> f9949p;

        /* renamed from: x  reason: collision with root package name */
        final int[] f9950x;

        /* renamed from: y  reason: collision with root package name */
        final int[] f9951y;

        e(List<E> list) {
            this.f9949p = new ArrayList(list);
            int size = list.size();
            int[] iArr = new int[size];
            this.f9950x = iArr;
            int[] iArr2 = new int[size];
            this.f9951y = iArr2;
            Arrays.fill(iArr, 0);
            Arrays.fill(iArr2, 1);
        }

        /* access modifiers changed from: package-private */
        public void d() {
            int size = this.f9949p.size() - 1;
            this.C1 = size;
            if (size != -1) {
                int i7 = 0;
                while (true) {
                    int[] iArr = this.f9950x;
                    int i8 = this.C1;
                    int i9 = iArr[i8];
                    int i10 = this.f9951y[i8] + i9;
                    if (i10 >= 0) {
                        if (i10 != i8 + 1) {
                            Collections.swap(this.f9949p, (i8 - i9) + i7, (i8 - i10) + i7);
                            this.f9950x[this.C1] = i10;
                            return;
                        } else if (i8 != 0) {
                            i7++;
                        } else {
                            return;
                        }
                    }
                    f();
                }
            }
        }

        /* access modifiers changed from: protected */
        /* renamed from: e */
        public List<E> a() {
            if (this.C1 <= 0) {
                return (List) b();
            }
            t5 D = t5.D(this.f9949p);
            d();
            return D;
        }

        /* access modifiers changed from: package-private */
        public void f() {
            int[] iArr = this.f9951y;
            int i7 = this.C1;
            iArr[i7] = -iArr[i7];
            this.C1 = i7 - 1;
        }
    }

    /* access modifiers changed from: package-private */
    public static class f<F, T> extends AbstractCollection<T> {

        /* renamed from: f  reason: collision with root package name */
        final Collection<F> f9952f;

        /* renamed from: g  reason: collision with root package name */
        final Function<? super F, ? extends T> f9953g;

        f(Collection<F> collection, Function<? super F, ? extends T> function) {
            this.f9952f = (Collection) Preconditions.checkNotNull(collection);
            this.f9953g = (Function) Preconditions.checkNotNull(function);
        }

        /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: java.util.function.Consumer */
        /* JADX WARN: Multi-variable type inference failed */
        /* access modifiers changed from: private */
        public /* synthetic */ void e(Consumer consumer, Object obj) {
            consumer.accept(this.f9953g.apply(obj));
        }

        /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: java.util.function.Predicate */
        /* JADX WARN: Multi-variable type inference failed */
        /* access modifiers changed from: private */
        public /* synthetic */ boolean h(java.util.function.Predicate predicate, Object obj) {
            return predicate.test(this.f9953g.apply(obj));
        }

        public void clear() {
            this.f9952f.clear();
        }

        @Override // java.lang.Iterable
        public void forEach(Consumer<? super T> consumer) {
            Preconditions.checkNotNull(consumer);
            this.f9952f.forEach(new h2(this, consumer));
        }

        public boolean isEmpty() {
            return this.f9952f.isEmpty();
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.lang.Iterable
        public Iterator<T> iterator() {
            return w8.c0(this.f9952f.iterator(), this.f9953g);
        }

        @Override // java.util.Collection
        public boolean removeIf(java.util.function.Predicate<? super T> predicate) {
            Preconditions.checkNotNull(predicate);
            return this.f9952f.removeIf(new g2(this, predicate));
        }

        public int size() {
            return this.f9952f.size();
        }

        @Override // java.util.Collection, java.lang.Iterable
        public Spliterator<T> spliterator() {
            return w1.e(this.f9952f.spliterator(), this.f9953g);
        }
    }

    private f2() {
    }

    static <T> Collection<T> b(Iterable<T> iterable) {
        return (Collection) iterable;
    }

    static boolean c(Collection<?> collection, Collection<?> collection2) {
        Iterator<?> it = collection2.iterator();
        while (it.hasNext()) {
            if (!collection.contains(it.next())) {
                return false;
            }
        }
        return true;
    }

    public static <E> Collection<E> d(Collection<E> collection, Predicate<? super E> predicate) {
        return collection instanceof a ? ((a) collection).h(predicate) : new a((Collection) Preconditions.checkNotNull(collection), (Predicate) Preconditions.checkNotNull(predicate));
    }

    /* access modifiers changed from: private */
    public static boolean e(List<?> list, List<?> list2) {
        if (list.size() != list2.size()) {
            return false;
        }
        return h5.L(list).equals(h5.L(list2));
    }

    static StringBuilder f(int i7) {
        t1.b(i7, "size");
        return new StringBuilder((int) Math.min(((long) i7) * 8, 1073741824L));
    }

    @m0.a
    public static <E extends Comparable<? super E>> Collection<List<E>> g(Iterable<E> iterable) {
        return h(iterable, kb.B());
    }

    @m0.a
    public static <E> Collection<List<E>> h(Iterable<E> iterable, Comparator<? super E> comparator) {
        return new b(iterable, comparator);
    }

    @m0.a
    public static <E> Collection<List<E>> i(Collection<E> collection) {
        return new d(t5.D(collection));
    }

    static boolean j(Collection<?> collection, Object obj) {
        Preconditions.checkNotNull(collection);
        try {
            return collection.contains(obj);
        } catch (ClassCastException | NullPointerException unused) {
            return false;
        }
    }

    static boolean k(Collection<?> collection, Object obj) {
        Preconditions.checkNotNull(collection);
        try {
            return collection.remove(obj);
        } catch (ClassCastException | NullPointerException unused) {
            return false;
        }
    }

    static String l(Collection<?> collection) {
        StringBuilder f7 = f(collection.size());
        f7.append('[');
        boolean z7 = true;
        for (Object obj : collection) {
            if (!z7) {
                f7.append(", ");
            }
            if (obj == collection) {
                f7.append("(this Collection)");
            } else {
                f7.append(obj);
            }
            z7 = false;
        }
        f7.append(']');
        return f7.toString();
    }

    public static <F, T> Collection<T> m(Collection<F> collection, Function<? super F, T> function) {
        return new f(collection, function);
    }
}
