package com.google.common.collect;

import com.google.common.base.Function;
import com.google.common.base.Preconditions;
import com.google.common.base.Supplier;
import com.google.common.collect.v9;
import java.io.Serializable;
import java.util.Collection;
import java.util.Comparator;
import java.util.Iterator;
import java.util.Map;
import java.util.NoSuchElementException;
import java.util.Set;
import java.util.SortedMap;
import java.util.SortedSet;
import java.util.TreeMap;

@m0.b(serializable = true)
public class fe<R, C, V> extends ed<R, C, V> {
    private static final long X5 = 0;
    private final Comparator<? super C> W5;

    class a implements Function<Map<C, V>, Iterator<C>> {
        a() {
        }

        /* renamed from: a */
        public Iterator<C> apply(Map<C, V> map) {
            return map.keySet().iterator();
        }
    }

    class b extends c<C> {

        /* renamed from: p  reason: collision with root package name */
        C f9961p;

        /* renamed from: x  reason: collision with root package name */
        final /* synthetic */ Iterator f9962x;

        /* renamed from: y  reason: collision with root package name */
        final /* synthetic */ Comparator f9963y;

        b(Iterator it, Comparator comparator) {
            this.f9962x = it;
            this.f9963y = comparator;
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.collect.c
        public C a() {
            boolean z7;
            while (this.f9962x.hasNext()) {
                C c7 = (C) this.f9962x.next();
                C c8 = this.f9961p;
                if (c8 == null || this.f9963y.compare(c7, c8) != 0) {
                    z7 = false;
                    continue;
                } else {
                    z7 = true;
                    continue;
                }
                if (!z7) {
                    this.f9961p = c7;
                    return c7;
                }
            }
            this.f9961p = null;
            return (C) b();
        }
    }

    private static class c<C, V> implements Supplier<TreeMap<C, V>>, Serializable {

        /* renamed from: g  reason: collision with root package name */
        private static final long f9964g = 0;

        /* renamed from: f  reason: collision with root package name */
        final Comparator<? super C> f9965f;

        c(Comparator<? super C> comparator) {
            this.f9965f = comparator;
        }

        /* renamed from: a */
        public TreeMap<C, V> get() {
            return new TreeMap<>(this.f9965f);
        }
    }

    /* access modifiers changed from: private */
    public class d extends hd<R, C, V>.g implements SortedMap<C, V> {
        transient SortedMap<C, V> C1;

        /* renamed from: x  reason: collision with root package name */
        final C f9966x;

        /* renamed from: y  reason: collision with root package name */
        final C f9967y;

        d(fe feVar, R r7) {
            this(r7, null, null);
        }

        @Override // java.util.SortedMap
        public Comparator<? super C> comparator() {
            return fe.this.A();
        }

        @Override // com.google.common.collect.hd.g
        public boolean containsKey(Object obj) {
            return m(obj) && super.containsKey(obj);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.hd.g
        public void f() {
            if (n() != null && this.C1.isEmpty()) {
                fe.this.f10043p.remove(this.f10067f);
                this.C1 = null;
                this.f10068g = null;
            }
        }

        @Override // java.util.SortedMap
        public C firstKey() {
            if (d() != null) {
                return d().firstKey();
            }
            throw new NoSuchElementException();
        }

        /* access modifiers changed from: package-private */
        /* renamed from: h */
        public SortedMap<C, V> d() {
            return (SortedMap) super.d();
        }

        @Override // java.util.SortedMap
        public SortedMap<C, V> headMap(C c7) {
            Preconditions.checkArgument(m(Preconditions.checkNotNull(c7)));
            return new d(this.f10067f, this.f9966x, c7);
        }

        /* access modifiers changed from: package-private */
        public int i(Object obj, Object obj2) {
            return comparator().compare(obj, obj2);
        }

        /* access modifiers changed from: package-private */
        /* renamed from: j */
        public SortedMap<C, V> e() {
            SortedMap<C, V> n7 = n();
            if (n7 == null) {
                return null;
            }
            C c7 = this.f9966x;
            if (c7 != null) {
                n7 = n7.tailMap(c7);
            }
            C c8 = this.f9967y;
            return c8 != null ? n7.headMap(c8) : n7;
        }

        /* renamed from: k */
        public SortedSet<C> keySet() {
            return new v9.h0(this);
        }

        @Override // java.util.SortedMap
        public C lastKey() {
            if (d() != null) {
                return d().lastKey();
            }
            throw new NoSuchElementException();
        }

        /* access modifiers changed from: package-private */
        public boolean m(Object obj) {
            C c7;
            C c8;
            return obj != null && ((c7 = this.f9966x) == null || i(c7, obj) <= 0) && ((c8 = this.f9967y) == null || i(c8, obj) > 0);
        }

        /* access modifiers changed from: package-private */
        public SortedMap<C, V> n() {
            SortedMap<C, V> sortedMap = this.C1;
            if (sortedMap == null || (sortedMap.isEmpty() && fe.this.f10043p.containsKey(this.f10067f))) {
                this.C1 = (SortedMap) fe.this.f10043p.get(this.f10067f);
            }
            return this.C1;
        }

        @Override // java.util.AbstractMap, java.util.Map, com.google.common.collect.hd.g
        public V put(C c7, V v7) {
            Preconditions.checkArgument(m(Preconditions.checkNotNull(c7)));
            return (V) super.put(c7, v7);
        }

        @Override // java.util.SortedMap
        public SortedMap<C, V> subMap(C c7, C c8) {
            Preconditions.checkArgument(m(Preconditions.checkNotNull(c7)) && m(Preconditions.checkNotNull(c8)));
            return new d(this.f10067f, c7, c8);
        }

        @Override // java.util.SortedMap
        public SortedMap<C, V> tailMap(C c7) {
            Preconditions.checkArgument(m(Preconditions.checkNotNull(c7)));
            return new d(this.f10067f, c7, this.f9967y);
        }

        d(R r7, C c7, C c8) {
            super(r7);
            this.f9966x = c7;
            this.f9967y = c8;
            Preconditions.checkArgument(c7 == null || c8 == null || i(c7, c8) <= 0);
        }
    }

    fe(Comparator<? super R> comparator, Comparator<? super C> comparator2) {
        super(new TreeMap(comparator), new c(comparator2));
        this.W5 = comparator2;
    }

    public static <R extends Comparable, C extends Comparable, V> fe<R, C, V> B() {
        return new fe<>(kb.B(), kb.B());
    }

    public static <R, C, V> fe<R, C, V> C(fe<R, C, ? extends V> feVar) {
        fe<R, C, V> feVar2 = new fe<>(feVar.F(), feVar.A());
        feVar2.l1(feVar);
        return feVar2;
    }

    public static <R, C, V> fe<R, C, V> D(Comparator<? super R> comparator, Comparator<? super C> comparator2) {
        Preconditions.checkNotNull(comparator);
        Preconditions.checkNotNull(comparator2);
        return new fe<>(comparator, comparator2);
    }

    @Deprecated
    public Comparator<? super C> A() {
        return this.W5;
    }

    /* renamed from: E */
    public SortedMap<C, V> s1(R r7) {
        return new d(this, r7);
    }

    @Deprecated
    public Comparator<? super R> F() {
        return p().comparator();
    }

    @Override // com.google.common.collect.y, com.google.common.collect.hd, com.google.common.collect.xd
    public /* bridge */ /* synthetic */ Object L(Object obj, Object obj2) {
        return super.L(obj, obj2);
    }

    @Override // com.google.common.collect.y, com.google.common.collect.hd, com.google.common.collect.xd
    public /* bridge */ /* synthetic */ boolean T(Object obj) {
        return super.T(obj);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: java.lang.Object */
    /* JADX WARN: Multi-variable type inference failed */
    @Override // com.google.common.collect.hd, com.google.common.collect.xd
    public /* bridge */ /* synthetic */ Map U(Object obj) {
        return super.U(obj);
    }

    @Override // com.google.common.collect.y, com.google.common.collect.hd, com.google.common.collect.xd
    public /* bridge */ /* synthetic */ Set b0() {
        return super.b0();
    }

    @Override // com.google.common.collect.y, com.google.common.collect.hd, com.google.common.collect.xd
    public /* bridge */ /* synthetic */ Set b1() {
        return super.b1();
    }

    @Override // com.google.common.collect.y, com.google.common.collect.hd, com.google.common.collect.xd
    public /* bridge */ /* synthetic */ void clear() {
        super.clear();
    }

    @Override // com.google.common.collect.y, com.google.common.collect.hd, com.google.common.collect.xd
    public /* bridge */ /* synthetic */ boolean containsValue(Object obj) {
        return super.containsValue(obj);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: java.lang.Object */
    /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: java.lang.Object */
    /* JADX DEBUG: Multi-variable search result rejected for r3v0, resolved type: java.lang.Object */
    /* JADX WARN: Multi-variable type inference failed */
    @Override // com.google.common.collect.y, com.google.common.collect.hd, com.google.common.collect.xd
    @p0.a
    public /* bridge */ /* synthetic */ Object d0(Object obj, Object obj2, Object obj3) {
        return super.d0(obj, obj2, obj3);
    }

    @Override // com.google.common.collect.y, com.google.common.collect.hd, com.google.common.collect.xd
    public /* bridge */ /* synthetic */ boolean d1(Object obj) {
        return super.d1(obj);
    }

    @Override // com.google.common.collect.y, com.google.common.collect.xd
    public /* bridge */ /* synthetic */ boolean equals(Object obj) {
        return super.equals(obj);
    }

    @Override // com.google.common.collect.y, com.google.common.collect.xd
    public /* bridge */ /* synthetic */ int hashCode() {
        return super.hashCode();
    }

    @Override // com.google.common.collect.y, com.google.common.collect.hd, com.google.common.collect.xd
    public /* bridge */ /* synthetic */ boolean isEmpty() {
        return super.isEmpty();
    }

    @Override // com.google.common.collect.y, com.google.common.collect.xd
    public /* bridge */ /* synthetic */ void l1(xd xdVar) {
        super.l1(xdVar);
    }

    @Override // com.google.common.collect.y, com.google.common.collect.hd, com.google.common.collect.xd
    public /* bridge */ /* synthetic */ boolean m1(Object obj, Object obj2) {
        return super.m1(obj, obj2);
    }

    @Override // com.google.common.collect.hd, com.google.common.collect.xd
    public /* bridge */ /* synthetic */ Map n1() {
        return super.n1();
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.hd
    public Iterator<C> q() {
        Comparator<? super C> A = A();
        return new b(w8.O(t8.S(this.f10043p.values(), new a()), A), A);
    }

    @Override // com.google.common.collect.y, com.google.common.collect.hd, com.google.common.collect.xd
    @p0.a
    public /* bridge */ /* synthetic */ Object remove(Object obj, Object obj2) {
        return super.remove(obj, obj2);
    }

    @Override // com.google.common.collect.hd, com.google.common.collect.xd
    public /* bridge */ /* synthetic */ int size() {
        return super.size();
    }

    @Override // com.google.common.collect.y
    public /* bridge */ /* synthetic */ String toString() {
        return super.toString();
    }

    @Override // com.google.common.collect.y, com.google.common.collect.hd, com.google.common.collect.xd
    public /* bridge */ /* synthetic */ Collection values() {
        return super.values();
    }

    @Override // com.google.common.collect.fc, com.google.common.collect.fc, com.google.common.collect.ed, com.google.common.collect.ed, com.google.common.collect.hd, com.google.common.collect.xd
    public SortedMap<R, Map<C, V>> m() {
        return super.m();
    }

    @Override // com.google.common.collect.fc, com.google.common.collect.fc, com.google.common.collect.y, com.google.common.collect.ed, com.google.common.collect.ed, com.google.common.collect.hd, com.google.common.collect.xd
    public SortedSet<R> p() {
        return super.p();
    }
}
