package com.google.common.collect;

import com.google.common.base.Preconditions;
import com.google.common.collect.jc;
import com.google.common.collect.ua;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.io.Serializable;
import java.util.AbstractSequentialList;
import java.util.Collection;
import java.util.Collections;
import java.util.ConcurrentModificationException;
import java.util.Iterator;
import java.util.List;
import java.util.ListIterator;
import java.util.Map;
import java.util.NoSuchElementException;
import java.util.Set;
import java.util.function.Consumer;

@m0.b(emulated = true, serializable = true)
public class g9<K, V> extends o<K, V> implements h9<K, V>, Serializable {
    @m0.c
    private static final long X5 = 0;
    private transient g<K, V> C1;
    private transient g<K, V> C2;
    private transient Map<K, f<K, V>> U5;
    private transient int V5;
    private transient int W5;

    /* access modifiers changed from: package-private */
    public class a extends AbstractSequentialList<V> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ Object f9977f;

        a(Object obj) {
            this.f9977f = obj;
        }

        @Override // java.util.List, java.util.AbstractList, java.util.AbstractSequentialList
        public ListIterator<V> listIterator(int i7) {
            return new i(this.f9977f, i7);
        }

        public int size() {
            f fVar = (f) g9.this.U5.get(this.f9977f);
            if (fVar == null) {
                return 0;
            }
            return fVar.f9991c;
        }
    }

    /* access modifiers changed from: package-private */
    public class b extends AbstractSequentialList<Map.Entry<K, V>> {
        b() {
        }

        @Override // java.lang.Iterable
        public void forEach(Consumer<? super Map.Entry<K, V>> consumer) {
            Preconditions.checkNotNull(consumer);
            for (g<K, V> gVar = g9.this.C1; gVar != null; gVar = gVar.f9994p) {
                consumer.accept(gVar);
            }
        }

        @Override // java.util.List, java.util.AbstractList, java.util.AbstractSequentialList
        public ListIterator<Map.Entry<K, V>> listIterator(int i7) {
            return new h(i7);
        }

        public int size() {
            return g9.this.V5;
        }
    }

    class c extends jc.l<K> {
        c() {
        }

        public boolean contains(Object obj) {
            return g9.this.containsKey(obj);
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
        public Iterator<K> iterator() {
            return new e(g9.this, null);
        }

        public boolean remove(Object obj) {
            return !g9.this.b(obj).isEmpty();
        }

        public int size() {
            return g9.this.U5.size();
        }
    }

    /* access modifiers changed from: package-private */
    public class d extends AbstractSequentialList<V> {

        class a extends ee<Map.Entry<K, V>, V> {

            /* renamed from: g  reason: collision with root package name */
            final /* synthetic */ h f9982g;

            /* JADX INFO: super call moved to the top of the method (can break code semantics) */
            a(ListIterator listIterator, h hVar) {
                super(listIterator);
                this.f9982g = hVar;
            }

            /* access modifiers changed from: package-private */
            /* renamed from: c */
            public V a(Map.Entry<K, V> entry) {
                return entry.getValue();
            }

            @Override // com.google.common.collect.ee, java.util.ListIterator
            public void set(V v7) {
                this.f9982g.f(v7);
            }
        }

        d() {
        }

        @Override // java.util.List, java.util.AbstractList, java.util.AbstractSequentialList
        public ListIterator<V> listIterator(int i7) {
            h hVar = new h(i7);
            return new a(hVar, hVar);
        }

        public int size() {
            return g9.this.V5;
        }
    }

    private class e implements Iterator<K> {

        /* renamed from: f  reason: collision with root package name */
        final Set<K> f9984f;

        /* renamed from: g  reason: collision with root package name */
        g<K, V> f9985g;

        /* renamed from: p  reason: collision with root package name */
        g<K, V> f9986p;

        /* renamed from: x  reason: collision with root package name */
        int f9987x;

        private e() {
            this.f9984f = jc.y(g9.this.keySet().size());
            this.f9985g = g9.this.C1;
            this.f9987x = g9.this.W5;
        }

        private void a() {
            if (g9.this.W5 != this.f9987x) {
                throw new ConcurrentModificationException();
            }
        }

        public boolean hasNext() {
            a();
            return this.f9985g != null;
        }

        @Override // java.util.Iterator
        public K next() {
            g<K, V> gVar;
            a();
            g9.A(this.f9985g);
            g<K, V> gVar2 = this.f9985g;
            this.f9986p = gVar2;
            this.f9984f.add(gVar2.f9992f);
            do {
                gVar = this.f9985g.f9994p;
                this.f9985g = gVar;
                if (gVar == null) {
                    break;
                }
            } while (!this.f9984f.add(gVar.f9992f));
            return this.f9986p.f9992f;
        }

        public void remove() {
            a();
            t1.e(this.f9986p != null);
            g9.this.J(this.f9986p.f9992f);
            this.f9986p = null;
            this.f9987x = g9.this.W5;
        }

        /* synthetic */ e(g9 g9Var, a aVar) {
            this();
        }
    }

    /* access modifiers changed from: private */
    public static class f<K, V> {

        /* renamed from: a  reason: collision with root package name */
        g<K, V> f9989a;

        /* renamed from: b  reason: collision with root package name */
        g<K, V> f9990b;

        /* renamed from: c  reason: collision with root package name */
        int f9991c = 1;

        f(g<K, V> gVar) {
            this.f9989a = gVar;
            this.f9990b = gVar;
            gVar.C1 = null;
            gVar.f9996y = null;
        }
    }

    /* access modifiers changed from: private */
    public static final class g<K, V> extends n<K, V> {
        g<K, V> C1;

        /* renamed from: f  reason: collision with root package name */
        final K f9992f;

        /* renamed from: g  reason: collision with root package name */
        V f9993g;

        /* renamed from: p  reason: collision with root package name */
        g<K, V> f9994p;

        /* renamed from: x  reason: collision with root package name */
        g<K, V> f9995x;

        /* renamed from: y  reason: collision with root package name */
        g<K, V> f9996y;

        g(K k7, V v7) {
            this.f9992f = k7;
            this.f9993g = v7;
        }

        @Override // java.util.Map.Entry, com.google.common.collect.n
        public K getKey() {
            return this.f9992f;
        }

        @Override // java.util.Map.Entry, com.google.common.collect.n
        public V getValue() {
            return this.f9993g;
        }

        @Override // java.util.Map.Entry, com.google.common.collect.n
        public V setValue(V v7) {
            V v8 = this.f9993g;
            this.f9993g = v7;
            return v8;
        }
    }

    private class h implements ListIterator<Map.Entry<K, V>> {

        /* renamed from: f  reason: collision with root package name */
        int f9997f;

        /* renamed from: g  reason: collision with root package name */
        g<K, V> f9998g;

        /* renamed from: p  reason: collision with root package name */
        g<K, V> f9999p;

        /* renamed from: x  reason: collision with root package name */
        g<K, V> f10000x;

        /* renamed from: y  reason: collision with root package name */
        int f10001y;

        h(int i7) {
            this.f10001y = g9.this.W5;
            int size = g9.this.size();
            Preconditions.checkPositionIndex(i7, size);
            if (i7 < size / 2) {
                this.f9998g = g9.this.C1;
                while (true) {
                    int i8 = i7 - 1;
                    if (i7 <= 0) {
                        break;
                    }
                    next();
                    i7 = i8;
                }
            } else {
                this.f10000x = g9.this.C2;
                this.f9997f = size;
                while (true) {
                    int i9 = i7 + 1;
                    if (i7 >= size) {
                        break;
                    }
                    previous();
                    i7 = i9;
                }
            }
            this.f9999p = null;
        }

        private void b() {
            if (g9.this.W5 != this.f10001y) {
                throw new ConcurrentModificationException();
            }
        }

        /* renamed from: a */
        public void add(Map.Entry<K, V> entry) {
            throw new UnsupportedOperationException();
        }

        @p0.a
        /* renamed from: c */
        public g<K, V> next() {
            b();
            g9.A(this.f9998g);
            g<K, V> gVar = this.f9998g;
            this.f9999p = gVar;
            this.f10000x = gVar;
            this.f9998g = gVar.f9994p;
            this.f9997f++;
            return gVar;
        }

        @p0.a
        /* renamed from: d */
        public g<K, V> previous() {
            b();
            g9.A(this.f10000x);
            g<K, V> gVar = this.f10000x;
            this.f9999p = gVar;
            this.f9998g = gVar;
            this.f10000x = gVar.f9995x;
            this.f9997f--;
            return gVar;
        }

        /* renamed from: e */
        public void set(Map.Entry<K, V> entry) {
            throw new UnsupportedOperationException();
        }

        /* access modifiers changed from: package-private */
        public void f(V v7) {
            Preconditions.checkState(this.f9999p != null);
            this.f9999p.f9993g = v7;
        }

        public boolean hasNext() {
            b();
            return this.f9998g != null;
        }

        public boolean hasPrevious() {
            b();
            return this.f10000x != null;
        }

        public int nextIndex() {
            return this.f9997f;
        }

        public int previousIndex() {
            return this.f9997f - 1;
        }

        public void remove() {
            b();
            t1.e(this.f9999p != null);
            g<K, V> gVar = this.f9999p;
            if (gVar != this.f9998g) {
                this.f10000x = gVar.f9995x;
                this.f9997f--;
            } else {
                this.f9998g = gVar.f9994p;
            }
            g9.this.K(gVar);
            this.f9999p = null;
            this.f10001y = g9.this.W5;
        }
    }

    /* access modifiers changed from: private */
    public class i implements ListIterator<V> {

        /* renamed from: f  reason: collision with root package name */
        final Object f10002f;

        /* renamed from: g  reason: collision with root package name */
        int f10003g;

        /* renamed from: p  reason: collision with root package name */
        g<K, V> f10004p;

        /* renamed from: x  reason: collision with root package name */
        g<K, V> f10005x;

        /* renamed from: y  reason: collision with root package name */
        g<K, V> f10006y;

        i(Object obj) {
            this.f10002f = obj;
            f fVar = (f) g9.this.U5.get(obj);
            this.f10004p = fVar == null ? null : fVar.f9989a;
        }

        @Override // java.util.ListIterator
        public void add(V v7) {
            this.f10006y = g9.this.z(this.f10002f, v7, this.f10004p);
            this.f10003g++;
            this.f10005x = null;
        }

        public boolean hasNext() {
            return this.f10004p != null;
        }

        public boolean hasPrevious() {
            return this.f10006y != null;
        }

        @Override // java.util.Iterator, java.util.ListIterator
        @p0.a
        public V next() {
            g9.A(this.f10004p);
            g<K, V> gVar = this.f10004p;
            this.f10005x = gVar;
            this.f10006y = gVar;
            this.f10004p = gVar.f9996y;
            this.f10003g++;
            return gVar.f9993g;
        }

        public int nextIndex() {
            return this.f10003g;
        }

        @Override // java.util.ListIterator
        @p0.a
        public V previous() {
            g9.A(this.f10006y);
            g<K, V> gVar = this.f10006y;
            this.f10005x = gVar;
            this.f10004p = gVar;
            this.f10006y = gVar.C1;
            this.f10003g--;
            return gVar.f9993g;
        }

        public int previousIndex() {
            return this.f10003g - 1;
        }

        public void remove() {
            t1.e(this.f10005x != null);
            g<K, V> gVar = this.f10005x;
            if (gVar != this.f10004p) {
                this.f10006y = gVar.C1;
                this.f10003g--;
            } else {
                this.f10004p = gVar.f9996y;
            }
            g9.this.K(gVar);
            this.f10005x = null;
        }

        @Override // java.util.ListIterator
        public void set(V v7) {
            Preconditions.checkState(this.f10005x != null);
            this.f10005x.f9993g = v7;
        }

        public i(Object obj, int i7) {
            f fVar = (f) g9.this.U5.get(obj);
            int i8 = fVar == null ? 0 : fVar.f9991c;
            Preconditions.checkPositionIndex(i7, i8);
            if (i7 < i8 / 2) {
                this.f10004p = fVar == null ? null : fVar.f9989a;
                while (true) {
                    int i9 = i7 - 1;
                    if (i7 <= 0) {
                        break;
                    }
                    next();
                    i7 = i9;
                }
            } else {
                this.f10006y = fVar == null ? null : fVar.f9990b;
                this.f10003g = i8;
                while (true) {
                    int i10 = i7 + 1;
                    if (i7 >= i8) {
                        break;
                    }
                    previous();
                    i7 = i10;
                }
            }
            this.f10002f = obj;
            this.f10005x = null;
        }
    }

    g9() {
        this(12);
    }

    /* access modifiers changed from: private */
    public static void A(Object obj) {
        if (obj == null) {
            throw new NoSuchElementException();
        }
    }

    public static <K, V> g9<K, V> B() {
        return new g9<>();
    }

    public static <K, V> g9<K, V> C(int i7) {
        return new g9<>(i7);
    }

    public static <K, V> g9<K, V> D(na<? extends K, ? extends V> naVar) {
        return new g9<>(naVar);
    }

    private List<V> H(Object obj) {
        return Collections.unmodifiableList(i9.s(new i(obj)));
    }

    /* JADX DEBUG: Multi-variable search result rejected for r4v0, resolved type: com.google.common.collect.g9<K, V> */
    /* JADX WARN: Multi-variable type inference failed */
    @m0.c
    private void I(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException {
        objectInputStream.defaultReadObject();
        this.U5 = v9.m0();
        int readInt = objectInputStream.readInt();
        for (int i7 = 0; i7 < readInt; i7++) {
            put(objectInputStream.readObject(), objectInputStream.readObject());
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void J(Object obj) {
        w8.h(new i(obj));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void K(g<K, V> gVar) {
        g<K, V> gVar2 = gVar.f9995x;
        g<K, V> gVar3 = gVar.f9994p;
        if (gVar2 != null) {
            gVar2.f9994p = gVar3;
        } else {
            this.C1 = gVar3;
        }
        g<K, V> gVar4 = gVar.f9994p;
        if (gVar4 != null) {
            gVar4.f9995x = gVar2;
        } else {
            this.C2 = gVar2;
        }
        if (gVar.C1 == null && gVar.f9996y == null) {
            this.U5.remove(gVar.f9992f).f9991c = 0;
            this.W5++;
        } else {
            f<K, V> fVar = this.U5.get(gVar.f9992f);
            fVar.f9991c--;
            g<K, V> gVar5 = gVar.C1;
            g<K, V> gVar6 = gVar.f9996y;
            if (gVar5 == null) {
                fVar.f9989a = gVar6;
            } else {
                gVar5.f9996y = gVar6;
            }
            g<K, V> gVar7 = gVar.f9996y;
            if (gVar7 == null) {
                fVar.f9990b = gVar5;
            } else {
                gVar7.C1 = gVar5;
            }
        }
        this.V5--;
    }

    @m0.c
    private void M(ObjectOutputStream objectOutputStream) throws IOException {
        objectOutputStream.defaultWriteObject();
        objectOutputStream.writeInt(size());
        for (Map.Entry<K, V> entry : h()) {
            objectOutputStream.writeObject(entry.getKey());
            objectOutputStream.writeObject(entry.getValue());
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    @p0.a
    private g<K, V> z(K k7, V v7, g<K, V> gVar) {
        Map<K, f<K, V>> map;
        f<K, V> fVar;
        g<K, V> gVar2 = new g<>(k7, v7);
        if (this.C1 == null) {
            this.C2 = gVar2;
            this.C1 = gVar2;
            map = this.U5;
            fVar = new f<>(gVar2);
        } else {
            if (gVar == null) {
                g<K, V> gVar3 = this.C2;
                gVar3.f9994p = gVar2;
                gVar2.f9995x = gVar3;
                this.C2 = gVar2;
                f<K, V> fVar2 = this.U5.get(k7);
                if (fVar2 == null) {
                    map = this.U5;
                    fVar = new f<>(gVar2);
                } else {
                    fVar2.f9991c++;
                    g<K, V> gVar4 = fVar2.f9990b;
                    gVar4.f9996y = gVar2;
                    gVar2.C1 = gVar4;
                    fVar2.f9990b = gVar2;
                }
            } else {
                this.U5.get(k7).f9991c++;
                gVar2.f9995x = gVar.f9995x;
                gVar2.C1 = gVar.C1;
                gVar2.f9994p = gVar;
                gVar2.f9996y = gVar;
                g<K, V> gVar5 = gVar.C1;
                if (gVar5 == null) {
                    this.U5.get(k7).f9989a = gVar2;
                } else {
                    gVar5.f9996y = gVar2;
                }
                g<K, V> gVar6 = gVar.f9995x;
                if (gVar6 == null) {
                    this.C1 = gVar2;
                } else {
                    gVar6.f9994p = gVar2;
                }
                gVar.f9995x = gVar2;
                gVar.C1 = gVar2;
            }
            this.V5++;
            return gVar2;
        }
        map.put(k7, fVar);
        this.W5++;
        this.V5++;
        return gVar2;
    }

    @Override // com.google.common.collect.o, com.google.common.collect.na
    @p0.a
    public /* bridge */ /* synthetic */ boolean B0(na naVar) {
        return super.B0(naVar);
    }

    /* access modifiers changed from: package-private */
    /* renamed from: E */
    public List<Map.Entry<K, V>> d() {
        return new b();
    }

    /* access modifiers changed from: package-private */
    /* renamed from: F */
    public List<V> i() {
        return new d();
    }

    /* renamed from: G */
    public List<Map.Entry<K, V>> h() {
        return (List) super.h();
    }

    /* renamed from: L */
    public List<V> values() {
        return (List) super.values();
    }

    @Override // com.google.common.collect.o, com.google.common.collect.na
    public /* bridge */ /* synthetic */ ya N0() {
        return super.N0();
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.o
    public Map<K, Collection<V>> a() {
        return new ua.a(this);
    }

    @Override // com.google.common.collect.na
    public void clear() {
        this.C1 = null;
        this.C2 = null;
        this.U5.clear();
        this.V5 = 0;
        this.W5++;
    }

    @Override // com.google.common.collect.na
    public boolean containsKey(Object obj) {
        return this.U5.containsKey(obj);
    }

    @Override // com.google.common.collect.o, com.google.common.collect.na
    public boolean containsValue(Object obj) {
        return values().contains(obj);
    }

    @Override // com.google.common.collect.o, com.google.common.collect.h9, com.google.common.collect.na
    public /* bridge */ /* synthetic */ Map e() {
        return super.e();
    }

    @Override // com.google.common.collect.o, com.google.common.collect.h9, com.google.common.collect.na
    public /* bridge */ /* synthetic */ boolean equals(Object obj) {
        return super.equals(obj);
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.o
    public Set<K> f() {
        return new c();
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.o
    public ya<K> g() {
        return new ua.g(this);
    }

    @Override // com.google.common.collect.o, com.google.common.collect.na
    public /* bridge */ /* synthetic */ int hashCode() {
        return super.hashCode();
    }

    @Override // com.google.common.collect.o, com.google.common.collect.na
    public boolean isEmpty() {
        return this.C1 == null;
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.o
    public Iterator<Map.Entry<K, V>> j() {
        throw new AssertionError("should never be called");
    }

    @Override // com.google.common.collect.o, com.google.common.collect.na
    public /* bridge */ /* synthetic */ Set keySet() {
        return super.keySet();
    }

    @Override // com.google.common.collect.o, com.google.common.collect.na
    @p0.a
    public boolean put(K k7, V v7) {
        z(k7, v7, null);
        return true;
    }

    @Override // com.google.common.collect.o, com.google.common.collect.na
    public /* bridge */ /* synthetic */ boolean q1(Object obj, Object obj2) {
        return super.q1(obj, obj2);
    }

    @Override // com.google.common.collect.o, com.google.common.collect.na
    @p0.a
    public /* bridge */ /* synthetic */ boolean remove(Object obj, Object obj2) {
        return super.remove(obj, obj2);
    }

    @Override // com.google.common.collect.na
    public int size() {
        return this.V5;
    }

    @Override // com.google.common.collect.o
    public /* bridge */ /* synthetic */ String toString() {
        return super.toString();
    }

    /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: java.lang.Object */
    /* JADX WARN: Multi-variable type inference failed */
    @Override // com.google.common.collect.o, com.google.common.collect.na
    @p0.a
    public /* bridge */ /* synthetic */ boolean v1(Object obj, Iterable iterable) {
        return super.v1(obj, iterable);
    }

    private g9(int i7) {
        this.U5 = mb.c(i7);
    }

    @Override // com.google.common.collect.h9, com.google.common.collect.h9, com.google.common.collect.na
    @p0.a
    public List<V> b(Object obj) {
        List<V> H = H(obj);
        J(obj);
        return H;
    }

    @Override // com.google.common.collect.o, com.google.common.collect.h9, com.google.common.collect.h9, com.google.common.collect.na
    @p0.a
    public List<V> c(K k7, Iterable<? extends V> iterable) {
        List<V> H = H(k7);
        i iVar = new i(k7);
        Iterator<? extends V> it = iterable.iterator();
        while (iVar.hasNext() && it.hasNext()) {
            iVar.next();
            iVar.set(it.next());
        }
        while (iVar.hasNext()) {
            iVar.next();
            iVar.remove();
        }
        while (it.hasNext()) {
            iVar.add(it.next());
        }
        return H;
    }

    @Override // com.google.common.collect.h9, com.google.common.collect.h9, com.google.common.collect.na
    public List<V> get(K k7) {
        return new a(k7);
    }

    private g9(na<? extends K, ? extends V> naVar) {
        this(naVar.keySet().size());
        B0(naVar);
    }
}
