package com.google.common.collect;

import com.google.common.base.Preconditions;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.util.Collection;
import java.util.Comparator;
import java.util.Map;
import java.util.NavigableMap;
import java.util.NavigableSet;
import java.util.Set;
import java.util.SortedSet;
import java.util.TreeMap;
import java.util.TreeSet;
import java.util.function.BiConsumer;
import m0.b;
import m0.c;
import p0.a;

@b(emulated = true, serializable = true)
public class ge<K, V> extends u<K, V> {
    @c
    private static final long Z5 = 0;
    private transient Comparator<? super K> X5;
    private transient Comparator<? super V> Y5;

    ge(Comparator<? super K> comparator, Comparator<? super V> comparator2) {
        super(new TreeMap(comparator));
        this.X5 = comparator;
        this.Y5 = comparator2;
    }

    public static <K extends Comparable, V extends Comparable> ge<K, V> c0() {
        return new ge<>(kb.B(), kb.B());
    }

    public static <K extends Comparable, V extends Comparable> ge<K, V> d0(na<? extends K, ? extends V> naVar) {
        return new ge<>(kb.B(), kb.B(), naVar);
    }

    public static <K, V> ge<K, V> e0(Comparator<? super K> comparator, Comparator<? super V> comparator2) {
        return new ge<>((Comparator) Preconditions.checkNotNull(comparator), (Comparator) Preconditions.checkNotNull(comparator2));
    }

    @c
    private void k0(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException {
        objectInputStream.defaultReadObject();
        this.X5 = (Comparator) Preconditions.checkNotNull((Comparator) objectInputStream.readObject());
        this.Y5 = (Comparator) Preconditions.checkNotNull((Comparator) objectInputStream.readObject());
        O(new TreeMap(this.X5));
        gc.d(this, objectInputStream);
    }

    @c
    private void l0(ObjectOutputStream objectOutputStream) throws IOException {
        objectOutputStream.defaultWriteObject();
        objectOutputStream.writeObject(h0());
        objectOutputStream.writeObject(S0());
        gc.j(this, objectOutputStream);
    }

    @Override // com.google.common.collect.o, com.google.common.collect.na
    @a
    public /* bridge */ /* synthetic */ boolean B0(na naVar) {
        return super.B0(naVar);
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.j
    public Collection<V> D(K k7) {
        if (k7 == null) {
            h0().compare(k7, k7);
        }
        return super.D(k7);
    }

    @Override // com.google.common.collect.o, com.google.common.collect.na
    public /* bridge */ /* synthetic */ ya N0() {
        return super.N0();
    }

    @Override // com.google.common.collect.cd
    public Comparator<? super V> S0() {
        return this.Y5;
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.w
    /* renamed from: U */
    public SortedSet<V> S() {
        return new TreeSet(this.Y5);
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.j, com.google.common.collect.o
    public Map<K, Collection<V>> a() {
        return E();
    }

    @Override // com.google.common.collect.w, com.google.common.collect.w, com.google.common.collect.w, com.google.common.collect.j, com.google.common.collect.hc, com.google.common.collect.hc, com.google.common.collect.t, com.google.common.collect.t, com.google.common.collect.cd, com.google.common.collect.cd, com.google.common.collect.cd, com.google.common.collect.na
    @a
    public /* bridge */ /* synthetic */ SortedSet b(Object obj) {
        return super.b(obj);
    }

    /* renamed from: b0 */
    public NavigableMap<K, Collection<V>> e() {
        return (NavigableMap) super.e();
    }

    /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: java.lang.Object */
    /* JADX WARN: Multi-variable type inference failed */
    @Override // com.google.common.collect.w, com.google.common.collect.w, com.google.common.collect.w, com.google.common.collect.j, com.google.common.collect.hc, com.google.common.collect.hc, com.google.common.collect.o, com.google.common.collect.t, com.google.common.collect.t, com.google.common.collect.cd, com.google.common.collect.cd, com.google.common.collect.cd, com.google.common.collect.na
    @a
    public /* bridge */ /* synthetic */ SortedSet c(Object obj, Iterable iterable) {
        return super.c(obj, iterable);
    }

    @Override // com.google.common.collect.j, com.google.common.collect.na
    public /* bridge */ /* synthetic */ void clear() {
        super.clear();
    }

    @Override // com.google.common.collect.j, com.google.common.collect.na
    public /* bridge */ /* synthetic */ boolean containsKey(Object obj) {
        return super.containsKey(obj);
    }

    @Override // com.google.common.collect.o, com.google.common.collect.na
    public /* bridge */ /* synthetic */ boolean containsValue(Object obj) {
        return super.containsValue(obj);
    }

    @Override // com.google.common.collect.hc, com.google.common.collect.o, com.google.common.collect.t, com.google.common.collect.na
    public /* bridge */ /* synthetic */ boolean equals(Object obj) {
        return super.equals(obj);
    }

    @c
    /* renamed from: f0 */
    public NavigableSet<V> get(K k7) {
        return (NavigableSet) super.get((Object) k7);
    }

    @Override // com.google.common.collect.j, com.google.common.collect.na
    public /* bridge */ /* synthetic */ void forEach(BiConsumer biConsumer) {
        super.forEach(biConsumer);
    }

    @Override // com.google.common.collect.j, com.google.common.collect.hc, com.google.common.collect.hc, com.google.common.collect.o, com.google.common.collect.t, com.google.common.collect.t, com.google.common.collect.na
    public /* bridge */ /* synthetic */ Set h() {
        return super.h();
    }

    @Deprecated
    public Comparator<? super K> h0() {
        return this.X5;
    }

    @Override // com.google.common.collect.o, com.google.common.collect.na
    public /* bridge */ /* synthetic */ int hashCode() {
        return super.hashCode();
    }

    /* renamed from: i0 */
    public NavigableSet<K> keySet() {
        return (NavigableSet) super.keySet();
    }

    @Override // com.google.common.collect.o, com.google.common.collect.na
    public /* bridge */ /* synthetic */ boolean isEmpty() {
        return super.isEmpty();
    }

    /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: java.lang.Object */
    /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: java.lang.Object */
    /* JADX WARN: Multi-variable type inference failed */
    @Override // com.google.common.collect.j, com.google.common.collect.o, com.google.common.collect.t, com.google.common.collect.na
    @a
    public /* bridge */ /* synthetic */ boolean put(Object obj, Object obj2) {
        return super.put(obj, obj2);
    }

    @Override // com.google.common.collect.o, com.google.common.collect.na
    public /* bridge */ /* synthetic */ boolean q1(Object obj, Object obj2) {
        return super.q1(obj, obj2);
    }

    @Override // com.google.common.collect.o, com.google.common.collect.na
    @a
    public /* bridge */ /* synthetic */ boolean remove(Object obj, Object obj2) {
        return super.remove(obj, obj2);
    }

    @Override // com.google.common.collect.j, com.google.common.collect.na
    public /* bridge */ /* synthetic */ int size() {
        return super.size();
    }

    @Override // com.google.common.collect.o
    public /* bridge */ /* synthetic */ String toString() {
        return super.toString();
    }

    /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: java.lang.Object */
    /* JADX WARN: Multi-variable type inference failed */
    @Override // com.google.common.collect.o, com.google.common.collect.na
    @a
    public /* bridge */ /* synthetic */ boolean v1(Object obj, Iterable iterable) {
        return super.v1(obj, iterable);
    }

    @Override // com.google.common.collect.w, com.google.common.collect.j, com.google.common.collect.o, com.google.common.collect.na
    public /* bridge */ /* synthetic */ Collection values() {
        return super.values();
    }

    private ge(Comparator<? super K> comparator, Comparator<? super V> comparator2, na<? extends K, ? extends V> naVar) {
        this(comparator, comparator2);
        B0(naVar);
    }
}
