package com.google.common.collect;

import com.google.common.base.Preconditions;
import com.google.common.primitives.l;
import java.io.Serializable;
import java.lang.Comparable;
import java.math.BigInteger;
import java.util.NoSuchElementException;

@m0.b
public abstract class h3<C extends Comparable> {

    /* renamed from: f  reason: collision with root package name */
    final boolean f10013f;

    private static final class b extends h3<BigInteger> implements Serializable {

        /* renamed from: g  reason: collision with root package name */
        private static final b f10014g = new b();

        /* renamed from: p  reason: collision with root package name */
        private static final BigInteger f10015p = BigInteger.valueOf(Long.MIN_VALUE);

        /* renamed from: x  reason: collision with root package name */
        private static final BigInteger f10016x = BigInteger.valueOf(Long.MAX_VALUE);

        /* renamed from: y  reason: collision with root package name */
        private static final long f10017y = 0;

        b() {
            super(true);
        }

        private Object q() {
            return f10014g;
        }

        /* renamed from: k */
        public long b(BigInteger bigInteger, BigInteger bigInteger2) {
            return bigInteger2.subtract(bigInteger).max(f10015p).min(f10016x).longValue();
        }

        /* renamed from: m */
        public BigInteger g(BigInteger bigInteger) {
            return bigInteger.add(BigInteger.ONE);
        }

        /* access modifiers changed from: package-private */
        /* renamed from: n */
        public BigInteger h(BigInteger bigInteger, long j7) {
            t1.c(j7, "distance");
            return bigInteger.add(BigInteger.valueOf(j7));
        }

        /* renamed from: p */
        public BigInteger i(BigInteger bigInteger) {
            return bigInteger.subtract(BigInteger.ONE);
        }

        public String toString() {
            return "DiscreteDomain.bigIntegers()";
        }
    }

    private static final class c extends h3<Integer> implements Serializable {

        /* renamed from: g  reason: collision with root package name */
        private static final c f10018g = new c();

        /* renamed from: p  reason: collision with root package name */
        private static final long f10019p = 0;

        c() {
            super(true);
        }

        private Object s() {
            return f10018g;
        }

        /* renamed from: k */
        public long b(Integer num, Integer num2) {
            return ((long) num2.intValue()) - ((long) num.intValue());
        }

        /* renamed from: m */
        public Integer e() {
            return Integer.MAX_VALUE;
        }

        /* renamed from: n */
        public Integer f() {
            return Integer.MIN_VALUE;
        }

        /* renamed from: p */
        public Integer g(Integer num) {
            int intValue = num.intValue();
            if (intValue == Integer.MAX_VALUE) {
                return null;
            }
            return Integer.valueOf(intValue + 1);
        }

        /* access modifiers changed from: package-private */
        /* renamed from: q */
        public Integer h(Integer num, long j7) {
            t1.c(j7, "distance");
            return Integer.valueOf(l.d(num.longValue() + j7));
        }

        /* renamed from: r */
        public Integer i(Integer num) {
            int intValue = num.intValue();
            if (intValue == Integer.MIN_VALUE) {
                return null;
            }
            return Integer.valueOf(intValue - 1);
        }

        public String toString() {
            return "DiscreteDomain.integers()";
        }
    }

    private static final class d extends h3<Long> implements Serializable {

        /* renamed from: g  reason: collision with root package name */
        private static final d f10020g = new d();

        /* renamed from: p  reason: collision with root package name */
        private static final long f10021p = 0;

        d() {
            super(true);
        }

        private Object s() {
            return f10020g;
        }

        /* renamed from: k */
        public long b(Long l7, Long l8) {
            long longValue = l8.longValue() - l7.longValue();
            if (l8.longValue() > l7.longValue() && longValue < 0) {
                return Long.MAX_VALUE;
            }
            if (l8.longValue() >= l7.longValue() || longValue <= 0) {
                return longValue;
            }
            return Long.MIN_VALUE;
        }

        /* renamed from: m */
        public Long e() {
            return Long.MAX_VALUE;
        }

        /* renamed from: n */
        public Long f() {
            return Long.MIN_VALUE;
        }

        /* renamed from: p */
        public Long g(Long l7) {
            long longValue = l7.longValue();
            if (longValue == Long.MAX_VALUE) {
                return null;
            }
            return Long.valueOf(longValue + 1);
        }

        /* access modifiers changed from: package-private */
        /* renamed from: q */
        public Long h(Long l7, long j7) {
            t1.c(j7, "distance");
            long longValue = l7.longValue() + j7;
            if (longValue < 0) {
                Preconditions.checkArgument(l7.longValue() < 0, "overflow");
            }
            return Long.valueOf(longValue);
        }

        /* renamed from: r */
        public Long i(Long l7) {
            long longValue = l7.longValue();
            if (longValue == Long.MIN_VALUE) {
                return null;
            }
            return Long.valueOf(longValue - 1);
        }

        public String toString() {
            return "DiscreteDomain.longs()";
        }
    }

    protected h3() {
        this(false);
    }

    public static h3<BigInteger> a() {
        return b.f10014g;
    }

    public static h3<Integer> c() {
        return c.f10018g;
    }

    public static h3<Long> d() {
        return d.f10020g;
    }

    public abstract long b(C c7, C c8);

    @p0.a
    public C e() {
        throw new NoSuchElementException();
    }

    @p0.a
    public C f() {
        throw new NoSuchElementException();
    }

    public abstract C g(C c7);

    /* access modifiers changed from: package-private */
    public C h(C c7, long j7) {
        t1.c(j7, "distance");
        for (long j8 = 0; j8 < j7; j8++) {
            c7 = g(c7);
        }
        return c7;
    }

    public abstract C i(C c7);

    private h3(boolean z7) {
        this.f10013f = z7;
    }
}
