package com.google.common.collect;

import com.google.common.base.Preconditions;
import com.google.common.collect.n5;
import e1.h;
import java.io.Serializable;
import java.util.AbstractMap;
import java.util.Arrays;
import java.util.Collection;
import java.util.Comparator;
import java.util.EnumMap;
import java.util.Iterator;
import java.util.Map;
import java.util.Set;
import java.util.SortedMap;
import java.util.Spliterator;
import java.util.Spliterators;
import java.util.function.BiFunction;
import java.util.function.BinaryOperator;
import java.util.function.Function;
import java.util.stream.Collector;
import java.util.stream.Collectors;

@m0.b(emulated = true, serializable = true)
public abstract class h6<K, V> implements Map<K, V>, Serializable {

    /* renamed from: y  reason: collision with root package name */
    static final Map.Entry<?, ?>[] f10022y = new Map.Entry[0];
    @h
    @q0.b

    /* renamed from: f  reason: collision with root package name */
    private transient e7<Map.Entry<K, V>> f10023f;
    @h
    @q0.b

    /* renamed from: g  reason: collision with root package name */
    private transient e7<K> f10024g;
    @h
    @q0.b

    /* renamed from: p  reason: collision with root package name */
    private transient n5<V> f10025p;
    @q0.b

    /* renamed from: x  reason: collision with root package name */
    private transient o7<K, V> f10026x;

    class a extends le<K> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ le f10027f;

        a(le leVar) {
            this.f10027f = leVar;
        }

        public boolean hasNext() {
            return this.f10027f.hasNext();
        }

        @Override // java.util.Iterator
        public K next() {
            return (K) ((Map.Entry) this.f10027f.next()).getKey();
        }
    }

    public static class b<K, V> {

        /* renamed from: a  reason: collision with root package name */
        Comparator<? super V> f10029a;

        /* renamed from: b  reason: collision with root package name */
        Map.Entry<K, V>[] f10030b;

        /* renamed from: c  reason: collision with root package name */
        int f10031c;

        /* renamed from: d  reason: collision with root package name */
        boolean f10032d;

        public b() {
            this(4);
        }

        private void d(int i7) {
            Map.Entry<K, V>[] entryArr = this.f10030b;
            if (i7 > entryArr.length) {
                this.f10030b = (Map.Entry[]) Arrays.copyOf(entryArr, n5.a.f(entryArr.length, i7));
                this.f10032d = false;
            }
        }

        public h6<K, V> a() {
            if (this.f10029a != null) {
                if (this.f10032d) {
                    this.f10030b = (Map.Entry[]) Arrays.copyOf(this.f10030b, this.f10031c);
                }
                Arrays.sort(this.f10030b, 0, this.f10031c, kb.i(this.f10029a).F(v9.Z0()));
            }
            int i7 = this.f10031c;
            if (i7 == 0) {
                return h6.v();
            }
            if (i7 == 1) {
                return h6.x(this.f10030b[0].getKey(), this.f10030b[0].getValue());
            }
            this.f10032d = true;
            return xb.I(i7, this.f10030b);
        }

        /* access modifiers changed from: package-private */
        @m0.d
        public h6<K, V> b() {
            Preconditions.checkState(this.f10029a == null, "buildJdkBacked is only for testing; can't use valueComparator");
            int i7 = this.f10031c;
            if (i7 == 0) {
                return h6.v();
            }
            if (i7 == 1) {
                return h6.x(this.f10030b[0].getKey(), this.f10030b[0].getValue());
            }
            this.f10032d = true;
            return z8.H(i7, this.f10030b);
        }

        /* access modifiers changed from: package-private */
        @p0.a
        public b<K, V> c(b<K, V> bVar) {
            Preconditions.checkNotNull(bVar);
            d(this.f10031c + bVar.f10031c);
            System.arraycopy(bVar.f10030b, 0, this.f10030b, this.f10031c, bVar.f10031c);
            this.f10031c += bVar.f10031c;
            return this;
        }

        @m0.a
        @p0.a
        public b<K, V> e(Comparator<? super V> comparator) {
            Preconditions.checkState(this.f10029a == null, "valueComparator was already set");
            this.f10029a = (Comparator) Preconditions.checkNotNull(comparator, "valueComparator");
            return this;
        }

        @p0.a
        public b<K, V> f(K k7, V v7) {
            d(this.f10031c + 1);
            Map.Entry<K, V> m7 = h6.m(k7, v7);
            Map.Entry<K, V>[] entryArr = this.f10030b;
            int i7 = this.f10031c;
            this.f10031c = i7 + 1;
            entryArr[i7] = m7;
            return this;
        }

        /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: com.google.common.collect.h6$b<K, V> */
        /* JADX WARN: Multi-variable type inference failed */
        @p0.a
        public b<K, V> g(Map.Entry<? extends K, ? extends V> entry) {
            return f(entry.getKey(), entry.getValue());
        }

        @m0.a
        @p0.a
        public b<K, V> h(Iterable<? extends Map.Entry<? extends K, ? extends V>> iterable) {
            if (iterable instanceof Collection) {
                d(this.f10031c + ((Collection) iterable).size());
            }
            for (Map.Entry<? extends K, ? extends V> entry : iterable) {
                g(entry);
            }
            return this;
        }

        @p0.a
        public b<K, V> i(Map<? extends K, ? extends V> map) {
            return h(map.entrySet());
        }

        b(int i7) {
            this.f10030b = new Map.Entry[i7];
            this.f10031c = 0;
            this.f10032d = false;
        }
    }

    /* access modifiers changed from: package-private */
    public static abstract class c<K, V> extends h6<K, V> {

        class a extends j6<K, V> {
            a() {
            }

            /* access modifiers changed from: package-private */
            @Override // com.google.common.collect.j6
            public h6<K, V> l0() {
                return c.this;
            }

            @Override // com.google.common.collect.n5, com.google.common.collect.e7
            /* renamed from: n */
            public le<Map.Entry<K, V>> iterator() {
                return c.this.G();
            }
        }

        c() {
        }

        /* access modifiers changed from: package-private */
        public abstract le<Map.Entry<K, V>> G();

        /* access modifiers changed from: package-private */
        public Spliterator<Map.Entry<K, V>> H() {
            return Spliterators.spliterator(G(), (long) size(), 1297);
        }

        @Override // com.google.common.collect.h6, java.util.Map
        public /* bridge */ /* synthetic */ Set entrySet() {
            return h6.super.entrySet();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.h6
        public e7<Map.Entry<K, V>> i() {
            return new a();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.h6
        public e7<K> j() {
            return new l6(this);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.h6
        public n5<V> k() {
            return new o6(this);
        }

        @Override // com.google.common.collect.h6, java.util.Map
        public /* bridge */ /* synthetic */ Set keySet() {
            return h6.super.keySet();
        }

        @Override // com.google.common.collect.h6, java.util.Map
        public /* bridge */ /* synthetic */ Collection values() {
            return h6.super.values();
        }
    }

    private final class d extends c<K, e7<V>> {

        class a extends le<Map.Entry<K, e7<V>>> {

            /* renamed from: f  reason: collision with root package name */
            final /* synthetic */ Iterator f10033f;

            /* access modifiers changed from: package-private */
            /* renamed from: com.google.common.collect.h6$d$a$a  reason: collision with other inner class name */
            public class C0117a extends n<K, e7<V>> {

                /* renamed from: f  reason: collision with root package name */
                final /* synthetic */ Map.Entry f10035f;

                C0117a(Map.Entry entry) {
                    this.f10035f = entry;
                }

                /* renamed from: a */
                public e7<V> getValue() {
                    return e7.Z(this.f10035f.getValue());
                }

                @Override // java.util.Map.Entry, com.google.common.collect.n
                public K getKey() {
                    return (K) this.f10035f.getKey();
                }
            }

            a(Iterator it) {
                this.f10033f = it;
            }

            /* renamed from: a */
            public Map.Entry<K, e7<V>> next() {
                return new C0117a((Map.Entry) this.f10033f.next());
            }

            public boolean hasNext() {
                return this.f10033f.hasNext();
            }
        }

        private d() {
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.h6.c
        public le<Map.Entry<K, e7<V>>> G() {
            return new a(h6.this.entrySet().iterator());
        }

        /* renamed from: I */
        public e7<V> get(Object obj) {
            Object obj2 = h6.this.get(obj);
            if (obj2 == null) {
                return null;
            }
            return e7.Z(obj2);
        }

        @Override // com.google.common.collect.h6
        public boolean containsKey(Object obj) {
            return h6.this.containsKey(obj);
        }

        @Override // com.google.common.collect.h6
        public int hashCode() {
            return h6.this.hashCode();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.h6, com.google.common.collect.h6.c
        public e7<K> j() {
            return h6.this.keySet();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.h6
        public boolean p() {
            return h6.this.p();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.h6
        public boolean q() {
            return h6.this.q();
        }

        public int size() {
            return h6.this.size();
        }

        /* synthetic */ d(h6 h6Var, a aVar) {
            this();
        }
    }

    static class e implements Serializable {

        /* renamed from: p  reason: collision with root package name */
        private static final long f10037p = 0;

        /* renamed from: f  reason: collision with root package name */
        private final Object[] f10038f;

        /* renamed from: g  reason: collision with root package name */
        private final Object[] f10039g;

        e(h6<?, ?> h6Var) {
            this.f10038f = new Object[h6Var.size()];
            this.f10039g = new Object[h6Var.size()];
            le<Map.Entry<?, ?>> n7 = h6Var.entrySet().iterator();
            int i7 = 0;
            while (n7.hasNext()) {
                Map.Entry<?, ?> next = n7.next();
                this.f10038f[i7] = next.getKey();
                this.f10039g[i7] = next.getValue();
                i7++;
            }
        }

        /* access modifiers changed from: package-private */
        public Object a(b<Object, Object> bVar) {
            int i7 = 0;
            while (true) {
                Object[] objArr = this.f10038f;
                if (i7 >= objArr.length) {
                    return bVar.a();
                }
                bVar.f(objArr[i7], this.f10039g[i7]);
                i7++;
            }
        }

        /* access modifiers changed from: package-private */
        public Object b() {
            return a(new b<>(this.f10038f.length));
        }
    }

    h6() {
    }

    public static <K, V> h6<K, V> A(K k7, V v7, K k8, V v8, K k9, V v9, K k10, V v10) {
        return xb.H(m(k7, v7), m(k8, v8), m(k9, v9), m(k10, v10));
    }

    public static <K, V> h6<K, V> B(K k7, V v7, K k8, V v8, K k9, V v9, K k10, V v10, K k11, V v11) {
        return xb.H(m(k7, v7), m(k8, v8), m(k9, v9), m(k10, v10), m(k11, v11));
    }

    public static <T, K, V> Collector<T, ?, h6<K, V>> C(Function<? super T, ? extends K> function, Function<? super T, ? extends V> function2) {
        return s1.o(function, function2);
    }

    public static <T, K, V> Collector<T, ?, h6<K, V>> D(Function<? super T, ? extends K> function, Function<? super T, ? extends V> function2, BinaryOperator<V> binaryOperator) {
        Preconditions.checkNotNull(function);
        Preconditions.checkNotNull(function2);
        Preconditions.checkNotNull(binaryOperator);
        return Collectors.collectingAndThen(Collectors.toMap(function, function2, binaryOperator, new e6()), new f6());
    }

    public static <K, V> b<K, V> b() {
        return new b<>();
    }

    @m0.a
    public static <K, V> b<K, V> c(int i7) {
        t1.b(i7, "expectedSize");
        return new b<>(i7);
    }

    static void d(boolean z7, String str, Map.Entry<?, ?> entry, Map.Entry<?, ?> entry2) {
        if (!z7) {
            throw e(str, entry, entry2);
        }
    }

    static IllegalArgumentException e(String str, Object obj, Object obj2) {
        return new IllegalArgumentException("Multiple entries with same " + str + ": " + obj + " and " + obj2);
    }

    @m0.a
    public static <K, V> h6<K, V> f(Iterable<? extends Map.Entry<? extends K, ? extends V>> iterable) {
        Map.Entry[] entryArr = (Map.Entry[]) t8.P(iterable, f10022y);
        int length = entryArr.length;
        if (length == 0) {
            return v();
        }
        if (length != 1) {
            return xb.H(entryArr);
        }
        Map.Entry entry = entryArr[0];
        return x(entry.getKey(), entry.getValue());
    }

    public static <K, V> h6<K, V> g(Map<? extends K, ? extends V> map) {
        if ((map instanceof h6) && !(map instanceof SortedMap)) {
            h6<K, V> h6Var = (h6) map;
            if (!h6Var.q()) {
                return h6Var;
            }
        } else if (map instanceof EnumMap) {
            return h((EnumMap) map);
        }
        return f(map.entrySet());
    }

    private static <K extends Enum<K>, V> h6<K, V> h(EnumMap<K, ? extends V> enumMap) {
        EnumMap enumMap2 = new EnumMap((EnumMap) enumMap);
        for (Map.Entry<K, V> entry : enumMap2.entrySet()) {
            t1.a(entry.getKey(), entry.getValue());
        }
        return q5.I(enumMap2);
    }

    static <K, V> Map.Entry<K, V> m(K k7, V v7) {
        t1.a(k7, v7);
        return new AbstractMap.SimpleImmutableEntry(k7, v7);
    }

    public static <K, V> h6<K, V> v() {
        return (h6<K, V>) xb.V5;
    }

    public static <K, V> h6<K, V> x(K k7, V v7) {
        return k5.O(k7, v7);
    }

    public static <K, V> h6<K, V> y(K k7, V v7, K k8, V v8) {
        return xb.H(m(k7, v7), m(k8, v8));
    }

    public static <K, V> h6<K, V> z(K k7, V v7, K k8, V v8, K k9, V v9) {
        return xb.H(m(k7, v7), m(k8, v8), m(k9, v9));
    }

    /* renamed from: E */
    public n5<V> values() {
        n5<V> n5Var = this.f10025p;
        if (n5Var != null) {
            return n5Var;
        }
        n5<V> k7 = k();
        this.f10025p = k7;
        return k7;
    }

    /* access modifiers changed from: package-private */
    public Object F() {
        return new e(this);
    }

    public o7<K, V> a() {
        if (isEmpty()) {
            return o7.q0();
        }
        o7<K, V> o7Var = this.f10026x;
        if (o7Var != null) {
            return o7Var;
        }
        o7<K, V> o7Var2 = new o7<>(new d(this, null), size(), null);
        this.f10026x = o7Var2;
        return o7Var2;
    }

    @Deprecated
    public final void clear() {
        throw new UnsupportedOperationException();
    }

    @Override // java.util.Map
    @Deprecated
    public final V compute(K k7, BiFunction<? super K, ? super V, ? extends V> biFunction) {
        throw new UnsupportedOperationException();
    }

    @Override // java.util.Map
    @Deprecated
    public final V computeIfAbsent(K k7, Function<? super K, ? extends V> function) {
        throw new UnsupportedOperationException();
    }

    @Override // java.util.Map
    @Deprecated
    public final V computeIfPresent(K k7, BiFunction<? super K, ? super V, ? extends V> biFunction) {
        throw new UnsupportedOperationException();
    }

    public boolean containsKey(Object obj) {
        return get(obj) != null;
    }

    public boolean containsValue(Object obj) {
        return values().contains(obj);
    }

    public boolean equals(Object obj) {
        return v9.B(this, obj);
    }

    @Override // java.util.Map
    public abstract V get(Object obj);

    @Override // java.util.Map
    public final V getOrDefault(Object obj, V v7) {
        V v8 = get(obj);
        return v8 != null ? v8 : v7;
    }

    public int hashCode() {
        return jc.k(entrySet());
    }

    /* access modifiers changed from: package-private */
    public abstract e7<Map.Entry<K, V>> i();

    public boolean isEmpty() {
        return size() == 0;
    }

    /* access modifiers changed from: package-private */
    public abstract e7<K> j();

    /* access modifiers changed from: package-private */
    public abstract n5<V> k();

    @Override // java.util.Map
    @Deprecated
    public final V merge(K k7, V v7, BiFunction<? super V, ? super V, ? extends V> biFunction) {
        throw new UnsupportedOperationException();
    }

    /* renamed from: n */
    public e7<Map.Entry<K, V>> entrySet() {
        e7<Map.Entry<K, V>> e7Var = this.f10023f;
        if (e7Var != null) {
            return e7Var;
        }
        e7<Map.Entry<K, V>> i7 = i();
        this.f10023f = i7;
        return i7;
    }

    /* access modifiers changed from: package-private */
    public boolean p() {
        return false;
    }

    @Override // java.util.Map
    @p0.a
    @Deprecated
    public final V put(K k7, V v7) {
        throw new UnsupportedOperationException();
    }

    @Override // java.util.Map
    @Deprecated
    public final void putAll(Map<? extends K, ? extends V> map) {
        throw new UnsupportedOperationException();
    }

    @Override // java.util.Map
    @p0.a
    @Deprecated
    public final V putIfAbsent(K k7, V v7) {
        throw new UnsupportedOperationException();
    }

    /* access modifiers changed from: package-private */
    public abstract boolean q();

    /* access modifiers changed from: package-private */
    public le<K> r() {
        return new a(entrySet().iterator());
    }

    @Override // java.util.Map
    @Deprecated
    public final V remove(Object obj) {
        throw new UnsupportedOperationException();
    }

    @Override // java.util.Map
    @Deprecated
    public final V replace(K k7, V v7) {
        throw new UnsupportedOperationException();
    }

    @Override // java.util.Map
    @Deprecated
    public final void replaceAll(BiFunction<? super K, ? super V, ? extends V> biFunction) {
        throw new UnsupportedOperationException();
    }

    /* renamed from: s */
    public e7<K> keySet() {
        e7<K> e7Var = this.f10024g;
        if (e7Var != null) {
            return e7Var;
        }
        e7<K> j7 = j();
        this.f10024g = j7;
        return j7;
    }

    /* access modifiers changed from: package-private */
    public Spliterator<K> t() {
        return w1.e(entrySet().spliterator(), new g6());
    }

    public String toString() {
        return v9.I0(this);
    }

    @Deprecated
    public final boolean remove(Object obj, Object obj2) {
        throw new UnsupportedOperationException();
    }

    @Override // java.util.Map
    @Deprecated
    public final boolean replace(K k7, V v7, V v8) {
        throw new UnsupportedOperationException();
    }
}
