package com.google.common.collect;

import com.google.common.base.Function;
import com.google.common.base.Preconditions;
import com.google.common.base.Predicate;
import com.google.common.base.Predicates;
import com.google.common.base.Supplier;
import com.google.common.collect.jc;
import com.google.common.collect.v9;
import com.google.common.collect.xd;
import java.io.Serializable;
import java.util.Collection;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.Map;
import java.util.Set;
import java.util.Spliterator;
import java.util.Spliterators;

/* access modifiers changed from: package-private */
@m0.b
public class hd<R, C, V> extends y<R, C, V> implements Serializable {
    private static final long U5 = 0;
    private transient Map<R, Map<C, V>> C1;
    private transient hd<R, C, V>.f C2;
    @b5

    /* renamed from: p  reason: collision with root package name */
    final Map<R, Map<C, V>> f10043p;
    @b5

    /* renamed from: x  reason: collision with root package name */
    final Supplier<? extends Map<C, V>> f10044x;

    /* renamed from: y  reason: collision with root package name */
    private transient Set<C> f10045y;

    private class b implements Iterator<xd.a<R, C, V>> {

        /* renamed from: f  reason: collision with root package name */
        final Iterator<Map.Entry<R, Map<C, V>>> f10046f;

        /* renamed from: g  reason: collision with root package name */
        Map.Entry<R, Map<C, V>> f10047g;

        /* renamed from: p  reason: collision with root package name */
        Iterator<Map.Entry<C, V>> f10048p;

        private b() {
            this.f10046f = hd.this.f10043p.entrySet().iterator();
            this.f10048p = w8.w();
        }

        /* renamed from: a */
        public xd.a<R, C, V> next() {
            if (!this.f10048p.hasNext()) {
                Map.Entry<R, Map<C, V>> next = this.f10046f.next();
                this.f10047g = next;
                this.f10048p = next.getValue().entrySet().iterator();
            }
            Map.Entry<C, V> next2 = this.f10048p.next();
            return be.f(this.f10047g.getKey(), next2.getKey(), next2.getValue());
        }

        public boolean hasNext() {
            return this.f10046f.hasNext() || this.f10048p.hasNext();
        }

        public void remove() {
            this.f10048p.remove();
            if (this.f10047g.getValue().isEmpty()) {
                this.f10046f.remove();
                this.f10047g = null;
            }
        }
    }

    /* access modifiers changed from: private */
    public class c extends v9.s0<R, V> {

        /* renamed from: x  reason: collision with root package name */
        final C f10050x;

        private class a extends jc.l<Map.Entry<R, V>> {
            private a() {
            }

            public void clear() {
                c.this.d(Predicates.alwaysTrue());
            }

            public boolean contains(Object obj) {
                if (!(obj instanceof Map.Entry)) {
                    return false;
                }
                Map.Entry entry = (Map.Entry) obj;
                return hd.this.n(entry.getKey(), c.this.f10050x, entry.getValue());
            }

            public boolean isEmpty() {
                c cVar = c.this;
                return !hd.this.T(cVar.f10050x);
            }

            @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
            public Iterator<Map.Entry<R, V>> iterator() {
                return new b();
            }

            public boolean remove(Object obj) {
                if (!(obj instanceof Map.Entry)) {
                    return false;
                }
                Map.Entry entry = (Map.Entry) obj;
                return hd.this.w(entry.getKey(), c.this.f10050x, entry.getValue());
            }

            @Override // java.util.AbstractCollection, java.util.Collection, com.google.common.collect.jc.l, java.util.Set
            public boolean retainAll(Collection<?> collection) {
                return c.this.d(Predicates.not(Predicates.in(collection)));
            }

            public int size() {
                int i7 = 0;
                for (Map<C, V> map : hd.this.f10043p.values()) {
                    if (map.containsKey(c.this.f10050x)) {
                        i7++;
                    }
                }
                return i7;
            }
        }

        private class b extends c<Map.Entry<R, V>> {

            /* renamed from: p  reason: collision with root package name */
            final Iterator<Map.Entry<R, Map<C, V>>> f10053p;

            /* access modifiers changed from: package-private */
            public class a extends n<R, V> {

                /* renamed from: f  reason: collision with root package name */
                final /* synthetic */ Map.Entry f10055f;

                /* JADX WARN: Incorrect args count in method signature: ()V */
                a(Map.Entry entry) {
                    this.f10055f = entry;
                }

                @Override // java.util.Map.Entry, com.google.common.collect.n
                public R getKey() {
                    return (R) this.f10055f.getKey();
                }

                @Override // java.util.Map.Entry, com.google.common.collect.n
                public V getValue() {
                    return (V) ((Map) this.f10055f.getValue()).get(c.this.f10050x);
                }

                /* JADX DEBUG: Multi-variable search result rejected for r0v2, resolved type: java.util.Map */
                /* JADX WARN: Multi-variable type inference failed */
                @Override // java.util.Map.Entry, com.google.common.collect.n
                public V setValue(V v7) {
                    return (V) ((Map) this.f10055f.getValue()).put(c.this.f10050x, Preconditions.checkNotNull(v7));
                }
            }

            private b() {
                this.f10053p = hd.this.f10043p.entrySet().iterator();
            }

            /* access modifiers changed from: protected */
            /* renamed from: d */
            public Map.Entry<R, V> a() {
                while (this.f10053p.hasNext()) {
                    Map.Entry<R, Map<C, V>> next = this.f10053p.next();
                    if (next.getValue().containsKey(c.this.f10050x)) {
                        return new a(next);
                    }
                }
                return (Map.Entry) b();
            }
        }

        /* renamed from: com.google.common.collect.hd$c$c  reason: collision with other inner class name */
        private class C0118c extends v9.c0<R, V> {
            C0118c() {
                super(c.this);
            }

            @Override // com.google.common.collect.v9.c0
            public boolean contains(Object obj) {
                c cVar = c.this;
                return hd.this.m1(obj, cVar.f10050x);
            }

            @Override // com.google.common.collect.v9.c0
            public boolean remove(Object obj) {
                c cVar = c.this;
                return hd.this.remove(obj, cVar.f10050x) != null;
            }

            @Override // java.util.AbstractCollection, java.util.Collection, com.google.common.collect.jc.l, java.util.Set
            public boolean retainAll(Collection<?> collection) {
                return c.this.d(v9.Z(Predicates.not(Predicates.in(collection))));
            }
        }

        private class d extends v9.r0<R, V> {
            d() {
                super(c.this);
            }

            @Override // com.google.common.collect.v9.r0
            public boolean remove(Object obj) {
                return obj != null && c.this.d(v9.c1(Predicates.equalTo(obj)));
            }

            @Override // java.util.AbstractCollection, java.util.Collection, com.google.common.collect.v9.r0
            public boolean removeAll(Collection<?> collection) {
                return c.this.d(v9.c1(Predicates.in(collection)));
            }

            @Override // java.util.AbstractCollection, java.util.Collection, com.google.common.collect.v9.r0
            public boolean retainAll(Collection<?> collection) {
                return c.this.d(v9.c1(Predicates.not(Predicates.in(collection))));
            }
        }

        c(C c7) {
            this.f10050x = (C) Preconditions.checkNotNull(c7);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.v9.s0
        public Set<Map.Entry<R, V>> a() {
            return new a();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.v9.s0
        public Set<R> b() {
            return new C0118c();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.v9.s0
        public Collection<V> c() {
            return new d();
        }

        public boolean containsKey(Object obj) {
            return hd.this.m1(obj, this.f10050x);
        }

        /* access modifiers changed from: package-private */
        @p0.a
        public boolean d(Predicate<? super Map.Entry<R, V>> predicate) {
            Iterator<Map.Entry<R, Map<C, V>>> it = hd.this.f10043p.entrySet().iterator();
            boolean z7 = false;
            while (it.hasNext()) {
                Map.Entry<R, Map<C, V>> next = it.next();
                Map<C, V> value = next.getValue();
                V v7 = value.get(this.f10050x);
                if (v7 != null && predicate.apply(v9.T(next.getKey(), v7))) {
                    value.remove(this.f10050x);
                    if (value.isEmpty()) {
                        it.remove();
                    }
                    z7 = true;
                }
            }
            return z7;
        }

        @Override // java.util.AbstractMap, java.util.Map
        public V get(Object obj) {
            return (V) hd.this.L(obj, this.f10050x);
        }

        @Override // java.util.AbstractMap, java.util.Map
        public V put(R r7, V v7) {
            return (V) hd.this.d0(r7, this.f10050x, v7);
        }

        @Override // java.util.AbstractMap, java.util.Map
        public V remove(Object obj) {
            return (V) hd.this.remove(obj, this.f10050x);
        }
    }

    /* access modifiers changed from: private */
    public class d extends c<C> {

        /* renamed from: p  reason: collision with root package name */
        final Map<C, V> f10059p;

        /* renamed from: x  reason: collision with root package name */
        final Iterator<Map<C, V>> f10060x;

        /* renamed from: y  reason: collision with root package name */
        Iterator<Map.Entry<C, V>> f10061y;

        private d() {
            this.f10059p = (Map) hd.this.f10044x.get();
            this.f10060x = hd.this.f10043p.values().iterator();
            this.f10061y = w8.u();
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.collect.c
        public C a() {
            while (true) {
                if (this.f10061y.hasNext()) {
                    Map.Entry<C, V> next = this.f10061y.next();
                    if (!this.f10059p.containsKey(next.getKey())) {
                        this.f10059p.put(next.getKey(), next.getValue());
                        return next.getKey();
                    }
                } else if (!this.f10060x.hasNext()) {
                    return (C) b();
                } else {
                    this.f10061y = this.f10060x.next().entrySet().iterator();
                }
            }
        }
    }

    /* access modifiers changed from: private */
    public class e extends hd<R, C, V>.i {
        private e() {
            super();
        }

        public boolean contains(Object obj) {
            return hd.this.T(obj);
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
        public Iterator<C> iterator() {
            return hd.this.q();
        }

        public boolean remove(Object obj) {
            boolean z7 = false;
            if (obj == null) {
                return false;
            }
            Iterator<Map<C, V>> it = hd.this.f10043p.values().iterator();
            while (it.hasNext()) {
                Map<C, V> next = it.next();
                if (next.keySet().remove(obj)) {
                    if (next.isEmpty()) {
                        it.remove();
                    }
                    z7 = true;
                }
            }
            return z7;
        }

        @Override // java.util.AbstractCollection, java.util.Collection, com.google.common.collect.jc.l, java.util.AbstractSet, java.util.Set
        public boolean removeAll(Collection<?> collection) {
            Preconditions.checkNotNull(collection);
            Iterator<Map<C, V>> it = hd.this.f10043p.values().iterator();
            boolean z7 = false;
            while (it.hasNext()) {
                Map<C, V> next = it.next();
                if (w8.V(next.keySet().iterator(), collection)) {
                    if (next.isEmpty()) {
                        it.remove();
                    }
                    z7 = true;
                }
            }
            return z7;
        }

        @Override // java.util.AbstractCollection, java.util.Collection, com.google.common.collect.jc.l, java.util.Set
        public boolean retainAll(Collection<?> collection) {
            Preconditions.checkNotNull(collection);
            Iterator<Map<C, V>> it = hd.this.f10043p.values().iterator();
            boolean z7 = false;
            while (it.hasNext()) {
                Map<C, V> next = it.next();
                if (next.keySet().retainAll(collection)) {
                    if (next.isEmpty()) {
                        it.remove();
                    }
                    z7 = true;
                }
            }
            return z7;
        }

        public int size() {
            return w8.Z(iterator());
        }
    }

    /* access modifiers changed from: private */
    public class f extends v9.s0<C, Map<R, V>> {

        /* access modifiers changed from: package-private */
        public class a extends hd<R, C, V>.i {

            /* renamed from: com.google.common.collect.hd$f$a$a  reason: collision with other inner class name */
            class C0119a implements Function<C, Map<R, V>> {
                C0119a() {
                }

                /* renamed from: a */
                public Map<R, V> apply(C c7) {
                    return hd.this.U(c7);
                }
            }

            a() {
                super();
            }

            public boolean contains(Object obj) {
                if (!(obj instanceof Map.Entry)) {
                    return false;
                }
                Map.Entry entry = (Map.Entry) obj;
                if (!hd.this.T(entry.getKey())) {
                    return false;
                }
                return f.this.get(entry.getKey()).equals(entry.getValue());
            }

            @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
            public Iterator<Map.Entry<C, Map<R, V>>> iterator() {
                return v9.r(hd.this.b1(), new C0119a());
            }

            public boolean remove(Object obj) {
                if (!contains(obj)) {
                    return false;
                }
                hd.this.v(((Map.Entry) obj).getKey());
                return true;
            }

            @Override // java.util.AbstractCollection, java.util.Collection, com.google.common.collect.jc.l, java.util.AbstractSet, java.util.Set
            public boolean removeAll(Collection<?> collection) {
                Preconditions.checkNotNull(collection);
                return jc.J(this, collection.iterator());
            }

            /* JADX DEBUG: Multi-variable search result rejected for r3v1, resolved type: com.google.common.collect.hd */
            /* JADX WARN: Multi-variable type inference failed */
            @Override // java.util.AbstractCollection, java.util.Collection, com.google.common.collect.jc.l, java.util.Set
            public boolean retainAll(Collection<?> collection) {
                Preconditions.checkNotNull(collection);
                Iterator it = i9.s(hd.this.b1().iterator()).iterator();
                boolean z7 = false;
                while (it.hasNext()) {
                    Object next = it.next();
                    if (!collection.contains(v9.T(next, hd.this.U(next)))) {
                        hd.this.v(next);
                        z7 = true;
                    }
                }
                return z7;
            }

            public int size() {
                return hd.this.b1().size();
            }
        }

        private class b extends v9.r0<C, Map<R, V>> {
            b() {
                super(f.this);
            }

            @Override // com.google.common.collect.v9.r0
            public boolean remove(Object obj) {
                for (Map.Entry entry : f.this.entrySet()) {
                    if (((Map) entry.getValue()).equals(obj)) {
                        hd.this.v(entry.getKey());
                        return true;
                    }
                }
                return false;
            }

            /* JADX DEBUG: Multi-variable search result rejected for r3v1, resolved type: com.google.common.collect.hd */
            /* JADX WARN: Multi-variable type inference failed */
            @Override // java.util.AbstractCollection, java.util.Collection, com.google.common.collect.v9.r0
            public boolean removeAll(Collection<?> collection) {
                Preconditions.checkNotNull(collection);
                Iterator it = i9.s(hd.this.b1().iterator()).iterator();
                boolean z7 = false;
                while (it.hasNext()) {
                    Object next = it.next();
                    if (collection.contains(hd.this.U(next))) {
                        hd.this.v(next);
                        z7 = true;
                    }
                }
                return z7;
            }

            /* JADX DEBUG: Multi-variable search result rejected for r3v1, resolved type: com.google.common.collect.hd */
            /* JADX WARN: Multi-variable type inference failed */
            @Override // java.util.AbstractCollection, java.util.Collection, com.google.common.collect.v9.r0
            public boolean retainAll(Collection<?> collection) {
                Preconditions.checkNotNull(collection);
                Iterator it = i9.s(hd.this.b1().iterator()).iterator();
                boolean z7 = false;
                while (it.hasNext()) {
                    Object next = it.next();
                    if (!collection.contains(hd.this.U(next))) {
                        hd.this.v(next);
                        z7 = true;
                    }
                }
                return z7;
            }
        }

        private f() {
        }

        @Override // com.google.common.collect.v9.s0
        public Set<Map.Entry<C, Map<R, V>>> a() {
            return new a();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.v9.s0
        public Collection<Map<R, V>> c() {
            return new b();
        }

        public boolean containsKey(Object obj) {
            return hd.this.T(obj);
        }

        /* renamed from: d */
        public Map<R, V> get(Object obj) {
            if (hd.this.T(obj)) {
                return hd.this.U(obj);
            }
            return null;
        }

        /* renamed from: e */
        public Map<R, V> remove(Object obj) {
            if (hd.this.T(obj)) {
                return hd.this.v(obj);
            }
            return null;
        }

        @Override // com.google.common.collect.v9.s0, java.util.AbstractMap, java.util.Map
        public Set<C> keySet() {
            return hd.this.b1();
        }
    }

    /* access modifiers changed from: package-private */
    public class g extends v9.b0<C, V> {

        /* renamed from: f  reason: collision with root package name */
        final R f10067f;

        /* renamed from: g  reason: collision with root package name */
        Map<C, V> f10068g;

        class a implements Iterator<Map.Entry<C, V>> {

            /* renamed from: f  reason: collision with root package name */
            final /* synthetic */ Iterator f10070f;

            a(Iterator it) {
                this.f10070f = it;
            }

            /* renamed from: a */
            public Map.Entry<C, V> next() {
                return g.this.g((Map.Entry) this.f10070f.next());
            }

            public boolean hasNext() {
                return this.f10070f.hasNext();
            }

            public void remove() {
                this.f10070f.remove();
                g.this.f();
            }
        }

        /* access modifiers changed from: package-private */
        public class b extends m4<C, V> {

            /* renamed from: f  reason: collision with root package name */
            final /* synthetic */ Map.Entry f10072f;

            b(Map.Entry entry) {
                this.f10072f = entry;
            }

            /* access modifiers changed from: protected */
            @Override // com.google.common.collect.m4
            /* renamed from: E1 */
            public Map.Entry<C, V> D1() {
                return this.f10072f;
            }

            @Override // com.google.common.collect.m4
            public boolean equals(Object obj) {
                return F1(obj);
            }

            /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: com.google.common.collect.hd$g$b */
            /* JADX WARN: Multi-variable type inference failed */
            @Override // java.util.Map.Entry, com.google.common.collect.m4
            public V setValue(V v7) {
                return (V) super.setValue(Preconditions.checkNotNull(v7));
            }
        }

        g(R r7) {
            this.f10067f = (R) Preconditions.checkNotNull(r7);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.v9.b0
        public Iterator<Map.Entry<C, V>> a() {
            Map<C, V> d7 = d();
            return d7 == null ? w8.w() : new a(d7.entrySet().iterator());
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.v9.b0
        public Spliterator<Map.Entry<C, V>> b() {
            Map<C, V> d7 = d();
            return d7 == null ? Spliterators.emptySpliterator() : w1.e(d7.entrySet().spliterator(), new id(this));
        }

        @Override // com.google.common.collect.v9.b0
        public void clear() {
            Map<C, V> d7 = d();
            if (d7 != null) {
                d7.clear();
            }
            f();
        }

        public boolean containsKey(Object obj) {
            Map<C, V> d7 = d();
            return (obj == null || d7 == null || !v9.y0(d7, obj)) ? false : true;
        }

        /* access modifiers changed from: package-private */
        public Map<C, V> d() {
            Map<C, V> map = this.f10068g;
            if (map != null && (!map.isEmpty() || !hd.this.f10043p.containsKey(this.f10067f))) {
                return this.f10068g;
            }
            Map<C, V> e7 = e();
            this.f10068g = e7;
            return e7;
        }

        /* access modifiers changed from: package-private */
        public Map<C, V> e() {
            return hd.this.f10043p.get(this.f10067f);
        }

        /* access modifiers changed from: package-private */
        public void f() {
            if (d() != null && this.f10068g.isEmpty()) {
                hd.this.f10043p.remove(this.f10067f);
                this.f10068g = null;
            }
        }

        /* access modifiers changed from: package-private */
        public Map.Entry<C, V> g(Map.Entry<C, V> entry) {
            return new b(entry);
        }

        @Override // java.util.AbstractMap, java.util.Map
        public V get(Object obj) {
            Map<C, V> d7 = d();
            if (obj == null || d7 == null) {
                return null;
            }
            return (V) v9.z0(d7, obj);
        }

        @Override // java.util.AbstractMap, java.util.Map
        public V put(C c7, V v7) {
            Preconditions.checkNotNull(c7);
            Preconditions.checkNotNull(v7);
            Map<C, V> map = this.f10068g;
            return (map == null || map.isEmpty()) ? (V) hd.this.d0(this.f10067f, c7, v7) : this.f10068g.put(c7, v7);
        }

        @Override // java.util.AbstractMap, java.util.Map
        public V remove(Object obj) {
            Map<C, V> d7 = d();
            if (d7 == null) {
                return null;
            }
            V v7 = (V) v9.A0(d7, obj);
            f();
            return v7;
        }

        @Override // com.google.common.collect.v9.b0
        public int size() {
            Map<C, V> d7 = d();
            if (d7 == null) {
                return 0;
            }
            return d7.size();
        }
    }

    /* access modifiers changed from: package-private */
    public class h extends v9.s0<R, Map<C, V>> {

        /* access modifiers changed from: package-private */
        public class a extends hd<R, C, V>.i {

            /* renamed from: com.google.common.collect.hd$h$a$a  reason: collision with other inner class name */
            class C0120a implements Function<R, Map<C, V>> {
                C0120a() {
                }

                /* renamed from: a */
                public Map<C, V> apply(R r7) {
                    return hd.this.s1(r7);
                }
            }

            a() {
                super();
            }

            public boolean contains(Object obj) {
                if (!(obj instanceof Map.Entry)) {
                    return false;
                }
                Map.Entry entry = (Map.Entry) obj;
                return entry.getKey() != null && (entry.getValue() instanceof Map) && f2.j(hd.this.f10043p.entrySet(), entry);
            }

            @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
            public Iterator<Map.Entry<R, Map<C, V>>> iterator() {
                return v9.r(hd.this.f10043p.keySet(), new C0120a());
            }

            public boolean remove(Object obj) {
                if (!(obj instanceof Map.Entry)) {
                    return false;
                }
                Map.Entry entry = (Map.Entry) obj;
                return entry.getKey() != null && (entry.getValue() instanceof Map) && hd.this.f10043p.entrySet().remove(entry);
            }

            public int size() {
                return hd.this.f10043p.size();
            }
        }

        h() {
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.collect.v9.s0
        public Set<Map.Entry<R, Map<C, V>>> a() {
            return new a();
        }

        public boolean containsKey(Object obj) {
            return hd.this.d1(obj);
        }

        /* renamed from: d */
        public Map<C, V> get(Object obj) {
            if (hd.this.d1(obj)) {
                return hd.this.s1(obj);
            }
            return null;
        }

        /* renamed from: e */
        public Map<C, V> remove(Object obj) {
            if (obj == null) {
                return null;
            }
            return hd.this.f10043p.remove(obj);
        }
    }

    private abstract class i<T> extends jc.l<T> {
        private i() {
        }

        public void clear() {
            hd.this.f10043p.clear();
        }

        public boolean isEmpty() {
            return hd.this.f10043p.isEmpty();
        }
    }

    hd(Map<R, Map<C, V>> map, Supplier<? extends Map<C, V>> supplier) {
        this.f10043p = map;
        this.f10044x = supplier;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean n(Object obj, Object obj2, Object obj3) {
        return obj3 != null && obj3.equals(L(obj, obj2));
    }

    private Map<C, V> s(R r7) {
        Map<C, V> map = this.f10043p.get(r7);
        if (map != null) {
            return map;
        }
        Map<C, V> map2 = (Map) this.f10044x.get();
        this.f10043p.put(r7, map2);
        return map2;
    }

    /* access modifiers changed from: private */
    public static /* synthetic */ Spliterator t(Map.Entry entry) {
        return w1.e(((Map) entry.getValue()).entrySet().spliterator(), new fd(entry));
    }

    /* access modifiers changed from: private */
    public static /* synthetic */ xd.a u(Map.Entry entry, Map.Entry entry2) {
        return be.f(entry.getKey(), entry2.getKey(), entry2.getValue());
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    @p0.a
    private Map<R, V> v(Object obj) {
        LinkedHashMap linkedHashMap = new LinkedHashMap();
        Iterator<Map.Entry<R, Map<C, V>>> it = this.f10043p.entrySet().iterator();
        while (it.hasNext()) {
            Map.Entry<R, Map<C, V>> next = it.next();
            V remove = next.getValue().remove(obj);
            if (remove != null) {
                linkedHashMap.put(next.getKey(), remove);
                if (next.getValue().isEmpty()) {
                    it.remove();
                }
            }
        }
        return linkedHashMap;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean w(Object obj, Object obj2, Object obj3) {
        if (!n(obj, obj2, obj3)) {
            return false;
        }
        remove(obj, obj2);
        return true;
    }

    @Override // com.google.common.collect.y, com.google.common.collect.xd
    public V L(Object obj, Object obj2) {
        if (obj == null || obj2 == null) {
            return null;
        }
        return (V) super.L(obj, obj2);
    }

    @Override // com.google.common.collect.y, com.google.common.collect.xd
    public boolean T(Object obj) {
        if (obj == null) {
            return false;
        }
        for (Map<C, V> map : this.f10043p.values()) {
            if (v9.y0(map, obj)) {
                return true;
            }
        }
        return false;
    }

    @Override // com.google.common.collect.xd
    public Map<R, V> U(C c7) {
        return new c(c7);
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.y
    public Iterator<xd.a<R, C, V>> a() {
        return new b();
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.y
    public Spliterator<xd.a<R, C, V>> b() {
        return w1.b(this.f10043p.entrySet().spliterator(), new gd(), 65, (long) size());
    }

    @Override // com.google.common.collect.y, com.google.common.collect.xd
    public Set<xd.a<R, C, V>> b0() {
        return super.b0();
    }

    @Override // com.google.common.collect.y, com.google.common.collect.xd
    public Set<C> b1() {
        Set<C> set = this.f10045y;
        if (set != null) {
            return set;
        }
        e eVar = new e();
        this.f10045y = eVar;
        return eVar;
    }

    @Override // com.google.common.collect.y, com.google.common.collect.xd
    public void clear() {
        this.f10043p.clear();
    }

    @Override // com.google.common.collect.y, com.google.common.collect.xd
    public boolean containsValue(Object obj) {
        return obj != null && super.containsValue(obj);
    }

    @Override // com.google.common.collect.y, com.google.common.collect.xd
    @p0.a
    public V d0(R r7, C c7, V v7) {
        Preconditions.checkNotNull(r7);
        Preconditions.checkNotNull(c7);
        Preconditions.checkNotNull(v7);
        return s(r7).put(c7, v7);
    }

    @Override // com.google.common.collect.y, com.google.common.collect.xd
    public boolean d1(Object obj) {
        return obj != null && v9.y0(this.f10043p, obj);
    }

    @Override // com.google.common.collect.y, com.google.common.collect.xd
    public boolean isEmpty() {
        return this.f10043p.isEmpty();
    }

    @Override // com.google.common.collect.xd
    public Map<R, Map<C, V>> m() {
        Map<R, Map<C, V>> map = this.C1;
        if (map != null) {
            return map;
        }
        Map<R, Map<C, V>> r7 = r();
        this.C1 = r7;
        return r7;
    }

    @Override // com.google.common.collect.y, com.google.common.collect.xd
    public boolean m1(Object obj, Object obj2) {
        return (obj == null || obj2 == null || !super.m1(obj, obj2)) ? false : true;
    }

    @Override // com.google.common.collect.xd
    public Map<C, Map<R, V>> n1() {
        hd<R, C, V>.f fVar = this.C2;
        if (fVar != null) {
            return fVar;
        }
        hd<R, C, V>.f fVar2 = new f();
        this.C2 = fVar2;
        return fVar2;
    }

    @Override // com.google.common.collect.y, com.google.common.collect.xd
    public Set<R> p() {
        return m().keySet();
    }

    /* access modifiers changed from: package-private */
    public Iterator<C> q() {
        return new d();
    }

    /* access modifiers changed from: package-private */
    public Map<R, Map<C, V>> r() {
        return new h();
    }

    @Override // com.google.common.collect.y, com.google.common.collect.xd
    @p0.a
    public V remove(Object obj, Object obj2) {
        Map map;
        if (obj == null || obj2 == null || (map = (Map) v9.z0(this.f10043p, obj)) == null) {
            return null;
        }
        V v7 = (V) map.remove(obj2);
        if (map.isEmpty()) {
            this.f10043p.remove(obj);
        }
        return v7;
    }

    @Override // com.google.common.collect.xd
    public Map<C, V> s1(R r7) {
        return new g(r7);
    }

    @Override // com.google.common.collect.xd
    public int size() {
        int i7 = 0;
        for (Map<C, V> map : this.f10043p.values()) {
            i7 += map.size();
        }
        return i7;
    }

    @Override // com.google.common.collect.y, com.google.common.collect.xd
    public Collection<V> values() {
        return super.values();
    }
}
