package com.google.common.collect;

import com.google.common.base.Objects;
import com.google.common.base.Preconditions;
import com.google.common.collect.v9;
import java.io.IOException;
import java.io.InvalidObjectException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.io.Serializable;
import java.util.AbstractMap;
import java.util.Arrays;
import java.util.Collection;
import java.util.ConcurrentModificationException;
import java.util.Iterator;
import java.util.Map;
import java.util.NoSuchElementException;
import java.util.Set;
import java.util.Spliterator;
import java.util.Spliterators;
import java.util.function.BiConsumer;
import java.util.function.BiFunction;
import java.util.function.Consumer;

/* access modifiers changed from: package-private */
@m0.c
public class i2<K, V> extends AbstractMap<K, V> implements Serializable {
    private static final float W5 = 1.0f;
    private static final long X5 = 4294967295L;
    private static final long Y5 = -4294967296L;
    static final int Z5 = 3;

    /* renamed from: a6  reason: collision with root package name */
    static final int f10106a6 = -1;
    private transient int C1;
    private transient Set<K> C2;
    private transient Set<Map.Entry<K, V>> U5;
    private transient Collection<V> V5;

    /* renamed from: f  reason: collision with root package name */
    private transient int[] f10107f;
    @m0.d

    /* renamed from: g  reason: collision with root package name */
    transient long[] f10108g;
    @m0.d

    /* renamed from: p  reason: collision with root package name */
    transient Object[] f10109p;
    @m0.d

    /* renamed from: x  reason: collision with root package name */
    transient Object[] f10110x;

    /* renamed from: y  reason: collision with root package name */
    transient int f10111y;

    /* access modifiers changed from: package-private */
    public class a extends i2<K, V>.e {
        a() {
            super(i2.this, null);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.i2.e
        public K b(int i7) {
            return (K) i2.this.f10109p[i7];
        }
    }

    /* access modifiers changed from: package-private */
    public class b extends i2<K, V>.e {
        b() {
            super(i2.this, null);
        }

        /* access modifiers changed from: package-private */
        /* renamed from: c */
        public Map.Entry<K, V> b(int i7) {
            return new g(i7);
        }
    }

    /* access modifiers changed from: package-private */
    public class c extends i2<K, V>.e {
        c() {
            super(i2.this, null);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.i2.e
        public V b(int i7) {
            return (V) i2.this.f10110x[i7];
        }
    }

    /* access modifiers changed from: package-private */
    public class d extends v9.t<K, V> {
        d() {
        }

        /* access modifiers changed from: private */
        public /* synthetic */ Map.Entry m(int i7) {
            return new g(i7);
        }

        @Override // com.google.common.collect.v9.t
        public boolean contains(Object obj) {
            if (!(obj instanceof Map.Entry)) {
                return false;
            }
            Map.Entry entry = (Map.Entry) obj;
            int t7 = i2.this.t(entry.getKey());
            return t7 != -1 && Objects.equal(i2.this.f10110x[t7], entry.getValue());
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
        public Iterator<Map.Entry<K, V>> iterator() {
            return i2.this.m();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.v9.t
        public Map<K, V> k() {
            return i2.this;
        }

        @Override // com.google.common.collect.v9.t
        public boolean remove(Object obj) {
            if (!(obj instanceof Map.Entry)) {
                return false;
            }
            Map.Entry entry = (Map.Entry) obj;
            int t7 = i2.this.t(entry.getKey());
            if (t7 == -1 || !Objects.equal(i2.this.f10110x[t7], entry.getValue())) {
                return false;
            }
            i2.this.F(t7);
            return true;
        }

        @Override // java.util.Collection, java.util.Set, java.lang.Iterable
        public Spliterator<Map.Entry<K, V>> spliterator() {
            return w1.c(i2.this.C1, 17, new j2(this));
        }
    }

    private abstract class e<T> implements Iterator<T> {

        /* renamed from: f  reason: collision with root package name */
        int f10116f;

        /* renamed from: g  reason: collision with root package name */
        int f10117g;

        /* renamed from: p  reason: collision with root package name */
        int f10118p;

        private e() {
            this.f10116f = i2.this.f10111y;
            this.f10117g = i2.this.n();
            this.f10118p = -1;
        }

        private void a() {
            if (i2.this.f10111y != this.f10116f) {
                throw new ConcurrentModificationException();
            }
        }

        /* access modifiers changed from: package-private */
        public abstract T b(int i7);

        public boolean hasNext() {
            return this.f10117g >= 0;
        }

        @Override // java.util.Iterator
        public T next() {
            a();
            if (hasNext()) {
                int i7 = this.f10117g;
                this.f10118p = i7;
                T b7 = b(i7);
                this.f10117g = i2.this.r(this.f10117g);
                return b7;
            }
            throw new NoSuchElementException();
        }

        public void remove() {
            a();
            t1.e(this.f10118p >= 0);
            this.f10116f++;
            i2.this.F(this.f10118p);
            this.f10117g = i2.this.e(this.f10117g, this.f10118p);
            this.f10118p = -1;
        }

        /* synthetic */ e(i2 i2Var, a aVar) {
            this();
        }
    }

    /* access modifiers changed from: package-private */
    public class f extends v9.c0<K, V> {
        f() {
            super(i2.this);
        }

        @Override // com.google.common.collect.v9.c0, java.lang.Iterable
        public void forEach(Consumer<? super K> consumer) {
            Preconditions.checkNotNull(consumer);
            int n7 = i2.this.n();
            while (n7 >= 0) {
                consumer.accept(i2.this.f10109p[n7]);
                n7 = i2.this.r(n7);
            }
        }

        @Override // com.google.common.collect.v9.c0, java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
        public Iterator<K> iterator() {
            return i2.this.y();
        }

        @Override // com.google.common.collect.v9.c0
        public boolean remove(Object obj) {
            int t7 = i2.this.t(obj);
            if (t7 == -1) {
                return false;
            }
            i2.this.F(t7);
            return true;
        }

        @Override // java.util.Collection, java.util.Set, java.lang.Iterable
        public Spliterator<K> spliterator() {
            if (i2.this.A()) {
                return Spliterators.spliterator(new Object[0], 17);
            }
            i2 i2Var = i2.this;
            return Spliterators.spliterator(i2Var.f10109p, 0, i2Var.C1, 17);
        }

        public Object[] toArray() {
            if (i2.this.A()) {
                return new Object[0];
            }
            i2 i2Var = i2.this;
            return jb.g(i2Var.f10109p, 0, i2Var.C1);
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
        public <T> T[] toArray(T[] tArr) {
            if (i2.this.A()) {
                if (tArr.length > 0) {
                    tArr[0] = null;
                }
                return tArr;
            }
            i2 i2Var = i2.this;
            return (T[]) jb.n(i2Var.f10109p, 0, i2Var.C1, tArr);
        }
    }

    /* access modifiers changed from: package-private */
    public final class g extends n<K, V> {

        /* renamed from: f  reason: collision with root package name */
        private final K f10121f;

        /* renamed from: g  reason: collision with root package name */
        private int f10122g;

        g(int i7) {
            this.f10121f = (K) i2.this.f10109p[i7];
            this.f10122g = i7;
        }

        private void a() {
            int i7 = this.f10122g;
            if (i7 == -1 || i7 >= i2.this.size() || !Objects.equal(this.f10121f, i2.this.f10109p[this.f10122g])) {
                this.f10122g = i2.this.t(this.f10121f);
            }
        }

        @Override // java.util.Map.Entry, com.google.common.collect.n
        public K getKey() {
            return this.f10121f;
        }

        @Override // java.util.Map.Entry, com.google.common.collect.n
        public V getValue() {
            a();
            int i7 = this.f10122g;
            if (i7 == -1) {
                return null;
            }
            return (V) i2.this.f10110x[i7];
        }

        @Override // java.util.Map.Entry, com.google.common.collect.n
        public V setValue(V v7) {
            a();
            int i7 = this.f10122g;
            if (i7 == -1) {
                i2.this.put(this.f10121f, v7);
                return null;
            }
            Object[] objArr = i2.this.f10110x;
            V v8 = (V) objArr[i7];
            objArr[i7] = v7;
            return v8;
        }
    }

    /* access modifiers changed from: package-private */
    public class h extends v9.r0<K, V> {
        h() {
            super(i2.this);
        }

        @Override // com.google.common.collect.v9.r0, java.lang.Iterable
        public void forEach(Consumer<? super V> consumer) {
            Preconditions.checkNotNull(consumer);
            int n7 = i2.this.n();
            while (n7 >= 0) {
                consumer.accept(i2.this.f10110x[n7]);
                n7 = i2.this.r(n7);
            }
        }

        @Override // java.util.AbstractCollection, java.util.Collection, com.google.common.collect.v9.r0, java.lang.Iterable
        public Iterator<V> iterator() {
            return i2.this.M();
        }

        @Override // java.util.Collection, java.lang.Iterable
        public Spliterator<V> spliterator() {
            if (i2.this.A()) {
                return Spliterators.spliterator(new Object[0], 16);
            }
            i2 i2Var = i2.this;
            return Spliterators.spliterator(i2Var.f10110x, 0, i2Var.C1, 16);
        }

        public Object[] toArray() {
            if (i2.this.A()) {
                return new Object[0];
            }
            i2 i2Var = i2.this;
            return jb.g(i2Var.f10110x, 0, i2Var.C1);
        }

        @Override // java.util.AbstractCollection, java.util.Collection
        public <T> T[] toArray(T[] tArr) {
            if (i2.this.A()) {
                if (tArr.length > 0) {
                    tArr[0] = null;
                }
                return tArr;
            }
            i2 i2Var = i2.this;
            return (T[]) jb.n(i2Var.f10110x, 0, i2Var.C1, tArr);
        }
    }

    i2() {
        v(3);
    }

    private static long[] B(int i7) {
        long[] jArr = new long[i7];
        Arrays.fill(jArr, -1L);
        return jArr;
    }

    private static int[] C(int i7) {
        int[] iArr = new int[i7];
        Arrays.fill(iArr, -1);
        return iArr;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r4v0, resolved type: com.google.common.collect.i2<K, V> */
    /* JADX WARN: Multi-variable type inference failed */
    private void D(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException {
        objectInputStream.defaultReadObject();
        int readInt = objectInputStream.readInt();
        if (readInt >= 0) {
            v(readInt);
            for (int i7 = 0; i7 < readInt; i7++) {
                put(objectInputStream.readObject(), objectInputStream.readObject());
            }
            return;
        }
        throw new InvalidObjectException("Invalid size: " + readInt);
    }

    private V E(Object obj, int i7) {
        int s7 = s() & i7;
        int i8 = this.f10107f[s7];
        if (i8 == -1) {
            return null;
        }
        int i9 = -1;
        while (true) {
            if (p(this.f10108g[i8]) != i7 || !Objects.equal(obj, this.f10109p[i8])) {
                int q7 = q(this.f10108g[i8]);
                if (q7 == -1) {
                    return null;
                }
                i9 = i8;
                i8 = q7;
            } else {
                V v7 = (V) this.f10110x[i8];
                if (i9 == -1) {
                    this.f10107f[s7] = q(this.f10108g[i8]);
                } else {
                    long[] jArr = this.f10108g;
                    jArr[i9] = K(jArr[i9], q(jArr[i8]));
                }
                z(i8);
                this.C1--;
                this.f10111y++;
                return v7;
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    @p0.a
    private V F(int i7) {
        return E(this.f10109p[i7], p(this.f10108g[i7]));
    }

    private void H(int i7) {
        int length = this.f10108g.length;
        if (i7 > length) {
            int max = Math.max(1, length >>> 1) + length;
            if (max < 0) {
                max = Integer.MAX_VALUE;
            }
            if (max != length) {
                G(max);
            }
        }
    }

    private void I(int i7) {
        int[] C = C(i7);
        long[] jArr = this.f10108g;
        int length = C.length - 1;
        for (int i8 = 0; i8 < this.C1; i8++) {
            int p7 = p(jArr[i8]);
            int i9 = p7 & length;
            int i10 = C[i9];
            C[i9] = i8;
            jArr[i8] = (((long) p7) << 32) | (((long) i10) & X5);
        }
        this.f10107f = C;
    }

    private static long K(long j7, int i7) {
        return (j7 & Y5) | (X5 & ((long) i7));
    }

    private void N(ObjectOutputStream objectOutputStream) throws IOException {
        objectOutputStream.defaultWriteObject();
        objectOutputStream.writeInt(this.C1);
        int n7 = n();
        while (n7 >= 0) {
            objectOutputStream.writeObject(this.f10109p[n7]);
            objectOutputStream.writeObject(this.f10110x[n7]);
            n7 = r(n7);
        }
    }

    public static <K, V> i2<K, V> g() {
        return new i2<>();
    }

    public static <K, V> i2<K, V> k(int i7) {
        return new i2<>(i7);
    }

    private static int p(long j7) {
        return (int) (j7 >>> 32);
    }

    private static int q(long j7) {
        return (int) j7;
    }

    private int s() {
        return this.f10107f.length - 1;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private int t(Object obj) {
        if (A()) {
            return -1;
        }
        int d7 = i5.d(obj);
        int i7 = this.f10107f[s() & d7];
        while (i7 != -1) {
            long j7 = this.f10108g[i7];
            if (p(j7) == d7 && Objects.equal(obj, this.f10109p[i7])) {
                return i7;
            }
            i7 = q(j7);
        }
        return -1;
    }

    /* access modifiers changed from: package-private */
    public boolean A() {
        return this.f10107f == null;
    }

    /* access modifiers changed from: package-private */
    public void G(int i7) {
        this.f10109p = Arrays.copyOf(this.f10109p, i7);
        this.f10110x = Arrays.copyOf(this.f10110x, i7);
        long[] jArr = this.f10108g;
        int length = jArr.length;
        long[] copyOf = Arrays.copyOf(jArr, i7);
        if (i7 > length) {
            Arrays.fill(copyOf, length, i7, -1L);
        }
        this.f10108g = copyOf;
    }

    public void L() {
        if (!A()) {
            int i7 = this.C1;
            if (i7 < this.f10108g.length) {
                G(i7);
            }
            int a8 = i5.a(i7, 1.0d);
            if (a8 < this.f10107f.length) {
                I(a8);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public Iterator<V> M() {
        return new c();
    }

    public void clear() {
        if (!A()) {
            this.f10111y++;
            Arrays.fill(this.f10109p, 0, this.C1, (Object) null);
            Arrays.fill(this.f10110x, 0, this.C1, (Object) null);
            Arrays.fill(this.f10107f, -1);
            Arrays.fill(this.f10108g, 0, this.C1, -1L);
            this.C1 = 0;
        }
    }

    public boolean containsKey(Object obj) {
        return t(obj) != -1;
    }

    public boolean containsValue(Object obj) {
        for (int i7 = 0; i7 < this.C1; i7++) {
            if (Objects.equal(obj, this.f10110x[i7])) {
                return true;
            }
        }
        return false;
    }

    /* access modifiers changed from: package-private */
    public void d(int i7) {
    }

    /* access modifiers changed from: package-private */
    public int e(int i7, int i8) {
        return i7 - 1;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public Set<Map.Entry<K, V>> entrySet() {
        Set<Map.Entry<K, V>> set = this.U5;
        if (set != null) {
            return set;
        }
        Set<Map.Entry<K, V>> h7 = h();
        this.U5 = h7;
        return h7;
    }

    /* access modifiers changed from: package-private */
    public void f() {
        Preconditions.checkState(A(), "Arrays already allocated");
        int i7 = this.f10111y;
        this.f10107f = C(i5.a(i7, 1.0d));
        this.f10108g = B(i7);
        this.f10109p = new Object[i7];
        this.f10110x = new Object[i7];
    }

    @Override // java.util.Map
    public void forEach(BiConsumer<? super K, ? super V> biConsumer) {
        Preconditions.checkNotNull(biConsumer);
        int n7 = n();
        while (n7 >= 0) {
            biConsumer.accept(this.f10109p[n7], this.f10110x[n7]);
            n7 = r(n7);
        }
    }

    @Override // java.util.AbstractMap, java.util.Map
    public V get(Object obj) {
        int t7 = t(obj);
        d(t7);
        if (t7 == -1) {
            return null;
        }
        return (V) this.f10110x[t7];
    }

    /* access modifiers changed from: package-private */
    public Set<Map.Entry<K, V>> h() {
        return new d();
    }

    /* access modifiers changed from: package-private */
    public Set<K> i() {
        return new f();
    }

    public boolean isEmpty() {
        return this.C1 == 0;
    }

    /* access modifiers changed from: package-private */
    public Collection<V> j() {
        return new h();
    }

    @Override // java.util.AbstractMap, java.util.Map
    public Set<K> keySet() {
        Set<K> set = this.C2;
        if (set != null) {
            return set;
        }
        Set<K> i7 = i();
        this.C2 = i7;
        return i7;
    }

    /* access modifiers changed from: package-private */
    public Iterator<Map.Entry<K, V>> m() {
        return new b();
    }

    /* access modifiers changed from: package-private */
    public int n() {
        return isEmpty() ? -1 : 0;
    }

    @Override // java.util.AbstractMap, java.util.Map
    @p0.a
    public V put(K k7, V v7) {
        if (A()) {
            f();
        }
        long[] jArr = this.f10108g;
        Object[] objArr = this.f10109p;
        Object[] objArr2 = this.f10110x;
        int d7 = i5.d(k7);
        int s7 = s() & d7;
        int i7 = this.C1;
        int[] iArr = this.f10107f;
        int i8 = iArr[s7];
        if (i8 == -1) {
            iArr[s7] = i7;
        } else {
            while (true) {
                long j7 = jArr[i8];
                if (p(j7) != d7 || !Objects.equal(k7, objArr[i8])) {
                    int q7 = q(j7);
                    if (q7 == -1) {
                        jArr[i8] = K(j7, i7);
                        break;
                    }
                    i8 = q7;
                } else {
                    V v8 = (V) objArr2[i8];
                    objArr2[i8] = v7;
                    d(i8);
                    return v8;
                }
            }
        }
        if (i7 != Integer.MAX_VALUE) {
            int i9 = i7 + 1;
            H(i9);
            x(i7, k7, v7, d7);
            this.C1 = i9;
            int length = this.f10107f.length;
            if (i5.b(i7, length, 1.0d)) {
                I(length * 2);
            }
            this.f10111y++;
            return null;
        }
        throw new IllegalStateException("Cannot contain more than Integer.MAX_VALUE elements!");
    }

    /* access modifiers changed from: package-private */
    public int r(int i7) {
        int i8 = i7 + 1;
        if (i8 < this.C1) {
            return i8;
        }
        return -1;
    }

    @Override // java.util.AbstractMap, java.util.Map
    @p0.a
    public V remove(Object obj) {
        if (A()) {
            return null;
        }
        return E(obj, i5.d(obj));
    }

    @Override // java.util.Map
    public void replaceAll(BiFunction<? super K, ? super V, ? extends V> biFunction) {
        Preconditions.checkNotNull(biFunction);
        for (int i7 = 0; i7 < this.C1; i7++) {
            Object[] objArr = this.f10110x;
            objArr[i7] = biFunction.apply(this.f10109p[i7], objArr[i7]);
        }
    }

    public int size() {
        return this.C1;
    }

    /* access modifiers changed from: package-private */
    public void v(int i7) {
        Preconditions.checkArgument(i7 >= 0, "Expected size must be non-negative");
        this.f10111y = Math.max(1, i7);
    }

    @Override // java.util.AbstractMap, java.util.Map
    public Collection<V> values() {
        Collection<V> collection = this.V5;
        if (collection != null) {
            return collection;
        }
        Collection<V> j7 = j();
        this.V5 = j7;
        return j7;
    }

    /* access modifiers changed from: package-private */
    public void x(int i7, K k7, V v7, int i8) {
        this.f10108g[i7] = (((long) i8) << 32) | X5;
        this.f10109p[i7] = k7;
        this.f10110x[i7] = v7;
    }

    /* access modifiers changed from: package-private */
    public Iterator<K> y() {
        return new a();
    }

    /* access modifiers changed from: package-private */
    public void z(int i7) {
        int size = size() - 1;
        if (i7 < size) {
            Object[] objArr = this.f10109p;
            objArr[i7] = objArr[size];
            Object[] objArr2 = this.f10110x;
            objArr2[i7] = objArr2[size];
            objArr[size] = null;
            objArr2[size] = null;
            long[] jArr = this.f10108g;
            long j7 = jArr[size];
            jArr[i7] = j7;
            jArr[size] = -1;
            int p7 = p(j7) & s();
            int[] iArr = this.f10107f;
            int i8 = iArr[p7];
            if (i8 == size) {
                iArr[p7] = i7;
                return;
            }
            while (true) {
                long j8 = this.f10108g[i8];
                int q7 = q(j8);
                if (q7 == size) {
                    this.f10108g[i8] = K(j8, i7);
                    return;
                }
                i8 = q7;
            }
        } else {
            this.f10109p[i7] = null;
            this.f10110x[i7] = null;
            this.f10108g[i7] = -1;
        }
    }

    i2(int i7) {
        v(i7);
    }
}
