package com.google.common.collect;

import com.google.common.base.Function;
import com.google.common.base.Objects;
import com.google.common.base.Preconditions;
import java.io.Serializable;
import java.math.RoundingMode;
import java.util.AbstractList;
import java.util.AbstractSequentialList;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collection;
import java.util.Collections;
import java.util.Iterator;
import java.util.LinkedList;
import java.util.List;
import java.util.ListIterator;
import java.util.NoSuchElementException;
import java.util.RandomAccess;
import java.util.concurrent.CopyOnWriteArrayList;
import java.util.function.Predicate;

@m0.b(emulated = true)
public final class i9 {

    static class a extends g<E> {

        /* renamed from: g  reason: collision with root package name */
        private static final long f10133g = 0;

        a(List list) {
            super(list);
        }

        @Override // java.util.List, java.util.AbstractList
        public ListIterator<E> listIterator(int i7) {
            return this.f10135f.listIterator(i7);
        }
    }

    static class b extends c<E> {

        /* renamed from: g  reason: collision with root package name */
        private static final long f10134g = 0;

        b(List list) {
            super(list);
        }

        @Override // java.util.List, java.util.AbstractList
        public ListIterator<E> listIterator(int i7) {
            return this.f10135f.listIterator(i7);
        }
    }

    private static class c<E> extends AbstractList<E> {

        /* renamed from: f  reason: collision with root package name */
        final List<E> f10135f;

        c(List<E> list) {
            this.f10135f = (List) Preconditions.checkNotNull(list);
        }

        @Override // java.util.List, java.util.AbstractList
        public void add(int i7, E e7) {
            this.f10135f.add(i7, e7);
        }

        @Override // java.util.List, java.util.AbstractList
        public boolean addAll(int i7, Collection<? extends E> collection) {
            return this.f10135f.addAll(i7, collection);
        }

        public boolean contains(Object obj) {
            return this.f10135f.contains(obj);
        }

        @Override // java.util.List, java.util.AbstractList
        public E get(int i7) {
            return this.f10135f.get(i7);
        }

        @Override // java.util.List, java.util.AbstractList
        public E remove(int i7) {
            return this.f10135f.remove(i7);
        }

        @Override // java.util.List, java.util.AbstractList
        public E set(int i7, E e7) {
            return this.f10135f.set(i7, e7);
        }

        public int size() {
            return this.f10135f.size();
        }
    }

    private static final class d extends AbstractList<Character> {

        /* renamed from: f  reason: collision with root package name */
        private final CharSequence f10136f;

        d(CharSequence charSequence) {
            this.f10136f = charSequence;
        }

        /* renamed from: b */
        public Character get(int i7) {
            Preconditions.checkElementIndex(i7, size());
            return Character.valueOf(this.f10136f.charAt(i7));
        }

        public int size() {
            return this.f10136f.length();
        }
    }

    /* access modifiers changed from: private */
    public static class e<E> extends AbstractList<E> implements Serializable, RandomAccess {

        /* renamed from: p  reason: collision with root package name */
        private static final long f10137p = 0;

        /* renamed from: f  reason: collision with root package name */
        final E f10138f;

        /* renamed from: g  reason: collision with root package name */
        final E[] f10139g;

        e(E e7, E[] eArr) {
            this.f10138f = e7;
            this.f10139g = (E[]) ((Object[]) Preconditions.checkNotNull(eArr));
        }

        @Override // java.util.List, java.util.AbstractList
        public E get(int i7) {
            Preconditions.checkElementIndex(i7, size());
            return i7 == 0 ? this.f10138f : this.f10139g[i7 - 1];
        }

        public int size() {
            return com.google.common.math.d.t(this.f10139g.length, 1);
        }
    }

    private static class f<T> extends AbstractList<List<T>> {

        /* renamed from: f  reason: collision with root package name */
        final List<T> f10140f;

        /* renamed from: g  reason: collision with root package name */
        final int f10141g;

        f(List<T> list, int i7) {
            this.f10140f = list;
            this.f10141g = i7;
        }

        /* renamed from: b */
        public List<T> get(int i7) {
            Preconditions.checkElementIndex(i7, size());
            int i8 = this.f10141g;
            int i9 = i7 * i8;
            return this.f10140f.subList(i9, Math.min(i8 + i9, this.f10140f.size()));
        }

        public boolean isEmpty() {
            return this.f10140f.isEmpty();
        }

        public int size() {
            return com.google.common.math.d.g(this.f10140f.size(), this.f10141g, RoundingMode.CEILING);
        }
    }

    private static class g<E> extends c<E> implements RandomAccess {
        g(List<E> list) {
            super(list);
        }
    }

    private static class h<T> extends f<T> implements RandomAccess {
        h(List<T> list, int i7) {
            super(list, i7);
        }
    }

    /* access modifiers changed from: private */
    public static class i<T> extends j<T> implements RandomAccess {
        i(List<T> list) {
            super(list);
        }
    }

    /* access modifiers changed from: private */
    public static class j<T> extends AbstractList<T> {

        /* renamed from: f  reason: collision with root package name */
        private final List<T> f10142f;

        class a implements ListIterator<T> {

            /* renamed from: f  reason: collision with root package name */
            boolean f10143f;

            /* renamed from: g  reason: collision with root package name */
            final /* synthetic */ ListIterator f10144g;

            a(ListIterator listIterator) {
                this.f10144g = listIterator;
            }

            @Override // java.util.ListIterator
            public void add(T t7) {
                this.f10144g.add(t7);
                this.f10144g.previous();
                this.f10143f = false;
            }

            public boolean hasNext() {
                return this.f10144g.hasPrevious();
            }

            public boolean hasPrevious() {
                return this.f10144g.hasNext();
            }

            @Override // java.util.Iterator, java.util.ListIterator
            public T next() {
                if (hasNext()) {
                    this.f10143f = true;
                    return (T) this.f10144g.previous();
                }
                throw new NoSuchElementException();
            }

            public int nextIndex() {
                return j.this.h(this.f10144g.nextIndex());
            }

            @Override // java.util.ListIterator
            public T previous() {
                if (hasPrevious()) {
                    this.f10143f = true;
                    return (T) this.f10144g.next();
                }
                throw new NoSuchElementException();
            }

            public int previousIndex() {
                return nextIndex() - 1;
            }

            public void remove() {
                t1.e(this.f10143f);
                this.f10144g.remove();
                this.f10143f = false;
            }

            @Override // java.util.ListIterator
            public void set(T t7) {
                Preconditions.checkState(this.f10143f);
                this.f10144g.set(t7);
            }
        }

        j(List<T> list) {
            this.f10142f = (List) Preconditions.checkNotNull(list);
        }

        private int e(int i7) {
            int size = size();
            Preconditions.checkElementIndex(i7, size);
            return (size - 1) - i7;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private int h(int i7) {
            int size = size();
            Preconditions.checkPositionIndex(i7, size);
            return size - i7;
        }

        @Override // java.util.List, java.util.AbstractList
        public void add(int i7, T t7) {
            this.f10142f.add(h(i7), t7);
        }

        /* access modifiers changed from: package-private */
        public List<T> c() {
            return this.f10142f;
        }

        public void clear() {
            this.f10142f.clear();
        }

        @Override // java.util.List, java.util.AbstractList
        public T get(int i7) {
            return this.f10142f.get(e(i7));
        }

        @Override // java.util.AbstractCollection, java.util.List, java.util.Collection, java.util.AbstractList, java.lang.Iterable
        public Iterator<T> iterator() {
            return listIterator();
        }

        @Override // java.util.List, java.util.AbstractList
        public ListIterator<T> listIterator(int i7) {
            return new a(this.f10142f.listIterator(h(i7)));
        }

        @Override // java.util.List, java.util.AbstractList
        public T remove(int i7) {
            return this.f10142f.remove(e(i7));
        }

        /* access modifiers changed from: protected */
        public void removeRange(int i7, int i8) {
            subList(i7, i8).clear();
        }

        @Override // java.util.List, java.util.AbstractList
        public T set(int i7, T t7) {
            return this.f10142f.set(e(i7), t7);
        }

        public int size() {
            return this.f10142f.size();
        }

        @Override // java.util.List, java.util.AbstractList
        public List<T> subList(int i7, int i8) {
            Preconditions.checkPositionIndexes(i7, i8, size());
            return i9.B(this.f10142f.subList(h(i8), h(i7)));
        }
    }

    /* access modifiers changed from: private */
    public static final class k extends t5<Character> {

        /* renamed from: p  reason: collision with root package name */
        private final String f10146p;

        k(String str) {
            this.f10146p = str;
        }

        /* renamed from: B0 */
        public Character get(int i7) {
            Preconditions.checkElementIndex(i7, size());
            return Character.valueOf(this.f10146p.charAt(i7));
        }

        @Override // com.google.common.collect.t5
        public int indexOf(Object obj) {
            if (obj instanceof Character) {
                return this.f10146p.indexOf(((Character) obj).charValue());
            }
            return -1;
        }

        @Override // com.google.common.collect.t5
        public int lastIndexOf(Object obj) {
            if (obj instanceof Character) {
                return this.f10146p.lastIndexOf(((Character) obj).charValue());
            }
            return -1;
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.n5
        public boolean m() {
            return false;
        }

        public int size() {
            return this.f10146p.length();
        }

        @Override // com.google.common.collect.t5
        /* renamed from: t0 */
        public t5<Character> subList(int i7, int i8) {
            Preconditions.checkPositionIndexes(i7, i8, size());
            return i9.g(this.f10146p.substring(i7, i8));
        }
    }

    /* access modifiers changed from: private */
    public static class l<F, T> extends AbstractList<T> implements RandomAccess, Serializable {

        /* renamed from: p  reason: collision with root package name */
        private static final long f10147p = 0;

        /* renamed from: f  reason: collision with root package name */
        final List<F> f10148f;

        /* renamed from: g  reason: collision with root package name */
        final Function<? super F, ? extends T> f10149g;

        class a extends ee<F, T> {
            a(ListIterator listIterator) {
                super(listIterator);
            }

            /* access modifiers changed from: package-private */
            @Override // com.google.common.collect.de
            public T a(F f7) {
                return (T) l.this.f10149g.apply(f7);
            }
        }

        l(List<F> list, Function<? super F, ? extends T> function) {
            this.f10148f = (List) Preconditions.checkNotNull(list);
            this.f10149g = (Function) Preconditions.checkNotNull(function);
        }

        /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: java.util.function.Predicate */
        /* JADX WARN: Multi-variable type inference failed */
        /* access modifiers changed from: private */
        public /* synthetic */ boolean c(Predicate predicate, Object obj) {
            return predicate.test(this.f10149g.apply(obj));
        }

        public void clear() {
            this.f10148f.clear();
        }

        @Override // java.util.List, java.util.AbstractList
        public T get(int i7) {
            return (T) this.f10149g.apply(this.f10148f.get(i7));
        }

        public boolean isEmpty() {
            return this.f10148f.isEmpty();
        }

        @Override // java.util.AbstractCollection, java.util.List, java.util.Collection, java.util.AbstractList, java.lang.Iterable
        public Iterator<T> iterator() {
            return listIterator();
        }

        @Override // java.util.List, java.util.AbstractList
        public ListIterator<T> listIterator(int i7) {
            return new a(this.f10148f.listIterator(i7));
        }

        @Override // java.util.List, java.util.AbstractList
        public T remove(int i7) {
            return (T) this.f10149g.apply(this.f10148f.remove(i7));
        }

        @Override // java.util.Collection
        public boolean removeIf(Predicate<? super T> predicate) {
            Preconditions.checkNotNull(predicate);
            return this.f10148f.removeIf(new j9(this, predicate));
        }

        public int size() {
            return this.f10148f.size();
        }
    }

    /* access modifiers changed from: private */
    public static class m<F, T> extends AbstractSequentialList<T> implements Serializable {

        /* renamed from: p  reason: collision with root package name */
        private static final long f10151p = 0;

        /* renamed from: f  reason: collision with root package name */
        final List<F> f10152f;

        /* renamed from: g  reason: collision with root package name */
        final Function<? super F, ? extends T> f10153g;

        class a extends ee<F, T> {
            a(ListIterator listIterator) {
                super(listIterator);
            }

            /* access modifiers changed from: package-private */
            @Override // com.google.common.collect.de
            public T a(F f7) {
                return (T) m.this.f10153g.apply(f7);
            }
        }

        m(List<F> list, Function<? super F, ? extends T> function) {
            this.f10152f = (List) Preconditions.checkNotNull(list);
            this.f10153g = (Function) Preconditions.checkNotNull(function);
        }

        /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: java.util.function.Predicate */
        /* JADX WARN: Multi-variable type inference failed */
        /* access modifiers changed from: private */
        public /* synthetic */ boolean c(Predicate predicate, Object obj) {
            return predicate.test(this.f10153g.apply(obj));
        }

        public void clear() {
            this.f10152f.clear();
        }

        @Override // java.util.List, java.util.AbstractList, java.util.AbstractSequentialList
        public ListIterator<T> listIterator(int i7) {
            return new a(this.f10152f.listIterator(i7));
        }

        @Override // java.util.Collection
        public boolean removeIf(Predicate<? super T> predicate) {
            Preconditions.checkNotNull(predicate);
            return this.f10152f.removeIf(new k9(this, predicate));
        }

        public int size() {
            return this.f10152f.size();
        }
    }

    private static class n<E> extends AbstractList<E> implements Serializable, RandomAccess {

        /* renamed from: x  reason: collision with root package name */
        private static final long f10155x = 0;

        /* renamed from: f  reason: collision with root package name */
        final E f10156f;

        /* renamed from: g  reason: collision with root package name */
        final E f10157g;

        /* renamed from: p  reason: collision with root package name */
        final E[] f10158p;

        n(E e7, E e8, E[] eArr) {
            this.f10156f = e7;
            this.f10157g = e8;
            this.f10158p = (E[]) ((Object[]) Preconditions.checkNotNull(eArr));
        }

        @Override // java.util.List, java.util.AbstractList
        public E get(int i7) {
            if (i7 == 0) {
                return this.f10156f;
            }
            if (i7 == 1) {
                return this.f10157g;
            }
            Preconditions.checkElementIndex(i7, size());
            return this.f10158p[i7 - 2];
        }

        public int size() {
            return com.google.common.math.d.t(this.f10158p.length, 2);
        }
    }

    private i9() {
    }

    public static <T> List<List<T>> A(List<T> list, int i7) {
        Preconditions.checkNotNull(list);
        Preconditions.checkArgument(i7 > 0);
        return list instanceof RandomAccess ? new h(list, i7) : new f(list, i7);
    }

    public static <T> List<T> B(List<T> list) {
        return list instanceof t5 ? ((t5) list).o0() : list instanceof j ? ((j) list).c() : list instanceof RandomAccess ? new i(list) : new j(list);
    }

    static <E> List<E> C(List<E> list, int i7, int i8) {
        return (list instanceof RandomAccess ? new a(list) : new b(list)).subList(i7, i8);
    }

    public static <F, T> List<T> D(List<F> list, Function<? super F, ? extends T> function) {
        return list instanceof RandomAccess ? new l(list, function) : new m(list, function);
    }

    static <E> boolean a(List<E> list, int i7, Iterable<? extends E> iterable) {
        ListIterator<E> listIterator = list.listIterator(i7);
        boolean z7 = false;
        for (E e7 : iterable) {
            listIterator.add(e7);
            z7 = true;
        }
        return z7;
    }

    public static <E> List<E> b(E e7, E e8, E[] eArr) {
        return new n(e7, e8, eArr);
    }

    public static <E> List<E> c(E e7, E[] eArr) {
        return new e(e7, eArr);
    }

    public static <B> List<List<B>> d(List<? extends List<? extends B>> list) {
        return k0.e(list);
    }

    @SafeVarargs
    public static <B> List<List<B>> e(List<? extends B>... listArr) {
        return d(Arrays.asList(listArr));
    }

    static <T> List<T> f(Iterable<T> iterable) {
        return (List) iterable;
    }

    public static t5<Character> g(String str) {
        return new k((String) Preconditions.checkNotNull(str));
    }

    @m0.a
    public static List<Character> h(CharSequence charSequence) {
        return new d((CharSequence) Preconditions.checkNotNull(charSequence));
    }

    @m0.d
    static int i(int i7) {
        t1.b(i7, "arraySize");
        return com.google.common.primitives.l.x(((long) i7) + 5 + ((long) (i7 / 10)));
    }

    static boolean j(List<?> list, Object obj) {
        if (obj == Preconditions.checkNotNull(list)) {
            return true;
        }
        if (!(obj instanceof List)) {
            return false;
        }
        List list2 = (List) obj;
        int size = list.size();
        if (size != list2.size()) {
            return false;
        }
        if (!(list instanceof RandomAccess) || !(list2 instanceof RandomAccess)) {
            return w8.t(list.iterator(), list2.iterator());
        }
        for (int i7 = 0; i7 < size; i7++) {
            if (!Objects.equal(list.get(i7), list2.get(i7))) {
                return false;
            }
        }
        return true;
    }

    static int k(List<?> list) {
        Iterator<?> it = list.iterator();
        int i7 = 1;
        while (it.hasNext()) {
            Object next = it.next();
            i7 = ~(~((i7 * 31) + (next == null ? 0 : next.hashCode())));
        }
        return i7;
    }

    static int l(List<?> list, Object obj) {
        if (list instanceof RandomAccess) {
            return m(list, obj);
        }
        ListIterator<?> listIterator = list.listIterator();
        while (listIterator.hasNext()) {
            if (Objects.equal(obj, listIterator.next())) {
                return listIterator.previousIndex();
            }
        }
        return -1;
    }

    private static int m(List<?> list, Object obj) {
        int size = list.size();
        int i7 = 0;
        if (obj == null) {
            while (i7 < size) {
                if (list.get(i7) == null) {
                    return i7;
                }
                i7++;
            }
            return -1;
        }
        while (i7 < size) {
            if (obj.equals(list.get(i7))) {
                return i7;
            }
            i7++;
        }
        return -1;
    }

    static int n(List<?> list, Object obj) {
        if (list instanceof RandomAccess) {
            return o(list, obj);
        }
        ListIterator<?> listIterator = list.listIterator(list.size());
        while (listIterator.hasPrevious()) {
            if (Objects.equal(obj, listIterator.previous())) {
                return listIterator.nextIndex();
            }
        }
        return -1;
    }

    private static int o(List<?> list, Object obj) {
        if (obj == null) {
            for (int size = list.size() - 1; size >= 0; size--) {
                if (list.get(size) == null) {
                    return size;
                }
            }
            return -1;
        }
        for (int size2 = list.size() - 1; size2 >= 0; size2--) {
            if (obj.equals(list.get(size2))) {
                return size2;
            }
        }
        return -1;
    }

    static <E> ListIterator<E> p(List<E> list, int i7) {
        return new c(list).listIterator(i7);
    }

    @m0.b(serializable = true)
    public static <E> ArrayList<E> q() {
        return new ArrayList<>();
    }

    @m0.b(serializable = true)
    public static <E> ArrayList<E> r(Iterable<? extends E> iterable) {
        Preconditions.checkNotNull(iterable);
        return iterable instanceof Collection ? new ArrayList<>(f2.b(iterable)) : s(iterable.iterator());
    }

    @m0.b(serializable = true)
    public static <E> ArrayList<E> s(Iterator<? extends E> it) {
        ArrayList<E> q7 = q();
        w8.a(q7, it);
        return q7;
    }

    @SafeVarargs
    @m0.b(serializable = true)
    public static <E> ArrayList<E> t(E... eArr) {
        Preconditions.checkNotNull(eArr);
        ArrayList<E> arrayList = new ArrayList<>(i(eArr.length));
        Collections.addAll(arrayList, eArr);
        return arrayList;
    }

    @m0.b(serializable = true)
    public static <E> ArrayList<E> u(int i7) {
        t1.b(i7, "initialArraySize");
        return new ArrayList<>(i7);
    }

    @m0.b(serializable = true)
    public static <E> ArrayList<E> v(int i7) {
        return new ArrayList<>(i(i7));
    }

    @m0.c
    public static <E> CopyOnWriteArrayList<E> w() {
        return new CopyOnWriteArrayList<>();
    }

    @m0.c
    public static <E> CopyOnWriteArrayList<E> x(Iterable<? extends E> iterable) {
        return new CopyOnWriteArrayList<>(iterable instanceof Collection ? f2.b(iterable) : r(iterable));
    }

    @m0.b(serializable = true)
    public static <E> LinkedList<E> y() {
        return new LinkedList<>();
    }

    @m0.b(serializable = true)
    public static <E> LinkedList<E> z(Iterable<? extends E> iterable) {
        LinkedList<E> y7 = y();
        t8.a(y7, iterable);
        return y7;
    }
}
