package com.google.common.collect;

import com.google.common.base.MoreObjects;
import com.google.common.base.Preconditions;
import com.google.common.base.Predicate;
import com.google.common.base.Predicates;
import com.google.common.collect.v9;
import java.lang.Comparable;
import java.util.AbstractMap;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;
import java.util.Iterator;
import java.util.Map;
import java.util.NavigableMap;
import java.util.NoSuchElementException;
import java.util.Set;

@m0.a
@m0.c
public final class ie<K extends Comparable, V> implements qb<K, V> {

    /* renamed from: g  reason: collision with root package name */
    private static final qb f10163g = new a();

    /* renamed from: f  reason: collision with root package name */
    private final NavigableMap<c3<K>, c<K, V>> f10164f = v9.p0();

    static class a implements qb {
        a() {
        }

        @Override // com.google.common.collect.qb
        public void a(ob obVar) {
            Preconditions.checkNotNull(obVar);
        }

        @Override // com.google.common.collect.qb
        public ob b() {
            throw new NoSuchElementException();
        }

        @Override // com.google.common.collect.qb
        public Map.Entry<ob, Object> c(Comparable comparable) {
            return null;
        }

        @Override // com.google.common.collect.qb
        public void clear() {
        }

        @Override // com.google.common.collect.qb
        public qb d(ob obVar) {
            Preconditions.checkNotNull(obVar);
            return this;
        }

        @Override // com.google.common.collect.qb
        public Map<ob, Object> e() {
            return Collections.emptyMap();
        }

        @Override // com.google.common.collect.qb
        public Map<ob, Object> f() {
            return Collections.emptyMap();
        }

        @Override // com.google.common.collect.qb
        public Object g(Comparable comparable) {
            return null;
        }

        @Override // com.google.common.collect.qb
        public void h(qb qbVar) {
            if (!qbVar.f().isEmpty()) {
                throw new IllegalArgumentException("Cannot putAll(nonEmptyRangeMap) into an empty subRangeMap");
            }
        }

        @Override // com.google.common.collect.qb
        public void i(ob obVar, Object obj) {
            Preconditions.checkNotNull(obVar);
            throw new IllegalArgumentException("Cannot insert range " + obVar + " into an empty subRangeMap");
        }

        @Override // com.google.common.collect.qb
        public void j(ob obVar, Object obj) {
            Preconditions.checkNotNull(obVar);
            throw new IllegalArgumentException("Cannot insert range " + obVar + " into an empty subRangeMap");
        }
    }

    /* access modifiers changed from: private */
    public final class b extends v9.b0<ob<K>, V> {

        /* renamed from: f  reason: collision with root package name */
        final Iterable<Map.Entry<ob<K>, V>> f10165f;

        b(Iterable<c<K, V>> iterable) {
            this.f10165f = iterable;
        }

        /* JADX DEBUG: Type inference failed for r0v2. Raw type applied. Possible types: java.util.Iterator<java.util.Map$Entry<com.google.common.collect.ob<K>, V>>, java.util.Iterator<java.util.Map$Entry<com.google.common.collect.ob<K extends java.lang.Comparable>, V>> */
        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.v9.b0
        public Iterator<Map.Entry<ob<K>, V>> a() {
            return (Iterator<Map.Entry<ob<K>, V>>) this.f10165f.iterator();
        }

        public boolean containsKey(Object obj) {
            return get(obj) != null;
        }

        @Override // java.util.AbstractMap, java.util.Map
        public V get(Object obj) {
            if (!(obj instanceof ob)) {
                return null;
            }
            ob obVar = (ob) obj;
            c cVar = (c) ie.this.f10164f.get(obVar.f10531f);
            if (cVar == null || !cVar.getKey().equals(obVar)) {
                return null;
            }
            return (V) cVar.getValue();
        }

        @Override // com.google.common.collect.v9.b0
        public int size() {
            return ie.this.f10164f.size();
        }
    }

    /* access modifiers changed from: private */
    public static final class c<K extends Comparable, V> extends n<ob<K>, V> {

        /* renamed from: f  reason: collision with root package name */
        private final ob<K> f10167f;

        /* renamed from: g  reason: collision with root package name */
        private final V f10168g;

        c(c3<K> c3Var, c3<K> c3Var2, V v7) {
            this(ob.m(c3Var, c3Var2), v7);
        }

        public boolean a(K k7) {
            return this.f10167f.j(k7);
        }

        /* renamed from: d */
        public ob<K> getKey() {
            return this.f10167f;
        }

        /* JADX DEBUG: Type inference failed for r0v2. Raw type applied. Possible types: com.google.common.collect.c3<C extends java.lang.Comparable>, com.google.common.collect.c3<K extends java.lang.Comparable> */
        /* access modifiers changed from: package-private */
        public c3<K> f() {
            return (c3<C>) this.f10167f.f10531f;
        }

        /* JADX DEBUG: Type inference failed for r0v2. Raw type applied. Possible types: com.google.common.collect.c3<C extends java.lang.Comparable>, com.google.common.collect.c3<K extends java.lang.Comparable> */
        /* access modifiers changed from: package-private */
        public c3<K> g() {
            return (c3<C>) this.f10167f.f10532g;
        }

        @Override // java.util.Map.Entry, com.google.common.collect.n
        public V getValue() {
            return this.f10168g;
        }

        c(ob<K> obVar, V v7) {
            this.f10167f = obVar;
            this.f10168g = v7;
        }
    }

    /* access modifiers changed from: private */
    public class d implements qb<K, V> {

        /* renamed from: f  reason: collision with root package name */
        private final ob<K> f10169f;

        /* access modifiers changed from: package-private */
        public class a extends ie<K, V>.d.b {

            /* renamed from: com.google.common.collect.ie$d$a$a  reason: collision with other inner class name */
            class C0121a extends c<Map.Entry<ob<K>, V>> {

                /* renamed from: p  reason: collision with root package name */
                final /* synthetic */ Iterator f10172p;

                C0121a(Iterator it) {
                    this.f10172p = it;
                }

                /* JADX DEBUG: Type inference failed for r2v3. Raw type applied. Possible types: com.google.common.collect.c3<C extends java.lang.Comparable>, com.google.common.collect.c3<K extends java.lang.Comparable> */
                /* access modifiers changed from: protected */
                /* renamed from: d */
                public Map.Entry<ob<K>, V> a() {
                    if (!this.f10172p.hasNext()) {
                        return (Map.Entry) b();
                    }
                    c cVar = (c) this.f10172p.next();
                    return cVar.g().compareTo((c3<C>) d.this.f10169f.f10531f) <= 0 ? (Map.Entry) b() : v9.T(cVar.getKey().v(d.this.f10169f), cVar.getValue());
                }
            }

            a() {
                super();
            }

            /* access modifiers changed from: package-private */
            @Override // com.google.common.collect.ie.d.b
            public Iterator<Map.Entry<ob<K>, V>> b() {
                return d.this.f10169f.x() ? w8.u() : new C0121a(ie.this.f10164f.headMap(d.this.f10169f.f10532g, false).descendingMap().values().iterator());
            }
        }

        /* access modifiers changed from: package-private */
        public class b extends AbstractMap<ob<K>, V> {

            class a extends v9.c0<ob<K>, V> {
                a(Map map) {
                    super(map);
                }

                @Override // com.google.common.collect.v9.c0
                public boolean remove(Object obj) {
                    return b.this.remove(obj) != null;
                }

                @Override // java.util.AbstractCollection, java.util.Collection, com.google.common.collect.jc.l, java.util.Set
                public boolean retainAll(Collection<?> collection) {
                    return b.this.c(Predicates.compose(Predicates.not(Predicates.in(collection)), v9.W()));
                }
            }

            /* access modifiers changed from: package-private */
            /* renamed from: com.google.common.collect.ie$d$b$b  reason: collision with other inner class name */
            public class C0122b extends v9.t<ob<K>, V> {
                C0122b() {
                }

                @Override // com.google.common.collect.v9.t
                public boolean isEmpty() {
                    return !iterator().hasNext();
                }

                @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
                public Iterator<Map.Entry<ob<K>, V>> iterator() {
                    return b.this.b();
                }

                /* access modifiers changed from: package-private */
                @Override // com.google.common.collect.v9.t
                public Map<ob<K>, V> k() {
                    return b.this;
                }

                @Override // java.util.AbstractCollection, java.util.Collection, com.google.common.collect.jc.l, java.util.Set, com.google.common.collect.v9.t
                public boolean retainAll(Collection<?> collection) {
                    return b.this.c(Predicates.not(Predicates.in(collection)));
                }

                @Override // com.google.common.collect.v9.t
                public int size() {
                    return w8.Z(iterator());
                }
            }

            /* access modifiers changed from: package-private */
            public class c extends c<Map.Entry<ob<K>, V>> {

                /* renamed from: p  reason: collision with root package name */
                final /* synthetic */ Iterator f10177p;

                c(Iterator it) {
                    this.f10177p = it;
                }

                /* JADX DEBUG: Type inference failed for r2v3. Raw type applied. Possible types: com.google.common.collect.c3<C extends java.lang.Comparable>, com.google.common.collect.c3<K extends java.lang.Comparable> */
                /* JADX DEBUG: Type inference failed for r2v7. Raw type applied. Possible types: com.google.common.collect.c3<C extends java.lang.Comparable>, com.google.common.collect.c3<K extends java.lang.Comparable> */
                /* access modifiers changed from: protected */
                /* renamed from: d */
                public Map.Entry<ob<K>, V> a() {
                    while (this.f10177p.hasNext()) {
                        c cVar = (c) this.f10177p.next();
                        if (cVar.f().compareTo((c3<C>) d.this.f10169f.f10532g) >= 0) {
                            return (Map.Entry) b();
                        }
                        if (cVar.g().compareTo((c3<C>) d.this.f10169f.f10531f) > 0) {
                            return v9.T(cVar.getKey().v(d.this.f10169f), cVar.getValue());
                        }
                    }
                    return (Map.Entry) b();
                }
            }

            /* renamed from: com.google.common.collect.ie$d$b$d  reason: collision with other inner class name */
            class C0123d extends v9.r0<ob<K>, V> {
                C0123d(Map map) {
                    super(map);
                }

                @Override // java.util.AbstractCollection, java.util.Collection, com.google.common.collect.v9.r0
                public boolean removeAll(Collection<?> collection) {
                    return b.this.c(Predicates.compose(Predicates.in(collection), v9.Z0()));
                }

                @Override // java.util.AbstractCollection, java.util.Collection, com.google.common.collect.v9.r0
                public boolean retainAll(Collection<?> collection) {
                    return b.this.c(Predicates.compose(Predicates.not(Predicates.in(collection)), v9.Z0()));
                }
            }

            b() {
            }

            /* access modifiers changed from: private */
            /* access modifiers changed from: public */
            private boolean c(Predicate<? super Map.Entry<ob<K>, V>> predicate) {
                ArrayList<ob<K>> q7 = i9.q();
                for (Map.Entry<ob<K>, V> entry : entrySet()) {
                    if (predicate.apply(entry)) {
                        q7.add(entry.getKey());
                    }
                }
                for (ob<K> obVar : q7) {
                    ie.this.a(obVar);
                }
                return !q7.isEmpty();
            }

            /* access modifiers changed from: package-private */
            public Iterator<Map.Entry<ob<K>, V>> b() {
                if (d.this.f10169f.x()) {
                    return w8.u();
                }
                return new c(ie.this.f10164f.tailMap((c3) MoreObjects.firstNonNull(ie.this.f10164f.floorKey(d.this.f10169f.f10531f), d.this.f10169f.f10531f), true).values().iterator());
            }

            public void clear() {
                d.this.clear();
            }

            public boolean containsKey(Object obj) {
                return get(obj) != null;
            }

            @Override // java.util.AbstractMap, java.util.Map
            public Set<Map.Entry<ob<K>, V>> entrySet() {
                return new C0122b();
            }

            @Override // java.util.AbstractMap, java.util.Map
            public V get(Object obj) {
                c cVar;
                Object obj2;
                try {
                    if (obj instanceof ob) {
                        ob obVar = (ob) obj;
                        if (d.this.f10169f.q(obVar)) {
                            if (!obVar.x()) {
                                if (obVar.f10531f.compareTo(d.this.f10169f.f10531f) == 0) {
                                    Map.Entry floorEntry = ie.this.f10164f.floorEntry(obVar.f10531f);
                                    if (floorEntry != null) {
                                        obj2 = floorEntry.getValue();
                                    } else {
                                        cVar = null;
                                        if (cVar != null && cVar.getKey().w(d.this.f10169f) && cVar.getKey().v(d.this.f10169f).equals(obVar)) {
                                            return (V) cVar.getValue();
                                        }
                                    }
                                } else {
                                    obj2 = ie.this.f10164f.get(obVar.f10531f);
                                }
                                cVar = (c) obj2;
                                return (V) cVar.getValue();
                            }
                        }
                    }
                } catch (ClassCastException unused) {
                }
                return null;
            }

            @Override // java.util.AbstractMap, java.util.Map
            public Set<ob<K>> keySet() {
                return new a(this);
            }

            @Override // java.util.AbstractMap, java.util.Map
            public V remove(Object obj) {
                V v7 = (V) get(obj);
                if (v7 == null) {
                    return null;
                }
                ie.this.a((ob) obj);
                return v7;
            }

            @Override // java.util.AbstractMap, java.util.Map
            public Collection<V> values() {
                return new C0123d(this);
            }
        }

        d(ob<K> obVar) {
            this.f10169f = obVar;
        }

        /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: com.google.common.collect.ob<K extends java.lang.Comparable> */
        /* JADX WARN: Multi-variable type inference failed */
        @Override // com.google.common.collect.qb
        public void a(ob<K> obVar) {
            if (obVar.w(this.f10169f)) {
                ie.this.a(obVar.v(this.f10169f));
            }
        }

        /* JADX DEBUG: Type inference failed for r3v1. Raw type applied. Possible types: com.google.common.collect.c3<C extends java.lang.Comparable>, com.google.common.collect.c3<K extends java.lang.Comparable> */
        /* JADX DEBUG: Type inference failed for r1v11. Raw type applied. Possible types: com.google.common.collect.c3<C extends java.lang.Comparable>, com.google.common.collect.c3<K extends java.lang.Comparable> */
        @Override // com.google.common.collect.qb
        public ob<K> b() {
            c3<C> c3Var;
            Map.Entry floorEntry = ie.this.f10164f.floorEntry(this.f10169f.f10531f);
            if (floorEntry == null || ((c) floorEntry.getValue()).g().compareTo((c3<C>) this.f10169f.f10531f) <= 0) {
                c3Var = (c3) ie.this.f10164f.ceilingKey(this.f10169f.f10531f);
                if (c3Var == null || c3Var.compareTo(this.f10169f.f10532g) >= 0) {
                    throw new NoSuchElementException();
                }
            } else {
                c3Var = this.f10169f.f10531f;
            }
            Map.Entry lowerEntry = ie.this.f10164f.lowerEntry(this.f10169f.f10532g);
            if (lowerEntry != null) {
                return ob.m(c3Var, ((c) lowerEntry.getValue()).g().compareTo((c3<C>) this.f10169f.f10532g) >= 0 ? this.f10169f.f10532g : ((c) lowerEntry.getValue()).g());
            }
            throw new NoSuchElementException();
        }

        /* JADX DEBUG: Type inference failed for r1v3. Raw type applied. Possible types: com.google.common.collect.ob<K>, com.google.common.collect.ob<K extends java.lang.Comparable> */
        @Override // com.google.common.collect.qb
        public Map.Entry<ob<K>, V> c(K k7) {
            Map.Entry<ob<K>, V> c7;
            if (!this.f10169f.j(k7) || (c7 = ie.this.c(k7)) == null) {
                return null;
            }
            return v9.T(c7.getKey().v((ob<K>) this.f10169f), c7.getValue());
        }

        /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: com.google.common.collect.ie */
        /* JADX WARN: Multi-variable type inference failed */
        @Override // com.google.common.collect.qb
        public void clear() {
            ie.this.a(this.f10169f);
        }

        /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: com.google.common.collect.ob<K extends java.lang.Comparable> */
        /* JADX WARN: Multi-variable type inference failed */
        @Override // com.google.common.collect.qb
        public qb<K, V> d(ob<K> obVar) {
            return !obVar.w(this.f10169f) ? ie.this.q() : ie.this.d(obVar.v(this.f10169f));
        }

        @Override // com.google.common.collect.qb
        public Map<ob<K>, V> e() {
            return new a();
        }

        @Override // com.google.common.collect.qb
        public boolean equals(Object obj) {
            if (obj instanceof qb) {
                return f().equals(((qb) obj).f());
            }
            return false;
        }

        @Override // com.google.common.collect.qb
        public Map<ob<K>, V> f() {
            return new b();
        }

        @Override // com.google.common.collect.qb
        public V g(K k7) {
            if (this.f10169f.j(k7)) {
                return (V) ie.this.g(k7);
            }
            return null;
        }

        @Override // com.google.common.collect.qb
        public void h(qb<K, V> qbVar) {
            if (!qbVar.f().isEmpty()) {
                ob<K> b7 = qbVar.b();
                Preconditions.checkArgument(this.f10169f.q(b7), "Cannot putAll rangeMap with span %s into a subRangeMap(%s)", b7, this.f10169f);
                ie.this.h(qbVar);
            }
        }

        @Override // com.google.common.collect.qb
        public int hashCode() {
            return f().hashCode();
        }

        @Override // com.google.common.collect.qb
        public void i(ob<K> obVar, V v7) {
            if (ie.this.f10164f.isEmpty() || obVar.x() || !this.f10169f.q(obVar)) {
                j(obVar, v7);
            } else {
                j(ie.this.o(obVar, Preconditions.checkNotNull(v7)).v(this.f10169f), v7);
            }
        }

        @Override // com.google.common.collect.qb
        public void j(ob<K> obVar, V v7) {
            Preconditions.checkArgument(this.f10169f.q(obVar), "Cannot put range %s into a subRangeMap(%s)", obVar, this.f10169f);
            ie.this.j(obVar, v7);
        }

        @Override // com.google.common.collect.qb
        public String toString() {
            return f().toString();
        }
    }

    private ie() {
    }

    private static <K extends Comparable, V> ob<K> n(ob<K> obVar, V v7, Map.Entry<c3<K>, c<K, V>> entry) {
        return (entry == null || !entry.getValue().getKey().w(obVar) || !entry.getValue().getValue().equals(v7)) ? obVar : obVar.I(entry.getValue().getKey());
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private ob<K> o(ob<K> obVar, V v7) {
        return n(n(obVar, v7, this.f10164f.lowerEntry(obVar.f10531f)), v7, this.f10164f.floorEntry(obVar.f10532g));
    }

    public static <K extends Comparable, V> ie<K, V> p() {
        return new ie<>();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private qb<K, V> q() {
        return f10163g;
    }

    private void r(c3<K> c3Var, c3<K> c3Var2, V v7) {
        this.f10164f.put(c3Var, new c<>(c3Var, c3Var2, v7));
    }

    /* JADX DEBUG: Type inference failed for r3v0. Raw type applied. Possible types: com.google.common.collect.c3<C extends java.lang.Comparable>, com.google.common.collect.c3<K extends java.lang.Comparable> */
    /* JADX DEBUG: Type inference failed for r3v1. Raw type applied. Possible types: com.google.common.collect.c3<C extends java.lang.Comparable>, com.google.common.collect.c3<K extends java.lang.Comparable> */
    /* JADX DEBUG: Type inference failed for r3v2. Raw type applied. Possible types: com.google.common.collect.c3<C extends java.lang.Comparable>, com.google.common.collect.c3<K extends java.lang.Comparable> */
    @Override // com.google.common.collect.qb
    public void a(ob<K> obVar) {
        if (!obVar.x()) {
            Map.Entry<c3<K>, c<K, V>> lowerEntry = this.f10164f.lowerEntry(obVar.f10531f);
            if (lowerEntry != null) {
                c<K, V> value = lowerEntry.getValue();
                if (value.g().compareTo((c3<C>) obVar.f10531f) > 0) {
                    if (value.g().compareTo((c3<C>) obVar.f10532g) > 0) {
                        r(obVar.f10532g, value.g(), lowerEntry.getValue().getValue());
                    }
                    r(value.f(), obVar.f10531f, lowerEntry.getValue().getValue());
                }
            }
            Map.Entry<c3<K>, c<K, V>> lowerEntry2 = this.f10164f.lowerEntry(obVar.f10532g);
            if (lowerEntry2 != null) {
                c<K, V> value2 = lowerEntry2.getValue();
                if (value2.g().compareTo((c3<C>) obVar.f10532g) > 0) {
                    r(obVar.f10532g, value2.g(), lowerEntry2.getValue().getValue());
                }
            }
            this.f10164f.subMap(obVar.f10531f, obVar.f10532g).clear();
        }
    }

    @Override // com.google.common.collect.qb
    public ob<K> b() {
        Map.Entry<c3<K>, c<K, V>> firstEntry = this.f10164f.firstEntry();
        Map.Entry<c3<K>, c<K, V>> lastEntry = this.f10164f.lastEntry();
        if (firstEntry != null) {
            return ob.m(firstEntry.getValue().getKey().f10531f, lastEntry.getValue().getKey().f10532g);
        }
        throw new NoSuchElementException();
    }

    @Override // com.google.common.collect.qb
    public Map.Entry<ob<K>, V> c(K k7) {
        Map.Entry<c3<K>, c<K, V>> floorEntry = this.f10164f.floorEntry(c3.d(k7));
        if (floorEntry == null || !floorEntry.getValue().a(k7)) {
            return null;
        }
        return floorEntry.getValue();
    }

    @Override // com.google.common.collect.qb
    public void clear() {
        this.f10164f.clear();
    }

    @Override // com.google.common.collect.qb
    public qb<K, V> d(ob<K> obVar) {
        return obVar.equals(ob.a()) ? this : new d(obVar);
    }

    @Override // com.google.common.collect.qb
    public Map<ob<K>, V> e() {
        return new b(this.f10164f.descendingMap().values());
    }

    @Override // com.google.common.collect.qb
    public boolean equals(Object obj) {
        if (obj instanceof qb) {
            return f().equals(((qb) obj).f());
        }
        return false;
    }

    @Override // com.google.common.collect.qb
    public Map<ob<K>, V> f() {
        return new b(this.f10164f.values());
    }

    @Override // com.google.common.collect.qb
    public V g(K k7) {
        Map.Entry<ob<K>, V> c7 = c(k7);
        if (c7 == null) {
            return null;
        }
        return c7.getValue();
    }

    @Override // com.google.common.collect.qb
    public void h(qb<K, V> qbVar) {
        for (Map.Entry<ob<K>, V> entry : qbVar.f().entrySet()) {
            j(entry.getKey(), entry.getValue());
        }
    }

    @Override // com.google.common.collect.qb
    public int hashCode() {
        return f().hashCode();
    }

    /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: com.google.common.collect.ie<K extends java.lang.Comparable, V> */
    /* JADX WARN: Multi-variable type inference failed */
    @Override // com.google.common.collect.qb
    public void i(ob<K> obVar, V v7) {
        if (this.f10164f.isEmpty()) {
            j(obVar, v7);
        } else {
            j(o(obVar, Preconditions.checkNotNull(v7)), v7);
        }
    }

    @Override // com.google.common.collect.qb
    public void j(ob<K> obVar, V v7) {
        if (!obVar.x()) {
            Preconditions.checkNotNull(v7);
            a(obVar);
            this.f10164f.put(obVar.f10531f, new c<>(obVar, v7));
        }
    }

    @Override // com.google.common.collect.qb
    public String toString() {
        return this.f10164f.values().toString();
    }
}
