package com.google.common.collect;

import com.google.common.base.Preconditions;
import com.google.common.collect.o;
import com.google.common.collect.ua;
import com.google.common.collect.v9;
import java.io.Serializable;
import java.util.AbstractCollection;
import java.util.Collection;
import java.util.Collections;
import java.util.Comparator;
import java.util.ConcurrentModificationException;
import java.util.Iterator;
import java.util.List;
import java.util.ListIterator;
import java.util.Map;
import java.util.NavigableMap;
import java.util.NavigableSet;
import java.util.RandomAccess;
import java.util.Set;
import java.util.SortedMap;
import java.util.SortedSet;
import java.util.Spliterator;
import java.util.function.BiConsumer;

/* access modifiers changed from: package-private */
@m0.b
public abstract class j<K, V> extends o<K, V> implements Serializable {
    private static final long U5 = 2447537837011683357L;
    private transient Map<K, Collection<V>> C1;
    private transient int C2;

    class a extends j<K, V>.d {
        a() {
            super();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.j.d
        public V a(K k7, V v7) {
            return v7;
        }
    }

    class b extends j<K, V>.d {
        b() {
            super();
        }

        /* access modifiers changed from: package-private */
        /* renamed from: b */
        public Map.Entry<K, V> a(K k7, V v7) {
            return v9.T(k7, v7);
        }
    }

    /* access modifiers changed from: private */
    public class c extends v9.s0<K, Collection<V>> {

        /* renamed from: x  reason: collision with root package name */
        final transient Map<K, Collection<V>> f10180x;

        class a extends v9.t<K, Collection<V>> {
            a() {
            }

            @Override // com.google.common.collect.v9.t
            public boolean contains(Object obj) {
                return f2.j(c.this.f10180x.entrySet(), obj);
            }

            @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
            public Iterator<Map.Entry<K, Collection<V>>> iterator() {
                return new b();
            }

            /* access modifiers changed from: package-private */
            @Override // com.google.common.collect.v9.t
            public Map<K, Collection<V>> k() {
                return c.this;
            }

            @Override // com.google.common.collect.v9.t
            public boolean remove(Object obj) {
                if (!contains(obj)) {
                    return false;
                }
                j.this.N(((Map.Entry) obj).getKey());
                return true;
            }

            @Override // java.util.Collection, java.util.Set, java.lang.Iterable
            public Spliterator<Map.Entry<K, Collection<V>>> spliterator() {
                return w1.e(c.this.f10180x.entrySet().spliterator(), new k(c.this));
            }
        }

        class b implements Iterator<Map.Entry<K, Collection<V>>> {

            /* renamed from: f  reason: collision with root package name */
            final Iterator<Map.Entry<K, Collection<V>>> f10183f;

            /* renamed from: g  reason: collision with root package name */
            Collection<V> f10184g;

            b() {
                this.f10183f = c.this.f10180x.entrySet().iterator();
            }

            /* renamed from: a */
            public Map.Entry<K, Collection<V>> next() {
                Map.Entry<K, Collection<V>> next = this.f10183f.next();
                this.f10184g = next.getValue();
                return c.this.f(next);
            }

            public boolean hasNext() {
                return this.f10183f.hasNext();
            }

            public void remove() {
                t1.e(this.f10184g != null);
                this.f10183f.remove();
                j.this.C2 -= this.f10184g.size();
                this.f10184g.clear();
                this.f10184g = null;
            }
        }

        c(Map<K, Collection<V>> map) {
            this.f10180x = map;
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.collect.v9.s0
        public Set<Map.Entry<K, Collection<V>>> a() {
            return new a();
        }

        public void clear() {
            if (this.f10180x == j.this.C1) {
                j.this.clear();
            } else {
                w8.h(new b());
            }
        }

        public boolean containsKey(Object obj) {
            return v9.y0(this.f10180x, obj);
        }

        /* renamed from: d */
        public Collection<V> get(Object obj) {
            Collection<V> collection = (Collection) v9.z0(this.f10180x, obj);
            if (collection == null) {
                return null;
            }
            return j.this.Q(obj, collection);
        }

        /* renamed from: e */
        public Collection<V> remove(Object obj) {
            Collection<V> remove = this.f10180x.remove(obj);
            if (remove == null) {
                return null;
            }
            Collection<V> C = j.this.C();
            C.addAll(remove);
            j.this.C2 -= remove.size();
            remove.clear();
            return C;
        }

        public boolean equals(Object obj) {
            return this == obj || this.f10180x.equals(obj);
        }

        /* access modifiers changed from: package-private */
        public Map.Entry<K, Collection<V>> f(Map.Entry<K, Collection<V>> entry) {
            K key = entry.getKey();
            return v9.T(key, j.this.Q(key, entry.getValue()));
        }

        public int hashCode() {
            return this.f10180x.hashCode();
        }

        @Override // com.google.common.collect.v9.s0, java.util.AbstractMap, java.util.Map
        public Set<K> keySet() {
            return j.this.keySet();
        }

        public int size() {
            return this.f10180x.size();
        }

        public String toString() {
            return this.f10180x.toString();
        }
    }

    private abstract class d<T> implements Iterator<T> {

        /* renamed from: f  reason: collision with root package name */
        final Iterator<Map.Entry<K, Collection<V>>> f10186f;

        /* renamed from: g  reason: collision with root package name */
        K f10187g = null;

        /* renamed from: p  reason: collision with root package name */
        Collection<V> f10188p = null;

        /* renamed from: x  reason: collision with root package name */
        Iterator<V> f10189x = w8.w();

        d() {
            this.f10186f = j.this.C1.entrySet().iterator();
        }

        /* access modifiers changed from: package-private */
        public abstract T a(K k7, V v7);

        public boolean hasNext() {
            return this.f10186f.hasNext() || this.f10189x.hasNext();
        }

        @Override // java.util.Iterator
        public T next() {
            if (!this.f10189x.hasNext()) {
                Map.Entry<K, Collection<V>> next = this.f10186f.next();
                this.f10187g = next.getKey();
                Collection<V> value = next.getValue();
                this.f10188p = value;
                this.f10189x = value.iterator();
            }
            return a(this.f10187g, this.f10189x.next());
        }

        public void remove() {
            this.f10189x.remove();
            if (this.f10188p.isEmpty()) {
                this.f10186f.remove();
            }
            j.z(j.this);
        }
    }

    /* access modifiers changed from: private */
    public class e extends v9.c0<K, Collection<V>> {

        /* access modifiers changed from: package-private */
        public class a implements Iterator<K> {

            /* renamed from: f  reason: collision with root package name */
            Map.Entry<K, Collection<V>> f10192f;

            /* renamed from: g  reason: collision with root package name */
            final /* synthetic */ Iterator f10193g;

            a(Iterator it) {
                this.f10193g = it;
            }

            public boolean hasNext() {
                return this.f10193g.hasNext();
            }

            @Override // java.util.Iterator
            public K next() {
                Map.Entry<K, Collection<V>> entry = (Map.Entry) this.f10193g.next();
                this.f10192f = entry;
                return entry.getKey();
            }

            public void remove() {
                t1.e(this.f10192f != null);
                Collection<V> value = this.f10192f.getValue();
                this.f10193g.remove();
                j.this.C2 -= value.size();
                value.clear();
                this.f10192f = null;
            }
        }

        e(Map<K, Collection<V>> map) {
            super(map);
        }

        @Override // com.google.common.collect.v9.c0
        public void clear() {
            w8.h(iterator());
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
        public boolean containsAll(Collection<?> collection) {
            return m().keySet().containsAll(collection);
        }

        public boolean equals(Object obj) {
            return this == obj || m().keySet().equals(obj);
        }

        public int hashCode() {
            return m().keySet().hashCode();
        }

        @Override // com.google.common.collect.v9.c0, java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
        public Iterator<K> iterator() {
            return new a(m().entrySet().iterator());
        }

        @Override // com.google.common.collect.v9.c0
        public boolean remove(Object obj) {
            int i7;
            V remove = m().remove(obj);
            if (remove != null) {
                i7 = remove.size();
                remove.clear();
                j.this.C2 -= i7;
            } else {
                i7 = 0;
            }
            return i7 > 0;
        }

        @Override // java.util.Collection, java.util.Set, java.lang.Iterable
        public Spliterator<K> spliterator() {
            return m().keySet().spliterator();
        }
    }

    /* access modifiers changed from: package-private */
    public class f extends j<K, V>.i implements NavigableMap<K, Collection<V>> {
        f(NavigableMap<K, Collection<V>> navigableMap) {
            super(navigableMap);
        }

        @Override // java.util.NavigableMap
        public Map.Entry<K, Collection<V>> ceilingEntry(K k7) {
            Map.Entry<K, Collection<V>> ceilingEntry = i().ceilingEntry(k7);
            if (ceilingEntry == null) {
                return null;
            }
            return f(ceilingEntry);
        }

        @Override // java.util.NavigableMap
        public K ceilingKey(K k7) {
            return i().ceilingKey(k7);
        }

        @Override // java.util.NavigableMap
        public NavigableSet<K> descendingKeySet() {
            return descendingMap().navigableKeySet();
        }

        @Override // java.util.NavigableMap
        public NavigableMap<K, Collection<V>> descendingMap() {
            return new f(i().descendingMap());
        }

        @Override // java.util.NavigableMap
        public Map.Entry<K, Collection<V>> firstEntry() {
            Map.Entry<K, Collection<V>> firstEntry = i().firstEntry();
            if (firstEntry == null) {
                return null;
            }
            return f(firstEntry);
        }

        @Override // java.util.NavigableMap
        public Map.Entry<K, Collection<V>> floorEntry(K k7) {
            Map.Entry<K, Collection<V>> floorEntry = i().floorEntry(k7);
            if (floorEntry == null) {
                return null;
            }
            return f(floorEntry);
        }

        @Override // java.util.NavigableMap
        public K floorKey(K k7) {
            return i().floorKey(k7);
        }

        @Override // java.util.NavigableMap
        public NavigableMap<K, Collection<V>> headMap(K k7, boolean z7) {
            return new f(i().headMap(k7, z7));
        }

        @Override // java.util.NavigableMap
        public Map.Entry<K, Collection<V>> higherEntry(K k7) {
            Map.Entry<K, Collection<V>> higherEntry = i().higherEntry(k7);
            if (higherEntry == null) {
                return null;
            }
            return f(higherEntry);
        }

        @Override // java.util.NavigableMap
        public K higherKey(K k7) {
            return i().higherKey(k7);
        }

        /* access modifiers changed from: package-private */
        /* renamed from: j */
        public NavigableSet<K> g() {
            return new g(i());
        }

        /* renamed from: k */
        public NavigableMap<K, Collection<V>> headMap(K k7) {
            return headMap(k7, false);
        }

        /* renamed from: l */
        public NavigableSet<K> keySet() {
            return (NavigableSet) super.keySet();
        }

        @Override // java.util.NavigableMap
        public Map.Entry<K, Collection<V>> lastEntry() {
            Map.Entry<K, Collection<V>> lastEntry = i().lastEntry();
            if (lastEntry == null) {
                return null;
            }
            return f(lastEntry);
        }

        @Override // java.util.NavigableMap
        public Map.Entry<K, Collection<V>> lowerEntry(K k7) {
            Map.Entry<K, Collection<V>> lowerEntry = i().lowerEntry(k7);
            if (lowerEntry == null) {
                return null;
            }
            return f(lowerEntry);
        }

        @Override // java.util.NavigableMap
        public K lowerKey(K k7) {
            return i().lowerKey(k7);
        }

        /* access modifiers changed from: package-private */
        public Map.Entry<K, Collection<V>> m(Iterator<Map.Entry<K, Collection<V>>> it) {
            if (!it.hasNext()) {
                return null;
            }
            Map.Entry<K, Collection<V>> next = it.next();
            Collection<V> C = j.this.C();
            C.addAll(next.getValue());
            it.remove();
            return v9.T(next.getKey(), j.this.P(C));
        }

        /* access modifiers changed from: package-private */
        /* renamed from: n */
        public NavigableMap<K, Collection<V>> i() {
            return (NavigableMap) super.i();
        }

        @Override // java.util.NavigableMap
        public NavigableSet<K> navigableKeySet() {
            return keySet();
        }

        /* renamed from: o */
        public NavigableMap<K, Collection<V>> subMap(K k7, K k8) {
            return subMap(k7, true, k8, false);
        }

        /* renamed from: p */
        public NavigableMap<K, Collection<V>> tailMap(K k7) {
            return tailMap(k7, true);
        }

        /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: com.google.common.collect.j$f */
        /* JADX WARN: Multi-variable type inference failed */
        @Override // java.util.NavigableMap
        public Map.Entry<K, Collection<V>> pollFirstEntry() {
            return m(entrySet().iterator());
        }

        @Override // java.util.NavigableMap
        public Map.Entry<K, Collection<V>> pollLastEntry() {
            return m(descendingMap().entrySet().iterator());
        }

        @Override // java.util.NavigableMap
        public NavigableMap<K, Collection<V>> subMap(K k7, boolean z7, K k8, boolean z8) {
            return new f(i().subMap(k7, z7, k8, z8));
        }

        @Override // java.util.NavigableMap
        public NavigableMap<K, Collection<V>> tailMap(K k7, boolean z7) {
            return new f(i().tailMap(k7, z7));
        }
    }

    /* access modifiers changed from: package-private */
    public class g extends j<K, V>.C0124j implements NavigableSet<K> {
        g(NavigableMap<K, Collection<V>> navigableMap) {
            super(navigableMap);
        }

        @Override // java.util.NavigableSet
        public K ceiling(K k7) {
            return n().ceilingKey(k7);
        }

        @Override // java.util.NavigableSet
        public Iterator<K> descendingIterator() {
            return descendingSet().iterator();
        }

        @Override // java.util.NavigableSet
        public NavigableSet<K> descendingSet() {
            return new g(n().descendingMap());
        }

        @Override // java.util.NavigableSet
        public K floor(K k7) {
            return n().floorKey(k7);
        }

        @Override // java.util.NavigableSet
        public NavigableSet<K> headSet(K k7, boolean z7) {
            return new g(n().headMap(k7, z7));
        }

        @Override // java.util.NavigableSet
        public K higher(K k7) {
            return n().higherKey(k7);
        }

        @Override // java.util.NavigableSet
        public K lower(K k7) {
            return n().lowerKey(k7);
        }

        /* renamed from: o */
        public NavigableSet<K> headSet(K k7) {
            return headSet(k7, false);
        }

        /* access modifiers changed from: package-private */
        /* renamed from: p */
        public NavigableMap<K, Collection<V>> n() {
            return (NavigableMap) super.n();
        }

        @Override // java.util.NavigableSet
        public K pollFirst() {
            return (K) w8.U(iterator());
        }

        @Override // java.util.NavigableSet
        public K pollLast() {
            return (K) w8.U(descendingIterator());
        }

        /* renamed from: q */
        public NavigableSet<K> subSet(K k7, K k8) {
            return subSet(k7, true, k8, false);
        }

        /* renamed from: s */
        public NavigableSet<K> tailSet(K k7) {
            return tailSet(k7, true);
        }

        @Override // java.util.NavigableSet
        public NavigableSet<K> subSet(K k7, boolean z7, K k8, boolean z8) {
            return new g(n().subMap(k7, z7, k8, z8));
        }

        @Override // java.util.NavigableSet
        public NavigableSet<K> tailSet(K k7, boolean z7) {
            return new g(n().tailMap(k7, z7));
        }
    }

    /* access modifiers changed from: private */
    public class h extends j<K, V>.l implements RandomAccess {
        h(K k7, List<V> list, j<K, V>.k kVar) {
            super(k7, list, kVar);
        }
    }

    /* access modifiers changed from: private */
    public class i extends j<K, V>.c implements SortedMap<K, Collection<V>> {
        SortedSet<K> C1;

        i(SortedMap<K, Collection<V>> sortedMap) {
            super(sortedMap);
        }

        @Override // java.util.SortedMap
        public Comparator<? super K> comparator() {
            return i().comparator();
        }

        @Override // java.util.SortedMap
        public K firstKey() {
            return i().firstKey();
        }

        /* access modifiers changed from: package-private */
        /* renamed from: g */
        public SortedSet<K> b() {
            return new C0124j(i());
        }

        /* renamed from: h */
        public SortedSet<K> keySet() {
            SortedSet<K> sortedSet = this.C1;
            if (sortedSet != null) {
                return sortedSet;
            }
            SortedSet<K> g7 = b();
            this.C1 = g7;
            return g7;
        }

        @Override // java.util.SortedMap
        public SortedMap<K, Collection<V>> headMap(K k7) {
            return new i(i().headMap(k7));
        }

        /* access modifiers changed from: package-private */
        public SortedMap<K, Collection<V>> i() {
            return (SortedMap) this.f10180x;
        }

        @Override // java.util.SortedMap
        public K lastKey() {
            return i().lastKey();
        }

        @Override // java.util.SortedMap
        public SortedMap<K, Collection<V>> subMap(K k7, K k8) {
            return new i(i().subMap(k7, k8));
        }

        @Override // java.util.SortedMap
        public SortedMap<K, Collection<V>> tailMap(K k7) {
            return new i(i().tailMap(k7));
        }
    }

    /* access modifiers changed from: private */
    /* renamed from: com.google.common.collect.j$j  reason: collision with other inner class name */
    public class C0124j extends j<K, V>.e implements SortedSet<K> {
        C0124j(SortedMap<K, Collection<V>> sortedMap) {
            super(sortedMap);
        }

        @Override // java.util.SortedSet
        public Comparator<? super K> comparator() {
            return n().comparator();
        }

        @Override // java.util.SortedSet
        public K first() {
            return n().firstKey();
        }

        @Override // java.util.SortedSet
        public SortedSet<K> headSet(K k7) {
            return new C0124j(n().headMap(k7));
        }

        @Override // java.util.SortedSet
        public K last() {
            return n().lastKey();
        }

        /* access modifiers changed from: package-private */
        public SortedMap<K, Collection<V>> n() {
            return (SortedMap) super.m();
        }

        @Override // java.util.SortedSet
        public SortedSet<K> subSet(K k7, K k8) {
            return new C0124j(n().subMap(k7, k8));
        }

        @Override // java.util.SortedSet
        public SortedSet<K> tailSet(K k7) {
            return new C0124j(n().tailMap(k7));
        }
    }

    /* access modifiers changed from: package-private */
    public class k extends AbstractCollection<V> {

        /* renamed from: f  reason: collision with root package name */
        final K f10197f;

        /* renamed from: g  reason: collision with root package name */
        Collection<V> f10198g;

        /* renamed from: p  reason: collision with root package name */
        final j<K, V>.k f10199p;

        /* renamed from: x  reason: collision with root package name */
        final Collection<V> f10200x;

        /* access modifiers changed from: package-private */
        public class a implements Iterator<V> {

            /* renamed from: f  reason: collision with root package name */
            final Iterator<V> f10202f;

            /* renamed from: g  reason: collision with root package name */
            final Collection<V> f10203g;

            a() {
                Collection<V> collection = k.this.f10198g;
                this.f10203g = collection;
                this.f10202f = j.I(collection);
            }

            /* access modifiers changed from: package-private */
            public Iterator<V> a() {
                b();
                return this.f10202f;
            }

            /* access modifiers changed from: package-private */
            public void b() {
                k.this.k();
                if (k.this.f10198g != this.f10203g) {
                    throw new ConcurrentModificationException();
                }
            }

            public boolean hasNext() {
                b();
                return this.f10202f.hasNext();
            }

            @Override // java.util.Iterator
            public V next() {
                b();
                return this.f10202f.next();
            }

            public void remove() {
                this.f10202f.remove();
                j.z(j.this);
                k.this.l();
            }

            a(Iterator<V> it) {
                this.f10203g = k.this.f10198g;
                this.f10202f = it;
            }
        }

        k(K k7, Collection<V> collection, j<K, V>.k kVar) {
            this.f10197f = k7;
            this.f10198g = collection;
            this.f10199p = kVar;
            this.f10200x = kVar == null ? null : kVar.e();
        }

        @Override // java.util.AbstractCollection, java.util.Collection
        public boolean add(V v7) {
            k();
            boolean isEmpty = this.f10198g.isEmpty();
            boolean add = this.f10198g.add(v7);
            if (add) {
                j.y(j.this);
                if (isEmpty) {
                    b();
                }
            }
            return add;
        }

        @Override // java.util.AbstractCollection, java.util.Collection
        public boolean addAll(Collection<? extends V> collection) {
            if (collection.isEmpty()) {
                return false;
            }
            int size = size();
            boolean addAll = this.f10198g.addAll(collection);
            if (addAll) {
                int size2 = this.f10198g.size();
                j.this.C2 += size2 - size;
                if (size == 0) {
                    b();
                }
            }
            return addAll;
        }

        /* JADX DEBUG: Multi-variable search result rejected for r0v2, resolved type: java.util.Map */
        /* JADX WARN: Multi-variable type inference failed */
        /* access modifiers changed from: package-private */
        public void b() {
            j<K, V>.k kVar = this.f10199p;
            if (kVar != null) {
                kVar.b();
            } else {
                j.this.C1.put(this.f10197f, this.f10198g);
            }
        }

        /* access modifiers changed from: package-private */
        public j<K, V>.k c() {
            return this.f10199p;
        }

        public void clear() {
            int size = size();
            if (size != 0) {
                this.f10198g.clear();
                j.this.C2 -= size;
                l();
            }
        }

        public boolean contains(Object obj) {
            k();
            return this.f10198g.contains(obj);
        }

        @Override // java.util.AbstractCollection, java.util.Collection
        public boolean containsAll(Collection<?> collection) {
            k();
            return this.f10198g.containsAll(collection);
        }

        /* access modifiers changed from: package-private */
        public Collection<V> e() {
            return this.f10198g;
        }

        public boolean equals(Object obj) {
            if (obj == this) {
                return true;
            }
            k();
            return this.f10198g.equals(obj);
        }

        /* access modifiers changed from: package-private */
        public K h() {
            return this.f10197f;
        }

        public int hashCode() {
            k();
            return this.f10198g.hashCode();
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.lang.Iterable
        public Iterator<V> iterator() {
            k();
            return new a();
        }

        /* access modifiers changed from: package-private */
        public void k() {
            Collection<V> collection;
            j<K, V>.k kVar = this.f10199p;
            if (kVar != null) {
                kVar.k();
                if (this.f10199p.e() != this.f10200x) {
                    throw new ConcurrentModificationException();
                }
            } else if (this.f10198g.isEmpty() && (collection = (Collection) j.this.C1.get(this.f10197f)) != null) {
                this.f10198g = collection;
            }
        }

        /* access modifiers changed from: package-private */
        public void l() {
            j<K, V>.k kVar = this.f10199p;
            if (kVar != null) {
                kVar.l();
            } else if (this.f10198g.isEmpty()) {
                j.this.C1.remove(this.f10197f);
            }
        }

        public boolean remove(Object obj) {
            k();
            boolean remove = this.f10198g.remove(obj);
            if (remove) {
                j.z(j.this);
                l();
            }
            return remove;
        }

        @Override // java.util.AbstractCollection, java.util.Collection
        public boolean removeAll(Collection<?> collection) {
            if (collection.isEmpty()) {
                return false;
            }
            int size = size();
            boolean removeAll = this.f10198g.removeAll(collection);
            if (removeAll) {
                int size2 = this.f10198g.size();
                j.this.C2 += size2 - size;
                l();
            }
            return removeAll;
        }

        @Override // java.util.AbstractCollection, java.util.Collection
        public boolean retainAll(Collection<?> collection) {
            Preconditions.checkNotNull(collection);
            int size = size();
            boolean retainAll = this.f10198g.retainAll(collection);
            if (retainAll) {
                int size2 = this.f10198g.size();
                j.this.C2 += size2 - size;
                l();
            }
            return retainAll;
        }

        public int size() {
            k();
            return this.f10198g.size();
        }

        @Override // java.util.Collection, java.lang.Iterable
        public Spliterator<V> spliterator() {
            k();
            return this.f10198g.spliterator();
        }

        public String toString() {
            k();
            return this.f10198g.toString();
        }
    }

    /* access modifiers changed from: package-private */
    public class l extends j<K, V>.k implements List<V> {

        private class a extends j<K, V>.k.a implements ListIterator<V> {
            a() {
                super();
            }

            private ListIterator<V> c() {
                return (ListIterator) a();
            }

            @Override // java.util.ListIterator
            public void add(V v7) {
                boolean isEmpty = l.this.isEmpty();
                c().add(v7);
                j.y(j.this);
                if (isEmpty) {
                    l.this.b();
                }
            }

            public boolean hasPrevious() {
                return c().hasPrevious();
            }

            public int nextIndex() {
                return c().nextIndex();
            }

            @Override // java.util.ListIterator
            public V previous() {
                return c().previous();
            }

            public int previousIndex() {
                return c().previousIndex();
            }

            @Override // java.util.ListIterator
            public void set(V v7) {
                c().set(v7);
            }

            public a(int i7) {
                super(l.this.m().listIterator(i7));
            }
        }

        l(K k7, List<V> list, j<K, V>.k kVar) {
            super(k7, list, kVar);
        }

        @Override // java.util.List
        public void add(int i7, V v7) {
            k();
            boolean isEmpty = e().isEmpty();
            m().add(i7, v7);
            j.y(j.this);
            if (isEmpty) {
                b();
            }
        }

        @Override // java.util.List
        public boolean addAll(int i7, Collection<? extends V> collection) {
            if (collection.isEmpty()) {
                return false;
            }
            int size = size();
            boolean addAll = m().addAll(i7, collection);
            if (addAll) {
                int size2 = e().size();
                j.this.C2 += size2 - size;
                if (size == 0) {
                    b();
                }
            }
            return addAll;
        }

        @Override // java.util.List
        public V get(int i7) {
            k();
            return m().get(i7);
        }

        public int indexOf(Object obj) {
            k();
            return m().indexOf(obj);
        }

        public int lastIndexOf(Object obj) {
            k();
            return m().lastIndexOf(obj);
        }

        @Override // java.util.List
        public ListIterator<V> listIterator() {
            k();
            return new a();
        }

        /* access modifiers changed from: package-private */
        public List<V> m() {
            return (List) e();
        }

        @Override // java.util.List
        public V remove(int i7) {
            k();
            V remove = m().remove(i7);
            j.z(j.this);
            l();
            return remove;
        }

        @Override // java.util.List
        public V set(int i7, V v7) {
            k();
            return m().set(i7, v7);
        }

        /* JADX WARN: Multi-variable type inference failed */
        /* JADX WARN: Type inference failed for: r0v0, types: [com.google.common.collect.j] */
        /* JADX WARN: Type inference failed for: r3v1, types: [com.google.common.collect.j$k] */
        /* JADX WARN: Type inference failed for: r3v4 */
        /* JADX WARNING: Unknown variable types count: 1 */
        @Override // java.util.List
        public List<V> subList(int i7, int i8) {
            k();
            ?? r02 = j.this;
            Object h7 = h();
            List<V> subList = m().subList(i7, i8);
            j<K, V>.k c7 = c();
            ?? r32 = this;
            if (c7 != null) {
                r32 = c();
            }
            return r02.R(h7, subList, r32);
        }

        @Override // java.util.List
        public ListIterator<V> listIterator(int i7) {
            k();
            return new a(i7);
        }
    }

    class m extends j<K, V>.o implements NavigableSet<V> {
        m(K k7, NavigableSet<V> navigableSet, j<K, V>.k kVar) {
            super(k7, navigableSet, kVar);
        }

        /* JADX WARN: Multi-variable type inference failed */
        /* JADX WARN: Type inference failed for: r4v1, types: [com.google.common.collect.j$k] */
        /* JADX WARN: Type inference failed for: r4v3 */
        private NavigableSet<V> o(NavigableSet<V> navigableSet) {
            j jVar = j.this;
            K k7 = this.f10197f;
            j<K, V>.k c7 = c();
            ?? r42 = this;
            if (c7 != null) {
                r42 = c();
            }
            return new m(k7, navigableSet, r42);
        }

        @Override // java.util.NavigableSet
        public V ceiling(V v7) {
            return m().ceiling(v7);
        }

        @Override // java.util.NavigableSet
        public Iterator<V> descendingIterator() {
            return new k.a(m().descendingIterator());
        }

        @Override // java.util.NavigableSet
        public NavigableSet<V> descendingSet() {
            return o(m().descendingSet());
        }

        @Override // java.util.NavigableSet
        public V floor(V v7) {
            return m().floor(v7);
        }

        @Override // java.util.NavigableSet
        public NavigableSet<V> headSet(V v7, boolean z7) {
            return o(m().headSet(v7, z7));
        }

        @Override // java.util.NavigableSet
        public V higher(V v7) {
            return m().higher(v7);
        }

        @Override // java.util.NavigableSet
        public V lower(V v7) {
            return m().lower(v7);
        }

        /* access modifiers changed from: package-private */
        /* renamed from: n */
        public NavigableSet<V> m() {
            return (NavigableSet) super.m();
        }

        @Override // java.util.NavigableSet
        public V pollFirst() {
            return (V) w8.U(iterator());
        }

        @Override // java.util.NavigableSet
        public V pollLast() {
            return (V) w8.U(descendingIterator());
        }

        @Override // java.util.NavigableSet
        public NavigableSet<V> subSet(V v7, boolean z7, V v8, boolean z8) {
            return o(m().subSet(v7, z7, v8, z8));
        }

        @Override // java.util.NavigableSet
        public NavigableSet<V> tailSet(V v7, boolean z7) {
            return o(m().tailSet(v7, z7));
        }
    }

    class n extends j<K, V>.k implements Set<V> {
        n(K k7, Set<V> set) {
            super(k7, set, null);
        }

        @Override // java.util.AbstractCollection, com.google.common.collect.j.k, java.util.Collection, java.util.Set
        public boolean removeAll(Collection<?> collection) {
            if (collection.isEmpty()) {
                return false;
            }
            int size = size();
            boolean I = jc.I((Set) this.f10198g, collection);
            if (I) {
                int size2 = this.f10198g.size();
                j.this.C2 += size2 - size;
                l();
            }
            return I;
        }
    }

    /* access modifiers changed from: package-private */
    public class o extends j<K, V>.k implements SortedSet<V> {
        o(K k7, SortedSet<V> sortedSet, j<K, V>.k kVar) {
            super(k7, sortedSet, kVar);
        }

        @Override // java.util.SortedSet
        public Comparator<? super V> comparator() {
            return m().comparator();
        }

        @Override // java.util.SortedSet
        public V first() {
            k();
            return m().first();
        }

        /* JADX WARN: Multi-variable type inference failed */
        /* JADX WARN: Type inference failed for: r4v1, types: [com.google.common.collect.j$k] */
        /* JADX WARN: Type inference failed for: r4v3 */
        @Override // java.util.SortedSet
        public SortedSet<V> headSet(V v7) {
            k();
            j jVar = j.this;
            Object h7 = h();
            SortedSet<V> headSet = m().headSet(v7);
            j<K, V>.k c7 = c();
            ?? r42 = this;
            if (c7 != null) {
                r42 = c();
            }
            return new o(h7, headSet, r42);
        }

        @Override // java.util.SortedSet
        public V last() {
            k();
            return m().last();
        }

        /* access modifiers changed from: package-private */
        public SortedSet<V> m() {
            return (SortedSet) e();
        }

        /* JADX WARN: Multi-variable type inference failed */
        /* JADX WARN: Type inference failed for: r4v1, types: [com.google.common.collect.j$k] */
        /* JADX WARN: Type inference failed for: r4v3 */
        @Override // java.util.SortedSet
        public SortedSet<V> subSet(V v7, V v8) {
            k();
            j jVar = j.this;
            Object h7 = h();
            SortedSet<V> subSet = m().subSet(v7, v8);
            j<K, V>.k c7 = c();
            ?? r42 = this;
            if (c7 != null) {
                r42 = c();
            }
            return new o(h7, subSet, r42);
        }

        /* JADX WARN: Multi-variable type inference failed */
        /* JADX WARN: Type inference failed for: r4v1, types: [com.google.common.collect.j$k] */
        /* JADX WARN: Type inference failed for: r4v3 */
        @Override // java.util.SortedSet
        public SortedSet<V> tailSet(V v7) {
            k();
            j jVar = j.this;
            Object h7 = h();
            SortedSet<V> tailSet = m().tailSet(v7);
            j<K, V>.k c7 = c();
            ?? r42 = this;
            if (c7 != null) {
                r42 = c();
            }
            return new o(h7, tailSet, r42);
        }
    }

    protected j(Map<K, Collection<V>> map) {
        Preconditions.checkArgument(map.isEmpty());
        this.C1 = map;
    }

    private Collection<V> H(K k7) {
        Collection<V> collection = this.C1.get(k7);
        if (collection != null) {
            return collection;
        }
        Collection<V> D = D(k7);
        this.C1.put(k7, D);
        return D;
    }

    /* access modifiers changed from: private */
    public static <E> Iterator<E> I(Collection<E> collection) {
        return collection instanceof List ? ((List) collection).listIterator() : collection.iterator();
    }

    /* access modifiers changed from: private */
    public static /* synthetic */ Spliterator J(Map.Entry entry) {
        return w1.e(((Collection) entry.getValue()).spliterator(), new i(entry.getKey()));
    }

    /* access modifiers changed from: private */
    public static /* synthetic */ void K(BiConsumer biConsumer, Object obj, Collection collection) {
        collection.forEach(new f(biConsumer, obj));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void N(Object obj) {
        Collection collection = (Collection) v9.A0(this.C1, obj);
        if (collection != null) {
            int size = collection.size();
            collection.clear();
            this.C2 -= size;
        }
    }

    static /* synthetic */ int y(j jVar) {
        int i7 = jVar.C2;
        jVar.C2 = i7 + 1;
        return i7;
    }

    static /* synthetic */ int z(j jVar) {
        int i7 = jVar.C2;
        jVar.C2 = i7 - 1;
        return i7;
    }

    /* access modifiers changed from: package-private */
    public Map<K, Collection<V>> B() {
        return this.C1;
    }

    /* access modifiers changed from: package-private */
    public abstract Collection<V> C();

    /* access modifiers changed from: package-private */
    public Collection<V> D(K k7) {
        return C();
    }

    /* access modifiers changed from: package-private */
    public final Map<K, Collection<V>> E() {
        Map<K, Collection<V>> map = this.C1;
        return map instanceof NavigableMap ? new f((NavigableMap) this.C1) : map instanceof SortedMap ? new i((SortedMap) this.C1) : new c(this.C1);
    }

    /* access modifiers changed from: package-private */
    public final Set<K> F() {
        Map<K, Collection<V>> map = this.C1;
        return map instanceof NavigableMap ? new g((NavigableMap) this.C1) : map instanceof SortedMap ? new C0124j((SortedMap) this.C1) : new e(this.C1);
    }

    /* JADX DEBUG: Type inference failed for r0v0. Raw type applied. Possible types: java.util.Collection<V>, java.util.Collection<E> */
    /* JADX DEBUG: Type inference failed for r1v1. Raw type applied. Possible types: java.util.Collection<E>, java.util.Collection<V> */
    /* access modifiers changed from: package-private */
    public Collection<V> G() {
        return (Collection<E>) P(C());
    }

    /* access modifiers changed from: package-private */
    public final void O(Map<K, Collection<V>> map) {
        this.C1 = map;
        this.C2 = 0;
        for (Collection<V> collection : map.values()) {
            Preconditions.checkArgument(!collection.isEmpty());
            this.C2 += collection.size();
        }
    }

    /* access modifiers changed from: package-private */
    public <E> Collection<E> P(Collection<E> collection) {
        return Collections.unmodifiableCollection(collection);
    }

    /* access modifiers changed from: package-private */
    public Collection<V> Q(K k7, Collection<V> collection) {
        return new k(k7, collection, null);
    }

    /* access modifiers changed from: package-private */
    public final List<V> R(K k7, List<V> list, j<K, V>.k kVar) {
        return list instanceof RandomAccess ? new h(k7, list, kVar) : new l(k7, list, kVar);
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.o
    public Map<K, Collection<V>> a() {
        return new c(this.C1);
    }

    /* JADX DEBUG: Type inference failed for r3v1. Raw type applied. Possible types: java.util.Collection<E>, java.util.Collection<V> */
    @Override // com.google.common.collect.na
    public Collection<V> b(Object obj) {
        Collection<V> remove = this.C1.remove(obj);
        if (remove == null) {
            return G();
        }
        Collection C = C();
        C.addAll(remove);
        this.C2 -= remove.size();
        remove.clear();
        return (Collection<E>) P(C);
    }

    /* JADX DEBUG: Type inference failed for r3v1. Raw type applied. Possible types: java.util.Collection<E>, java.util.Collection<V> */
    /* JADX WARN: Type inference failed for: r1v3, types: [java.lang.Object] */
    /* JADX WARNING: Unknown variable types count: 1 */
    @Override // com.google.common.collect.o, com.google.common.collect.na
    public Collection<V> c(K k7, Iterable<? extends V> iterable) {
        Iterator<? extends V> it = iterable.iterator();
        if (!it.hasNext()) {
            return b(k7);
        }
        Collection<V> H = H(k7);
        Collection C = C();
        C.addAll(H);
        this.C2 -= H.size();
        H.clear();
        while (it.hasNext()) {
            if (H.add((Object) it.next())) {
                this.C2++;
            }
        }
        return (Collection<E>) P(C);
    }

    @Override // com.google.common.collect.na
    public void clear() {
        for (Collection<V> collection : this.C1.values()) {
            collection.clear();
        }
        this.C1.clear();
        this.C2 = 0;
    }

    @Override // com.google.common.collect.na
    public boolean containsKey(Object obj) {
        return this.C1.containsKey(obj);
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.o
    public Collection<Map.Entry<K, V>> d() {
        return this instanceof hc ? new o.b() : new o.a();
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.o
    public Set<K> f() {
        return new e(this.C1);
    }

    @Override // com.google.common.collect.na
    public void forEach(BiConsumer<? super K, ? super V> biConsumer) {
        Preconditions.checkNotNull(biConsumer);
        this.C1.forEach(new e(biConsumer));
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.o
    public ya<K> g() {
        return new ua.g(this);
    }

    @Override // com.google.common.collect.na
    public Collection<V> get(K k7) {
        Collection<V> collection = this.C1.get(k7);
        if (collection == null) {
            collection = D(k7);
        }
        return Q(k7, collection);
    }

    @Override // com.google.common.collect.o, com.google.common.collect.na
    public Collection<Map.Entry<K, V>> h() {
        return super.h();
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.o
    public Collection<V> i() {
        return new o.c();
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.o
    public Iterator<Map.Entry<K, V>> j() {
        return new b();
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.o
    public Spliterator<Map.Entry<K, V>> m() {
        return w1.b(this.C1.entrySet().spliterator(), new g(), 64, (long) size());
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.o
    public Iterator<V> n() {
        return new a();
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.o
    public Spliterator<V> p() {
        return w1.b(this.C1.values().spliterator(), new h(), 64, (long) size());
    }

    @Override // com.google.common.collect.o, com.google.common.collect.na
    public boolean put(K k7, V v7) {
        Collection<V> collection = this.C1.get(k7);
        if (collection == null) {
            Collection<V> D = D(k7);
            if (D.add(v7)) {
                this.C2++;
                this.C1.put(k7, D);
                return true;
            }
            throw new AssertionError("New Collection violated the Collection spec");
        } else if (!collection.add(v7)) {
            return false;
        } else {
            this.C2++;
            return true;
        }
    }

    @Override // com.google.common.collect.na
    public int size() {
        return this.C2;
    }

    @Override // com.google.common.collect.o, com.google.common.collect.na
    public Collection<V> values() {
        return super.values();
    }
}
