package com.google.common.collect;

import com.google.common.base.Preconditions;
import com.google.common.base.Predicate;
import com.google.common.base.Predicates;
import com.google.common.collect.e7;
import com.google.common.collect.f2;
import com.google.common.collect.t5;
import java.io.Serializable;
import java.util.AbstractSet;
import java.util.Arrays;
import java.util.BitSet;
import java.util.Collection;
import java.util.Collections;
import java.util.Comparator;
import java.util.EnumSet;
import java.util.HashSet;
import java.util.Iterator;
import java.util.LinkedHashSet;
import java.util.List;
import java.util.Map;
import java.util.NavigableSet;
import java.util.NoSuchElementException;
import java.util.Set;
import java.util.SortedSet;
import java.util.TreeSet;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.CopyOnWriteArraySet;
import java.util.function.Consumer;
import java.util.stream.Collector;
import java.util.stream.Stream;

@m0.b(emulated = true)
public final class jc {

    static class a extends n<E> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ Set f10219f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ Set f10220g;

        /* access modifiers changed from: package-private */
        /* renamed from: com.google.common.collect.jc$a$a  reason: collision with other inner class name */
        public class C0125a extends c<E> {

            /* renamed from: p  reason: collision with root package name */
            final Iterator<? extends E> f10221p;

            /* renamed from: x  reason: collision with root package name */
            final Iterator<? extends E> f10222x;

            C0125a() {
                this.f10221p = a.this.f10219f.iterator();
                this.f10222x = a.this.f10220g.iterator();
            }

            /* access modifiers changed from: protected */
            @Override // com.google.common.collect.c
            public E a() {
                if (this.f10221p.hasNext()) {
                    return (E) this.f10221p.next();
                }
                while (this.f10222x.hasNext()) {
                    E e7 = (E) this.f10222x.next();
                    if (!a.this.f10219f.contains(e7)) {
                        return e7;
                    }
                }
                return (E) b();
            }
        }

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        a(Set set, Set set2) {
            super(null);
            this.f10219f = set;
            this.f10220g = set2;
        }

        /* access modifiers changed from: private */
        public static /* synthetic */ boolean k(Set set, Object obj) {
            return !set.contains(obj);
        }

        @Override // com.google.common.collect.jc.n
        public <S extends Set<E>> S b(S s7) {
            s7.addAll(this.f10219f);
            s7.addAll(this.f10220g);
            return s7;
        }

        @Override // com.google.common.collect.jc.n
        public e7<E> c() {
            return new e7.a().c(this.f10219f).c(this.f10220g).e();
        }

        public boolean contains(Object obj) {
            return this.f10219f.contains(obj) || this.f10220g.contains(obj);
        }

        @Override // com.google.common.collect.jc.n
        /* renamed from: e */
        public le<E> iterator() {
            return new C0125a();
        }

        public boolean isEmpty() {
            return this.f10219f.isEmpty() && this.f10220g.isEmpty();
        }

        @Override // java.util.Collection
        public Stream<E> parallelStream() {
            return (Stream) stream().parallel();
        }

        public int size() {
            int size = this.f10219f.size();
            for (Object obj : this.f10220g) {
                if (!this.f10219f.contains(obj)) {
                    size++;
                }
            }
            return size;
        }

        @Override // java.util.Collection
        public Stream<E> stream() {
            return Stream.concat(this.f10219f.stream(), this.f10220g.stream().filter(new ic(this.f10219f)));
        }
    }

    static class b extends n<E> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ Set f10224f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ Set f10225g;

        /* access modifiers changed from: package-private */
        public class a extends c<E> {

            /* renamed from: p  reason: collision with root package name */
            final Iterator<E> f10226p;

            a() {
                this.f10226p = b.this.f10224f.iterator();
            }

            /* access modifiers changed from: protected */
            @Override // com.google.common.collect.c
            public E a() {
                while (this.f10226p.hasNext()) {
                    E next = this.f10226p.next();
                    if (b.this.f10225g.contains(next)) {
                        return next;
                    }
                }
                return (E) b();
            }
        }

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        b(Set set, Set set2) {
            super(null);
            this.f10224f = set;
            this.f10225g = set2;
        }

        public boolean contains(Object obj) {
            return this.f10224f.contains(obj) && this.f10225g.contains(obj);
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
        public boolean containsAll(Collection<?> collection) {
            return this.f10224f.containsAll(collection) && this.f10225g.containsAll(collection);
        }

        @Override // com.google.common.collect.jc.n
        /* renamed from: e */
        public le<E> iterator() {
            return new a();
        }

        public boolean isEmpty() {
            return Collections.disjoint(this.f10225g, this.f10224f);
        }

        @Override // java.util.Collection
        public Stream<E> parallelStream() {
            Stream parallelStream = this.f10224f.parallelStream();
            Set set = this.f10225g;
            set.getClass();
            return parallelStream.filter(new kc(set));
        }

        public int size() {
            int i7 = 0;
            for (Object obj : this.f10224f) {
                if (this.f10225g.contains(obj)) {
                    i7++;
                }
            }
            return i7;
        }

        @Override // java.util.Collection
        public Stream<E> stream() {
            Stream stream = this.f10224f.stream();
            Set set = this.f10225g;
            set.getClass();
            return stream.filter(new kc(set));
        }
    }

    static class c extends n<E> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ Set f10228f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ Set f10229g;

        /* access modifiers changed from: package-private */
        public class a extends c<E> {

            /* renamed from: p  reason: collision with root package name */
            final Iterator<E> f10230p;

            a() {
                this.f10230p = c.this.f10228f.iterator();
            }

            /* access modifiers changed from: protected */
            @Override // com.google.common.collect.c
            public E a() {
                while (this.f10230p.hasNext()) {
                    E next = this.f10230p.next();
                    if (!c.this.f10229g.contains(next)) {
                        return next;
                    }
                }
                return (E) b();
            }
        }

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        c(Set set, Set set2) {
            super(null);
            this.f10228f = set;
            this.f10229g = set2;
        }

        /* access modifiers changed from: private */
        public static /* synthetic */ boolean l(Set set, Object obj) {
            return !set.contains(obj);
        }

        /* access modifiers changed from: private */
        public static /* synthetic */ boolean m(Set set, Object obj) {
            return !set.contains(obj);
        }

        public boolean contains(Object obj) {
            return this.f10228f.contains(obj) && !this.f10229g.contains(obj);
        }

        @Override // com.google.common.collect.jc.n
        /* renamed from: e */
        public le<E> iterator() {
            return new a();
        }

        public boolean isEmpty() {
            return this.f10229g.containsAll(this.f10228f);
        }

        @Override // java.util.Collection
        public Stream<E> parallelStream() {
            return this.f10228f.parallelStream().filter(new lc(this.f10229g));
        }

        public int size() {
            int i7 = 0;
            for (Object obj : this.f10228f) {
                if (!this.f10229g.contains(obj)) {
                    i7++;
                }
            }
            return i7;
        }

        @Override // java.util.Collection
        public Stream<E> stream() {
            return this.f10228f.stream().filter(new mc(this.f10229g));
        }
    }

    static class d extends n<E> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ Set f10232f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ Set f10233g;

        /* access modifiers changed from: package-private */
        public class a extends c<E> {

            /* renamed from: p  reason: collision with root package name */
            final /* synthetic */ Iterator f10234p;

            /* renamed from: x  reason: collision with root package name */
            final /* synthetic */ Iterator f10235x;

            a(Iterator it, Iterator it2) {
                this.f10234p = it;
                this.f10235x = it2;
            }

            @Override // com.google.common.collect.c
            public E a() {
                while (this.f10234p.hasNext()) {
                    E e7 = (E) this.f10234p.next();
                    if (!d.this.f10233g.contains(e7)) {
                        return e7;
                    }
                }
                while (this.f10235x.hasNext()) {
                    E e8 = (E) this.f10235x.next();
                    if (!d.this.f10232f.contains(e8)) {
                        return e8;
                    }
                }
                return (E) b();
            }
        }

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        d(Set set, Set set2) {
            super(null);
            this.f10232f = set;
            this.f10233g = set2;
        }

        public boolean contains(Object obj) {
            return this.f10233g.contains(obj) ^ this.f10232f.contains(obj);
        }

        @Override // com.google.common.collect.jc.n
        /* renamed from: e */
        public le<E> iterator() {
            return new a(this.f10232f.iterator(), this.f10233g.iterator());
        }

        public boolean isEmpty() {
            return this.f10232f.equals(this.f10233g);
        }

        public int size() {
            int i7 = 0;
            for (Object obj : this.f10232f) {
                if (!this.f10233g.contains(obj)) {
                    i7++;
                }
            }
            for (Object obj2 : this.f10233g) {
                if (!this.f10232f.contains(obj2)) {
                    i7++;
                }
            }
            return i7;
        }
    }

    /* access modifiers changed from: package-private */
    public static class e extends AbstractSet<Set<E>> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ int f10237f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ h6 f10238g;

        class a extends c<Set<E>> {

            /* renamed from: p  reason: collision with root package name */
            final BitSet f10239p;

            /* access modifiers changed from: package-private */
            /* renamed from: com.google.common.collect.jc$e$a$a  reason: collision with other inner class name */
            public class C0126a extends AbstractSet<E> {

                /* renamed from: f  reason: collision with root package name */
                final /* synthetic */ BitSet f10241f;

                /* renamed from: com.google.common.collect.jc$e$a$a$a  reason: collision with other inner class name */
                class C0127a extends c<E> {

                    /* renamed from: p  reason: collision with root package name */
                    int f10243p = -1;

                    C0127a() {
                    }

                    /* access modifiers changed from: protected */
                    @Override // com.google.common.collect.c
                    public E a() {
                        int nextSetBit = C0126a.this.f10241f.nextSetBit(this.f10243p + 1);
                        this.f10243p = nextSetBit;
                        return nextSetBit == -1 ? (E) b() : (E) e.this.f10238g.keySet().b().get(this.f10243p);
                    }
                }

                C0126a(BitSet bitSet) {
                    this.f10241f = bitSet;
                }

                public boolean contains(Object obj) {
                    Integer num = (Integer) e.this.f10238g.get(obj);
                    return num != null && this.f10241f.get(num.intValue());
                }

                @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
                public Iterator<E> iterator() {
                    return new C0127a();
                }

                public int size() {
                    return e.this.f10237f;
                }
            }

            a() {
                this.f10239p = new BitSet(e.this.f10238g.size());
            }

            /* access modifiers changed from: protected */
            /* renamed from: d */
            public Set<E> a() {
                if (this.f10239p.isEmpty()) {
                    this.f10239p.set(0, e.this.f10237f);
                } else {
                    int nextSetBit = this.f10239p.nextSetBit(0);
                    int nextClearBit = this.f10239p.nextClearBit(nextSetBit);
                    if (nextClearBit == e.this.f10238g.size()) {
                        return (Set) b();
                    }
                    int i7 = (nextClearBit - nextSetBit) - 1;
                    this.f10239p.set(0, i7);
                    this.f10239p.clear(i7, nextClearBit);
                    this.f10239p.set(nextClearBit);
                }
                return new C0126a((BitSet) this.f10239p.clone());
            }
        }

        e(int i7, h6 h6Var) {
            this.f10237f = i7;
            this.f10238g = h6Var;
        }

        public boolean contains(Object obj) {
            if (!(obj instanceof Set)) {
                return false;
            }
            Set set = (Set) obj;
            return set.size() == this.f10237f && this.f10238g.keySet().containsAll(set);
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
        public Iterator<Set<E>> iterator() {
            return new a();
        }

        public int size() {
            return com.google.common.math.d.a(this.f10238g.size(), this.f10237f);
        }

        public String toString() {
            return "Sets.combinations(" + this.f10238g.keySet() + ", " + this.f10237f + ")";
        }
    }

    /* access modifiers changed from: private */
    public static final class f<E extends Enum<E>> {

        /* renamed from: b  reason: collision with root package name */
        static final Collector<Enum<?>, ?, e7<? extends Enum<?>>> f10245b = Collector.of(new nc(), new oc(), new pc(), new qc(), Collector.Characteristics.UNORDERED);

        /* renamed from: a  reason: collision with root package name */
        private EnumSet<E> f10246a;

        private f() {
        }

        public static /* synthetic */ f a() {
            return new f();
        }

        /* access modifiers changed from: package-private */
        public void b(E e7) {
            EnumSet<E> enumSet = this.f10246a;
            if (enumSet == null) {
                this.f10246a = EnumSet.of(e7);
            } else {
                enumSet.add(e7);
            }
        }

        /* access modifiers changed from: package-private */
        public f<E> c(f<E> fVar) {
            EnumSet<E> enumSet = this.f10246a;
            if (enumSet == null) {
                return fVar;
            }
            EnumSet<E> enumSet2 = fVar.f10246a;
            if (enumSet2 == null) {
                return this;
            }
            enumSet.addAll(enumSet2);
            return this;
        }

        /* access modifiers changed from: package-private */
        public e7<E> d() {
            EnumSet<E> enumSet = this.f10246a;
            return enumSet == null ? e7.Y() : r5.l0(enumSet);
        }
    }

    /* access modifiers changed from: private */
    public static final class g<E> extends a4<List<E>> implements Set<List<E>> {

        /* renamed from: f  reason: collision with root package name */
        private final transient t5<e7<E>> f10247f;

        /* renamed from: g  reason: collision with root package name */
        private final transient k0<E> f10248g;

        /* access modifiers changed from: package-private */
        public static class a extends t5<List<E>> {

            /* renamed from: p  reason: collision with root package name */
            final /* synthetic */ t5 f10249p;

            a(t5 t5Var) {
                this.f10249p = t5Var;
            }

            /* renamed from: B0 */
            public List<E> get(int i7) {
                return ((e7) this.f10249p.get(i7)).b();
            }

            /* access modifiers changed from: package-private */
            @Override // com.google.common.collect.n5
            public boolean m() {
                return true;
            }

            public int size() {
                return this.f10249p.size();
            }
        }

        private g(t5<e7<E>> t5Var, k0<E> k0Var) {
            this.f10247f = t5Var;
            this.f10248g = k0Var;
        }

        /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: com.google.common.collect.t5$b */
        /* JADX WARN: Multi-variable type inference failed */
        static <E> Set<List<E>> Q1(List<? extends Set<? extends E>> list) {
            t5.b bVar = new t5.b(list.size());
            Iterator<? extends Set<? extends E>> it = list.iterator();
            while (it.hasNext()) {
                e7 J = e7.J((Set) it.next());
                if (J.isEmpty()) {
                    return e7.Y();
                }
                bVar.a(J);
            }
            t5 l7 = bVar.e();
            return new g(l7, new k0(new a(l7)));
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.collect.a4
        /* renamed from: E1 */
        public Collection<List<E>> D1() {
            return this.f10248g;
        }

        public boolean equals(Object obj) {
            return obj instanceof g ? this.f10247f.equals(((g) obj).f10247f) : super.equals(obj);
        }

        public int hashCode() {
            int i7 = 1;
            int size = size() - 1;
            for (int i8 = 0; i8 < this.f10247f.size(); i8++) {
                size = ~(~(size * 31));
            }
            le<e7<E>> n7 = this.f10247f.iterator();
            while (n7.hasNext()) {
                e7<E> next = n7.next();
                i7 = ~(~((i7 * 31) + ((size() / next.size()) * next.hashCode())));
            }
            return ~(~(i7 + size));
        }
    }

    @m0.c
    static class h<E> extends q4<E> {

        /* renamed from: f  reason: collision with root package name */
        private final NavigableSet<E> f10250f;

        h(NavigableSet<E> navigableSet) {
            this.f10250f = navigableSet;
        }

        private static <T> kb<T> i2(Comparator<T> comparator) {
            return kb.i(comparator).G();
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.collect.q4
        /* renamed from: W1 */
        public NavigableSet<E> T1() {
            return this.f10250f;
        }

        @Override // java.util.NavigableSet, com.google.common.collect.q4
        public E ceiling(E e7) {
            return this.f10250f.floor(e7);
        }

        @Override // java.util.SortedSet, com.google.common.collect.x4
        public Comparator<? super E> comparator() {
            Comparator<? super E> comparator = this.f10250f.comparator();
            return comparator == null ? kb.B().G() : i2(comparator);
        }

        @Override // java.util.NavigableSet, com.google.common.collect.q4
        public Iterator<E> descendingIterator() {
            return this.f10250f.iterator();
        }

        @Override // java.util.NavigableSet, com.google.common.collect.q4
        public NavigableSet<E> descendingSet() {
            return this.f10250f;
        }

        @Override // java.util.SortedSet, com.google.common.collect.x4
        public E first() {
            return this.f10250f.last();
        }

        @Override // java.util.NavigableSet, com.google.common.collect.q4
        public E floor(E e7) {
            return this.f10250f.ceiling(e7);
        }

        @Override // java.util.NavigableSet, com.google.common.collect.q4
        public NavigableSet<E> headSet(E e7, boolean z7) {
            return this.f10250f.tailSet(e7, z7).descendingSet();
        }

        @Override // java.util.NavigableSet, com.google.common.collect.q4
        public E higher(E e7) {
            return this.f10250f.lower(e7);
        }

        @Override // java.util.Collection, java.util.Set, java.util.NavigableSet, java.lang.Iterable, com.google.common.collect.a4
        public Iterator<E> iterator() {
            return this.f10250f.descendingIterator();
        }

        @Override // java.util.SortedSet, com.google.common.collect.x4
        public E last() {
            return this.f10250f.first();
        }

        @Override // java.util.NavigableSet, com.google.common.collect.q4
        public E lower(E e7) {
            return this.f10250f.higher(e7);
        }

        @Override // java.util.NavigableSet, com.google.common.collect.q4
        public E pollFirst() {
            return this.f10250f.pollLast();
        }

        @Override // java.util.NavigableSet, com.google.common.collect.q4
        public E pollLast() {
            return this.f10250f.pollFirst();
        }

        @Override // java.util.NavigableSet, com.google.common.collect.q4
        public NavigableSet<E> subSet(E e7, boolean z7, E e8, boolean z8) {
            return this.f10250f.subSet(e8, z8, e7, z7).descendingSet();
        }

        @Override // java.util.NavigableSet, com.google.common.collect.q4
        public NavigableSet<E> tailSet(E e7, boolean z7) {
            return this.f10250f.headSet(e7, z7).descendingSet();
        }

        @Override // com.google.common.collect.a4
        public Object[] toArray() {
            return N1();
        }

        @Override // com.google.common.collect.r4
        public String toString() {
            return P1();
        }

        @Override // java.util.SortedSet, com.google.common.collect.x4, java.util.NavigableSet
        public SortedSet<E> headSet(E e7) {
            return a2(e7);
        }

        @Override // java.util.SortedSet, com.google.common.collect.x4, java.util.NavigableSet
        public SortedSet<E> subSet(E e7, E e8) {
            return U1(e7, e8);
        }

        @Override // java.util.SortedSet, com.google.common.collect.x4, java.util.NavigableSet
        public SortedSet<E> tailSet(E e7) {
            return h2(e7);
        }

        @Override // java.util.Collection, java.util.Set, com.google.common.collect.a4
        public <T> T[] toArray(T[] tArr) {
            return (T[]) O1(tArr);
        }
    }

    /* access modifiers changed from: private */
    @m0.c
    public static class i<E> extends k<E> implements NavigableSet<E> {
        i(NavigableSet<E> navigableSet, Predicate<? super E> predicate) {
            super(navigableSet, predicate);
        }

        @Override // java.util.NavigableSet
        public E ceiling(E e7) {
            return (E) t8.r(n().tailSet(e7, true), this.f9942g, null);
        }

        @Override // java.util.NavigableSet
        public Iterator<E> descendingIterator() {
            return w8.x(n().descendingIterator(), this.f9942g);
        }

        @Override // java.util.NavigableSet
        public NavigableSet<E> descendingSet() {
            return jc.h(n().descendingSet(), this.f9942g);
        }

        @Override // java.util.NavigableSet
        public E floor(E e7) {
            return (E) w8.A(n().headSet(e7, true).descendingIterator(), this.f9942g, null);
        }

        @Override // java.util.NavigableSet
        public NavigableSet<E> headSet(E e7, boolean z7) {
            return jc.h(n().headSet(e7, z7), this.f9942g);
        }

        @Override // java.util.NavigableSet
        public E higher(E e7) {
            return (E) t8.r(n().tailSet(e7, false), this.f9942g, null);
        }

        @Override // java.util.SortedSet, com.google.common.collect.jc.k
        public E last() {
            return (E) w8.z(n().descendingIterator(), this.f9942g);
        }

        @Override // java.util.NavigableSet
        public E lower(E e7) {
            return (E) w8.A(n().headSet(e7, false).descendingIterator(), this.f9942g, null);
        }

        /* access modifiers changed from: package-private */
        public NavigableSet<E> n() {
            return (NavigableSet) this.f9941f;
        }

        @Override // java.util.NavigableSet
        public E pollFirst() {
            return (E) t8.I(n(), this.f9942g);
        }

        @Override // java.util.NavigableSet
        public E pollLast() {
            return (E) t8.I(n().descendingSet(), this.f9942g);
        }

        @Override // java.util.NavigableSet
        public NavigableSet<E> subSet(E e7, boolean z7, E e8, boolean z8) {
            return jc.h(n().subSet(e7, z7, e8, z8), this.f9942g);
        }

        @Override // java.util.NavigableSet
        public NavigableSet<E> tailSet(E e7, boolean z7) {
            return jc.h(n().tailSet(e7, z7), this.f9942g);
        }
    }

    /* access modifiers changed from: private */
    public static class j<E> extends f2.a<E> implements Set<E> {
        j(Set<E> set, Predicate<? super E> predicate) {
            super(set, predicate);
        }

        public boolean equals(Object obj) {
            return jc.g(this, obj);
        }

        public int hashCode() {
            return jc.k(this);
        }
    }

    /* access modifiers changed from: private */
    public static class k<E> extends j<E> implements SortedSet<E> {
        k(SortedSet<E> sortedSet, Predicate<? super E> predicate) {
            super(sortedSet, predicate);
        }

        @Override // java.util.SortedSet
        public Comparator<? super E> comparator() {
            return ((SortedSet) this.f9941f).comparator();
        }

        @Override // java.util.SortedSet
        public E first() {
            return (E) w8.z(this.f9941f.iterator(), this.f9942g);
        }

        @Override // java.util.SortedSet
        public SortedSet<E> headSet(E e7) {
            return new k(((SortedSet) this.f9941f).headSet(e7), this.f9942g);
        }

        /* JADX WARN: Type inference failed for: r1v0, types: [E, java.lang.Object] */
        /* JADX WARNING: Unknown variable types count: 1 */
        @Override // java.util.SortedSet
        public E last() {
            SortedSet sortedSet = (SortedSet) this.f9941f;
            while (true) {
                ?? r12 = (Object) sortedSet.last();
                if (this.f9942g.apply(r12)) {
                    return r12;
                }
                sortedSet = sortedSet.headSet(r12);
            }
        }

        @Override // java.util.SortedSet
        public SortedSet<E> subSet(E e7, E e8) {
            return new k(((SortedSet) this.f9941f).subSet(e7, e8), this.f9942g);
        }

        @Override // java.util.SortedSet
        public SortedSet<E> tailSet(E e7) {
            return new k(((SortedSet) this.f9941f).tailSet(e7), this.f9942g);
        }
    }

    /* access modifiers changed from: package-private */
    public static abstract class l<E> extends AbstractSet<E> {
        l() {
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.AbstractSet, java.util.Set
        public boolean removeAll(Collection<?> collection) {
            return jc.I(this, collection);
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
        public boolean retainAll(Collection<?> collection) {
            return super.retainAll((Collection) Preconditions.checkNotNull(collection));
        }
    }

    /* access modifiers changed from: private */
    public static final class m<E> extends AbstractSet<Set<E>> {

        /* renamed from: f  reason: collision with root package name */
        final h6<E, Integer> f10251f;

        class a extends b<Set<E>> {
            a(int i7) {
                super(i7);
            }

            /* access modifiers changed from: protected */
            /* renamed from: b */
            public Set<E> a(int i7) {
                return new o(m.this.f10251f, i7);
            }
        }

        m(Set<E> set) {
            Preconditions.checkArgument(set.size() <= 30, "Too many elements to create power set: %s > 30", set.size());
            this.f10251f = v9.V(set);
        }

        public boolean contains(Object obj) {
            if (!(obj instanceof Set)) {
                return false;
            }
            return this.f10251f.keySet().containsAll((Set) obj);
        }

        public boolean equals(Object obj) {
            return obj instanceof m ? this.f10251f.equals(((m) obj).f10251f) : super.equals(obj);
        }

        public int hashCode() {
            return this.f10251f.keySet().hashCode() << (this.f10251f.size() - 1);
        }

        public boolean isEmpty() {
            return false;
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
        public Iterator<Set<E>> iterator() {
            return new a(size());
        }

        public int size() {
            return 1 << this.f10251f.size();
        }

        public String toString() {
            return "powerSet(" + this.f10251f + ")";
        }
    }

    public static abstract class n<E> extends AbstractSet<E> {
        private n() {
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
        @p0.a
        @Deprecated
        public final boolean add(E e7) {
            throw new UnsupportedOperationException();
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
        @p0.a
        @Deprecated
        public final boolean addAll(Collection<? extends E> collection) {
            throw new UnsupportedOperationException();
        }

        @p0.a
        public <S extends Set<E>> S b(S s7) {
            s7.addAll(this);
            return s7;
        }

        public e7<E> c() {
            return e7.J(this);
        }

        @Deprecated
        public final void clear() {
            throw new UnsupportedOperationException();
        }

        /* renamed from: e */
        public abstract le<E> iterator();

        @p0.a
        @Deprecated
        public final boolean remove(Object obj) {
            throw new UnsupportedOperationException();
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.AbstractSet, java.util.Set
        @p0.a
        @Deprecated
        public final boolean removeAll(Collection<?> collection) {
            throw new UnsupportedOperationException();
        }

        @Override // java.util.Collection
        @p0.a
        @Deprecated
        public final boolean removeIf(java.util.function.Predicate<? super E> predicate) {
            throw new UnsupportedOperationException();
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
        @p0.a
        @Deprecated
        public final boolean retainAll(Collection<?> collection) {
            throw new UnsupportedOperationException();
        }

        /* synthetic */ n(a aVar) {
            this();
        }
    }

    /* access modifiers changed from: private */
    public static final class o<E> extends AbstractSet<E> {

        /* renamed from: f  reason: collision with root package name */
        private final h6<E, Integer> f10253f;

        /* renamed from: g  reason: collision with root package name */
        private final int f10254g;

        class a extends le<E> {

            /* renamed from: f  reason: collision with root package name */
            final t5<E> f10255f;

            /* renamed from: g  reason: collision with root package name */
            int f10256g;

            a() {
                this.f10255f = o.this.f10253f.keySet().b();
                this.f10256g = o.this.f10254g;
            }

            public boolean hasNext() {
                return this.f10256g != 0;
            }

            @Override // java.util.Iterator
            public E next() {
                int numberOfTrailingZeros = Integer.numberOfTrailingZeros(this.f10256g);
                if (numberOfTrailingZeros != 32) {
                    this.f10256g &= ~(1 << numberOfTrailingZeros);
                    return this.f10255f.get(numberOfTrailingZeros);
                }
                throw new NoSuchElementException();
            }
        }

        o(h6<E, Integer> h6Var, int i7) {
            this.f10253f = h6Var;
            this.f10254g = i7;
        }

        public boolean contains(Object obj) {
            Integer num = this.f10253f.get(obj);
            return (num == null || (this.f10254g & (1 << num.intValue())) == 0) ? false : true;
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
        public Iterator<E> iterator() {
            return new a();
        }

        public int size() {
            return Integer.bitCount(this.f10254g);
        }
    }

    /* access modifiers changed from: package-private */
    public static final class p<E> extends x4<E> implements NavigableSet<E>, Serializable {

        /* renamed from: x  reason: collision with root package name */
        private static final long f10258x = 0;

        /* renamed from: f  reason: collision with root package name */
        private final NavigableSet<E> f10259f;

        /* renamed from: g  reason: collision with root package name */
        private final SortedSet<E> f10260g;

        /* renamed from: p  reason: collision with root package name */
        private transient p<E> f10261p;

        p(NavigableSet<E> navigableSet) {
            this.f10259f = (NavigableSet) Preconditions.checkNotNull(navigableSet);
            this.f10260g = Collections.unmodifiableSortedSet(navigableSet);
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.collect.x4
        /* renamed from: T1 */
        public SortedSet<E> Q1() {
            return this.f10260g;
        }

        @Override // java.util.NavigableSet
        public E ceiling(E e7) {
            return this.f10259f.ceiling(e7);
        }

        @Override // java.util.NavigableSet
        public Iterator<E> descendingIterator() {
            return w8.f0(this.f10259f.descendingIterator());
        }

        @Override // java.util.NavigableSet
        public NavigableSet<E> descendingSet() {
            p<E> pVar = this.f10261p;
            if (pVar != null) {
                return pVar;
            }
            p<E> pVar2 = new p<>(this.f10259f.descendingSet());
            this.f10261p = pVar2;
            pVar2.f10261p = this;
            return pVar2;
        }

        @Override // java.util.NavigableSet
        public E floor(E e7) {
            return this.f10259f.floor(e7);
        }

        @Override // java.lang.Iterable
        public void forEach(Consumer<? super E> consumer) {
            this.f10259f.forEach(consumer);
        }

        @Override // java.util.NavigableSet
        public NavigableSet<E> headSet(E e7, boolean z7) {
            return jc.P(this.f10259f.headSet(e7, z7));
        }

        @Override // java.util.NavigableSet
        public E higher(E e7) {
            return this.f10259f.higher(e7);
        }

        @Override // java.util.NavigableSet
        public E lower(E e7) {
            return this.f10259f.lower(e7);
        }

        @Override // java.util.Collection
        public Stream<E> parallelStream() {
            return this.f10259f.parallelStream();
        }

        @Override // java.util.NavigableSet
        public E pollFirst() {
            throw new UnsupportedOperationException();
        }

        @Override // java.util.NavigableSet
        public E pollLast() {
            throw new UnsupportedOperationException();
        }

        @Override // java.util.Collection
        public boolean removeIf(java.util.function.Predicate<? super E> predicate) {
            throw new UnsupportedOperationException();
        }

        @Override // java.util.Collection
        public Stream<E> stream() {
            return this.f10259f.stream();
        }

        @Override // java.util.NavigableSet
        public NavigableSet<E> subSet(E e7, boolean z7, E e8, boolean z8) {
            return jc.P(this.f10259f.subSet(e7, z7, e8, z8));
        }

        @Override // java.util.NavigableSet
        public NavigableSet<E> tailSet(E e7, boolean z7) {
            return jc.P(this.f10259f.tailSet(e7, z7));
        }
    }

    private jc() {
    }

    public static <E> LinkedHashSet<E> A() {
        return new LinkedHashSet<>();
    }

    public static <E> LinkedHashSet<E> B(Iterable<? extends E> iterable) {
        if (iterable instanceof Collection) {
            return new LinkedHashSet<>(f2.b(iterable));
        }
        LinkedHashSet<E> A = A();
        t8.a(A, iterable);
        return A;
    }

    public static <E> LinkedHashSet<E> C(int i7) {
        return new LinkedHashSet<>(v9.t(i7));
    }

    @Deprecated
    public static <E> Set<E> D(Map<E, Boolean> map) {
        return Collections.newSetFromMap(map);
    }

    public static <E extends Comparable> TreeSet<E> E() {
        return new TreeSet<>();
    }

    public static <E extends Comparable> TreeSet<E> F(Iterable<? extends E> iterable) {
        TreeSet<E> E = E();
        t8.a(E, iterable);
        return E;
    }

    public static <E> TreeSet<E> G(Comparator<? super E> comparator) {
        return new TreeSet<>((Comparator) Preconditions.checkNotNull(comparator));
    }

    @m0.b(serializable = false)
    public static <E> Set<Set<E>> H(Set<E> set) {
        return new m(set);
    }

    static boolean I(Set<?> set, Collection<?> collection) {
        Preconditions.checkNotNull(collection);
        if (collection instanceof ya) {
            collection = ((ya) collection).d();
        }
        return (!(collection instanceof Set) || collection.size() <= set.size()) ? J(set, collection.iterator()) : w8.V(set.iterator(), collection);
    }

    static boolean J(Set<?> set, Iterator<?> it) {
        boolean z7 = false;
        while (it.hasNext()) {
            z7 |= set.remove(it.next());
        }
        return z7;
    }

    @m0.a
    @m0.c
    public static <K extends Comparable<? super K>> NavigableSet<K> K(NavigableSet<K> navigableSet, ob<K> obVar) {
        boolean z7 = true;
        if (navigableSet.comparator() != null && navigableSet.comparator() != kb.B() && obVar.t() && obVar.u()) {
            Preconditions.checkArgument(navigableSet.comparator().compare(obVar.B(), obVar.N()) <= 0, "set is using a custom comparator which is inconsistent with the natural ordering.");
        }
        if (obVar.t() && obVar.u()) {
            K B = obVar.B();
            i0 A = obVar.A();
            i0 i0Var = i0.CLOSED;
            boolean z8 = A == i0Var;
            K N = obVar.N();
            if (obVar.M() != i0Var) {
                z7 = false;
            }
            return navigableSet.subSet(B, z8, N, z7);
        } else if (obVar.t()) {
            K B2 = obVar.B();
            if (obVar.A() != i0.CLOSED) {
                z7 = false;
            }
            return navigableSet.tailSet(B2, z7);
        } else if (!obVar.u()) {
            return (NavigableSet) Preconditions.checkNotNull(navigableSet);
        } else {
            K N2 = obVar.N();
            if (obVar.M() != i0.CLOSED) {
                z7 = false;
            }
            return navigableSet.headSet(N2, z7);
        }
    }

    public static <E> n<E> L(Set<? extends E> set, Set<? extends E> set2) {
        Preconditions.checkNotNull(set, "set1");
        Preconditions.checkNotNull(set2, "set2");
        return new d(set, set2);
    }

    @m0.c
    public static <E> NavigableSet<E> M(NavigableSet<E> navigableSet) {
        return wd.q(navigableSet);
    }

    public static <E extends Enum<E>> Collector<E, ?, e7<E>> N() {
        return (Collector<E, ?, e7<E>>) f.f10245b;
    }

    public static <E> n<E> O(Set<? extends E> set, Set<? extends E> set2) {
        Preconditions.checkNotNull(set, "set1");
        Preconditions.checkNotNull(set2, "set2");
        return new a(set, set2);
    }

    public static <E> NavigableSet<E> P(NavigableSet<E> navigableSet) {
        return ((navigableSet instanceof n5) || (navigableSet instanceof p)) ? navigableSet : new p(navigableSet);
    }

    public static <B> Set<List<B>> a(List<? extends Set<? extends B>> list) {
        return g.Q1(list);
    }

    @SafeVarargs
    public static <B> Set<List<B>> b(Set<? extends B>... setArr) {
        return a(Arrays.asList(setArr));
    }

    @m0.a
    public static <E> Set<Set<E>> c(Set<E> set, int i7) {
        e7 s7;
        h6 V = v9.V(set);
        t1.b(i7, "size");
        Preconditions.checkArgument(i7 <= V.size(), "size (%s) must be <= set.size() (%s)", i7, V.size());
        if (i7 == 0) {
            s7 = e7.Y();
        } else if (i7 != V.size()) {
            return new e(i7, V);
        } else {
            s7 = V.keySet();
        }
        return e7.Z(s7);
    }

    public static <E extends Enum<E>> EnumSet<E> d(Collection<E> collection) {
        if (collection instanceof EnumSet) {
            return EnumSet.complementOf((EnumSet) collection);
        }
        Preconditions.checkArgument(!collection.isEmpty(), "collection is empty; use the other version of this method");
        return o(collection, collection.iterator().next().getDeclaringClass());
    }

    public static <E extends Enum<E>> EnumSet<E> e(Collection<E> collection, Class<E> cls) {
        Preconditions.checkNotNull(collection);
        return collection instanceof EnumSet ? EnumSet.complementOf((EnumSet) collection) : o(collection, cls);
    }

    public static <E> n<E> f(Set<E> set, Set<?> set2) {
        Preconditions.checkNotNull(set, "set1");
        Preconditions.checkNotNull(set2, "set2");
        return new c(set, set2);
    }

    static boolean g(Set<?> set, Object obj) {
        if (set == obj) {
            return true;
        }
        if (obj instanceof Set) {
            Set set2 = (Set) obj;
            try {
                return set.size() == set2.size() && set.containsAll(set2);
            } catch (ClassCastException | NullPointerException unused) {
            }
        }
        return false;
    }

    @m0.c
    public static <E> NavigableSet<E> h(NavigableSet<E> navigableSet, Predicate<? super E> predicate) {
        if (!(navigableSet instanceof j)) {
            return new i((NavigableSet) Preconditions.checkNotNull(navigableSet), (Predicate) Preconditions.checkNotNull(predicate));
        }
        j jVar = (j) navigableSet;
        return new i((NavigableSet) jVar.f9941f, Predicates.and(jVar.f9942g, predicate));
    }

    public static <E> Set<E> i(Set<E> set, Predicate<? super E> predicate) {
        if (set instanceof SortedSet) {
            return j((SortedSet) set, predicate);
        }
        if (!(set instanceof j)) {
            return new j((Set) Preconditions.checkNotNull(set), (Predicate) Preconditions.checkNotNull(predicate));
        }
        j jVar = (j) set;
        return new j((Set) jVar.f9941f, Predicates.and(jVar.f9942g, predicate));
    }

    public static <E> SortedSet<E> j(SortedSet<E> sortedSet, Predicate<? super E> predicate) {
        if (!(sortedSet instanceof j)) {
            return new k((SortedSet) Preconditions.checkNotNull(sortedSet), (Predicate) Preconditions.checkNotNull(predicate));
        }
        j jVar = (j) sortedSet;
        return new k((SortedSet) jVar.f9941f, Predicates.and(jVar.f9942g, predicate));
    }

    static int k(Set<?> set) {
        Iterator<?> it = set.iterator();
        int i7 = 0;
        while (it.hasNext()) {
            Object next = it.next();
            i7 = ~(~(i7 + (next != null ? next.hashCode() : 0)));
        }
        return i7;
    }

    @m0.b(serializable = true)
    public static <E extends Enum<E>> e7<E> l(E e7, E... eArr) {
        return r5.l0(EnumSet.of(e7, eArr));
    }

    @m0.b(serializable = true)
    public static <E extends Enum<E>> e7<E> m(Iterable<E> iterable) {
        if (iterable instanceof r5) {
            return (r5) iterable;
        }
        if (iterable instanceof Collection) {
            Collection collection = (Collection) iterable;
            return collection.isEmpty() ? e7.Y() : r5.l0(EnumSet.copyOf(collection));
        }
        Iterator<E> it = iterable.iterator();
        if (!it.hasNext()) {
            return e7.Y();
        }
        EnumSet of = EnumSet.of(it.next());
        w8.a(of, it);
        return r5.l0(of);
    }

    public static <E> n<E> n(Set<E> set, Set<?> set2) {
        Preconditions.checkNotNull(set, "set1");
        Preconditions.checkNotNull(set2, "set2");
        return new b(set, set2);
    }

    private static <E extends Enum<E>> EnumSet<E> o(Collection<E> collection, Class<E> cls) {
        EnumSet<E> allOf = EnumSet.allOf(cls);
        allOf.removeAll(collection);
        return allOf;
    }

    public static <E> Set<E> p() {
        return Collections.newSetFromMap(new ConcurrentHashMap());
    }

    public static <E> Set<E> q(Iterable<? extends E> iterable) {
        Set<E> p7 = p();
        t8.a(p7, iterable);
        return p7;
    }

    @m0.c
    public static <E> CopyOnWriteArraySet<E> r() {
        return new CopyOnWriteArraySet<>();
    }

    @m0.c
    public static <E> CopyOnWriteArraySet<E> s(Iterable<? extends E> iterable) {
        return new CopyOnWriteArraySet<>(iterable instanceof Collection ? f2.b(iterable) : i9.r(iterable));
    }

    public static <E extends Enum<E>> EnumSet<E> t(Iterable<E> iterable, Class<E> cls) {
        EnumSet<E> noneOf = EnumSet.noneOf(cls);
        t8.a(noneOf, iterable);
        return noneOf;
    }

    public static <E> HashSet<E> u() {
        return new HashSet<>();
    }

    public static <E> HashSet<E> v(Iterable<? extends E> iterable) {
        return iterable instanceof Collection ? new HashSet<>(f2.b(iterable)) : w(iterable.iterator());
    }

    public static <E> HashSet<E> w(Iterator<? extends E> it) {
        HashSet<E> u7 = u();
        w8.a(u7, it);
        return u7;
    }

    public static <E> HashSet<E> x(E... eArr) {
        HashSet<E> y7 = y(eArr.length);
        Collections.addAll(y7, eArr);
        return y7;
    }

    public static <E> HashSet<E> y(int i7) {
        return new HashSet<>(v9.t(i7));
    }

    public static <E> Set<E> z() {
        return Collections.newSetFromMap(v9.l0());
    }
}
