package com.google.common.collect;

import com.google.common.base.MoreObjects;
import com.google.common.base.Preconditions;
import java.io.Serializable;
import java.lang.Comparable;
import java.util.Collection;
import java.util.Comparator;
import java.util.Iterator;
import java.util.Map;
import java.util.NavigableMap;
import java.util.NoSuchElementException;
import java.util.Set;
import java.util.TreeMap;

@m0.a
@m0.c
public class je<C extends Comparable<?>> extends r<C> implements Serializable {
    @m0.d

    /* renamed from: f  reason: collision with root package name */
    final NavigableMap<c3<C>, ob<C>> f10263f;

    /* renamed from: g  reason: collision with root package name */
    private transient Set<ob<C>> f10264g;

    /* renamed from: p  reason: collision with root package name */
    private transient Set<ob<C>> f10265p;

    /* renamed from: x  reason: collision with root package name */
    private transient rb<C> f10266x;

    final class b extends a4<ob<C>> implements Set<ob<C>> {

        /* renamed from: f  reason: collision with root package name */
        final Collection<ob<C>> f10267f;

        b(Collection<ob<C>> collection) {
            this.f10267f = collection;
        }

        /* JADX DEBUG: Type inference failed for r0v1. Raw type applied. Possible types: java.util.Collection<com.google.common.collect.ob<C>>, java.util.Collection<com.google.common.collect.ob<C extends java.lang.Comparable<?>>> */
        /* access modifiers changed from: protected */
        @Override // com.google.common.collect.a4
        /* renamed from: E1 */
        public Collection<ob<C>> D1() {
            return (Collection<ob<C>>) this.f10267f;
        }

        public boolean equals(Object obj) {
            return jc.g(this, obj);
        }

        public int hashCode() {
            return jc.k(this);
        }
    }

    private final class c extends je<C> {
        c() {
            super(new d(je.this.f10263f));
        }

        @Override // com.google.common.collect.rb, com.google.common.collect.je, com.google.common.collect.r
        public void a(ob<C> obVar) {
            je.this.g(obVar);
        }

        @Override // com.google.common.collect.rb, com.google.common.collect.je, com.google.common.collect.r
        public boolean contains(C c7) {
            return !je.this.contains(c7);
        }

        @Override // com.google.common.collect.rb, com.google.common.collect.je, com.google.common.collect.r
        public void g(ob<C> obVar) {
            je.this.a(obVar);
        }

        @Override // com.google.common.collect.rb, com.google.common.collect.je
        public rb<C> h() {
            return je.this;
        }
    }

    /* access modifiers changed from: private */
    public static final class d<C extends Comparable<?>> extends q<c3<C>, ob<C>> {

        /* renamed from: f  reason: collision with root package name */
        private final NavigableMap<c3<C>, ob<C>> f10270f;

        /* renamed from: g  reason: collision with root package name */
        private final NavigableMap<c3<C>, ob<C>> f10271g;

        /* renamed from: p  reason: collision with root package name */
        private final ob<c3<C>> f10272p;

        /* access modifiers changed from: package-private */
        public class a extends c<Map.Entry<c3<C>, ob<C>>> {

            /* renamed from: p  reason: collision with root package name */
            c3<C> f10273p;

            /* renamed from: x  reason: collision with root package name */
            final /* synthetic */ c3 f10274x;

            /* renamed from: y  reason: collision with root package name */
            final /* synthetic */ lb f10275y;

            a(c3 c3Var, lb lbVar) {
                this.f10274x = c3Var;
                this.f10275y = lbVar;
                this.f10273p = c3Var;
            }

            /* access modifiers changed from: protected */
            /* renamed from: d */
            public Map.Entry<c3<C>, ob<C>> a() {
                ob obVar;
                c3<C> c3Var;
                if (d.this.f10272p.f10532g.k(this.f10273p) || this.f10273p == c3.a()) {
                    return (Map.Entry) b();
                }
                if (this.f10275y.hasNext()) {
                    ob obVar2 = (ob) this.f10275y.next();
                    obVar = ob.m(this.f10273p, obVar2.f10531f);
                    c3Var = obVar2.f10532g;
                } else {
                    obVar = ob.m(this.f10273p, c3.a());
                    c3Var = c3.a();
                }
                this.f10273p = c3Var;
                return v9.T(obVar.f10531f, obVar);
            }
        }

        class b extends c<Map.Entry<c3<C>, ob<C>>> {

            /* renamed from: p  reason: collision with root package name */
            c3<C> f10276p;

            /* renamed from: x  reason: collision with root package name */
            final /* synthetic */ c3 f10277x;

            /* renamed from: y  reason: collision with root package name */
            final /* synthetic */ lb f10278y;

            b(c3 c3Var, lb lbVar) {
                this.f10277x = c3Var;
                this.f10278y = lbVar;
                this.f10276p = c3Var;
            }

            /* access modifiers changed from: protected */
            /* renamed from: d */
            public Map.Entry<c3<C>, ob<C>> a() {
                if (this.f10276p == c3.c()) {
                    return (Map.Entry) b();
                }
                if (this.f10278y.hasNext()) {
                    ob obVar = (ob) this.f10278y.next();
                    ob m7 = ob.m(obVar.f10532g, this.f10276p);
                    this.f10276p = obVar.f10531f;
                    if (d.this.f10272p.f10531f.k(m7.f10531f)) {
                        return v9.T(m7.f10531f, m7);
                    }
                } else if (d.this.f10272p.f10531f.k(c3.c())) {
                    ob m8 = ob.m(c3.c(), this.f10276p);
                    this.f10276p = c3.c();
                    return v9.T(c3.c(), m8);
                }
                return (Map.Entry) b();
            }
        }

        d(NavigableMap<c3<C>, ob<C>> navigableMap) {
            this(navigableMap, ob.a());
        }

        private NavigableMap<c3<C>, ob<C>> i(ob<c3<C>> obVar) {
            if (!this.f10272p.w(obVar)) {
                return s7.q0();
            }
            return new d(this.f10270f, obVar.v(this.f10272p));
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.v9.b0
        public Iterator<Map.Entry<c3<C>, ob<C>>> a() {
            NavigableMap<c3<C>, ob<C>> navigableMap;
            c3<C> c3Var;
            if (this.f10272p.t()) {
                navigableMap = this.f10271g.tailMap(this.f10272p.B(), this.f10272p.A() == i0.CLOSED);
            } else {
                navigableMap = this.f10271g;
            }
            lb T = w8.T(navigableMap.values().iterator());
            if (this.f10272p.j(c3.c()) && (!T.hasNext() || ((ob) T.peek()).f10531f != c3.c())) {
                c3Var = c3.c();
            } else if (!T.hasNext()) {
                return w8.u();
            } else {
                c3Var = ((ob) T.next()).f10532g;
            }
            return new a(c3Var, T);
        }

        @Override // java.util.SortedMap
        public Comparator<? super c3<C>> comparator() {
            return kb.B();
        }

        public boolean containsKey(Object obj) {
            return get(obj) != null;
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.q
        public Iterator<Map.Entry<c3<C>, ob<C>>> d() {
            c3<C> c3Var;
            c3<C> c3Var2;
            NavigableMap<c3<C>, ob<C>> navigableMap;
            lb T = w8.T(this.f10271g.headMap(this.f10272p.u() ? this.f10272p.N() : c3.a(), this.f10272p.u() && this.f10272p.M() == i0.CLOSED).descendingMap().values().iterator());
            if (T.hasNext()) {
                if (((ob) T.peek()).f10532g == c3.a()) {
                    c3Var = ((ob) T.next()).f10531f;
                    return new b((c3) MoreObjects.firstNonNull(c3Var, c3.a()), T);
                }
                navigableMap = this.f10270f;
                c3Var2 = ((ob) T.peek()).f10532g;
            } else if (!this.f10272p.j(c3.c()) || this.f10270f.containsKey(c3.c())) {
                return w8.u();
            } else {
                navigableMap = this.f10270f;
                c3Var2 = c3.c();
            }
            c3Var = navigableMap.higherKey(c3Var2);
            return new b((c3) MoreObjects.firstNonNull(c3Var, c3.a()), T);
        }

        /* renamed from: f */
        public ob<C> get(Object obj) {
            if (obj instanceof c3) {
                try {
                    c3<C> c3Var = (c3) obj;
                    Map.Entry<c3<C>, ob<C>> firstEntry = tailMap(c3Var, true).firstEntry();
                    if (firstEntry != null && firstEntry.getKey().equals(c3Var)) {
                        return firstEntry.getValue();
                    }
                } catch (ClassCastException unused) {
                }
            }
            return null;
        }

        /* renamed from: g */
        public NavigableMap<c3<C>, ob<C>> headMap(c3<C> c3Var, boolean z7) {
            return i(ob.K(c3Var, i0.b(z7)));
        }

        /* renamed from: h */
        public NavigableMap<c3<C>, ob<C>> subMap(c3<C> c3Var, boolean z7, c3<C> c3Var2, boolean z8) {
            return i(ob.E(c3Var, i0.b(z7), c3Var2, i0.b(z8)));
        }

        /* renamed from: j */
        public NavigableMap<c3<C>, ob<C>> tailMap(c3<C> c3Var, boolean z7) {
            return i(ob.n(c3Var, i0.b(z7)));
        }

        @Override // com.google.common.collect.v9.b0
        public int size() {
            return w8.Z(a());
        }

        private d(NavigableMap<c3<C>, ob<C>> navigableMap, ob<c3<C>> obVar) {
            this.f10270f = navigableMap;
            this.f10271g = new e(navigableMap);
            this.f10272p = obVar;
        }
    }

    /* access modifiers changed from: package-private */
    @m0.d
    public static final class e<C extends Comparable<?>> extends q<c3<C>, ob<C>> {

        /* renamed from: f  reason: collision with root package name */
        private final NavigableMap<c3<C>, ob<C>> f10279f;

        /* renamed from: g  reason: collision with root package name */
        private final ob<c3<C>> f10280g;

        /* access modifiers changed from: package-private */
        public class a extends c<Map.Entry<c3<C>, ob<C>>> {

            /* renamed from: p  reason: collision with root package name */
            final /* synthetic */ Iterator f10281p;

            a(Iterator it) {
                this.f10281p = it;
            }

            /* access modifiers changed from: protected */
            /* renamed from: d */
            public Map.Entry<c3<C>, ob<C>> a() {
                if (!this.f10281p.hasNext()) {
                    return (Map.Entry) b();
                }
                ob obVar = (ob) this.f10281p.next();
                return e.this.f10280g.f10532g.k(obVar.f10532g) ? (Map.Entry) b() : v9.T(obVar.f10532g, obVar);
            }
        }

        class b extends c<Map.Entry<c3<C>, ob<C>>> {

            /* renamed from: p  reason: collision with root package name */
            final /* synthetic */ lb f10283p;

            b(lb lbVar) {
                this.f10283p = lbVar;
            }

            /* access modifiers changed from: protected */
            /* renamed from: d */
            public Map.Entry<c3<C>, ob<C>> a() {
                if (!this.f10283p.hasNext()) {
                    return (Map.Entry) b();
                }
                ob obVar = (ob) this.f10283p.next();
                return e.this.f10280g.f10531f.k(obVar.f10532g) ? v9.T(obVar.f10532g, obVar) : (Map.Entry) b();
            }
        }

        e(NavigableMap<c3<C>, ob<C>> navigableMap) {
            this.f10279f = navigableMap;
            this.f10280g = ob.a();
        }

        private NavigableMap<c3<C>, ob<C>> i(ob<c3<C>> obVar) {
            return obVar.w(this.f10280g) ? new e(this.f10279f, obVar.v(this.f10280g)) : s7.q0();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.v9.b0
        public Iterator<Map.Entry<c3<C>, ob<C>>> a() {
            Map.Entry<c3<C>, ob<C>> lowerEntry;
            return new a(((this.f10280g.t() && (lowerEntry = this.f10279f.lowerEntry(this.f10280g.B())) != null) ? this.f10280g.f10531f.k(lowerEntry.getValue().f10532g) ? this.f10279f.tailMap(lowerEntry.getKey(), true) : this.f10279f.tailMap(this.f10280g.B(), true) : this.f10279f).values().iterator());
        }

        @Override // java.util.SortedMap
        public Comparator<? super c3<C>> comparator() {
            return kb.B();
        }

        public boolean containsKey(Object obj) {
            return get(obj) != null;
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.q
        public Iterator<Map.Entry<c3<C>, ob<C>>> d() {
            lb T = w8.T((this.f10280g.u() ? this.f10279f.headMap(this.f10280g.N(), false) : this.f10279f).descendingMap().values().iterator());
            if (T.hasNext() && this.f10280g.f10532g.k(((ob) T.peek()).f10532g)) {
                T.next();
            }
            return new b(T);
        }

        /* renamed from: f */
        public ob<C> get(Object obj) {
            Map.Entry<c3<C>, ob<C>> lowerEntry;
            if (obj instanceof c3) {
                try {
                    c3<C> c3Var = (c3) obj;
                    if (this.f10280g.j(c3Var) && (lowerEntry = this.f10279f.lowerEntry(c3Var)) != null && lowerEntry.getValue().f10532g.equals(c3Var)) {
                        return lowerEntry.getValue();
                    }
                } catch (ClassCastException unused) {
                }
            }
            return null;
        }

        /* renamed from: g */
        public NavigableMap<c3<C>, ob<C>> headMap(c3<C> c3Var, boolean z7) {
            return i(ob.K(c3Var, i0.b(z7)));
        }

        /* renamed from: h */
        public NavigableMap<c3<C>, ob<C>> subMap(c3<C> c3Var, boolean z7, c3<C> c3Var2, boolean z8) {
            return i(ob.E(c3Var, i0.b(z7), c3Var2, i0.b(z8)));
        }

        public boolean isEmpty() {
            return this.f10280g.equals(ob.a()) ? this.f10279f.isEmpty() : !a().hasNext();
        }

        /* renamed from: j */
        public NavigableMap<c3<C>, ob<C>> tailMap(c3<C> c3Var, boolean z7) {
            return i(ob.n(c3Var, i0.b(z7)));
        }

        @Override // com.google.common.collect.v9.b0
        public int size() {
            return this.f10280g.equals(ob.a()) ? this.f10279f.size() : w8.Z(a());
        }

        private e(NavigableMap<c3<C>, ob<C>> navigableMap, ob<c3<C>> obVar) {
            this.f10279f = navigableMap;
            this.f10280g = obVar;
        }
    }

    private final class f extends je<C> {

        /* renamed from: y  reason: collision with root package name */
        private final ob<C> f10285y;

        f(ob<C> obVar) {
            super(new g(ob.a(), obVar, je.this.f10263f));
            this.f10285y = obVar;
        }

        /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: com.google.common.collect.ob<C extends java.lang.Comparable<?>> */
        /* JADX WARN: Multi-variable type inference failed */
        @Override // com.google.common.collect.rb, com.google.common.collect.je, com.google.common.collect.r
        public void a(ob<C> obVar) {
            if (obVar.w(this.f10285y)) {
                je.this.a(obVar.v(this.f10285y));
            }
        }

        /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: com.google.common.collect.je */
        /* JADX WARN: Multi-variable type inference failed */
        @Override // com.google.common.collect.rb, com.google.common.collect.je, com.google.common.collect.r
        public void clear() {
            je.this.a(this.f10285y);
        }

        @Override // com.google.common.collect.rb, com.google.common.collect.je, com.google.common.collect.r
        public boolean contains(C c7) {
            return this.f10285y.j(c7) && je.this.contains(c7);
        }

        @Override // com.google.common.collect.rb, com.google.common.collect.je, com.google.common.collect.r
        public void g(ob<C> obVar) {
            Preconditions.checkArgument(this.f10285y.q(obVar), "Cannot add range %s to subRangeSet(%s)", obVar, this.f10285y);
            je.super.g(obVar);
        }

        /* JADX DEBUG: Type inference failed for r2v1. Raw type applied. Possible types: com.google.common.collect.ob<C>, com.google.common.collect.ob<C extends java.lang.Comparable<?>> */
        @Override // com.google.common.collect.rb, com.google.common.collect.je, com.google.common.collect.r
        public ob<C> i(C c7) {
            ob<C> i7;
            if (this.f10285y.j(c7) && (i7 = je.this.i(c7)) != null) {
                return i7.v((ob<C>) this.f10285y);
            }
            return null;
        }

        @Override // com.google.common.collect.rb, com.google.common.collect.je, com.google.common.collect.r
        public boolean j(ob<C> obVar) {
            ob w7;
            return !this.f10285y.x() && this.f10285y.q(obVar) && (w7 = je.this.w(obVar)) != null && !w7.v(this.f10285y).x();
        }

        /* JADX DEBUG: Multi-variable search result rejected for r3v0, resolved type: com.google.common.collect.ob<C extends java.lang.Comparable<?>> */
        /* JADX WARN: Multi-variable type inference failed */
        @Override // com.google.common.collect.rb, com.google.common.collect.je
        public rb<C> m(ob<C> obVar) {
            return obVar.q(this.f10285y) ? this : obVar.w(this.f10285y) ? new f(this.f10285y.v(obVar)) : d7.F();
        }
    }

    /* access modifiers changed from: private */
    public static final class g<C extends Comparable<?>> extends q<c3<C>, ob<C>> {

        /* renamed from: f  reason: collision with root package name */
        private final ob<c3<C>> f10286f;

        /* renamed from: g  reason: collision with root package name */
        private final ob<C> f10287g;

        /* renamed from: p  reason: collision with root package name */
        private final NavigableMap<c3<C>, ob<C>> f10288p;

        /* renamed from: x  reason: collision with root package name */
        private final NavigableMap<c3<C>, ob<C>> f10289x;

        /* access modifiers changed from: package-private */
        public class a extends c<Map.Entry<c3<C>, ob<C>>> {

            /* renamed from: p  reason: collision with root package name */
            final /* synthetic */ Iterator f10290p;

            /* renamed from: x  reason: collision with root package name */
            final /* synthetic */ c3 f10291x;

            a(Iterator it, c3 c3Var) {
                this.f10290p = it;
                this.f10291x = c3Var;
            }

            /* access modifiers changed from: protected */
            /* renamed from: d */
            public Map.Entry<c3<C>, ob<C>> a() {
                if (!this.f10290p.hasNext()) {
                    return (Map.Entry) b();
                }
                ob obVar = (ob) this.f10290p.next();
                if (this.f10291x.k(obVar.f10531f)) {
                    return (Map.Entry) b();
                }
                ob v7 = obVar.v(g.this.f10287g);
                return v9.T(v7.f10531f, v7);
            }
        }

        class b extends c<Map.Entry<c3<C>, ob<C>>> {

            /* renamed from: p  reason: collision with root package name */
            final /* synthetic */ Iterator f10293p;

            b(Iterator it) {
                this.f10293p = it;
            }

            /* access modifiers changed from: protected */
            /* renamed from: d */
            public Map.Entry<c3<C>, ob<C>> a() {
                if (!this.f10293p.hasNext()) {
                    return (Map.Entry) b();
                }
                ob obVar = (ob) this.f10293p.next();
                if (g.this.f10287g.f10531f.compareTo(obVar.f10532g) >= 0) {
                    return (Map.Entry) b();
                }
                ob v7 = obVar.v(g.this.f10287g);
                return g.this.f10286f.j(v7.f10531f) ? v9.T(v7.f10531f, v7) : (Map.Entry) b();
            }
        }

        private g(ob<c3<C>> obVar, ob<C> obVar2, NavigableMap<c3<C>, ob<C>> navigableMap) {
            this.f10286f = (ob) Preconditions.checkNotNull(obVar);
            this.f10287g = (ob) Preconditions.checkNotNull(obVar2);
            this.f10288p = (NavigableMap) Preconditions.checkNotNull(navigableMap);
            this.f10289x = new e(navigableMap);
        }

        private NavigableMap<c3<C>, ob<C>> j(ob<c3<C>> obVar) {
            return !obVar.w(this.f10286f) ? s7.q0() : new g(this.f10286f.v(obVar), this.f10287g, this.f10288p);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.v9.b0
        public Iterator<Map.Entry<c3<C>, ob<C>>> a() {
            NavigableMap navigableMap;
            Object obj;
            if (this.f10287g.x()) {
                return w8.u();
            }
            if (this.f10286f.f10532g.k(this.f10287g.f10531f)) {
                return w8.u();
            }
            boolean z7 = false;
            if (this.f10286f.f10531f.k(this.f10287g.f10531f)) {
                navigableMap = this.f10289x;
                obj = (c3<C>) this.f10287g.f10531f;
            } else {
                navigableMap = this.f10288p;
                obj = (C) this.f10286f.f10531f.i();
                if (this.f10286f.A() == i0.CLOSED) {
                    z7 = true;
                }
            }
            return new a(navigableMap.tailMap(obj, z7).values().iterator(), (c3) kb.B().y(this.f10286f.f10532g, c3.d(this.f10287g.f10532g)));
        }

        @Override // java.util.SortedMap
        public Comparator<? super c3<C>> comparator() {
            return kb.B();
        }

        public boolean containsKey(Object obj) {
            return get(obj) != null;
        }

        /* JADX DEBUG: Multi-variable search result rejected for r1v2, resolved type: java.util.NavigableMap<com.google.common.collect.c3<C extends java.lang.Comparable<?>>, com.google.common.collect.ob<C extends java.lang.Comparable<?>>> */
        /* JADX WARN: Multi-variable type inference failed */
        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.q
        public Iterator<Map.Entry<c3<C>, ob<C>>> d() {
            if (this.f10287g.x()) {
                return w8.u();
            }
            c3 c3Var = (c3) kb.B().y(this.f10286f.f10532g, c3.d(this.f10287g.f10532g));
            return new b(this.f10288p.headMap(c3Var.i(), c3Var.q() == i0.CLOSED).descendingMap().values().iterator());
        }

        /* renamed from: g */
        public ob<C> get(Object obj) {
            if (obj instanceof c3) {
                try {
                    c3<C> c3Var = (c3) obj;
                    if (this.f10286f.j(c3Var) && c3Var.compareTo(this.f10287g.f10531f) >= 0) {
                        if (c3Var.compareTo(this.f10287g.f10532g) < 0) {
                            if (c3Var.equals(this.f10287g.f10531f)) {
                                ob obVar = (ob) v9.b1(this.f10288p.floorEntry(c3Var));
                                if (obVar != null && obVar.f10532g.compareTo(this.f10287g.f10531f) > 0) {
                                    return obVar.v(this.f10287g);
                                }
                            } else {
                                ob<C> obVar2 = this.f10288p.get(c3Var);
                                if (obVar2 != null) {
                                    return obVar2.v(this.f10287g);
                                }
                            }
                        }
                    }
                } catch (ClassCastException unused) {
                }
            }
            return null;
        }

        /* renamed from: h */
        public NavigableMap<c3<C>, ob<C>> headMap(c3<C> c3Var, boolean z7) {
            return j(ob.K(c3Var, i0.b(z7)));
        }

        /* renamed from: i */
        public NavigableMap<c3<C>, ob<C>> subMap(c3<C> c3Var, boolean z7, c3<C> c3Var2, boolean z8) {
            return j(ob.E(c3Var, i0.b(z7), c3Var2, i0.b(z8)));
        }

        /* renamed from: k */
        public NavigableMap<c3<C>, ob<C>> tailMap(c3<C> c3Var, boolean z7) {
            return j(ob.n(c3Var, i0.b(z7)));
        }

        @Override // com.google.common.collect.v9.b0
        public int size() {
            return w8.Z(a());
        }
    }

    private je(NavigableMap<c3<C>, ob<C>> navigableMap) {
        this.f10263f = navigableMap;
    }

    public static <C extends Comparable<?>> je<C> t() {
        return new je<>(new TreeMap());
    }

    public static <C extends Comparable<?>> je<C> u(rb<C> rbVar) {
        je<C> t7 = t();
        t7.d(rbVar);
        return t7;
    }

    public static <C extends Comparable<?>> je<C> v(Iterable<ob<C>> iterable) {
        je<C> t7 = t();
        t7.c(iterable);
        return t7;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private ob<C> w(ob<C> obVar) {
        Preconditions.checkNotNull(obVar);
        Map.Entry<c3<C>, ob<C>> floorEntry = this.f10263f.floorEntry(obVar.f10531f);
        if (floorEntry == null || !floorEntry.getValue().q(obVar)) {
            return null;
        }
        return floorEntry.getValue();
    }

    private void x(ob<C> obVar) {
        boolean x7 = obVar.x();
        NavigableMap<c3<C>, ob<C>> navigableMap = this.f10263f;
        if (x7) {
            navigableMap.remove(obVar.f10531f);
        } else {
            navigableMap.put(obVar.f10531f, obVar);
        }
    }

    @Override // com.google.common.collect.rb, com.google.common.collect.r
    public void a(ob<C> obVar) {
        Preconditions.checkNotNull(obVar);
        if (!obVar.x()) {
            Map.Entry<c3<C>, ob<C>> lowerEntry = this.f10263f.lowerEntry(obVar.f10531f);
            if (lowerEntry != null) {
                ob<C> value = lowerEntry.getValue();
                if (value.f10532g.compareTo(obVar.f10531f) >= 0) {
                    if (obVar.u() && value.f10532g.compareTo(obVar.f10532g) >= 0) {
                        x(ob.m(obVar.f10532g, value.f10532g));
                    }
                    x(ob.m(value.f10531f, obVar.f10531f));
                }
            }
            Map.Entry<c3<C>, ob<C>> floorEntry = this.f10263f.floorEntry(obVar.f10532g);
            if (floorEntry != null) {
                ob<C> value2 = floorEntry.getValue();
                if (obVar.u() && value2.f10532g.compareTo(obVar.f10532g) >= 0) {
                    x(ob.m(obVar.f10532g, value2.f10532g));
                }
            }
            this.f10263f.subMap(obVar.f10531f, obVar.f10532g).clear();
        }
    }

    @Override // com.google.common.collect.rb
    public ob<C> b() {
        Map.Entry<c3<C>, ob<C>> firstEntry = this.f10263f.firstEntry();
        Map.Entry<c3<C>, ob<C>> lastEntry = this.f10263f.lastEntry();
        if (firstEntry != null) {
            return ob.m(firstEntry.getValue().f10531f, lastEntry.getValue().f10532g);
        }
        throw new NoSuchElementException();
    }

    @Override // com.google.common.collect.rb, com.google.common.collect.r
    public /* bridge */ /* synthetic */ void clear() {
        super.clear();
    }

    @Override // com.google.common.collect.rb, com.google.common.collect.r
    public /* bridge */ /* synthetic */ boolean contains(Comparable comparable) {
        return super.contains(comparable);
    }

    @Override // com.google.common.collect.rb, com.google.common.collect.r
    public /* bridge */ /* synthetic */ void d(rb rbVar) {
        super.d(rbVar);
    }

    @Override // com.google.common.collect.rb, com.google.common.collect.r
    public /* bridge */ /* synthetic */ boolean equals(Object obj) {
        return super.equals(obj);
    }

    @Override // com.google.common.collect.rb, com.google.common.collect.r
    public /* bridge */ /* synthetic */ boolean f(rb rbVar) {
        return super.f(rbVar);
    }

    @Override // com.google.common.collect.rb, com.google.common.collect.r
    public void g(ob<C> obVar) {
        Preconditions.checkNotNull(obVar);
        if (!obVar.x()) {
            c3<C> c3Var = obVar.f10531f;
            c3<C> c3Var2 = obVar.f10532g;
            Map.Entry<c3<C>, ob<C>> lowerEntry = this.f10263f.lowerEntry(c3Var);
            if (lowerEntry != null) {
                ob<C> value = lowerEntry.getValue();
                if (value.f10532g.compareTo(c3Var) >= 0) {
                    if (value.f10532g.compareTo(c3Var2) >= 0) {
                        c3Var2 = value.f10532g;
                    }
                    c3Var = value.f10531f;
                }
            }
            Map.Entry<c3<C>, ob<C>> floorEntry = this.f10263f.floorEntry(c3Var2);
            if (floorEntry != null) {
                ob<C> value2 = floorEntry.getValue();
                if (value2.f10532g.compareTo(c3Var2) >= 0) {
                    c3Var2 = value2.f10532g;
                }
            }
            this.f10263f.subMap(c3Var, c3Var2).clear();
            x(ob.m(c3Var, c3Var2));
        }
    }

    @Override // com.google.common.collect.rb
    public rb<C> h() {
        rb<C> rbVar = this.f10266x;
        if (rbVar != null) {
            return rbVar;
        }
        c cVar = new c();
        this.f10266x = cVar;
        return cVar;
    }

    @Override // com.google.common.collect.rb, com.google.common.collect.r
    public ob<C> i(C c7) {
        Preconditions.checkNotNull(c7);
        Map.Entry<c3<C>, ob<C>> floorEntry = this.f10263f.floorEntry(c3.d(c7));
        if (floorEntry == null || !floorEntry.getValue().j(c7)) {
            return null;
        }
        return floorEntry.getValue();
    }

    @Override // com.google.common.collect.rb, com.google.common.collect.r
    public /* bridge */ /* synthetic */ boolean isEmpty() {
        return super.isEmpty();
    }

    @Override // com.google.common.collect.rb, com.google.common.collect.r
    public boolean j(ob<C> obVar) {
        Preconditions.checkNotNull(obVar);
        Map.Entry<c3<C>, ob<C>> floorEntry = this.f10263f.floorEntry(obVar.f10531f);
        return floorEntry != null && floorEntry.getValue().q(obVar);
    }

    @Override // com.google.common.collect.rb
    public rb<C> m(ob<C> obVar) {
        return obVar.equals(ob.a()) ? this : new f(obVar);
    }

    @Override // com.google.common.collect.rb
    public Set<ob<C>> n() {
        Set<ob<C>> set = this.f10265p;
        if (set != null) {
            return set;
        }
        b bVar = new b(this.f10263f.descendingMap().values());
        this.f10265p = bVar;
        return bVar;
    }

    @Override // com.google.common.collect.rb
    public Set<ob<C>> p() {
        Set<ob<C>> set = this.f10264g;
        if (set != null) {
            return set;
        }
        b bVar = new b(this.f10263f.values());
        this.f10264g = bVar;
        return bVar;
    }

    @Override // com.google.common.collect.rb, com.google.common.collect.r
    public /* bridge */ /* synthetic */ void q(rb rbVar) {
        super.q(rbVar);
    }

    @Override // com.google.common.collect.rb, com.google.common.collect.r
    public boolean r(ob<C> obVar) {
        Preconditions.checkNotNull(obVar);
        Map.Entry<c3<C>, ob<C>> ceilingEntry = this.f10263f.ceilingEntry(obVar.f10531f);
        if (ceilingEntry != null && ceilingEntry.getValue().w(obVar) && !ceilingEntry.getValue().v(obVar).x()) {
            return true;
        }
        Map.Entry<c3<C>, ob<C>> lowerEntry = this.f10263f.lowerEntry(obVar.f10531f);
        return lowerEntry != null && lowerEntry.getValue().w(obVar) && !lowerEntry.getValue().v(obVar).x();
    }
}
