package com.google.common.collect;

import com.google.common.base.Preconditions;
import com.google.common.collect.t5;
import com.google.common.math.d;
import java.util.AbstractList;
import java.util.Iterator;
import java.util.List;
import java.util.ListIterator;
import java.util.RandomAccess;
import m0.b;

/* access modifiers changed from: package-private */
@b
public final class k0<E> extends AbstractList<List<E>> implements RandomAccess {

    /* renamed from: f  reason: collision with root package name */
    private final transient t5<List<E>> f10296f;

    /* renamed from: g  reason: collision with root package name */
    private final transient int[] f10297g;

    /* access modifiers changed from: package-private */
    public class a extends t5<E> {

        /* renamed from: p  reason: collision with root package name */
        final /* synthetic */ int f10298p;

        a(int i7) {
            this.f10298p = i7;
        }

        @Override // java.util.List
        public E get(int i7) {
            Preconditions.checkElementIndex(i7, size());
            return (E) ((List) k0.this.f10296f.get(i7)).get(k0.this.k(this.f10298p, i7));
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.n5
        public boolean m() {
            return true;
        }

        public int size() {
            return k0.this.f10296f.size();
        }
    }

    k0(t5<List<E>> t5Var) {
        this.f10296f = t5Var;
        int[] iArr = new int[(t5Var.size() + 1)];
        iArr[t5Var.size()] = 1;
        try {
            for (int size = t5Var.size() - 1; size >= 0; size--) {
                iArr[size] = d.d(iArr[size + 1], t5Var.get(size).size());
            }
            this.f10297g = iArr;
        } catch (ArithmeticException unused) {
            throw new IllegalArgumentException("Cartesian product too large; must have size at most Integer.MAX_VALUE");
        }
    }

    /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: com.google.common.collect.t5$b */
    /* JADX WARN: Multi-variable type inference failed */
    static <E> List<List<E>> e(List<? extends List<? extends E>> list) {
        t5.b bVar = new t5.b(list.size());
        Iterator<? extends List<? extends E>> it = list.iterator();
        while (it.hasNext()) {
            t5 D = t5.D((List) it.next());
            if (D.isEmpty()) {
                return t5.R();
            }
            bVar.a(D);
        }
        return new k0(bVar.e());
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private int k(int i7, int i8) {
        return (i7 / this.f10297g[i8 + 1]) % this.f10296f.get(i8).size();
    }

    public boolean contains(Object obj) {
        return indexOf(obj) != -1;
    }

    /* renamed from: h */
    public t5<E> get(int i7) {
        Preconditions.checkElementIndex(i7, size());
        return new a(i7);
    }

    public int indexOf(Object obj) {
        if (!(obj instanceof List)) {
            return -1;
        }
        List list = (List) obj;
        if (list.size() != this.f10296f.size()) {
            return -1;
        }
        ListIterator<E> listIterator = list.listIterator();
        int i7 = 0;
        while (listIterator.hasNext()) {
            int nextIndex = listIterator.nextIndex();
            int indexOf = this.f10296f.get(nextIndex).indexOf(listIterator.next());
            if (indexOf == -1) {
                return -1;
            }
            i7 += indexOf * this.f10297g[nextIndex + 1];
        }
        return i7;
    }

    public int size() {
        return this.f10297g[0];
    }
}
