package com.google.common.collect;

import com.google.common.base.Objects;
import com.google.common.base.Preconditions;
import java.io.IOException;
import java.io.InvalidObjectException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.io.Serializable;
import java.util.AbstractSet;
import java.util.Arrays;
import java.util.Collection;
import java.util.Collections;
import java.util.ConcurrentModificationException;
import java.util.Iterator;
import java.util.NoSuchElementException;
import java.util.Spliterator;
import java.util.Spliterators;
import java.util.function.Consumer;
import m0.c;
import m0.d;

/* access modifiers changed from: package-private */
@c
public class k2<E> extends AbstractSet<E> implements Serializable {
    private static final float C1 = 1.0f;
    private static final long C2 = 4294967295L;
    private static final long U5 = -4294967296L;
    @d
    static final int V5 = 3;
    static final int W5 = -1;

    /* renamed from: f  reason: collision with root package name */
    private transient int[] f10300f;

    /* renamed from: g  reason: collision with root package name */
    private transient long[] f10301g;

    /* renamed from: p  reason: collision with root package name */
    transient Object[] f10302p;

    /* renamed from: x  reason: collision with root package name */
    transient int f10303x;

    /* renamed from: y  reason: collision with root package name */
    private transient int f10304y;

    class a implements Iterator<E> {

        /* renamed from: f  reason: collision with root package name */
        int f10305f;

        /* renamed from: g  reason: collision with root package name */
        int f10306g;

        /* renamed from: p  reason: collision with root package name */
        int f10307p = -1;

        a() {
            this.f10305f = k2.this.f10303x;
            this.f10306g = k2.this.s();
        }

        private void a() {
            if (k2.this.f10303x != this.f10305f) {
                throw new ConcurrentModificationException();
            }
        }

        public boolean hasNext() {
            return this.f10306g >= 0;
        }

        @Override // java.util.Iterator
        public E next() {
            a();
            if (hasNext()) {
                int i7 = this.f10306g;
                this.f10307p = i7;
                k2 k2Var = k2.this;
                E e7 = (E) k2Var.f10302p[i7];
                this.f10306g = k2Var.w(i7);
                return e7;
            }
            throw new NoSuchElementException();
        }

        public void remove() {
            a();
            t1.e(this.f10307p >= 0);
            this.f10305f++;
            k2 k2Var = k2.this;
            k2Var.U(k2Var.f10302p[this.f10307p], k2.t(k2Var.f10301g[this.f10307p]));
            this.f10306g = k2.this.h(this.f10306g, this.f10307p);
            this.f10307p = -1;
        }
    }

    k2() {
        D(3);
    }

    private static long[] Q(int i7) {
        long[] jArr = new long[i7];
        Arrays.fill(jArr, -1L);
        return jArr;
    }

    private static int[] R(int i7) {
        int[] iArr = new int[i7];
        Arrays.fill(iArr, -1);
        return iArr;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r3v0, resolved type: com.google.common.collect.k2<E> */
    /* JADX WARN: Multi-variable type inference failed */
    private void T(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException {
        objectInputStream.defaultReadObject();
        int readInt = objectInputStream.readInt();
        if (readInt >= 0) {
            D(readInt);
            for (int i7 = 0; i7 < readInt; i7++) {
                add(objectInputStream.readObject());
            }
            return;
        }
        throw new InvalidObjectException("Invalid size: " + readInt);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    @p0.a
    private boolean U(Object obj, int i7) {
        int x7 = x() & i7;
        int i8 = this.f10300f[x7];
        if (i8 == -1) {
            return false;
        }
        int i9 = -1;
        while (true) {
            if (t(this.f10301g[i8]) != i7 || !Objects.equal(obj, this.f10302p[i8])) {
                int u7 = u(this.f10301g[i8]);
                if (u7 == -1) {
                    return false;
                }
                i9 = i8;
                i8 = u7;
            } else {
                if (i9 == -1) {
                    this.f10300f[x7] = u(this.f10301g[i8]);
                } else {
                    long[] jArr = this.f10301g;
                    jArr[i9] = a0(jArr[i9], u(jArr[i8]));
                }
                L(i8);
                this.f10304y--;
                this.f10303x++;
                return true;
            }
        }
    }

    private void Y(int i7) {
        int length = this.f10301g.length;
        if (i7 > length) {
            int max = Math.max(1, length >>> 1) + length;
            if (max < 0) {
                max = Integer.MAX_VALUE;
            }
            if (max != length) {
                X(max);
            }
        }
    }

    private void Z(int i7) {
        int[] R = R(i7);
        long[] jArr = this.f10301g;
        int length = R.length - 1;
        for (int i8 = 0; i8 < this.f10304y; i8++) {
            int t7 = t(jArr[i8]);
            int i9 = t7 & length;
            int i10 = R[i9];
            R[i9] = i8;
            jArr[i8] = (((long) t7) << 32) | (((long) i10) & C2);
        }
        this.f10300f = R;
    }

    private static long a0(long j7, int i7) {
        return (j7 & U5) | (C2 & ((long) i7));
    }

    private void d0(ObjectOutputStream objectOutputStream) throws IOException {
        objectOutputStream.defaultWriteObject();
        objectOutputStream.writeInt(this.f10304y);
        int s7 = s();
        while (s7 >= 0) {
            objectOutputStream.writeObject(this.f10302p[s7]);
            s7 = w(s7);
        }
    }

    public static <E> k2<E> m() {
        return new k2<>();
    }

    public static <E> k2<E> n(Collection<? extends E> collection) {
        k2<E> q7 = q(collection.size());
        q7.addAll(collection);
        return q7;
    }

    public static <E> k2<E> p(E... eArr) {
        k2<E> q7 = q(eArr.length);
        Collections.addAll(q7, eArr);
        return q7;
    }

    public static <E> k2<E> q(int i7) {
        return new k2<>(i7);
    }

    /* access modifiers changed from: private */
    public static int t(long j7) {
        return (int) (j7 >>> 32);
    }

    private static int u(long j7) {
        return (int) j7;
    }

    private int x() {
        return this.f10300f.length - 1;
    }

    /* access modifiers changed from: package-private */
    public void D(int i7) {
        Preconditions.checkArgument(i7 >= 0, "Initial capacity must be non-negative");
        this.f10303x = Math.max(1, i7);
    }

    /* access modifiers changed from: package-private */
    public void J(int i7, E e7, int i8) {
        this.f10301g[i7] = (((long) i8) << 32) | C2;
        this.f10302p[i7] = e7;
    }

    /* access modifiers changed from: package-private */
    public void L(int i7) {
        int size = size() - 1;
        if (i7 < size) {
            Object[] objArr = this.f10302p;
            objArr[i7] = objArr[size];
            objArr[size] = null;
            long[] jArr = this.f10301g;
            long j7 = jArr[size];
            jArr[i7] = j7;
            jArr[size] = -1;
            int t7 = t(j7) & x();
            int[] iArr = this.f10300f;
            int i8 = iArr[t7];
            if (i8 == size) {
                iArr[t7] = i7;
                return;
            }
            while (true) {
                long j8 = this.f10301g[i8];
                int u7 = u(j8);
                if (u7 == size) {
                    this.f10301g[i8] = a0(j8, i7);
                    return;
                }
                i8 = u7;
            }
        } else {
            this.f10302p[i7] = null;
            this.f10301g[i7] = -1;
        }
    }

    /* access modifiers changed from: package-private */
    public boolean P() {
        return this.f10300f == null;
    }

    /* access modifiers changed from: package-private */
    public void X(int i7) {
        this.f10302p = Arrays.copyOf(this.f10302p, i7);
        long[] jArr = this.f10301g;
        int length = jArr.length;
        long[] copyOf = Arrays.copyOf(jArr, i7);
        if (i7 > length) {
            Arrays.fill(copyOf, length, i7, -1L);
        }
        this.f10301g = copyOf;
    }

    @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
    @p0.a
    public boolean add(E e7) {
        if (P()) {
            k();
        }
        long[] jArr = this.f10301g;
        Object[] objArr = this.f10302p;
        int d7 = i5.d(e7);
        int x7 = x() & d7;
        int i7 = this.f10304y;
        int[] iArr = this.f10300f;
        int i8 = iArr[x7];
        if (i8 == -1) {
            iArr[x7] = i7;
        } else {
            while (true) {
                long j7 = jArr[i8];
                if (t(j7) == d7 && Objects.equal(e7, objArr[i8])) {
                    return false;
                }
                int u7 = u(j7);
                if (u7 == -1) {
                    jArr[i8] = a0(j7, i7);
                    break;
                }
                i8 = u7;
            }
        }
        if (i7 != Integer.MAX_VALUE) {
            int i9 = i7 + 1;
            Y(i9);
            J(i7, e7, d7);
            this.f10304y = i9;
            int length = this.f10300f.length;
            if (i5.b(i7, length, 1.0d)) {
                Z(length * 2);
            }
            this.f10303x++;
            return true;
        }
        throw new IllegalStateException("Cannot contain more than Integer.MAX_VALUE elements!");
    }

    public void b0() {
        if (!P()) {
            int i7 = this.f10304y;
            if (i7 < this.f10301g.length) {
                X(i7);
            }
            int a8 = i5.a(i7, 1.0d);
            if (a8 < this.f10300f.length) {
                Z(a8);
            }
        }
    }

    public void clear() {
        if (!P()) {
            this.f10303x++;
            Arrays.fill(this.f10302p, 0, this.f10304y, (Object) null);
            Arrays.fill(this.f10300f, -1);
            Arrays.fill(this.f10301g, 0, this.f10304y, -1L);
            this.f10304y = 0;
        }
    }

    public boolean contains(Object obj) {
        if (P()) {
            return false;
        }
        int d7 = i5.d(obj);
        int i7 = this.f10300f[x() & d7];
        while (i7 != -1) {
            long j7 = this.f10301g[i7];
            if (t(j7) == d7 && Objects.equal(obj, this.f10302p[i7])) {
                return true;
            }
            i7 = u(j7);
        }
        return false;
    }

    @Override // java.lang.Iterable
    public void forEach(Consumer<? super E> consumer) {
        Preconditions.checkNotNull(consumer);
        int s7 = s();
        while (s7 >= 0) {
            consumer.accept(this.f10302p[s7]);
            s7 = w(s7);
        }
    }

    /* access modifiers changed from: package-private */
    public int h(int i7, int i8) {
        return i7 - 1;
    }

    public boolean isEmpty() {
        return this.f10304y == 0;
    }

    @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
    public Iterator<E> iterator() {
        return new a();
    }

    /* access modifiers changed from: package-private */
    public void k() {
        Preconditions.checkState(P(), "Arrays already allocated");
        int i7 = this.f10303x;
        this.f10300f = R(i5.a(i7, 1.0d));
        this.f10301g = Q(i7);
        this.f10302p = new Object[i7];
    }

    @p0.a
    public boolean remove(Object obj) {
        if (P()) {
            return false;
        }
        return U(obj, i5.d(obj));
    }

    /* access modifiers changed from: package-private */
    public int s() {
        return isEmpty() ? -1 : 0;
    }

    public int size() {
        return this.f10304y;
    }

    @Override // java.util.Collection, java.util.Set, java.lang.Iterable
    public Spliterator<E> spliterator() {
        return P() ? Spliterators.spliterator(new Object[0], 17) : Spliterators.spliterator(this.f10302p, 0, this.f10304y, 17);
    }

    public Object[] toArray() {
        return P() ? new Object[0] : Arrays.copyOf(this.f10302p, this.f10304y);
    }

    /* access modifiers changed from: package-private */
    public int w(int i7) {
        int i8 = i7 + 1;
        if (i8 < this.f10304y) {
            return i8;
        }
        return -1;
    }

    k2(int i7) {
        D(i7);
    }

    @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
    @p0.a
    public <T> T[] toArray(T[] tArr) {
        if (!P()) {
            return (T[]) jb.n(this.f10302p, 0, this.f10304y, tArr);
        }
        if (tArr.length > 0) {
            tArr[0] = null;
        }
        return tArr;
    }
}
