package com.google.common.collect;

import com.google.common.base.Preconditions;
import com.google.common.collect.h6;
import java.util.Arrays;
import java.util.Comparator;
import java.util.Map;
import java.util.function.Function;
import java.util.stream.Collector;
import m0.d;

@m0.b(emulated = true, serializable = true)
public abstract class k5<K, V> extends l5<K, V> implements h0<K, V> {

    public static final class a<K, V> extends h6.b<K, V> {
        public a() {
        }

        /* renamed from: j */
        public k5<K, V> a() {
            int i7 = this.f10031c;
            if (i7 == 0) {
                return k5.N();
            }
            if (i7 == 1) {
                return k5.O(this.f10030b[0].getKey(), this.f10030b[0].getValue());
            }
            if (this.f10029a != null) {
                if (this.f10032d) {
                    this.f10030b = (Map.Entry[]) Arrays.copyOf(this.f10030b, i7);
                }
                Arrays.sort(this.f10030b, 0, this.f10031c, kb.i(this.f10029a).F(v9.Z0()));
            }
            this.f10032d = true;
            return ub.c0(this.f10031c, this.f10030b);
        }

        /* access modifiers changed from: package-private */
        @d
        /* renamed from: k */
        public k5<K, V> b() {
            Preconditions.checkState(this.f10029a == null, "buildJdkBacked is for tests only, doesn't support orderEntriesByValue");
            int i7 = this.f10031c;
            if (i7 == 0) {
                return k5.N();
            }
            if (i7 == 1) {
                return k5.O(this.f10030b[0].getKey(), this.f10030b[0].getValue());
            }
            this.f10032d = true;
            return ub.c0(i7, this.f10030b);
        }

        /* access modifiers changed from: package-private */
        @p0.a
        /* renamed from: l */
        public a<K, V> c(h6.b<K, V> bVar) {
            super.c(bVar);
            return this;
        }

        @m0.a
        @p0.a
        /* renamed from: m */
        public a<K, V> e(Comparator<? super V> comparator) {
            super.e(comparator);
            return this;
        }

        @p0.a
        /* renamed from: n */
        public a<K, V> f(K k7, V v7) {
            super.f(k7, v7);
            return this;
        }

        @p0.a
        /* renamed from: o */
        public a<K, V> g(Map.Entry<? extends K, ? extends V> entry) {
            super.g(entry);
            return this;
        }

        @m0.a
        @p0.a
        /* renamed from: p */
        public a<K, V> h(Iterable<? extends Map.Entry<? extends K, ? extends V>> iterable) {
            super.h(iterable);
            return this;
        }

        @p0.a
        /* renamed from: q */
        public a<K, V> i(Map<? extends K, ? extends V> map) {
            super.i(map);
            return this;
        }

        a(int i7) {
            super(i7);
        }
    }

    private static class b extends h6.e {

        /* renamed from: x  reason: collision with root package name */
        private static final long f10310x = 0;

        b(k5<?, ?> k5Var) {
            super(k5Var);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.h6.e
        public Object b() {
            return a(new a());
        }
    }

    k5() {
    }

    public static <K, V> a<K, V> G() {
        return new a<>();
    }

    @m0.a
    public static <K, V> a<K, V> H(int i7) {
        t1.b(i7, "expectedSize");
        return new a<>(i7);
    }

    @m0.a
    public static <K, V> k5<K, V> I(Iterable<? extends Map.Entry<? extends K, ? extends V>> iterable) {
        Map.Entry[] entryArr = (Map.Entry[]) t8.P(iterable, h6.f10022y);
        int length = entryArr.length;
        if (length == 0) {
            return N();
        }
        if (length != 1) {
            return ub.b0(entryArr);
        }
        Map.Entry entry = entryArr[0];
        return O(entry.getKey(), entry.getValue());
    }

    public static <K, V> k5<K, V> K(Map<? extends K, ? extends V> map) {
        if (map instanceof k5) {
            k5<K, V> k5Var = (k5) map;
            if (!k5Var.q()) {
                return k5Var;
            }
        }
        return I(map.entrySet());
    }

    public static <K, V> k5<K, V> N() {
        return ub.Y5;
    }

    public static <K, V> k5<K, V> O(K k7, V v7) {
        return new rc(k7, v7);
    }

    public static <K, V> k5<K, V> P(K k7, V v7, K k8, V v8) {
        return ub.b0(h6.m(k7, v7), h6.m(k8, v8));
    }

    public static <K, V> k5<K, V> Q(K k7, V v7, K k8, V v8, K k9, V v9) {
        return ub.b0(h6.m(k7, v7), h6.m(k8, v8), h6.m(k9, v9));
    }

    public static <K, V> k5<K, V> R(K k7, V v7, K k8, V v8, K k9, V v9, K k10, V v10) {
        return ub.b0(h6.m(k7, v7), h6.m(k8, v8), h6.m(k9, v9), h6.m(k10, v10));
    }

    public static <K, V> k5<K, V> S(K k7, V v7, K k8, V v8, K k9, V v9, K k10, V v10, K k11, V v11) {
        return ub.b0(h6.m(k7, v7), h6.m(k8, v8), h6.m(k9, v9), h6.m(k10, v10), h6.m(k11, v11));
    }

    public static <T, K, V> Collector<T, ?, k5<K, V>> T(Function<? super T, ? extends K> function, Function<? super T, ? extends V> function2) {
        return s1.m(function, function2);
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.h6
    public Object F() {
        return new b(this);
    }

    /* access modifiers changed from: package-private */
    /* renamed from: L */
    public final e7<V> k() {
        throw new AssertionError("should never be called");
    }

    /* renamed from: M */
    public abstract k5<V, K> p1();

    /* renamed from: U */
    public e7<V> values() {
        return p1().keySet();
    }

    @Override // com.google.common.collect.h0
    @p0.a
    @Deprecated
    public V k0(K k7, V v7) {
        throw new UnsupportedOperationException();
    }
}
