package com.google.common.collect;

import com.google.common.base.Function;
import com.google.common.base.Preconditions;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collection;
import java.util.Collections;
import java.util.Comparator;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.concurrent.ConcurrentMap;
import java.util.concurrent.atomic.AtomicInteger;
import m0.d;

@m0.b
public abstract class kb<T> implements Comparator<T> {

    /* renamed from: f  reason: collision with root package name */
    static final int f10314f = 1;

    /* renamed from: g  reason: collision with root package name */
    static final int f10315g = -1;

    @d
    static class a extends kb<Object> {

        /* renamed from: p  reason: collision with root package name */
        private final AtomicInteger f10316p = new AtomicInteger(0);

        /* renamed from: x  reason: collision with root package name */
        private final ConcurrentMap<Object, Integer> f10317x = mb.k(new m9()).i();

        a() {
        }

        private Integer J(Object obj) {
            Integer num = this.f10317x.get(obj);
            if (num != null) {
                return num;
            }
            Integer valueOf = Integer.valueOf(this.f10316p.getAndIncrement());
            Integer putIfAbsent = this.f10317x.putIfAbsent(obj, valueOf);
            return putIfAbsent != null ? putIfAbsent : valueOf;
        }

        /* access modifiers changed from: package-private */
        public int K(Object obj) {
            return System.identityHashCode(obj);
        }

        @Override // com.google.common.collect.kb, java.util.Comparator
        public int compare(Object obj, Object obj2) {
            if (obj == obj2) {
                return 0;
            }
            if (obj == null) {
                return -1;
            }
            if (obj2 == null) {
                return 1;
            }
            int K = K(obj);
            int K2 = K(obj2);
            if (K != K2) {
                return K < K2 ? -1 : 1;
            }
            int compareTo = J(obj).compareTo(J(obj2));
            if (compareTo != 0) {
                return compareTo;
            }
            throw new AssertionError();
        }

        public String toString() {
            return "Ordering.arbitrary()";
        }
    }

    private static class b {

        /* renamed from: a  reason: collision with root package name */
        static final kb<Object> f10318a = new a();

        private b() {
        }
    }

    @d
    static class c extends ClassCastException {

        /* renamed from: g  reason: collision with root package name */
        private static final long f10319g = 0;

        /* renamed from: f  reason: collision with root package name */
        final Object f10320f;

        c(Object obj) {
            super("Cannot compare value: " + obj);
            this.f10320f = obj;
        }
    }

    protected kb() {
    }

    @m0.b(serializable = true)
    public static <C extends Comparable> kb<C> B() {
        return gb.f10007y;
    }

    @m0.b(serializable = true)
    public static kb<Object> I() {
        return oe.f10539p;
    }

    @m0.b(serializable = true)
    public static kb<Object> a() {
        return z.f10949p;
    }

    public static kb<Object> b() {
        return b.f10318a;
    }

    @m0.b(serializable = true)
    public static <T> kb<T> d(Iterable<? extends Comparator<? super T>> iterable) {
        return new w2(iterable);
    }

    @m0.b(serializable = true)
    public static <T> kb<T> f(T t7, T... tArr) {
        return g(i9.c(t7, tArr));
    }

    @m0.b(serializable = true)
    public static <T> kb<T> g(List<T> list) {
        return new p3(list);
    }

    @Deprecated
    @m0.b(serializable = true)
    public static <T> kb<T> h(kb<T> kbVar) {
        return (kb) Preconditions.checkNotNull(kbVar);
    }

    @m0.b(serializable = true)
    public static <T> kb<T> i(Comparator<T> comparator) {
        return comparator instanceof kb ? (kb) comparator : new n2(comparator);
    }

    public <E extends T> E A(Iterator<E> it) {
        E next = it.next();
        while (it.hasNext()) {
            next = (E) y(next, it.next());
        }
        return next;
    }

    @m0.b(serializable = true)
    public <S extends T> kb<S> C() {
        return new hb(this);
    }

    @m0.b(serializable = true)
    public <S extends T> kb<S> D() {
        return new ib(this);
    }

    /* access modifiers changed from: package-private */
    public <T2 extends T> kb<Map.Entry<T2, ?>> E() {
        return F(v9.W());
    }

    @m0.b(serializable = true)
    public <F> kb<F> F(Function<F, ? extends T> function) {
        return new j0(function, this);
    }

    @m0.b(serializable = true)
    public <S extends T> kb<S> G() {
        return new ec(this);
    }

    public <E extends T> List<E> H(Iterable<E> iterable) {
        Object[] N = t8.N(iterable);
        Arrays.sort(N, this);
        return i9.r(Arrays.asList(N));
    }

    @Deprecated
    public int c(List<? extends T> list, T t7) {
        return Collections.binarySearch(list, t7, this);
    }

    @Override // java.util.Comparator
    @p0.a
    public abstract int compare(T t7, T t8);

    @m0.b(serializable = true)
    public <U extends T> kb<U> e(Comparator<? super U> comparator) {
        return new w2(this, (Comparator) Preconditions.checkNotNull(comparator));
    }

    public <E extends T> List<E> j(Iterable<E> iterable, int i7) {
        return G().q(iterable, i7);
    }

    public <E extends T> List<E> k(Iterator<E> it, int i7) {
        return G().r(it, i7);
    }

    public <E extends T> t5<E> m(Iterable<E> iterable) {
        return t5.r0(this, iterable);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: com.google.common.collect.kb<T> */
    /* JADX WARN: Multi-variable type inference failed */
    public boolean n(Iterable<? extends T> iterable) {
        Iterator<? extends T> it = iterable.iterator();
        if (!it.hasNext()) {
            return true;
        }
        Object next = it.next();
        while (it.hasNext()) {
            Object next2 = it.next();
            if (compare(next, next2) > 0) {
                return false;
            }
            next = next2;
        }
        return true;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: com.google.common.collect.kb<T> */
    /* JADX WARN: Multi-variable type inference failed */
    public boolean p(Iterable<? extends T> iterable) {
        Iterator<? extends T> it = iterable.iterator();
        if (!it.hasNext()) {
            return true;
        }
        Object next = it.next();
        while (it.hasNext()) {
            Object next2 = it.next();
            if (compare(next, next2) >= 0) {
                return false;
            }
            next = next2;
        }
        return true;
    }

    public <E extends T> List<E> q(Iterable<E> iterable, int i7) {
        if (iterable instanceof Collection) {
            Collection collection = (Collection) iterable;
            if (((long) collection.size()) <= ((long) i7) * 2) {
                Object[] array = collection.toArray();
                Arrays.sort(array, this);
                if (array.length > i7) {
                    array = Arrays.copyOf(array, i7);
                }
                return Collections.unmodifiableList(Arrays.asList(array));
            }
        }
        return r(iterable.iterator(), i7);
    }

    public <E extends T> List<E> r(Iterator<E> it, int i7) {
        Preconditions.checkNotNull(it);
        t1.b(i7, "k");
        if (i7 == 0 || !it.hasNext()) {
            return Collections.emptyList();
        }
        if (i7 >= 1073741823) {
            ArrayList s7 = i9.s(it);
            Collections.sort(s7, this);
            if (s7.size() > i7) {
                s7.subList(i7, s7.size()).clear();
            }
            s7.trimToSize();
            return Collections.unmodifiableList(s7);
        }
        ce e7 = ce.e(i7, this);
        e7.h(it);
        return e7.k();
    }

    @m0.b(serializable = true)
    public <S extends T> kb<Iterable<S>> s() {
        return new c9(this);
    }

    public <E extends T> E t(Iterable<E> iterable) {
        return (E) w(iterable.iterator());
    }

    /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: E extends T */
    /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: E extends T */
    /* JADX WARN: Multi-variable type inference failed */
    public <E extends T> E u(E e7, E e8) {
        return compare(e7, e8) >= 0 ? e7 : e8;
    }

    public <E extends T> E v(E e7, E e8, E e9, E... eArr) {
        E e10 = (E) u(u(e7, e8), e9);
        for (E e11 : eArr) {
            e10 = (E) u(e10, e11);
        }
        return e10;
    }

    public <E extends T> E w(Iterator<E> it) {
        E next = it.next();
        while (it.hasNext()) {
            next = (E) u(next, it.next());
        }
        return next;
    }

    public <E extends T> E x(Iterable<E> iterable) {
        return (E) A(iterable.iterator());
    }

    /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: E extends T */
    /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: E extends T */
    /* JADX WARN: Multi-variable type inference failed */
    public <E extends T> E y(E e7, E e8) {
        return compare(e7, e8) <= 0 ? e7 : e8;
    }

    public <E extends T> E z(E e7, E e8, E e9, E... eArr) {
        E e10 = (E) y(y(e7, e8), e9);
        for (E e11 : eArr) {
            e10 = (E) y(e10, e11);
        }
        return e10;
    }
}
