package com.google.common.collect;

import com.google.common.base.Preconditions;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.lang.Enum;
import java.util.EnumMap;
import java.util.Map;
import java.util.Set;
import java.util.function.BiFunction;
import m0.b;
import m0.c;

@b(emulated = true)
public final class l3<K extends Enum<K>, V extends Enum<V>> extends a<K, V> {
    @c
    private static final long V5 = 0;
    private transient Class<K> C2;
    private transient Class<V> U5;

    private l3(Class<K> cls, Class<V> cls2) {
        super(new EnumMap(cls), new EnumMap(cls2));
        this.C2 = cls;
        this.U5 = cls2;
    }

    public static <K extends Enum<K>, V extends Enum<V>> l3<K, V> e2(Class<K> cls, Class<V> cls2) {
        return new l3<>(cls, cls2);
    }

    public static <K extends Enum<K>, V extends Enum<V>> l3<K, V> f2(Map<K, V> map) {
        l3<K, V> e22 = e2(g2(map), h2(map));
        e22.putAll(map);
        return e22;
    }

    static <K extends Enum<K>> Class<K> g2(Map<K, ?> map) {
        if (map instanceof l3) {
            return ((l3) map).i2();
        }
        if (map instanceof m3) {
            return ((m3) map).g2();
        }
        Preconditions.checkArgument(!map.isEmpty());
        return map.keySet().iterator().next().getDeclaringClass();
    }

    private static <V extends Enum<V>> Class<V> h2(Map<?, V> map) {
        if (map instanceof l3) {
            return ((l3) map).U5;
        }
        Preconditions.checkArgument(!map.isEmpty());
        return map.values().iterator().next().getDeclaringClass();
    }

    @c
    private void j2(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException {
        objectInputStream.defaultReadObject();
        this.C2 = (Class) objectInputStream.readObject();
        this.U5 = (Class) objectInputStream.readObject();
        Z1(new EnumMap(this.C2), new EnumMap(this.U5));
        gc.b(this, objectInputStream);
    }

    @c
    private void l2(ObjectOutputStream objectOutputStream) throws IOException {
        objectOutputStream.defaultWriteObject();
        objectOutputStream.writeObject(this.C2);
        objectOutputStream.writeObject(this.U5);
        gc.i(this, objectOutputStream);
    }

    /* access modifiers changed from: package-private */
    /* renamed from: c2 */
    public K S1(K k7) {
        return (K) ((Enum) Preconditions.checkNotNull(k7));
    }

    @Override // com.google.common.collect.a, com.google.common.collect.l4
    public /* bridge */ /* synthetic */ void clear() {
        super.clear();
    }

    @Override // com.google.common.collect.a, com.google.common.collect.l4
    public /* bridge */ /* synthetic */ boolean containsValue(Object obj) {
        return super.containsValue(obj);
    }

    /* access modifiers changed from: package-private */
    /* renamed from: d2 */
    public V T1(V v7) {
        return (V) ((Enum) Preconditions.checkNotNull(v7));
    }

    @Override // java.util.Map, com.google.common.collect.a, com.google.common.collect.l4
    public /* bridge */ /* synthetic */ Set entrySet() {
        return super.entrySet();
    }

    public Class<K> i2() {
        return this.C2;
    }

    public Class<V> k2() {
        return this.U5;
    }

    @Override // java.util.Map, com.google.common.collect.a, com.google.common.collect.l4
    public /* bridge */ /* synthetic */ Set keySet() {
        return super.keySet();
    }

    @Override // com.google.common.collect.a, com.google.common.collect.h0
    public /* bridge */ /* synthetic */ h0 p1() {
        return super.p1();
    }

    @Override // java.util.Map, com.google.common.collect.a, com.google.common.collect.l4, com.google.common.collect.h0
    public /* bridge */ /* synthetic */ void putAll(Map map) {
        super.putAll(map);
    }

    @Override // java.util.Map, com.google.common.collect.a
    public /* bridge */ /* synthetic */ void replaceAll(BiFunction biFunction) {
        super.replaceAll(biFunction);
    }

    @Override // java.util.Map, com.google.common.collect.a, com.google.common.collect.a, com.google.common.collect.l4, com.google.common.collect.h0, com.google.common.collect.h0
    public /* bridge */ /* synthetic */ Set values() {
        return super.values();
    }
}
