package com.google.common.collect;

import com.google.common.base.Preconditions;
import com.google.common.collect.db;
import com.google.common.collect.ya;
import com.google.common.primitives.l;
import java.io.InvalidObjectException;
import java.io.ObjectStreamException;
import java.io.Serializable;
import java.util.ConcurrentModificationException;
import java.util.Iterator;
import java.util.Map;
import java.util.Set;
import java.util.function.ObjIntConsumer;

/* access modifiers changed from: package-private */
@m0.b(emulated = true)
public abstract class m<E> extends p<E> implements Serializable {
    @m0.c

    /* renamed from: y  reason: collision with root package name */
    private static final long f10365y = -2250766705698539974L;

    /* renamed from: p  reason: collision with root package name */
    private transient Map<E, b3> f10366p;

    /* renamed from: x  reason: collision with root package name */
    private transient long f10367x;

    class a implements Iterator<E> {

        /* renamed from: f  reason: collision with root package name */
        Map.Entry<E, b3> f10368f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ Iterator f10369g;

        a(Iterator it) {
            this.f10369g = it;
        }

        public boolean hasNext() {
            return this.f10369g.hasNext();
        }

        @Override // java.util.Iterator
        public E next() {
            Map.Entry<E, b3> entry = (Map.Entry) this.f10369g.next();
            this.f10368f = entry;
            return entry.getKey();
        }

        public void remove() {
            t1.e(this.f10368f != null);
            m.this.f10367x -= (long) this.f10368f.getValue().d(0);
            this.f10369g.remove();
            this.f10368f = null;
        }
    }

    class b implements Iterator<ya.a<E>> {

        /* renamed from: f  reason: collision with root package name */
        Map.Entry<E, b3> f10371f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ Iterator f10372g;

        /* access modifiers changed from: package-private */
        public class a extends db.f<E> {

            /* renamed from: f  reason: collision with root package name */
            final /* synthetic */ Map.Entry f10374f;

            a(Map.Entry entry) {
                this.f10374f = entry;
            }

            @Override // com.google.common.collect.ya.a
            public E a() {
                return (E) this.f10374f.getKey();
            }

            @Override // com.google.common.collect.ya.a
            public int getCount() {
                b3 b3Var;
                b3 b3Var2 = (b3) this.f10374f.getValue();
                if ((b3Var2 == null || b3Var2.c() == 0) && (b3Var = (b3) m.this.f10366p.get(a())) != null) {
                    return b3Var.c();
                }
                if (b3Var2 == null) {
                    return 0;
                }
                return b3Var2.c();
            }
        }

        b(Iterator it) {
            this.f10372g = it;
        }

        /* renamed from: a */
        public ya.a<E> next() {
            Map.Entry<E, b3> entry = (Map.Entry) this.f10372g.next();
            this.f10371f = entry;
            return new a(entry);
        }

        public boolean hasNext() {
            return this.f10372g.hasNext();
        }

        public void remove() {
            t1.e(this.f10371f != null);
            m.this.f10367x -= (long) this.f10371f.getValue().d(0);
            this.f10372g.remove();
            this.f10371f = null;
        }
    }

    /* access modifiers changed from: private */
    public class c implements Iterator<E> {

        /* renamed from: f  reason: collision with root package name */
        final Iterator<Map.Entry<E, b3>> f10376f;

        /* renamed from: g  reason: collision with root package name */
        Map.Entry<E, b3> f10377g;

        /* renamed from: p  reason: collision with root package name */
        int f10378p;

        /* renamed from: x  reason: collision with root package name */
        boolean f10379x;

        c() {
            this.f10376f = m.this.f10366p.entrySet().iterator();
        }

        public boolean hasNext() {
            return this.f10378p > 0 || this.f10376f.hasNext();
        }

        @Override // java.util.Iterator
        public E next() {
            if (this.f10378p == 0) {
                Map.Entry<E, b3> next = this.f10376f.next();
                this.f10377g = next;
                this.f10378p = next.getValue().c();
            }
            this.f10378p--;
            this.f10379x = true;
            return this.f10377g.getKey();
        }

        public void remove() {
            t1.e(this.f10379x);
            if (this.f10377g.getValue().c() > 0) {
                if (this.f10377g.getValue().b(-1) == 0) {
                    this.f10376f.remove();
                }
                m.q(m.this);
                this.f10379x = false;
                return;
            }
            throw new ConcurrentModificationException();
        }
    }

    protected m(Map<E, b3> map) {
        Preconditions.checkArgument(map.isEmpty());
        this.f10366p = map;
    }

    static /* synthetic */ long q(m mVar) {
        long j7 = mVar.f10367x;
        mVar.f10367x = j7 - 1;
        return j7;
    }

    private static int t(b3 b3Var, int i7) {
        if (b3Var == null) {
            return 0;
        }
        return b3Var.d(i7);
    }

    /* access modifiers changed from: private */
    public static /* synthetic */ void u(ObjIntConsumer objIntConsumer, Object obj, b3 b3Var) {
        objIntConsumer.accept(obj, b3Var.c());
    }

    @m0.c
    private void w() throws ObjectStreamException {
        throw new InvalidObjectException("Stream data required");
    }

    @Override // com.google.common.collect.ya
    public void L0(ObjIntConsumer<? super E> objIntConsumer) {
        Preconditions.checkNotNull(objIntConsumer);
        this.f10366p.forEach(new l(objIntConsumer));
    }

    @Override // com.google.common.collect.ya
    public int O0(Object obj) {
        b3 b3Var = (b3) v9.z0(this.f10366p, obj);
        if (b3Var == null) {
            return 0;
        }
        return b3Var.c();
    }

    @Override // com.google.common.collect.p, com.google.common.collect.ya
    @p0.a
    public int V(Object obj, int i7) {
        if (i7 == 0) {
            return O0(obj);
        }
        Preconditions.checkArgument(i7 > 0, "occurrences cannot be negative: %s", i7);
        b3 b3Var = this.f10366p.get(obj);
        if (b3Var == null) {
            return 0;
        }
        int c7 = b3Var.c();
        if (c7 <= i7) {
            this.f10366p.remove(obj);
            i7 = c7;
        }
        b3Var.a(-i7);
        this.f10367x -= (long) i7;
        return c7;
    }

    @Override // com.google.common.collect.p, com.google.common.collect.ya
    @p0.a
    public int c0(E e7, int i7) {
        if (i7 == 0) {
            return O0(e7);
        }
        boolean z7 = true;
        int i8 = 0;
        Preconditions.checkArgument(i7 > 0, "occurrences cannot be negative: %s", i7);
        b3 b3Var = this.f10366p.get(e7);
        if (b3Var == null) {
            this.f10366p.put(e7, new b3(i7));
        } else {
            int c7 = b3Var.c();
            long j7 = ((long) c7) + ((long) i7);
            if (j7 > 2147483647L) {
                z7 = false;
            }
            Preconditions.checkArgument(z7, "too many occurrences: %s", j7);
            b3Var.a(i7);
            i8 = c7;
        }
        this.f10367x += (long) i7;
        return i8;
    }

    @Override // com.google.common.collect.p
    public void clear() {
        for (b3 b3Var : this.f10366p.values()) {
            b3Var.e(0);
        }
        this.f10366p.clear();
        this.f10367x = 0;
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.p
    public int e() {
        return this.f10366p.size();
    }

    @Override // com.google.common.collect.p, com.google.common.collect.ya
    public Set<ya.a<E>> entrySet() {
        return super.entrySet();
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.p
    public Iterator<E> h() {
        return new a(this.f10366p.entrySet().iterator());
    }

    @Override // java.util.AbstractCollection, java.util.Collection, com.google.common.collect.ya, java.lang.Iterable
    public Iterator<E> iterator() {
        return new c();
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.p
    public Iterator<ya.a<E>> k() {
        return new b(this.f10366p.entrySet().iterator());
    }

    @Override // com.google.common.collect.p, com.google.common.collect.ya
    @p0.a
    public int p0(E e7, int i7) {
        int i8;
        t1.b(i7, "count");
        Map<E, b3> map = this.f10366p;
        if (i7 == 0) {
            i8 = t(map.remove(e7), i7);
        } else {
            b3 b3Var = map.get(e7);
            int t7 = t(b3Var, i7);
            if (b3Var == null) {
                this.f10366p.put(e7, new b3(i7));
            }
            i8 = t7;
        }
        this.f10367x += (long) (i7 - i8);
        return i8;
    }

    @Override // com.google.common.collect.ya
    public int size() {
        return l.x(this.f10367x);
    }

    /* access modifiers changed from: package-private */
    public void x(Map<E, b3> map) {
        this.f10366p = map;
    }
}
