package com.google.common.collect;

import com.google.common.base.MoreObjects;
import com.google.common.base.Preconditions;
import com.google.common.collect.be;
import com.google.common.collect.t5;
import com.google.common.collect.xd;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Comparator;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Spliterator;
import java.util.function.BinaryOperator;
import java.util.function.Function;
import java.util.stream.Collector;

@m0.b
public abstract class m8<R, C, V> extends y<R, C, V> implements Serializable {

    public static final class b<R, C, V> {

        /* renamed from: a  reason: collision with root package name */
        private final List<xd.a<R, C, V>> f10386a = i9.q();

        /* renamed from: b  reason: collision with root package name */
        private Comparator<? super R> f10387b;

        /* renamed from: c  reason: collision with root package name */
        private Comparator<? super C> f10388c;

        public m8<R, C, V> a() {
            int size = this.f10386a.size();
            return size != 0 ? size != 1 ? cc.e0(this.f10386a, this.f10387b, this.f10388c) : new uc((xd.a) t8.z(this.f10386a)) : m8.O();
        }

        /* access modifiers changed from: package-private */
        public b<R, C, V> b(b<R, C, V> bVar) {
            this.f10386a.addAll(bVar.f10386a);
            return this;
        }

        @p0.a
        public b<R, C, V> c(Comparator<? super C> comparator) {
            this.f10388c = (Comparator) Preconditions.checkNotNull(comparator, "columnComparator");
            return this;
        }

        @p0.a
        public b<R, C, V> d(Comparator<? super R> comparator) {
            this.f10387b = (Comparator) Preconditions.checkNotNull(comparator, "rowComparator");
            return this;
        }

        /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: com.google.common.collect.m8$b<R, C, V> */
        /* JADX WARN: Multi-variable type inference failed */
        @p0.a
        public b<R, C, V> e(xd.a<? extends R, ? extends C, ? extends V> aVar) {
            if (aVar instanceof be.c) {
                Preconditions.checkNotNull(aVar.b(), "row");
                Preconditions.checkNotNull(aVar.a(), "column");
                Preconditions.checkNotNull(aVar.getValue(), "value");
                this.f10386a.add(aVar);
            } else {
                f(aVar.b(), aVar.a(), aVar.getValue());
            }
            return this;
        }

        @p0.a
        public b<R, C, V> f(R r7, C c7, V v7) {
            this.f10386a.add(m8.v(r7, c7, v7));
            return this;
        }

        @p0.a
        public b<R, C, V> g(xd<? extends R, ? extends C, ? extends V> xdVar) {
            for (xd.a<? extends R, ? extends C, ? extends V> aVar : xdVar.b0()) {
                e(aVar);
            }
            return this;
        }
    }

    /* access modifiers changed from: private */
    public static final class c<R, C, V> {

        /* renamed from: a  reason: collision with root package name */
        final List<d<R, C, V>> f10389a;

        /* renamed from: b  reason: collision with root package name */
        final xd<R, C, d<R, C, V>> f10390b;

        private c() {
            this.f10389a = new ArrayList();
            this.f10390b = c5.x();
        }

        /* access modifiers changed from: package-private */
        public c<R, C, V> a(c<R, C, V> cVar, BinaryOperator<V> binaryOperator) {
            for (d<R, C, V> dVar : cVar.f10389a) {
                b(dVar.b(), dVar.a(), dVar.getValue(), binaryOperator);
            }
            return this;
        }

        /* access modifiers changed from: package-private */
        public void b(R r7, C c7, V v7, BinaryOperator<V> binaryOperator) {
            d<R, C, V> L = this.f10390b.L(r7, c7);
            if (L == null) {
                d<R, C, V> dVar = new d<>(r7, c7, v7);
                this.f10389a.add(dVar);
                this.f10390b.d0(r7, c7, dVar);
                return;
            }
            L.c(v7, binaryOperator);
        }

        /* access modifiers changed from: package-private */
        public m8<R, C, V> c() {
            return m8.B(this.f10389a);
        }
    }

    /* access modifiers changed from: private */
    public static final class d<R, C, V> extends be.b<R, C, V> {

        /* renamed from: f  reason: collision with root package name */
        private final R f10391f;

        /* renamed from: g  reason: collision with root package name */
        private final C f10392g;

        /* renamed from: p  reason: collision with root package name */
        private V f10393p;

        d(R r7, C c7, V v7) {
            this.f10391f = (R) Preconditions.checkNotNull(r7, "row");
            this.f10392g = (C) Preconditions.checkNotNull(c7, "column");
            this.f10393p = (V) Preconditions.checkNotNull(v7, "value");
        }

        @Override // com.google.common.collect.xd.a
        public C a() {
            return this.f10392g;
        }

        @Override // com.google.common.collect.xd.a
        public R b() {
            return this.f10391f;
        }

        /* access modifiers changed from: package-private */
        public void c(V v7, BinaryOperator<V> binaryOperator) {
            Preconditions.checkNotNull(v7, "value");
            this.f10393p = (V) Preconditions.checkNotNull(binaryOperator.apply(this.f10393p, v7), "mergeFunction.apply");
        }

        @Override // com.google.common.collect.xd.a
        public V getValue() {
            return this.f10393p;
        }
    }

    static final class e implements Serializable {
        private static final long C1 = 0;

        /* renamed from: f  reason: collision with root package name */
        private final Object[] f10394f;

        /* renamed from: g  reason: collision with root package name */
        private final Object[] f10395g;

        /* renamed from: p  reason: collision with root package name */
        private final Object[] f10396p;

        /* renamed from: x  reason: collision with root package name */
        private final int[] f10397x;

        /* renamed from: y  reason: collision with root package name */
        private final int[] f10398y;

        private e(Object[] objArr, Object[] objArr2, Object[] objArr3, int[] iArr, int[] iArr2) {
            this.f10394f = objArr;
            this.f10395g = objArr2;
            this.f10396p = objArr3;
            this.f10397x = iArr;
            this.f10398y = iArr2;
        }

        static e a(m8<?, ?, ?> m8Var, int[] iArr, int[] iArr2) {
            return new e(m8Var.p().toArray(), m8Var.b1().toArray(), m8Var.values().toArray(), iArr, iArr2);
        }

        /* access modifiers changed from: package-private */
        public Object b() {
            Object[] objArr = this.f10396p;
            if (objArr.length == 0) {
                return m8.O();
            }
            int i7 = 0;
            if (objArr.length == 1) {
                return m8.P(this.f10394f[0], this.f10395g[0], objArr[0]);
            }
            t5.b bVar = new t5.b(objArr.length);
            while (true) {
                Object[] objArr2 = this.f10396p;
                if (i7 >= objArr2.length) {
                    return cc.g0(bVar.e(), e7.P(this.f10394f), e7.P(this.f10395g));
                }
                bVar.a(m8.v(this.f10394f[this.f10397x[i7]], this.f10395g[this.f10398y[i7]], objArr2[i7]));
                i7++;
            }
        }
    }

    m8() {
    }

    public static <R, C, V> m8<R, C, V> A(xd<? extends R, ? extends C, ? extends V> xdVar) {
        return xdVar instanceof m8 ? (m8) xdVar : B(xdVar.b0());
    }

    /* access modifiers changed from: private */
    public static <R, C, V> m8<R, C, V> B(Iterable<? extends xd.a<? extends R, ? extends C, ? extends V>> iterable) {
        b t7 = t();
        for (xd.a<? extends R, ? extends C, ? extends V> aVar : iterable) {
            t7.e(aVar);
        }
        return t7.a();
    }

    /* access modifiers changed from: private */
    public static /* synthetic */ b F() {
        return new b();
    }

    /* JADX DEBUG: Multi-variable search result rejected for r3v0, resolved type: com.google.common.collect.m8$b */
    /* JADX WARN: Multi-variable type inference failed */
    /* access modifiers changed from: private */
    public static /* synthetic */ void G(Function function, Function function2, Function function3, b bVar, Object obj) {
        bVar.f(function.apply(obj), function2.apply(obj), function3.apply(obj));
    }

    /* access modifiers changed from: private */
    public static /* synthetic */ c J() {
        return new c();
    }

    /* JADX DEBUG: Multi-variable search result rejected for r4v0, resolved type: com.google.common.collect.m8$c */
    /* JADX WARN: Multi-variable type inference failed */
    /* access modifiers changed from: private */
    public static /* synthetic */ void K(Function function, Function function2, Function function3, BinaryOperator binaryOperator, c cVar, Object obj) {
        cVar.b(function.apply(obj), function2.apply(obj), function3.apply(obj), binaryOperator);
    }

    public static <R, C, V> m8<R, C, V> O() {
        return (m8<R, C, V>) dd.C2;
    }

    public static <R, C, V> m8<R, C, V> P(R r7, C c7, V v7) {
        return new uc(r7, c7, v7);
    }

    public static <T, R, C, V> Collector<T, ?, m8<R, C, V>> V(Function<? super T, ? extends R> function, Function<? super T, ? extends C> function2, Function<? super T, ? extends V> function3) {
        Preconditions.checkNotNull(function, "rowFunction");
        Preconditions.checkNotNull(function2, "columnFunction");
        Preconditions.checkNotNull(function3, "valueFunction");
        return Collector.of(new i8(), new j8(function, function2, function3), new k8(), new l8(), new Collector.Characteristics[0]);
    }

    public static <T, R, C, V> Collector<T, ?, m8<R, C, V>> X(Function<? super T, ? extends R> function, Function<? super T, ? extends C> function2, Function<? super T, ? extends V> function3, BinaryOperator<V> binaryOperator) {
        Preconditions.checkNotNull(function, "rowFunction");
        Preconditions.checkNotNull(function2, "columnFunction");
        Preconditions.checkNotNull(function3, "valueFunction");
        Preconditions.checkNotNull(binaryOperator, "mergeFunction");
        return Collector.of(new e8(), new f8(function, function2, function3, binaryOperator), new g8(binaryOperator), new h8(), new Collector.Characteristics[0]);
    }

    public static <R, C, V> b<R, C, V> t() {
        return new b<>();
    }

    static <R, C, V> xd.a<R, C, V> v(R r7, C c7, V v7) {
        return be.f(Preconditions.checkNotNull(r7, "rowKey"), Preconditions.checkNotNull(c7, "columnKey"), Preconditions.checkNotNull(v7, "value"));
    }

    /* access modifiers changed from: package-private */
    /* renamed from: C */
    public abstract e7<xd.a<R, C, V>> c();

    /* access modifiers changed from: package-private */
    public abstract e D();

    /* access modifiers changed from: package-private */
    /* renamed from: E */
    public abstract n5<V> d();

    @Override // com.google.common.collect.y, com.google.common.collect.xd
    public /* bridge */ /* synthetic */ Object L(Object obj, Object obj2) {
        return super.L(obj, obj2);
    }

    /* renamed from: Q */
    public h6<C, V> s1(R r7) {
        Preconditions.checkNotNull(r7, "rowKey");
        return (h6) MoreObjects.firstNonNull((h6) m().get(r7), h6.v());
    }

    /* renamed from: R */
    public e7<R> p() {
        return m().keySet();
    }

    /* renamed from: S */
    public abstract h6<R, Map<C, V>> m();

    @Override // com.google.common.collect.y, com.google.common.collect.xd
    public /* bridge */ /* synthetic */ boolean T(Object obj) {
        return super.T(obj);
    }

    /* renamed from: Y */
    public n5<V> values() {
        return (n5) super.values();
    }

    /* access modifiers changed from: package-private */
    public final Object Z() {
        return D();
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.y
    public final Spliterator<xd.a<R, C, V>> b() {
        throw new AssertionError("should never be called");
    }

    @Override // com.google.common.collect.y, com.google.common.collect.xd
    @Deprecated
    public final void clear() {
        throw new UnsupportedOperationException();
    }

    @Override // com.google.common.collect.y, com.google.common.collect.xd
    public boolean containsValue(Object obj) {
        return values().contains(obj);
    }

    @Override // com.google.common.collect.y, com.google.common.collect.xd
    @p0.a
    @Deprecated
    public final V d0(R r7, C c7, V v7) {
        throw new UnsupportedOperationException();
    }

    @Override // com.google.common.collect.y, com.google.common.collect.xd
    public /* bridge */ /* synthetic */ boolean d1(Object obj) {
        return super.d1(obj);
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.y
    public final Iterator<V> e() {
        throw new AssertionError("should never be called");
    }

    @Override // com.google.common.collect.y, com.google.common.collect.xd
    public /* bridge */ /* synthetic */ boolean equals(Object obj) {
        return super.equals(obj);
    }

    @Override // com.google.common.collect.y, com.google.common.collect.xd
    public /* bridge */ /* synthetic */ int hashCode() {
        return super.hashCode();
    }

    @Override // com.google.common.collect.y, com.google.common.collect.xd
    public /* bridge */ /* synthetic */ boolean isEmpty() {
        return super.isEmpty();
    }

    @Override // com.google.common.collect.y, com.google.common.collect.xd
    @Deprecated
    public final void l1(xd<? extends R, ? extends C, ? extends V> xdVar) {
        throw new UnsupportedOperationException();
    }

    @Override // com.google.common.collect.y, com.google.common.collect.xd
    public boolean m1(Object obj, Object obj2) {
        return L(obj, obj2) != null;
    }

    @Override // com.google.common.collect.y, com.google.common.collect.xd
    @p0.a
    @Deprecated
    public final V remove(Object obj, Object obj2) {
        throw new UnsupportedOperationException();
    }

    @Override // com.google.common.collect.y
    public /* bridge */ /* synthetic */ String toString() {
        return super.toString();
    }

    /* access modifiers changed from: package-private */
    /* renamed from: u */
    public final le<xd.a<R, C, V>> a() {
        throw new AssertionError("should never be called");
    }

    /* renamed from: w */
    public e7<xd.a<R, C, V>> b0() {
        return (e7) super.b0();
    }

    /* renamed from: x */
    public h6<R, V> U(C c7) {
        Preconditions.checkNotNull(c7, "columnKey");
        return (h6) MoreObjects.firstNonNull((h6) n1().get(c7), h6.v());
    }

    /* renamed from: y */
    public e7<C> b1() {
        return n1().keySet();
    }

    /* renamed from: z */
    public abstract h6<C, Map<R, V>> n1();
}
