package com.google.common.collect;

import com.google.common.base.Ascii;
import com.google.common.base.Equivalence;
import com.google.common.base.MoreObjects;
import com.google.common.base.Preconditions;
import com.google.common.collect.n9;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.ConcurrentMap;
import m0.b;
import m0.c;

@b(emulated = true)
public final class m9 {

    /* renamed from: g  reason: collision with root package name */
    private static final int f10399g = 16;

    /* renamed from: h  reason: collision with root package name */
    private static final int f10400h = 4;

    /* renamed from: i  reason: collision with root package name */
    static final int f10401i = -1;

    /* renamed from: a  reason: collision with root package name */
    boolean f10402a;

    /* renamed from: b  reason: collision with root package name */
    int f10403b = -1;

    /* renamed from: c  reason: collision with root package name */
    int f10404c = -1;

    /* renamed from: d  reason: collision with root package name */
    n9.q f10405d;

    /* renamed from: e  reason: collision with root package name */
    n9.q f10406e;

    /* renamed from: f  reason: collision with root package name */
    Equivalence<Object> f10407f;

    enum a {
        VALUE
    }

    @p0.a
    public m9 a(int i7) {
        int i8 = this.f10404c;
        boolean z7 = true;
        Preconditions.checkState(i8 == -1, "concurrency level was already set to %s", i8);
        if (i7 <= 0) {
            z7 = false;
        }
        Preconditions.checkArgument(z7);
        this.f10404c = i7;
        return this;
    }

    /* access modifiers changed from: package-private */
    public int b() {
        int i7 = this.f10404c;
        if (i7 == -1) {
            return 4;
        }
        return i7;
    }

    /* access modifiers changed from: package-private */
    public int c() {
        int i7 = this.f10403b;
        if (i7 == -1) {
            return 16;
        }
        return i7;
    }

    /* access modifiers changed from: package-private */
    public Equivalence<Object> d() {
        return (Equivalence) MoreObjects.firstNonNull(this.f10407f, e().a());
    }

    /* access modifiers changed from: package-private */
    public n9.q e() {
        return (n9.q) MoreObjects.firstNonNull(this.f10405d, n9.q.STRONG);
    }

    /* access modifiers changed from: package-private */
    public n9.q f() {
        return (n9.q) MoreObjects.firstNonNull(this.f10406e, n9.q.STRONG);
    }

    @p0.a
    public m9 g(int i7) {
        int i8 = this.f10403b;
        boolean z7 = true;
        Preconditions.checkState(i8 == -1, "initial capacity was already set to %s", i8);
        if (i7 < 0) {
            z7 = false;
        }
        Preconditions.checkArgument(z7);
        this.f10403b = i7;
        return this;
    }

    /* access modifiers changed from: package-private */
    @p0.a
    @c
    public m9 h(Equivalence<Object> equivalence) {
        Equivalence<Object> equivalence2 = this.f10407f;
        Preconditions.checkState(equivalence2 == null, "key equivalence was already set to %s", equivalence2);
        this.f10407f = (Equivalence) Preconditions.checkNotNull(equivalence);
        this.f10402a = true;
        return this;
    }

    public <K, V> ConcurrentMap<K, V> i() {
        return !this.f10402a ? new ConcurrentHashMap(c(), 0.75f, b()) : n9.c(this);
    }

    /* access modifiers changed from: package-private */
    public m9 j(n9.q qVar) {
        n9.q qVar2 = this.f10405d;
        Preconditions.checkState(qVar2 == null, "Key strength was already set to %s", qVar2);
        this.f10405d = (n9.q) Preconditions.checkNotNull(qVar);
        if (qVar != n9.q.STRONG) {
            this.f10402a = true;
        }
        return this;
    }

    /* access modifiers changed from: package-private */
    public m9 k(n9.q qVar) {
        n9.q qVar2 = this.f10406e;
        Preconditions.checkState(qVar2 == null, "Value strength was already set to %s", qVar2);
        this.f10406e = (n9.q) Preconditions.checkNotNull(qVar);
        if (qVar != n9.q.STRONG) {
            this.f10402a = true;
        }
        return this;
    }

    @p0.a
    @c
    public m9 l() {
        return j(n9.q.WEAK);
    }

    @p0.a
    @c
    public m9 m() {
        return k(n9.q.WEAK);
    }

    public String toString() {
        MoreObjects.ToStringHelper stringHelper = MoreObjects.toStringHelper(this);
        int i7 = this.f10403b;
        if (i7 != -1) {
            stringHelper.add("initialCapacity", i7);
        }
        int i8 = this.f10404c;
        if (i8 != -1) {
            stringHelper.add("concurrencyLevel", i8);
        }
        n9.q qVar = this.f10405d;
        if (qVar != null) {
            stringHelper.add("keyStrength", Ascii.toLowerCase(qVar.toString()));
        }
        n9.q qVar2 = this.f10406e;
        if (qVar2 != null) {
            stringHelper.add("valueStrength", Ascii.toLowerCase(qVar2.toString()));
        }
        if (this.f10407f != null) {
            stringHelper.addValue("keyEquivalence");
        }
        return stringHelper.toString();
    }
}
