package com.google.common.collect;

import com.google.common.base.Preconditions;
import com.google.common.collect.db;
import com.google.common.collect.ya;
import com.google.common.primitives.l;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.io.Serializable;
import java.lang.Enum;
import java.util.Arrays;
import java.util.Iterator;
import java.util.NoSuchElementException;
import java.util.Set;
import java.util.function.ObjIntConsumer;

@m0.b(emulated = true)
public final class n3<E extends Enum<E>> extends p<E> implements Serializable {
    @m0.c
    private static final long U5 = 0;
    private transient int C1;
    private transient long C2;

    /* renamed from: p  reason: collision with root package name */
    private transient Class<E> f10414p;

    /* renamed from: x  reason: collision with root package name */
    private transient E[] f10415x;

    /* renamed from: y  reason: collision with root package name */
    private transient int[] f10416y;

    class a extends n3<E>.c {
        a() {
            super();
        }

        /* access modifiers changed from: package-private */
        /* renamed from: b */
        public E a(int i7) {
            return (E) n3.this.f10415x[i7];
        }
    }

    /* access modifiers changed from: package-private */
    public class b extends n3<E>.c {

        /* access modifiers changed from: package-private */
        public class a extends db.f<E> {

            /* renamed from: f  reason: collision with root package name */
            final /* synthetic */ int f10419f;

            a(int i7) {
                this.f10419f = i7;
            }

            /* renamed from: b */
            public E a() {
                return (E) n3.this.f10415x[this.f10419f];
            }

            @Override // com.google.common.collect.ya.a
            public int getCount() {
                return n3.this.f10416y[this.f10419f];
            }
        }

        b() {
            super();
        }

        /* access modifiers changed from: package-private */
        /* renamed from: b */
        public ya.a<E> a(int i7) {
            return new a(i7);
        }
    }

    abstract class c<T> implements Iterator<T> {

        /* renamed from: f  reason: collision with root package name */
        int f10421f = 0;

        /* renamed from: g  reason: collision with root package name */
        int f10422g = -1;

        c() {
        }

        /* access modifiers changed from: package-private */
        public abstract T a(int i7);

        public boolean hasNext() {
            while (this.f10421f < n3.this.f10415x.length) {
                int[] iArr = n3.this.f10416y;
                int i7 = this.f10421f;
                if (iArr[i7] > 0) {
                    return true;
                }
                this.f10421f = i7 + 1;
            }
            return false;
        }

        @Override // java.util.Iterator
        public T next() {
            if (hasNext()) {
                T a8 = a(this.f10421f);
                int i7 = this.f10421f;
                this.f10422g = i7;
                this.f10421f = i7 + 1;
                return a8;
            }
            throw new NoSuchElementException();
        }

        public void remove() {
            t1.e(this.f10422g >= 0);
            if (n3.this.f10416y[this.f10422g] > 0) {
                n3.p(n3.this);
                n3.this.C2 -= (long) n3.this.f10416y[this.f10422g];
                n3.this.f10416y[this.f10422g] = 0;
            }
            this.f10422g = -1;
        }
    }

    private n3(Class<E> cls) {
        this.f10414p = cls;
        Preconditions.checkArgument(cls.isEnum());
        E[] enumConstants = cls.getEnumConstants();
        this.f10415x = enumConstants;
        this.f10416y = new int[enumConstants.length];
    }

    public static <E extends Enum<E>> n3<E> D(Iterable<E> iterable, Class<E> cls) {
        n3<E> w7 = w(cls);
        t8.a(w7, iterable);
        return w7;
    }

    private boolean J(Object obj) {
        if (!(obj instanceof Enum)) {
            return false;
        }
        Enum r42 = (Enum) obj;
        int ordinal = r42.ordinal();
        E[] eArr = this.f10415x;
        return ordinal < eArr.length && eArr[ordinal] == r42;
    }

    @m0.c
    private void L(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException {
        objectInputStream.defaultReadObject();
        Class<E> cls = (Class) objectInputStream.readObject();
        this.f10414p = cls;
        E[] enumConstants = cls.getEnumConstants();
        this.f10415x = enumConstants;
        this.f10416y = new int[enumConstants.length];
        gc.f(this, objectInputStream);
    }

    @m0.c
    private void Q(ObjectOutputStream objectOutputStream) throws IOException {
        objectOutputStream.defaultWriteObject();
        objectOutputStream.writeObject(this.f10414p);
        gc.k(this, objectOutputStream);
    }

    static /* synthetic */ int p(n3 n3Var) {
        int i7 = n3Var.C1;
        n3Var.C1 = i7 - 1;
        return i7;
    }

    public static <E extends Enum<E>> n3<E> w(Class<E> cls) {
        return new n3<>(cls);
    }

    public static <E extends Enum<E>> n3<E> x(Iterable<E> iterable) {
        Iterator<E> it = iterable.iterator();
        Preconditions.checkArgument(it.hasNext(), "EnumMultiset constructor passed empty Iterable");
        n3<E> n3Var = new n3<>(it.next().getDeclaringClass());
        t8.a(n3Var, iterable);
        return n3Var;
    }

    @Override // com.google.common.collect.ya
    public void L0(ObjIntConsumer<? super E> objIntConsumer) {
        Preconditions.checkNotNull(objIntConsumer);
        int i7 = 0;
        while (true) {
            E[] eArr = this.f10415x;
            if (i7 < eArr.length) {
                int i8 = this.f10416y[i7];
                if (i8 > 0) {
                    objIntConsumer.accept(eArr[i7], i8);
                }
                i7++;
            } else {
                return;
            }
        }
    }

    @Override // com.google.common.collect.ya
    public int O0(Object obj) {
        if (obj == null || !J(obj)) {
            return 0;
        }
        return this.f10416y[((Enum) obj).ordinal()];
    }

    @p0.a
    /* renamed from: P */
    public int p0(E e7, int i7) {
        int i8;
        u(e7);
        t1.b(i7, "count");
        int ordinal = e7.ordinal();
        int[] iArr = this.f10416y;
        int i9 = iArr[ordinal];
        iArr[ordinal] = i7;
        this.C2 += (long) (i7 - i9);
        if (i9 != 0 || i7 <= 0) {
            if (i9 > 0 && i7 == 0) {
                i8 = this.C1 - 1;
            }
            return i9;
        }
        i8 = this.C1 + 1;
        this.C1 = i8;
        return i9;
    }

    @Override // com.google.common.collect.p, com.google.common.collect.ya
    @p0.a
    public int V(Object obj, int i7) {
        if (obj == null || !J(obj)) {
            return 0;
        }
        Enum r12 = (Enum) obj;
        t1.b(i7, "occurrences");
        if (i7 == 0) {
            return O0(obj);
        }
        int ordinal = r12.ordinal();
        int[] iArr = this.f10416y;
        int i8 = iArr[ordinal];
        if (i8 == 0) {
            return 0;
        }
        if (i8 <= i7) {
            iArr[ordinal] = 0;
            this.C1--;
            this.C2 -= (long) i8;
        } else {
            iArr[ordinal] = i8 - i7;
            this.C2 -= (long) i7;
        }
        return i8;
    }

    @Override // com.google.common.collect.p
    public void clear() {
        Arrays.fill(this.f10416y, 0);
        this.C2 = 0;
        this.C1 = 0;
    }

    @Override // com.google.common.collect.p, com.google.common.collect.ya
    public /* bridge */ /* synthetic */ boolean contains(Object obj) {
        return super.contains(obj);
    }

    @Override // com.google.common.collect.p, com.google.common.collect.ya
    public /* bridge */ /* synthetic */ Set d() {
        return super.d();
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.p
    public int e() {
        return this.C1;
    }

    @Override // com.google.common.collect.p, com.google.common.collect.ya
    public /* bridge */ /* synthetic */ Set entrySet() {
        return super.entrySet();
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.p
    public Iterator<E> h() {
        return new a();
    }

    @Override // com.google.common.collect.p
    public /* bridge */ /* synthetic */ boolean isEmpty() {
        return super.isEmpty();
    }

    @Override // java.util.AbstractCollection, java.util.Collection, com.google.common.collect.ya, java.lang.Iterable
    public Iterator<E> iterator() {
        return db.p(this);
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.p
    public Iterator<ya.a<E>> k() {
        return new b();
    }

    @Override // com.google.common.collect.ya
    public int size() {
        return l.x(this.C2);
    }

    @p0.a
    /* renamed from: t */
    public int c0(E e7, int i7) {
        u(e7);
        t1.b(i7, "occurrences");
        if (i7 == 0) {
            return O0(e7);
        }
        int ordinal = e7.ordinal();
        int i8 = this.f10416y[ordinal];
        long j7 = (long) i7;
        long j8 = ((long) i8) + j7;
        Preconditions.checkArgument(j8 <= 2147483647L, "too many occurrences: %s", j8);
        this.f10416y[ordinal] = (int) j8;
        if (i8 == 0) {
            this.C1++;
        }
        this.C2 += j7;
        return i8;
    }

    /* access modifiers changed from: package-private */
    public void u(Object obj) {
        Preconditions.checkNotNull(obj);
        if (!J(obj)) {
            throw new ClassCastException("Expected an " + this.f10414p + " but got " + obj);
        }
    }
}
