package com.google.common.collect;

import com.google.common.base.Preconditions;
import com.google.common.collect.t5;
import java.io.Serializable;
import java.util.AbstractCollection;
import java.util.Collection;
import java.util.Iterator;
import java.util.Spliterator;
import java.util.Spliterators;
import java.util.function.Predicate;
import m0.b;

@b(emulated = true)
public abstract class n5<E> extends AbstractCollection<E> implements Serializable {

    /* renamed from: f  reason: collision with root package name */
    static final int f10424f = 1296;

    /* renamed from: g  reason: collision with root package name */
    private static final Object[] f10425g = new Object[0];

    public static abstract class a<E> {

        /* renamed from: a  reason: collision with root package name */
        static final int f10426a = 4;

        a() {
        }

        static int f(int i7, int i8) {
            if (i8 >= 0) {
                int i9 = i7 + (i7 >> 1) + 1;
                if (i9 < i8) {
                    i9 = Integer.highestOneBit(i8 - 1) << 1;
                }
                if (i9 < 0) {
                    return Integer.MAX_VALUE;
                }
                return i9;
            }
            throw new AssertionError("cannot store more than MAX_VALUE elements");
        }

        @p0.a
        public abstract a<E> a(E e7);

        @p0.a
        public a<E> b(E... eArr) {
            for (E e7 : eArr) {
                a(e7);
            }
            return this;
        }

        /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: com.google.common.collect.n5$a<E> */
        /* JADX WARN: Multi-variable type inference failed */
        @p0.a
        public a<E> c(Iterable<? extends E> iterable) {
            Iterator<? extends E> it = iterable.iterator();
            while (it.hasNext()) {
                a(it.next());
            }
            return this;
        }

        /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: com.google.common.collect.n5$a<E> */
        /* JADX WARN: Multi-variable type inference failed */
        @p0.a
        public a<E> d(Iterator<? extends E> it) {
            while (it.hasNext()) {
                a(it.next());
            }
            return this;
        }

        public abstract n5<E> e();
    }

    n5() {
    }

    @Override // java.util.AbstractCollection, java.util.Collection
    @p0.a
    @Deprecated
    public final boolean add(E e7) {
        throw new UnsupportedOperationException();
    }

    @Override // java.util.AbstractCollection, java.util.Collection
    @p0.a
    @Deprecated
    public final boolean addAll(Collection<? extends E> collection) {
        throw new UnsupportedOperationException();
    }

    public t5<E> b() {
        int size = size();
        return size != 0 ? size != 1 ? new tb(this, toArray()) : t5.T(iterator().next()) : t5.R();
    }

    /* access modifiers changed from: package-private */
    @p0.a
    public int c(Object[] objArr, int i7) {
        le<E> n7 = iterator();
        while (n7.hasNext()) {
            objArr[i7] = n7.next();
            i7++;
        }
        return i7;
    }

    @Deprecated
    public final void clear() {
        throw new UnsupportedOperationException();
    }

    public abstract boolean contains(Object obj);

    /* access modifiers changed from: package-private */
    public Object[] e() {
        return null;
    }

    /* access modifiers changed from: package-private */
    public int h() {
        throw new UnsupportedOperationException();
    }

    /* access modifiers changed from: package-private */
    public int k() {
        throw new UnsupportedOperationException();
    }

    /* access modifiers changed from: package-private */
    public abstract boolean m();

    /* renamed from: n */
    public abstract le<E> iterator();

    /* access modifiers changed from: package-private */
    public Object p() {
        return new t5.d(toArray());
    }

    @p0.a
    @Deprecated
    public final boolean remove(Object obj) {
        throw new UnsupportedOperationException();
    }

    @Override // java.util.AbstractCollection, java.util.Collection
    @p0.a
    @Deprecated
    public final boolean removeAll(Collection<?> collection) {
        throw new UnsupportedOperationException();
    }

    @Override // java.util.Collection
    @p0.a
    @Deprecated
    public final boolean removeIf(Predicate<? super E> predicate) {
        throw new UnsupportedOperationException();
    }

    @Override // java.util.AbstractCollection, java.util.Collection
    @Deprecated
    public final boolean retainAll(Collection<?> collection) {
        throw new UnsupportedOperationException();
    }

    @Override // java.util.Collection, java.lang.Iterable
    public Spliterator<E> spliterator() {
        return Spliterators.spliterator(this, (int) f10424f);
    }

    public final Object[] toArray() {
        return toArray(f10425g);
    }

    @Override // java.util.AbstractCollection, java.util.Collection
    @p0.a
    public final <T> T[] toArray(T[] tArr) {
        Preconditions.checkNotNull(tArr);
        int size = size();
        if (tArr.length < size) {
            Object[] e7 = e();
            if (e7 != null) {
                return (T[]) mb.a(e7, k(), h(), tArr);
            }
            tArr = (T[]) jb.j(tArr, size);
        } else if (tArr.length > size) {
            tArr[size] = null;
        }
        c(tArr, 0);
        return tArr;
    }
}
