package com.google.common.collect;

import com.google.common.base.Equivalence;
import com.google.common.base.Preconditions;
import com.google.common.collect.m9;
import com.google.common.collect.n9.j;
import com.google.common.collect.n9.o;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.io.Serializable;
import java.lang.ref.Reference;
import java.lang.ref.ReferenceQueue;
import java.lang.ref.WeakReference;
import java.util.AbstractCollection;
import java.util.AbstractMap;
import java.util.AbstractSet;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;
import java.util.Map;
import java.util.NoSuchElementException;
import java.util.Set;
import java.util.concurrent.CancellationException;
import java.util.concurrent.ConcurrentMap;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicReferenceArray;
import java.util.concurrent.locks.ReentrantLock;

/* access modifiers changed from: package-private */
@m0.c
public class n9<K, V, E extends j<K, V, E>, S extends o<K, V, E, S>> extends AbstractMap<K, V> implements ConcurrentMap<K, V>, Serializable {
    static final int W5 = 1073741824;
    static final int X5 = 65536;
    static final int Y5 = 3;
    static final int Z5 = 63;

    /* renamed from: a6  reason: collision with root package name */
    static final int f10429a6 = 16;

    /* renamed from: b6  reason: collision with root package name */
    static final long f10430b6 = 60;

    /* renamed from: c6  reason: collision with root package name */
    static final h0<Object, Object, f> f10431c6 = new a();

    /* renamed from: d6  reason: collision with root package name */
    private static final long f10432d6 = 5;
    final transient k<K, V, E, S> C1;
    transient Set<K> C2;
    transient Collection<V> U5;
    transient Set<Map.Entry<K, V>> V5;

    /* renamed from: f  reason: collision with root package name */
    final transient int f10433f;

    /* renamed from: g  reason: collision with root package name */
    final transient int f10434g;

    /* renamed from: p  reason: collision with root package name */
    final transient o<K, V, E, S>[] f10435p;

    /* renamed from: x  reason: collision with root package name */
    final int f10436x;

    /* renamed from: y  reason: collision with root package name */
    final Equivalence<Object> f10437y;

    static class a implements h0<Object, Object, f> {
        a() {
        }

        /* renamed from: c */
        public h0<Object, Object, f> b(ReferenceQueue<Object> referenceQueue, f fVar) {
            return this;
        }

        @Override // com.google.common.collect.n9.h0
        public void clear() {
        }

        /* renamed from: d */
        public f a() {
            return null;
        }

        @Override // com.google.common.collect.n9.h0
        public Object get() {
            return null;
        }
    }

    /* access modifiers changed from: package-private */
    public static final class a0<K> extends d<K, m9.a, a0<K>> implements x<K, m9.a, a0<K>> {

        static final class a<K> implements k<K, m9.a, a0<K>, b0<K>> {

            /* renamed from: a  reason: collision with root package name */
            private static final a<?> f10438a = new a<>();

            a() {
            }

            static <K> a<K> h() {
                return (a<K>) f10438a;
            }

            @Override // com.google.common.collect.n9.k
            public q b() {
                return q.WEAK;
            }

            @Override // com.google.common.collect.n9.k
            public q c() {
                return q.STRONG;
            }

            /* renamed from: g */
            public a0<K> a(b0<K> b0Var, a0<K> a0Var, a0<K> a0Var2) {
                if (a0Var.getKey() == null) {
                    return null;
                }
                return a0Var.b(((b0) b0Var).U5, a0Var2);
            }

            /* renamed from: i */
            public a0<K> f(b0<K> b0Var, K k7, int i7, a0<K> a0Var) {
                return new a0<>(((b0) b0Var).U5, k7, i7, a0Var);
            }

            /* renamed from: j */
            public b0<K> e(n9<K, m9.a, a0<K>, b0<K>> n9Var, int i7, int i8) {
                return new b0<>(n9Var, i7, i8);
            }

            /* renamed from: k */
            public void d(b0<K> b0Var, a0<K> a0Var, m9.a aVar) {
            }
        }

        a0(ReferenceQueue<K> referenceQueue, K k7, int i7, a0<K> a0Var) {
            super(referenceQueue, k7, i7, a0Var);
        }

        /* access modifiers changed from: package-private */
        public a0<K> b(ReferenceQueue<K> referenceQueue, a0<K> a0Var) {
            return new a0<>(referenceQueue, getKey(), this.f10449f, a0Var);
        }

        /* renamed from: c */
        public m9.a getValue() {
            return m9.a.VALUE;
        }

        /* access modifiers changed from: package-private */
        public void d(m9.a aVar) {
        }
    }

    static abstract class b<K, V> extends b4<K, V> implements Serializable {
        private static final long C2 = 3;
        transient ConcurrentMap<K, V> C1;

        /* renamed from: f  reason: collision with root package name */
        final q f10439f;

        /* renamed from: g  reason: collision with root package name */
        final q f10440g;

        /* renamed from: p  reason: collision with root package name */
        final Equivalence<Object> f10441p;

        /* renamed from: x  reason: collision with root package name */
        final Equivalence<Object> f10442x;

        /* renamed from: y  reason: collision with root package name */
        final int f10443y;

        b(q qVar, q qVar2, Equivalence<Object> equivalence, Equivalence<Object> equivalence2, int i7, ConcurrentMap<K, V> concurrentMap) {
            this.f10439f = qVar;
            this.f10440g = qVar2;
            this.f10441p = equivalence;
            this.f10442x = equivalence2;
            this.f10443y = i7;
            this.C1 = concurrentMap;
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.collect.b4
        /* renamed from: O1 */
        public ConcurrentMap<K, V> E1() {
            return this.C1;
        }

        /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: java.util.concurrent.ConcurrentMap<K, V> */
        /* JADX WARN: Multi-variable type inference failed */
        /* access modifiers changed from: package-private */
        public void P1(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException {
            while (true) {
                Object readObject = objectInputStream.readObject();
                if (readObject != null) {
                    this.C1.put(readObject, objectInputStream.readObject());
                } else {
                    return;
                }
            }
        }

        /* access modifiers changed from: package-private */
        public m9 Q1(ObjectInputStream objectInputStream) throws IOException {
            return new m9().g(objectInputStream.readInt()).j(this.f10439f).k(this.f10440g).h(this.f10441p).a(this.f10443y);
        }

        /* access modifiers changed from: package-private */
        public void R1(ObjectOutputStream objectOutputStream) throws IOException {
            objectOutputStream.writeInt(this.C1.size());
            for (Map.Entry<K, V> entry : this.C1.entrySet()) {
                objectOutputStream.writeObject(entry.getKey());
                objectOutputStream.writeObject(entry.getValue());
            }
            objectOutputStream.writeObject(null);
        }
    }

    /* access modifiers changed from: package-private */
    public static final class b0<K> extends o<K, m9.a, a0<K>, b0<K>> {
        private final ReferenceQueue<K> U5 = new ReferenceQueue<>();

        b0(n9<K, m9.a, a0<K>, b0<K>> n9Var, int i7, int i8) {
            super(n9Var, i7, i8);
        }

        /* renamed from: a0 */
        public a0<K> a(j<K, m9.a, ?> jVar) {
            return (a0) jVar;
        }

        /* access modifiers changed from: package-private */
        /* renamed from: b0 */
        public b0<K> S() {
            return this;
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.n9.o
        public ReferenceQueue<K> q() {
            return this.U5;
        }

        /* JADX DEBUG: Type inference failed for r0v0. Raw type applied. Possible types: java.lang.ref.ReferenceQueue<K>, java.lang.ref.ReferenceQueue<T> */
        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.n9.o
        public void y() {
            c((ReferenceQueue<K>) this.U5);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.n9.o
        public void z() {
            i(this.U5);
        }
    }

    /* access modifiers changed from: package-private */
    public static abstract class c<K, V, E extends j<K, V, E>> implements j<K, V, E> {

        /* renamed from: f  reason: collision with root package name */
        final K f10444f;

        /* renamed from: g  reason: collision with root package name */
        final int f10445g;

        /* renamed from: p  reason: collision with root package name */
        final E f10446p;

        c(K k7, int i7, E e7) {
            this.f10444f = k7;
            this.f10445g = i7;
            this.f10446p = e7;
        }

        @Override // com.google.common.collect.n9.j
        public K getKey() {
            return this.f10444f;
        }

        @Override // com.google.common.collect.n9.j
        public int h() {
            return this.f10445g;
        }

        @Override // com.google.common.collect.n9.j
        public E i() {
            return this.f10446p;
        }
    }

    /* access modifiers changed from: package-private */
    public static final class c0<K, V> extends d<K, V, c0<K, V>> implements x<K, V, c0<K, V>> {

        /* renamed from: p  reason: collision with root package name */
        private volatile V f10447p = null;

        /* access modifiers changed from: package-private */
        public static final class a<K, V> implements k<K, V, c0<K, V>, d0<K, V>> {

            /* renamed from: a  reason: collision with root package name */
            private static final a<?, ?> f10448a = new a<>();

            a() {
            }

            static <K, V> a<K, V> h() {
                return (a<K, V>) f10448a;
            }

            @Override // com.google.common.collect.n9.k
            public q b() {
                return q.WEAK;
            }

            @Override // com.google.common.collect.n9.k
            public q c() {
                return q.STRONG;
            }

            /* renamed from: g */
            public c0<K, V> a(d0<K, V> d0Var, c0<K, V> c0Var, c0<K, V> c0Var2) {
                if (c0Var.getKey() == null) {
                    return null;
                }
                return c0Var.b(((d0) d0Var).U5, c0Var2);
            }

            /* renamed from: i */
            public c0<K, V> f(d0<K, V> d0Var, K k7, int i7, c0<K, V> c0Var) {
                return new c0<>(((d0) d0Var).U5, k7, i7, c0Var);
            }

            /* renamed from: j */
            public d0<K, V> e(n9<K, V, c0<K, V>, d0<K, V>> n9Var, int i7, int i8) {
                return new d0<>(n9Var, i7, i8);
            }

            /* renamed from: k */
            public void d(d0<K, V> d0Var, c0<K, V> c0Var, V v7) {
                c0Var.c(v7);
            }
        }

        c0(ReferenceQueue<K> referenceQueue, K k7, int i7, c0<K, V> c0Var) {
            super(referenceQueue, k7, i7, c0Var);
        }

        /* access modifiers changed from: package-private */
        public c0<K, V> b(ReferenceQueue<K> referenceQueue, c0<K, V> c0Var) {
            c0<K, V> c0Var2 = new c0<>(referenceQueue, getKey(), this.f10449f, c0Var);
            c0Var2.c(this.f10447p);
            return c0Var2;
        }

        /* access modifiers changed from: package-private */
        public void c(V v7) {
            this.f10447p = v7;
        }

        @Override // com.google.common.collect.n9.j
        public V getValue() {
            return this.f10447p;
        }
    }

    /* access modifiers changed from: package-private */
    public static abstract class d<K, V, E extends j<K, V, E>> extends WeakReference<K> implements j<K, V, E> {

        /* renamed from: f  reason: collision with root package name */
        final int f10449f;

        /* renamed from: g  reason: collision with root package name */
        final E f10450g;

        d(ReferenceQueue<K> referenceQueue, K k7, int i7, E e7) {
            super(k7, referenceQueue);
            this.f10449f = i7;
            this.f10450g = e7;
        }

        @Override // com.google.common.collect.n9.j
        public K getKey() {
            return (K) get();
        }

        @Override // com.google.common.collect.n9.j
        public int h() {
            return this.f10449f;
        }

        @Override // com.google.common.collect.n9.j
        public E i() {
            return this.f10450g;
        }
    }

    /* access modifiers changed from: package-private */
    public static final class d0<K, V> extends o<K, V, c0<K, V>, d0<K, V>> {
        private final ReferenceQueue<K> U5 = new ReferenceQueue<>();

        d0(n9<K, V, c0<K, V>, d0<K, V>> n9Var, int i7, int i8) {
            super(n9Var, i7, i8);
        }

        /* renamed from: a0 */
        public c0<K, V> a(j<K, V, ?> jVar) {
            return (c0) jVar;
        }

        /* access modifiers changed from: package-private */
        /* renamed from: b0 */
        public d0<K, V> S() {
            return this;
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.n9.o
        public ReferenceQueue<K> q() {
            return this.U5;
        }

        /* JADX DEBUG: Type inference failed for r0v0. Raw type applied. Possible types: java.lang.ref.ReferenceQueue<K>, java.lang.ref.ReferenceQueue<T> */
        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.n9.o
        public void y() {
            c((ReferenceQueue<K>) this.U5);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.n9.o
        public void z() {
            i(this.U5);
        }
    }

    static final class e implements Runnable {

        /* renamed from: f  reason: collision with root package name */
        final WeakReference<n9<?, ?, ?, ?>> f10451f;

        public e(n9<?, ?, ?, ?> n9Var) {
            this.f10451f = new WeakReference<>(n9Var);
        }

        public void run() {
            n9<?, ?, ?, ?> n9Var = this.f10451f.get();
            if (n9Var != null) {
                for (o<K, V, E, S> oVar : n9Var.f10435p) {
                    oVar.Q();
                }
                return;
            }
            throw new CancellationException();
        }
    }

    /* access modifiers changed from: package-private */
    public static final class e0<K, V> extends d<K, V, e0<K, V>> implements g0<K, V, e0<K, V>> {

        /* renamed from: p  reason: collision with root package name */
        private volatile h0<K, V, e0<K, V>> f10452p = n9.s();

        /* access modifiers changed from: package-private */
        public static final class a<K, V> implements k<K, V, e0<K, V>, f0<K, V>> {

            /* renamed from: a  reason: collision with root package name */
            private static final a<?, ?> f10453a = new a<>();

            a() {
            }

            static <K, V> a<K, V> h() {
                return (a<K, V>) f10453a;
            }

            @Override // com.google.common.collect.n9.k
            public q b() {
                return q.WEAK;
            }

            @Override // com.google.common.collect.n9.k
            public q c() {
                return q.WEAK;
            }

            /* renamed from: g */
            public e0<K, V> a(f0<K, V> f0Var, e0<K, V> e0Var, e0<K, V> e0Var2) {
                if (e0Var.getKey() != null && !o.x(e0Var)) {
                    return e0Var.d(((f0) f0Var).U5, ((f0) f0Var).V5, e0Var2);
                }
                return null;
            }

            /* renamed from: i */
            public e0<K, V> f(f0<K, V> f0Var, K k7, int i7, e0<K, V> e0Var) {
                return new e0<>(((f0) f0Var).U5, k7, i7, e0Var);
            }

            /* renamed from: j */
            public f0<K, V> e(n9<K, V, e0<K, V>, f0<K, V>> n9Var, int i7, int i8) {
                return new f0<>(n9Var, i7, i8);
            }

            /* renamed from: k */
            public void d(f0<K, V> f0Var, e0<K, V> e0Var, V v7) {
                e0Var.e(v7, ((f0) f0Var).V5);
            }
        }

        e0(ReferenceQueue<K> referenceQueue, K k7, int i7, e0<K, V> e0Var) {
            super(referenceQueue, k7, i7, e0Var);
        }

        @Override // com.google.common.collect.n9.g0
        public void a() {
            this.f10452p.clear();
        }

        /* access modifiers changed from: package-private */
        public e0<K, V> d(ReferenceQueue<K> referenceQueue, ReferenceQueue<V> referenceQueue2, e0<K, V> e0Var) {
            e0<K, V> e0Var2 = new e0<>(referenceQueue, getKey(), this.f10449f, e0Var);
            e0Var2.f10452p = this.f10452p.b(referenceQueue2, e0Var2);
            return e0Var2;
        }

        /* access modifiers changed from: package-private */
        public void e(V v7, ReferenceQueue<V> referenceQueue) {
            h0<K, V, e0<K, V>> h0Var = this.f10452p;
            this.f10452p = new i0(referenceQueue, v7, this);
            h0Var.clear();
        }

        @Override // com.google.common.collect.n9.j
        public V getValue() {
            return this.f10452p.get();
        }

        @Override // com.google.common.collect.n9.g0
        public h0<K, V, e0<K, V>> j() {
            return this.f10452p;
        }
    }

    /* access modifiers changed from: package-private */
    public static final class f implements j<Object, Object, f> {
        private f() {
            throw new AssertionError();
        }

        /* renamed from: b */
        public f i() {
            throw new AssertionError();
        }

        @Override // com.google.common.collect.n9.j
        public Object getKey() {
            throw new AssertionError();
        }

        @Override // com.google.common.collect.n9.j
        public Object getValue() {
            throw new AssertionError();
        }

        @Override // com.google.common.collect.n9.j
        public int h() {
            throw new AssertionError();
        }
    }

    /* access modifiers changed from: package-private */
    public static final class f0<K, V> extends o<K, V, e0<K, V>, f0<K, V>> {
        private final ReferenceQueue<K> U5 = new ReferenceQueue<>();
        private final ReferenceQueue<V> V5 = new ReferenceQueue<>();

        f0(n9<K, V, e0<K, V>, f0<K, V>> n9Var, int i7, int i8) {
            super(n9Var, i7, i8);
        }

        @Override // com.google.common.collect.n9.o
        public h0<K, V, e0<K, V>> C(j<K, V, ?> jVar, V v7) {
            return new i0(this.V5, v7, a(jVar));
        }

        @Override // com.google.common.collect.n9.o
        public void X(j<K, V, ?> jVar, h0<K, V, ? extends j<K, V, ?>> h0Var) {
            e0<K, V> b02 = a(jVar);
            h0 h0Var2 = ((e0) b02).f10452p;
            ((e0) b02).f10452p = h0Var;
            h0Var2.clear();
        }

        /* renamed from: b0 */
        public e0<K, V> a(j<K, V, ?> jVar) {
            return (e0) jVar;
        }

        /* access modifiers changed from: package-private */
        /* renamed from: c0 */
        public f0<K, V> S() {
            return this;
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.n9.o
        public ReferenceQueue<K> q() {
            return this.U5;
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.n9.o
        public ReferenceQueue<V> u() {
            return this.V5;
        }

        @Override // com.google.common.collect.n9.o
        public h0<K, V, e0<K, V>> v(j<K, V, ?> jVar) {
            return a(jVar).j();
        }

        /* JADX DEBUG: Type inference failed for r0v0. Raw type applied. Possible types: java.lang.ref.ReferenceQueue<K>, java.lang.ref.ReferenceQueue<T> */
        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.n9.o
        public void y() {
            c((ReferenceQueue<K>) this.U5);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.n9.o
        public void z() {
            i(this.U5);
            j(this.V5);
        }
    }

    final class g extends n9<K, V, E, S>.i {
        g() {
            super();
        }

        /* renamed from: f */
        public Map.Entry<K, V> next() {
            return c();
        }
    }

    /* access modifiers changed from: package-private */
    public interface g0<K, V, E extends j<K, V, E>> extends j<K, V, E> {
        void a();

        h0<K, V, E> j();
    }

    final class h extends n<Map.Entry<K, V>> {
        h() {
            super(null);
        }

        public void clear() {
            n9.this.clear();
        }

        public boolean contains(Object obj) {
            Map.Entry entry;
            Object key;
            Object obj2;
            return (obj instanceof Map.Entry) && (key = (entry = (Map.Entry) obj).getKey()) != null && (obj2 = n9.this.get(key)) != null && n9.this.t().equivalent(entry.getValue(), obj2);
        }

        public boolean isEmpty() {
            return n9.this.isEmpty();
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
        public Iterator<Map.Entry<K, V>> iterator() {
            return new g();
        }

        public boolean remove(Object obj) {
            Map.Entry entry;
            Object key;
            return (obj instanceof Map.Entry) && (key = (entry = (Map.Entry) obj).getKey()) != null && n9.this.remove(key, entry.getValue());
        }

        public int size() {
            return n9.this.size();
        }
    }

    /* access modifiers changed from: package-private */
    public interface h0<K, V, E extends j<K, V, E>> {
        E a();

        h0<K, V, E> b(ReferenceQueue<V> referenceQueue, E e7);

        void clear();

        V get();
    }

    /* access modifiers changed from: package-private */
    public abstract class i<T> implements Iterator<T> {
        n9<K, V, E, S>.j0 C1;
        n9<K, V, E, S>.j0 C2;

        /* renamed from: f  reason: collision with root package name */
        int f10455f;

        /* renamed from: g  reason: collision with root package name */
        int f10456g = -1;

        /* renamed from: p  reason: collision with root package name */
        o<K, V, E, S> f10457p;

        /* renamed from: x  reason: collision with root package name */
        AtomicReferenceArray<E> f10458x;

        /* renamed from: y  reason: collision with root package name */
        E f10459y;

        i() {
            this.f10455f = n9.this.f10435p.length - 1;
            a();
        }

        /* access modifiers changed from: package-private */
        public final void a() {
            this.C1 = null;
            if (!d() && !e()) {
                while (true) {
                    int i7 = this.f10455f;
                    if (i7 >= 0) {
                        o<K, V, E, S>[] oVarArr = n9.this.f10435p;
                        this.f10455f = i7 - 1;
                        o<K, V, E, S> oVar = oVarArr[i7];
                        this.f10457p = oVar;
                        if (oVar.f10466g != 0) {
                            AtomicReferenceArray<E> atomicReferenceArray = this.f10457p.f10469y;
                            this.f10458x = atomicReferenceArray;
                            this.f10456g = atomicReferenceArray.length() - 1;
                            if (e()) {
                                return;
                            }
                        }
                    } else {
                        return;
                    }
                }
            }
        }

        /* JADX INFO: finally extract failed */
        /* access modifiers changed from: package-private */
        public boolean b(E e7) {
            try {
                Object key = e7.getKey();
                Object g7 = n9.this.g(e7);
                if (g7 != null) {
                    this.C1 = new j0(key, g7);
                    this.f10457p.D();
                    return true;
                }
                this.f10457p.D();
                return false;
            } catch (Throwable th) {
                this.f10457p.D();
                throw th;
            }
        }

        /* access modifiers changed from: package-private */
        public n9<K, V, E, S>.j0 c() {
            n9<K, V, E, S>.j0 j0Var = this.C1;
            if (j0Var != null) {
                this.C2 = j0Var;
                a();
                return this.C2;
            }
            throw new NoSuchElementException();
        }

        /* access modifiers changed from: package-private */
        public boolean d() {
            E e7 = this.f10459y;
            if (e7 == null) {
                return false;
            }
            while (true) {
                this.f10459y = (E) e7.i();
                E e8 = this.f10459y;
                if (e8 == null) {
                    return false;
                }
                if (b(e8)) {
                    return true;
                }
                e7 = this.f10459y;
            }
        }

        /* access modifiers changed from: package-private */
        public boolean e() {
            while (true) {
                int i7 = this.f10456g;
                if (i7 < 0) {
                    return false;
                }
                AtomicReferenceArray<E> atomicReferenceArray = this.f10458x;
                this.f10456g = i7 - 1;
                E e7 = atomicReferenceArray.get(i7);
                this.f10459y = e7;
                if (e7 != null && (b(e7) || d())) {
                    return true;
                }
            }
        }

        public boolean hasNext() {
            return this.C1 != null;
        }

        @Override // java.util.Iterator
        public abstract T next();

        public void remove() {
            t1.e(this.C2 != null);
            n9.this.remove(this.C2.getKey());
            this.C2 = null;
        }
    }

    /* access modifiers changed from: package-private */
    public static final class i0<K, V, E extends j<K, V, E>> extends WeakReference<V> implements h0<K, V, E> {
        @e1.i

        /* renamed from: f  reason: collision with root package name */
        final E f10460f;

        i0(ReferenceQueue<V> referenceQueue, V v7, E e7) {
            super(v7, referenceQueue);
            this.f10460f = e7;
        }

        @Override // com.google.common.collect.n9.h0
        public E a() {
            return this.f10460f;
        }

        @Override // com.google.common.collect.n9.h0
        public h0<K, V, E> b(ReferenceQueue<V> referenceQueue, E e7) {
            return new i0(referenceQueue, get(), e7);
        }
    }

    /* access modifiers changed from: package-private */
    public interface j<K, V, E extends j<K, V, E>> {
        K getKey();

        V getValue();

        int h();

        E i();
    }

    /* access modifiers changed from: package-private */
    public final class j0 extends n<K, V> {

        /* renamed from: f  reason: collision with root package name */
        final K f10461f;

        /* renamed from: g  reason: collision with root package name */
        V f10462g;

        j0(K k7, V v7) {
            this.f10461f = k7;
            this.f10462g = v7;
        }

        @Override // com.google.common.collect.n
        public boolean equals(Object obj) {
            if (!(obj instanceof Map.Entry)) {
                return false;
            }
            Map.Entry entry = (Map.Entry) obj;
            return this.f10461f.equals(entry.getKey()) && this.f10462g.equals(entry.getValue());
        }

        @Override // java.util.Map.Entry, com.google.common.collect.n
        public K getKey() {
            return this.f10461f;
        }

        @Override // java.util.Map.Entry, com.google.common.collect.n
        public V getValue() {
            return this.f10462g;
        }

        @Override // com.google.common.collect.n
        public int hashCode() {
            return this.f10462g.hashCode() ^ this.f10461f.hashCode();
        }

        @Override // java.util.Map.Entry, com.google.common.collect.n
        public V setValue(V v7) {
            V v8 = (V) n9.this.put(this.f10461f, v7);
            this.f10462g = v7;
            return v8;
        }
    }

    /* access modifiers changed from: package-private */
    public interface k<K, V, E extends j<K, V, E>, S extends o<K, V, E, S>> {
        E a(S s7, E e7, E e8);

        q b();

        q c();

        void d(S s7, E e7, V v7);

        S e(n9<K, V, E, S> n9Var, int i7, int i8);

        E f(S s7, K k7, int i7, E e7);
    }

    final class l extends n9<K, V, E, S>.i {
        l() {
            super();
        }

        @Override // java.util.Iterator, com.google.common.collect.n9.i
        public K next() {
            return (K) c().getKey();
        }
    }

    final class m extends n<K> {
        m() {
            super(null);
        }

        public void clear() {
            n9.this.clear();
        }

        public boolean contains(Object obj) {
            return n9.this.containsKey(obj);
        }

        public boolean isEmpty() {
            return n9.this.isEmpty();
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
        public Iterator<K> iterator() {
            return new l();
        }

        public boolean remove(Object obj) {
            return n9.this.remove(obj) != null;
        }

        public int size() {
            return n9.this.size();
        }
    }

    private static abstract class n<E> extends AbstractSet<E> {
        private n() {
        }

        public Object[] toArray() {
            return n9.r(this).toArray();
        }

        /* synthetic */ n(a aVar) {
            this();
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
        public <T> T[] toArray(T[] tArr) {
            return (T[]) n9.r(this).toArray(tArr);
        }
    }

    /* access modifiers changed from: package-private */
    public static abstract class o<K, V, E extends j<K, V, E>, S extends o<K, V, E, S>> extends ReentrantLock {
        final int C1;
        final AtomicInteger C2 = new AtomicInteger();
        @e1.i

        /* renamed from: f  reason: collision with root package name */
        final n9<K, V, E, S> f10465f;

        /* renamed from: g  reason: collision with root package name */
        volatile int f10466g;

        /* renamed from: p  reason: collision with root package name */
        int f10467p;

        /* renamed from: x  reason: collision with root package name */
        int f10468x;

        /* renamed from: y  reason: collision with root package name */
        volatile AtomicReferenceArray<E> f10469y;

        o(n9<K, V, E, S> n9Var, int i7, int i8) {
            this.f10465f = n9Var;
            this.C1 = i8;
            w(A(i7));
        }

        static <K, V, E extends j<K, V, E>> boolean x(E e7) {
            return e7.getValue() == null;
        }

        /* access modifiers changed from: package-private */
        public AtomicReferenceArray<E> A(int i7) {
            return new AtomicReferenceArray<>(i7);
        }

        /* access modifiers changed from: package-private */
        public E B(K k7, int i7, j<K, V, ?> jVar) {
            return this.f10465f.C1.f(S(), k7, i7, a(jVar));
        }

        /* access modifiers changed from: package-private */
        public h0<K, V, E> C(j<K, V, ?> jVar, V v7) {
            throw new AssertionError();
        }

        /* access modifiers changed from: package-private */
        public void D() {
            if ((this.C2.incrementAndGet() & 63) == 0) {
                Q();
            }
        }

        /* access modifiers changed from: package-private */
        @q0.a("this")
        public void E() {
            R();
        }

        /* JADX DEBUG: Multi-variable search result rejected for r8v0, resolved type: com.google.common.collect.n9$o<K, V, E extends com.google.common.collect.n9$j<K, V, E>, S extends com.google.common.collect.n9$o<K, V, E, S>> */
        /* JADX WARN: Multi-variable type inference failed */
        /* access modifiers changed from: package-private */
        public V F(K k7, int i7, V v7, boolean z7) {
            lock();
            try {
                E();
                int i8 = this.f10466g + 1;
                if (i8 > this.f10468x) {
                    k();
                    i8 = this.f10466g + 1;
                }
                AtomicReferenceArray<E> atomicReferenceArray = this.f10469y;
                int length = (atomicReferenceArray.length() - 1) & i7;
                E e7 = atomicReferenceArray.get(length);
                for (j jVar = e7; jVar != null; jVar = jVar.i()) {
                    Object key = jVar.getKey();
                    if (jVar.h() == i7 && key != null && this.f10465f.f10437y.equivalent(k7, key)) {
                        V v8 = (V) jVar.getValue();
                        if (v8 == null) {
                            this.f10467p++;
                            U(jVar, v7);
                            this.f10466g = this.f10466g;
                            return null;
                        } else if (z7) {
                            unlock();
                            return v8;
                        } else {
                            this.f10467p++;
                            U(jVar, v7);
                            unlock();
                            return v8;
                        }
                    }
                }
                this.f10467p++;
                E f7 = this.f10465f.C1.f(S(), k7, i7, e7);
                U(f7, v7);
                atomicReferenceArray.set(length, f7);
                this.f10466g = i8;
                unlock();
                return null;
            } finally {
                unlock();
            }
        }

        /* JADX DEBUG: Multi-variable search result rejected for r4v0, resolved type: com.google.common.collect.n9$o<K, V, E extends com.google.common.collect.n9$j<K, V, E>, S extends com.google.common.collect.n9$o<K, V, E, S>> */
        /* JADX WARN: Multi-variable type inference failed */
        /* access modifiers changed from: package-private */
        @p0.a
        public boolean G(E e7, int i7) {
            lock();
            try {
                AtomicReferenceArray<E> atomicReferenceArray = this.f10469y;
                int length = i7 & (atomicReferenceArray.length() - 1);
                E e8 = atomicReferenceArray.get(length);
                for (j jVar = e8; jVar != null; jVar = jVar.i()) {
                    if (jVar == e7) {
                        this.f10467p++;
                        atomicReferenceArray.set(length, L(e8, jVar));
                        this.f10466g--;
                        return true;
                    }
                }
                unlock();
                return false;
            } finally {
                unlock();
            }
        }

        /* JADX DEBUG: Multi-variable search result rejected for r8v0, resolved type: com.google.common.collect.n9$o<K, V, E extends com.google.common.collect.n9$j<K, V, E>, S extends com.google.common.collect.n9$o<K, V, E, S>> */
        /* JADX WARN: Multi-variable type inference failed */
        /* access modifiers changed from: package-private */
        @p0.a
        public boolean H(K k7, int i7, h0<K, V, E> h0Var) {
            lock();
            try {
                AtomicReferenceArray<E> atomicReferenceArray = this.f10469y;
                int length = (atomicReferenceArray.length() - 1) & i7;
                E e7 = atomicReferenceArray.get(length);
                for (j jVar = e7; jVar != null; jVar = jVar.i()) {
                    Object key = jVar.getKey();
                    if (jVar.h() == i7 && key != null && this.f10465f.f10437y.equivalent(k7, key)) {
                        if (((g0) jVar).j() == h0Var) {
                            this.f10467p++;
                            atomicReferenceArray.set(length, L(e7, jVar));
                            this.f10466g--;
                            return true;
                        } else {
                            unlock();
                            return false;
                        }
                    }
                }
                unlock();
                return false;
            } finally {
                unlock();
            }
        }

        /* JADX DEBUG: Multi-variable search result rejected for r7v0, resolved type: com.google.common.collect.n9$o<K, V, E extends com.google.common.collect.n9$j<K, V, E>, S extends com.google.common.collect.n9$o<K, V, E, S>> */
        /* JADX WARN: Multi-variable type inference failed */
        /* access modifiers changed from: package-private */
        @p0.a
        public V I(Object obj, int i7) {
            lock();
            try {
                E();
                AtomicReferenceArray<E> atomicReferenceArray = this.f10469y;
                int length = (atomicReferenceArray.length() - 1) & i7;
                E e7 = atomicReferenceArray.get(length);
                for (j jVar = e7; jVar != null; jVar = jVar.i()) {
                    Object key = jVar.getKey();
                    if (jVar.h() == i7 && key != null && this.f10465f.f10437y.equivalent(obj, key)) {
                        V v7 = (V) jVar.getValue();
                        if (v7 == null) {
                            if (!x(jVar)) {
                                unlock();
                                return null;
                            }
                        }
                        this.f10467p++;
                        atomicReferenceArray.set(length, L(e7, jVar));
                        this.f10466g--;
                        return v7;
                    }
                }
                unlock();
                return null;
            } finally {
                unlock();
            }
        }

        /* JADX DEBUG: Multi-variable search result rejected for r8v0, resolved type: com.google.common.collect.n9$o<K, V, E extends com.google.common.collect.n9$j<K, V, E>, S extends com.google.common.collect.n9$o<K, V, E, S>> */
        /* JADX WARN: Multi-variable type inference failed */
        /* access modifiers changed from: package-private */
        public boolean J(Object obj, int i7, Object obj2) {
            lock();
            try {
                E();
                AtomicReferenceArray<E> atomicReferenceArray = this.f10469y;
                int length = (atomicReferenceArray.length() - 1) & i7;
                E e7 = atomicReferenceArray.get(length);
                j jVar = e7;
                while (true) {
                    boolean z7 = false;
                    if (jVar != null) {
                        Object key = jVar.getKey();
                        if (jVar.h() != i7 || key == null || !this.f10465f.f10437y.equivalent(obj, key)) {
                            jVar = jVar.i();
                        } else {
                            if (this.f10465f.t().equivalent(obj2, jVar.getValue())) {
                                z7 = true;
                            } else if (!x(jVar)) {
                                unlock();
                                return false;
                            }
                            this.f10467p++;
                            atomicReferenceArray.set(length, L(e7, jVar));
                            this.f10466g--;
                            return z7;
                        }
                    } else {
                        unlock();
                        return false;
                    }
                }
            } finally {
                unlock();
            }
        }

        /* JADX DEBUG: Multi-variable search result rejected for r5v0, resolved type: com.google.common.collect.n9$o<K, V, E extends com.google.common.collect.n9$j<K, V, E>, S extends com.google.common.collect.n9$o<K, V, E, S>> */
        /* JADX WARN: Multi-variable type inference failed */
        /* access modifiers changed from: package-private */
        @q0.a("this")
        public boolean K(E e7) {
            int h7 = e7.h();
            AtomicReferenceArray<E> atomicReferenceArray = this.f10469y;
            int length = h7 & (atomicReferenceArray.length() - 1);
            E e8 = atomicReferenceArray.get(length);
            for (j jVar = e8; jVar != null; jVar = jVar.i()) {
                if (jVar == e7) {
                    this.f10467p++;
                    atomicReferenceArray.set(length, L(e8, jVar));
                    this.f10466g--;
                    return true;
                }
            }
            return false;
        }

        /* access modifiers changed from: package-private */
        @q0.a("this")
        public E L(E e7, E e8) {
            int i7 = this.f10466g;
            E e9 = (E) e8.i();
            while (e7 != e8) {
                E g7 = g(e7, e9);
                if (g7 != null) {
                    e9 = g7;
                } else {
                    i7--;
                }
                e7 = (E) e7.i();
            }
            this.f10466g = i7;
            return e9;
        }

        /* access modifiers changed from: package-private */
        public E M(j<K, V, ?> jVar, j<K, V, ?> jVar2) {
            return L(a(jVar), a(jVar2));
        }

        /* access modifiers changed from: package-private */
        @p0.a
        public boolean N(j<K, V, ?> jVar) {
            return K(a(jVar));
        }

        /* JADX DEBUG: Multi-variable search result rejected for r7v0, resolved type: com.google.common.collect.n9$o<K, V, E extends com.google.common.collect.n9$j<K, V, E>, S extends com.google.common.collect.n9$o<K, V, E, S>> */
        /* JADX WARN: Multi-variable type inference failed */
        /* access modifiers changed from: package-private */
        public V O(K k7, int i7, V v7) {
            lock();
            try {
                E();
                AtomicReferenceArray<E> atomicReferenceArray = this.f10469y;
                int length = (atomicReferenceArray.length() - 1) & i7;
                E e7 = atomicReferenceArray.get(length);
                for (j jVar = e7; jVar != null; jVar = jVar.i()) {
                    Object key = jVar.getKey();
                    if (jVar.h() == i7 && key != null && this.f10465f.f10437y.equivalent(k7, key)) {
                        V v8 = (V) jVar.getValue();
                        if (v8 == null) {
                            if (x(jVar)) {
                                this.f10467p++;
                                atomicReferenceArray.set(length, L(e7, jVar));
                                this.f10466g--;
                            }
                            return null;
                        }
                        this.f10467p++;
                        U(jVar, v7);
                        unlock();
                        return v8;
                    }
                }
                unlock();
                return null;
            } finally {
                unlock();
            }
        }

        /* JADX DEBUG: Multi-variable search result rejected for r8v0, resolved type: com.google.common.collect.n9$o<K, V, E extends com.google.common.collect.n9$j<K, V, E>, S extends com.google.common.collect.n9$o<K, V, E, S>> */
        /* JADX WARN: Multi-variable type inference failed */
        /* access modifiers changed from: package-private */
        public boolean P(K k7, int i7, V v7, V v8) {
            lock();
            try {
                E();
                AtomicReferenceArray<E> atomicReferenceArray = this.f10469y;
                int length = (atomicReferenceArray.length() - 1) & i7;
                E e7 = atomicReferenceArray.get(length);
                for (j jVar = e7; jVar != null; jVar = jVar.i()) {
                    Object key = jVar.getKey();
                    if (jVar.h() == i7 && key != null && this.f10465f.f10437y.equivalent(k7, key)) {
                        Object value = jVar.getValue();
                        if (value == null) {
                            if (x(jVar)) {
                                this.f10467p++;
                                atomicReferenceArray.set(length, L(e7, jVar));
                                this.f10466g--;
                            }
                            return false;
                        } else if (this.f10465f.t().equivalent(v7, value)) {
                            this.f10467p++;
                            U(jVar, v8);
                            unlock();
                            return true;
                        } else {
                            unlock();
                            return false;
                        }
                    }
                }
                unlock();
                return false;
            } finally {
                unlock();
            }
        }

        /* access modifiers changed from: package-private */
        public void Q() {
            R();
        }

        /* access modifiers changed from: package-private */
        public void R() {
            if (tryLock()) {
                try {
                    z();
                    this.C2.set(0);
                } finally {
                    unlock();
                }
            }
        }

        /* access modifiers changed from: package-private */
        public abstract S S();

        /* access modifiers changed from: package-private */
        public void T(int i7, j<K, V, ?> jVar) {
            this.f10469y.set(i7, a(jVar));
        }

        /* access modifiers changed from: package-private */
        public void U(E e7, V v7) {
            this.f10465f.C1.d(S(), e7, v7);
        }

        /* access modifiers changed from: package-private */
        public void V(j<K, V, ?> jVar, V v7) {
            this.f10465f.C1.d(S(), a(jVar), v7);
        }

        /* access modifiers changed from: package-private */
        public void X(j<K, V, ?> jVar, h0<K, V, ? extends j<K, V, ?>> h0Var) {
            throw new AssertionError();
        }

        /* access modifiers changed from: package-private */
        public void Y() {
            if (tryLock()) {
                try {
                    z();
                } finally {
                    unlock();
                }
            }
        }

        /* access modifiers changed from: package-private */
        public abstract E a(j<K, V, ?> jVar);

        /* access modifiers changed from: package-private */
        public void b() {
            if (this.f10466g != 0) {
                lock();
                try {
                    AtomicReferenceArray<E> atomicReferenceArray = this.f10469y;
                    for (int i7 = 0; i7 < atomicReferenceArray.length(); i7++) {
                        atomicReferenceArray.set(i7, null);
                    }
                    y();
                    this.C2.set(0);
                    this.f10467p++;
                    this.f10466g = 0;
                } finally {
                    unlock();
                }
            }
        }

        /* access modifiers changed from: package-private */
        public <T> void c(ReferenceQueue<T> referenceQueue) {
            do {
            } while (referenceQueue.poll() != null);
        }

        /* JADX DEBUG: Multi-variable search result rejected for r8v0, resolved type: com.google.common.collect.n9$o<K, V, E extends com.google.common.collect.n9$j<K, V, E>, S extends com.google.common.collect.n9$o<K, V, E, S>> */
        /* JADX WARN: Multi-variable type inference failed */
        /* access modifiers changed from: package-private */
        @p0.a
        public boolean d(K k7, int i7, h0<K, V, ? extends j<K, V, ?>> h0Var) {
            lock();
            try {
                AtomicReferenceArray<E> atomicReferenceArray = this.f10469y;
                int length = (atomicReferenceArray.length() - 1) & i7;
                E e7 = atomicReferenceArray.get(length);
                for (j jVar = e7; jVar != null; jVar = jVar.i()) {
                    Object key = jVar.getKey();
                    if (jVar.h() == i7 && key != null && this.f10465f.f10437y.equivalent(k7, key)) {
                        if (((g0) jVar).j() == h0Var) {
                            atomicReferenceArray.set(length, L(e7, jVar));
                            return true;
                        } else {
                            unlock();
                            return false;
                        }
                    }
                }
                unlock();
                return false;
            } finally {
                unlock();
            }
        }

        /* access modifiers changed from: package-private */
        public boolean e(Object obj, int i7) {
            try {
                boolean z7 = false;
                if (this.f10466g != 0) {
                    E r7 = r(obj, i7);
                    if (!(r7 == null || r7.getValue() == null)) {
                        z7 = true;
                    }
                    return z7;
                }
                D();
                return false;
            } finally {
                D();
            }
        }

        /* JADX INFO: finally extract failed */
        /* JADX DEBUG: Multi-variable search result rejected for r7v0, resolved type: com.google.common.collect.n9$o<K, V, E extends com.google.common.collect.n9$j<K, V, E>, S extends com.google.common.collect.n9$o<K, V, E, S>> */
        /* JADX WARN: Multi-variable type inference failed */
        /* access modifiers changed from: package-private */
        @m0.d
        public boolean f(Object obj) {
            try {
                if (this.f10466g != 0) {
                    AtomicReferenceArray<E> atomicReferenceArray = this.f10469y;
                    int length = atomicReferenceArray.length();
                    for (int i7 = 0; i7 < length; i7++) {
                        for (E e7 = atomicReferenceArray.get(i7); e7 != null; e7 = e7.i()) {
                            Object s7 = s(e7);
                            if (s7 != null) {
                                if (this.f10465f.t().equivalent(obj, s7)) {
                                    D();
                                    return true;
                                }
                            }
                        }
                    }
                }
                D();
                return false;
            } catch (Throwable th) {
                D();
                throw th;
            }
        }

        /* access modifiers changed from: package-private */
        public E g(E e7, E e8) {
            return this.f10465f.C1.a(S(), e7, e8);
        }

        /* access modifiers changed from: package-private */
        public E h(j<K, V, ?> jVar, j<K, V, ?> jVar2) {
            return this.f10465f.C1.a(S(), a(jVar), a(jVar2));
        }

        /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: com.google.common.collect.n9<K, V, E extends com.google.common.collect.n9$j<K, V, E>, S extends com.google.common.collect.n9$o<K, V, E, S>> */
        /* JADX WARN: Multi-variable type inference failed */
        /* access modifiers changed from: package-private */
        @q0.a("this")
        public void i(ReferenceQueue<K> referenceQueue) {
            int i7 = 0;
            do {
                Reference<? extends K> poll = referenceQueue.poll();
                if (poll != null) {
                    this.f10465f.m((j) poll);
                    i7++;
                } else {
                    return;
                }
            } while (i7 != 16);
        }

        /* access modifiers changed from: package-private */
        @q0.a("this")
        public void j(ReferenceQueue<V> referenceQueue) {
            int i7 = 0;
            do {
                Reference<? extends V> poll = referenceQueue.poll();
                if (poll != null) {
                    this.f10465f.n((h0) poll);
                    i7++;
                } else {
                    return;
                }
            } while (i7 != 16);
        }

        /* JADX DEBUG: Multi-variable search result rejected for r11v0, resolved type: com.google.common.collect.n9$o<K, V, E extends com.google.common.collect.n9$j<K, V, E>, S extends com.google.common.collect.n9$o<K, V, E, S>> */
        /* JADX DEBUG: Multi-variable search result rejected for r3v1, resolved type: java.util.concurrent.atomic.AtomicReferenceArray<E extends com.google.common.collect.n9$j<K, V, E>> */
        /* JADX WARN: Multi-variable type inference failed */
        /* access modifiers changed from: package-private */
        @q0.a("this")
        public void k() {
            AtomicReferenceArray<E> atomicReferenceArray = this.f10469y;
            int length = atomicReferenceArray.length();
            if (length < 1073741824) {
                int i7 = this.f10466g;
                AtomicReferenceArray<E> atomicReferenceArray2 = (AtomicReferenceArray<E>) A(length << 1);
                this.f10468x = (atomicReferenceArray2.length() * 3) / 4;
                int length2 = atomicReferenceArray2.length() - 1;
                for (int i8 = 0; i8 < length; i8++) {
                    E e7 = atomicReferenceArray.get(i8);
                    if (e7 != null) {
                        j i9 = e7.i();
                        int h7 = e7.h() & length2;
                        if (i9 == null) {
                            atomicReferenceArray2.set(h7, e7);
                        } else {
                            j jVar = e7;
                            while (i9 != null) {
                                int h8 = i9.h() & length2;
                                if (h8 != h7) {
                                    jVar = i9;
                                    h7 = h8;
                                }
                                i9 = i9.i();
                            }
                            atomicReferenceArray2.set(h7, jVar);
                            while (e7 != jVar) {
                                int h9 = e7.h() & length2;
                                j g7 = g(e7, (j) atomicReferenceArray2.get(h9));
                                if (g7 != null) {
                                    atomicReferenceArray2.set(h9, g7);
                                } else {
                                    i7--;
                                }
                                e7 = e7.i();
                            }
                        }
                    }
                }
                this.f10469y = atomicReferenceArray2;
                this.f10466g = i7;
            }
        }

        /* JADX INFO: finally extract failed */
        /* access modifiers changed from: package-private */
        public V m(Object obj, int i7) {
            try {
                E r7 = r(obj, i7);
                if (r7 == null) {
                    D();
                    return null;
                }
                V v7 = (V) r7.getValue();
                if (v7 == null) {
                    Y();
                }
                D();
                return v7;
            } catch (Throwable th) {
                D();
                throw th;
            }
        }

        /* access modifiers changed from: package-private */
        public E n(Object obj, int i7) {
            if (this.f10466g == 0) {
                return null;
            }
            for (E p7 = p(i7); p7 != null; p7 = (E) p7.i()) {
                if (p7.h() == i7) {
                    Object key = p7.getKey();
                    if (key == null) {
                        Y();
                    } else if (this.f10465f.f10437y.equivalent(obj, key)) {
                        return p7;
                    }
                }
            }
            return null;
        }

        /* access modifiers changed from: package-private */
        public E p(int i7) {
            AtomicReferenceArray<E> atomicReferenceArray = this.f10469y;
            return atomicReferenceArray.get(i7 & (atomicReferenceArray.length() - 1));
        }

        /* access modifiers changed from: package-private */
        public ReferenceQueue<K> q() {
            throw new AssertionError();
        }

        /* access modifiers changed from: package-private */
        public E r(Object obj, int i7) {
            return n(obj, i7);
        }

        /* access modifiers changed from: package-private */
        public V s(E e7) {
            if (e7.getKey() == null) {
                Y();
                return null;
            }
            V v7 = (V) e7.getValue();
            if (v7 != null) {
                return v7;
            }
            Y();
            return null;
        }

        /* access modifiers changed from: package-private */
        public V t(j<K, V, ?> jVar) {
            return s(a(jVar));
        }

        /* access modifiers changed from: package-private */
        public ReferenceQueue<V> u() {
            throw new AssertionError();
        }

        /* access modifiers changed from: package-private */
        public h0<K, V, E> v(j<K, V, ?> jVar) {
            throw new AssertionError();
        }

        /* access modifiers changed from: package-private */
        public void w(AtomicReferenceArray<E> atomicReferenceArray) {
            int length = (atomicReferenceArray.length() * 3) / 4;
            this.f10468x = length;
            if (length == this.C1) {
                this.f10468x = length + 1;
            }
            this.f10469y = atomicReferenceArray;
        }

        /* access modifiers changed from: package-private */
        public void y() {
        }

        /* access modifiers changed from: package-private */
        @q0.a("this")
        public void z() {
        }
    }

    private static final class p<K, V> extends b<K, V> {
        private static final long U5 = 3;

        p(q qVar, q qVar2, Equivalence<Object> equivalence, Equivalence<Object> equivalence2, int i7, ConcurrentMap<K, V> concurrentMap) {
            super(qVar, qVar2, equivalence, equivalence2, i7, concurrentMap);
        }

        private void S1(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException {
            objectInputStream.defaultReadObject();
            this.C1 = Q1(objectInputStream).i();
            P1(objectInputStream);
        }

        private Object T1() {
            return this.C1;
        }

        private void U1(ObjectOutputStream objectOutputStream) throws IOException {
            objectOutputStream.defaultWriteObject();
            R1(objectOutputStream);
        }
    }

    /* access modifiers changed from: package-private */
    public enum q {
        STRONG {
            /* access modifiers changed from: package-private */
            @Override // com.google.common.collect.n9.q
            public Equivalence<Object> a() {
                return Equivalence.equals();
            }
        },
        WEAK {
            /* access modifiers changed from: package-private */
            @Override // com.google.common.collect.n9.q
            public Equivalence<Object> a() {
                return Equivalence.identity();
            }
        };

        /* access modifiers changed from: package-private */
        public abstract Equivalence<Object> a();

        /* synthetic */ q(a aVar) {
            this();
        }
    }

    /* access modifiers changed from: package-private */
    public static final class r<K> extends c<K, m9.a, r<K>> implements x<K, m9.a, r<K>> {

        static final class a<K> implements k<K, m9.a, r<K>, s<K>> {

            /* renamed from: a  reason: collision with root package name */
            private static final a<?> f10473a = new a<>();

            a() {
            }

            static <K> a<K> h() {
                return (a<K>) f10473a;
            }

            @Override // com.google.common.collect.n9.k
            public q b() {
                return q.STRONG;
            }

            @Override // com.google.common.collect.n9.k
            public q c() {
                return q.STRONG;
            }

            /* renamed from: g */
            public r<K> a(s<K> sVar, r<K> rVar, r<K> rVar2) {
                return rVar.b(rVar2);
            }

            /* renamed from: i */
            public r<K> f(s<K> sVar, K k7, int i7, r<K> rVar) {
                return new r<>(k7, i7, rVar);
            }

            /* renamed from: j */
            public s<K> e(n9<K, m9.a, r<K>, s<K>> n9Var, int i7, int i8) {
                return new s<>(n9Var, i7, i8);
            }

            /* renamed from: k */
            public void d(s<K> sVar, r<K> rVar, m9.a aVar) {
            }
        }

        r(K k7, int i7, r<K> rVar) {
            super(k7, i7, rVar);
        }

        /* access modifiers changed from: package-private */
        public r<K> b(r<K> rVar) {
            return new r<>(this.f10444f, this.f10445g, rVar);
        }

        /* renamed from: c */
        public m9.a getValue() {
            return m9.a.VALUE;
        }

        /* access modifiers changed from: package-private */
        public void d(m9.a aVar) {
        }
    }

    /* access modifiers changed from: package-private */
    public static final class s<K> extends o<K, m9.a, r<K>, s<K>> {
        s(n9<K, m9.a, r<K>, s<K>> n9Var, int i7, int i8) {
            super(n9Var, i7, i8);
        }

        /* renamed from: Z */
        public r<K> a(j<K, m9.a, ?> jVar) {
            return (r) jVar;
        }

        /* access modifiers changed from: package-private */
        /* renamed from: a0 */
        public s<K> S() {
            return this;
        }
    }

    /* access modifiers changed from: package-private */
    public static final class t<K, V> extends c<K, V, t<K, V>> implements x<K, V, t<K, V>> {

        /* renamed from: x  reason: collision with root package name */
        private volatile V f10474x = null;

        /* access modifiers changed from: package-private */
        public static final class a<K, V> implements k<K, V, t<K, V>, u<K, V>> {

            /* renamed from: a  reason: collision with root package name */
            private static final a<?, ?> f10475a = new a<>();

            a() {
            }

            static <K, V> a<K, V> h() {
                return (a<K, V>) f10475a;
            }

            @Override // com.google.common.collect.n9.k
            public q b() {
                return q.STRONG;
            }

            @Override // com.google.common.collect.n9.k
            public q c() {
                return q.STRONG;
            }

            /* renamed from: g */
            public t<K, V> a(u<K, V> uVar, t<K, V> tVar, t<K, V> tVar2) {
                return tVar.b(tVar2);
            }

            /* renamed from: i */
            public t<K, V> f(u<K, V> uVar, K k7, int i7, t<K, V> tVar) {
                return new t<>(k7, i7, tVar);
            }

            /* renamed from: j */
            public u<K, V> e(n9<K, V, t<K, V>, u<K, V>> n9Var, int i7, int i8) {
                return new u<>(n9Var, i7, i8);
            }

            /* renamed from: k */
            public void d(u<K, V> uVar, t<K, V> tVar, V v7) {
                tVar.c(v7);
            }
        }

        t(K k7, int i7, t<K, V> tVar) {
            super(k7, i7, tVar);
        }

        /* access modifiers changed from: package-private */
        public t<K, V> b(t<K, V> tVar) {
            t<K, V> tVar2 = new t<>(this.f10444f, this.f10445g, tVar);
            tVar2.f10474x = this.f10474x;
            return tVar2;
        }

        /* access modifiers changed from: package-private */
        public void c(V v7) {
            this.f10474x = v7;
        }

        @Override // com.google.common.collect.n9.j
        public V getValue() {
            return this.f10474x;
        }
    }

    /* access modifiers changed from: package-private */
    public static final class u<K, V> extends o<K, V, t<K, V>, u<K, V>> {
        u(n9<K, V, t<K, V>, u<K, V>> n9Var, int i7, int i8) {
            super(n9Var, i7, i8);
        }

        /* renamed from: Z */
        public t<K, V> a(j<K, V, ?> jVar) {
            return (t) jVar;
        }

        /* access modifiers changed from: package-private */
        /* renamed from: a0 */
        public u<K, V> S() {
            return this;
        }
    }

    /* access modifiers changed from: package-private */
    public static final class v<K, V> extends c<K, V, v<K, V>> implements g0<K, V, v<K, V>> {

        /* renamed from: x  reason: collision with root package name */
        private volatile h0<K, V, v<K, V>> f10476x = n9.s();

        /* access modifiers changed from: package-private */
        public static final class a<K, V> implements k<K, V, v<K, V>, w<K, V>> {

            /* renamed from: a  reason: collision with root package name */
            private static final a<?, ?> f10477a = new a<>();

            a() {
            }

            static <K, V> a<K, V> h() {
                return (a<K, V>) f10477a;
            }

            @Override // com.google.common.collect.n9.k
            public q b() {
                return q.STRONG;
            }

            @Override // com.google.common.collect.n9.k
            public q c() {
                return q.WEAK;
            }

            /* renamed from: g */
            public v<K, V> a(w<K, V> wVar, v<K, V> vVar, v<K, V> vVar2) {
                if (o.x(vVar)) {
                    return null;
                }
                return vVar.d(((w) wVar).U5, vVar2);
            }

            /* renamed from: i */
            public v<K, V> f(w<K, V> wVar, K k7, int i7, v<K, V> vVar) {
                return new v<>(k7, i7, vVar);
            }

            /* renamed from: j */
            public w<K, V> e(n9<K, V, v<K, V>, w<K, V>> n9Var, int i7, int i8) {
                return new w<>(n9Var, i7, i8);
            }

            /* renamed from: k */
            public void d(w<K, V> wVar, v<K, V> vVar, V v7) {
                vVar.e(v7, ((w) wVar).U5);
            }
        }

        v(K k7, int i7, v<K, V> vVar) {
            super(k7, i7, vVar);
        }

        @Override // com.google.common.collect.n9.g0
        public void a() {
            this.f10476x.clear();
        }

        /* access modifiers changed from: package-private */
        public v<K, V> d(ReferenceQueue<V> referenceQueue, v<K, V> vVar) {
            v<K, V> vVar2 = new v<>(this.f10444f, this.f10445g, vVar);
            vVar2.f10476x = this.f10476x.b(referenceQueue, vVar2);
            return vVar2;
        }

        /* access modifiers changed from: package-private */
        public void e(V v7, ReferenceQueue<V> referenceQueue) {
            h0<K, V, v<K, V>> h0Var = this.f10476x;
            this.f10476x = new i0(referenceQueue, v7, this);
            h0Var.clear();
        }

        @Override // com.google.common.collect.n9.j
        public V getValue() {
            return this.f10476x.get();
        }

        @Override // com.google.common.collect.n9.g0
        public h0<K, V, v<K, V>> j() {
            return this.f10476x;
        }
    }

    /* access modifiers changed from: package-private */
    public static final class w<K, V> extends o<K, V, v<K, V>, w<K, V>> {
        private final ReferenceQueue<V> U5 = new ReferenceQueue<>();

        w(n9<K, V, v<K, V>, w<K, V>> n9Var, int i7, int i8) {
            super(n9Var, i7, i8);
        }

        @Override // com.google.common.collect.n9.o
        public h0<K, V, v<K, V>> C(j<K, V, ?> jVar, V v7) {
            return new i0(this.U5, v7, a(jVar));
        }

        @Override // com.google.common.collect.n9.o
        public void X(j<K, V, ?> jVar, h0<K, V, ? extends j<K, V, ?>> h0Var) {
            v<K, V> a02 = a(jVar);
            h0 h0Var2 = ((v) a02).f10476x;
            ((v) a02).f10476x = h0Var;
            h0Var2.clear();
        }

        /* renamed from: a0 */
        public v<K, V> a(j<K, V, ?> jVar) {
            return (v) jVar;
        }

        /* access modifiers changed from: package-private */
        /* renamed from: b0 */
        public w<K, V> S() {
            return this;
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.n9.o
        public ReferenceQueue<V> u() {
            return this.U5;
        }

        @Override // com.google.common.collect.n9.o
        public h0<K, V, v<K, V>> v(j<K, V, ?> jVar) {
            return a(jVar).j();
        }

        /* JADX DEBUG: Type inference failed for r0v0. Raw type applied. Possible types: java.lang.ref.ReferenceQueue<V>, java.lang.ref.ReferenceQueue<T> */
        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.n9.o
        public void y() {
            c((ReferenceQueue<V>) this.U5);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.n9.o
        public void z() {
            j(this.U5);
        }
    }

    interface x<K, V, E extends j<K, V, E>> extends j<K, V, E> {
    }

    final class y extends n9<K, V, E, S>.i {
        y() {
            super();
        }

        @Override // java.util.Iterator, com.google.common.collect.n9.i
        public V next() {
            return (V) c().getValue();
        }
    }

    final class z extends AbstractCollection<V> {
        z() {
        }

        public void clear() {
            n9.this.clear();
        }

        public boolean contains(Object obj) {
            return n9.this.containsValue(obj);
        }

        public boolean isEmpty() {
            return n9.this.isEmpty();
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.lang.Iterable
        public Iterator<V> iterator() {
            return new y();
        }

        public int size() {
            return n9.this.size();
        }

        public Object[] toArray() {
            return n9.r(this).toArray();
        }

        @Override // java.util.AbstractCollection, java.util.Collection
        public <T> T[] toArray(T[] tArr) {
            return (T[]) n9.r(this).toArray(tArr);
        }
    }

    private n9(m9 m9Var, k<K, V, E, S> kVar) {
        this.f10436x = Math.min(m9Var.b(), 65536);
        this.f10437y = m9Var.d();
        this.C1 = kVar;
        int min = Math.min(m9Var.c(), 1073741824);
        int i7 = 0;
        int i8 = 1;
        int i9 = 0;
        int i10 = 1;
        while (i10 < this.f10436x) {
            i9++;
            i10 <<= 1;
        }
        this.f10434g = 32 - i9;
        this.f10433f = i10 - 1;
        this.f10435p = k(i10);
        int i11 = min / i10;
        while (i8 < (i10 * i11 < min ? i11 + 1 : i11)) {
            i8 <<= 1;
        }
        while (true) {
            o<K, V, E, S>[] oVarArr = this.f10435p;
            if (i7 < oVarArr.length) {
                oVarArr[i7] = d(i8, -1);
                i7++;
            } else {
                return;
            }
        }
    }

    static <K, V> n9<K, V, ? extends j<K, V, ?>, ?> c(m9 m9Var) {
        q e7 = m9Var.e();
        q qVar = q.STRONG;
        if (e7 == qVar && m9Var.f() == qVar) {
            return new n9<>(m9Var, t.a.h());
        }
        if (m9Var.e() == qVar && m9Var.f() == q.WEAK) {
            return new n9<>(m9Var, v.a.h());
        }
        q e8 = m9Var.e();
        q qVar2 = q.WEAK;
        if (e8 == qVar2 && m9Var.f() == qVar) {
            return new n9<>(m9Var, c0.a.h());
        }
        if (m9Var.e() == qVar2 && m9Var.f() == qVar2) {
            return new n9<>(m9Var, e0.a.h());
        }
        throw new AssertionError();
    }

    static <K> n9<K, m9.a, ? extends j<K, m9.a, ?>, ?> e(m9 m9Var) {
        q e7 = m9Var.e();
        q qVar = q.STRONG;
        if (e7 == qVar && m9Var.f() == qVar) {
            return new n9<>(m9Var, r.a.h());
        }
        q e8 = m9Var.e();
        q qVar2 = q.WEAK;
        if (e8 == qVar2 && m9Var.f() == qVar) {
            return new n9<>(m9Var, a0.a.h());
        }
        if (m9Var.f() == qVar2) {
            throw new IllegalArgumentException("Map cannot have both weak and dummy values");
        }
        throw new AssertionError();
    }

    static int p(int i7) {
        int i8 = i7 + ((i7 << 15) ^ -12931);
        int i9 = i8 ^ (i8 >>> 10);
        int i10 = i9 + (i9 << 3);
        int i11 = i10 ^ (i10 >>> 6);
        int i12 = i11 + (i11 << 2) + (i11 << 14);
        return i12 ^ (i12 >>> 16);
    }

    /* access modifiers changed from: private */
    public static <E> ArrayList<E> r(Collection<E> collection) {
        ArrayList<E> arrayList = new ArrayList<>(collection.size());
        w8.a(arrayList, collection.iterator());
        return arrayList;
    }

    static <K, V, E extends j<K, V, E>> h0<K, V, E> s() {
        return (h0<K, V, E>) f10431c6;
    }

    /* access modifiers changed from: package-private */
    @m0.d
    public E b(E e7, E e8) {
        return q(e7.h()).g(e7, e8);
    }

    public void clear() {
        for (o<K, V, E, S> oVar : this.f10435p) {
            oVar.b();
        }
    }

    public boolean containsKey(Object obj) {
        if (obj == null) {
            return false;
        }
        int h7 = h(obj);
        return q(h7).e(obj, h7);
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r3v0, types: [com.google.common.collect.n9$o<K, V, E extends com.google.common.collect.n9$j<K, V, E>, S extends com.google.common.collect.n9$o<K, V, E, S>>[]] */
    /* JADX WARN: Type inference failed for: r10v0 */
    /* JADX WARN: Type inference failed for: r10v1 */
    /* JADX WARN: Type inference failed for: r11v0, types: [com.google.common.collect.n9$o] */
    /* JADX WARN: Type inference failed for: r13v0 */
    /* JADX WARN: Type inference failed for: r13v1, types: [int] */
    /* JADX WARNING: Unknown variable types count: 1 */
    public boolean containsValue(Object obj) {
        boolean z7 = false;
        if (obj == null) {
            return false;
        }
        o<K, V, E, S>[] oVarArr = this.f10435p;
        long j7 = -1;
        int i7 = 0;
        while (i7 < 3) {
            int length = oVarArr.length;
            long j8 = 0;
            int i8 = z7;
            while (i8 < length) {
                ?? r11 = oVarArr[i8 == true ? 1 : 0];
                int i9 = r11.f10466g;
                AtomicReferenceArray<E> atomicReferenceArray = r11.f10469y;
                int i10 = z7;
                while (i10 < atomicReferenceArray.length()) {
                    for (E e7 = atomicReferenceArray.get(i10 == true ? 1 : 0); e7 != null; e7 = e7.i()) {
                        Object s7 = r11.s(e7);
                        if (s7 != null && t().equivalent(obj, s7)) {
                            return true;
                        }
                    }
                    i10++;
                }
                j8 += (long) r11.f10467p;
                z7 = false;
                i8 = (i8 == true ? 1 : 0) + 1;
            }
            if (j8 == j7) {
                return false;
            }
            i7++;
            j7 = j8;
            z7 = false;
        }
        return z7;
    }

    /* JADX DEBUG: Type inference failed for r1v1. Raw type applied. Possible types: S extends com.google.common.collect.n9$o<K, V, E, S>, com.google.common.collect.n9$o<K, V, E extends com.google.common.collect.n9$j<K, V, E>, S extends com.google.common.collect.n9$o<K, V, E, S>> */
    /* access modifiers changed from: package-private */
    public o<K, V, E, S> d(int i7, int i8) {
        return (S) this.C1.e(this, i7, i8);
    }

    @Override // java.util.AbstractMap, java.util.Map
    public Set<Map.Entry<K, V>> entrySet() {
        Set<Map.Entry<K, V>> set = this.V5;
        if (set != null) {
            return set;
        }
        h hVar = new h();
        this.V5 = hVar;
        return hVar;
    }

    /* access modifiers changed from: package-private */
    public E f(Object obj) {
        if (obj == null) {
            return null;
        }
        int h7 = h(obj);
        return q(h7).n(obj, h7);
    }

    /* access modifiers changed from: package-private */
    public V g(E e7) {
        if (e7.getKey() == null) {
            return null;
        }
        return (V) e7.getValue();
    }

    @Override // java.util.AbstractMap, java.util.Map
    public V get(Object obj) {
        if (obj == null) {
            return null;
        }
        int h7 = h(obj);
        return q(h7).m(obj, h7);
    }

    /* access modifiers changed from: package-private */
    public int h(Object obj) {
        return p(this.f10437y.hash(obj));
    }

    /* access modifiers changed from: package-private */
    @m0.d
    public boolean i(j<K, V, ?> jVar) {
        return q(jVar.h()).t(jVar) != null;
    }

    public boolean isEmpty() {
        o<K, V, E, S>[] oVarArr = this.f10435p;
        long j7 = 0;
        for (int i7 = 0; i7 < oVarArr.length; i7++) {
            if (oVarArr[i7].f10466g != 0) {
                return false;
            }
            j7 += (long) oVarArr[i7].f10467p;
        }
        if (j7 == 0) {
            return true;
        }
        for (int i8 = 0; i8 < oVarArr.length; i8++) {
            if (oVarArr[i8].f10466g != 0) {
                return false;
            }
            j7 -= (long) oVarArr[i8].f10467p;
        }
        return j7 == 0;
    }

    /* access modifiers changed from: package-private */
    @m0.d
    public q j() {
        return this.C1.b();
    }

    /* access modifiers changed from: package-private */
    public final o<K, V, E, S>[] k(int i7) {
        return new o[i7];
    }

    @Override // java.util.AbstractMap, java.util.Map
    public Set<K> keySet() {
        Set<K> set = this.C2;
        if (set != null) {
            return set;
        }
        m mVar = new m();
        this.C2 = mVar;
        return mVar;
    }

    /* access modifiers changed from: package-private */
    public void m(E e7) {
        int h7 = e7.h();
        q(h7).G(e7, h7);
    }

    /* access modifiers changed from: package-private */
    public void n(h0<K, V, E> h0Var) {
        E a8 = h0Var.a();
        int h7 = a8.h();
        q(h7).H((K) a8.getKey(), h7, h0Var);
    }

    @Override // java.util.AbstractMap, java.util.Map
    @p0.a
    public V put(K k7, V v7) {
        Preconditions.checkNotNull(k7);
        Preconditions.checkNotNull(v7);
        int h7 = h(k7);
        return q(h7).F(k7, h7, v7, false);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: com.google.common.collect.n9<K, V, E extends com.google.common.collect.n9$j<K, V, E>, S extends com.google.common.collect.n9$o<K, V, E, S>> */
    /* JADX WARN: Multi-variable type inference failed */
    @Override // java.util.AbstractMap, java.util.Map
    public void putAll(Map<? extends K, ? extends V> map) {
        for (Map.Entry<? extends K, ? extends V> entry : map.entrySet()) {
            put(entry.getKey(), entry.getValue());
        }
    }

    @Override // java.util.Map, java.util.concurrent.ConcurrentMap
    @p0.a
    public V putIfAbsent(K k7, V v7) {
        Preconditions.checkNotNull(k7);
        Preconditions.checkNotNull(v7);
        int h7 = h(k7);
        return q(h7).F(k7, h7, v7, true);
    }

    /* access modifiers changed from: package-private */
    public o<K, V, E, S> q(int i7) {
        return this.f10435p[this.f10433f & (i7 >>> this.f10434g)];
    }

    @Override // java.util.AbstractMap, java.util.Map
    @p0.a
    public V remove(Object obj) {
        if (obj == null) {
            return null;
        }
        int h7 = h(obj);
        return q(h7).I(obj, h7);
    }

    @Override // java.util.Map, java.util.concurrent.ConcurrentMap
    @p0.a
    public V replace(K k7, V v7) {
        Preconditions.checkNotNull(k7);
        Preconditions.checkNotNull(v7);
        int h7 = h(k7);
        return q(h7).O(k7, h7, v7);
    }

    public int size() {
        o<K, V, E, S>[] oVarArr;
        long j7 = 0;
        for (o<K, V, E, S> oVar : this.f10435p) {
            j7 += (long) oVar.f10466g;
        }
        return com.google.common.primitives.l.x(j7);
    }

    /* access modifiers changed from: package-private */
    @m0.d
    public Equivalence<Object> t() {
        return this.C1.c().a();
    }

    /* access modifiers changed from: package-private */
    @m0.d
    public q v() {
        return this.C1.c();
    }

    @Override // java.util.AbstractMap, java.util.Map
    public Collection<V> values() {
        Collection<V> collection = this.U5;
        if (collection != null) {
            return collection;
        }
        z zVar = new z();
        this.U5 = zVar;
        return zVar;
    }

    /* access modifiers changed from: package-private */
    public Object x() {
        return new p(this.C1.b(), this.C1.c(), this.f10437y, this.C1.c().a(), this.f10436x, this);
    }

    @p0.a
    public boolean remove(Object obj, Object obj2) {
        if (obj == null || obj2 == null) {
            return false;
        }
        int h7 = h(obj);
        return q(h7).J(obj, h7, obj2);
    }

    @Override // java.util.Map, java.util.concurrent.ConcurrentMap
    @p0.a
    public boolean replace(K k7, V v7, V v8) {
        Preconditions.checkNotNull(k7);
        Preconditions.checkNotNull(v8);
        if (v7 == null) {
            return false;
        }
        int h7 = h(k7);
        return q(h7).P(k7, h7, v7, v8);
    }
}
