package com.google.common.collect;

import com.google.common.base.Preconditions;
import com.google.common.collect.ua;
import java.util.AbstractCollection;
import java.util.Collection;
import java.util.Iterator;
import java.util.Map;
import java.util.Set;
import java.util.Spliterator;
import java.util.Spliterators;

/* access modifiers changed from: package-private */
@m0.b
public abstract class o<K, V> implements na<K, V> {

    /* renamed from: f  reason: collision with root package name */
    private transient Collection<Map.Entry<K, V>> f10481f;

    /* renamed from: g  reason: collision with root package name */
    private transient Set<K> f10482g;

    /* renamed from: p  reason: collision with root package name */
    private transient ya<K> f10483p;

    /* renamed from: x  reason: collision with root package name */
    private transient Collection<V> f10484x;

    /* renamed from: y  reason: collision with root package name */
    private transient Map<K, Collection<V>> f10485y;

    class a extends ua.f<K, V> {
        a() {
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.ua.f
        public na<K, V> b() {
            return o.this;
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.lang.Iterable
        public Iterator<Map.Entry<K, V>> iterator() {
            return o.this.j();
        }

        @Override // java.util.Collection, java.lang.Iterable
        public Spliterator<Map.Entry<K, V>> spliterator() {
            return o.this.m();
        }
    }

    class b extends o<K, V>.a implements Set<Map.Entry<K, V>> {
        b() {
            super();
        }

        public boolean equals(Object obj) {
            return jc.g(this, obj);
        }

        public int hashCode() {
            return jc.k(this);
        }
    }

    class c extends AbstractCollection<V> {
        c() {
        }

        public void clear() {
            o.this.clear();
        }

        public boolean contains(Object obj) {
            return o.this.containsValue(obj);
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.lang.Iterable
        public Iterator<V> iterator() {
            return o.this.n();
        }

        public int size() {
            return o.this.size();
        }

        @Override // java.util.Collection, java.lang.Iterable
        public Spliterator<V> spliterator() {
            return o.this.p();
        }
    }

    o() {
    }

    /* JADX DEBUG: Multi-variable search result rejected for r3v0, resolved type: com.google.common.collect.o<K, V> */
    /* JADX WARN: Multi-variable type inference failed */
    @Override // com.google.common.collect.na
    @p0.a
    public boolean B0(na<? extends K, ? extends V> naVar) {
        boolean z7 = false;
        for (Map.Entry<? extends K, ? extends V> entry : naVar.h()) {
            z7 |= put(entry.getKey(), entry.getValue());
        }
        return z7;
    }

    @Override // com.google.common.collect.na
    public ya<K> N0() {
        ya<K> yaVar = this.f10483p;
        if (yaVar != null) {
            return yaVar;
        }
        ya<K> g7 = g();
        this.f10483p = g7;
        return g7;
    }

    /* access modifiers changed from: package-private */
    public abstract Map<K, Collection<V>> a();

    @Override // com.google.common.collect.na
    @p0.a
    public Collection<V> c(K k7, Iterable<? extends V> iterable) {
        Preconditions.checkNotNull(iterable);
        Collection<V> b7 = b(k7);
        v1(k7, iterable);
        return b7;
    }

    @Override // com.google.common.collect.na
    public boolean containsValue(Object obj) {
        for (Collection<V> collection : e().values()) {
            if (collection.contains(obj)) {
                return true;
            }
        }
        return false;
    }

    /* access modifiers changed from: package-private */
    public abstract Collection<Map.Entry<K, V>> d();

    @Override // com.google.common.collect.na
    public Map<K, Collection<V>> e() {
        Map<K, Collection<V>> map = this.f10485y;
        if (map != null) {
            return map;
        }
        Map<K, Collection<V>> a8 = a();
        this.f10485y = a8;
        return a8;
    }

    @Override // com.google.common.collect.na
    public boolean equals(Object obj) {
        return ua.k(this, obj);
    }

    /* access modifiers changed from: package-private */
    public abstract Set<K> f();

    /* access modifiers changed from: package-private */
    public abstract ya<K> g();

    @Override // com.google.common.collect.na
    public Collection<Map.Entry<K, V>> h() {
        Collection<Map.Entry<K, V>> collection = this.f10481f;
        if (collection != null) {
            return collection;
        }
        Collection<Map.Entry<K, V>> d7 = d();
        this.f10481f = d7;
        return d7;
    }

    @Override // com.google.common.collect.na
    public int hashCode() {
        return e().hashCode();
    }

    /* access modifiers changed from: package-private */
    public abstract Collection<V> i();

    @Override // com.google.common.collect.na
    public boolean isEmpty() {
        return size() == 0;
    }

    /* access modifiers changed from: package-private */
    public abstract Iterator<Map.Entry<K, V>> j();

    @Override // com.google.common.collect.na
    public Set<K> keySet() {
        Set<K> set = this.f10482g;
        if (set != null) {
            return set;
        }
        Set<K> f7 = f();
        this.f10482g = f7;
        return f7;
    }

    /* access modifiers changed from: package-private */
    public Spliterator<Map.Entry<K, V>> m() {
        return Spliterators.spliterator(j(), (long) size(), this instanceof hc ? 1 : 0);
    }

    /* access modifiers changed from: package-private */
    public Iterator<V> n() {
        return v9.a1(h().iterator());
    }

    /* access modifiers changed from: package-private */
    public Spliterator<V> p() {
        return Spliterators.spliterator(n(), (long) size(), 0);
    }

    @Override // com.google.common.collect.na
    @p0.a
    public boolean put(K k7, V v7) {
        return get(k7).add(v7);
    }

    @Override // com.google.common.collect.na
    public boolean q1(Object obj, Object obj2) {
        Collection<V> collection = e().get(obj);
        return collection != null && collection.contains(obj2);
    }

    @Override // com.google.common.collect.na
    @p0.a
    public boolean remove(Object obj, Object obj2) {
        Collection<V> collection = e().get(obj);
        return collection != null && collection.remove(obj2);
    }

    public String toString() {
        return e().toString();
    }

    @Override // com.google.common.collect.na
    @p0.a
    public boolean v1(K k7, Iterable<? extends V> iterable) {
        Preconditions.checkNotNull(iterable);
        if (iterable instanceof Collection) {
            Collection<? extends V> collection = (Collection) iterable;
            return !collection.isEmpty() && get(k7).addAll(collection);
        }
        Iterator<? extends V> it = iterable.iterator();
        return it.hasNext() && w8.a(get(k7), it);
    }

    @Override // com.google.common.collect.na
    public Collection<V> values() {
        Collection<V> collection = this.f10484x;
        if (collection != null) {
            return collection;
        }
        Collection<V> i7 = i();
        this.f10484x = i7;
        return i7;
    }
}
