package com.google.common.collect;

import com.google.common.base.Preconditions;
import java.io.Serializable;
import java.util.ArrayDeque;
import java.util.Collection;
import java.util.Queue;
import m0.a;
import m0.b;
import m0.d;

@a
@b
public final class o3<E> extends s4<E> implements Serializable {

    /* renamed from: p  reason: collision with root package name */
    private static final long f10489p = 0;

    /* renamed from: f  reason: collision with root package name */
    private final Queue<E> f10490f;
    @d

    /* renamed from: g  reason: collision with root package name */
    final int f10491g;

    private o3(int i7) {
        Preconditions.checkArgument(i7 >= 0, "maxSize (%s) must >= 0", i7);
        this.f10490f = new ArrayDeque(i7);
        this.f10491g = i7;
    }

    public static <E> o3<E> U1(int i7) {
        return new o3<>(i7);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.common.collect.s4
    /* renamed from: Q1 */
    public Queue<E> E1() {
        return this.f10490f;
    }

    @Override // java.util.Collection, java.util.Queue, com.google.common.collect.a4
    @p0.a
    public boolean add(E e7) {
        Preconditions.checkNotNull(e7);
        if (this.f10491g == 0) {
            return true;
        }
        if (size() == this.f10491g) {
            this.f10490f.remove();
        }
        this.f10490f.add(e7);
        return true;
    }

    @Override // java.util.Collection, com.google.common.collect.a4
    @p0.a
    public boolean addAll(Collection<? extends E> collection) {
        int size = collection.size();
        if (size < this.f10491g) {
            return F1(collection);
        }
        clear();
        return t8.a(this, t8.M(collection, size - this.f10491g));
    }

    @Override // com.google.common.collect.a4
    public boolean contains(Object obj) {
        return E1().contains(Preconditions.checkNotNull(obj));
    }

    @Override // java.util.Queue, com.google.common.collect.s4
    @p0.a
    public boolean offer(E e7) {
        return add(e7);
    }

    public int remainingCapacity() {
        return this.f10491g - size();
    }

    @Override // com.google.common.collect.a4
    @p0.a
    public boolean remove(Object obj) {
        return E1().remove(Preconditions.checkNotNull(obj));
    }
}
