package com.google.common.collect;

import com.google.common.base.MoreObjects;
import com.google.common.base.Preconditions;
import com.google.common.collect.c8;
import com.google.common.collect.e7;
import com.google.common.collect.gc;
import com.google.common.collect.h6;
import com.google.common.collect.oa;
import com.google.common.collect.t6;
import e1.h;
import e1.i;
import java.io.IOException;
import java.io.InvalidObjectException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.util.Arrays;
import java.util.Collection;
import java.util.Comparator;
import java.util.Iterator;
import java.util.Map;
import java.util.function.Function;
import java.util.stream.Collector;
import java.util.stream.Collectors;
import java.util.stream.Stream;

@m0.b(emulated = true, serializable = true)
public class o7<K, V> extends t6<K, V> implements hc<K, V> {
    @m0.c
    private static final long Y5 = 0;
    private final transient e7<V> V5;
    @h
    @q0.b
    private transient o7<V, K> W5;
    private transient e7<Map.Entry<K, V>> X5;

    public static final class a<K, V> extends t6.c<K, V> {
        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.t6.c
        public Collection<V> c() {
            return mb.g();
        }

        /* renamed from: l */
        public o7<K, V> a() {
            Collection entrySet = this.f10632a.entrySet();
            Comparator<? super K> comparator = this.f10633b;
            if (comparator != null) {
                entrySet = kb.i(comparator).E().m(entrySet);
            }
            return o7.i0(entrySet, this.f10634c);
        }

        /* access modifiers changed from: package-private */
        @p0.a
        /* renamed from: m */
        public a<K, V> b(t6.c<K, V> cVar) {
            super.b(cVar);
            return this;
        }

        @p0.a
        /* renamed from: n */
        public a<K, V> d(Comparator<? super K> comparator) {
            super.d(comparator);
            return this;
        }

        @p0.a
        /* renamed from: o */
        public a<K, V> e(Comparator<? super V> comparator) {
            super.e(comparator);
            return this;
        }

        @p0.a
        /* renamed from: p */
        public a<K, V> f(K k7, V v7) {
            super.f(k7, v7);
            return this;
        }

        @p0.a
        /* renamed from: q */
        public a<K, V> g(Map.Entry<? extends K, ? extends V> entry) {
            super.g(entry);
            return this;
        }

        /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: com.google.common.collect.o7$a<K, V> */
        /* JADX WARN: Multi-variable type inference failed */
        @p0.a
        /* renamed from: r */
        public a<K, V> h(na<? extends K, ? extends V> naVar) {
            for (Map.Entry<? extends K, Collection<? extends V>> entry : naVar.e().entrySet()) {
                j(entry.getKey(), entry.getValue());
            }
            return this;
        }

        @m0.a
        @p0.a
        /* renamed from: s */
        public a<K, V> i(Iterable<? extends Map.Entry<? extends K, ? extends V>> iterable) {
            super.i(iterable);
            return this;
        }

        @p0.a
        /* renamed from: t */
        public a<K, V> j(K k7, Iterable<? extends V> iterable) {
            super.j(k7, iterable);
            return this;
        }

        @p0.a
        /* renamed from: u */
        public a<K, V> k(K k7, V... vArr) {
            return j(k7, Arrays.asList(vArr));
        }
    }

    /* access modifiers changed from: private */
    public static final class b<K, V> extends e7<Map.Entry<K, V>> {
        @i
        private final transient o7<K, V> W5;

        b(o7<K, V> o7Var) {
            this.W5 = o7Var;
        }

        @Override // com.google.common.collect.n5
        public boolean contains(Object obj) {
            if (!(obj instanceof Map.Entry)) {
                return false;
            }
            Map.Entry entry = (Map.Entry) obj;
            return this.W5.q1(entry.getKey(), entry.getValue());
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.n5
        public boolean m() {
            return false;
        }

        @Override // com.google.common.collect.n5, com.google.common.collect.e7
        /* renamed from: n */
        public le<Map.Entry<K, V>> iterator() {
            return this.W5.j();
        }

        public int size() {
            return this.W5.size();
        }
    }

    @m0.c
    private static final class c {

        /* renamed from: a  reason: collision with root package name */
        static final gc.b<o7> f10503a = gc.a(o7.class, "emptySet");

        private c() {
        }
    }

    o7(h6<K, e7<V>> h6Var, int i7, Comparator<? super V> comparator) {
        super(h6Var, i7);
        this.V5 = e0(comparator);
    }

    public static <T, K, V> Collector<T, ?, o7<K, V>> D0(Function<? super T, ? extends K> function, Function<? super T, ? extends V> function2) {
        Preconditions.checkNotNull(function, "keyFunction");
        Preconditions.checkNotNull(function2, "valueFunction");
        return Collector.of(new k7(), new l7(function, function2), new m7(), new n7(), new Collector.Characteristics[0]);
    }

    private static <V> e7<V> E0(Comparator<? super V> comparator, Collection<? extends V> collection) {
        return comparator == null ? e7.J(collection) : c8.Q0(comparator, collection);
    }

    private static <V> e7.a<V> F0(Comparator<? super V> comparator) {
        return comparator == null ? new e7.a<>() : new c8.b(comparator);
    }

    @m0.c
    private void G0(ObjectOutputStream objectOutputStream) throws IOException {
        objectOutputStream.defaultWriteObject();
        objectOutputStream.writeObject(S0());
        gc.j(this, objectOutputStream);
    }

    public static <K, V> a<K, V> a0() {
        return new a<>();
    }

    public static <K, V> o7<K, V> b0(na<? extends K, ? extends V> naVar) {
        return c0(naVar, null);
    }

    private static <K, V> o7<K, V> c0(na<? extends K, ? extends V> naVar, Comparator<? super V> comparator) {
        Preconditions.checkNotNull(naVar);
        if (naVar.isEmpty() && comparator == null) {
            return q0();
        }
        if (naVar instanceof o7) {
            o7<K, V> o7Var = (o7) naVar;
            if (!o7Var.F()) {
                return o7Var;
            }
        }
        return i0(naVar.e().entrySet(), comparator);
    }

    @m0.a
    public static <K, V> o7<K, V> d0(Iterable<? extends Map.Entry<? extends K, ? extends V>> iterable) {
        return new a().i(iterable).a();
    }

    private static <V> e7<V> e0(Comparator<? super V> comparator) {
        return comparator == null ? e7.Y() : c8.i1(comparator);
    }

    public static <T, K, V> Collector<T, ?, o7<K, V>> h0(Function<? super T, ? extends K> function, Function<? super T, ? extends Stream<? extends V>> function2) {
        Preconditions.checkNotNull(function);
        Preconditions.checkNotNull(function2);
        g7 g7Var = new g7(function);
        h7 h7Var = new h7(function2);
        oa.l<Object, Object> g7 = oa.f().g();
        g7.getClass();
        return Collectors.collectingAndThen(ua.u(g7Var, h7Var, new i7(g7)), new j7());
    }

    /* JADX DEBUG: Multi-variable search result rejected for r0v1, resolved type: com.google.common.collect.h6$b */
    /* JADX WARN: Multi-variable type inference failed */
    static <K, V> o7<K, V> i0(Collection<? extends Map.Entry<? extends K, ? extends Collection<? extends V>>> collection, Comparator<? super V> comparator) {
        if (collection.isEmpty()) {
            return q0();
        }
        h6.b bVar = new h6.b(collection.size());
        Iterator<? extends Map.Entry<? extends K, ? extends Collection<? extends V>>> it = collection.iterator();
        int i7 = 0;
        while (it.hasNext()) {
            Map.Entry entry = (Map.Entry) it.next();
            Object key = entry.getKey();
            e7 E0 = E0(comparator, (Collection) entry.getValue());
            if (!E0.isEmpty()) {
                bVar.f(key, E0);
                i7 += E0.size();
            }
        }
        return new o7<>(bVar.a(), i7, comparator);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r4v0, resolved type: com.google.common.collect.o7<K, V> */
    /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: com.google.common.collect.o7$a */
    /* JADX WARN: Multi-variable type inference failed */
    private o7<V, K> m0() {
        a a02 = a0();
        le n7 = h().iterator();
        while (n7.hasNext()) {
            Map.Entry entry = (Map.Entry) n7.next();
            a02.f(entry.getValue(), entry.getKey());
        }
        o7<V, K> l7 = a02.a();
        l7.W5 = this;
        return l7;
    }

    /* access modifiers changed from: private */
    public static /* synthetic */ Object n0(Function function, Object obj) {
        return Preconditions.checkNotNull(function.apply(obj));
    }

    /* access modifiers changed from: private */
    public static /* synthetic */ Stream o0(Function function, Object obj) {
        return ((Stream) function.apply(obj)).peek(new c6());
    }

    /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: com.google.common.collect.o7$a */
    /* JADX WARN: Multi-variable type inference failed */
    /* access modifiers changed from: private */
    public static /* synthetic */ void p0(Function function, Function function2, a aVar, Object obj) {
        aVar.f(function.apply(obj), function2.apply(obj));
    }

    public static <K, V> o7<K, V> q0() {
        return k3.Z5;
    }

    public static <K, V> o7<K, V> t0(K k7, V v7) {
        a a02 = a0();
        a02.f(k7, v7);
        return a02.a();
    }

    public static <K, V> o7<K, V> v0(K k7, V v7, K k8, V v8) {
        a a02 = a0();
        a02.f(k7, v7);
        a02.f(k8, v8);
        return a02.a();
    }

    public static <K, V> o7<K, V> w0(K k7, V v7, K k8, V v8, K k9, V v9) {
        a a02 = a0();
        a02.f(k7, v7);
        a02.f(k8, v8);
        a02.f(k9, v9);
        return a02.a();
    }

    public static <K, V> o7<K, V> x0(K k7, V v7, K k8, V v8, K k9, V v9, K k10, V v10) {
        a a02 = a0();
        a02.f(k7, v7);
        a02.f(k8, v8);
        a02.f(k9, v9);
        a02.f(k10, v10);
        return a02.a();
    }

    public static <K, V> o7<K, V> y0(K k7, V v7, K k8, V v8, K k9, V v9, K k10, V v10, K k11, V v11) {
        a a02 = a0();
        a02.f(k7, v7);
        a02.f(k8, v8);
        a02.f(k9, v9);
        a02.f(k10, v10);
        a02.f(k11, v11);
        return a02.a();
    }

    /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: com.google.common.collect.h6$b */
    /* JADX WARN: Multi-variable type inference failed */
    @m0.c
    private void z0(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException {
        objectInputStream.defaultReadObject();
        Comparator comparator = (Comparator) objectInputStream.readObject();
        int readInt = objectInputStream.readInt();
        if (readInt >= 0) {
            h6.b b7 = h6.b();
            int i7 = 0;
            for (int i8 = 0; i8 < readInt; i8++) {
                Object readObject = objectInputStream.readObject();
                int readInt2 = objectInputStream.readInt();
                if (readInt2 > 0) {
                    e7.a F0 = F0(comparator);
                    for (int i9 = 0; i9 < readInt2; i9++) {
                        F0.a(objectInputStream.readObject());
                    }
                    e7 k7 = F0.e();
                    if (k7.size() == readInt2) {
                        b7.f(readObject, k7);
                        i7 += readInt2;
                    } else {
                        throw new InvalidObjectException("Duplicate key-value pairs exist for key " + readObject);
                    }
                } else {
                    throw new InvalidObjectException("Invalid value count " + readInt2);
                }
            }
            try {
                t6.e.f10637a.b(this, b7.a());
                t6.e.f10638b.a(this, i7);
                c.f10503a.b(this, e0(comparator));
            } catch (IllegalArgumentException e7) {
                throw ((InvalidObjectException) new InvalidObjectException(e7.getMessage()).initCause(e7));
            }
        } else {
            throw new InvalidObjectException("Invalid key count " + readInt);
        }
    }

    @p0.a
    @Deprecated
    /* renamed from: A0 */
    public e7<V> b(Object obj) {
        throw new UnsupportedOperationException();
    }

    @p0.a
    @Deprecated
    /* renamed from: C0 */
    public e7<V> c(K k7, Iterable<? extends V> iterable) {
        throw new UnsupportedOperationException();
    }

    /* access modifiers changed from: package-private */
    public Comparator<? super V> S0() {
        e7<V> e7Var = this.V5;
        if (e7Var instanceof c8) {
            return ((c8) e7Var).comparator();
        }
        return null;
    }

    /* renamed from: f0 */
    public e7<Map.Entry<K, V>> h() {
        e7<Map.Entry<K, V>> e7Var = this.X5;
        if (e7Var != null) {
            return e7Var;
        }
        b bVar = new b(this);
        this.X5 = bVar;
        return bVar;
    }

    /* renamed from: k0 */
    public e7<V> get(K k7) {
        return (e7) MoreObjects.firstNonNull((e7) this.C1.get(k7), this.V5);
    }

    /* renamed from: l0 */
    public o7<V, K> E() {
        o7<V, K> o7Var = this.W5;
        if (o7Var != null) {
            return o7Var;
        }
        o7<V, K> m02 = m0();
        this.W5 = m02;
        return m02;
    }
}
