package com.google.common.collect;

import com.google.common.base.Preconditions;
import com.google.common.base.Supplier;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Comparator;
import java.util.EnumMap;
import java.util.EnumSet;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;
import java.util.Set;
import java.util.SortedSet;
import java.util.TreeMap;
import java.util.TreeSet;

@m0.b
public abstract class oa<K0, V0> {

    /* renamed from: a  reason: collision with root package name */
    private static final int f10505a = 8;

    /* access modifiers changed from: package-private */
    public static class a extends k<Object> {

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ int f10506b;

        a(int i7) {
            this.f10506b = i7;
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.oa.k
        public <K, V> Map<K, Collection<V>> c() {
            return mb.c(this.f10506b);
        }
    }

    /* access modifiers changed from: package-private */
    public static class b extends k<Object> {

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ int f10507b;

        b(int i7) {
            this.f10507b = i7;
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.oa.k
        public <K, V> Map<K, Collection<V>> c() {
            return mb.e(this.f10507b);
        }
    }

    /* access modifiers changed from: package-private */
    public static class c extends k<K0> {

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ Comparator f10508b;

        c(Comparator comparator) {
            this.f10508b = comparator;
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.oa.k
        public <K extends K0, V> Map<K, Collection<V>> c() {
            return new TreeMap(this.f10508b);
        }
    }

    static class d extends k<K0> {

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ Class f10509b;

        d(Class cls) {
            this.f10509b = cls;
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.oa.k
        public <K extends K0, V> Map<K, Collection<V>> c() {
            return new EnumMap(this.f10509b);
        }
    }

    /* access modifiers changed from: private */
    public static final class e<V> implements Supplier<List<V>>, Serializable {

        /* renamed from: f  reason: collision with root package name */
        private final int f10510f;

        e(int i7) {
            this.f10510f = t1.b(i7, "expectedValuesPerKey");
        }

        /* renamed from: a */
        public List<V> get() {
            return new ArrayList(this.f10510f);
        }
    }

    /* access modifiers changed from: private */
    public static final class f<V extends Enum<V>> implements Supplier<Set<V>>, Serializable {

        /* renamed from: f  reason: collision with root package name */
        private final Class<V> f10511f;

        f(Class<V> cls) {
            this.f10511f = (Class) Preconditions.checkNotNull(cls);
        }

        /* renamed from: a */
        public Set<V> get() {
            return EnumSet.noneOf(this.f10511f);
        }
    }

    /* access modifiers changed from: private */
    public static final class g<V> implements Supplier<Set<V>>, Serializable {

        /* renamed from: f  reason: collision with root package name */
        private final int f10512f;

        g(int i7) {
            this.f10512f = t1.b(i7, "expectedValuesPerKey");
        }

        /* renamed from: a */
        public Set<V> get() {
            return mb.d(this.f10512f);
        }
    }

    /* access modifiers changed from: private */
    public static final class h<V> implements Supplier<Set<V>>, Serializable {

        /* renamed from: f  reason: collision with root package name */
        private final int f10513f;

        h(int i7) {
            this.f10513f = t1.b(i7, "expectedValuesPerKey");
        }

        /* renamed from: a */
        public Set<V> get() {
            return mb.f(this.f10513f);
        }
    }

    /* access modifiers changed from: private */
    public enum i implements Supplier<List<Object>> {
        INSTANCE;

        public static <V> Supplier<List<V>> b() {
            return INSTANCE;
        }

        /* renamed from: a */
        public List<Object> get() {
            return new LinkedList();
        }
    }

    public static abstract class j<K0, V0> extends oa<K0, V0> {
        j() {
            super(null);
        }

        /* renamed from: j */
        public abstract <K extends K0, V extends V0> h9<K, V> a();

        /* renamed from: k */
        public <K extends K0, V extends V0> h9<K, V> b(na<? extends K, ? extends V> naVar) {
            return (h9) oa.super.b(naVar);
        }
    }

    public static abstract class k<K0> {

        /* renamed from: a  reason: collision with root package name */
        private static final int f10516a = 2;

        /* access modifiers changed from: package-private */
        public class a extends j<K0, Object> {

            /* renamed from: b  reason: collision with root package name */
            final /* synthetic */ int f10517b;

            a(int i7) {
                this.f10517b = i7;
            }

            @Override // com.google.common.collect.oa.j
            /* renamed from: j */
            public <K extends K0, V> h9<K, V> a() {
                return ua.D(k.this.c(), new e(this.f10517b));
            }
        }

        class b extends j<K0, Object> {
            b() {
            }

            @Override // com.google.common.collect.oa.j
            /* renamed from: j */
            public <K extends K0, V> h9<K, V> a() {
                return ua.D(k.this.c(), i.b());
            }
        }

        /* access modifiers changed from: package-private */
        public class c extends l<K0, Object> {

            /* renamed from: b  reason: collision with root package name */
            final /* synthetic */ int f10520b;

            c(int i7) {
                this.f10520b = i7;
            }

            @Override // com.google.common.collect.oa.l
            /* renamed from: j */
            public <K extends K0, V> hc<K, V> a() {
                return ua.F(k.this.c(), new g(this.f10520b));
            }
        }

        /* access modifiers changed from: package-private */
        public class d extends l<K0, Object> {

            /* renamed from: b  reason: collision with root package name */
            final /* synthetic */ int f10522b;

            d(int i7) {
                this.f10522b = i7;
            }

            @Override // com.google.common.collect.oa.l
            /* renamed from: j */
            public <K extends K0, V> hc<K, V> a() {
                return ua.F(k.this.c(), new h(this.f10522b));
            }
        }

        /* access modifiers changed from: package-private */
        public class e extends m<K0, V0> {

            /* renamed from: b  reason: collision with root package name */
            final /* synthetic */ Comparator f10524b;

            e(Comparator comparator) {
                this.f10524b = comparator;
            }

            @Override // com.google.common.collect.oa.m
            /* renamed from: l */
            public <K extends K0, V extends V0> cd<K, V> j() {
                return ua.G(k.this.c(), new n(this.f10524b));
            }
        }

        class f extends l<K0, V0> {

            /* renamed from: b  reason: collision with root package name */
            final /* synthetic */ Class f10526b;

            f(Class cls) {
                this.f10526b = cls;
            }

            @Override // com.google.common.collect.oa.l
            /* renamed from: j */
            public <K extends K0, V extends V0> hc<K, V> a() {
                return ua.F(k.this.c(), new f(this.f10526b));
            }
        }

        k() {
        }

        public j<K0, Object> a() {
            return b(2);
        }

        public j<K0, Object> b(int i7) {
            t1.b(i7, "expectedValuesPerKey");
            return new a(i7);
        }

        /* access modifiers changed from: package-private */
        public abstract <K extends K0, V> Map<K, Collection<V>> c();

        public <V0 extends Enum<V0>> l<K0, V0> d(Class<V0> cls) {
            Preconditions.checkNotNull(cls, "valueClass");
            return new f(cls);
        }

        public l<K0, Object> e() {
            return f(2);
        }

        public l<K0, Object> f(int i7) {
            t1.b(i7, "expectedValuesPerKey");
            return new c(i7);
        }

        public l<K0, Object> g() {
            return h(2);
        }

        public l<K0, Object> h(int i7) {
            t1.b(i7, "expectedValuesPerKey");
            return new d(i7);
        }

        public j<K0, Object> i() {
            return new b();
        }

        public m<K0, Comparable> j() {
            return k(kb.B());
        }

        public <V0> m<K0, V0> k(Comparator<V0> comparator) {
            Preconditions.checkNotNull(comparator, "comparator");
            return new e(comparator);
        }
    }

    public static abstract class l<K0, V0> extends oa<K0, V0> {
        l() {
            super(null);
        }

        /* renamed from: j */
        public abstract <K extends K0, V extends V0> hc<K, V> a();

        /* renamed from: k */
        public <K extends K0, V extends V0> hc<K, V> b(na<? extends K, ? extends V> naVar) {
            return (hc) oa.super.b(naVar);
        }
    }

    public static abstract class m<K0, V0> extends l<K0, V0> {
        m() {
        }

        /* renamed from: l */
        public abstract <K extends K0, V extends V0> cd<K, V> j();

        /* renamed from: m */
        public <K extends K0, V extends V0> cd<K, V> k(na<? extends K, ? extends V> naVar) {
            return (cd) super.b(naVar);
        }
    }

    /* access modifiers changed from: private */
    public static final class n<V> implements Supplier<SortedSet<V>>, Serializable {

        /* renamed from: f  reason: collision with root package name */
        private final Comparator<? super V> f10528f;

        n(Comparator<? super V> comparator) {
            this.f10528f = (Comparator) Preconditions.checkNotNull(comparator);
        }

        /* renamed from: a */
        public SortedSet<V> get() {
            return new TreeSet(this.f10528f);
        }
    }

    private oa() {
    }

    public static <K0 extends Enum<K0>> k<K0> c(Class<K0> cls) {
        Preconditions.checkNotNull(cls);
        return new d(cls);
    }

    public static k<Object> d() {
        return e(8);
    }

    public static k<Object> e(int i7) {
        t1.b(i7, "expectedKeys");
        return new a(i7);
    }

    public static k<Object> f() {
        return g(8);
    }

    public static k<Object> g(int i7) {
        t1.b(i7, "expectedKeys");
        return new b(i7);
    }

    public static k<Comparable> h() {
        return i(kb.B());
    }

    public static <K0> k<K0> i(Comparator<K0> comparator) {
        Preconditions.checkNotNull(comparator);
        return new c(comparator);
    }

    public abstract <K extends K0, V extends V0> na<K, V> a();

    public <K extends K0, V extends V0> na<K, V> b(na<? extends K, ? extends V> naVar) {
        na<K, V> a8 = a();
        a8.B0(naVar);
        return a8;
    }

    /* synthetic */ oa(a aVar) {
        this();
    }
}
