package com.google.common.collect;

import com.google.common.collect.v9;
import java.util.Iterator;
import java.util.Map;
import java.util.NavigableMap;
import java.util.NavigableSet;
import java.util.NoSuchElementException;
import java.util.SortedMap;
import java.util.function.BiFunction;
import m0.c;

@c
public abstract class p4<K, V> extends v4<K, V> implements NavigableMap<K, V> {

    /* access modifiers changed from: protected */
    @m0.a
    public class a extends v9.r<K, V> {

        /* renamed from: com.google.common.collect.p4$a$a  reason: collision with other inner class name */
        class C0128a implements Iterator<Map.Entry<K, V>> {

            /* renamed from: f  reason: collision with root package name */
            private Map.Entry<K, V> f10548f = null;

            /* renamed from: g  reason: collision with root package name */
            private Map.Entry<K, V> f10549g;

            C0128a() {
                this.f10549g = a.this.Q1().lastEntry();
            }

            /* renamed from: a */
            public Map.Entry<K, V> next() {
                if (hasNext()) {
                    try {
                        Map.Entry<K, V> entry = this.f10549g;
                        this.f10548f = entry;
                        this.f10549g = a.this.Q1().lowerEntry(this.f10549g.getKey());
                        return entry;
                    } catch (Throwable th) {
                        this.f10548f = this.f10549g;
                        this.f10549g = a.this.Q1().lowerEntry(this.f10549g.getKey());
                        throw th;
                    }
                } else {
                    throw new NoSuchElementException();
                }
            }

            public boolean hasNext() {
                return this.f10549g != null;
            }

            public void remove() {
                t1.e(this.f10548f != null);
                a.this.Q1().remove(this.f10548f.getKey());
                this.f10548f = null;
            }
        }

        public a() {
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.collect.v9.r
        public Iterator<Map.Entry<K, V>> P1() {
            return new C0128a();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.v9.r
        public NavigableMap<K, V> Q1() {
            return p4.this;
        }

        @Override // java.util.Map
        public void replaceAll(BiFunction<? super K, ? super V, ? extends V> biFunction) {
            Q1().replaceAll(biFunction);
        }
    }

    @m0.a
    protected class b extends v9.f0<K, V> {
        public b() {
            super(p4.this);
        }
    }

    protected p4() {
    }

    /* access modifiers changed from: protected */
    @Override // com.google.common.collect.v4
    public SortedMap<K, V> P1(K k7, K k8) {
        return subMap(k7, true, k8, false);
    }

    /* access modifiers changed from: protected */
    /* renamed from: R1 */
    public abstract NavigableMap<K, V> O1();

    /* access modifiers changed from: protected */
    public Map.Entry<K, V> S1(K k7) {
        return tailMap(k7, true).firstEntry();
    }

    /* access modifiers changed from: protected */
    public K T1(K k7) {
        return (K) v9.Y(ceilingEntry(k7));
    }

    /* access modifiers changed from: protected */
    @m0.a
    public NavigableSet<K> U1() {
        return descendingMap().navigableKeySet();
    }

    /* access modifiers changed from: protected */
    public Map.Entry<K, V> V1() {
        return (Map.Entry) t8.v(entrySet(), null);
    }

    /* access modifiers changed from: protected */
    public K W1() {
        Map.Entry<K, V> firstEntry = firstEntry();
        if (firstEntry != null) {
            return firstEntry.getKey();
        }
        throw new NoSuchElementException();
    }

    /* access modifiers changed from: protected */
    public Map.Entry<K, V> X1(K k7) {
        return headMap(k7, true).lastEntry();
    }

    /* access modifiers changed from: protected */
    public K Y1(K k7) {
        return (K) v9.Y(floorEntry(k7));
    }

    /* access modifiers changed from: protected */
    public SortedMap<K, V> Z1(K k7) {
        return headMap(k7, false);
    }

    /* access modifiers changed from: protected */
    public Map.Entry<K, V> a2(K k7) {
        return tailMap(k7, false).firstEntry();
    }

    /* access modifiers changed from: protected */
    public K b2(K k7) {
        return (K) v9.Y(higherEntry(k7));
    }

    /* access modifiers changed from: protected */
    public Map.Entry<K, V> c2() {
        return (Map.Entry) t8.v(descendingMap().entrySet(), null);
    }

    @Override // java.util.NavigableMap
    public Map.Entry<K, V> ceilingEntry(K k7) {
        return O1().ceilingEntry(k7);
    }

    @Override // java.util.NavigableMap
    public K ceilingKey(K k7) {
        return O1().ceilingKey(k7);
    }

    /* access modifiers changed from: protected */
    public K d2() {
        Map.Entry<K, V> lastEntry = lastEntry();
        if (lastEntry != null) {
            return lastEntry.getKey();
        }
        throw new NoSuchElementException();
    }

    @Override // java.util.NavigableMap
    public NavigableSet<K> descendingKeySet() {
        return O1().descendingKeySet();
    }

    @Override // java.util.NavigableMap
    public NavigableMap<K, V> descendingMap() {
        return O1().descendingMap();
    }

    /* access modifiers changed from: protected */
    public Map.Entry<K, V> e2(K k7) {
        return headMap(k7, false).lastEntry();
    }

    /* access modifiers changed from: protected */
    public K f2(K k7) {
        return (K) v9.Y(lowerEntry(k7));
    }

    @Override // java.util.NavigableMap
    public Map.Entry<K, V> firstEntry() {
        return O1().firstEntry();
    }

    @Override // java.util.NavigableMap
    public Map.Entry<K, V> floorEntry(K k7) {
        return O1().floorEntry(k7);
    }

    @Override // java.util.NavigableMap
    public K floorKey(K k7) {
        return O1().floorKey(k7);
    }

    /* access modifiers changed from: protected */
    public Map.Entry<K, V> g2() {
        return (Map.Entry) w8.U(entrySet().iterator());
    }

    /* access modifiers changed from: protected */
    public Map.Entry<K, V> h2() {
        return (Map.Entry) w8.U(descendingMap().entrySet().iterator());
    }

    @Override // java.util.NavigableMap
    public NavigableMap<K, V> headMap(K k7, boolean z7) {
        return O1().headMap(k7, z7);
    }

    @Override // java.util.NavigableMap
    public Map.Entry<K, V> higherEntry(K k7) {
        return O1().higherEntry(k7);
    }

    @Override // java.util.NavigableMap
    public K higherKey(K k7) {
        return O1().higherKey(k7);
    }

    /* access modifiers changed from: protected */
    public SortedMap<K, V> i2(K k7) {
        return tailMap(k7, true);
    }

    @Override // java.util.NavigableMap
    public Map.Entry<K, V> lastEntry() {
        return O1().lastEntry();
    }

    @Override // java.util.NavigableMap
    public Map.Entry<K, V> lowerEntry(K k7) {
        return O1().lowerEntry(k7);
    }

    @Override // java.util.NavigableMap
    public K lowerKey(K k7) {
        return O1().lowerKey(k7);
    }

    @Override // java.util.NavigableMap
    public NavigableSet<K> navigableKeySet() {
        return O1().navigableKeySet();
    }

    @Override // java.util.NavigableMap
    public Map.Entry<K, V> pollFirstEntry() {
        return O1().pollFirstEntry();
    }

    @Override // java.util.NavigableMap
    public Map.Entry<K, V> pollLastEntry() {
        return O1().pollLastEntry();
    }

    @Override // java.util.NavigableMap
    public NavigableMap<K, V> subMap(K k7, boolean z7, K k8, boolean z8) {
        return O1().subMap(k7, z7, k8, z8);
    }

    @Override // java.util.NavigableMap
    public NavigableMap<K, V> tailMap(K k7, boolean z7) {
        return O1().tailMap(k7, z7);
    }
}
