package com.google.common.collect;

import com.google.common.base.MoreObjects;
import com.google.common.base.Preconditions;
import com.google.common.base.Predicate;
import com.google.common.base.Predicates;
import com.google.common.collect.db;
import com.google.common.collect.ua;
import com.google.common.collect.v9;
import com.google.common.collect.ya;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;
import java.util.Iterator;
import java.util.Map;
import java.util.Set;

/* access modifiers changed from: package-private */
@m0.b
public class q3<K, V> extends o<K, V> implements v3<K, V> {
    final na<K, V> C1;
    final Predicate<? super Map.Entry<K, V>> C2;

    /* access modifiers changed from: package-private */
    public class a extends v9.s0<K, Collection<V>> {

        /* access modifiers changed from: package-private */
        /* renamed from: com.google.common.collect.q3$a$a  reason: collision with other inner class name */
        public class C0129a extends v9.t<K, Collection<V>> {

            /* access modifiers changed from: package-private */
            /* renamed from: com.google.common.collect.q3$a$a$a  reason: collision with other inner class name */
            public class C0130a extends c<Map.Entry<K, Collection<V>>> {

                /* renamed from: p  reason: collision with root package name */
                final Iterator<Map.Entry<K, Collection<V>>> f10561p;

                C0130a() {
                    this.f10561p = q3.this.C1.e().entrySet().iterator();
                }

                /* access modifiers changed from: protected */
                /* renamed from: d */
                public Map.Entry<K, Collection<V>> a() {
                    while (this.f10561p.hasNext()) {
                        Map.Entry<K, Collection<V>> next = this.f10561p.next();
                        K key = next.getKey();
                        Collection r7 = q3.r(next.getValue(), new c(key));
                        if (!r7.isEmpty()) {
                            return v9.T(key, r7);
                        }
                    }
                    return (Map.Entry) b();
                }
            }

            C0129a() {
            }

            @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
            public Iterator<Map.Entry<K, Collection<V>>> iterator() {
                return new C0130a();
            }

            /* access modifiers changed from: package-private */
            @Override // com.google.common.collect.v9.t
            public Map<K, Collection<V>> k() {
                return a.this;
            }

            @Override // java.util.AbstractCollection, java.util.Collection, com.google.common.collect.jc.l, java.util.AbstractSet, java.util.Set, com.google.common.collect.v9.t
            public boolean removeAll(Collection<?> collection) {
                return q3.this.s(Predicates.in(collection));
            }

            @Override // java.util.AbstractCollection, java.util.Collection, com.google.common.collect.jc.l, java.util.Set, com.google.common.collect.v9.t
            public boolean retainAll(Collection<?> collection) {
                return q3.this.s(Predicates.not(Predicates.in(collection)));
            }

            @Override // com.google.common.collect.v9.t
            public int size() {
                return w8.Z(iterator());
            }
        }

        class b extends v9.c0<K, Collection<V>> {
            b() {
                super(a.this);
            }

            @Override // com.google.common.collect.v9.c0
            public boolean remove(Object obj) {
                return a.this.remove(obj) != null;
            }

            @Override // java.util.AbstractCollection, java.util.Collection, com.google.common.collect.jc.l, java.util.AbstractSet, java.util.Set
            public boolean removeAll(Collection<?> collection) {
                return q3.this.s(v9.Z(Predicates.in(collection)));
            }

            @Override // java.util.AbstractCollection, java.util.Collection, com.google.common.collect.jc.l, java.util.Set
            public boolean retainAll(Collection<?> collection) {
                return q3.this.s(v9.Z(Predicates.not(Predicates.in(collection))));
            }
        }

        class c extends v9.r0<K, Collection<V>> {
            c() {
                super(a.this);
            }

            @Override // com.google.common.collect.v9.r0
            public boolean remove(Object obj) {
                if (!(obj instanceof Collection)) {
                    return false;
                }
                Collection collection = (Collection) obj;
                Iterator<Map.Entry<K, Collection<V>>> it = q3.this.C1.e().entrySet().iterator();
                while (it.hasNext()) {
                    Map.Entry<K, Collection<V>> next = it.next();
                    Collection r7 = q3.r(next.getValue(), new c(next.getKey()));
                    if (!r7.isEmpty() && collection.equals(r7)) {
                        if (r7.size() == next.getValue().size()) {
                            it.remove();
                            return true;
                        }
                        r7.clear();
                        return true;
                    }
                }
                return false;
            }

            @Override // java.util.AbstractCollection, java.util.Collection, com.google.common.collect.v9.r0
            public boolean removeAll(Collection<?> collection) {
                return q3.this.s(v9.c1(Predicates.in(collection)));
            }

            @Override // java.util.AbstractCollection, java.util.Collection, com.google.common.collect.v9.r0
            public boolean retainAll(Collection<?> collection) {
                return q3.this.s(v9.c1(Predicates.not(Predicates.in(collection))));
            }
        }

        a() {
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.v9.s0
        public Set<Map.Entry<K, Collection<V>>> a() {
            return new C0129a();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.v9.s0
        public Set<K> b() {
            return new b();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.v9.s0
        public Collection<Collection<V>> c() {
            return new c();
        }

        public void clear() {
            q3.this.clear();
        }

        public boolean containsKey(Object obj) {
            return get(obj) != null;
        }

        /* renamed from: d */
        public Collection<V> get(Object obj) {
            Collection<V> collection = q3.this.C1.e().get(obj);
            if (collection == null) {
                return null;
            }
            Collection<V> r7 = q3.r(collection, new c(obj));
            if (r7.isEmpty()) {
                return null;
            }
            return r7;
        }

        /* renamed from: e */
        public Collection<V> remove(Object obj) {
            Collection<V> collection = q3.this.C1.e().get(obj);
            if (collection == null) {
                return null;
            }
            ArrayList q7 = i9.q();
            Iterator<V> it = collection.iterator();
            while (it.hasNext()) {
                V next = it.next();
                if (q3.this.t(obj, next)) {
                    it.remove();
                    q7.add(next);
                }
            }
            if (q7.isEmpty()) {
                return null;
            }
            return q3.this.C1 instanceof hc ? Collections.unmodifiableSet(jc.B(q7)) : Collections.unmodifiableList(q7);
        }
    }

    /* access modifiers changed from: package-private */
    public class b extends ua.g<K, V> {

        class a extends db.i<K> {

            /* access modifiers changed from: package-private */
            /* renamed from: com.google.common.collect.q3$b$a$a  reason: collision with other inner class name */
            public class C0131a implements Predicate<Map.Entry<K, Collection<V>>> {

                /* renamed from: f  reason: collision with root package name */
                final /* synthetic */ Predicate f10567f;

                C0131a(Predicate predicate) {
                    this.f10567f = predicate;
                }

                /* renamed from: a */
                public boolean apply(Map.Entry<K, Collection<V>> entry) {
                    return this.f10567f.apply(db.m(entry.getKey(), entry.getValue().size()));
                }
            }

            a() {
            }

            private boolean l(Predicate<? super ya.a<K>> predicate) {
                return q3.this.s(new C0131a(predicate));
            }

            @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
            public Iterator<ya.a<K>> iterator() {
                return b.this.k();
            }

            /* access modifiers changed from: package-private */
            @Override // com.google.common.collect.db.i
            public ya<K> k() {
                return b.this;
            }

            @Override // java.util.AbstractCollection, java.util.Collection, com.google.common.collect.jc.l, java.util.AbstractSet, java.util.Set
            public boolean removeAll(Collection<?> collection) {
                return l(Predicates.in(collection));
            }

            @Override // java.util.AbstractCollection, java.util.Collection, com.google.common.collect.jc.l, java.util.Set
            public boolean retainAll(Collection<?> collection) {
                return l(Predicates.not(Predicates.in(collection)));
            }

            public int size() {
                return q3.this.keySet().size();
            }
        }

        b() {
            super(q3.this);
        }

        @Override // com.google.common.collect.ua.g, com.google.common.collect.p, com.google.common.collect.ya
        public int V(Object obj, int i7) {
            t1.b(i7, "occurrences");
            if (i7 == 0) {
                return O0(obj);
            }
            Collection<V> collection = q3.this.C1.e().get(obj);
            int i8 = 0;
            if (collection == null) {
                return 0;
            }
            Iterator<V> it = collection.iterator();
            while (it.hasNext()) {
                if (q3.this.t(obj, it.next()) && (i8 = i8 + 1) <= i7) {
                    it.remove();
                }
            }
            return i8;
        }

        @Override // com.google.common.collect.p, com.google.common.collect.ya
        public Set<ya.a<K>> entrySet() {
            return new a();
        }
    }

    /* access modifiers changed from: package-private */
    public final class c implements Predicate<V> {

        /* renamed from: f  reason: collision with root package name */
        private final K f10569f;

        c(K k7) {
            this.f10569f = k7;
        }

        @Override // com.google.common.base.Predicate
        public boolean apply(V v7) {
            return q3.this.t(this.f10569f, v7);
        }
    }

    q3(na<K, V> naVar, Predicate<? super Map.Entry<K, V>> predicate) {
        this.C1 = (na) Preconditions.checkNotNull(naVar);
        this.C2 = (Predicate) Preconditions.checkNotNull(predicate);
    }

    static <E> Collection<E> r(Collection<E> collection, Predicate<? super E> predicate) {
        return collection instanceof Set ? jc.i((Set) collection, predicate) : f2.d(collection, predicate);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean t(K k7, V v7) {
        return this.C2.apply(v9.T(k7, v7));
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.o
    public Map<K, Collection<V>> a() {
        return new a();
    }

    @Override // com.google.common.collect.na
    public Collection<V> b(Object obj) {
        return (Collection) MoreObjects.firstNonNull(e().remove(obj), u());
    }

    @Override // com.google.common.collect.na
    public void clear() {
        h().clear();
    }

    @Override // com.google.common.collect.na
    public boolean containsKey(Object obj) {
        return e().get(obj) != null;
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.o
    public Collection<Map.Entry<K, V>> d() {
        return r(this.C1.h(), this.C2);
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.o
    public Set<K> f() {
        return e().keySet();
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.o
    public ya<K> g() {
        return new b();
    }

    @Override // com.google.common.collect.na
    public Collection<V> get(K k7) {
        return r(this.C1.get(k7), new c(k7));
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.o
    public Collection<V> i() {
        return new w3(this);
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.o
    public Iterator<Map.Entry<K, V>> j() {
        throw new AssertionError("should never be called");
    }

    @Override // com.google.common.collect.v3
    public na<K, V> k() {
        return this.C1;
    }

    @Override // com.google.common.collect.v3
    public Predicate<? super Map.Entry<K, V>> r0() {
        return this.C2;
    }

    /* access modifiers changed from: package-private */
    public boolean s(Predicate<? super Map.Entry<K, Collection<V>>> predicate) {
        Iterator<Map.Entry<K, Collection<V>>> it = this.C1.e().entrySet().iterator();
        boolean z7 = false;
        while (it.hasNext()) {
            Map.Entry<K, Collection<V>> next = it.next();
            K key = next.getKey();
            Collection r7 = r(next.getValue(), new c(key));
            if (!r7.isEmpty() && predicate.apply(v9.T(key, r7))) {
                if (r7.size() == next.getValue().size()) {
                    it.remove();
                } else {
                    r7.clear();
                }
                z7 = true;
            }
        }
        return z7;
    }

    @Override // com.google.common.collect.na
    public int size() {
        return h().size();
    }

    /* access modifiers changed from: package-private */
    public Collection<V> u() {
        return this.C1 instanceof hc ? Collections.emptySet() : Collections.emptyList();
    }
}
