package com.google.common.collect;

import com.google.common.base.Preconditions;
import com.google.common.collect.h6;
import java.io.Serializable;
import java.lang.Enum;
import java.util.EnumMap;
import java.util.Map;
import java.util.Spliterator;
import java.util.function.BiConsumer;

/* access modifiers changed from: package-private */
@m0.b(emulated = true, serializable = true)
public final class q5<K extends Enum<K>, V> extends h6.c<K, V> {
    private final transient EnumMap<K, V> C1;

    private static class b<K extends Enum<K>, V> implements Serializable {

        /* renamed from: g  reason: collision with root package name */
        private static final long f10572g = 0;

        /* renamed from: f  reason: collision with root package name */
        final EnumMap<K, V> f10573f;

        b(EnumMap<K, V> enumMap) {
            this.f10573f = enumMap;
        }

        /* access modifiers changed from: package-private */
        public Object a() {
            return new q5(this.f10573f);
        }
    }

    private q5(EnumMap<K, V> enumMap) {
        this.C1 = enumMap;
        Preconditions.checkArgument(!enumMap.isEmpty());
    }

    static <K extends Enum<K>, V> h6<K, V> I(EnumMap<K, V> enumMap) {
        int size = enumMap.size();
        if (size == 0) {
            return h6.v();
        }
        if (size != 1) {
            return new q5(enumMap);
        }
        Map.Entry entry = (Map.Entry) t8.z(enumMap.entrySet());
        return h6.x(entry.getKey(), entry.getValue());
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.h6
    public Object F() {
        return new b(this.C1);
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.h6.c
    public le<Map.Entry<K, V>> G() {
        return v9.U0(this.C1.entrySet().iterator());
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.h6.c
    public Spliterator<Map.Entry<K, V>> H() {
        return w1.e(this.C1.entrySet().spliterator(), new p5());
    }

    @Override // com.google.common.collect.h6
    public boolean containsKey(Object obj) {
        return this.C1.containsKey(obj);
    }

    @Override // com.google.common.collect.h6
    public boolean equals(Object obj) {
        if (obj == this) {
            return true;
        }
        if (obj instanceof q5) {
            obj = ((q5) obj).C1;
        }
        return this.C1.equals(obj);
    }

    @Override // java.util.Map
    public void forEach(BiConsumer<? super K, ? super V> biConsumer) {
        this.C1.forEach(biConsumer);
    }

    @Override // com.google.common.collect.h6, java.util.Map
    public V get(Object obj) {
        return this.C1.get(obj);
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.h6
    public boolean q() {
        return false;
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.h6
    public le<K> r() {
        return w8.f0(this.C1.keySet().iterator());
    }

    public int size() {
        return this.C1.size();
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.h6
    public Spliterator<K> t() {
        return this.C1.keySet().spliterator();
    }
}
