package com.google.common.collect;

import com.google.common.base.Preconditions;
import com.google.common.collect.h6;
import java.util.AbstractMap;
import java.util.Arrays;
import java.util.Comparator;
import java.util.Map;
import java.util.NavigableMap;
import java.util.SortedMap;
import java.util.Spliterator;
import java.util.TreeMap;
import java.util.function.BiConsumer;
import java.util.function.BinaryOperator;
import java.util.function.Consumer;
import java.util.function.Function;
import java.util.stream.Collector;
import java.util.stream.Collectors;

@m0.b(emulated = true, serializable = true)
public final class s7<K, V> extends u7<K, V> implements NavigableMap<K, V> {
    private static final Comparator<Comparable> V5 = kb.B();
    private static final s7<Comparable, Object> W5 = new s7<>(c8.i1(kb.B()), t5.R());
    private static final long X5 = 0;
    private final transient bc<K> C1;
    private final transient t5<V> C2;
    private transient s7<K, V> U5;

    /* access modifiers changed from: package-private */
    public static class a implements Comparator<Map.Entry<K, V>> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ Comparator f10594f;

        a(Comparator comparator) {
            this.f10594f = comparator;
        }

        /* renamed from: a */
        public int compare(Map.Entry<K, V> entry, Map.Entry<K, V> entry2) {
            return this.f10594f.compare(entry.getKey(), entry2.getKey());
        }
    }

    /* access modifiers changed from: package-private */
    public class b extends j6<K, V> {

        class a extends j5<Map.Entry<K, V>> {
            a() {
            }

            /* access modifiers changed from: package-private */
            @Override // com.google.common.collect.j5
            public n5<Map.Entry<K, V>> B0() {
                return b.this;
            }

            /* renamed from: D0 */
            public Map.Entry<K, V> get(int i7) {
                return new AbstractMap.SimpleImmutableEntry(s7.this.C1.b().get(i7), s7.this.C2.get(i7));
            }

            @Override // java.util.List, java.util.Collection, com.google.common.collect.n5, com.google.common.collect.t5, java.lang.Iterable
            public Spliterator<Map.Entry<K, V>> spliterator() {
                return w1.c(size(), 1297, new t7(this));
            }
        }

        b() {
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.e7
        public t5<Map.Entry<K, V>> R() {
            return new a();
        }

        @Override // java.lang.Iterable
        public void forEach(Consumer<? super Map.Entry<K, V>> consumer) {
            b().forEach(consumer);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.j6
        public h6<K, V> l0() {
            return s7.this;
        }

        @Override // com.google.common.collect.n5, com.google.common.collect.e7
        /* renamed from: n */
        public le<Map.Entry<K, V>> iterator() {
            return b().iterator();
        }

        @Override // java.util.Collection, java.util.Set, com.google.common.collect.n5, java.lang.Iterable
        public Spliterator<Map.Entry<K, V>> spliterator() {
            return b().spliterator();
        }
    }

    public static class c<K, V> extends h6.b<K, V> {

        /* renamed from: e  reason: collision with root package name */
        private final Comparator<? super K> f10596e;

        public c(Comparator<? super K> comparator) {
            this.f10596e = (Comparator) Preconditions.checkNotNull(comparator);
        }

        /* renamed from: j */
        public s7<K, V> a() {
            int i7 = this.f10031c;
            return i7 != 0 ? i7 != 1 ? s7.f0(this.f10596e, false, this.f10030b, i7) : s7.y0(this.f10596e, this.f10030b[0].getKey(), this.f10030b[0].getValue()) : s7.d0(this.f10596e);
        }

        /* access modifiers changed from: package-private */
        /* renamed from: k */
        public c<K, V> c(h6.b<K, V> bVar) {
            super.c(bVar);
            return this;
        }

        @Deprecated
        @m0.a
        @p0.a
        /* renamed from: l */
        public c<K, V> e(Comparator<? super V> comparator) {
            throw new UnsupportedOperationException("Not available on ImmutableSortedMap.Builder");
        }

        @p0.a
        /* renamed from: m */
        public c<K, V> f(K k7, V v7) {
            super.f(k7, v7);
            return this;
        }

        @p0.a
        /* renamed from: n */
        public c<K, V> g(Map.Entry<? extends K, ? extends V> entry) {
            super.g(entry);
            return this;
        }

        @m0.a
        @p0.a
        /* renamed from: o */
        public c<K, V> h(Iterable<? extends Map.Entry<? extends K, ? extends V>> iterable) {
            super.h(iterable);
            return this;
        }

        @p0.a
        /* renamed from: p */
        public c<K, V> i(Map<? extends K, ? extends V> map) {
            super.i(map);
            return this;
        }
    }

    private static class d extends h6.e {

        /* renamed from: y  reason: collision with root package name */
        private static final long f10597y = 0;

        /* renamed from: x  reason: collision with root package name */
        private final Comparator<Object> f10598x;

        d(s7<?, ?> s7Var) {
            super(s7Var);
            this.f10598x = s7Var.comparator();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.h6.e
        public Object b() {
            return a(new c(this.f10598x));
        }
    }

    s7(bc<K> bcVar, t5<V> t5Var) {
        this(bcVar, t5Var, null);
    }

    public static <K, V> c<K, V> B0(Comparator<K> comparator) {
        return new c<>(comparator);
    }

    public static <K extends Comparable<?>, V> c<K, V> C0() {
        return new c<>(kb.B().G());
    }

    public static <T, K, V> Collector<T, ?, s7<K, V>> H0(Comparator<? super K> comparator, Function<? super T, ? extends K> function, Function<? super T, ? extends V> function2) {
        return s1.s(comparator, function, function2);
    }

    public static <T, K, V> Collector<T, ?, s7<K, V>> I0(Comparator<? super K> comparator, Function<? super T, ? extends K> function, Function<? super T, ? extends V> function2, BinaryOperator<V> binaryOperator) {
        Preconditions.checkNotNull(comparator);
        Preconditions.checkNotNull(function);
        Preconditions.checkNotNull(function2);
        Preconditions.checkNotNull(binaryOperator);
        return Collectors.collectingAndThen(Collectors.toMap(function, function2, binaryOperator, new q7(comparator)), new r7());
    }

    @m0.a
    public static <K, V> s7<K, V> T(Iterable<? extends Map.Entry<? extends K, ? extends V>> iterable) {
        return U(iterable, (kb) V5);
    }

    @m0.a
    public static <K, V> s7<K, V> U(Iterable<? extends Map.Entry<? extends K, ? extends V>> iterable, Comparator<? super K> comparator) {
        return e0((Comparator) Preconditions.checkNotNull(comparator), false, iterable);
    }

    public static <K, V> s7<K, V> V(Map<? extends K, ? extends V> map) {
        return Z(map, (kb) V5);
    }

    public static <K, V> s7<K, V> X(Map<? extends K, ? extends V> map, Comparator<? super K> comparator) {
        return Z(map, (Comparator) Preconditions.checkNotNull(comparator));
    }

    private static <K, V> s7<K, V> Z(Map<? extends K, ? extends V> map, Comparator<? super K> comparator) {
        boolean z7;
        boolean z8 = false;
        if (map instanceof SortedMap) {
            Comparator<? super K> comparator2 = ((SortedMap) map).comparator();
            if (comparator2 != null) {
                z7 = comparator.equals(comparator2);
            } else if (comparator == V5) {
                z7 = true;
            }
            z8 = z7;
        }
        if (z8 && (map instanceof s7)) {
            s7<K, V> s7Var = (s7) map;
            if (!s7Var.q()) {
                return s7Var;
            }
        }
        return e0(comparator, z8, map.entrySet());
    }

    public static <K, V> s7<K, V> a0(SortedMap<K, ? extends V> sortedMap) {
        Comparator<? super K> comparator = sortedMap.comparator();
        if (comparator == null) {
            comparator = V5;
        }
        if (sortedMap instanceof s7) {
            s7<K, V> s7Var = (s7) sortedMap;
            if (!s7Var.q()) {
                return s7Var;
            }
        }
        return e0(comparator, true, sortedMap.entrySet());
    }

    static <K, V> s7<K, V> d0(Comparator<? super K> comparator) {
        return kb.B().equals(comparator) ? q0() : new s7<>(c8.i1(comparator), t5.R());
    }

    private static <K, V> s7<K, V> e0(Comparator<? super K> comparator, boolean z7, Iterable<? extends Map.Entry<? extends K, ? extends V>> iterable) {
        Map.Entry[] entryArr = (Map.Entry[]) t8.P(iterable, h6.f10022y);
        return f0(comparator, z7, entryArr, entryArr.length);
    }

    /* access modifiers changed from: private */
    public static <K, V> s7<K, V> f0(Comparator<? super K> comparator, boolean z7, Map.Entry<K, V>[] entryArr, int i7) {
        if (i7 == 0) {
            return d0(comparator);
        }
        if (i7 == 1) {
            return y0(comparator, entryArr[0].getKey(), entryArr[0].getValue());
        }
        Object[] objArr = new Object[i7];
        Object[] objArr2 = new Object[i7];
        if (z7) {
            for (int i8 = 0; i8 < i7; i8++) {
                K key = entryArr[i8].getKey();
                V value = entryArr[i8].getValue();
                t1.a(key, value);
                objArr[i8] = key;
                objArr2[i8] = value;
            }
        } else {
            Arrays.sort(entryArr, 0, i7, new a(comparator));
            K key2 = entryArr[0].getKey();
            objArr[0] = key2;
            V value2 = entryArr[0].getValue();
            objArr2[0] = value2;
            t1.a(objArr[0], value2);
            int i9 = 1;
            while (i9 < i7) {
                K key3 = entryArr[i9].getKey();
                V value3 = entryArr[i9].getValue();
                t1.a(key3, value3);
                objArr[i9] = key3;
                objArr2[i9] = value3;
                h6.d(comparator.compare(key2, key3) != 0, "key", entryArr[i9 - 1], entryArr[i9]);
                i9++;
                key2 = key3;
            }
        }
        return new s7<>(new bc(new wb(objArr), comparator), new wb(objArr2));
    }

    private s7<K, V> g0(int i7, int i8) {
        return (i7 == 0 && i8 == size()) ? this : i7 == i8 ? d0(comparator()) : new s7<>(this.C1.N1(i7, i8), this.C2.subList(i7, i8));
    }

    /* access modifiers changed from: private */
    public static /* synthetic */ TreeMap m0(Comparator comparator) {
        return new TreeMap(comparator);
    }

    public static <K extends Comparable<?>, V> c<K, V> n0() {
        return new c<>(kb.B());
    }

    public static <K, V> s7<K, V> q0() {
        return (s7<K, V>) W5;
    }

    public static <K extends Comparable<? super K>, V> s7<K, V> r0(K k7, V v7) {
        return y0(kb.B(), k7, v7);
    }

    public static <K extends Comparable<? super K>, V> s7<K, V> t0(K k7, V v7, K k8, V v8) {
        return z0(h6.m(k7, v7), h6.m(k8, v8));
    }

    public static <K extends Comparable<? super K>, V> s7<K, V> v0(K k7, V v7, K k8, V v8, K k9, V v9) {
        return z0(h6.m(k7, v7), h6.m(k8, v8), h6.m(k9, v9));
    }

    public static <K extends Comparable<? super K>, V> s7<K, V> w0(K k7, V v7, K k8, V v8, K k9, V v9, K k10, V v10) {
        return z0(h6.m(k7, v7), h6.m(k8, v8), h6.m(k9, v9), h6.m(k10, v10));
    }

    public static <K extends Comparable<? super K>, V> s7<K, V> x0(K k7, V v7, K k8, V v8, K k9, V v9, K k10, V v10, K k11, V v11) {
        return z0(h6.m(k7, v7), h6.m(k8, v8), h6.m(k9, v9), h6.m(k10, v10), h6.m(k11, v11));
    }

    /* access modifiers changed from: private */
    public static <K, V> s7<K, V> y0(Comparator<? super K> comparator, K k7, V v7) {
        return new s7<>(new bc(t5.T(k7), (Comparator) Preconditions.checkNotNull(comparator)), t5.T(v7));
    }

    private static <K extends Comparable<? super K>, V> s7<K, V> z0(Map.Entry<K, V>... entryArr) {
        return f0(kb.B(), false, entryArr, entryArr.length);
    }

    /* renamed from: D0 */
    public s7<K, V> subMap(K k7, K k8) {
        return subMap(k7, true, k8, false);
    }

    @Override // com.google.common.collect.h6
    /* renamed from: E */
    public n5<V> values() {
        return this.C2;
    }

    /* renamed from: E0 */
    public s7<K, V> subMap(K k7, boolean z7, K k8, boolean z8) {
        Preconditions.checkNotNull(k7);
        Preconditions.checkNotNull(k8);
        Preconditions.checkArgument(comparator().compare(k7, k8) <= 0, "expected fromKey <= toKey but %s > %s", k7, k8);
        return headMap(k8, z8).tailMap(k7, z7);
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.h6
    public Object F() {
        return new d(this);
    }

    /* renamed from: F0 */
    public s7<K, V> tailMap(K k7) {
        return tailMap(k7, true);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: com.google.common.collect.bc<K> */
    /* JADX WARN: Multi-variable type inference failed */
    /* renamed from: G0 */
    public s7<K, V> tailMap(K k7, boolean z7) {
        return g0(this.C1.P1(Preconditions.checkNotNull(k7), z7), size());
    }

    /* renamed from: b0 */
    public c8<K> descendingKeySet() {
        return this.C1.descendingSet();
    }

    /* renamed from: c0 */
    public s7<K, V> descendingMap() {
        s7<K, V> s7Var = this.U5;
        return s7Var == null ? isEmpty() ? d0(kb.i(comparator()).G()) : new s7<>((bc) this.C1.descendingSet(), this.C2.o0(), this) : s7Var;
    }

    @Override // java.util.NavigableMap
    public Map.Entry<K, V> ceilingEntry(K k7) {
        return tailMap(k7, true).firstEntry();
    }

    @Override // java.util.NavigableMap
    public K ceilingKey(K k7) {
        return (K) v9.Y(ceilingEntry(k7));
    }

    @Override // java.util.SortedMap
    public Comparator<? super K> comparator() {
        return s().comparator();
    }

    @Override // java.util.NavigableMap
    public Map.Entry<K, V> firstEntry() {
        if (isEmpty()) {
            return null;
        }
        return entrySet().b().get(0);
    }

    @Override // java.util.SortedMap
    public K firstKey() {
        return s().first();
    }

    @Override // java.util.NavigableMap
    public Map.Entry<K, V> floorEntry(K k7) {
        return headMap(k7, true).lastEntry();
    }

    @Override // java.util.NavigableMap
    public K floorKey(K k7) {
        return (K) v9.Y(floorEntry(k7));
    }

    @Override // java.util.Map
    public void forEach(BiConsumer<? super K, ? super V> biConsumer) {
        Preconditions.checkNotNull(biConsumer);
        t5<K> b7 = this.C1.b();
        for (int i7 = 0; i7 < size(); i7++) {
            biConsumer.accept(b7.get(i7), this.C2.get(i7));
        }
    }

    @Override // com.google.common.collect.h6, java.util.Map
    public V get(Object obj) {
        int indexOf = this.C1.indexOf(obj);
        if (indexOf == -1) {
            return null;
        }
        return this.C2.get(indexOf);
    }

    /* renamed from: h0 */
    public s7<K, V> headMap(K k7) {
        return headMap(k7, false);
    }

    @Override // java.util.NavigableMap
    public Map.Entry<K, V> higherEntry(K k7) {
        return tailMap(k7, false).firstEntry();
    }

    @Override // java.util.NavigableMap
    public K higherKey(K k7) {
        return (K) v9.Y(higherEntry(k7));
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.h6
    public e7<Map.Entry<K, V>> i() {
        return isEmpty() ? e7.Y() : new b();
    }

    /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: com.google.common.collect.bc<K> */
    /* JADX WARN: Multi-variable type inference failed */
    /* renamed from: i0 */
    public s7<K, V> headMap(K k7, boolean z7) {
        return g0(0, this.C1.O1(Preconditions.checkNotNull(k7), z7));
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.h6
    public e7<K> j() {
        throw new AssertionError("should never be called");
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.h6
    public n5<V> k() {
        throw new AssertionError("should never be called");
    }

    /* renamed from: l0 */
    public c8<K> s() {
        return this.C1;
    }

    @Override // java.util.NavigableMap
    public Map.Entry<K, V> lastEntry() {
        if (isEmpty()) {
            return null;
        }
        return entrySet().b().get(size() - 1);
    }

    @Override // java.util.SortedMap
    public K lastKey() {
        return s().last();
    }

    @Override // java.util.NavigableMap
    public Map.Entry<K, V> lowerEntry(K k7) {
        return headMap(k7, false).lastEntry();
    }

    @Override // java.util.NavigableMap
    public K lowerKey(K k7) {
        return (K) v9.Y(lowerEntry(k7));
    }

    @Override // com.google.common.collect.h6
    /* renamed from: n */
    public e7<Map.Entry<K, V>> entrySet() {
        return super.entrySet();
    }

    /* renamed from: p0 */
    public c8<K> navigableKeySet() {
        return this.C1;
    }

    @Override // java.util.NavigableMap
    @p0.a
    @Deprecated
    public final Map.Entry<K, V> pollFirstEntry() {
        throw new UnsupportedOperationException();
    }

    @Override // java.util.NavigableMap
    @p0.a
    @Deprecated
    public final Map.Entry<K, V> pollLastEntry() {
        throw new UnsupportedOperationException();
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.h6
    public boolean q() {
        return this.C1.m() || this.C2.m();
    }

    public int size() {
        return this.C2.size();
    }

    s7(bc<K> bcVar, t5<V> t5Var, s7<K, V> s7Var) {
        this.C1 = bcVar;
        this.C2 = t5Var;
        this.U5 = s7Var;
    }
}
