package com.google.common.collect;

import com.google.common.base.Preconditions;
import com.google.common.base.Predicate;
import java.util.Collection;
import java.util.Collections;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Set;

/* access modifiers changed from: package-private */
@m0.b
public class t3<K, V> extends o<K, V> implements v3<K, V> {
    final na<K, V> C1;
    final Predicate<? super K> C2;

    static class a<K, V> extends i4<V> {

        /* renamed from: f  reason: collision with root package name */
        final K f10612f;

        a(K k7) {
            this.f10612f = k7;
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.collect.i4
        /* renamed from: Q1 */
        public List<V> E1() {
            return Collections.emptyList();
        }

        @Override // java.util.List, com.google.common.collect.i4
        public void add(int i7, V v7) {
            Preconditions.checkPositionIndex(i7, 0);
            throw new IllegalArgumentException("Key does not satisfy predicate: " + ((Object) this.f10612f));
        }

        @Override // java.util.List, com.google.common.collect.i4
        @p0.a
        public boolean addAll(int i7, Collection<? extends V> collection) {
            Preconditions.checkNotNull(collection);
            Preconditions.checkPositionIndex(i7, 0);
            throw new IllegalArgumentException("Key does not satisfy predicate: " + ((Object) this.f10612f));
        }

        @Override // java.util.List, java.util.Collection, com.google.common.collect.a4
        public boolean add(V v7) {
            add(0, v7);
            return true;
        }

        @Override // java.util.List, java.util.Collection, com.google.common.collect.a4
        public boolean addAll(Collection<? extends V> collection) {
            addAll(0, collection);
            return true;
        }
    }

    static class b<K, V> extends t4<V> {

        /* renamed from: f  reason: collision with root package name */
        final K f10613f;

        b(K k7) {
            this.f10613f = k7;
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.collect.t4
        /* renamed from: Q1 */
        public Set<V> E1() {
            return Collections.emptySet();
        }

        @Override // java.util.Collection, java.util.Set, com.google.common.collect.a4
        public boolean add(V v7) {
            throw new IllegalArgumentException("Key does not satisfy predicate: " + ((Object) this.f10613f));
        }

        @Override // java.util.Collection, java.util.Set, com.google.common.collect.a4
        public boolean addAll(Collection<? extends V> collection) {
            Preconditions.checkNotNull(collection);
            throw new IllegalArgumentException("Key does not satisfy predicate: " + ((Object) this.f10613f));
        }
    }

    class c extends a4<Map.Entry<K, V>> {
        c() {
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.collect.a4
        /* renamed from: E1 */
        public Collection<Map.Entry<K, V>> D1() {
            return f2.d(t3.this.C1.h(), t3.this.r0());
        }

        @Override // com.google.common.collect.a4
        public boolean remove(Object obj) {
            if (!(obj instanceof Map.Entry)) {
                return false;
            }
            Map.Entry entry = (Map.Entry) obj;
            if (!t3.this.C1.containsKey(entry.getKey()) || !t3.this.C2.apply((Object) entry.getKey())) {
                return false;
            }
            return t3.this.C1.remove(entry.getKey(), entry.getValue());
        }
    }

    t3(na<K, V> naVar, Predicate<? super K> predicate) {
        this.C1 = (na) Preconditions.checkNotNull(naVar);
        this.C2 = (Predicate) Preconditions.checkNotNull(predicate);
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.o
    public Map<K, Collection<V>> a() {
        return v9.L(this.C1.e(), this.C2);
    }

    @Override // com.google.common.collect.na
    public Collection<V> b(Object obj) {
        return containsKey(obj) ? this.C1.b(obj) : q();
    }

    @Override // com.google.common.collect.na
    public void clear() {
        keySet().clear();
    }

    @Override // com.google.common.collect.na
    public boolean containsKey(Object obj) {
        if (this.C1.containsKey(obj)) {
            return this.C2.apply(obj);
        }
        return false;
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.o
    public Collection<Map.Entry<K, V>> d() {
        return new c();
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.o
    public Set<K> f() {
        return jc.i(this.C1.keySet(), this.C2);
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.o
    public ya<K> g() {
        return db.l(this.C1.N0(), this.C2);
    }

    @Override // com.google.common.collect.na
    public Collection<V> get(K k7) {
        boolean apply = this.C2.apply(k7);
        na<K, V> naVar = this.C1;
        return apply ? naVar.get(k7) : naVar instanceof hc ? new b(k7) : new a(k7);
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.o
    public Collection<V> i() {
        return new w3(this);
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.o
    public Iterator<Map.Entry<K, V>> j() {
        throw new AssertionError("should never be called");
    }

    @Override // com.google.common.collect.v3
    public na<K, V> k() {
        return this.C1;
    }

    /* access modifiers changed from: package-private */
    public Collection<V> q() {
        return this.C1 instanceof hc ? e7.Y() : t5.R();
    }

    @Override // com.google.common.collect.v3
    public Predicate<? super Map.Entry<K, V>> r0() {
        return v9.Z(this.C2);
    }

    @Override // com.google.common.collect.na
    public int size() {
        int i7 = 0;
        for (Collection<V> collection : e().values()) {
            i7 += collection.size();
        }
        return i7;
    }
}
