package com.google.common.collect;

import com.google.common.base.Preconditions;
import com.google.common.collect.n5;
import java.io.InvalidObjectException;
import java.io.ObjectInputStream;
import java.io.Serializable;
import java.util.Arrays;
import java.util.Collection;
import java.util.Comparator;
import java.util.Iterator;
import java.util.List;
import java.util.ListIterator;
import java.util.RandomAccess;
import java.util.Spliterator;
import java.util.function.Consumer;
import java.util.function.UnaryOperator;
import java.util.stream.Collector;

@m0.b(emulated = true, serializable = true)
public abstract class t5<E> extends n5<E> implements List<E>, RandomAccess {

    /* access modifiers changed from: package-private */
    public class a extends b<E> {
        a(int i7, int i8) {
            super(i7, i8);
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.collect.b
        public E a(int i7) {
            return (E) t5.this.get(i7);
        }
    }

    public static final class b<E> extends n5.a<E> {
        @m0.d

        /* renamed from: b  reason: collision with root package name */
        Object[] f10616b;

        /* renamed from: c  reason: collision with root package name */
        private int f10617c;

        /* renamed from: d  reason: collision with root package name */
        private boolean f10618d;

        public b() {
            this(4);
        }

        private void i(Object[] objArr, int i7) {
            n(this.f10617c + i7);
            System.arraycopy(objArr, 0, this.f10616b, this.f10617c, i7);
            this.f10617c += i7;
        }

        private void n(int i7) {
            Object[] objArr = this.f10616b;
            if (objArr.length < i7) {
                this.f10616b = Arrays.copyOf(objArr, n5.a.f(objArr.length, i7));
            } else if (this.f10618d) {
                this.f10616b = Arrays.copyOf(objArr, objArr.length);
            } else {
                return;
            }
            this.f10618d = false;
        }

        @p0.a
        /* renamed from: g */
        public b<E> a(E e7) {
            Preconditions.checkNotNull(e7);
            n(this.f10617c + 1);
            Object[] objArr = this.f10616b;
            int i7 = this.f10617c;
            this.f10617c = i7 + 1;
            objArr[i7] = e7;
            return this;
        }

        @p0.a
        /* renamed from: h */
        public b<E> b(E... eArr) {
            jb.b(eArr);
            i(eArr, eArr.length);
            return this;
        }

        @p0.a
        /* renamed from: j */
        public b<E> c(Iterable<? extends E> iterable) {
            Preconditions.checkNotNull(iterable);
            if (iterable instanceof Collection) {
                Collection collection = (Collection) iterable;
                n(this.f10617c + collection.size());
                if (collection instanceof n5) {
                    this.f10617c = ((n5) collection).c(this.f10616b, this.f10617c);
                    return this;
                }
            }
            super.c(iterable);
            return this;
        }

        @p0.a
        /* renamed from: k */
        public b<E> d(Iterator<? extends E> it) {
            super.d(it);
            return this;
        }

        /* renamed from: l */
        public t5<E> e() {
            this.f10618d = true;
            return t5.s(this.f10616b, this.f10617c);
        }

        /* access modifiers changed from: package-private */
        @p0.a
        public b<E> m(b<E> bVar) {
            Preconditions.checkNotNull(bVar);
            i(bVar.f10616b, bVar.f10617c);
            return this;
        }

        b(int i7) {
            this.f10616b = new Object[i7];
            this.f10617c = 0;
        }
    }

    /* access modifiers changed from: private */
    public static class c<E> extends t5<E> {

        /* renamed from: p  reason: collision with root package name */
        private final transient t5<E> f10619p;

        c(t5<E> t5Var) {
            this.f10619p = t5Var;
        }

        private int B0(int i7) {
            return (size() - 1) - i7;
        }

        private int D0(int i7) {
            return size() - i7;
        }

        @Override // com.google.common.collect.n5, com.google.common.collect.t5
        public boolean contains(Object obj) {
            return this.f10619p.contains(obj);
        }

        @Override // java.util.List
        public E get(int i7) {
            Preconditions.checkElementIndex(i7, size());
            return this.f10619p.get(B0(i7));
        }

        @Override // com.google.common.collect.t5
        public int indexOf(Object obj) {
            int lastIndexOf = this.f10619p.lastIndexOf(obj);
            if (lastIndexOf >= 0) {
                return B0(lastIndexOf);
            }
            return -1;
        }

        @Override // java.util.AbstractCollection, java.util.List, java.util.Collection, com.google.common.collect.n5, com.google.common.collect.t5, java.lang.Iterable
        public /* bridge */ /* synthetic */ Iterator iterator() {
            return t5.super.iterator();
        }

        @Override // com.google.common.collect.t5
        public int lastIndexOf(Object obj) {
            int indexOf = this.f10619p.indexOf(obj);
            if (indexOf >= 0) {
                return B0(indexOf);
            }
            return -1;
        }

        @Override // java.util.List, com.google.common.collect.t5
        public /* bridge */ /* synthetic */ ListIterator listIterator() {
            return t5.super.listIterator();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.n5
        public boolean m() {
            return this.f10619p.m();
        }

        @Override // com.google.common.collect.t5
        public t5<E> o0() {
            return this.f10619p;
        }

        public int size() {
            return this.f10619p.size();
        }

        @Override // com.google.common.collect.t5
        /* renamed from: t0 */
        public t5<E> subList(int i7, int i8) {
            Preconditions.checkPositionIndexes(i7, i8, size());
            return this.f10619p.subList(D0(i8), D0(i7)).o0();
        }

        @Override // java.util.List, com.google.common.collect.t5
        public /* bridge */ /* synthetic */ ListIterator listIterator(int i7) {
            return t5.super.listIterator(i7);
        }
    }

    static class d implements Serializable {

        /* renamed from: g  reason: collision with root package name */
        private static final long f10620g = 0;

        /* renamed from: f  reason: collision with root package name */
        final Object[] f10621f;

        d(Object[] objArr) {
            this.f10621f = objArr;
        }

        /* access modifiers changed from: package-private */
        public Object a() {
            return t5.L(this.f10621f);
        }
    }

    /* access modifiers changed from: package-private */
    public class e extends t5<E> {

        /* renamed from: p  reason: collision with root package name */
        final transient int f10622p;

        /* renamed from: x  reason: collision with root package name */
        final transient int f10623x;

        e(int i7, int i8) {
            this.f10622p = i7;
            this.f10623x = i8;
        }

        @Override // java.util.List
        public E get(int i7) {
            Preconditions.checkElementIndex(i7, this.f10623x);
            return (E) t5.this.get(i7 + this.f10622p);
        }

        @Override // java.util.AbstractCollection, java.util.List, java.util.Collection, com.google.common.collect.n5, com.google.common.collect.t5, java.lang.Iterable
        public /* bridge */ /* synthetic */ Iterator iterator() {
            return t5.super.iterator();
        }

        @Override // java.util.List, com.google.common.collect.t5
        public /* bridge */ /* synthetic */ ListIterator listIterator() {
            return t5.super.listIterator();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.n5
        public boolean m() {
            return true;
        }

        public int size() {
            return this.f10623x;
        }

        @Override // com.google.common.collect.t5
        /* renamed from: t0 */
        public t5<E> subList(int i7, int i8) {
            Preconditions.checkPositionIndexes(i7, i8, this.f10623x);
            t5 t5Var = t5.this;
            int i9 = this.f10622p;
            return t5Var.subList(i7 + i9, i8 + i9);
        }

        @Override // java.util.List, com.google.common.collect.t5
        public /* bridge */ /* synthetic */ ListIterator listIterator(int i7) {
            return t5.super.listIterator(i7);
        }
    }

    t5() {
    }

    public static <E> Collector<E, ?, t5<E>> A0() {
        return s1.n();
    }

    public static <E> t5<E> D(Collection<? extends E> collection) {
        if (!(collection instanceof n5)) {
            return w(collection.toArray());
        }
        t5<E> b7 = ((n5) collection).b();
        return b7.m() ? q(b7.toArray()) : b7;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r1v1, resolved type: com.google.common.collect.t5$b */
    /* JADX WARN: Multi-variable type inference failed */
    public static <E> t5<E> J(Iterator<? extends E> it) {
        if (!it.hasNext()) {
            return R();
        }
        Object next = it.next();
        return !it.hasNext() ? T(next) : new b().a(next).d(it).e();
    }

    public static <E> t5<E> L(E[] eArr) {
        int length = eArr.length;
        return length != 0 ? length != 1 ? w((Object[]) eArr.clone()) : T(eArr[0]) : R();
    }

    public static <E> t5<E> R() {
        return (t5<E>) wb.f10870x;
    }

    public static <E> t5<E> T(E e7) {
        return new sc(e7);
    }

    public static <E> t5<E> U(E e7, E e8) {
        return w(e7, e8);
    }

    public static <E> t5<E> X(E e7, E e8, E e9) {
        return w(e7, e8, e9);
    }

    public static <E> t5<E> Y(E e7, E e8, E e9, E e10) {
        return w(e7, e8, e9, e10);
    }

    public static <E> t5<E> Z(E e7, E e8, E e9, E e10, E e11) {
        return w(e7, e8, e9, e10, e11);
    }

    public static <E> t5<E> a0(E e7, E e8, E e9, E e10, E e11, E e12) {
        return w(e7, e8, e9, e10, e11, e12);
    }

    public static <E> t5<E> b0(E e7, E e8, E e9, E e10, E e11, E e12, E e13) {
        return w(e7, e8, e9, e10, e11, e12, e13);
    }

    public static <E> t5<E> d0(E e7, E e8, E e9, E e10, E e11, E e12, E e13, E e14) {
        return w(e7, e8, e9, e10, e11, e12, e13, e14);
    }

    public static <E> t5<E> e0(E e7, E e8, E e9, E e10, E e11, E e12, E e13, E e14, E e15) {
        return w(e7, e8, e9, e10, e11, e12, e13, e14, e15);
    }

    public static <E> t5<E> f0(E e7, E e8, E e9, E e10, E e11, E e12, E e13, E e14, E e15, E e16) {
        return w(e7, e8, e9, e10, e11, e12, e13, e14, e15, e16);
    }

    public static <E> t5<E> g0(E e7, E e8, E e9, E e10, E e11, E e12, E e13, E e14, E e15, E e16, E e17) {
        return w(e7, e8, e9, e10, e11, e12, e13, e14, e15, e16, e17);
    }

    @SafeVarargs
    public static <E> t5<E> k0(E e7, E e8, E e9, E e10, E e11, E e12, E e13, E e14, E e15, E e16, E e17, E e18, E... eArr) {
        Preconditions.checkArgument(eArr.length <= 2147483635, "the total number of elements must fit in an int");
        Object[] objArr = new Object[(eArr.length + 12)];
        objArr[0] = e7;
        objArr[1] = e8;
        objArr[2] = e9;
        objArr[3] = e10;
        objArr[4] = e11;
        objArr[5] = e12;
        objArr[6] = e13;
        objArr[7] = e14;
        objArr[8] = e15;
        objArr[9] = e16;
        objArr[10] = e17;
        objArr[11] = e18;
        System.arraycopy(eArr, 0, objArr, 12, eArr.length);
        return w(objArr);
    }

    private void l0(ObjectInputStream objectInputStream) throws InvalidObjectException {
        throw new InvalidObjectException("Use SerializedForm");
    }

    static <E> t5<E> q(Object[] objArr) {
        return s(objArr, objArr.length);
    }

    public static <E extends Comparable<? super E>> t5<E> q0(Iterable<? extends E> iterable) {
        Comparable[] comparableArr = (Comparable[]) t8.P(iterable, new Comparable[0]);
        jb.b(comparableArr);
        Arrays.sort(comparableArr);
        return q(comparableArr);
    }

    public static <E> t5<E> r0(Comparator<? super E> comparator, Iterable<? extends E> iterable) {
        Preconditions.checkNotNull(comparator);
        Object[] N = t8.N(iterable);
        jb.b(N);
        Arrays.sort(N, comparator);
        return q(N);
    }

    static <E> t5<E> s(Object[] objArr, int i7) {
        if (i7 == 0) {
            return R();
        }
        if (i7 == 1) {
            return T(objArr[0]);
        }
        if (i7 < objArr.length) {
            objArr = Arrays.copyOf(objArr, i7);
        }
        return new wb(objArr);
    }

    public static <E> b<E> t() {
        return new b<>();
    }

    @m0.a
    public static <E> b<E> u(int i7) {
        t1.b(i7, "expectedSize");
        return new b<>(i7);
    }

    private static <E> t5<E> w(Object... objArr) {
        return q(jb.b(objArr));
    }

    public static <E> t5<E> x(Iterable<? extends E> iterable) {
        Preconditions.checkNotNull(iterable);
        return iterable instanceof Collection ? D((Collection) iterable) : J(iterable.iterator());
    }

    /* renamed from: P */
    public me<E> listIterator() {
        return listIterator(0);
    }

    /* renamed from: Q */
    public me<E> listIterator(int i7) {
        return new a(size(), i7);
    }

    @Override // java.util.List
    @Deprecated
    public final void add(int i7, E e7) {
        throw new UnsupportedOperationException();
    }

    @Override // java.util.List
    @p0.a
    @Deprecated
    public final boolean addAll(int i7, Collection<? extends E> collection) {
        throw new UnsupportedOperationException();
    }

    @Override // com.google.common.collect.n5
    public final t5<E> b() {
        return this;
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.n5
    public int c(Object[] objArr, int i7) {
        int size = size();
        for (int i8 = 0; i8 < size; i8++) {
            objArr[i7 + i8] = get(i8);
        }
        return i7 + size;
    }

    @Override // com.google.common.collect.n5
    public boolean contains(Object obj) {
        return indexOf(obj) >= 0;
    }

    public boolean equals(Object obj) {
        return i9.j(this, obj);
    }

    @Override // java.lang.Iterable
    public void forEach(Consumer<? super E> consumer) {
        Preconditions.checkNotNull(consumer);
        int size = size();
        for (int i7 = 0; i7 < size; i7++) {
            consumer.accept(get(i7));
        }
    }

    public int hashCode() {
        int size = size();
        int i7 = 1;
        for (int i8 = 0; i8 < size; i8++) {
            i7 = ~(~((i7 * 31) + get(i8).hashCode()));
        }
        return i7;
    }

    public int indexOf(Object obj) {
        if (obj == null) {
            return -1;
        }
        return i9.l(this, obj);
    }

    public int lastIndexOf(Object obj) {
        if (obj == null) {
            return -1;
        }
        return i9.n(this, obj);
    }

    @Override // com.google.common.collect.n5
    /* renamed from: n */
    public le<E> iterator() {
        return listIterator();
    }

    public t5<E> o0() {
        return size() <= 1 ? this : new c(this);
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.n5
    public Object p() {
        return new d(toArray());
    }

    @Override // java.util.List
    @p0.a
    @Deprecated
    public final E remove(int i7) {
        throw new UnsupportedOperationException();
    }

    @Override // java.util.List
    @Deprecated
    public final void replaceAll(UnaryOperator<E> unaryOperator) {
        throw new UnsupportedOperationException();
    }

    @Override // java.util.List
    @p0.a
    @Deprecated
    public final E set(int i7, E e7) {
        throw new UnsupportedOperationException();
    }

    @Override // java.util.List
    @Deprecated
    public final void sort(Comparator<? super E> comparator) {
        throw new UnsupportedOperationException();
    }

    @Override // java.util.List, java.util.Collection, com.google.common.collect.n5, java.lang.Iterable
    public Spliterator<E> spliterator() {
        return w1.c(size(), 1296, new s5(this));
    }

    /* renamed from: t0 */
    public t5<E> subList(int i7, int i8) {
        Preconditions.checkPositionIndexes(i7, i8, size());
        int i9 = i8 - i7;
        return i9 == size() ? this : i9 == 0 ? R() : i9 == 1 ? T(get(i7)) : z0(i7, i8);
    }

    /* access modifiers changed from: package-private */
    public t5<E> z0(int i7, int i8) {
        return new e(i7, i8 - i7);
    }
}
