package com.google.common.collect;

import com.google.common.base.Preconditions;
import com.google.common.collect.gc;
import com.google.common.collect.ya;
import e1.i;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collection;
import java.util.Comparator;
import java.util.Iterator;
import java.util.Map;
import java.util.Set;
import java.util.Spliterator;
import java.util.function.BiConsumer;

@m0.b(emulated = true)
public abstract class t6<K, V> extends g0<K, V> implements Serializable {
    private static final long U5 = 0;
    final transient h6<K, ? extends n5<V>> C1;
    final transient int C2;

    /* access modifiers changed from: package-private */
    public class a extends le<Map.Entry<K, V>> {

        /* renamed from: f  reason: collision with root package name */
        final Iterator<? extends Map.Entry<K, ? extends n5<V>>> f10625f;

        /* renamed from: g  reason: collision with root package name */
        K f10626g = null;

        /* renamed from: p  reason: collision with root package name */
        Iterator<V> f10627p = w8.u();

        a() {
            this.f10625f = t6.this.C1.entrySet().iterator();
        }

        /* renamed from: a */
        public Map.Entry<K, V> next() {
            if (!this.f10627p.hasNext()) {
                Map.Entry entry = (Map.Entry) this.f10625f.next();
                this.f10626g = (K) entry.getKey();
                this.f10627p = ((n5) entry.getValue()).iterator();
            }
            return v9.T(this.f10626g, this.f10627p.next());
        }

        public boolean hasNext() {
            return this.f10627p.hasNext() || this.f10625f.hasNext();
        }
    }

    /* access modifiers changed from: package-private */
    public class b extends le<V> {

        /* renamed from: f  reason: collision with root package name */
        Iterator<? extends n5<V>> f10629f;

        /* renamed from: g  reason: collision with root package name */
        Iterator<V> f10630g = w8.u();

        b() {
            this.f10629f = t6.this.C1.values().iterator();
        }

        public boolean hasNext() {
            return this.f10630g.hasNext() || this.f10629f.hasNext();
        }

        @Override // java.util.Iterator
        public V next() {
            if (!this.f10630g.hasNext()) {
                this.f10630g = ((n5) this.f10629f.next()).iterator();
            }
            return this.f10630g.next();
        }
    }

    public static class c<K, V> {

        /* renamed from: a  reason: collision with root package name */
        Map<K, Collection<V>> f10632a = mb.h();

        /* renamed from: b  reason: collision with root package name */
        Comparator<? super K> f10633b;

        /* renamed from: c  reason: collision with root package name */
        Comparator<? super V> f10634c;

        public t6<K, V> a() {
            Collection entrySet = this.f10632a.entrySet();
            Comparator<? super K> comparator = this.f10633b;
            if (comparator != null) {
                entrySet = kb.i(comparator).E().m(entrySet);
            }
            return d6.e0(entrySet, this.f10634c);
        }

        /* access modifiers changed from: package-private */
        @p0.a
        public c<K, V> b(c<K, V> cVar) {
            for (Map.Entry<K, Collection<V>> entry : cVar.f10632a.entrySet()) {
                j(entry.getKey(), entry.getValue());
            }
            return this;
        }

        /* access modifiers changed from: package-private */
        public Collection<V> c() {
            return new ArrayList();
        }

        @p0.a
        public c<K, V> d(Comparator<? super K> comparator) {
            this.f10633b = (Comparator) Preconditions.checkNotNull(comparator);
            return this;
        }

        @p0.a
        public c<K, V> e(Comparator<? super V> comparator) {
            this.f10634c = (Comparator) Preconditions.checkNotNull(comparator);
            return this;
        }

        @p0.a
        public c<K, V> f(K k7, V v7) {
            t1.a(k7, v7);
            Collection<V> collection = this.f10632a.get(k7);
            if (collection == null) {
                Map<K, Collection<V>> map = this.f10632a;
                Collection<V> c7 = c();
                map.put(k7, c7);
                collection = c7;
            }
            collection.add(v7);
            return this;
        }

        /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: com.google.common.collect.t6$c<K, V> */
        /* JADX WARN: Multi-variable type inference failed */
        @p0.a
        public c<K, V> g(Map.Entry<? extends K, ? extends V> entry) {
            return f(entry.getKey(), entry.getValue());
        }

        /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: com.google.common.collect.t6$c<K, V> */
        /* JADX WARN: Multi-variable type inference failed */
        @p0.a
        public c<K, V> h(na<? extends K, ? extends V> naVar) {
            for (Map.Entry<? extends K, Collection<? extends V>> entry : naVar.e().entrySet()) {
                j(entry.getKey(), entry.getValue());
            }
            return this;
        }

        @m0.a
        @p0.a
        public c<K, V> i(Iterable<? extends Map.Entry<? extends K, ? extends V>> iterable) {
            for (Map.Entry<? extends K, ? extends V> entry : iterable) {
                g(entry);
            }
            return this;
        }

        @p0.a
        public c<K, V> j(K k7, Iterable<? extends V> iterable) {
            if (k7 != null) {
                Collection<V> collection = this.f10632a.get(k7);
                Iterator<? extends V> it = iterable.iterator();
                if (collection != null) {
                    while (it.hasNext()) {
                        V v7 = (V) it.next();
                        t1.a(k7, v7);
                        collection.add(v7);
                    }
                    return this;
                } else if (!it.hasNext()) {
                    return this;
                } else {
                    Collection<V> c7 = c();
                    while (it.hasNext()) {
                        V v8 = (V) it.next();
                        t1.a(k7, v8);
                        c7.add(v8);
                    }
                    this.f10632a.put(k7, c7);
                    return this;
                }
            } else {
                throw new NullPointerException("null key in entry: null=" + t8.R(iterable));
            }
        }

        @p0.a
        public c<K, V> k(K k7, V... vArr) {
            return j(k7, Arrays.asList(vArr));
        }
    }

    /* access modifiers changed from: private */
    public static class d<K, V> extends n5<Map.Entry<K, V>> {

        /* renamed from: x  reason: collision with root package name */
        private static final long f10635x = 0;
        @i

        /* renamed from: p  reason: collision with root package name */
        final t6<K, V> f10636p;

        d(t6<K, V> t6Var) {
            this.f10636p = t6Var;
        }

        @Override // com.google.common.collect.n5
        public boolean contains(Object obj) {
            if (!(obj instanceof Map.Entry)) {
                return false;
            }
            Map.Entry entry = (Map.Entry) obj;
            return this.f10636p.q1(entry.getKey(), entry.getValue());
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.n5
        public boolean m() {
            return this.f10636p.F();
        }

        @Override // com.google.common.collect.n5
        /* renamed from: n */
        public le<Map.Entry<K, V>> iterator() {
            return this.f10636p.j();
        }

        public int size() {
            return this.f10636p.size();
        }
    }

    @m0.c
    static class e {

        /* renamed from: a  reason: collision with root package name */
        static final gc.b<t6> f10637a = gc.a(t6.class, "map");

        /* renamed from: b  reason: collision with root package name */
        static final gc.b<t6> f10638b = gc.a(t6.class, "size");

        e() {
        }
    }

    /* access modifiers changed from: package-private */
    public class f extends z6<K> {
        f() {
        }

        @Override // com.google.common.collect.ya
        public int O0(Object obj) {
            Collection collection = (Collection) t6.this.C1.get(obj);
            if (collection == null) {
                return 0;
            }
            return collection.size();
        }

        @Override // com.google.common.collect.z6
        /* renamed from: R */
        public e7<K> d() {
            return t6.this.keySet();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.z6
        public ya.a<K> U(int i7) {
            Map.Entry<K, ? extends n5<V>> entry = t6.this.C1.entrySet().b().get(i7);
            return db.m(entry.getKey(), ((Collection) entry.getValue()).size());
        }

        @Override // com.google.common.collect.z6, com.google.common.collect.ya, com.google.common.collect.n5
        public boolean contains(Object obj) {
            return t6.this.containsKey(obj);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.n5
        public boolean m() {
            return true;
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.z6, com.google.common.collect.n5
        @m0.c
        public Object p() {
            return new g(t6.this);
        }

        @Override // com.google.common.collect.ya
        public int size() {
            return t6.this.size();
        }
    }

    @m0.c
    private static final class g implements Serializable {

        /* renamed from: f  reason: collision with root package name */
        final t6<?, ?> f10640f;

        g(t6<?, ?> t6Var) {
            this.f10640f = t6Var;
        }

        /* access modifiers changed from: package-private */
        public Object a() {
            return this.f10640f.N0();
        }
    }

    /* access modifiers changed from: private */
    public static final class h<K, V> extends n5<V> {

        /* renamed from: x  reason: collision with root package name */
        private static final long f10641x = 0;
        @i

        /* renamed from: p  reason: collision with root package name */
        private final transient t6<K, V> f10642p;

        h(t6<K, V> t6Var) {
            this.f10642p = t6Var;
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.n5
        @m0.c
        public int c(Object[] objArr, int i7) {
            le<? extends n5<V>> n7 = this.f10642p.C1.values().iterator();
            while (n7.hasNext()) {
                i7 = ((n5) n7.next()).c(objArr, i7);
            }
            return i7;
        }

        @Override // com.google.common.collect.n5
        public boolean contains(Object obj) {
            return this.f10642p.containsValue(obj);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.n5
        public boolean m() {
            return true;
        }

        @Override // com.google.common.collect.n5
        /* renamed from: n */
        public le<V> iterator() {
            return this.f10642p.n();
        }

        public int size() {
            return this.f10642p.size();
        }
    }

    t6(h6<K, ? extends n5<V>> h6Var, int i7) {
        this.C1 = h6Var;
        this.C2 = i7;
    }

    /* access modifiers changed from: private */
    public static /* synthetic */ Spliterator I(Map.Entry entry) {
        return w1.e(((Collection) entry.getValue()).spliterator(), new r6(entry.getKey()));
    }

    /* access modifiers changed from: private */
    public static /* synthetic */ void J(BiConsumer biConsumer, Object obj, Collection collection) {
        collection.forEach(new s6(biConsumer, obj));
    }

    public static <K, V> t6<K, V> M() {
        return d6.n0();
    }

    public static <K, V> t6<K, V> N(K k7, V v7) {
        return d6.o0(k7, v7);
    }

    public static <K, V> t6<K, V> O(K k7, V v7, K k8, V v8) {
        return d6.p0(k7, v7, k8, v8);
    }

    public static <K, V> t6<K, V> P(K k7, V v7, K k8, V v8, K k9, V v9) {
        return d6.q0(k7, v7, k8, v8, k9, v9);
    }

    public static <K, V> t6<K, V> Q(K k7, V v7, K k8, V v8, K k9, V v9, K k10, V v10) {
        return d6.t0(k7, v7, k8, v8, k9, v9, k10, v10);
    }

    public static <K, V> t6<K, V> R(K k7, V v7, K k8, V v8, K k9, V v9, K k10, V v10, K k11, V v11) {
        return d6.v0(k7, v7, k8, v8, k9, v9, k10, v10, k11, v11);
    }

    public static <K, V> c<K, V> v() {
        return new c<>();
    }

    public static <K, V> t6<K, V> w(na<? extends K, ? extends V> naVar) {
        if (naVar instanceof t6) {
            t6<K, V> t6Var = (t6) naVar;
            if (!t6Var.F()) {
                return t6Var;
            }
        }
        return d6.b0(naVar);
    }

    @m0.a
    public static <K, V> t6<K, V> x(Iterable<? extends Map.Entry<? extends K, ? extends V>> iterable) {
        return d6.c0(iterable);
    }

    /* access modifiers changed from: package-private */
    /* renamed from: A */
    public n5<V> i() {
        return new h(this);
    }

    /* renamed from: B */
    public n5<Map.Entry<K, V>> h() {
        return (n5) super.h();
    }

    @Override // com.google.common.collect.o, com.google.common.collect.na
    @p0.a
    @Deprecated
    public boolean B0(na<? extends K, ? extends V> naVar) {
        throw new UnsupportedOperationException();
    }

    /* access modifiers changed from: package-private */
    /* renamed from: C */
    public le<Map.Entry<K, V>> j() {
        return new a();
    }

    /* renamed from: D */
    public abstract n5<V> get(K k7);

    public abstract t6<V, K> E();

    /* access modifiers changed from: package-private */
    public boolean F() {
        return this.C1.q();
    }

    /* renamed from: G */
    public e7<K> keySet() {
        return this.C1.keySet();
    }

    /* renamed from: H */
    public z6<K> N0() {
        return (z6) super.N0();
    }

    @p0.a
    @Deprecated
    /* renamed from: S */
    public n5<V> b(Object obj) {
        throw new UnsupportedOperationException();
    }

    @p0.a
    @Deprecated
    /* renamed from: T */
    public n5<V> c(K k7, Iterable<? extends V> iterable) {
        throw new UnsupportedOperationException();
    }

    /* access modifiers changed from: package-private */
    /* renamed from: U */
    public le<V> n() {
        return new b();
    }

    /* renamed from: V */
    public n5<V> values() {
        return (n5) super.values();
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.o
    public Map<K, Collection<V>> a() {
        throw new AssertionError("should never be called");
    }

    @Override // com.google.common.collect.na
    @Deprecated
    public void clear() {
        throw new UnsupportedOperationException();
    }

    @Override // com.google.common.collect.na
    public boolean containsKey(Object obj) {
        return this.C1.containsKey(obj);
    }

    @Override // com.google.common.collect.o, com.google.common.collect.na
    public boolean containsValue(Object obj) {
        return obj != null && super.containsValue(obj);
    }

    @Override // com.google.common.collect.o, com.google.common.collect.na
    public /* bridge */ /* synthetic */ boolean equals(Object obj) {
        return super.equals(obj);
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.o
    public Set<K> f() {
        throw new AssertionError("unreachable");
    }

    @Override // com.google.common.collect.na
    public void forEach(BiConsumer<? super K, ? super V> biConsumer) {
        Preconditions.checkNotNull(biConsumer);
        e().forEach(new p6(biConsumer));
    }

    @Override // com.google.common.collect.o, com.google.common.collect.na
    public /* bridge */ /* synthetic */ int hashCode() {
        return super.hashCode();
    }

    @Override // com.google.common.collect.o, com.google.common.collect.na
    public /* bridge */ /* synthetic */ boolean isEmpty() {
        return super.isEmpty();
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.o
    public Spliterator<Map.Entry<K, V>> m() {
        return w1.b(e().entrySet().spliterator(), new q6(), (this instanceof hc ? 1 : 0) | 64, (long) size());
    }

    @Override // com.google.common.collect.o, com.google.common.collect.na
    @p0.a
    @Deprecated
    public boolean put(K k7, V v7) {
        throw new UnsupportedOperationException();
    }

    @Override // com.google.common.collect.o, com.google.common.collect.na
    public /* bridge */ /* synthetic */ boolean q1(Object obj, Object obj2) {
        return super.q1(obj, obj2);
    }

    @Override // com.google.common.collect.o, com.google.common.collect.na
    @p0.a
    @Deprecated
    public boolean remove(Object obj, Object obj2) {
        throw new UnsupportedOperationException();
    }

    @Override // com.google.common.collect.na
    public int size() {
        return this.C2;
    }

    @Override // com.google.common.collect.o
    public /* bridge */ /* synthetic */ String toString() {
        return super.toString();
    }

    /* JADX DEBUG: Type inference failed for r0v1. Raw type applied. Possible types: com.google.common.collect.h6<K, ? extends com.google.common.collect.n5<V>>, com.google.common.collect.h6<K, java.util.Collection<V>> */
    /* renamed from: u */
    public h6<K, Collection<V>> e() {
        return (h6<K, ? extends n5<V>>) this.C1;
    }

    @Override // com.google.common.collect.o, com.google.common.collect.na
    @p0.a
    @Deprecated
    public boolean v1(K k7, Iterable<? extends V> iterable) {
        throw new UnsupportedOperationException();
    }

    /* access modifiers changed from: package-private */
    /* renamed from: y */
    public n5<Map.Entry<K, V>> d() {
        return new d(this);
    }

    /* access modifiers changed from: package-private */
    /* renamed from: z */
    public z6<K> g() {
        return new f();
    }
}
