package com.google.common.collect;

import com.google.common.base.Function;
import com.google.common.base.Optional;
import com.google.common.base.Preconditions;
import com.google.common.base.Predicate;
import com.google.common.base.Predicates;
import java.util.Collection;
import java.util.Comparator;
import java.util.Iterator;
import java.util.List;
import java.util.NoSuchElementException;
import java.util.Queue;
import java.util.Set;
import java.util.Spliterator;
import java.util.function.Consumer;
import java.util.stream.Stream;

@m0.b(emulated = true)
public final class t8 {

    /* access modifiers changed from: package-private */
    public static class a implements Function<Iterable<? extends T>, Iterator<? extends T>> {
        a() {
        }

        /* renamed from: a */
        public Iterator<? extends T> apply(Iterable<? extends T> iterable) {
            return iterable.iterator();
        }
    }

    /* access modifiers changed from: package-private */
    public static class b extends y3<T> {

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ Iterable f10644g;

        b(Iterable iterable) {
            this.f10644g = iterable;
        }

        /* access modifiers changed from: private */
        public static /* synthetic */ Iterable q0(Iterable iterable) {
            return iterable;
        }

        @Override // java.lang.Iterable
        public Iterator<T> iterator() {
            return w8.r(this.f10644g);
        }

        @Override // java.lang.Iterable
        public Spliterator<T> spliterator() {
            return Stream.generate(new r8(this.f10644g)).flatMap(new s8()).spliterator();
        }

        @Override // com.google.common.collect.y3
        public String toString() {
            return this.f10644g.toString() + " (cycled)";
        }
    }

    static class c extends y3<List<T>> {

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ Iterable f10645g;

        /* renamed from: p  reason: collision with root package name */
        final /* synthetic */ int f10646p;

        c(Iterable iterable, int i7) {
            this.f10645g = iterable;
            this.f10646p = i7;
        }

        @Override // java.lang.Iterable
        public Iterator<List<T>> iterator() {
            return w8.Q(this.f10645g.iterator(), this.f10646p);
        }
    }

    static class d extends y3<List<T>> {

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ Iterable f10647g;

        /* renamed from: p  reason: collision with root package name */
        final /* synthetic */ int f10648p;

        d(Iterable iterable, int i7) {
            this.f10647g = iterable;
            this.f10648p = i7;
        }

        @Override // java.lang.Iterable
        public Iterator<List<T>> iterator() {
            return w8.P(this.f10647g.iterator(), this.f10648p);
        }
    }

    /* access modifiers changed from: package-private */
    public static class e extends y3<T> {

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ Iterable f10649g;

        /* renamed from: p  reason: collision with root package name */
        final /* synthetic */ Predicate f10650p;

        e(Iterable iterable, Predicate predicate) {
            this.f10649g = iterable;
            this.f10650p = predicate;
        }

        /* access modifiers changed from: private */
        public static /* synthetic */ void q0(Predicate predicate, Consumer consumer, Object obj) {
            if (predicate.test(obj)) {
                consumer.accept(obj);
            }
        }

        @Override // java.lang.Iterable
        public void forEach(Consumer<? super T> consumer) {
            Preconditions.checkNotNull(consumer);
            this.f10649g.forEach(new u8(this.f10650p, consumer));
        }

        @Override // java.lang.Iterable
        public Iterator<T> iterator() {
            return w8.x(this.f10649g.iterator(), this.f10650p);
        }

        @Override // java.lang.Iterable
        public Spliterator<T> spliterator() {
            return w1.a(this.f10649g.spliterator(), this.f10650p);
        }
    }

    /* access modifiers changed from: package-private */
    public static class f extends y3<T> {

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ Iterable f10651g;

        /* renamed from: p  reason: collision with root package name */
        final /* synthetic */ Function f10652p;

        f(Iterable iterable, Function function) {
            this.f10651g = iterable;
            this.f10652p = function;
        }

        /* access modifiers changed from: private */
        public static /* synthetic */ void q0(Consumer consumer, Function function, Object obj) {
            consumer.accept(function.apply(obj));
        }

        @Override // java.lang.Iterable
        public void forEach(Consumer<? super T> consumer) {
            Preconditions.checkNotNull(consumer);
            this.f10651g.forEach(new v8(consumer, this.f10652p));
        }

        @Override // java.lang.Iterable
        public Iterator<T> iterator() {
            return w8.c0(this.f10651g.iterator(), this.f10652p);
        }

        @Override // java.lang.Iterable
        public Spliterator<T> spliterator() {
            return w1.e(this.f10651g.spliterator(), this.f10652p);
        }
    }

    static class g extends y3<T> {

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ Iterable f10653g;

        /* renamed from: p  reason: collision with root package name */
        final /* synthetic */ int f10654p;

        class a implements Iterator<T> {

            /* renamed from: f  reason: collision with root package name */
            boolean f10655f = true;

            /* renamed from: g  reason: collision with root package name */
            final /* synthetic */ Iterator f10656g;

            a(Iterator it) {
                this.f10656g = it;
            }

            public boolean hasNext() {
                return this.f10656g.hasNext();
            }

            @Override // java.util.Iterator
            public T next() {
                T t7 = (T) this.f10656g.next();
                this.f10655f = false;
                return t7;
            }

            public void remove() {
                t1.e(!this.f10655f);
                this.f10656g.remove();
            }
        }

        g(Iterable iterable, int i7) {
            this.f10653g = iterable;
            this.f10654p = i7;
        }

        @Override // java.lang.Iterable
        public Iterator<T> iterator() {
            Iterable iterable = this.f10653g;
            if (iterable instanceof List) {
                List list = (List) iterable;
                return list.subList(Math.min(list.size(), this.f10654p), list.size()).iterator();
            }
            Iterator it = iterable.iterator();
            w8.b(it, this.f10654p);
            return new a(it);
        }

        @Override // java.lang.Iterable
        public Spliterator<T> spliterator() {
            Iterable iterable = this.f10653g;
            if (!(iterable instanceof List)) {
                return vd.D(iterable).skip((long) this.f10654p).spliterator();
            }
            List list = (List) iterable;
            return list.subList(Math.min(list.size(), this.f10654p), list.size()).spliterator();
        }
    }

    static class h extends y3<T> {

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ Iterable f10658g;

        /* renamed from: p  reason: collision with root package name */
        final /* synthetic */ int f10659p;

        h(Iterable iterable, int i7) {
            this.f10658g = iterable;
            this.f10659p = i7;
        }

        @Override // java.lang.Iterable
        public Iterator<T> iterator() {
            return w8.N(this.f10658g.iterator(), this.f10659p);
        }

        @Override // java.lang.Iterable
        public Spliterator<T> spliterator() {
            return vd.D(this.f10658g).limit((long) this.f10659p).spliterator();
        }
    }

    static class i extends y3<T> {

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ Iterable f10660g;

        i(Iterable iterable) {
            this.f10660g = iterable;
        }

        @Override // java.lang.Iterable
        public Iterator<T> iterator() {
            Iterable iterable = this.f10660g;
            return iterable instanceof Queue ? new z2((Queue) iterable) : w8.p(iterable.iterator());
        }

        @Override // com.google.common.collect.y3
        public String toString() {
            return "Iterables.consumingIterable(...)";
        }
    }

    static class j extends y3<T> {

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ Iterable f10661g;

        /* renamed from: p  reason: collision with root package name */
        final /* synthetic */ Comparator f10662p;

        j(Iterable iterable, Comparator comparator) {
            this.f10661g = iterable;
            this.f10662p = comparator;
        }

        @Override // java.lang.Iterable
        public Iterator<T> iterator() {
            return w8.O(t8.S(this.f10661g, t8.Q()), this.f10662p);
        }
    }

    private static final class k<T> extends y3<T> {

        /* renamed from: g  reason: collision with root package name */
        private final Iterable<? extends T> f10663g;

        private k(Iterable<? extends T> iterable) {
            this.f10663g = iterable;
        }

        @Override // java.lang.Iterable
        public void forEach(Consumer<? super T> consumer) {
            this.f10663g.forEach(consumer);
        }

        @Override // java.lang.Iterable
        public Iterator<T> iterator() {
            return w8.f0(this.f10663g.iterator());
        }

        /* JADX DEBUG: Type inference failed for r0v2. Raw type applied. Possible types: java.util.Spliterator<? extends T>, java.util.Spliterator<T> */
        @Override // java.lang.Iterable
        public Spliterator<T> spliterator() {
            return (Spliterator<? extends T>) this.f10663g.spliterator();
        }

        @Override // com.google.common.collect.y3
        public String toString() {
            return this.f10663g.toString();
        }

        /* synthetic */ k(Iterable iterable, b bVar) {
            this(iterable);
        }
    }

    private t8() {
    }

    public static <T> T A(Iterable<? extends T> iterable, T t7) {
        return (T) w8.L(iterable.iterator(), t7);
    }

    public static <T> int B(Iterable<T> iterable, Predicate<? super T> predicate) {
        return w8.M(iterable.iterator(), predicate);
    }

    public static boolean C(Iterable<?> iterable) {
        return iterable instanceof Collection ? ((Collection) iterable).isEmpty() : !iterable.iterator().hasNext();
    }

    public static <T> Iterable<T> D(Iterable<T> iterable, int i7) {
        Preconditions.checkNotNull(iterable);
        Preconditions.checkArgument(i7 >= 0, "limit is negative");
        return new h(iterable, i7);
    }

    @m0.a
    public static <T> Iterable<T> E(Iterable<? extends Iterable<? extends T>> iterable, Comparator<? super T> comparator) {
        Preconditions.checkNotNull(iterable, "iterables");
        Preconditions.checkNotNull(comparator, "comparator");
        return new k(new j(iterable, comparator), null);
    }

    public static <T> Iterable<List<T>> F(Iterable<T> iterable, int i7) {
        Preconditions.checkNotNull(iterable);
        Preconditions.checkArgument(i7 > 0);
        return new d(iterable, i7);
    }

    public static <T> Iterable<List<T>> G(Iterable<T> iterable, int i7) {
        Preconditions.checkNotNull(iterable);
        Preconditions.checkArgument(i7 > 0);
        return new c(iterable, i7);
    }

    @p0.a
    public static boolean H(Iterable<?> iterable, Collection<?> collection) {
        return iterable instanceof Collection ? ((Collection) iterable).removeAll((Collection) Preconditions.checkNotNull(collection)) : w8.V(iterable.iterator(), collection);
    }

    static <T> T I(Iterable<T> iterable, Predicate<? super T> predicate) {
        Preconditions.checkNotNull(predicate);
        Iterator<T> it = iterable.iterator();
        while (it.hasNext()) {
            T next = it.next();
            if (predicate.apply(next)) {
                it.remove();
                return next;
            }
        }
        return null;
    }

    @p0.a
    public static <T> boolean J(Iterable<T> iterable, Predicate<? super T> predicate) {
        return iterable instanceof Collection ? ((Collection) iterable).removeIf(predicate) : w8.W(iterable.iterator(), predicate);
    }

    @p0.a
    public static boolean K(Iterable<?> iterable, Collection<?> collection) {
        return iterable instanceof Collection ? ((Collection) iterable).retainAll((Collection) Preconditions.checkNotNull(collection)) : w8.X(iterable.iterator(), collection);
    }

    public static int L(Iterable<?> iterable) {
        return iterable instanceof Collection ? ((Collection) iterable).size() : w8.Z(iterable.iterator());
    }

    public static <T> Iterable<T> M(Iterable<T> iterable, int i7) {
        Preconditions.checkNotNull(iterable);
        Preconditions.checkArgument(i7 >= 0, "number to skip cannot be negative");
        return new g(iterable, i7);
    }

    static Object[] N(Iterable<?> iterable) {
        return d(iterable).toArray();
    }

    @m0.c
    public static <T> T[] O(Iterable<? extends T> iterable, Class<T> cls) {
        return (T[]) P(iterable, jb.i(cls, 0));
    }

    static <T> T[] P(Iterable<? extends T> iterable, T[] tArr) {
        return (T[]) d(iterable).toArray(tArr);
    }

    static <T> Function<Iterable<? extends T>, Iterator<? extends T>> Q() {
        return new a();
    }

    public static String R(Iterable<?> iterable) {
        return w8.b0(iterable.iterator());
    }

    public static <F, T> Iterable<T> S(Iterable<F> iterable, Function<? super F, ? extends T> function) {
        Preconditions.checkNotNull(iterable);
        Preconditions.checkNotNull(function);
        return new f(iterable, function);
    }

    public static <T> Optional<T> T(Iterable<T> iterable, Predicate<? super T> predicate) {
        return w8.d0(iterable.iterator(), predicate);
    }

    @Deprecated
    public static <E> Iterable<E> U(n5<E> n5Var) {
        return (Iterable) Preconditions.checkNotNull(n5Var);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: java.lang.Iterable<? extends T> */
    /* JADX WARN: Multi-variable type inference failed */
    public static <T> Iterable<T> V(Iterable<? extends T> iterable) {
        Preconditions.checkNotNull(iterable);
        return ((iterable instanceof k) || (iterable instanceof n5)) ? iterable : new k(iterable, null);
    }

    @p0.a
    public static <T> boolean a(Collection<T> collection, Iterable<? extends T> iterable) {
        return iterable instanceof Collection ? collection.addAll(f2.b(iterable)) : w8.a(collection, ((Iterable) Preconditions.checkNotNull(iterable)).iterator());
    }

    public static <T> boolean b(Iterable<T> iterable, Predicate<? super T> predicate) {
        return w8.c(iterable.iterator(), predicate);
    }

    public static <T> boolean c(Iterable<T> iterable, Predicate<? super T> predicate) {
        return w8.d(iterable.iterator(), predicate);
    }

    private static <E> Collection<E> d(Iterable<E> iterable) {
        return iterable instanceof Collection ? (Collection) iterable : i9.s(iterable.iterator());
    }

    public static <T> Iterable<T> e(Iterable<? extends Iterable<? extends T>> iterable) {
        return y3.k(iterable);
    }

    public static <T> Iterable<T> f(Iterable<? extends T> iterable, Iterable<? extends T> iterable2) {
        return y3.l(iterable, iterable2);
    }

    public static <T> Iterable<T> g(Iterable<? extends T> iterable, Iterable<? extends T> iterable2, Iterable<? extends T> iterable3) {
        return y3.m(iterable, iterable2, iterable3);
    }

    public static <T> Iterable<T> h(Iterable<? extends T> iterable, Iterable<? extends T> iterable2, Iterable<? extends T> iterable3, Iterable<? extends T> iterable4) {
        return y3.n(iterable, iterable2, iterable3, iterable4);
    }

    @SafeVarargs
    public static <T> Iterable<T> i(Iterable<? extends T>... iterableArr) {
        return y3.o(iterableArr);
    }

    public static <T> Iterable<T> j(Iterable<T> iterable) {
        Preconditions.checkNotNull(iterable);
        return new i(iterable);
    }

    public static boolean k(Iterable<?> iterable, Object obj) {
        return iterable instanceof Collection ? f2.j((Collection) iterable, obj) : w8.q(iterable.iterator(), obj);
    }

    public static <T> Iterable<T> l(Iterable<T> iterable) {
        Preconditions.checkNotNull(iterable);
        return new b(iterable);
    }

    @SafeVarargs
    public static <T> Iterable<T> m(T... tArr) {
        return l(i9.t(tArr));
    }

    public static boolean n(Iterable<?> iterable, Iterable<?> iterable2) {
        if (!(iterable instanceof Collection) || !(iterable2 instanceof Collection) || ((Collection) iterable).size() == ((Collection) iterable2).size()) {
            return w8.t(iterable.iterator(), iterable2.iterator());
        }
        return false;
    }

    public static <T> Iterable<T> o(Iterable<T> iterable, Predicate<? super T> predicate) {
        Preconditions.checkNotNull(iterable);
        Preconditions.checkNotNull(predicate);
        return new e(iterable, predicate);
    }

    @m0.c
    public static <T> Iterable<T> p(Iterable<?> iterable, Class<T> cls) {
        Preconditions.checkNotNull(iterable);
        Preconditions.checkNotNull(cls);
        return o(iterable, Predicates.instanceOf(cls));
    }

    public static <T> T q(Iterable<T> iterable, Predicate<? super T> predicate) {
        return (T) w8.z(iterable.iterator(), predicate);
    }

    public static <T> T r(Iterable<? extends T> iterable, Predicate<? super T> predicate, T t7) {
        return (T) w8.A(iterable.iterator(), predicate, t7);
    }

    public static int s(Iterable<?> iterable, Object obj) {
        return iterable instanceof ya ? ((ya) iterable).O0(obj) : iterable instanceof Set ? ((Set) iterable).contains(obj) ? 1 : 0 : w8.E(iterable.iterator(), obj);
    }

    public static <T> T t(Iterable<T> iterable, int i7) {
        Preconditions.checkNotNull(iterable);
        return iterable instanceof List ? (T) ((List) iterable).get(i7) : (T) w8.F(iterable.iterator(), i7);
    }

    public static <T> T u(Iterable<? extends T> iterable, int i7, T t7) {
        Preconditions.checkNotNull(iterable);
        w8.g(i7);
        if (iterable instanceof List) {
            List f7 = i9.f(iterable);
            return i7 < f7.size() ? (T) f7.get(i7) : t7;
        }
        Iterator<? extends T> it = iterable.iterator();
        w8.b(it, i7);
        return (T) w8.J(it, t7);
    }

    public static <T> T v(Iterable<? extends T> iterable, T t7) {
        return (T) w8.J(iterable.iterator(), t7);
    }

    public static <T> T w(Iterable<T> iterable) {
        if (!(iterable instanceof List)) {
            return (T) w8.H(iterable.iterator());
        }
        List list = (List) iterable;
        if (!list.isEmpty()) {
            return (T) y(list);
        }
        throw new NoSuchElementException();
    }

    public static <T> T x(Iterable<? extends T> iterable, T t7) {
        if (iterable instanceof Collection) {
            if (f2.b(iterable).isEmpty()) {
                return t7;
            }
            if (iterable instanceof List) {
                return (T) y(i9.f(iterable));
            }
        }
        return (T) w8.I(iterable.iterator(), t7);
    }

    private static <T> T y(List<T> list) {
        return list.get(list.size() - 1);
    }

    public static <T> T z(Iterable<T> iterable) {
        return (T) w8.K(iterable.iterator());
    }
}
