package com.google.common.collect;

import com.google.common.base.Preconditions;
import java.util.Comparator;
import java.util.Iterator;
import java.util.List;
import java.util.Optional;
import java.util.stream.Collector;
import m0.a;
import m0.b;

@b
public final class u2 {
    private u2() {
    }

    @a
    public static <T> Comparator<Optional<T>> d(Comparator<? super T> comparator) {
        Preconditions.checkNotNull(comparator);
        return Comparator.comparing(new o2(), Comparator.nullsFirst(comparator));
    }

    @a
    public static <T> Comparator<Optional<T>> e(Comparator<? super T> comparator) {
        Preconditions.checkNotNull(comparator);
        return Comparator.comparing(new p2(), Comparator.nullsLast(comparator));
    }

    public static <T> Collector<T, ?, List<T>> f(int i7, Comparator<? super T> comparator) {
        return l(i7, comparator.reversed());
    }

    /* JADX DEBUG: Multi-variable search result rejected for r3v0, resolved type: java.util.Comparator<T> */
    /* JADX WARN: Multi-variable type inference failed */
    @a
    public static <T> boolean g(Iterable<? extends T> iterable, Comparator<T> comparator) {
        Preconditions.checkNotNull(comparator);
        Iterator<? extends T> it = iterable.iterator();
        if (!it.hasNext()) {
            return true;
        }
        Object next = it.next();
        while (it.hasNext()) {
            Object next2 = it.next();
            if (comparator.compare(next, next2) > 0) {
                return false;
            }
            next = next2;
        }
        return true;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r3v0, resolved type: java.util.Comparator<T> */
    /* JADX WARN: Multi-variable type inference failed */
    @a
    public static <T> boolean h(Iterable<? extends T> iterable, Comparator<T> comparator) {
        Preconditions.checkNotNull(comparator);
        Iterator<? extends T> it = iterable.iterator();
        if (!it.hasNext()) {
            return true;
        }
        Object next = it.next();
        while (it.hasNext()) {
            Object next2 = it.next();
            if (comparator.compare(next, next2) >= 0) {
                return false;
            }
            next = next2;
        }
        return true;
    }

    public static <T> Collector<T, ?, List<T>> l(int i7, Comparator<? super T> comparator) {
        t1.b(i7, "k");
        Preconditions.checkNotNull(comparator);
        return Collector.of(new q2(i7, comparator), new r2(), new s2(), new t2(), Collector.Characteristics.UNORDERED);
    }

    @a
    public static <T, S extends T> Comparator<Iterable<S>> m(Comparator<T> comparator) {
        return new c9((Comparator) Preconditions.checkNotNull(comparator));
    }
}
