package com.google.common.collect;

import com.google.common.base.Function;
import com.google.common.base.Preconditions;
import com.google.common.base.Predicate;
import com.google.common.base.Predicates;
import com.google.common.base.Supplier;
import com.google.common.collect.d6;
import com.google.common.collect.db;
import com.google.common.collect.j;
import com.google.common.collect.jc;
import com.google.common.collect.o;
import com.google.common.collect.v9;
import com.google.common.collect.ya;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.io.Serializable;
import java.util.AbstractCollection;
import java.util.Collection;
import java.util.Collections;
import java.util.Comparator;
import java.util.HashSet;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.NavigableSet;
import java.util.NoSuchElementException;
import java.util.Set;
import java.util.SortedSet;
import java.util.Spliterator;
import java.util.function.Consumer;
import java.util.stream.Collector;
import java.util.stream.Stream;

@m0.b(emulated = true)
public final class ua {

    /* access modifiers changed from: package-private */
    public static final class a<K, V> extends v9.s0<K, Collection<V>> {
        @e1.i

        /* renamed from: x  reason: collision with root package name */
        private final na<K, V> f10677x;

        /* access modifiers changed from: package-private */
        /* renamed from: com.google.common.collect.ua$a$a  reason: collision with other inner class name */
        public class C0132a extends v9.t<K, Collection<V>> {

            /* renamed from: com.google.common.collect.ua$a$a$a  reason: collision with other inner class name */
            class C0133a implements Function<K, Collection<V>> {
                C0133a() {
                }

                /* renamed from: a */
                public Collection<V> apply(K k7) {
                    return a.this.f10677x.get(k7);
                }
            }

            C0132a() {
            }

            @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
            public Iterator<Map.Entry<K, Collection<V>>> iterator() {
                return v9.r(a.this.f10677x.keySet(), new C0133a());
            }

            /* access modifiers changed from: package-private */
            @Override // com.google.common.collect.v9.t
            public Map<K, Collection<V>> k() {
                return a.this;
            }

            @Override // com.google.common.collect.v9.t
            public boolean remove(Object obj) {
                if (!contains(obj)) {
                    return false;
                }
                a.this.g(((Map.Entry) obj).getKey());
                return true;
            }
        }

        a(na<K, V> naVar) {
            this.f10677x = (na) Preconditions.checkNotNull(naVar);
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.collect.v9.s0
        public Set<Map.Entry<K, Collection<V>>> a() {
            return new C0132a();
        }

        public void clear() {
            this.f10677x.clear();
        }

        public boolean containsKey(Object obj) {
            return this.f10677x.containsKey(obj);
        }

        /* renamed from: e */
        public Collection<V> get(Object obj) {
            if (containsKey(obj)) {
                return this.f10677x.get(obj);
            }
            return null;
        }

        /* renamed from: f */
        public Collection<V> remove(Object obj) {
            if (containsKey(obj)) {
                return this.f10677x.b(obj);
            }
            return null;
        }

        /* access modifiers changed from: package-private */
        public void g(Object obj) {
            this.f10677x.keySet().remove(obj);
        }

        public boolean isEmpty() {
            return this.f10677x.isEmpty();
        }

        @Override // com.google.common.collect.v9.s0, java.util.AbstractMap, java.util.Map
        public Set<K> keySet() {
            return this.f10677x.keySet();
        }

        public int size() {
            return this.f10677x.keySet().size();
        }
    }

    /* access modifiers changed from: private */
    public static class b<K, V> extends d<K, V> {
        @m0.c
        private static final long X5 = 0;
        transient Supplier<? extends List<V>> W5;

        b(Map<K, Collection<V>> map, Supplier<? extends List<V>> supplier) {
            super(map);
            this.W5 = (Supplier) Preconditions.checkNotNull(supplier);
        }

        @m0.c
        private void U(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException {
            objectInputStream.defaultReadObject();
            this.W5 = (Supplier) objectInputStream.readObject();
            O((Map) objectInputStream.readObject());
        }

        @m0.c
        private void V(ObjectOutputStream objectOutputStream) throws IOException {
            objectOutputStream.defaultWriteObject();
            objectOutputStream.writeObject(this.W5);
            objectOutputStream.writeObject(B());
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.collect.d
        /* renamed from: S */
        public List<V> C() {
            return (List) this.W5.get();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.j, com.google.common.collect.o
        public Map<K, Collection<V>> a() {
            return E();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.j, com.google.common.collect.o
        public Set<K> f() {
            return F();
        }
    }

    private static class c<K, V> extends j<K, V> {
        @m0.c
        private static final long W5 = 0;
        transient Supplier<? extends Collection<V>> V5;

        c(Map<K, Collection<V>> map, Supplier<? extends Collection<V>> supplier) {
            super(map);
            this.V5 = (Supplier) Preconditions.checkNotNull(supplier);
        }

        @m0.c
        private void S(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException {
            objectInputStream.defaultReadObject();
            this.V5 = (Supplier) objectInputStream.readObject();
            O((Map) objectInputStream.readObject());
        }

        @m0.c
        private void T(ObjectOutputStream objectOutputStream) throws IOException {
            objectOutputStream.defaultWriteObject();
            objectOutputStream.writeObject(this.V5);
            objectOutputStream.writeObject(B());
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.collect.j
        public Collection<V> C() {
            return (Collection) this.V5.get();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.j
        public <E> Collection<E> P(Collection<E> collection) {
            return collection instanceof NavigableSet ? jc.P((NavigableSet) collection) : collection instanceof SortedSet ? Collections.unmodifiableSortedSet((SortedSet) collection) : collection instanceof Set ? Collections.unmodifiableSet((Set) collection) : collection instanceof List ? Collections.unmodifiableList((List) collection) : Collections.unmodifiableCollection(collection);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.j
        public Collection<V> Q(K k7, Collection<V> collection) {
            return collection instanceof List ? R(k7, (List) collection, null) : collection instanceof NavigableSet ? new j.m(k7, (NavigableSet) collection, null) : collection instanceof SortedSet ? new j.o(k7, (SortedSet) collection, null) : collection instanceof Set ? new j.n(k7, (Set) collection) : new j.k(k7, collection, null);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.j, com.google.common.collect.o
        public Map<K, Collection<V>> a() {
            return E();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.j, com.google.common.collect.o
        public Set<K> f() {
            return F();
        }
    }

    /* access modifiers changed from: private */
    public static class d<K, V> extends t<K, V> {
        @m0.c
        private static final long X5 = 0;
        transient Supplier<? extends Set<V>> W5;

        d(Map<K, Collection<V>> map, Supplier<? extends Set<V>> supplier) {
            super(map);
            this.W5 = (Supplier) Preconditions.checkNotNull(supplier);
        }

        @m0.c
        private void U(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException {
            objectInputStream.defaultReadObject();
            this.W5 = (Supplier) objectInputStream.readObject();
            O((Map) objectInputStream.readObject());
        }

        @m0.c
        private void V(ObjectOutputStream objectOutputStream) throws IOException {
            objectOutputStream.defaultWriteObject();
            objectOutputStream.writeObject(this.W5);
            objectOutputStream.writeObject(B());
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.j, com.google.common.collect.t
        public <E> Collection<E> P(Collection<E> collection) {
            return collection instanceof NavigableSet ? jc.P((NavigableSet) collection) : collection instanceof SortedSet ? Collections.unmodifiableSortedSet((SortedSet) collection) : Collections.unmodifiableSet((Set) collection);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.j, com.google.common.collect.t
        public Collection<V> Q(K k7, Collection<V> collection) {
            return collection instanceof NavigableSet ? new j.m(k7, (NavigableSet) collection, null) : collection instanceof SortedSet ? new j.o(k7, (SortedSet) collection, null) : new j.n(k7, (Set) collection);
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.collect.t
        /* renamed from: S */
        public Set<V> C() {
            return (Set) this.W5.get();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.j, com.google.common.collect.o
        public Map<K, Collection<V>> a() {
            return E();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.j, com.google.common.collect.o
        public Set<K> f() {
            return F();
        }
    }

    /* access modifiers changed from: private */
    public static class e<K, V> extends w<K, V> {
        @m0.c
        private static final long Z5 = 0;
        transient Supplier<? extends SortedSet<V>> X5;
        transient Comparator<? super V> Y5;

        e(Map<K, Collection<V>> map, Supplier<? extends SortedSet<V>> supplier) {
            super(map);
            this.X5 = (Supplier) Preconditions.checkNotNull(supplier);
            this.Y5 = ((SortedSet) supplier.get()).comparator();
        }

        @m0.c
        private void Y(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException {
            objectInputStream.defaultReadObject();
            Supplier<? extends SortedSet<V>> supplier = (Supplier) objectInputStream.readObject();
            this.X5 = supplier;
            this.Y5 = ((SortedSet) supplier.get()).comparator();
            O((Map) objectInputStream.readObject());
        }

        @m0.c
        private void Z(ObjectOutputStream objectOutputStream) throws IOException {
            objectOutputStream.defaultWriteObject();
            objectOutputStream.writeObject(this.X5);
            objectOutputStream.writeObject(B());
        }

        @Override // com.google.common.collect.cd
        public Comparator<? super V> S0() {
            return this.Y5;
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.collect.w
        /* renamed from: U */
        public SortedSet<V> S() {
            return (SortedSet) this.X5.get();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.j, com.google.common.collect.o
        public Map<K, Collection<V>> a() {
            return E();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.j, com.google.common.collect.o
        public Set<K> f() {
            return F();
        }
    }

    static abstract class f<K, V> extends AbstractCollection<Map.Entry<K, V>> {
        f() {
        }

        /* access modifiers changed from: package-private */
        public abstract na<K, V> b();

        public void clear() {
            b().clear();
        }

        public boolean contains(Object obj) {
            if (!(obj instanceof Map.Entry)) {
                return false;
            }
            Map.Entry entry = (Map.Entry) obj;
            return b().q1(entry.getKey(), entry.getValue());
        }

        public boolean remove(Object obj) {
            if (!(obj instanceof Map.Entry)) {
                return false;
            }
            Map.Entry entry = (Map.Entry) obj;
            return b().remove(entry.getKey(), entry.getValue());
        }

        public int size() {
            return b().size();
        }
    }

    static class g<K, V> extends p<K> {
        @e1.i

        /* renamed from: p  reason: collision with root package name */
        final na<K, V> f10680p;

        class a extends de<Map.Entry<K, Collection<V>>, ya.a<K>> {

            /* access modifiers changed from: package-private */
            /* renamed from: com.google.common.collect.ua$g$a$a  reason: collision with other inner class name */
            public class C0134a extends db.f<K> {

                /* renamed from: f  reason: collision with root package name */
                final /* synthetic */ Map.Entry f10682f;

                C0134a(Map.Entry entry) {
                    this.f10682f = entry;
                }

                @Override // com.google.common.collect.ya.a
                public K a() {
                    return (K) this.f10682f.getKey();
                }

                @Override // com.google.common.collect.ya.a
                public int getCount() {
                    return ((Collection) this.f10682f.getValue()).size();
                }
            }

            a(Iterator it) {
                super(it);
            }

            /* access modifiers changed from: package-private */
            /* renamed from: b */
            public ya.a<K> a(Map.Entry<K, Collection<V>> entry) {
                return new C0134a(entry);
            }
        }

        g(na<K, V> naVar) {
            this.f10680p = naVar;
        }

        /* access modifiers changed from: private */
        public static /* synthetic */ void n(Consumer consumer, Map.Entry entry) {
            consumer.accept(entry.getKey());
        }

        @Override // com.google.common.collect.ya
        public int O0(Object obj) {
            Collection collection = (Collection) v9.z0(this.f10680p.e(), obj);
            if (collection == null) {
                return 0;
            }
            return collection.size();
        }

        @Override // com.google.common.collect.p, com.google.common.collect.ya
        public int V(Object obj, int i7) {
            t1.b(i7, "occurrences");
            if (i7 == 0) {
                return O0(obj);
            }
            Collection collection = (Collection) v9.z0(this.f10680p.e(), obj);
            if (collection == null) {
                return 0;
            }
            int size = collection.size();
            if (i7 >= size) {
                collection.clear();
            } else {
                Iterator it = collection.iterator();
                for (int i8 = 0; i8 < i7; i8++) {
                    it.next();
                    it.remove();
                }
            }
            return size;
        }

        @Override // com.google.common.collect.p
        public void clear() {
            this.f10680p.clear();
        }

        @Override // com.google.common.collect.p, com.google.common.collect.ya
        public boolean contains(Object obj) {
            return this.f10680p.containsKey(obj);
        }

        @Override // com.google.common.collect.p, com.google.common.collect.ya
        public Set<K> d() {
            return this.f10680p.keySet();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.p
        public int e() {
            return this.f10680p.e().size();
        }

        @Override // com.google.common.collect.ya, java.lang.Iterable
        public void forEach(Consumer<? super K> consumer) {
            Preconditions.checkNotNull(consumer);
            this.f10680p.h().forEach(new va(consumer));
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.p
        public Iterator<K> h() {
            throw new AssertionError("should never be called");
        }

        @Override // java.util.AbstractCollection, java.util.Collection, com.google.common.collect.ya, java.lang.Iterable
        public Iterator<K> iterator() {
            return v9.X(this.f10680p.h().iterator());
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.p
        public Iterator<ya.a<K>> k() {
            return new a(this.f10680p.e().entrySet().iterator());
        }

        @Override // com.google.common.collect.ya
        public int size() {
            return this.f10680p.size();
        }

        @Override // java.util.Collection, com.google.common.collect.ya, java.lang.Iterable
        public Spliterator<K> spliterator() {
            return w1.e(this.f10680p.h().spliterator(), new g6());
        }
    }

    /* access modifiers changed from: private */
    public static class h<K, V> extends o<K, V> implements hc<K, V>, Serializable {
        private static final long C2 = 7845222491160860175L;
        final Map<K, V> C1;

        /* access modifiers changed from: package-private */
        public class a extends jc.l<V> {

            /* renamed from: f  reason: collision with root package name */
            final /* synthetic */ Object f10684f;

            /* renamed from: com.google.common.collect.ua$h$a$a  reason: collision with other inner class name */
            class C0135a implements Iterator<V> {

                /* renamed from: f  reason: collision with root package name */
                int f10686f;

                C0135a() {
                }

                public boolean hasNext() {
                    if (this.f10686f == 0) {
                        a aVar = a.this;
                        if (h.this.C1.containsKey(aVar.f10684f)) {
                            return true;
                        }
                    }
                    return false;
                }

                @Override // java.util.Iterator
                public V next() {
                    if (hasNext()) {
                        this.f10686f++;
                        a aVar = a.this;
                        return h.this.C1.get(aVar.f10684f);
                    }
                    throw new NoSuchElementException();
                }

                public void remove() {
                    boolean z7 = true;
                    if (this.f10686f != 1) {
                        z7 = false;
                    }
                    t1.e(z7);
                    this.f10686f = -1;
                    a aVar = a.this;
                    h.this.C1.remove(aVar.f10684f);
                }
            }

            a(Object obj) {
                this.f10684f = obj;
            }

            @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
            public Iterator<V> iterator() {
                return new C0135a();
            }

            public int size() {
                return h.this.C1.containsKey(this.f10684f) ? 1 : 0;
            }
        }

        h(Map<K, V> map) {
            this.C1 = (Map) Preconditions.checkNotNull(map);
        }

        @Override // com.google.common.collect.o, com.google.common.collect.na
        public boolean B0(na<? extends K, ? extends V> naVar) {
            throw new UnsupportedOperationException();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.o
        public Map<K, Collection<V>> a() {
            return new a(this);
        }

        @Override // com.google.common.collect.na
        public void clear() {
            this.C1.clear();
        }

        @Override // com.google.common.collect.na
        public boolean containsKey(Object obj) {
            return this.C1.containsKey(obj);
        }

        @Override // com.google.common.collect.o, com.google.common.collect.na
        public boolean containsValue(Object obj) {
            return this.C1.containsValue(obj);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.o
        public Collection<Map.Entry<K, V>> d() {
            throw new AssertionError("unreachable");
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.o
        public Set<K> f() {
            return this.C1.keySet();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.o
        public ya<K> g() {
            return new g(this);
        }

        @Override // com.google.common.collect.o, com.google.common.collect.na
        public int hashCode() {
            return this.C1.hashCode();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.o
        public Collection<V> i() {
            return this.C1.values();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.o
        public Iterator<Map.Entry<K, V>> j() {
            return this.C1.entrySet().iterator();
        }

        @Override // com.google.common.collect.o, com.google.common.collect.na
        public boolean put(K k7, V v7) {
            throw new UnsupportedOperationException();
        }

        @Override // com.google.common.collect.o, com.google.common.collect.na
        public boolean q1(Object obj, Object obj2) {
            return this.C1.entrySet().contains(v9.T(obj, obj2));
        }

        @Override // com.google.common.collect.o, com.google.common.collect.na
        public boolean remove(Object obj, Object obj2) {
            return this.C1.entrySet().remove(v9.T(obj, obj2));
        }

        @Override // com.google.common.collect.na
        public int size() {
            return this.C1.size();
        }

        @Override // com.google.common.collect.o, com.google.common.collect.na
        public boolean v1(K k7, Iterable<? extends V> iterable) {
            throw new UnsupportedOperationException();
        }

        @Override // com.google.common.collect.hc, com.google.common.collect.hc, com.google.common.collect.na
        public Set<V> b(Object obj) {
            HashSet hashSet = new HashSet(2);
            if (!this.C1.containsKey(obj)) {
                return hashSet;
            }
            hashSet.add(this.C1.remove(obj));
            return hashSet;
        }

        @Override // com.google.common.collect.hc, com.google.common.collect.hc, com.google.common.collect.o, com.google.common.collect.na
        public Set<V> c(K k7, Iterable<? extends V> iterable) {
            throw new UnsupportedOperationException();
        }

        @Override // com.google.common.collect.hc, com.google.common.collect.hc, com.google.common.collect.na
        public Set<V> get(K k7) {
            return new a(k7);
        }

        @Override // com.google.common.collect.hc, com.google.common.collect.hc, com.google.common.collect.o, com.google.common.collect.na
        public Set<Map.Entry<K, V>> h() {
            return this.C1.entrySet();
        }
    }

    /* access modifiers changed from: private */
    public static final class i<K, V1, V2> extends j<K, V1, V2> implements h9<K, V2> {
        i(h9<K, V1> h9Var, v9.u<? super K, ? super V1, V2> uVar) {
            super(h9Var, uVar);
        }

        /* access modifiers changed from: package-private */
        /* renamed from: r */
        public List<V2> q(K k7, Collection<V1> collection) {
            return i9.D((List) collection, v9.s(this.C2, k7));
        }

        /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: java.lang.Object */
        /* JADX WARN: Multi-variable type inference failed */
        @Override // com.google.common.collect.ua.j, com.google.common.collect.h9, com.google.common.collect.h9, com.google.common.collect.na
        public List<V2> b(Object obj) {
            return q(obj, this.C1.b(obj));
        }

        @Override // com.google.common.collect.o, com.google.common.collect.ua.j, com.google.common.collect.h9, com.google.common.collect.h9, com.google.common.collect.na
        public List<V2> c(K k7, Iterable<? extends V2> iterable) {
            throw new UnsupportedOperationException();
        }

        @Override // com.google.common.collect.ua.j, com.google.common.collect.h9, com.google.common.collect.h9, com.google.common.collect.na
        public List<V2> get(K k7) {
            return q(k7, this.C1.get(k7));
        }
    }

    /* access modifiers changed from: private */
    public static class j<K, V1, V2> extends o<K, V2> {
        final na<K, V1> C1;
        final v9.u<? super K, ? super V1, V2> C2;

        class a implements v9.u<K, Collection<V1>, Collection<V2>> {
            a() {
            }

            /* renamed from: b */
            public Collection<V2> a(K k7, Collection<V1> collection) {
                return j.this.q(k7, collection);
            }
        }

        j(na<K, V1> naVar, v9.u<? super K, ? super V1, V2> uVar) {
            this.C1 = (na) Preconditions.checkNotNull(naVar);
            this.C2 = (v9.u) Preconditions.checkNotNull(uVar);
        }

        @Override // com.google.common.collect.o, com.google.common.collect.na
        public boolean B0(na<? extends K, ? extends V2> naVar) {
            throw new UnsupportedOperationException();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.o
        public Map<K, Collection<V2>> a() {
            return v9.J0(this.C1.e(), new a());
        }

        /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: java.lang.Object */
        /* JADX WARN: Multi-variable type inference failed */
        @Override // com.google.common.collect.na
        public Collection<V2> b(Object obj) {
            return q(obj, this.C1.b(obj));
        }

        @Override // com.google.common.collect.o, com.google.common.collect.na
        public Collection<V2> c(K k7, Iterable<? extends V2> iterable) {
            throw new UnsupportedOperationException();
        }

        @Override // com.google.common.collect.na
        public void clear() {
            this.C1.clear();
        }

        @Override // com.google.common.collect.na
        public boolean containsKey(Object obj) {
            return this.C1.containsKey(obj);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.o
        public Collection<Map.Entry<K, V2>> d() {
            return new o.a();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.o
        public Set<K> f() {
            return this.C1.keySet();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.o
        public ya<K> g() {
            return this.C1.N0();
        }

        @Override // com.google.common.collect.na
        public Collection<V2> get(K k7) {
            return q(k7, this.C1.get(k7));
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.o
        public Collection<V2> i() {
            return f2.m(this.C1.h(), v9.m(this.C2));
        }

        @Override // com.google.common.collect.o, com.google.common.collect.na
        public boolean isEmpty() {
            return this.C1.isEmpty();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.o
        public Iterator<Map.Entry<K, V2>> j() {
            return w8.c0(this.C1.h().iterator(), v9.l(this.C2));
        }

        @Override // com.google.common.collect.o, com.google.common.collect.na
        public boolean put(K k7, V2 v22) {
            throw new UnsupportedOperationException();
        }

        /* access modifiers changed from: package-private */
        public Collection<V2> q(K k7, Collection<V1> collection) {
            Function s7 = v9.s(this.C2, k7);
            return collection instanceof List ? i9.D((List) collection, s7) : f2.m(collection, s7);
        }

        /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: java.lang.Object */
        /* JADX WARN: Multi-variable type inference failed */
        @Override // com.google.common.collect.o, com.google.common.collect.na
        public boolean remove(Object obj, Object obj2) {
            return get(obj).remove(obj2);
        }

        @Override // com.google.common.collect.na
        public int size() {
            return this.C1.size();
        }

        @Override // com.google.common.collect.o, com.google.common.collect.na
        public boolean v1(K k7, Iterable<? extends V2> iterable) {
            throw new UnsupportedOperationException();
        }
    }

    private static class k<K, V> extends l<K, V> implements h9<K, V> {
        private static final long U5 = 0;

        k(h9<K, V> h9Var) {
            super(h9Var);
        }

        /* renamed from: F1 */
        public h9<K, V> E1() {
            return (h9) super.D1();
        }

        @Override // com.google.common.collect.n4, com.google.common.collect.h9, com.google.common.collect.h9, com.google.common.collect.ua.l, com.google.common.collect.na
        public List<V> b(Object obj) {
            throw new UnsupportedOperationException();
        }

        @Override // com.google.common.collect.n4, com.google.common.collect.h9, com.google.common.collect.h9, com.google.common.collect.ua.l, com.google.common.collect.na
        public List<V> c(K k7, Iterable<? extends V> iterable) {
            throw new UnsupportedOperationException();
        }

        @Override // com.google.common.collect.n4, com.google.common.collect.h9, com.google.common.collect.h9, com.google.common.collect.ua.l, com.google.common.collect.na
        public List<V> get(K k7) {
            return Collections.unmodifiableList(E1().get((Object) k7));
        }
    }

    /* access modifiers changed from: private */
    public static class l<K, V> extends n4<K, V> implements Serializable {
        private static final long C2 = 0;
        transient Map<K, Collection<V>> C1;

        /* renamed from: f  reason: collision with root package name */
        final na<K, V> f10689f;

        /* renamed from: g  reason: collision with root package name */
        transient Collection<Map.Entry<K, V>> f10690g;

        /* renamed from: p  reason: collision with root package name */
        transient ya<K> f10691p;

        /* renamed from: x  reason: collision with root package name */
        transient Set<K> f10692x;

        /* renamed from: y  reason: collision with root package name */
        transient Collection<V> f10693y;

        class a implements Function<Collection<V>, Collection<V>> {
            a() {
            }

            /* renamed from: a */
            public Collection<V> apply(Collection<V> collection) {
                return ua.Y(collection);
            }
        }

        l(na<K, V> naVar) {
            this.f10689f = (na) Preconditions.checkNotNull(naVar);
        }

        @Override // com.google.common.collect.n4, com.google.common.collect.na
        public boolean B0(na<? extends K, ? extends V> naVar) {
            throw new UnsupportedOperationException();
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.collect.n4
        /* renamed from: E1 */
        public na<K, V> D1() {
            return this.f10689f;
        }

        @Override // com.google.common.collect.n4, com.google.common.collect.na
        public ya<K> N0() {
            ya<K> yaVar = this.f10691p;
            if (yaVar != null) {
                return yaVar;
            }
            ya<K> H = db.H(this.f10689f.N0());
            this.f10691p = H;
            return H;
        }

        @Override // com.google.common.collect.n4, com.google.common.collect.na
        public Collection<V> b(Object obj) {
            throw new UnsupportedOperationException();
        }

        @Override // com.google.common.collect.n4, com.google.common.collect.na
        public Collection<V> c(K k7, Iterable<? extends V> iterable) {
            throw new UnsupportedOperationException();
        }

        @Override // com.google.common.collect.n4, com.google.common.collect.na
        public void clear() {
            throw new UnsupportedOperationException();
        }

        @Override // com.google.common.collect.n4, com.google.common.collect.na
        public Map<K, Collection<V>> e() {
            Map<K, Collection<V>> map = this.C1;
            if (map != null) {
                return map;
            }
            Map<K, Collection<V>> unmodifiableMap = Collections.unmodifiableMap(v9.N0(this.f10689f.e(), new a()));
            this.C1 = unmodifiableMap;
            return unmodifiableMap;
        }

        @Override // com.google.common.collect.n4, com.google.common.collect.na
        public Collection<V> get(K k7) {
            return ua.Y(this.f10689f.get(k7));
        }

        @Override // com.google.common.collect.n4, com.google.common.collect.na
        public Collection<Map.Entry<K, V>> h() {
            Collection<Map.Entry<K, V>> collection = this.f10690g;
            if (collection != null) {
                return collection;
            }
            Collection<Map.Entry<K, V>> Q = ua.Q(this.f10689f.h());
            this.f10690g = Q;
            return Q;
        }

        @Override // com.google.common.collect.n4, com.google.common.collect.na
        public Set<K> keySet() {
            Set<K> set = this.f10692x;
            if (set != null) {
                return set;
            }
            Set<K> unmodifiableSet = Collections.unmodifiableSet(this.f10689f.keySet());
            this.f10692x = unmodifiableSet;
            return unmodifiableSet;
        }

        @Override // com.google.common.collect.n4, com.google.common.collect.na
        public boolean put(K k7, V v7) {
            throw new UnsupportedOperationException();
        }

        @Override // com.google.common.collect.n4, com.google.common.collect.na
        public boolean remove(Object obj, Object obj2) {
            throw new UnsupportedOperationException();
        }

        @Override // com.google.common.collect.n4, com.google.common.collect.na
        public boolean v1(K k7, Iterable<? extends V> iterable) {
            throw new UnsupportedOperationException();
        }

        @Override // com.google.common.collect.n4, com.google.common.collect.na
        public Collection<V> values() {
            Collection<V> collection = this.f10693y;
            if (collection != null) {
                return collection;
            }
            Collection<V> unmodifiableCollection = Collections.unmodifiableCollection(this.f10689f.values());
            this.f10693y = unmodifiableCollection;
            return unmodifiableCollection;
        }
    }

    /* access modifiers changed from: private */
    public static class m<K, V> extends l<K, V> implements hc<K, V> {
        private static final long U5 = 0;

        m(hc<K, V> hcVar) {
            super(hcVar);
        }

        /* renamed from: F1 */
        public hc<K, V> E1() {
            return (hc) super.D1();
        }

        @Override // com.google.common.collect.hc, com.google.common.collect.hc, com.google.common.collect.n4, com.google.common.collect.ua.l, com.google.common.collect.na
        public Set<V> b(Object obj) {
            throw new UnsupportedOperationException();
        }

        @Override // com.google.common.collect.hc, com.google.common.collect.hc, com.google.common.collect.n4, com.google.common.collect.ua.l, com.google.common.collect.na
        public Set<V> c(K k7, Iterable<? extends V> iterable) {
            throw new UnsupportedOperationException();
        }

        @Override // com.google.common.collect.hc, com.google.common.collect.hc, com.google.common.collect.n4, com.google.common.collect.ua.l, com.google.common.collect.na
        public Set<V> get(K k7) {
            return Collections.unmodifiableSet(E1().get((Object) k7));
        }

        @Override // com.google.common.collect.hc, com.google.common.collect.hc, com.google.common.collect.n4, com.google.common.collect.ua.l, com.google.common.collect.na
        public Set<Map.Entry<K, V>> h() {
            return v9.V0(E1().h());
        }
    }

    private ua() {
    }

    /* access modifiers changed from: private */
    public static /* synthetic */ void B(java.util.function.Function function, java.util.function.Function function2, na naVar, Object obj) {
        naVar.put(function.apply(obj), function2.apply(obj));
    }

    public static <K, V> h9<K, V> D(Map<K, Collection<V>> map, Supplier<? extends List<V>> supplier) {
        return new b(map, supplier);
    }

    public static <K, V> na<K, V> E(Map<K, Collection<V>> map, Supplier<? extends Collection<V>> supplier) {
        return new c(map, supplier);
    }

    public static <K, V> hc<K, V> F(Map<K, Collection<V>> map, Supplier<? extends Set<V>> supplier) {
        return new d(map, supplier);
    }

    public static <K, V> cd<K, V> G(Map<K, Collection<V>> map, Supplier<? extends SortedSet<V>> supplier) {
        return new e(map, supplier);
    }

    public static <K, V> h9<K, V> H(h9<K, V> h9Var) {
        return wd.k(h9Var, null);
    }

    public static <K, V> na<K, V> I(na<K, V> naVar) {
        return wd.m(naVar, null);
    }

    public static <K, V> hc<K, V> J(hc<K, V> hcVar) {
        return wd.v(hcVar, null);
    }

    public static <K, V> cd<K, V> K(cd<K, V> cdVar) {
        return wd.y(cdVar, null);
    }

    @m0.a
    public static <T, K, V, M extends na<K, V>> Collector<T, ?, M> L(java.util.function.Function<? super T, ? extends K> function, java.util.function.Function<? super T, ? extends V> function2, java.util.function.Supplier<M> supplier) {
        Preconditions.checkNotNull(function);
        Preconditions.checkNotNull(function2);
        Preconditions.checkNotNull(supplier);
        return Collector.of(supplier, new sa(function, function2), new ta(), new Collector.Characteristics[0]);
    }

    public static <K, V1, V2> h9<K, V2> M(h9<K, V1> h9Var, v9.u<? super K, ? super V1, V2> uVar) {
        return new i(h9Var, uVar);
    }

    public static <K, V1, V2> na<K, V2> N(na<K, V1> naVar, v9.u<? super K, ? super V1, V2> uVar) {
        return new j(naVar, uVar);
    }

    public static <K, V1, V2> h9<K, V2> O(h9<K, V1> h9Var, Function<? super V1, V2> function) {
        Preconditions.checkNotNull(function);
        return M(h9Var, v9.n(function));
    }

    public static <K, V1, V2> na<K, V2> P(na<K, V1> naVar, Function<? super V1, V2> function) {
        Preconditions.checkNotNull(function);
        return N(naVar, v9.n(function));
    }

    /* access modifiers changed from: private */
    public static <K, V> Collection<Map.Entry<K, V>> Q(Collection<Map.Entry<K, V>> collection) {
        return collection instanceof Set ? v9.V0((Set) collection) : new v9.n0(Collections.unmodifiableCollection(collection));
    }

    @Deprecated
    public static <K, V> h9<K, V> R(d6<K, V> d6Var) {
        return (h9) Preconditions.checkNotNull(d6Var);
    }

    public static <K, V> h9<K, V> S(h9<K, V> h9Var) {
        return ((h9Var instanceof k) || (h9Var instanceof d6)) ? h9Var : new k(h9Var);
    }

    @Deprecated
    public static <K, V> na<K, V> T(t6<K, V> t6Var) {
        return (na) Preconditions.checkNotNull(t6Var);
    }

    public static <K, V> na<K, V> U(na<K, V> naVar) {
        return ((naVar instanceof l) || (naVar instanceof t6)) ? naVar : new l(naVar);
    }

    @Deprecated
    public static <K, V> hc<K, V> V(o7<K, V> o7Var) {
        return (hc) Preconditions.checkNotNull(o7Var);
    }

    public static <K, V> hc<K, V> W(hc<K, V> hcVar) {
        return ((hcVar instanceof m) || (hcVar instanceof o7)) ? hcVar : new m(hcVar);
    }

    public static <K, V> cd<K, V> X(cd<K, V> cdVar) {
        return cdVar instanceof n ? cdVar : new n(cdVar);
    }

    /* access modifiers changed from: private */
    public static <V> Collection<V> Y(Collection<V> collection) {
        return collection instanceof SortedSet ? Collections.unmodifiableSortedSet((SortedSet) collection) : collection instanceof Set ? Collections.unmodifiableSet((Set) collection) : collection instanceof List ? Collections.unmodifiableList((List) collection) : Collections.unmodifiableCollection(collection);
    }

    /* JADX DEBUG: Type inference failed for r0v1. Raw type applied. Possible types: java.util.Map<K, java.util.Collection<V>>, java.util.Map<K, java.util.List<V>> */
    @m0.a
    public static <K, V> Map<K, List<V>> g(h9<K, V> h9Var) {
        return (Map<K, Collection<V>>) h9Var.e();
    }

    @m0.a
    public static <K, V> Map<K, Collection<V>> h(na<K, V> naVar) {
        return naVar.e();
    }

    /* JADX DEBUG: Type inference failed for r0v1. Raw type applied. Possible types: java.util.Map<K, java.util.Collection<V>>, java.util.Map<K, java.util.Set<V>> */
    @m0.a
    public static <K, V> Map<K, Set<V>> i(hc<K, V> hcVar) {
        return (Map<K, Collection<V>>) hcVar.e();
    }

    /* JADX DEBUG: Type inference failed for r0v1. Raw type applied. Possible types: java.util.Map<K, java.util.Collection<V>>, java.util.Map<K, java.util.SortedSet<V>> */
    @m0.a
    public static <K, V> Map<K, SortedSet<V>> j(cd<K, V> cdVar) {
        return (Map<K, Collection<V>>) cdVar.e();
    }

    static boolean k(na<?, ?> naVar, Object obj) {
        if (obj == naVar) {
            return true;
        }
        if (obj instanceof na) {
            return naVar.e().equals(((na) obj).e());
        }
        return false;
    }

    public static <K, V> na<K, V> l(na<K, V> naVar, Predicate<? super Map.Entry<K, V>> predicate) {
        Preconditions.checkNotNull(predicate);
        return naVar instanceof hc ? m((hc) naVar, predicate) : naVar instanceof v3 ? n((v3) naVar, predicate) : new q3((na) Preconditions.checkNotNull(naVar), predicate);
    }

    public static <K, V> hc<K, V> m(hc<K, V> hcVar, Predicate<? super Map.Entry<K, V>> predicate) {
        Preconditions.checkNotNull(predicate);
        return hcVar instanceof x3 ? o((x3) hcVar, predicate) : new r3((hc) Preconditions.checkNotNull(hcVar), predicate);
    }

    private static <K, V> na<K, V> n(v3<K, V> v3Var, Predicate<? super Map.Entry<K, V>> predicate) {
        return new q3(v3Var.k(), Predicates.and(v3Var.r0(), predicate));
    }

    private static <K, V> hc<K, V> o(x3<K, V> x3Var, Predicate<? super Map.Entry<K, V>> predicate) {
        return new r3(x3Var.k(), Predicates.and(x3Var.r0(), predicate));
    }

    public static <K, V> h9<K, V> p(h9<K, V> h9Var, Predicate<? super K> predicate) {
        if (!(h9Var instanceof s3)) {
            return new s3(h9Var, predicate);
        }
        s3 s3Var = (s3) h9Var;
        return new s3(s3Var.k(), Predicates.and(s3Var.C2, predicate));
    }

    public static <K, V> na<K, V> q(na<K, V> naVar, Predicate<? super K> predicate) {
        if (naVar instanceof hc) {
            return r((hc) naVar, predicate);
        }
        if (naVar instanceof h9) {
            return p((h9) naVar, predicate);
        }
        if (!(naVar instanceof t3)) {
            return naVar instanceof v3 ? n((v3) naVar, v9.Z(predicate)) : new t3(naVar, predicate);
        }
        t3 t3Var = (t3) naVar;
        return new t3(t3Var.C1, Predicates.and(t3Var.C2, predicate));
    }

    public static <K, V> hc<K, V> r(hc<K, V> hcVar, Predicate<? super K> predicate) {
        if (!(hcVar instanceof u3)) {
            return hcVar instanceof x3 ? o((x3) hcVar, v9.Z(predicate)) : new u3(hcVar, predicate);
        }
        u3 u3Var = (u3) hcVar;
        return new u3(u3Var.k(), Predicates.and(u3Var.C2, predicate));
    }

    public static <K, V> na<K, V> s(na<K, V> naVar, Predicate<? super V> predicate) {
        return l(naVar, v9.c1(predicate));
    }

    public static <K, V> hc<K, V> t(hc<K, V> hcVar, Predicate<? super V> predicate) {
        return m(hcVar, v9.c1(predicate));
    }

    @m0.a
    public static <T, K, V, M extends na<K, V>> Collector<T, ?, M> u(java.util.function.Function<? super T, ? extends K> function, java.util.function.Function<? super T, ? extends Stream<? extends V>> function2, java.util.function.Supplier<M> supplier) {
        Preconditions.checkNotNull(function);
        Preconditions.checkNotNull(function2);
        Preconditions.checkNotNull(supplier);
        return Collector.of(supplier, new qa(function, function2), new ra(), new Collector.Characteristics[0]);
    }

    public static <K, V> hc<K, V> v(Map<K, V> map) {
        return new h(map);
    }

    public static <K, V> d6<K, V> w(Iterable<V> iterable, Function<? super V, K> function) {
        return x(iterable.iterator(), function);
    }

    public static <K, V> d6<K, V> x(Iterator<V> it, Function<? super V, K> function) {
        Preconditions.checkNotNull(function);
        d6.a a02 = d6.a0();
        while (it.hasNext()) {
            V next = it.next();
            Preconditions.checkNotNull(next, it);
            a02.f(function.apply(next), next);
        }
        return a02.a();
    }

    /* JADX DEBUG: Multi-variable search result rejected for r3v0, resolved type: M extends com.google.common.collect.na<K, V> */
    /* JADX WARN: Multi-variable type inference failed */
    @p0.a
    public static <K, V, M extends na<K, V>> M y(na<? extends V, ? extends K> naVar, M m7) {
        Preconditions.checkNotNull(m7);
        for (Map.Entry<? extends V, ? extends K> entry : naVar.h()) {
            m7.put(entry.getValue(), entry.getKey());
        }
        return m7;
    }

    /* access modifiers changed from: private */
    public static /* synthetic */ void z(java.util.function.Function function, java.util.function.Function function2, na naVar, Object obj) {
        Collection collection = naVar.get(function.apply(obj));
        collection.getClass();
        ((Stream) function2.apply(obj)).forEachOrdered(new pa(collection));
    }

    private static class n<K, V> extends m<K, V> implements cd<K, V> {
        private static final long V5 = 0;

        n(cd<K, V> cdVar) {
            super(cdVar);
        }

        /* renamed from: G1 */
        public cd<K, V> F1() {
            return (cd) super.E1();
        }

        @Override // com.google.common.collect.cd
        public Comparator<? super V> S0() {
            return F1().S0();
        }

        @Override // com.google.common.collect.hc, com.google.common.collect.hc, com.google.common.collect.n4, com.google.common.collect.ua.m, com.google.common.collect.ua.m, com.google.common.collect.cd, com.google.common.collect.cd, com.google.common.collect.cd, com.google.common.collect.ua.l, com.google.common.collect.na
        public SortedSet<V> b(Object obj) {
            throw new UnsupportedOperationException();
        }

        @Override // com.google.common.collect.hc, com.google.common.collect.hc, com.google.common.collect.n4, com.google.common.collect.ua.m, com.google.common.collect.ua.m, com.google.common.collect.cd, com.google.common.collect.cd, com.google.common.collect.cd, com.google.common.collect.ua.l, com.google.common.collect.na
        public SortedSet<V> c(K k7, Iterable<? extends V> iterable) {
            throw new UnsupportedOperationException();
        }

        @Override // com.google.common.collect.hc, com.google.common.collect.hc, com.google.common.collect.n4, com.google.common.collect.ua.m, com.google.common.collect.ua.m, com.google.common.collect.cd, com.google.common.collect.cd, com.google.common.collect.cd, com.google.common.collect.ua.l, com.google.common.collect.na
        public SortedSet<V> get(K k7) {
            return Collections.unmodifiableSortedSet(F1().get((Object) k7));
        }
    }
}
