package com.google.common.collect;

import com.google.common.base.Preconditions;
import com.google.common.collect.bd;
import com.google.common.collect.ya;
import java.util.Comparator;
import java.util.Iterator;
import java.util.NavigableSet;
import m0.b;

/* access modifiers changed from: package-private */
@b(emulated = true)
public abstract class v<E> extends p<E> implements zc<E> {
    @b5

    /* renamed from: p  reason: collision with root package name */
    final Comparator<? super E> f10701p;

    /* renamed from: x  reason: collision with root package name */
    private transient zc<E> f10702x;

    /* access modifiers changed from: package-private */
    public class a extends g3<E> {
        a() {
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.g3
        public Iterator<ya.a<E>> a2() {
            return v.this.p();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.g3
        public zc<E> b2() {
            return v.this;
        }

        @Override // com.google.common.collect.vc, com.google.common.collect.zc, com.google.common.collect.g3, java.util.Collection, com.google.common.collect.ya, java.lang.Iterable, com.google.common.collect.a4
        public Iterator<E> iterator() {
            return v.this.descendingIterator();
        }
    }

    v() {
        this(kb.B());
    }

    @Override // com.google.common.collect.vc, com.google.common.collect.zc
    public Comparator<? super E> comparator() {
        return this.f10701p;
    }

    @Override // com.google.common.collect.zc, com.google.common.collect.zc, com.google.common.collect.zc, com.google.common.collect.p, com.google.common.collect.ya, com.google.common.collect.ad, com.google.common.collect.ad
    public NavigableSet<E> d() {
        return (NavigableSet) super.d();
    }

    /* access modifiers changed from: package-private */
    public Iterator<E> descendingIterator() {
        return db.p(i0());
    }

    @Override // com.google.common.collect.zc
    public ya.a<E> firstEntry() {
        Iterator<ya.a<E>> k7 = k();
        if (k7.hasNext()) {
            return k7.next();
        }
        return null;
    }

    @Override // com.google.common.collect.zc
    public zc<E> i0() {
        zc<E> zcVar = this.f10702x;
        if (zcVar != null) {
            return zcVar;
        }
        zc<E> m7 = m();
        this.f10702x = m7;
        return m7;
    }

    @Override // com.google.common.collect.zc
    public ya.a<E> lastEntry() {
        Iterator<ya.a<E>> p7 = p();
        if (p7.hasNext()) {
            return p7.next();
        }
        return null;
    }

    /* access modifiers changed from: package-private */
    public zc<E> m() {
        return new a();
    }

    /* access modifiers changed from: package-private */
    /* renamed from: n */
    public NavigableSet<E> b() {
        return new bd.b(this);
    }

    /* access modifiers changed from: package-private */
    public abstract Iterator<ya.a<E>> p();

    @Override // com.google.common.collect.zc
    public ya.a<E> pollFirstEntry() {
        Iterator<ya.a<E>> k7 = k();
        if (!k7.hasNext()) {
            return null;
        }
        ya.a<E> next = k7.next();
        ya.a<E> m7 = db.m(next.a(), next.getCount());
        k7.remove();
        return m7;
    }

    @Override // com.google.common.collect.zc
    public ya.a<E> pollLastEntry() {
        Iterator<ya.a<E>> p7 = p();
        if (!p7.hasNext()) {
            return null;
        }
        ya.a<E> next = p7.next();
        ya.a<E> m7 = db.m(next.a(), next.getCount());
        p7.remove();
        return m7;
    }

    @Override // com.google.common.collect.zc
    public zc<E> w1(E e7, i0 i0Var, E e8, i0 i0Var2) {
        Preconditions.checkNotNull(i0Var);
        Preconditions.checkNotNull(i0Var2);
        return U0(e7, i0Var).J0(e8, i0Var2);
    }

    v(Comparator<? super E> comparator) {
        this.f10701p = (Comparator) Preconditions.checkNotNull(comparator);
    }
}
