package com.google.common.collect;

import com.google.common.base.Converter;
import com.google.common.base.Equivalence;
import com.google.common.base.Function;
import com.google.common.base.Objects;
import com.google.common.base.Preconditions;
import com.google.common.base.Predicate;
import com.google.common.base.Predicates;
import com.google.common.collect.h6;
import com.google.common.collect.jc;
import com.google.common.collect.l9;
import java.io.Serializable;
import java.util.AbstractCollection;
import java.util.AbstractMap;
import java.util.Collection;
import java.util.Collections;
import java.util.Comparator;
import java.util.EnumMap;
import java.util.Enumeration;
import java.util.HashMap;
import java.util.HashSet;
import java.util.IdentityHashMap;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.Map;
import java.util.NavigableMap;
import java.util.NavigableSet;
import java.util.Properties;
import java.util.Set;
import java.util.SortedMap;
import java.util.SortedSet;
import java.util.Spliterator;
import java.util.Spliterators;
import java.util.TreeMap;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.ConcurrentMap;
import java.util.function.BiConsumer;
import java.util.function.BiFunction;
import java.util.function.BinaryOperator;
import java.util.function.Consumer;
import java.util.stream.Collector;

@m0.b(emulated = true)
public final class v9 {

    static class a implements Function<V1, V2> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ u f10716f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ Object f10717g;

        a(u uVar, Object obj) {
            this.f10716f = uVar;
            this.f10717g = obj;
        }

        @Override // com.google.common.base.Function, java.util.function.Function
        public V2 apply(V1 v12) {
            return (V2) this.f10716f.a(this.f10717g, v12);
        }
    }

    private static final class a0<K, V> extends r0<K, V> {

        /* renamed from: g  reason: collision with root package name */
        final Map<K, V> f10718g;

        /* renamed from: p  reason: collision with root package name */
        final Predicate<? super Map.Entry<K, V>> f10719p;

        a0(Map<K, V> map, Map<K, V> map2, Predicate<? super Map.Entry<K, V>> predicate) {
            super(map);
            this.f10718g = map2;
            this.f10719p = predicate;
        }

        @Override // com.google.common.collect.v9.r0
        public boolean remove(Object obj) {
            Iterator<Map.Entry<K, V>> it = this.f10718g.entrySet().iterator();
            while (it.hasNext()) {
                Map.Entry<K, V> next = it.next();
                if (this.f10719p.apply(next) && Objects.equal(next.getValue(), obj)) {
                    it.remove();
                    return true;
                }
            }
            return false;
        }

        @Override // java.util.AbstractCollection, java.util.Collection, com.google.common.collect.v9.r0
        public boolean removeAll(Collection<?> collection) {
            Iterator<Map.Entry<K, V>> it = this.f10718g.entrySet().iterator();
            boolean z7 = false;
            while (it.hasNext()) {
                Map.Entry<K, V> next = it.next();
                if (this.f10719p.apply(next) && collection.contains(next.getValue())) {
                    it.remove();
                    z7 = true;
                }
            }
            return z7;
        }

        @Override // java.util.AbstractCollection, java.util.Collection, com.google.common.collect.v9.r0
        public boolean retainAll(Collection<?> collection) {
            Iterator<Map.Entry<K, V>> it = this.f10718g.entrySet().iterator();
            boolean z7 = false;
            while (it.hasNext()) {
                Map.Entry<K, V> next = it.next();
                if (this.f10719p.apply(next) && !collection.contains(next.getValue())) {
                    it.remove();
                    z7 = true;
                }
            }
            return z7;
        }

        public Object[] toArray() {
            return i9.s(iterator()).toArray();
        }

        @Override // java.util.AbstractCollection, java.util.Collection
        public <T> T[] toArray(T[] tArr) {
            return (T[]) i9.s(iterator()).toArray(tArr);
        }
    }

    static class b implements Function<Map.Entry<K, V1>, V2> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ u f10720f;

        b(u uVar) {
            this.f10720f = uVar;
        }

        /* renamed from: a */
        public V2 apply(Map.Entry<K, V1> entry) {
            return (V2) this.f10720f.a(entry.getKey(), entry.getValue());
        }
    }

    static abstract class b0<K, V> extends AbstractMap<K, V> {

        class a extends t<K, V> {
            a() {
            }

            @Override // java.lang.Iterable
            public void forEach(Consumer<? super Map.Entry<K, V>> consumer) {
                b0.this.c(consumer);
            }

            @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
            public Iterator<Map.Entry<K, V>> iterator() {
                return b0.this.a();
            }

            /* access modifiers changed from: package-private */
            @Override // com.google.common.collect.v9.t
            public Map<K, V> k() {
                return b0.this;
            }

            @Override // java.util.Collection, java.util.Set, java.lang.Iterable
            public Spliterator<Map.Entry<K, V>> spliterator() {
                return b0.this.b();
            }
        }

        b0() {
        }

        /* access modifiers changed from: package-private */
        public abstract Iterator<Map.Entry<K, V>> a();

        /* access modifiers changed from: package-private */
        public Spliterator<Map.Entry<K, V>> b() {
            return Spliterators.spliterator(a(), (long) size(), 65);
        }

        /* access modifiers changed from: package-private */
        public void c(Consumer<? super Map.Entry<K, V>> consumer) {
            a().forEachRemaining(consumer);
        }

        public void clear() {
            w8.h(a());
        }

        @Override // java.util.AbstractMap, java.util.Map
        public Set<Map.Entry<K, V>> entrySet() {
            return new a();
        }

        public abstract int size();
    }

    /* access modifiers changed from: package-private */
    public static class c extends n<K, V2> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ Map.Entry f10722f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ u f10723g;

        c(Map.Entry entry, u uVar) {
            this.f10722f = entry;
            this.f10723g = uVar;
        }

        @Override // java.util.Map.Entry, com.google.common.collect.n
        public K getKey() {
            return (K) this.f10722f.getKey();
        }

        @Override // java.util.Map.Entry, com.google.common.collect.n
        public V2 getValue() {
            return (V2) this.f10723g.a(this.f10722f.getKey(), this.f10722f.getValue());
        }
    }

    /* access modifiers changed from: package-private */
    public static class c0<K, V> extends jc.l<K> {
        @e1.i

        /* renamed from: f  reason: collision with root package name */
        final Map<K, V> f10724f;

        c0(Map<K, V> map) {
            this.f10724f = (Map) Preconditions.checkNotNull(map);
        }

        public void clear() {
            m().clear();
        }

        public boolean contains(Object obj) {
            return m().containsKey(obj);
        }

        @Override // java.lang.Iterable
        public void forEach(Consumer<? super K> consumer) {
            Preconditions.checkNotNull(consumer);
            this.f10724f.forEach(new z9(consumer));
        }

        public boolean isEmpty() {
            return m().isEmpty();
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
        public Iterator<K> iterator() {
            return v9.X(m().entrySet().iterator());
        }

        /* access modifiers changed from: package-private */
        public Map<K, V> m() {
            return this.f10724f;
        }

        public boolean remove(Object obj) {
            if (!contains(obj)) {
                return false;
            }
            m().remove(obj);
            return true;
        }

        public int size() {
            return m().size();
        }
    }

    /* access modifiers changed from: package-private */
    public static class d implements Function<Map.Entry<K, V1>, Map.Entry<K, V2>> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ u f10725f;

        d(u uVar) {
            this.f10725f = uVar;
        }

        /* renamed from: a */
        public Map.Entry<K, V2> apply(Map.Entry<K, V1> entry) {
            return v9.M0(this.f10725f, entry);
        }
    }

    /* access modifiers changed from: package-private */
    public static class d0<K, V> implements l9<K, V> {

        /* renamed from: a  reason: collision with root package name */
        final Map<K, V> f10726a;

        /* renamed from: b  reason: collision with root package name */
        final Map<K, V> f10727b;

        /* renamed from: c  reason: collision with root package name */
        final Map<K, V> f10728c;

        /* renamed from: d  reason: collision with root package name */
        final Map<K, l9.a<V>> f10729d;

        d0(Map<K, V> map, Map<K, V> map2, Map<K, V> map3, Map<K, l9.a<V>> map4) {
            this.f10726a = v9.W0(map);
            this.f10727b = v9.W0(map2);
            this.f10728c = v9.W0(map3);
            this.f10729d = v9.W0(map4);
        }

        @Override // com.google.common.collect.l9
        public Map<K, V> a() {
            return this.f10726a;
        }

        @Override // com.google.common.collect.l9
        public Map<K, l9.a<V>> b() {
            return this.f10729d;
        }

        @Override // com.google.common.collect.l9
        public Map<K, V> c() {
            return this.f10727b;
        }

        @Override // com.google.common.collect.l9
        public Map<K, V> d() {
            return this.f10728c;
        }

        @Override // com.google.common.collect.l9
        public boolean e() {
            return this.f10726a.isEmpty() && this.f10727b.isEmpty() && this.f10729d.isEmpty();
        }

        @Override // com.google.common.collect.l9
        public boolean equals(Object obj) {
            if (obj == this) {
                return true;
            }
            if (!(obj instanceof l9)) {
                return false;
            }
            l9 l9Var = (l9) obj;
            return a().equals(l9Var.a()) && c().equals(l9Var.c()) && d().equals(l9Var.d()) && b().equals(l9Var.b());
        }

        @Override // com.google.common.collect.l9
        public int hashCode() {
            return Objects.hashCode(a(), c(), d(), b());
        }

        public String toString() {
            if (e()) {
                return "equal";
            }
            StringBuilder sb = new StringBuilder("not equal");
            if (!this.f10726a.isEmpty()) {
                sb.append(": only on left=");
                sb.append(this.f10726a);
            }
            if (!this.f10727b.isEmpty()) {
                sb.append(": only on right=");
                sb.append(this.f10727b);
            }
            if (!this.f10729d.isEmpty()) {
                sb.append(": value differences=");
                sb.append(this.f10729d);
            }
            return sb.toString();
        }
    }

    /* access modifiers changed from: package-private */
    public static class e extends de<Map.Entry<K, V>, K> {
        e(Iterator it) {
            super(it);
        }

        /* access modifiers changed from: package-private */
        /* renamed from: b */
        public K a(Map.Entry<K, V> entry) {
            return entry.getKey();
        }
    }

    /* access modifiers changed from: private */
    @m0.c
    public static final class e0<K, V> extends q<K, V> {

        /* renamed from: f  reason: collision with root package name */
        private final NavigableSet<K> f10730f;

        /* renamed from: g  reason: collision with root package name */
        private final Function<? super K, V> f10731g;

        e0(NavigableSet<K> navigableSet, Function<? super K, V> function) {
            this.f10730f = (NavigableSet) Preconditions.checkNotNull(navigableSet);
            this.f10731g = (Function) Preconditions.checkNotNull(function);
        }

        /* access modifiers changed from: private */
        public /* synthetic */ Map.Entry g(Object obj) {
            return v9.T(obj, this.f10731g.apply(obj));
        }

        /* access modifiers changed from: private */
        public /* synthetic */ void h(BiConsumer biConsumer, Object obj) {
            biConsumer.accept(obj, this.f10731g.apply(obj));
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.v9.b0
        public Iterator<Map.Entry<K, V>> a() {
            return v9.r(this.f10730f, this.f10731g);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.v9.b0
        public Spliterator<Map.Entry<K, V>> b() {
            return w1.e(this.f10730f.spliterator(), new aa(this));
        }

        @Override // com.google.common.collect.v9.b0
        public void clear() {
            this.f10730f.clear();
        }

        @Override // java.util.SortedMap
        public Comparator<? super K> comparator() {
            return this.f10730f.comparator();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.q
        public Iterator<Map.Entry<K, V>> d() {
            return descendingMap().entrySet().iterator();
        }

        @Override // com.google.common.collect.q, java.util.NavigableMap
        public NavigableMap<K, V> descendingMap() {
            return v9.p(this.f10730f.descendingSet(), this.f10731g);
        }

        @Override // java.util.Map
        public void forEach(BiConsumer<? super K, ? super V> biConsumer) {
            this.f10730f.forEach(new ba(this, biConsumer));
        }

        @Override // java.util.AbstractMap, java.util.Map, com.google.common.collect.q
        public V get(Object obj) {
            return getOrDefault(obj, null);
        }

        @Override // java.util.Map
        public V getOrDefault(Object obj, V v7) {
            return f2.j(this.f10730f, obj) ? this.f10731g.apply(obj) : v7;
        }

        @Override // java.util.NavigableMap
        public NavigableMap<K, V> headMap(K k7, boolean z7) {
            return v9.p(this.f10730f.headSet(k7, z7), this.f10731g);
        }

        @Override // com.google.common.collect.q, java.util.NavigableMap
        public NavigableSet<K> navigableKeySet() {
            return v9.v0(this.f10730f);
        }

        @Override // com.google.common.collect.v9.b0
        public int size() {
            return this.f10730f.size();
        }

        @Override // java.util.NavigableMap
        public NavigableMap<K, V> subMap(K k7, boolean z7, K k8, boolean z8) {
            return v9.p(this.f10730f.subSet(k7, z7, k8, z8), this.f10731g);
        }

        @Override // java.util.NavigableMap
        public NavigableMap<K, V> tailMap(K k7, boolean z7) {
            return v9.p(this.f10730f.tailSet(k7, z7), this.f10731g);
        }
    }

    /* access modifiers changed from: package-private */
    public static class f extends de<Map.Entry<K, V>, V> {
        f(Iterator it) {
            super(it);
        }

        /* access modifiers changed from: package-private */
        /* renamed from: b */
        public V a(Map.Entry<K, V> entry) {
            return entry.getValue();
        }
    }

    /* access modifiers changed from: package-private */
    @m0.c
    public static class f0<K, V> extends h0<K, V> implements NavigableSet<K> {
        f0(NavigableMap<K, V> navigableMap) {
            super(navigableMap);
        }

        @Override // java.util.NavigableSet
        public K ceiling(K k7) {
            return n().ceilingKey(k7);
        }

        @Override // java.util.NavigableSet
        public Iterator<K> descendingIterator() {
            return descendingSet().iterator();
        }

        @Override // java.util.NavigableSet
        public NavigableSet<K> descendingSet() {
            return n().descendingKeySet();
        }

        @Override // java.util.NavigableSet
        public K floor(K k7) {
            return n().floorKey(k7);
        }

        @Override // java.util.NavigableSet
        public NavigableSet<K> headSet(K k7, boolean z7) {
            return n().headMap(k7, z7).navigableKeySet();
        }

        @Override // java.util.NavigableSet
        public K higher(K k7) {
            return n().higherKey(k7);
        }

        @Override // java.util.NavigableSet
        public K lower(K k7) {
            return n().lowerKey(k7);
        }

        /* access modifiers changed from: package-private */
        /* renamed from: o */
        public NavigableMap<K, V> n() {
            return (NavigableMap) this.f10724f;
        }

        @Override // java.util.NavigableSet
        public K pollFirst() {
            return (K) v9.Y(n().pollFirstEntry());
        }

        @Override // java.util.NavigableSet
        public K pollLast() {
            return (K) v9.Y(n().pollLastEntry());
        }

        @Override // java.util.NavigableSet
        public NavigableSet<K> subSet(K k7, boolean z7, K k8, boolean z8) {
            return n().subMap(k7, z7, k8, z8).navigableKeySet();
        }

        @Override // java.util.NavigableSet
        public NavigableSet<K> tailSet(K k7, boolean z7) {
            return n().tailMap(k7, z7).navigableKeySet();
        }

        @Override // com.google.common.collect.v9.h0, java.util.SortedSet, java.util.NavigableSet
        public SortedSet<K> headSet(K k7) {
            return headSet(k7, false);
        }

        @Override // com.google.common.collect.v9.h0, java.util.SortedSet, java.util.NavigableSet
        public SortedSet<K> subSet(K k7, K k8) {
            return subSet(k7, true, k8, false);
        }

        @Override // com.google.common.collect.v9.h0, java.util.SortedSet, java.util.NavigableSet
        public SortedSet<K> tailSet(K k7) {
            return tailSet(k7, true);
        }
    }

    /* access modifiers changed from: package-private */
    public static class g extends de<K, Map.Entry<K, V>> {

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ Function f10732g;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        g(Iterator it, Function function) {
            super(it);
            this.f10732g = function;
        }

        /* access modifiers changed from: package-private */
        /* renamed from: b */
        public Map.Entry<K, V> a(K k7) {
            return v9.T(k7, this.f10732g.apply(k7));
        }
    }

    /* access modifiers changed from: private */
    public static class g0<K, V> extends p<K, V> implements SortedMap<K, V> {
        g0(SortedSet<K> sortedSet, Function<? super K, V> function) {
            super(sortedSet, function);
        }

        @Override // java.util.SortedMap
        public Comparator<? super K> comparator() {
            return e().comparator();
        }

        @Override // java.util.SortedMap
        public K firstKey() {
            return e().first();
        }

        /* access modifiers changed from: package-private */
        /* renamed from: g */
        public SortedSet<K> e() {
            return (SortedSet) super.e();
        }

        @Override // java.util.SortedMap
        public SortedMap<K, V> headMap(K k7) {
            return v9.q(e().headSet(k7), this.f10752y);
        }

        @Override // com.google.common.collect.v9.s0, java.util.AbstractMap, java.util.Map, java.util.SortedMap
        public Set<K> keySet() {
            return v9.x0(e());
        }

        @Override // java.util.SortedMap
        public K lastKey() {
            return e().last();
        }

        @Override // java.util.SortedMap
        public SortedMap<K, V> subMap(K k7, K k8) {
            return v9.q(e().subSet(k7, k8), this.f10752y);
        }

        @Override // java.util.SortedMap
        public SortedMap<K, V> tailMap(K k7) {
            return v9.q(e().tailSet(k7), this.f10752y);
        }
    }

    /* access modifiers changed from: package-private */
    public static class h extends t4<E> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ Set f10733f;

        h(Set set) {
            this.f10733f = set;
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.collect.t4
        /* renamed from: Q1 */
        public Set<E> E1() {
            return this.f10733f;
        }

        @Override // java.util.Collection, java.util.Set, com.google.common.collect.a4
        public boolean add(E e7) {
            throw new UnsupportedOperationException();
        }

        @Override // java.util.Collection, java.util.Set, com.google.common.collect.a4
        public boolean addAll(Collection<? extends E> collection) {
            throw new UnsupportedOperationException();
        }
    }

    static class h0<K, V> extends c0<K, V> implements SortedSet<K> {
        h0(SortedMap<K, V> sortedMap) {
            super(sortedMap);
        }

        @Override // java.util.SortedSet
        public Comparator<? super K> comparator() {
            return m().comparator();
        }

        @Override // java.util.SortedSet
        public K first() {
            return m().firstKey();
        }

        @Override // java.util.SortedSet
        public SortedSet<K> headSet(K k7) {
            return new h0(m().headMap(k7));
        }

        @Override // java.util.SortedSet
        public K last() {
            return m().lastKey();
        }

        /* access modifiers changed from: package-private */
        /* renamed from: n */
        public SortedMap<K, V> m() {
            return (SortedMap) super.m();
        }

        @Override // java.util.SortedSet
        public SortedSet<K> subSet(K k7, K k8) {
            return new h0(m().subMap(k7, k8));
        }

        @Override // java.util.SortedSet
        public SortedSet<K> tailSet(K k7) {
            return new h0(m().tailMap(k7));
        }
    }

    /* access modifiers changed from: package-private */
    public static class i extends x4<E> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ SortedSet f10734f;

        i(SortedSet sortedSet) {
            this.f10734f = sortedSet;
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.collect.x4
        /* renamed from: T1 */
        public SortedSet<E> Q1() {
            return this.f10734f;
        }

        @Override // java.util.Collection, java.util.Set, com.google.common.collect.a4
        public boolean add(E e7) {
            throw new UnsupportedOperationException();
        }

        @Override // java.util.Collection, java.util.Set, com.google.common.collect.a4
        public boolean addAll(Collection<? extends E> collection) {
            throw new UnsupportedOperationException();
        }

        @Override // java.util.SortedSet, com.google.common.collect.x4
        public SortedSet<E> headSet(E e7) {
            return v9.x0(super.headSet(e7));
        }

        @Override // java.util.SortedSet, com.google.common.collect.x4
        public SortedSet<E> subSet(E e7, E e8) {
            return v9.x0(super.subSet(e7, e8));
        }

        @Override // java.util.SortedSet, com.google.common.collect.x4
        public SortedSet<E> tailSet(E e7) {
            return v9.x0(super.tailSet(e7));
        }
    }

    /* access modifiers changed from: package-private */
    public static class i0<K, V> extends d0<K, V> implements yc<K, V> {
        i0(SortedMap<K, V> sortedMap, SortedMap<K, V> sortedMap2, SortedMap<K, V> sortedMap3, SortedMap<K, l9.a<V>> sortedMap4) {
            super(sortedMap, sortedMap2, sortedMap3, sortedMap4);
        }

        @Override // com.google.common.collect.v9.d0, com.google.common.collect.l9, com.google.common.collect.yc, com.google.common.collect.yc
        public SortedMap<K, V> a() {
            return (SortedMap) super.a();
        }

        @Override // com.google.common.collect.v9.d0, com.google.common.collect.l9, com.google.common.collect.yc, com.google.common.collect.yc
        public SortedMap<K, l9.a<V>> b() {
            return (SortedMap) super.b();
        }

        @Override // com.google.common.collect.v9.d0, com.google.common.collect.l9, com.google.common.collect.yc, com.google.common.collect.yc
        public SortedMap<K, V> c() {
            return (SortedMap) super.c();
        }

        @Override // com.google.common.collect.v9.d0, com.google.common.collect.l9, com.google.common.collect.yc, com.google.common.collect.yc
        public SortedMap<K, V> d() {
            return (SortedMap) super.d();
        }
    }

    /* access modifiers changed from: package-private */
    public static class j extends q4<E> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ NavigableSet f10735f;

        j(NavigableSet navigableSet) {
            this.f10735f = navigableSet;
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.collect.q4
        /* renamed from: W1 */
        public NavigableSet<E> T1() {
            return this.f10735f;
        }

        @Override // java.util.Collection, java.util.Set, com.google.common.collect.a4
        public boolean add(E e7) {
            throw new UnsupportedOperationException();
        }

        @Override // java.util.Collection, java.util.Set, com.google.common.collect.a4
        public boolean addAll(Collection<? extends E> collection) {
            throw new UnsupportedOperationException();
        }

        @Override // java.util.NavigableSet, com.google.common.collect.q4
        public NavigableSet<E> descendingSet() {
            return v9.v0(super.descendingSet());
        }

        @Override // java.util.NavigableSet, com.google.common.collect.q4
        public NavigableSet<E> headSet(E e7, boolean z7) {
            return v9.v0(super.headSet(e7, z7));
        }

        @Override // java.util.NavigableSet, com.google.common.collect.q4
        public NavigableSet<E> subSet(E e7, boolean z7, E e8, boolean z8) {
            return v9.v0(super.subSet(e7, z7, e8, z8));
        }

        @Override // java.util.NavigableSet, com.google.common.collect.q4
        public NavigableSet<E> tailSet(E e7, boolean z7) {
            return v9.v0(super.tailSet(e7, z7));
        }

        @Override // java.util.SortedSet, com.google.common.collect.x4, java.util.NavigableSet
        public SortedSet<E> headSet(E e7) {
            return v9.x0(super.headSet(e7));
        }

        @Override // java.util.SortedSet, com.google.common.collect.x4, java.util.NavigableSet
        public SortedSet<E> subSet(E e7, E e8) {
            return v9.x0(super.subSet(e7, e8));
        }

        @Override // java.util.SortedSet, com.google.common.collect.x4, java.util.NavigableSet
        public SortedSet<E> tailSet(E e7) {
            return v9.x0(super.tailSet(e7));
        }
    }

    /* access modifiers changed from: package-private */
    public static class j0<K, V1, V2> extends b0<K, V2> {

        /* renamed from: f  reason: collision with root package name */
        final Map<K, V1> f10736f;

        /* renamed from: g  reason: collision with root package name */
        final u<? super K, ? super V1, V2> f10737g;

        j0(Map<K, V1> map, u<? super K, ? super V1, V2> uVar) {
            this.f10736f = (Map) Preconditions.checkNotNull(map);
            this.f10737g = (u) Preconditions.checkNotNull(uVar);
        }

        /* access modifiers changed from: private */
        public /* synthetic */ void e(BiConsumer biConsumer, Object obj, Object obj2) {
            biConsumer.accept(obj, this.f10737g.a(obj, obj2));
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.v9.b0
        public Iterator<Map.Entry<K, V2>> a() {
            return w8.c0(this.f10736f.entrySet().iterator(), v9.l(this.f10737g));
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.v9.b0
        public Spliterator<Map.Entry<K, V2>> b() {
            return w1.e(this.f10736f.entrySet().spliterator(), v9.l(this.f10737g));
        }

        @Override // com.google.common.collect.v9.b0
        public void clear() {
            this.f10736f.clear();
        }

        public boolean containsKey(Object obj) {
            return this.f10736f.containsKey(obj);
        }

        @Override // java.util.Map
        public void forEach(BiConsumer<? super K, ? super V2> biConsumer) {
            Preconditions.checkNotNull(biConsumer);
            this.f10736f.forEach(new ca(this, biConsumer));
        }

        @Override // java.util.AbstractMap, java.util.Map
        public V2 get(Object obj) {
            return getOrDefault(obj, null);
        }

        @Override // java.util.Map
        public V2 getOrDefault(Object obj, V2 v22) {
            V1 v12 = this.f10736f.get(obj);
            return (v12 != null || this.f10736f.containsKey(obj)) ? this.f10737g.a(obj, v12) : v22;
        }

        @Override // java.util.AbstractMap, java.util.Map
        public Set<K> keySet() {
            return this.f10736f.keySet();
        }

        @Override // java.util.AbstractMap, java.util.Map
        public V2 remove(Object obj) {
            if (this.f10736f.containsKey(obj)) {
                return this.f10737g.a(obj, this.f10736f.remove(obj));
            }
            return null;
        }

        @Override // com.google.common.collect.v9.b0
        public int size() {
            return this.f10736f.size();
        }

        @Override // java.util.AbstractMap, java.util.Map
        public Collection<V2> values() {
            return new r0(this);
        }
    }

    /* access modifiers changed from: package-private */
    public static class k extends n<K, V> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ Map.Entry f10738f;

        k(Map.Entry entry) {
            this.f10738f = entry;
        }

        @Override // java.util.Map.Entry, com.google.common.collect.n
        public K getKey() {
            return (K) this.f10738f.getKey();
        }

        @Override // java.util.Map.Entry, com.google.common.collect.n
        public V getValue() {
            return (V) this.f10738f.getValue();
        }
    }

    /* access modifiers changed from: private */
    @m0.c
    public static class k0<K, V1, V2> extends l0<K, V1, V2> implements NavigableMap<K, V2> {
        k0(NavigableMap<K, V1> navigableMap, u<? super K, ? super V1, V2> uVar) {
            super(navigableMap, uVar);
        }

        private Map.Entry<K, V2> k(Map.Entry<K, V1> entry) {
            if (entry == null) {
                return null;
            }
            return v9.M0(this.f10737g, entry);
        }

        @Override // java.util.NavigableMap
        public Map.Entry<K, V2> ceilingEntry(K k7) {
            return k(f().ceilingEntry(k7));
        }

        @Override // java.util.NavigableMap
        public K ceilingKey(K k7) {
            return f().ceilingKey(k7);
        }

        @Override // java.util.NavigableMap
        public NavigableSet<K> descendingKeySet() {
            return f().descendingKeySet();
        }

        @Override // java.util.NavigableMap
        public NavigableMap<K, V2> descendingMap() {
            return v9.K0(f().descendingMap(), this.f10737g);
        }

        @Override // java.util.NavigableMap
        public Map.Entry<K, V2> firstEntry() {
            return k(f().firstEntry());
        }

        @Override // java.util.NavigableMap
        public Map.Entry<K, V2> floorEntry(K k7) {
            return k(f().floorEntry(k7));
        }

        @Override // java.util.NavigableMap
        public K floorKey(K k7) {
            return f().floorKey(k7);
        }

        /* access modifiers changed from: protected */
        /* renamed from: g */
        public NavigableMap<K, V1> f() {
            return (NavigableMap) super.f();
        }

        /* renamed from: h */
        public NavigableMap<K, V2> headMap(K k7) {
            return headMap(k7, false);
        }

        @Override // java.util.NavigableMap
        public NavigableMap<K, V2> headMap(K k7, boolean z7) {
            return v9.K0(f().headMap(k7, z7), this.f10737g);
        }

        @Override // java.util.NavigableMap
        public Map.Entry<K, V2> higherEntry(K k7) {
            return k(f().higherEntry(k7));
        }

        @Override // java.util.NavigableMap
        public K higherKey(K k7) {
            return f().higherKey(k7);
        }

        /* renamed from: i */
        public NavigableMap<K, V2> subMap(K k7, K k8) {
            return subMap(k7, true, k8, false);
        }

        /* renamed from: j */
        public NavigableMap<K, V2> tailMap(K k7) {
            return tailMap(k7, true);
        }

        @Override // java.util.NavigableMap
        public Map.Entry<K, V2> lastEntry() {
            return k(f().lastEntry());
        }

        @Override // java.util.NavigableMap
        public Map.Entry<K, V2> lowerEntry(K k7) {
            return k(f().lowerEntry(k7));
        }

        @Override // java.util.NavigableMap
        public K lowerKey(K k7) {
            return f().lowerKey(k7);
        }

        @Override // java.util.NavigableMap
        public NavigableSet<K> navigableKeySet() {
            return f().navigableKeySet();
        }

        @Override // java.util.NavigableMap
        public Map.Entry<K, V2> pollFirstEntry() {
            return k(f().pollFirstEntry());
        }

        @Override // java.util.NavigableMap
        public Map.Entry<K, V2> pollLastEntry() {
            return k(f().pollLastEntry());
        }

        @Override // java.util.NavigableMap
        public NavigableMap<K, V2> subMap(K k7, boolean z7, K k8, boolean z8) {
            return v9.K0(f().subMap(k7, z7, k8, z8), this.f10737g);
        }

        @Override // java.util.NavigableMap
        public NavigableMap<K, V2> tailMap(K k7, boolean z7) {
            return v9.K0(f().tailMap(k7, z7), this.f10737g);
        }
    }

    /* access modifiers changed from: package-private */
    public static class l extends le<Map.Entry<K, V>> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ Iterator f10739f;

        l(Iterator it) {
            this.f10739f = it;
        }

        /* renamed from: a */
        public Map.Entry<K, V> next() {
            return v9.T0((Map.Entry) this.f10739f.next());
        }

        public boolean hasNext() {
            return this.f10739f.hasNext();
        }
    }

    /* access modifiers changed from: package-private */
    public static class l0<K, V1, V2> extends j0<K, V1, V2> implements SortedMap<K, V2> {
        l0(SortedMap<K, V1> sortedMap, u<? super K, ? super V1, V2> uVar) {
            super(sortedMap, uVar);
        }

        @Override // java.util.SortedMap
        public Comparator<? super K> comparator() {
            return f().comparator();
        }

        /* access modifiers changed from: protected */
        public SortedMap<K, V1> f() {
            return (SortedMap) this.f10736f;
        }

        @Override // java.util.SortedMap
        public K firstKey() {
            return f().firstKey();
        }

        @Override // java.util.SortedMap
        public SortedMap<K, V2> headMap(K k7) {
            return v9.L0(f().headMap(k7), this.f10737g);
        }

        @Override // java.util.SortedMap
        public K lastKey() {
            return f().lastKey();
        }

        @Override // java.util.SortedMap
        public SortedMap<K, V2> subMap(K k7, K k8) {
            return v9.L0(f().subMap(k7, k8), this.f10737g);
        }

        @Override // java.util.SortedMap
        public SortedMap<K, V2> tailMap(K k7) {
            return v9.L0(f().tailMap(k7), this.f10737g);
        }
    }

    /* access modifiers changed from: package-private */
    public static class m implements u<K, V1, V2> {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ Function f10740a;

        m(Function function) {
            this.f10740a = function;
        }

        @Override // com.google.common.collect.v9.u
        public V2 a(K k7, V1 v12) {
            return (V2) this.f10740a.apply(v12);
        }
    }

    private static class m0<K, V> extends l4<K, V> implements h0<K, V>, Serializable {

        /* renamed from: y  reason: collision with root package name */
        private static final long f10741y = 0;

        /* renamed from: f  reason: collision with root package name */
        final Map<K, V> f10742f;

        /* renamed from: g  reason: collision with root package name */
        final h0<? extends K, ? extends V> f10743g;
        @e1.h

        /* renamed from: p  reason: collision with root package name */
        h0<V, K> f10744p;

        /* renamed from: x  reason: collision with root package name */
        transient Set<V> f10745x;

        m0(h0<? extends K, ? extends V> h0Var, h0<V, K> h0Var2) {
            this.f10742f = Collections.unmodifiableMap(h0Var);
            this.f10743g = h0Var;
            this.f10744p = h0Var2;
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.collect.l4
        /* renamed from: E1 */
        public Map<K, V> D1() {
            return this.f10742f;
        }

        @Override // com.google.common.collect.h0
        public V k0(K k7, V v7) {
            throw new UnsupportedOperationException();
        }

        @Override // com.google.common.collect.h0
        public h0<V, K> p1() {
            h0<V, K> h0Var = this.f10744p;
            if (h0Var != null) {
                return h0Var;
            }
            m0 m0Var = new m0(this.f10743g.p1(), this);
            this.f10744p = m0Var;
            return m0Var;
        }

        @Override // java.util.Map, com.google.common.collect.l4, com.google.common.collect.h0, com.google.common.collect.h0
        public Set<V> values() {
            Set<V> set = this.f10745x;
            if (set != null) {
                return set;
            }
            Set<V> unmodifiableSet = Collections.unmodifiableSet(this.f10743g.values());
            this.f10745x = unmodifiableSet;
            return unmodifiableSet;
        }
    }

    /* access modifiers changed from: private */
    public static abstract class n<K, V> extends s0<K, V> {

        /* renamed from: x  reason: collision with root package name */
        final Map<K, V> f10746x;

        /* renamed from: y  reason: collision with root package name */
        final Predicate<? super Map.Entry<K, V>> f10747y;

        n(Map<K, V> map, Predicate<? super Map.Entry<K, V>> predicate) {
            this.f10746x = map;
            this.f10747y = predicate;
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.v9.s0
        public Collection<V> c() {
            return new a0(this, this.f10746x, this.f10747y);
        }

        public boolean containsKey(Object obj) {
            return this.f10746x.containsKey(obj) && d(obj, this.f10746x.get(obj));
        }

        /* access modifiers changed from: package-private */
        public boolean d(Object obj, V v7) {
            return this.f10747y.apply(v9.T(obj, v7));
        }

        @Override // java.util.AbstractMap, java.util.Map
        public V get(Object obj) {
            V v7 = this.f10746x.get(obj);
            if (v7 == null || !d(obj, v7)) {
                return null;
            }
            return v7;
        }

        public boolean isEmpty() {
            return entrySet().isEmpty();
        }

        @Override // java.util.AbstractMap, java.util.Map
        public V put(K k7, V v7) {
            Preconditions.checkArgument(d(k7, v7));
            return this.f10746x.put(k7, v7);
        }

        /* JADX DEBUG: Multi-variable search result rejected for r3v0, resolved type: com.google.common.collect.v9$n<K, V> */
        /* JADX WARN: Multi-variable type inference failed */
        @Override // java.util.AbstractMap, java.util.Map
        public void putAll(Map<? extends K, ? extends V> map) {
            for (Map.Entry<? extends K, ? extends V> entry : map.entrySet()) {
                Preconditions.checkArgument(d(entry.getKey(), entry.getValue()));
            }
            this.f10746x.putAll(map);
        }

        @Override // java.util.AbstractMap, java.util.Map
        public V remove(Object obj) {
            if (containsKey(obj)) {
                return this.f10746x.remove(obj);
            }
            return null;
        }
    }

    static class n0<K, V> extends a4<Map.Entry<K, V>> {

        /* renamed from: f  reason: collision with root package name */
        private final Collection<Map.Entry<K, V>> f10748f;

        n0(Collection<Map.Entry<K, V>> collection) {
            this.f10748f = collection;
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.collect.a4
        /* renamed from: E1 */
        public Collection<Map.Entry<K, V>> D1() {
            return this.f10748f;
        }

        @Override // java.util.Collection, java.lang.Iterable, com.google.common.collect.a4
        public Iterator<Map.Entry<K, V>> iterator() {
            return v9.U0(this.f10748f.iterator());
        }

        @Override // com.google.common.collect.a4
        public Object[] toArray() {
            return N1();
        }

        @Override // java.util.Collection, com.google.common.collect.a4
        public <T> T[] toArray(T[] tArr) {
            return (T[]) O1(tArr);
        }
    }

    /* access modifiers changed from: private */
    public static class o<K extends Enum<K>, V> {

        /* renamed from: a  reason: collision with root package name */
        private final BinaryOperator<V> f10749a;

        /* renamed from: b  reason: collision with root package name */
        private EnumMap<K, V> f10750b = null;

        o(BinaryOperator<V> binaryOperator) {
            this.f10749a = binaryOperator;
        }

        /* access modifiers changed from: package-private */
        public o<K, V> a(o<K, V> oVar) {
            if (this.f10750b == null) {
                return oVar;
            }
            EnumMap<K, V> enumMap = oVar.f10750b;
            if (enumMap == null) {
                return this;
            }
            enumMap.forEach(new w9(this));
            return this;
        }

        /* access modifiers changed from: package-private */
        public void b(K k7, V v7) {
            if (this.f10750b == null) {
                this.f10750b = new EnumMap<>(k7.getDeclaringClass());
            }
            this.f10750b.merge(k7, v7, this.f10749a);
        }

        /* access modifiers changed from: package-private */
        public h6<K, V> c() {
            EnumMap<K, V> enumMap = this.f10750b;
            return enumMap == null ? h6.v() : q5.I(enumMap);
        }
    }

    static class o0<K, V> extends n0<K, V> implements Set<Map.Entry<K, V>> {
        o0(Set<Map.Entry<K, V>> set) {
            super(set);
        }

        public boolean equals(Object obj) {
            return jc.g(this, obj);
        }

        public int hashCode() {
            return jc.k(this);
        }
    }

    /* access modifiers changed from: private */
    public static class p<K, V> extends s0<K, V> {

        /* renamed from: x  reason: collision with root package name */
        private final Set<K> f10751x;

        /* renamed from: y  reason: collision with root package name */
        final Function<? super K, V> f10752y;

        class a extends t<K, V> {
            a() {
            }

            @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
            public Iterator<Map.Entry<K, V>> iterator() {
                return v9.r(p.this.e(), p.this.f10752y);
            }

            /* access modifiers changed from: package-private */
            @Override // com.google.common.collect.v9.t
            public Map<K, V> k() {
                return p.this;
            }
        }

        p(Set<K> set, Function<? super K, V> function) {
            this.f10751x = (Set) Preconditions.checkNotNull(set);
            this.f10752y = (Function) Preconditions.checkNotNull(function);
        }

        /* access modifiers changed from: private */
        public /* synthetic */ void f(BiConsumer biConsumer, Object obj) {
            biConsumer.accept(obj, this.f10752y.apply(obj));
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.collect.v9.s0
        public Set<Map.Entry<K, V>> a() {
            return new a();
        }

        @Override // com.google.common.collect.v9.s0
        public Set<K> b() {
            return v9.w0(e());
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.v9.s0
        public Collection<V> c() {
            return f2.m(this.f10751x, this.f10752y);
        }

        public void clear() {
            e().clear();
        }

        public boolean containsKey(Object obj) {
            return e().contains(obj);
        }

        /* access modifiers changed from: package-private */
        public Set<K> e() {
            return this.f10751x;
        }

        @Override // java.util.Map
        public void forEach(BiConsumer<? super K, ? super V> biConsumer) {
            Preconditions.checkNotNull(biConsumer);
            e().forEach(new x9(this, biConsumer));
        }

        @Override // java.util.AbstractMap, java.util.Map
        public V get(Object obj) {
            return getOrDefault(obj, null);
        }

        @Override // java.util.Map
        public V getOrDefault(Object obj, V v7) {
            return f2.j(e(), obj) ? this.f10752y.apply(obj) : v7;
        }

        @Override // java.util.AbstractMap, java.util.Map
        public V remove(Object obj) {
            if (e().remove(obj)) {
                return this.f10752y.apply(obj);
            }
            return null;
        }

        public int size() {
            return e().size();
        }
    }

    /* access modifiers changed from: package-private */
    @m0.c
    public static class p0<K, V> extends v4<K, V> implements NavigableMap<K, V>, Serializable {

        /* renamed from: f  reason: collision with root package name */
        private final NavigableMap<K, ? extends V> f10754f;

        /* renamed from: g  reason: collision with root package name */
        private transient p0<K, V> f10755g;

        p0(NavigableMap<K, ? extends V> navigableMap) {
            this.f10754f = navigableMap;
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.collect.v4
        /* renamed from: O1 */
        public SortedMap<K, V> E1() {
            return Collections.unmodifiableSortedMap(this.f10754f);
        }

        @Override // java.util.NavigableMap
        public Map.Entry<K, V> ceilingEntry(K k7) {
            return v9.Y0(this.f10754f.ceilingEntry(k7));
        }

        @Override // java.util.NavigableMap
        public K ceilingKey(K k7) {
            return this.f10754f.ceilingKey(k7);
        }

        @Override // java.util.NavigableMap
        public NavigableSet<K> descendingKeySet() {
            return jc.P(this.f10754f.descendingKeySet());
        }

        @Override // java.util.NavigableMap
        public NavigableMap<K, V> descendingMap() {
            p0<K, V> p0Var = this.f10755g;
            if (p0Var != null) {
                return p0Var;
            }
            p0<K, V> p0Var2 = new p0<>(this.f10754f.descendingMap(), this);
            this.f10755g = p0Var2;
            return p0Var2;
        }

        @Override // java.util.NavigableMap
        public Map.Entry<K, V> firstEntry() {
            return v9.Y0(this.f10754f.firstEntry());
        }

        @Override // java.util.NavigableMap
        public Map.Entry<K, V> floorEntry(K k7) {
            return v9.Y0(this.f10754f.floorEntry(k7));
        }

        @Override // java.util.NavigableMap
        public K floorKey(K k7) {
            return this.f10754f.floorKey(k7);
        }

        @Override // java.util.NavigableMap
        public NavigableMap<K, V> headMap(K k7, boolean z7) {
            return v9.X0(this.f10754f.headMap(k7, z7));
        }

        @Override // java.util.NavigableMap
        public Map.Entry<K, V> higherEntry(K k7) {
            return v9.Y0(this.f10754f.higherEntry(k7));
        }

        @Override // java.util.NavigableMap
        public K higherKey(K k7) {
            return this.f10754f.higherKey(k7);
        }

        @Override // java.util.Map, com.google.common.collect.l4, java.util.SortedMap
        public Set<K> keySet() {
            return navigableKeySet();
        }

        @Override // java.util.NavigableMap
        public Map.Entry<K, V> lastEntry() {
            return v9.Y0(this.f10754f.lastEntry());
        }

        @Override // java.util.NavigableMap
        public Map.Entry<K, V> lowerEntry(K k7) {
            return v9.Y0(this.f10754f.lowerEntry(k7));
        }

        @Override // java.util.NavigableMap
        public K lowerKey(K k7) {
            return this.f10754f.lowerKey(k7);
        }

        @Override // java.util.NavigableMap
        public NavigableSet<K> navigableKeySet() {
            return jc.P(this.f10754f.navigableKeySet());
        }

        @Override // java.util.NavigableMap
        public final Map.Entry<K, V> pollFirstEntry() {
            throw new UnsupportedOperationException();
        }

        @Override // java.util.NavigableMap
        public final Map.Entry<K, V> pollLastEntry() {
            throw new UnsupportedOperationException();
        }

        @Override // java.util.NavigableMap
        public NavigableMap<K, V> subMap(K k7, boolean z7, K k8, boolean z8) {
            return v9.X0(this.f10754f.subMap(k7, z7, k8, z8));
        }

        @Override // java.util.NavigableMap
        public NavigableMap<K, V> tailMap(K k7, boolean z7) {
            return v9.X0(this.f10754f.tailMap(k7, z7));
        }

        p0(NavigableMap<K, ? extends V> navigableMap, p0<K, V> p0Var) {
            this.f10754f = navigableMap;
            this.f10755g = p0Var;
        }

        @Override // com.google.common.collect.v4, java.util.NavigableMap, java.util.SortedMap
        public SortedMap<K, V> headMap(K k7) {
            return headMap(k7, false);
        }

        @Override // com.google.common.collect.v4, java.util.NavigableMap, java.util.SortedMap
        public SortedMap<K, V> subMap(K k7, K k8) {
            return subMap(k7, true, k8, false);
        }

        @Override // com.google.common.collect.v4, java.util.NavigableMap, java.util.SortedMap
        public SortedMap<K, V> tailMap(K k7) {
            return tailMap(k7, true);
        }
    }

    private static final class q<A, B> extends Converter<A, B> implements Serializable {

        /* renamed from: g  reason: collision with root package name */
        private static final long f10756g = 0;

        /* renamed from: f  reason: collision with root package name */
        private final h0<A, B> f10757f;

        q(h0<A, B> h0Var) {
            this.f10757f = (h0) Preconditions.checkNotNull(h0Var);
        }

        private static <X, Y> Y a(h0<X, Y> h0Var, X x7) {
            Y y7 = h0Var.get(x7);
            Preconditions.checkArgument(y7 != null, "No non-null mapping present for input: %s", x7);
            return y7;
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.base.Converter
        public A doBackward(B b7) {
            return (A) a(this.f10757f.p1(), b7);
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.base.Converter
        public B doForward(A a8) {
            return (B) a(this.f10757f, a8);
        }

        @Override // com.google.common.base.Function, com.google.common.base.Converter
        public boolean equals(Object obj) {
            if (obj instanceof q) {
                return this.f10757f.equals(((q) obj).f10757f);
            }
            return false;
        }

        public int hashCode() {
            return this.f10757f.hashCode();
        }

        public String toString() {
            return "Maps.asConverter(" + this.f10757f + ")";
        }
    }

    /* access modifiers changed from: package-private */
    public static class q0<V> implements l9.a<V> {

        /* renamed from: a  reason: collision with root package name */
        private final V f10758a;

        /* renamed from: b  reason: collision with root package name */
        private final V f10759b;

        private q0(V v7, V v8) {
            this.f10758a = v7;
            this.f10759b = v8;
        }

        static <V> l9.a<V> c(V v7, V v8) {
            return new q0(v7, v8);
        }

        @Override // com.google.common.collect.l9.a
        public V a() {
            return this.f10759b;
        }

        @Override // com.google.common.collect.l9.a
        public V b() {
            return this.f10758a;
        }

        @Override // com.google.common.collect.l9.a
        public boolean equals(Object obj) {
            if (!(obj instanceof l9.a)) {
                return false;
            }
            l9.a aVar = (l9.a) obj;
            return Objects.equal(this.f10758a, aVar.b()) && Objects.equal(this.f10759b, aVar.a());
        }

        @Override // com.google.common.collect.l9.a
        public int hashCode() {
            return Objects.hashCode(this.f10758a, this.f10759b);
        }

        public String toString() {
            return "(" + ((Object) this.f10758a) + ", " + ((Object) this.f10759b) + ")";
        }
    }

    @m0.c
    static abstract class r<K, V> extends l4<K, V> implements NavigableMap<K, V> {

        /* renamed from: f  reason: collision with root package name */
        private transient Comparator<? super K> f10760f;

        /* renamed from: g  reason: collision with root package name */
        private transient Set<Map.Entry<K, V>> f10761g;

        /* renamed from: p  reason: collision with root package name */
        private transient NavigableSet<K> f10762p;

        /* access modifiers changed from: package-private */
        public class a extends t<K, V> {
            a() {
            }

            @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
            public Iterator<Map.Entry<K, V>> iterator() {
                return r.this.P1();
            }

            /* access modifiers changed from: package-private */
            @Override // com.google.common.collect.v9.t
            public Map<K, V> k() {
                return r.this;
            }
        }

        r() {
        }

        private static <T> kb<T> R1(Comparator<T> comparator) {
            return kb.i(comparator).G();
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.collect.l4
        /* renamed from: E1 */
        public final Map<K, V> D1() {
            return Q1();
        }

        /* access modifiers changed from: package-private */
        public Set<Map.Entry<K, V>> O1() {
            return new a();
        }

        /* access modifiers changed from: package-private */
        public abstract Iterator<Map.Entry<K, V>> P1();

        /* access modifiers changed from: package-private */
        public abstract NavigableMap<K, V> Q1();

        @Override // java.util.NavigableMap
        public Map.Entry<K, V> ceilingEntry(K k7) {
            return Q1().floorEntry(k7);
        }

        @Override // java.util.NavigableMap
        public K ceilingKey(K k7) {
            return Q1().floorKey(k7);
        }

        @Override // java.util.SortedMap
        public Comparator<? super K> comparator() {
            Comparator<? super K> comparator = this.f10760f;
            if (comparator != null) {
                return comparator;
            }
            Comparator<? super K> comparator2 = Q1().comparator();
            if (comparator2 == null) {
                comparator2 = kb.B();
            }
            kb R1 = R1(comparator2);
            this.f10760f = R1;
            return R1;
        }

        @Override // java.util.NavigableMap
        public NavigableSet<K> descendingKeySet() {
            return Q1().navigableKeySet();
        }

        @Override // java.util.NavigableMap
        public NavigableMap<K, V> descendingMap() {
            return Q1();
        }

        @Override // java.util.Map, com.google.common.collect.l4, java.util.SortedMap
        public Set<Map.Entry<K, V>> entrySet() {
            Set<Map.Entry<K, V>> set = this.f10761g;
            if (set != null) {
                return set;
            }
            Set<Map.Entry<K, V>> O1 = O1();
            this.f10761g = O1;
            return O1;
        }

        @Override // java.util.NavigableMap
        public Map.Entry<K, V> firstEntry() {
            return Q1().lastEntry();
        }

        @Override // java.util.SortedMap
        public K firstKey() {
            return Q1().lastKey();
        }

        @Override // java.util.NavigableMap
        public Map.Entry<K, V> floorEntry(K k7) {
            return Q1().ceilingEntry(k7);
        }

        @Override // java.util.NavigableMap
        public K floorKey(K k7) {
            return Q1().ceilingKey(k7);
        }

        @Override // java.util.NavigableMap
        public NavigableMap<K, V> headMap(K k7, boolean z7) {
            return Q1().tailMap(k7, z7).descendingMap();
        }

        @Override // java.util.NavigableMap
        public Map.Entry<K, V> higherEntry(K k7) {
            return Q1().lowerEntry(k7);
        }

        @Override // java.util.NavigableMap
        public K higherKey(K k7) {
            return Q1().lowerKey(k7);
        }

        @Override // java.util.Map, com.google.common.collect.l4, java.util.SortedMap
        public Set<K> keySet() {
            return navigableKeySet();
        }

        @Override // java.util.NavigableMap
        public Map.Entry<K, V> lastEntry() {
            return Q1().firstEntry();
        }

        @Override // java.util.SortedMap
        public K lastKey() {
            return Q1().firstKey();
        }

        @Override // java.util.NavigableMap
        public Map.Entry<K, V> lowerEntry(K k7) {
            return Q1().higherEntry(k7);
        }

        @Override // java.util.NavigableMap
        public K lowerKey(K k7) {
            return Q1().higherKey(k7);
        }

        @Override // java.util.NavigableMap
        public NavigableSet<K> navigableKeySet() {
            NavigableSet<K> navigableSet = this.f10762p;
            if (navigableSet != null) {
                return navigableSet;
            }
            f0 f0Var = new f0(this);
            this.f10762p = f0Var;
            return f0Var;
        }

        @Override // java.util.NavigableMap
        public Map.Entry<K, V> pollFirstEntry() {
            return Q1().pollLastEntry();
        }

        @Override // java.util.NavigableMap
        public Map.Entry<K, V> pollLastEntry() {
            return Q1().pollFirstEntry();
        }

        @Override // java.util.NavigableMap
        public NavigableMap<K, V> subMap(K k7, boolean z7, K k8, boolean z8) {
            return Q1().subMap(k8, z8, k7, z7).descendingMap();
        }

        @Override // java.util.NavigableMap
        public NavigableMap<K, V> tailMap(K k7, boolean z7) {
            return Q1().headMap(k7, z7).descendingMap();
        }

        @Override // com.google.common.collect.r4
        public String toString() {
            return N1();
        }

        @Override // java.util.Map, com.google.common.collect.l4, java.util.SortedMap
        public Collection<V> values() {
            return new r0(this);
        }

        @Override // java.util.NavigableMap, java.util.SortedMap
        public SortedMap<K, V> headMap(K k7) {
            return headMap(k7, false);
        }

        @Override // java.util.NavigableMap, java.util.SortedMap
        public SortedMap<K, V> subMap(K k7, K k8) {
            return subMap(k7, true, k8, false);
        }

        @Override // java.util.NavigableMap, java.util.SortedMap
        public SortedMap<K, V> tailMap(K k7) {
            return tailMap(k7, true);
        }
    }

    /* access modifiers changed from: package-private */
    public static class r0<K, V> extends AbstractCollection<V> {
        @e1.i

        /* renamed from: f  reason: collision with root package name */
        final Map<K, V> f10764f;

        r0(Map<K, V> map) {
            this.f10764f = (Map) Preconditions.checkNotNull(map);
        }

        public void clear() {
            e().clear();
        }

        public boolean contains(Object obj) {
            return e().containsValue(obj);
        }

        /* access modifiers changed from: package-private */
        public final Map<K, V> e() {
            return this.f10764f;
        }

        @Override // java.lang.Iterable
        public void forEach(Consumer<? super V> consumer) {
            Preconditions.checkNotNull(consumer);
            this.f10764f.forEach(new da(consumer));
        }

        public boolean isEmpty() {
            return e().isEmpty();
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.lang.Iterable
        public Iterator<V> iterator() {
            return v9.a1(e().entrySet().iterator());
        }

        public boolean remove(Object obj) {
            try {
                return super.remove(obj);
            } catch (UnsupportedOperationException unused) {
                for (Map.Entry<K, V> entry : this.e().entrySet()) {
                    if (Objects.equal(obj, entry.getValue())) {
                        this.e().remove(entry.getKey());
                        return true;
                    }
                }
                return false;
            }
        }

        @Override // java.util.AbstractCollection, java.util.Collection
        public boolean removeAll(Collection<?> collection) {
            try {
                return super.removeAll((Collection) Preconditions.checkNotNull(collection));
            } catch (UnsupportedOperationException unused) {
                HashSet u7 = jc.u();
                for (Map.Entry<K, V> entry : this.e().entrySet()) {
                    if (collection.contains(entry.getValue())) {
                        u7.add(entry.getKey());
                    }
                }
                return this.e().keySet().removeAll(u7);
            }
        }

        @Override // java.util.AbstractCollection, java.util.Collection
        public boolean retainAll(Collection<?> collection) {
            try {
                return super.retainAll((Collection) Preconditions.checkNotNull(collection));
            } catch (UnsupportedOperationException unused) {
                HashSet u7 = jc.u();
                for (Map.Entry<K, V> entry : this.e().entrySet()) {
                    if (collection.contains(entry.getValue())) {
                        u7.add(entry.getKey());
                    }
                }
                return this.e().keySet().retainAll(u7);
            }
        }

        public int size() {
            return e().size();
        }
    }

    /* access modifiers changed from: private */
    public enum s implements Function<Map.Entry<?, ?>, Object> {
        KEY {
            /* renamed from: a */
            public Object apply(Map.Entry<?, ?> entry) {
                return entry.getKey();
            }
        },
        VALUE {
            /* renamed from: a */
            public Object apply(Map.Entry<?, ?> entry) {
                return entry.getValue();
            }
        };

        /* synthetic */ s(e eVar) {
            this();
        }
    }

    /* access modifiers changed from: package-private */
    @m0.b
    public static abstract class s0<K, V> extends AbstractMap<K, V> {

        /* renamed from: f  reason: collision with root package name */
        private transient Set<Map.Entry<K, V>> f10768f;

        /* renamed from: g  reason: collision with root package name */
        private transient Set<K> f10769g;

        /* renamed from: p  reason: collision with root package name */
        private transient Collection<V> f10770p;

        s0() {
        }

        /* access modifiers changed from: package-private */
        public abstract Set<Map.Entry<K, V>> a();

        /* access modifiers changed from: package-private */
        public Set<K> b() {
            return new c0(this);
        }

        /* access modifiers changed from: package-private */
        public Collection<V> c() {
            return new r0(this);
        }

        @Override // java.util.AbstractMap, java.util.Map
        public Set<Map.Entry<K, V>> entrySet() {
            Set<Map.Entry<K, V>> set = this.f10768f;
            if (set != null) {
                return set;
            }
            Set<Map.Entry<K, V>> a8 = a();
            this.f10768f = a8;
            return a8;
        }

        @Override // java.util.AbstractMap, java.util.Map
        public Set<K> keySet() {
            Set<K> set = this.f10769g;
            if (set != null) {
                return set;
            }
            Set<K> b7 = b();
            this.f10769g = b7;
            return b7;
        }

        @Override // java.util.AbstractMap, java.util.Map
        public Collection<V> values() {
            Collection<V> collection = this.f10770p;
            if (collection != null) {
                return collection;
            }
            Collection<V> c7 = c();
            this.f10770p = c7;
            return c7;
        }
    }

    static abstract class t<K, V> extends jc.l<Map.Entry<K, V>> {
        t() {
        }

        public void clear() {
            k().clear();
        }

        public boolean contains(Object obj) {
            if (!(obj instanceof Map.Entry)) {
                return false;
            }
            Map.Entry entry = (Map.Entry) obj;
            Object key = entry.getKey();
            Object z02 = v9.z0(k(), key);
            if (Objects.equal(z02, entry.getValue())) {
                return z02 != null || k().containsKey(key);
            }
            return false;
        }

        public boolean isEmpty() {
            return k().isEmpty();
        }

        /* access modifiers changed from: package-private */
        public abstract Map<K, V> k();

        public boolean remove(Object obj) {
            if (contains(obj)) {
                return k().keySet().remove(((Map.Entry) obj).getKey());
            }
            return false;
        }

        @Override // java.util.AbstractCollection, java.util.Collection, com.google.common.collect.jc.l, java.util.AbstractSet, java.util.Set
        public boolean removeAll(Collection<?> collection) {
            try {
                return super.removeAll((Collection) Preconditions.checkNotNull(collection));
            } catch (UnsupportedOperationException unused) {
                return jc.J(this, collection.iterator());
            }
        }

        @Override // java.util.AbstractCollection, java.util.Collection, com.google.common.collect.jc.l, java.util.Set
        public boolean retainAll(Collection<?> collection) {
            try {
                return super.retainAll((Collection) Preconditions.checkNotNull(collection));
            } catch (UnsupportedOperationException unused) {
                HashSet y7 = jc.y(collection.size());
                for (Object obj : collection) {
                    if (this.contains(obj)) {
                        y7.add(((Map.Entry) obj).getKey());
                    }
                }
                return this.k().keySet().retainAll(y7);
            }
        }

        public int size() {
            return k().size();
        }
    }

    @FunctionalInterface
    public interface u<K, V1, V2> {
        V2 a(K k7, V1 v12);
    }

    /* access modifiers changed from: package-private */
    public static final class v<K, V> extends w<K, V> implements h0<K, V> {
        @e1.h
        private final h0<V, K> C2;

        /* access modifiers changed from: package-private */
        public static class a implements Predicate<Map.Entry<V, K>> {

            /* renamed from: f  reason: collision with root package name */
            final /* synthetic */ Predicate f10771f;

            a(Predicate predicate) {
                this.f10771f = predicate;
            }

            /* renamed from: a */
            public boolean apply(Map.Entry<V, K> entry) {
                return this.f10771f.apply(v9.T(entry.getValue(), entry.getKey()));
            }
        }

        v(h0<K, V> h0Var, Predicate<? super Map.Entry<K, V>> predicate) {
            super(h0Var, predicate);
            this.C2 = new v(h0Var.p1(), h(predicate), this);
        }

        private static <K, V> Predicate<Map.Entry<V, K>> h(Predicate<? super Map.Entry<K, V>> predicate) {
            return new a(predicate);
        }

        /* access modifiers changed from: private */
        public /* synthetic */ Object i(BiFunction biFunction, Object obj, Object obj2) {
            return this.f10747y.apply(v9.T(obj, obj2)) ? biFunction.apply(obj, obj2) : obj2;
        }

        /* access modifiers changed from: package-private */
        public h0<K, V> j() {
            return (h0) this.f10746x;
        }

        @Override // com.google.common.collect.h0
        public V k0(K k7, V v7) {
            Preconditions.checkArgument(d(k7, v7));
            return j().k0(k7, v7);
        }

        @Override // com.google.common.collect.h0
        public h0<V, K> p1() {
            return this.C2;
        }

        @Override // java.util.Map
        public void replaceAll(BiFunction<? super K, ? super V, ? extends V> biFunction) {
            j().replaceAll(new y9(this, biFunction));
        }

        private v(h0<K, V> h0Var, Predicate<? super Map.Entry<K, V>> predicate, h0<V, K> h0Var2) {
            super(h0Var, predicate);
            this.C2 = h0Var2;
        }

        @Override // com.google.common.collect.v9.s0, java.util.AbstractMap, java.util.Map, com.google.common.collect.h0, com.google.common.collect.h0
        public Set<V> values() {
            return this.C2.keySet();
        }
    }

    /* access modifiers changed from: package-private */
    public static class w<K, V> extends n<K, V> {
        final Set<Map.Entry<K, V>> C1;

        private class a extends t4<Map.Entry<K, V>> {

            /* renamed from: com.google.common.collect.v9$w$a$a  reason: collision with other inner class name */
            class C0137a extends de<Map.Entry<K, V>, Map.Entry<K, V>> {

                /* access modifiers changed from: package-private */
                /* renamed from: com.google.common.collect.v9$w$a$a$a  reason: collision with other inner class name */
                public class C0138a extends m4<K, V> {

                    /* renamed from: f  reason: collision with root package name */
                    final /* synthetic */ Map.Entry f10774f;

                    C0138a(Map.Entry entry) {
                        this.f10774f = entry;
                    }

                    /* access modifiers changed from: protected */
                    @Override // com.google.common.collect.m4
                    /* renamed from: E1 */
                    public Map.Entry<K, V> D1() {
                        return this.f10774f;
                    }

                    @Override // java.util.Map.Entry, com.google.common.collect.m4
                    public V setValue(V v7) {
                        Preconditions.checkArgument(w.this.d(getKey(), v7));
                        return (V) super.setValue(v7);
                    }
                }

                C0137a(Iterator it) {
                    super(it);
                }

                /* access modifiers changed from: package-private */
                /* renamed from: b */
                public Map.Entry<K, V> a(Map.Entry<K, V> entry) {
                    return new C0138a(entry);
                }
            }

            private a() {
            }

            /* access modifiers changed from: protected */
            @Override // com.google.common.collect.t4
            /* renamed from: Q1 */
            public Set<Map.Entry<K, V>> E1() {
                return w.this.C1;
            }

            @Override // java.util.Collection, java.util.Set, java.lang.Iterable, com.google.common.collect.a4
            public Iterator<Map.Entry<K, V>> iterator() {
                return new C0137a(w.this.C1.iterator());
            }

            /* synthetic */ a(w wVar, e eVar) {
                this();
            }
        }

        class b extends c0<K, V> {
            b() {
                super(w.this);
            }

            @Override // com.google.common.collect.v9.c0
            public boolean remove(Object obj) {
                if (!w.this.containsKey(obj)) {
                    return false;
                }
                w.this.f10746x.remove(obj);
                return true;
            }

            @Override // java.util.AbstractCollection, java.util.Collection, com.google.common.collect.jc.l, java.util.AbstractSet, java.util.Set
            public boolean removeAll(Collection<?> collection) {
                w wVar = w.this;
                return w.e(wVar.f10746x, wVar.f10747y, collection);
            }

            @Override // java.util.AbstractCollection, java.util.Collection, com.google.common.collect.jc.l, java.util.Set
            public boolean retainAll(Collection<?> collection) {
                w wVar = w.this;
                return w.f(wVar.f10746x, wVar.f10747y, collection);
            }

            public Object[] toArray() {
                return i9.s(iterator()).toArray();
            }

            @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
            public <T> T[] toArray(T[] tArr) {
                return (T[]) i9.s(iterator()).toArray(tArr);
            }
        }

        w(Map<K, V> map, Predicate<? super Map.Entry<K, V>> predicate) {
            super(map, predicate);
            this.C1 = jc.i(map.entrySet(), this.f10747y);
        }

        static <K, V> boolean e(Map<K, V> map, Predicate<? super Map.Entry<K, V>> predicate, Collection<?> collection) {
            Iterator<Map.Entry<K, V>> it = map.entrySet().iterator();
            boolean z7 = false;
            while (it.hasNext()) {
                Map.Entry<K, V> next = it.next();
                if (predicate.apply(next) && collection.contains(next.getKey())) {
                    it.remove();
                    z7 = true;
                }
            }
            return z7;
        }

        static <K, V> boolean f(Map<K, V> map, Predicate<? super Map.Entry<K, V>> predicate, Collection<?> collection) {
            Iterator<Map.Entry<K, V>> it = map.entrySet().iterator();
            boolean z7 = false;
            while (it.hasNext()) {
                Map.Entry<K, V> next = it.next();
                if (predicate.apply(next) && !collection.contains(next.getKey())) {
                    it.remove();
                    z7 = true;
                }
            }
            return z7;
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.collect.v9.s0
        public Set<Map.Entry<K, V>> a() {
            return new a(this, null);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.v9.s0
        public Set<K> b() {
            return new b();
        }
    }

    /* access modifiers changed from: private */
    @m0.c
    public static class x<K, V> extends q<K, V> {

        /* renamed from: f  reason: collision with root package name */
        private final NavigableMap<K, V> f10777f;

        /* renamed from: g  reason: collision with root package name */
        private final Predicate<? super Map.Entry<K, V>> f10778g;

        /* renamed from: p  reason: collision with root package name */
        private final Map<K, V> f10779p;

        class a extends f0<K, V> {
            a(NavigableMap navigableMap) {
                super(navigableMap);
            }

            @Override // java.util.AbstractCollection, java.util.Collection, com.google.common.collect.jc.l, java.util.AbstractSet, java.util.Set
            public boolean removeAll(Collection<?> collection) {
                return w.e(x.this.f10777f, x.this.f10778g, collection);
            }

            @Override // java.util.AbstractCollection, java.util.Collection, com.google.common.collect.jc.l, java.util.Set
            public boolean retainAll(Collection<?> collection) {
                return w.f(x.this.f10777f, x.this.f10778g, collection);
            }
        }

        x(NavigableMap<K, V> navigableMap, Predicate<? super Map.Entry<K, V>> predicate) {
            this.f10777f = (NavigableMap) Preconditions.checkNotNull(navigableMap);
            this.f10778g = predicate;
            this.f10779p = new w(navigableMap, predicate);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.v9.b0
        public Iterator<Map.Entry<K, V>> a() {
            return w8.x(this.f10777f.entrySet().iterator(), this.f10778g);
        }

        @Override // com.google.common.collect.v9.b0
        public void clear() {
            this.f10779p.clear();
        }

        @Override // java.util.SortedMap
        public Comparator<? super K> comparator() {
            return this.f10777f.comparator();
        }

        public boolean containsKey(Object obj) {
            return this.f10779p.containsKey(obj);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.q
        public Iterator<Map.Entry<K, V>> d() {
            return w8.x(this.f10777f.descendingMap().entrySet().iterator(), this.f10778g);
        }

        @Override // com.google.common.collect.q, java.util.NavigableMap
        public NavigableMap<K, V> descendingMap() {
            return v9.E(this.f10777f.descendingMap(), this.f10778g);
        }

        @Override // java.util.AbstractMap, java.util.Map, com.google.common.collect.v9.b0, java.util.SortedMap
        public Set<Map.Entry<K, V>> entrySet() {
            return this.f10779p.entrySet();
        }

        @Override // java.util.AbstractMap, java.util.Map, com.google.common.collect.q
        public V get(Object obj) {
            return this.f10779p.get(obj);
        }

        @Override // java.util.NavigableMap
        public NavigableMap<K, V> headMap(K k7, boolean z7) {
            return v9.E(this.f10777f.headMap(k7, z7), this.f10778g);
        }

        public boolean isEmpty() {
            return !t8.c(this.f10777f.entrySet(), this.f10778g);
        }

        @Override // com.google.common.collect.q, java.util.NavigableMap
        public NavigableSet<K> navigableKeySet() {
            return new a(this);
        }

        @Override // com.google.common.collect.q, java.util.NavigableMap
        public Map.Entry<K, V> pollFirstEntry() {
            return (Map.Entry) t8.I(this.f10777f.entrySet(), this.f10778g);
        }

        @Override // com.google.common.collect.q, java.util.NavigableMap
        public Map.Entry<K, V> pollLastEntry() {
            return (Map.Entry) t8.I(this.f10777f.descendingMap().entrySet(), this.f10778g);
        }

        @Override // java.util.AbstractMap, java.util.Map
        public V put(K k7, V v7) {
            return this.f10779p.put(k7, v7);
        }

        @Override // java.util.AbstractMap, java.util.Map
        public void putAll(Map<? extends K, ? extends V> map) {
            this.f10779p.putAll(map);
        }

        @Override // java.util.AbstractMap, java.util.Map
        public V remove(Object obj) {
            return this.f10779p.remove(obj);
        }

        @Override // com.google.common.collect.v9.b0
        public int size() {
            return this.f10779p.size();
        }

        @Override // java.util.NavigableMap
        public NavigableMap<K, V> subMap(K k7, boolean z7, K k8, boolean z8) {
            return v9.E(this.f10777f.subMap(k7, z7, k8, z8), this.f10778g);
        }

        @Override // java.util.NavigableMap
        public NavigableMap<K, V> tailMap(K k7, boolean z7) {
            return v9.E(this.f10777f.tailMap(k7, z7), this.f10778g);
        }

        @Override // java.util.AbstractMap, java.util.Map, java.util.SortedMap
        public Collection<V> values() {
            return new a0(this, this.f10777f, this.f10778g);
        }
    }

    /* access modifiers changed from: private */
    public static class y<K, V> extends w<K, V> implements SortedMap<K, V> {

        /* access modifiers changed from: package-private */
        public class a extends w<K, V>.b implements SortedSet<K> {
            a() {
                super();
            }

            @Override // java.util.SortedSet
            public Comparator<? super K> comparator() {
                return y.this.i().comparator();
            }

            @Override // java.util.SortedSet
            public K first() {
                return (K) y.this.firstKey();
            }

            @Override // java.util.SortedSet
            public SortedSet<K> headSet(K k7) {
                return (SortedSet) y.this.headMap(k7).keySet();
            }

            @Override // java.util.SortedSet
            public K last() {
                return (K) y.this.lastKey();
            }

            @Override // java.util.SortedSet
            public SortedSet<K> subSet(K k7, K k8) {
                return (SortedSet) y.this.subMap(k7, k8).keySet();
            }

            @Override // java.util.SortedSet
            public SortedSet<K> tailSet(K k7) {
                return (SortedSet) y.this.tailMap(k7).keySet();
            }
        }

        y(SortedMap<K, V> sortedMap, Predicate<? super Map.Entry<K, V>> predicate) {
            super(sortedMap, predicate);
        }

        @Override // java.util.SortedMap
        public Comparator<? super K> comparator() {
            return i().comparator();
        }

        @Override // java.util.SortedMap
        public K firstKey() {
            return keySet().iterator().next();
        }

        /* access modifiers changed from: package-private */
        /* renamed from: g */
        public SortedSet<K> b() {
            return new a();
        }

        /* renamed from: h */
        public SortedSet<K> keySet() {
            return (SortedSet) super.keySet();
        }

        @Override // java.util.SortedMap
        public SortedMap<K, V> headMap(K k7) {
            return new y(i().headMap(k7), this.f10747y);
        }

        /* access modifiers changed from: package-private */
        public SortedMap<K, V> i() {
            return (SortedMap) this.f10746x;
        }

        @Override // java.util.SortedMap
        public K lastKey() {
            SortedMap<K, V> i7 = i();
            while (true) {
                K lastKey = i7.lastKey();
                if (d(lastKey, this.f10746x.get(lastKey))) {
                    return lastKey;
                }
                i7 = i().headMap(lastKey);
            }
        }

        @Override // java.util.SortedMap
        public SortedMap<K, V> subMap(K k7, K k8) {
            return new y(i().subMap(k7, k8), this.f10747y);
        }

        @Override // java.util.SortedMap
        public SortedMap<K, V> tailMap(K k7) {
            return new y(i().tailMap(k7), this.f10747y);
        }
    }

    private static class z<K, V> extends n<K, V> {
        final Predicate<? super K> C1;

        z(Map<K, V> map, Predicate<? super K> predicate, Predicate<? super Map.Entry<K, V>> predicate2) {
            super(map, predicate2);
            this.C1 = predicate;
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.collect.v9.s0
        public Set<Map.Entry<K, V>> a() {
            return jc.i(this.f10746x.entrySet(), this.f10747y);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.v9.s0
        public Set<K> b() {
            return jc.i(this.f10746x.keySet(), this.C1);
        }

        @Override // com.google.common.collect.v9.n
        public boolean containsKey(Object obj) {
            return this.f10746x.containsKey(obj) && this.C1.apply(obj);
        }
    }

    private v9() {
    }

    /* JADX DEBUG: Multi-variable search result rejected for r7v0, resolved type: java.util.Map<K, V> */
    /* JADX DEBUG: Multi-variable search result rejected for r9v0, resolved type: java.util.Map<K, V> */
    /* JADX DEBUG: Multi-variable search result rejected for r10v0, resolved type: java.util.Map<K, com.google.common.collect.l9$a<V>> */
    /* JADX DEBUG: Multi-variable search result rejected for r0v3, resolved type: ? super V */
    /* JADX WARN: Multi-variable type inference failed */
    private static <K, V> void A(Map<? extends K, ? extends V> map, Map<? extends K, ? extends V> map2, Equivalence<? super V> equivalence, Map<K, V> map3, Map<K, V> map4, Map<K, V> map5, Map<K, l9.a<V>> map6) {
        for (Map.Entry<? extends K, ? extends V> entry : map.entrySet()) {
            Object key = entry.getKey();
            Object obj = (Object) entry.getValue();
            if (map2.containsKey(key)) {
                V remove = map4.remove(key);
                if (equivalence.equivalent(obj, remove)) {
                    map5.put(key, obj);
                } else {
                    map6.put(key, q0.c(obj, remove));
                }
            } else {
                map3.put(key, obj);
            }
        }
    }

    static <V> V A0(Map<?, V> map, Object obj) {
        Preconditions.checkNotNull(map);
        try {
            return map.remove(obj);
        } catch (ClassCastException | NullPointerException unused) {
            return null;
        }
    }

    static boolean B(Map<?, ?> map, Object obj) {
        if (map == obj) {
            return true;
        }
        if (obj instanceof Map) {
            return map.entrySet().equals(((Map) obj).entrySet());
        }
        return false;
    }

    @m0.a
    @m0.c
    public static <K extends Comparable<? super K>, V> NavigableMap<K, V> B0(NavigableMap<K, V> navigableMap, ob<K> obVar) {
        boolean z7 = true;
        if (navigableMap.comparator() != null && navigableMap.comparator() != kb.B() && obVar.t() && obVar.u()) {
            Preconditions.checkArgument(navigableMap.comparator().compare(obVar.B(), obVar.N()) <= 0, "map is using a custom comparator which is inconsistent with the natural ordering.");
        }
        if (obVar.t() && obVar.u()) {
            K B = obVar.B();
            i0 A = obVar.A();
            i0 i0Var = i0.CLOSED;
            boolean z8 = A == i0Var;
            K N = obVar.N();
            if (obVar.M() != i0Var) {
                z7 = false;
            }
            return navigableMap.subMap(B, z8, N, z7);
        } else if (obVar.t()) {
            K B2 = obVar.B();
            if (obVar.A() != i0.CLOSED) {
                z7 = false;
            }
            return navigableMap.tailMap(B2, z7);
        } else if (!obVar.u()) {
            return (NavigableMap) Preconditions.checkNotNull(navigableMap);
        } else {
            K N2 = obVar.N();
            if (obVar.M() != i0.CLOSED) {
                z7 = false;
            }
            return navigableMap.headMap(N2, z7);
        }
    }

    public static <K, V> h0<K, V> C(h0<K, V> h0Var, Predicate<? super Map.Entry<K, V>> predicate) {
        Preconditions.checkNotNull(h0Var);
        Preconditions.checkNotNull(predicate);
        return h0Var instanceof v ? G((v) h0Var, predicate) : new v(h0Var, predicate);
    }

    public static <K, V> h0<K, V> C0(h0<K, V> h0Var) {
        return wd.g(h0Var, null);
    }

    public static <K, V> Map<K, V> D(Map<K, V> map, Predicate<? super Map.Entry<K, V>> predicate) {
        Preconditions.checkNotNull(predicate);
        return map instanceof n ? H((n) map, predicate) : new w((Map) Preconditions.checkNotNull(map), predicate);
    }

    @m0.c
    public static <K, V> NavigableMap<K, V> D0(NavigableMap<K, V> navigableMap) {
        return wd.o(navigableMap);
    }

    @m0.c
    public static <K, V> NavigableMap<K, V> E(NavigableMap<K, V> navigableMap, Predicate<? super Map.Entry<K, V>> predicate) {
        Preconditions.checkNotNull(predicate);
        return navigableMap instanceof x ? I((x) navigableMap, predicate) : new x((NavigableMap) Preconditions.checkNotNull(navigableMap), predicate);
    }

    public static <T, K extends Enum<K>, V> Collector<T, ?, h6<K, V>> E0(java.util.function.Function<? super T, ? extends K> function, java.util.function.Function<? super T, ? extends V> function2) {
        Preconditions.checkNotNull(function);
        Preconditions.checkNotNull(function2);
        return Collector.of(new o9(), new p9(function, function2), new q9(), new r9(), Collector.Characteristics.UNORDERED);
    }

    public static <K, V> SortedMap<K, V> F(SortedMap<K, V> sortedMap, Predicate<? super Map.Entry<K, V>> predicate) {
        Preconditions.checkNotNull(predicate);
        return sortedMap instanceof y ? J((y) sortedMap, predicate) : new y((SortedMap) Preconditions.checkNotNull(sortedMap), predicate);
    }

    public static <T, K extends Enum<K>, V> Collector<T, ?, h6<K, V>> F0(java.util.function.Function<? super T, ? extends K> function, java.util.function.Function<? super T, ? extends V> function2, BinaryOperator<V> binaryOperator) {
        Preconditions.checkNotNull(function);
        Preconditions.checkNotNull(function2);
        Preconditions.checkNotNull(binaryOperator);
        return Collector.of(new s9(binaryOperator), new t9(function, function2), new q9(), new r9(), new Collector.Characteristics[0]);
    }

    private static <K, V> h0<K, V> G(v<K, V> vVar, Predicate<? super Map.Entry<K, V>> predicate) {
        return new v(vVar.j(), Predicates.and(vVar.f10747y, predicate));
    }

    public static <K, V> h6<K, V> G0(Iterable<K> iterable, Function<? super K, V> function) {
        return H0(iterable.iterator(), function);
    }

    private static <K, V> Map<K, V> H(n<K, V> nVar, Predicate<? super Map.Entry<K, V>> predicate) {
        return new w(nVar.f10746x, Predicates.and(nVar.f10747y, predicate));
    }

    public static <K, V> h6<K, V> H0(Iterator<K> it, Function<? super K, V> function) {
        Preconditions.checkNotNull(function);
        LinkedHashMap m02 = m0();
        while (it.hasNext()) {
            K next = it.next();
            m02.put(next, function.apply(next));
        }
        return h6.g(m02);
    }

    @m0.c
    private static <K, V> NavigableMap<K, V> I(x<K, V> xVar, Predicate<? super Map.Entry<K, V>> predicate) {
        return new x(((x) xVar).f10777f, Predicates.and(((x) xVar).f10778g, predicate));
    }

    static String I0(Map<?, ?> map) {
        StringBuilder f7 = f2.f(map.size());
        f7.append('{');
        boolean z7 = true;
        for (Map.Entry<?, ?> entry : map.entrySet()) {
            if (!z7) {
                f7.append(", ");
            }
            f7.append(entry.getKey());
            f7.append('=');
            f7.append(entry.getValue());
            z7 = false;
        }
        f7.append('}');
        return f7.toString();
    }

    private static <K, V> SortedMap<K, V> J(y<K, V> yVar, Predicate<? super Map.Entry<K, V>> predicate) {
        return new y(yVar.i(), Predicates.and(yVar.f10747y, predicate));
    }

    public static <K, V1, V2> Map<K, V2> J0(Map<K, V1> map, u<? super K, ? super V1, V2> uVar) {
        return new j0(map, uVar);
    }

    public static <K, V> h0<K, V> K(h0<K, V> h0Var, Predicate<? super K> predicate) {
        Preconditions.checkNotNull(predicate);
        return C(h0Var, Z(predicate));
    }

    @m0.c
    public static <K, V1, V2> NavigableMap<K, V2> K0(NavigableMap<K, V1> navigableMap, u<? super K, ? super V1, V2> uVar) {
        return new k0(navigableMap, uVar);
    }

    public static <K, V> Map<K, V> L(Map<K, V> map, Predicate<? super K> predicate) {
        Preconditions.checkNotNull(predicate);
        Predicate Z = Z(predicate);
        return map instanceof n ? H((n) map, Z) : new z((Map) Preconditions.checkNotNull(map), predicate, Z);
    }

    public static <K, V1, V2> SortedMap<K, V2> L0(SortedMap<K, V1> sortedMap, u<? super K, ? super V1, V2> uVar) {
        return new l0(sortedMap, uVar);
    }

    @m0.c
    public static <K, V> NavigableMap<K, V> M(NavigableMap<K, V> navigableMap, Predicate<? super K> predicate) {
        return E(navigableMap, Z(predicate));
    }

    static <V2, K, V1> Map.Entry<K, V2> M0(u<? super K, ? super V1, V2> uVar, Map.Entry<K, V1> entry) {
        Preconditions.checkNotNull(uVar);
        Preconditions.checkNotNull(entry);
        return new c(entry, uVar);
    }

    public static <K, V> SortedMap<K, V> N(SortedMap<K, V> sortedMap, Predicate<? super K> predicate) {
        return F(sortedMap, Z(predicate));
    }

    public static <K, V1, V2> Map<K, V2> N0(Map<K, V1> map, Function<? super V1, V2> function) {
        return J0(map, n(function));
    }

    public static <K, V> h0<K, V> O(h0<K, V> h0Var, Predicate<? super V> predicate) {
        return C(h0Var, c1(predicate));
    }

    @m0.c
    public static <K, V1, V2> NavigableMap<K, V2> O0(NavigableMap<K, V1> navigableMap, Function<? super V1, V2> function) {
        return K0(navigableMap, n(function));
    }

    public static <K, V> Map<K, V> P(Map<K, V> map, Predicate<? super V> predicate) {
        return D(map, c1(predicate));
    }

    public static <K, V1, V2> SortedMap<K, V2> P0(SortedMap<K, V1> sortedMap, Function<? super V1, V2> function) {
        return L0(sortedMap, n(function));
    }

    @m0.c
    public static <K, V> NavigableMap<K, V> Q(NavigableMap<K, V> navigableMap, Predicate<? super V> predicate) {
        return E(navigableMap, c1(predicate));
    }

    @p0.a
    public static <K, V> h6<K, V> Q0(Iterable<V> iterable, Function<? super V, K> function) {
        return R0(iterable.iterator(), function);
    }

    public static <K, V> SortedMap<K, V> R(SortedMap<K, V> sortedMap, Predicate<? super V> predicate) {
        return F(sortedMap, c1(predicate));
    }

    @p0.a
    public static <K, V> h6<K, V> R0(Iterator<V> it, Function<? super V, K> function) {
        Preconditions.checkNotNull(function);
        h6.b b7 = h6.b();
        while (it.hasNext()) {
            V next = it.next();
            b7.f(function.apply(next), next);
        }
        try {
            return b7.a();
        } catch (IllegalArgumentException e7) {
            throw new IllegalArgumentException(e7.getMessage() + ". To index multiple values under a key, use Multimaps.index.");
        }
    }

    @m0.c
    public static h6<String, String> S(Properties properties) {
        h6.b b7 = h6.b();
        Enumeration<?> propertyNames = properties.propertyNames();
        while (propertyNames.hasMoreElements()) {
            String str = (String) propertyNames.nextElement();
            b7.f(str, properties.getProperty(str));
        }
        return b7.a();
    }

    public static <K, V> h0<K, V> S0(h0<? extends K, ? extends V> h0Var) {
        return new m0(h0Var, null);
    }

    @m0.b(serializable = true)
    public static <K, V> Map.Entry<K, V> T(K k7, V v7) {
        return new o5(k7, v7);
    }

    static <K, V> Map.Entry<K, V> T0(Map.Entry<? extends K, ? extends V> entry) {
        Preconditions.checkNotNull(entry);
        return new k(entry);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r3v0, resolved type: java.util.EnumMap */
    /* JADX WARN: Multi-variable type inference failed */
    @m0.b(serializable = true)
    public static <K extends Enum<K>, V> h6<K, V> U(Map<K, ? extends V> map) {
        if (map instanceof q5) {
            return (q5) map;
        }
        Iterator<Map.Entry<K, ? extends V>> it = map.entrySet().iterator();
        if (!it.hasNext()) {
            return h6.v();
        }
        Map.Entry<K, ? extends V> next = it.next();
        K key = next.getKey();
        Object value = next.getValue();
        t1.a(key, value);
        EnumMap enumMap = new EnumMap(key.getDeclaringClass());
        while (true) {
            enumMap.put((Enum) key, value);
            if (!it.hasNext()) {
                return q5.I(enumMap);
            }
            Map.Entry<K, ? extends V> next2 = it.next();
            key = next2.getKey();
            value = next2.getValue();
            t1.a(key, value);
        }
    }

    static <K, V> le<Map.Entry<K, V>> U0(Iterator<Map.Entry<K, V>> it) {
        return new l(it);
    }

    static <E> h6<E, Integer> V(Collection<E> collection) {
        h6.b bVar = new h6.b(collection.size());
        int i7 = 0;
        for (E e7 : collection) {
            bVar.f(e7, Integer.valueOf(i7));
            i7++;
        }
        return bVar.a();
    }

    static <K, V> Set<Map.Entry<K, V>> V0(Set<Map.Entry<K, V>> set) {
        return new o0(Collections.unmodifiableSet(set));
    }

    static <K> Function<Map.Entry<K, ?>, K> W() {
        return s.KEY;
    }

    /* access modifiers changed from: private */
    public static <K, V> Map<K, V> W0(Map<K, ? extends V> map) {
        return map instanceof SortedMap ? Collections.unmodifiableSortedMap((SortedMap) map) : Collections.unmodifiableMap(map);
    }

    static <K, V> Iterator<K> X(Iterator<Map.Entry<K, V>> it) {
        return new e(it);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: java.util.NavigableMap<K, ? extends V> */
    /* JADX WARN: Multi-variable type inference failed */
    @m0.c
    public static <K, V> NavigableMap<K, V> X0(NavigableMap<K, ? extends V> navigableMap) {
        Preconditions.checkNotNull(navigableMap);
        return navigableMap instanceof p0 ? navigableMap : new p0(navigableMap);
    }

    static <K> K Y(Map.Entry<K, ?> entry) {
        if (entry == null) {
            return null;
        }
        return entry.getKey();
    }

    /* access modifiers changed from: private */
    public static <K, V> Map.Entry<K, V> Y0(Map.Entry<K, ? extends V> entry) {
        if (entry == null) {
            return null;
        }
        return T0(entry);
    }

    static <K> Predicate<Map.Entry<K, ?>> Z(Predicate<? super K> predicate) {
        return Predicates.compose(predicate, W());
    }

    static <V> Function<Map.Entry<?, V>, V> Z0() {
        return s.VALUE;
    }

    /* access modifiers changed from: private */
    public static /* synthetic */ Object a0(Object obj, Object obj2) {
        throw new IllegalArgumentException("Multiple values for key: " + obj + ", " + obj2);
    }

    static <K, V> Iterator<V> a1(Iterator<Map.Entry<K, V>> it) {
        return new f(it);
    }

    /* access modifiers changed from: private */
    public static /* synthetic */ o b0() {
        return new o(new u9());
    }

    static <V> V b1(Map.Entry<?, V> entry) {
        if (entry == null) {
            return null;
        }
        return entry.getValue();
    }

    /* access modifiers changed from: private */
    public static /* synthetic */ void c0(java.util.function.Function function, java.util.function.Function function2, o oVar, Object obj) {
        oVar.b((Enum) Preconditions.checkNotNull(function.apply(obj), "Null key for input %s", obj), Preconditions.checkNotNull(function2.apply(obj), "Null value for input %s", obj));
    }

    static <V> Predicate<Map.Entry<?, V>> c1(Predicate<? super V> predicate) {
        return Predicates.compose(predicate, Z0());
    }

    /* access modifiers changed from: private */
    public static /* synthetic */ o d0(BinaryOperator binaryOperator) {
        return new o(binaryOperator);
    }

    /* access modifiers changed from: private */
    public static /* synthetic */ void e0(java.util.function.Function function, java.util.function.Function function2, o oVar, Object obj) {
        oVar.b((Enum) Preconditions.checkNotNull(function.apply(obj), "Null key for input %s", obj), Preconditions.checkNotNull(function2.apply(obj), "Null value for input %s", obj));
    }

    public static <K, V> ConcurrentMap<K, V> f0() {
        return new ConcurrentHashMap();
    }

    public static <K extends Enum<K>, V> EnumMap<K, V> g0(Class<K> cls) {
        return new EnumMap<>((Class) Preconditions.checkNotNull(cls));
    }

    public static <K extends Enum<K>, V> EnumMap<K, V> h0(Map<K, ? extends V> map) {
        return new EnumMap<>(map);
    }

    public static <K, V> HashMap<K, V> i0() {
        return new HashMap<>();
    }

    public static <K, V> HashMap<K, V> j0(Map<? extends K, ? extends V> map) {
        return new HashMap<>(map);
    }

    public static <A, B> Converter<A, B> k(h0<A, B> h0Var) {
        return new q(h0Var);
    }

    public static <K, V> HashMap<K, V> k0(int i7) {
        return new HashMap<>(t(i7));
    }

    static <K, V1, V2> Function<Map.Entry<K, V1>, Map.Entry<K, V2>> l(u<? super K, ? super V1, V2> uVar) {
        Preconditions.checkNotNull(uVar);
        return new d(uVar);
    }

    public static <K, V> IdentityHashMap<K, V> l0() {
        return new IdentityHashMap<>();
    }

    static <K, V1, V2> Function<Map.Entry<K, V1>, V2> m(u<? super K, ? super V1, V2> uVar) {
        Preconditions.checkNotNull(uVar);
        return new b(uVar);
    }

    public static <K, V> LinkedHashMap<K, V> m0() {
        return new LinkedHashMap<>();
    }

    static <K, V1, V2> u<K, V1, V2> n(Function<? super V1, V2> function) {
        Preconditions.checkNotNull(function);
        return new m(function);
    }

    public static <K, V> LinkedHashMap<K, V> n0(Map<? extends K, ? extends V> map) {
        return new LinkedHashMap<>(map);
    }

    public static <K, V> Map<K, V> o(Set<K> set, Function<? super K, V> function) {
        return new p(set, function);
    }

    public static <K, V> LinkedHashMap<K, V> o0(int i7) {
        return new LinkedHashMap<>(t(i7));
    }

    @m0.c
    public static <K, V> NavigableMap<K, V> p(NavigableSet<K> navigableSet, Function<? super K, V> function) {
        return new e0(navigableSet, function);
    }

    public static <K extends Comparable, V> TreeMap<K, V> p0() {
        return new TreeMap<>();
    }

    public static <K, V> SortedMap<K, V> q(SortedSet<K> sortedSet, Function<? super K, V> function) {
        return new g0(sortedSet, function);
    }

    public static <C, K extends C, V> TreeMap<K, V> q0(Comparator<C> comparator) {
        return new TreeMap<>(comparator);
    }

    static <K, V> Iterator<Map.Entry<K, V>> r(Set<K> set, Function<? super K, V> function) {
        return new g(set.iterator(), function);
    }

    public static <K, V> TreeMap<K, V> r0(SortedMap<K, ? extends V> sortedMap) {
        return new TreeMap<>((SortedMap) sortedMap);
    }

    static <K, V1, V2> Function<V1, V2> s(u<? super K, V1, V2> uVar, K k7) {
        Preconditions.checkNotNull(uVar);
        return new a(uVar, k7);
    }

    static <E> Comparator<? super E> s0(Comparator<? super E> comparator) {
        return comparator != null ? comparator : kb.B();
    }

    static int t(int i7) {
        if (i7 < 3) {
            t1.b(i7, "expectedSize");
            return i7 + 1;
        } else if (i7 < 1073741824) {
            return (int) ((((float) i7) / 0.75f) + 1.0f);
        } else {
            return Integer.MAX_VALUE;
        }
    }

    /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: java.util.Map<K, V> */
    /* JADX WARN: Multi-variable type inference failed */
    static <K, V> void t0(Map<K, V> map, Map<? extends K, ? extends V> map2) {
        for (Map.Entry<? extends K, ? extends V> entry : map2.entrySet()) {
            map.put(entry.getKey(), entry.getValue());
        }
    }

    static <K, V> boolean u(Collection<Map.Entry<K, V>> collection, Object obj) {
        if (!(obj instanceof Map.Entry)) {
            return false;
        }
        return collection.contains(T0((Map.Entry) obj));
    }

    static <K, V> boolean u0(Collection<Map.Entry<K, V>> collection, Object obj) {
        if (!(obj instanceof Map.Entry)) {
            return false;
        }
        return collection.remove(T0((Map.Entry) obj));
    }

    static boolean v(Map<?, ?> map, Object obj) {
        return w8.q(X(map.entrySet().iterator()), obj);
    }

    /* access modifiers changed from: private */
    @m0.c
    public static <E> NavigableSet<E> v0(NavigableSet<E> navigableSet) {
        return new j(navigableSet);
    }

    static boolean w(Map<?, ?> map, Object obj) {
        return w8.q(a1(map.entrySet().iterator()), obj);
    }

    /* access modifiers changed from: private */
    public static <E> Set<E> w0(Set<E> set) {
        return new h(set);
    }

    public static <K, V> l9<K, V> x(Map<? extends K, ? extends V> map, Map<? extends K, ? extends V> map2) {
        return map instanceof SortedMap ? z((SortedMap) map, map2) : y(map, map2, Equivalence.equals());
    }

    /* access modifiers changed from: private */
    public static <E> SortedSet<E> x0(SortedSet<E> sortedSet) {
        return new i(sortedSet);
    }

    public static <K, V> l9<K, V> y(Map<? extends K, ? extends V> map, Map<? extends K, ? extends V> map2, Equivalence<? super V> equivalence) {
        Preconditions.checkNotNull(equivalence);
        LinkedHashMap m02 = m0();
        LinkedHashMap linkedHashMap = new LinkedHashMap(map2);
        LinkedHashMap m03 = m0();
        LinkedHashMap m04 = m0();
        A(map, map2, equivalence, m02, linkedHashMap, m03, m04);
        return new d0(m02, linkedHashMap, m03, m04);
    }

    static boolean y0(Map<?, ?> map, Object obj) {
        Preconditions.checkNotNull(map);
        try {
            return map.containsKey(obj);
        } catch (ClassCastException | NullPointerException unused) {
            return false;
        }
    }

    public static <K, V> yc<K, V> z(SortedMap<K, ? extends V> sortedMap, Map<? extends K, ? extends V> map) {
        Preconditions.checkNotNull(sortedMap);
        Preconditions.checkNotNull(map);
        Comparator s02 = s0(sortedMap.comparator());
        TreeMap q02 = q0(s02);
        TreeMap q03 = q0(s02);
        q03.putAll(map);
        TreeMap q04 = q0(s02);
        TreeMap q05 = q0(s02);
        A(sortedMap, map, Equivalence.equals(), q02, q03, q04, q05);
        return new i0(q02, q03, q04, q05);
    }

    static <V> V z0(Map<?, V> map, Object obj) {
        Preconditions.checkNotNull(map);
        try {
            return map.get(obj);
        } catch (ClassCastException | NullPointerException unused) {
            return null;
        }
    }
}
