package com.google.common.collect;

import com.google.common.base.Function;
import com.google.common.base.Objects;
import com.google.common.base.Optional;
import com.google.common.base.Preconditions;
import com.google.common.base.Predicate;
import com.google.common.base.Predicates;
import java.util.ArrayDeque;
import java.util.Arrays;
import java.util.Collection;
import java.util.Collections;
import java.util.Comparator;
import java.util.Deque;
import java.util.Enumeration;
import java.util.Iterator;
import java.util.List;
import java.util.ListIterator;
import java.util.NoSuchElementException;
import java.util.PriorityQueue;
import java.util.Queue;
import kotlin.text.h0;

@m0.b(emulated = true)
public final class w8 {

    static class a extends le<T> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ Enumeration f10834f;

        a(Enumeration enumeration) {
            this.f10834f = enumeration;
        }

        public boolean hasNext() {
            return this.f10834f.hasMoreElements();
        }

        @Override // java.util.Iterator
        public T next() {
            return (T) this.f10834f.nextElement();
        }
    }

    static class b implements Enumeration<T> {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ Iterator f10835a;

        b(Iterator it) {
            this.f10835a = it;
        }

        public boolean hasMoreElements() {
            return this.f10835a.hasNext();
        }

        @Override // java.util.Enumeration
        public T nextElement() {
            return (T) this.f10835a.next();
        }
    }

    /* access modifiers changed from: package-private */
    public static class c extends le<T> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ Iterator f10836f;

        c(Iterator it) {
            this.f10836f = it;
        }

        public boolean hasNext() {
            return this.f10836f.hasNext();
        }

        @Override // java.util.Iterator
        public T next() {
            return (T) this.f10836f.next();
        }
    }

    /* access modifiers changed from: package-private */
    public static class d implements Iterator<T> {

        /* renamed from: f  reason: collision with root package name */
        Iterator<T> f10837f = w8.w();

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ Iterable f10838g;

        d(Iterable iterable) {
            this.f10838g = iterable;
        }

        public boolean hasNext() {
            return this.f10837f.hasNext() || this.f10838g.iterator().hasNext();
        }

        @Override // java.util.Iterator
        public T next() {
            if (!this.f10837f.hasNext()) {
                Iterator<T> it = this.f10838g.iterator();
                this.f10837f = it;
                if (!it.hasNext()) {
                    throw new NoSuchElementException();
                }
            }
            return this.f10837f.next();
        }

        public void remove() {
            this.f10837f.remove();
        }
    }

    /* access modifiers changed from: package-private */
    public static class e extends le<T> {

        /* renamed from: f  reason: collision with root package name */
        int f10839f = 0;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ Object[] f10840g;

        e(Object[] objArr) {
            this.f10840g = objArr;
        }

        public boolean hasNext() {
            return this.f10839f < this.f10840g.length;
        }

        @Override // java.util.Iterator
        public T next() {
            if (hasNext()) {
                Object[] objArr = this.f10840g;
                int i7 = this.f10839f;
                T t7 = (T) objArr[i7];
                objArr[i7] = null;
                this.f10839f = i7 + 1;
                return t7;
            }
            throw new NoSuchElementException();
        }
    }

    /* access modifiers changed from: package-private */
    public static class f extends le<List<T>> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ Iterator f10841f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ int f10842g;

        /* renamed from: p  reason: collision with root package name */
        final /* synthetic */ boolean f10843p;

        f(Iterator it, int i7, boolean z7) {
            this.f10841f = it;
            this.f10842g = i7;
            this.f10843p = z7;
        }

        /* renamed from: a */
        public List<T> next() {
            if (hasNext()) {
                Object[] objArr = new Object[this.f10842g];
                int i7 = 0;
                while (i7 < this.f10842g && this.f10841f.hasNext()) {
                    objArr[i7] = this.f10841f.next();
                    i7++;
                }
                for (int i8 = i7; i8 < this.f10842g; i8++) {
                    objArr[i8] = null;
                }
                List<T> unmodifiableList = Collections.unmodifiableList(Arrays.asList(objArr));
                return (this.f10843p || i7 == this.f10842g) ? unmodifiableList : unmodifiableList.subList(0, i7);
            }
            throw new NoSuchElementException();
        }

        public boolean hasNext() {
            return this.f10841f.hasNext();
        }
    }

    /* access modifiers changed from: package-private */
    public static class g extends c<T> {

        /* renamed from: p  reason: collision with root package name */
        final /* synthetic */ Iterator f10844p;

        /* renamed from: x  reason: collision with root package name */
        final /* synthetic */ Predicate f10845x;

        g(Iterator it, Predicate predicate) {
            this.f10844p = it;
            this.f10845x = predicate;
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.collect.c
        public T a() {
            while (this.f10844p.hasNext()) {
                T t7 = (T) this.f10844p.next();
                if (this.f10845x.apply(t7)) {
                    return t7;
                }
            }
            return (T) b();
        }
    }

    /* access modifiers changed from: package-private */
    public static class h extends de<F, T> {

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ Function f10846g;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        h(Iterator it, Function function) {
            super(it);
            this.f10846g = function;
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.de
        public T a(F f7) {
            return (T) this.f10846g.apply(f7);
        }
    }

    static class i implements Iterator<T> {

        /* renamed from: f  reason: collision with root package name */
        private int f10847f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ int f10848g;

        /* renamed from: p  reason: collision with root package name */
        final /* synthetic */ Iterator f10849p;

        i(int i7, Iterator it) {
            this.f10848g = i7;
            this.f10849p = it;
        }

        public boolean hasNext() {
            return this.f10847f < this.f10848g && this.f10849p.hasNext();
        }

        @Override // java.util.Iterator
        public T next() {
            if (hasNext()) {
                this.f10847f++;
                return (T) this.f10849p.next();
            }
            throw new NoSuchElementException();
        }

        public void remove() {
            this.f10849p.remove();
        }
    }

    static class j extends le<T> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ Iterator f10850f;

        j(Iterator it) {
            this.f10850f = it;
        }

        public boolean hasNext() {
            return this.f10850f.hasNext();
        }

        @Override // java.util.Iterator
        public T next() {
            T t7 = (T) this.f10850f.next();
            this.f10850f.remove();
            return t7;
        }

        public String toString() {
            return "Iterators.consumingIterator(...)";
        }
    }

    static class k extends le<T> {

        /* renamed from: f  reason: collision with root package name */
        boolean f10851f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ Object f10852g;

        k(Object obj) {
            this.f10852g = obj;
        }

        public boolean hasNext() {
            return !this.f10851f;
        }

        @Override // java.util.Iterator
        public T next() {
            if (!this.f10851f) {
                this.f10851f = true;
                return (T) this.f10852g;
            }
            throw new NoSuchElementException();
        }
    }

    /* access modifiers changed from: private */
    public static final class l<T> extends b<T> {

        /* renamed from: y  reason: collision with root package name */
        static final me<Object> f10853y = new l(new Object[0], 0, 0, 0);

        /* renamed from: p  reason: collision with root package name */
        private final T[] f10854p;

        /* renamed from: x  reason: collision with root package name */
        private final int f10855x;

        l(T[] tArr, int i7, int i8, int i9) {
            super(i8, i9);
            this.f10854p = tArr;
            this.f10855x = i7;
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.collect.b
        public T a(int i7) {
            return this.f10854p[this.f10855x + i7];
        }
    }

    /* access modifiers changed from: private */
    public static class m<T> implements Iterator<T> {

        /* renamed from: f  reason: collision with root package name */
        private Iterator<? extends T> f10856f;

        /* renamed from: g  reason: collision with root package name */
        private Iterator<? extends T> f10857g = w8.u();

        /* renamed from: p  reason: collision with root package name */
        private Iterator<? extends Iterator<? extends T>> f10858p;

        /* renamed from: x  reason: collision with root package name */
        private Deque<Iterator<? extends Iterator<? extends T>>> f10859x;

        m(Iterator<? extends Iterator<? extends T>> it) {
            this.f10858p = (Iterator) Preconditions.checkNotNull(it);
        }

        private Iterator<? extends Iterator<? extends T>> a() {
            while (true) {
                Iterator<? extends Iterator<? extends T>> it = this.f10858p;
                if (it != null && it.hasNext()) {
                    return this.f10858p;
                }
                Deque<Iterator<? extends Iterator<? extends T>>> deque = this.f10859x;
                if (deque == null || deque.isEmpty()) {
                    return null;
                }
                this.f10858p = this.f10859x.removeFirst();
            }
        }

        public boolean hasNext() {
            while (!((Iterator) Preconditions.checkNotNull(this.f10857g)).hasNext()) {
                Iterator<? extends Iterator<? extends T>> a8 = a();
                this.f10858p = a8;
                if (a8 == null) {
                    return false;
                }
                Iterator<? extends T> it = (Iterator) a8.next();
                this.f10857g = it;
                if (it instanceof m) {
                    m mVar = (m) it;
                    this.f10857g = mVar.f10857g;
                    if (this.f10859x == null) {
                        this.f10859x = new ArrayDeque();
                    }
                    this.f10859x.addFirst(this.f10858p);
                    if (mVar.f10859x != null) {
                        while (!mVar.f10859x.isEmpty()) {
                            this.f10859x.addFirst(mVar.f10859x.removeLast());
                        }
                    }
                    this.f10858p = mVar.f10858p;
                }
            }
            return true;
        }

        @Override // java.util.Iterator
        public T next() {
            if (hasNext()) {
                Iterator<? extends T> it = this.f10857g;
                this.f10856f = it;
                return (T) it.next();
            }
            throw new NoSuchElementException();
        }

        public void remove() {
            t1.e(this.f10856f != null);
            this.f10856f.remove();
            this.f10856f = null;
        }
    }

    /* access modifiers changed from: private */
    public enum n implements Iterator<Object> {
        INSTANCE;

        public boolean hasNext() {
            return false;
        }

        @Override // java.util.Iterator
        public Object next() {
            throw new NoSuchElementException();
        }

        public void remove() {
            t1.e(false);
        }
    }

    private static class o<T> extends le<T> {

        /* renamed from: f  reason: collision with root package name */
        final Queue<lb<T>> f10862f;

        class a implements Comparator<lb<T>> {

            /* renamed from: f  reason: collision with root package name */
            final /* synthetic */ Comparator f10863f;

            a(Comparator comparator) {
                this.f10863f = comparator;
            }

            /* renamed from: a */
            public int compare(lb<T> lbVar, lb<T> lbVar2) {
                return this.f10863f.compare(lbVar.peek(), lbVar2.peek());
            }
        }

        public o(Iterable<? extends Iterator<? extends T>> iterable, Comparator<? super T> comparator) {
            this.f10862f = new PriorityQueue(2, new a(comparator));
            Iterator<? extends Iterator<? extends T>> it = iterable.iterator();
            while (it.hasNext()) {
                Iterator it2 = (Iterator) it.next();
                if (it2.hasNext()) {
                    this.f10862f.add(w8.T(it2));
                }
            }
        }

        public boolean hasNext() {
            return !this.f10862f.isEmpty();
        }

        @Override // java.util.Iterator
        public T next() {
            lb<T> remove = this.f10862f.remove();
            T next = remove.next();
            if (remove.hasNext()) {
                this.f10862f.add(remove);
            }
            return next;
        }
    }

    /* access modifiers changed from: private */
    public static class p<E> implements lb<E> {

        /* renamed from: f  reason: collision with root package name */
        private final Iterator<? extends E> f10865f;

        /* renamed from: g  reason: collision with root package name */
        private boolean f10866g;

        /* renamed from: p  reason: collision with root package name */
        private E f10867p;

        public p(Iterator<? extends E> it) {
            this.f10865f = (Iterator) Preconditions.checkNotNull(it);
        }

        public boolean hasNext() {
            return this.f10866g || this.f10865f.hasNext();
        }

        @Override // java.util.Iterator, com.google.common.collect.lb
        public E next() {
            if (!this.f10866g) {
                return (E) this.f10865f.next();
            }
            E e7 = this.f10867p;
            this.f10866g = false;
            this.f10867p = null;
            return e7;
        }

        @Override // com.google.common.collect.lb
        public E peek() {
            if (!this.f10866g) {
                this.f10867p = (E) this.f10865f.next();
                this.f10866g = true;
            }
            return this.f10867p;
        }

        @Override // com.google.common.collect.lb
        public void remove() {
            Preconditions.checkState(!this.f10866g, "Can't remove after you've peeked at next");
            this.f10865f.remove();
        }
    }

    private w8() {
    }

    /* JADX WARN: Type inference failed for: r0v1, types: [T, java.lang.Object] */
    /* JADX WARNING: Unknown variable types count: 1 */
    public static <T> T A(Iterator<? extends T> it, Predicate<? super T> predicate, T t7) {
        Preconditions.checkNotNull(it);
        Preconditions.checkNotNull(predicate);
        while (it.hasNext()) {
            ?? r02 = (Object) it.next();
            if (predicate.apply(r02)) {
                return r02;
            }
        }
        return t7;
    }

    @SafeVarargs
    public static <T> le<T> B(T... tArr) {
        return C(tArr, 0, tArr.length, 0);
    }

    static <T> me<T> C(T[] tArr, int i7, int i8, int i9) {
        Preconditions.checkArgument(i8 >= 0);
        Preconditions.checkPositionIndexes(i7, i7 + i8, tArr.length);
        Preconditions.checkPositionIndex(i9, i8);
        return i8 == 0 ? v() : new l(tArr, i7, i8, i9);
    }

    public static <T> le<T> D(Enumeration<T> enumeration) {
        Preconditions.checkNotNull(enumeration);
        return new a(enumeration);
    }

    public static int E(Iterator<?> it, Object obj) {
        int i7 = 0;
        while (q(it, obj)) {
            i7++;
        }
        return i7;
    }

    public static <T> T F(Iterator<T> it, int i7) {
        g(i7);
        int b7 = b(it, i7);
        if (it.hasNext()) {
            return it.next();
        }
        throw new IndexOutOfBoundsException("position (" + i7 + ") must be less than the number of elements that remained (" + b7 + ")");
    }

    public static <T> T G(Iterator<? extends T> it, int i7, T t7) {
        g(i7);
        b(it, i7);
        return (T) J(it, t7);
    }

    public static <T> T H(Iterator<T> it) {
        T next;
        do {
            next = it.next();
        } while (it.hasNext());
        return next;
    }

    public static <T> T I(Iterator<? extends T> it, T t7) {
        return it.hasNext() ? (T) H(it) : t7;
    }

    public static <T> T J(Iterator<? extends T> it, T t7) {
        return it.hasNext() ? (T) it.next() : t7;
    }

    public static <T> T K(Iterator<T> it) {
        T next = it.next();
        if (!it.hasNext()) {
            return next;
        }
        StringBuilder sb = new StringBuilder();
        sb.append("expected one element but was: <");
        sb.append((Object) next);
        for (int i7 = 0; i7 < 4 && it.hasNext(); i7++) {
            sb.append(", ");
            sb.append((Object) it.next());
        }
        if (it.hasNext()) {
            sb.append(", ...");
        }
        sb.append(h0.f20273f);
        throw new IllegalArgumentException(sb.toString());
    }

    public static <T> T L(Iterator<? extends T> it, T t7) {
        return it.hasNext() ? (T) K(it) : t7;
    }

    public static <T> int M(Iterator<T> it, Predicate<? super T> predicate) {
        Preconditions.checkNotNull(predicate, "predicate");
        int i7 = 0;
        while (it.hasNext()) {
            if (predicate.apply(it.next())) {
                return i7;
            }
            i7++;
        }
        return -1;
    }

    public static <T> Iterator<T> N(Iterator<T> it, int i7) {
        Preconditions.checkNotNull(it);
        Preconditions.checkArgument(i7 >= 0, "limit is negative");
        return new i(i7, it);
    }

    @m0.a
    public static <T> le<T> O(Iterable<? extends Iterator<? extends T>> iterable, Comparator<? super T> comparator) {
        Preconditions.checkNotNull(iterable, "iterators");
        Preconditions.checkNotNull(comparator, "comparator");
        return new o(iterable, comparator);
    }

    public static <T> le<List<T>> P(Iterator<T> it, int i7) {
        return R(it, i7, true);
    }

    public static <T> le<List<T>> Q(Iterator<T> it, int i7) {
        return R(it, i7, false);
    }

    private static <T> le<List<T>> R(Iterator<T> it, int i7, boolean z7) {
        Preconditions.checkNotNull(it);
        Preconditions.checkArgument(i7 > 0);
        return new f(it, i7, z7);
    }

    @Deprecated
    public static <T> lb<T> S(lb<T> lbVar) {
        return (lb) Preconditions.checkNotNull(lbVar);
    }

    public static <T> lb<T> T(Iterator<? extends T> it) {
        return it instanceof p ? (p) it : new p(it);
    }

    static <T> T U(Iterator<T> it) {
        if (!it.hasNext()) {
            return null;
        }
        T next = it.next();
        it.remove();
        return next;
    }

    @p0.a
    public static boolean V(Iterator<?> it, Collection<?> collection) {
        Preconditions.checkNotNull(collection);
        boolean z7 = false;
        while (it.hasNext()) {
            if (collection.contains(it.next())) {
                it.remove();
                z7 = true;
            }
        }
        return z7;
    }

    @p0.a
    public static <T> boolean W(Iterator<T> it, Predicate<? super T> predicate) {
        Preconditions.checkNotNull(predicate);
        boolean z7 = false;
        while (it.hasNext()) {
            if (predicate.apply(it.next())) {
                it.remove();
                z7 = true;
            }
        }
        return z7;
    }

    @p0.a
    public static boolean X(Iterator<?> it, Collection<?> collection) {
        Preconditions.checkNotNull(collection);
        boolean z7 = false;
        while (it.hasNext()) {
            if (!collection.contains(it.next())) {
                it.remove();
                z7 = true;
            }
        }
        return z7;
    }

    public static <T> le<T> Y(T t7) {
        return new k(t7);
    }

    public static int Z(Iterator<?> it) {
        long j7 = 0;
        while (it.hasNext()) {
            it.next();
            j7++;
        }
        return com.google.common.primitives.l.x(j7);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: java.util.Collection<T> */
    /* JADX WARN: Multi-variable type inference failed */
    @p0.a
    public static <T> boolean a(Collection<T> collection, Iterator<? extends T> it) {
        Preconditions.checkNotNull(collection);
        Preconditions.checkNotNull(it);
        boolean z7 = false;
        while (it.hasNext()) {
            z7 |= collection.add(it.next());
        }
        return z7;
    }

    @m0.c
    public static <T> T[] a0(Iterator<? extends T> it, Class<T> cls) {
        return (T[]) t8.O(i9.s(it), cls);
    }

    @p0.a
    public static int b(Iterator<?> it, int i7) {
        Preconditions.checkNotNull(it);
        int i8 = 0;
        Preconditions.checkArgument(i7 >= 0, "numberToAdvance must be nonnegative");
        while (i8 < i7 && it.hasNext()) {
            it.next();
            i8++;
        }
        return i8;
    }

    public static String b0(Iterator<?> it) {
        StringBuilder sb = new StringBuilder();
        sb.append('[');
        boolean z7 = true;
        while (it.hasNext()) {
            if (!z7) {
                sb.append(", ");
            }
            sb.append(it.next());
            z7 = false;
        }
        sb.append(']');
        return sb.toString();
    }

    public static <T> boolean c(Iterator<T> it, Predicate<? super T> predicate) {
        Preconditions.checkNotNull(predicate);
        while (it.hasNext()) {
            if (!predicate.apply(it.next())) {
                return false;
            }
        }
        return true;
    }

    public static <F, T> Iterator<T> c0(Iterator<F> it, Function<? super F, ? extends T> function) {
        Preconditions.checkNotNull(function);
        return new h(it, function);
    }

    public static <T> boolean d(Iterator<T> it, Predicate<? super T> predicate) {
        return M(it, predicate) != -1;
    }

    public static <T> Optional<T> d0(Iterator<T> it, Predicate<? super T> predicate) {
        Preconditions.checkNotNull(it);
        Preconditions.checkNotNull(predicate);
        while (it.hasNext()) {
            T next = it.next();
            if (predicate.apply(next)) {
                return Optional.of(next);
            }
        }
        return Optional.absent();
    }

    public static <T> Enumeration<T> e(Iterator<T> it) {
        Preconditions.checkNotNull(it);
        return new b(it);
    }

    @Deprecated
    public static <T> le<T> e0(le<T> leVar) {
        return (le) Preconditions.checkNotNull(leVar);
    }

    static <T> ListIterator<T> f(Iterator<T> it) {
        return (ListIterator) it;
    }

    public static <T> le<T> f0(Iterator<? extends T> it) {
        Preconditions.checkNotNull(it);
        return it instanceof le ? (le) it : new c(it);
    }

    static void g(int i7) {
        if (i7 < 0) {
            throw new IndexOutOfBoundsException("position (" + i7 + ") must not be negative");
        }
    }

    static void h(Iterator<?> it) {
        Preconditions.checkNotNull(it);
        while (it.hasNext()) {
            it.next();
            it.remove();
        }
    }

    public static <T> Iterator<T> i(Iterator<? extends Iterator<? extends T>> it) {
        return new m(it);
    }

    public static <T> Iterator<T> j(Iterator<? extends T> it, Iterator<? extends T> it2) {
        Preconditions.checkNotNull(it);
        Preconditions.checkNotNull(it2);
        return i(o(it, it2));
    }

    public static <T> Iterator<T> k(Iterator<? extends T> it, Iterator<? extends T> it2, Iterator<? extends T> it3) {
        Preconditions.checkNotNull(it);
        Preconditions.checkNotNull(it2);
        Preconditions.checkNotNull(it3);
        return i(o(it, it2, it3));
    }

    public static <T> Iterator<T> l(Iterator<? extends T> it, Iterator<? extends T> it2, Iterator<? extends T> it3, Iterator<? extends T> it4) {
        Preconditions.checkNotNull(it);
        Preconditions.checkNotNull(it2);
        Preconditions.checkNotNull(it3);
        Preconditions.checkNotNull(it4);
        return i(o(it, it2, it3, it4));
    }

    public static <T> Iterator<T> m(Iterator<? extends T>... itArr) {
        return n((Iterator[]) Arrays.copyOf(itArr, itArr.length));
    }

    static <T> Iterator<T> n(Iterator<? extends T>... itArr) {
        for (Iterator it : (Iterator[]) Preconditions.checkNotNull(itArr)) {
            Preconditions.checkNotNull(it);
        }
        return i(o(itArr));
    }

    private static <T> Iterator<T> o(T... tArr) {
        return new e(tArr);
    }

    public static <T> Iterator<T> p(Iterator<T> it) {
        Preconditions.checkNotNull(it);
        return new j(it);
    }

    public static boolean q(Iterator<?> it, Object obj) {
        if (obj == null) {
            while (it.hasNext()) {
                if (it.next() == null) {
                    return true;
                }
            }
            return false;
        }
        while (it.hasNext()) {
            if (obj.equals(it.next())) {
                return true;
            }
        }
        return false;
    }

    public static <T> Iterator<T> r(Iterable<T> iterable) {
        Preconditions.checkNotNull(iterable);
        return new d(iterable);
    }

    @SafeVarargs
    public static <T> Iterator<T> s(T... tArr) {
        return r(i9.t(tArr));
    }

    /* JADX WARNING: Removed duplicated region for block: B:2:0x0006  */
    public static boolean t(Iterator<?> it, Iterator<?> it2) {
        while (it.hasNext()) {
            if (!it2.hasNext() || !Objects.equal(it.next(), it2.next())) {
                return false;
            }
            while (it.hasNext()) {
            }
        }
        return !it2.hasNext();
    }

    static <T> le<T> u() {
        return v();
    }

    static <T> me<T> v() {
        return (me<T>) l.f10853y;
    }

    static <T> Iterator<T> w() {
        return n.INSTANCE;
    }

    public static <T> le<T> x(Iterator<T> it, Predicate<? super T> predicate) {
        Preconditions.checkNotNull(it);
        Preconditions.checkNotNull(predicate);
        return new g(it, predicate);
    }

    @m0.c
    public static <T> le<T> y(Iterator<?> it, Class<T> cls) {
        return x(it, Predicates.instanceOf(cls));
    }

    public static <T> T z(Iterator<T> it, Predicate<? super T> predicate) {
        Preconditions.checkNotNull(it);
        Preconditions.checkNotNull(predicate);
        while (it.hasNext()) {
            T next = it.next();
            if (predicate.apply(next)) {
                return next;
            }
        }
        throw new NoSuchElementException();
    }
}
