package com.google.common.collect;

import com.google.common.base.Preconditions;
import com.google.common.collect.xd;
import com.google.common.collect.ya;
import java.io.IOException;
import java.io.ObjectOutputStream;
import java.io.Serializable;
import java.util.Collection;
import java.util.Comparator;
import java.util.Deque;
import java.util.Iterator;
import java.util.List;
import java.util.ListIterator;
import java.util.Map;
import java.util.NavigableMap;
import java.util.NavigableSet;
import java.util.Queue;
import java.util.RandomAccess;
import java.util.Set;
import java.util.SortedMap;
import java.util.SortedSet;
import java.util.Spliterator;
import java.util.function.BiConsumer;
import java.util.function.BiFunction;
import java.util.function.Consumer;
import java.util.function.Function;
import java.util.function.Predicate;
import java.util.function.UnaryOperator;
import java.util.stream.Stream;

/* access modifiers changed from: package-private */
@m0.b(emulated = true)
public final class wd {

    private static class b<K, V> extends k<K, Collection<V>> {
        private static final long W5 = 0;
        transient Set<Map.Entry<K, Collection<V>>> U5;
        transient Collection<Collection<V>> V5;

        b(Map<K, Collection<V>> map, Object obj) {
            super(map, obj);
        }

        @Override // com.google.common.collect.wd.k
        public boolean containsValue(Object obj) {
            return values().contains(obj);
        }

        @Override // java.util.Map, com.google.common.collect.wd.k
        public Set<Map.Entry<K, Collection<V>>> entrySet() {
            Set<Map.Entry<K, Collection<V>>> set;
            synchronized (this.f10887g) {
                if (this.U5 == null) {
                    this.U5 = new c(n().entrySet(), this.f10887g);
                }
                set = this.U5;
            }
            return set;
        }

        @Override // java.util.Map, com.google.common.collect.wd.k
        public Collection<Collection<V>> values() {
            Collection<Collection<V>> collection;
            synchronized (this.f10887g) {
                if (this.V5 == null) {
                    this.V5 = new d(n().values(), this.f10887g);
                }
                collection = this.V5;
            }
            return collection;
        }

        @Override // java.util.Map, com.google.common.collect.wd.k
        public Collection<V> get(Object obj) {
            Collection<V> A;
            synchronized (this.f10887g) {
                Collection collection = (Collection) super.get(obj);
                A = collection == null ? null : wd.A(collection, this.f10887g);
            }
            return A;
        }
    }

    /* access modifiers changed from: private */
    public static class c<K, V> extends s<Map.Entry<K, Collection<V>>> {
        private static final long C1 = 0;

        /* access modifiers changed from: package-private */
        public class a extends de<Map.Entry<K, Collection<V>>, Map.Entry<K, Collection<V>>> {

            /* access modifiers changed from: package-private */
            /* renamed from: com.google.common.collect.wd$c$a$a  reason: collision with other inner class name */
            public class C0139a extends m4<K, Collection<V>> {

                /* renamed from: f  reason: collision with root package name */
                final /* synthetic */ Map.Entry f10873f;

                C0139a(Map.Entry entry) {
                    this.f10873f = entry;
                }

                /* access modifiers changed from: protected */
                @Override // com.google.common.collect.m4
                /* renamed from: E1 */
                public Map.Entry<K, Collection<V>> D1() {
                    return this.f10873f;
                }

                /* renamed from: I1 */
                public Collection<V> getValue() {
                    return wd.A((Collection) this.f10873f.getValue(), c.this.f10887g);
                }
            }

            a(Iterator it) {
                super(it);
            }

            /* access modifiers changed from: package-private */
            /* renamed from: b */
            public Map.Entry<K, Collection<V>> a(Map.Entry<K, Collection<V>> entry) {
                return new C0139a(entry);
            }
        }

        c(Set<Map.Entry<K, Collection<V>>> set, Object obj) {
            super(set, obj);
        }

        @Override // com.google.common.collect.wd.f
        public boolean contains(Object obj) {
            boolean u7;
            synchronized (this.f10887g) {
                u7 = v9.u(s(), obj);
            }
            return u7;
        }

        @Override // com.google.common.collect.wd.f, java.util.Collection, java.util.Set
        public boolean containsAll(Collection<?> collection) {
            boolean c7;
            synchronized (this.f10887g) {
                c7 = f2.c(s(), collection);
            }
            return c7;
        }

        @Override // com.google.common.collect.wd.s
        public boolean equals(Object obj) {
            boolean g7;
            if (obj == this) {
                return true;
            }
            synchronized (this.f10887g) {
                g7 = jc.g(s(), obj);
            }
            return g7;
        }

        @Override // com.google.common.collect.wd.f, java.util.Collection, java.util.Set, java.lang.Iterable
        public Iterator<Map.Entry<K, Collection<V>>> iterator() {
            return new a(super.iterator());
        }

        @Override // com.google.common.collect.wd.f
        public boolean remove(Object obj) {
            boolean u02;
            synchronized (this.f10887g) {
                u02 = v9.u0(s(), obj);
            }
            return u02;
        }

        @Override // com.google.common.collect.wd.f, java.util.Collection, java.util.Set
        public boolean removeAll(Collection<?> collection) {
            boolean V;
            synchronized (this.f10887g) {
                V = w8.V(s().iterator(), collection);
            }
            return V;
        }

        @Override // com.google.common.collect.wd.f, java.util.Collection, java.util.Set
        public boolean retainAll(Collection<?> collection) {
            boolean X;
            synchronized (this.f10887g) {
                X = w8.X(s().iterator(), collection);
            }
            return X;
        }

        @Override // com.google.common.collect.wd.f
        public Object[] toArray() {
            Object[] l7;
            synchronized (this.f10887g) {
                l7 = jb.l(s());
            }
            return l7;
        }

        @Override // com.google.common.collect.wd.f, java.util.Collection, java.util.Set
        public <T> T[] toArray(T[] tArr) {
            T[] tArr2;
            synchronized (this.f10887g) {
                tArr2 = (T[]) jb.m(s(), tArr);
            }
            return tArr2;
        }
    }

    /* access modifiers changed from: private */
    public static class d<V> extends f<Collection<V>> {

        /* renamed from: y  reason: collision with root package name */
        private static final long f10875y = 0;

        class a extends de<Collection<V>, Collection<V>> {
            a(Iterator it) {
                super(it);
            }

            /* access modifiers changed from: package-private */
            /* renamed from: b */
            public Collection<V> a(Collection<V> collection) {
                return wd.A(collection, d.this.f10887g);
            }
        }

        d(Collection<Collection<V>> collection, Object obj) {
            super(collection, obj);
        }

        @Override // com.google.common.collect.wd.f, java.util.Collection, java.lang.Iterable
        public Iterator<Collection<V>> iterator() {
            return new a(super.iterator());
        }
    }

    /* access modifiers changed from: package-private */
    @m0.d
    public static class e<K, V> extends k<K, V> implements h0<K, V>, Serializable {
        private static final long W5 = 0;
        private transient Set<V> U5;
        @e1.h
        private transient h0<V, K> V5;

        private e(h0<K, V> h0Var, Object obj, h0<V, K> h0Var2) {
            super(h0Var, obj);
            this.V5 = h0Var2;
        }

        @Override // com.google.common.collect.h0
        public V k0(K k7, V v7) {
            V k02;
            synchronized (this.f10887g) {
                k02 = s().k0(k7, v7);
            }
            return k02;
        }

        @Override // com.google.common.collect.h0
        public h0<V, K> p1() {
            h0<V, K> h0Var;
            synchronized (this.f10887g) {
                if (this.V5 == null) {
                    this.V5 = new e(s().p1(), this.f10887g, this);
                }
                h0Var = this.V5;
            }
            return h0Var;
        }

        /* access modifiers changed from: package-private */
        /* renamed from: t */
        public h0<K, V> s() {
            return (h0) super.n();
        }

        @Override // java.util.Map, com.google.common.collect.h0, com.google.common.collect.h0, com.google.common.collect.wd.k
        public Set<V> values() {
            Set<V> set;
            synchronized (this.f10887g) {
                if (this.U5 == null) {
                    this.U5 = wd.u(s().values(), this.f10887g);
                }
                set = this.U5;
            }
            return set;
        }
    }

    /* access modifiers changed from: package-private */
    @m0.d
    public static class f<E> extends p implements Collection<E> {

        /* renamed from: x  reason: collision with root package name */
        private static final long f10877x = 0;

        private f(Collection<E> collection, Object obj) {
            super(collection, obj);
        }

        @Override // java.util.Collection
        public boolean add(E e7) {
            boolean add;
            synchronized (this.f10887g) {
                add = n().add(e7);
            }
            return add;
        }

        @Override // java.util.Collection
        public boolean addAll(Collection<? extends E> collection) {
            boolean addAll;
            synchronized (this.f10887g) {
                addAll = n().addAll(collection);
            }
            return addAll;
        }

        public void clear() {
            synchronized (this.f10887g) {
                n().clear();
            }
        }

        public boolean contains(Object obj) {
            boolean contains;
            synchronized (this.f10887g) {
                contains = n().contains(obj);
            }
            return contains;
        }

        @Override // java.util.Collection
        public boolean containsAll(Collection<?> collection) {
            boolean containsAll;
            synchronized (this.f10887g) {
                containsAll = n().containsAll(collection);
            }
            return containsAll;
        }

        /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: java.util.function.Consumer<? super E> */
        /* JADX WARN: Multi-variable type inference failed */
        @Override // java.lang.Iterable
        public void forEach(Consumer<? super E> consumer) {
            synchronized (this.f10887g) {
                n().forEach(consumer);
            }
        }

        public boolean isEmpty() {
            boolean isEmpty;
            synchronized (this.f10887g) {
                isEmpty = n().isEmpty();
            }
            return isEmpty;
        }

        @Override // java.util.Collection, java.lang.Iterable
        public Iterator<E> iterator() {
            return n().iterator();
        }

        @Override // java.util.Collection
        public Stream<E> parallelStream() {
            Stream<E> parallelStream;
            synchronized (this.f10887g) {
                parallelStream = n().parallelStream();
            }
            return parallelStream;
        }

        public boolean remove(Object obj) {
            boolean remove;
            synchronized (this.f10887g) {
                remove = n().remove(obj);
            }
            return remove;
        }

        @Override // java.util.Collection
        public boolean removeAll(Collection<?> collection) {
            boolean removeAll;
            synchronized (this.f10887g) {
                removeAll = n().removeAll(collection);
            }
            return removeAll;
        }

        @Override // java.util.Collection
        public boolean removeIf(Predicate<? super E> predicate) {
            boolean removeIf;
            synchronized (this.f10887g) {
                removeIf = n().removeIf(predicate);
            }
            return removeIf;
        }

        @Override // java.util.Collection
        public boolean retainAll(Collection<?> collection) {
            boolean retainAll;
            synchronized (this.f10887g) {
                retainAll = n().retainAll(collection);
            }
            return retainAll;
        }

        /* access modifiers changed from: package-private */
        /* renamed from: s */
        public Collection<E> n() {
            return (Collection) super.n();
        }

        public int size() {
            int size;
            synchronized (this.f10887g) {
                size = n().size();
            }
            return size;
        }

        @Override // java.util.Collection, java.lang.Iterable
        public Spliterator<E> spliterator() {
            Spliterator<E> spliterator;
            synchronized (this.f10887g) {
                spliterator = n().spliterator();
            }
            return spliterator;
        }

        @Override // java.util.Collection
        public Stream<E> stream() {
            Stream<E> stream;
            synchronized (this.f10887g) {
                stream = n().stream();
            }
            return stream;
        }

        public Object[] toArray() {
            Object[] array;
            synchronized (this.f10887g) {
                array = n().toArray();
            }
            return array;
        }

        @Override // java.util.Collection
        public <T> T[] toArray(T[] tArr) {
            T[] tArr2;
            synchronized (this.f10887g) {
                tArr2 = (T[]) n().toArray(tArr);
            }
            return tArr2;
        }
    }

    private static final class g<E> extends q<E> implements Deque<E> {
        private static final long C1 = 0;

        g(Deque<E> deque, Object obj) {
            super(deque, obj);
        }

        @Override // java.util.Deque
        public void addFirst(E e7) {
            synchronized (this.f10887g) {
                t().addFirst(e7);
            }
        }

        @Override // java.util.Deque
        public void addLast(E e7) {
            synchronized (this.f10887g) {
                t().addLast(e7);
            }
        }

        @Override // java.util.Deque
        public Iterator<E> descendingIterator() {
            Iterator<E> descendingIterator;
            synchronized (this.f10887g) {
                descendingIterator = t().descendingIterator();
            }
            return descendingIterator;
        }

        @Override // java.util.Deque
        public E getFirst() {
            E first;
            synchronized (this.f10887g) {
                first = t().getFirst();
            }
            return first;
        }

        @Override // java.util.Deque
        public E getLast() {
            E last;
            synchronized (this.f10887g) {
                last = t().getLast();
            }
            return last;
        }

        @Override // java.util.Deque
        public boolean offerFirst(E e7) {
            boolean offerFirst;
            synchronized (this.f10887g) {
                offerFirst = t().offerFirst(e7);
            }
            return offerFirst;
        }

        @Override // java.util.Deque
        public boolean offerLast(E e7) {
            boolean offerLast;
            synchronized (this.f10887g) {
                offerLast = t().offerLast(e7);
            }
            return offerLast;
        }

        @Override // java.util.Deque
        public E peekFirst() {
            E peekFirst;
            synchronized (this.f10887g) {
                peekFirst = t().peekFirst();
            }
            return peekFirst;
        }

        @Override // java.util.Deque
        public E peekLast() {
            E peekLast;
            synchronized (this.f10887g) {
                peekLast = t().peekLast();
            }
            return peekLast;
        }

        @Override // java.util.Deque
        public E pollFirst() {
            E pollFirst;
            synchronized (this.f10887g) {
                pollFirst = t().pollFirst();
            }
            return pollFirst;
        }

        @Override // java.util.Deque
        public E pollLast() {
            E pollLast;
            synchronized (this.f10887g) {
                pollLast = t().pollLast();
            }
            return pollLast;
        }

        @Override // java.util.Deque
        public E pop() {
            E pop;
            synchronized (this.f10887g) {
                pop = t().pop();
            }
            return pop;
        }

        @Override // java.util.Deque
        public void push(E e7) {
            synchronized (this.f10887g) {
                t().push(e7);
            }
        }

        @Override // java.util.Deque
        public E removeFirst() {
            E removeFirst;
            synchronized (this.f10887g) {
                removeFirst = t().removeFirst();
            }
            return removeFirst;
        }

        public boolean removeFirstOccurrence(Object obj) {
            boolean removeFirstOccurrence;
            synchronized (this.f10887g) {
                removeFirstOccurrence = t().removeFirstOccurrence(obj);
            }
            return removeFirstOccurrence;
        }

        @Override // java.util.Deque
        public E removeLast() {
            E removeLast;
            synchronized (this.f10887g) {
                removeLast = t().removeLast();
            }
            return removeLast;
        }

        public boolean removeLastOccurrence(Object obj) {
            boolean removeLastOccurrence;
            synchronized (this.f10887g) {
                removeLastOccurrence = t().removeLastOccurrence(obj);
            }
            return removeLastOccurrence;
        }

        /* access modifiers changed from: package-private */
        /* renamed from: x */
        public Deque<E> t() {
            return (Deque) super.s();
        }
    }

    /* access modifiers changed from: private */
    @m0.c
    public static class h<K, V> extends p implements Map.Entry<K, V> {

        /* renamed from: x  reason: collision with root package name */
        private static final long f10878x = 0;

        h(Map.Entry<K, V> entry, Object obj) {
            super(entry, obj);
        }

        public boolean equals(Object obj) {
            boolean equals;
            synchronized (this.f10887g) {
                equals = n().equals(obj);
            }
            return equals;
        }

        @Override // java.util.Map.Entry
        public K getKey() {
            K key;
            synchronized (this.f10887g) {
                key = n().getKey();
            }
            return key;
        }

        @Override // java.util.Map.Entry
        public V getValue() {
            V value;
            synchronized (this.f10887g) {
                value = n().getValue();
            }
            return value;
        }

        public int hashCode() {
            int hashCode;
            synchronized (this.f10887g) {
                hashCode = n().hashCode();
            }
            return hashCode;
        }

        /* access modifiers changed from: package-private */
        /* renamed from: s */
        public Map.Entry<K, V> n() {
            return (Map.Entry) super.n();
        }

        @Override // java.util.Map.Entry
        public V setValue(V v7) {
            V value;
            synchronized (this.f10887g) {
                value = n().setValue(v7);
            }
            return value;
        }
    }

    /* access modifiers changed from: private */
    public static class i<E> extends f<E> implements List<E> {

        /* renamed from: y  reason: collision with root package name */
        private static final long f10879y = 0;

        i(List<E> list, Object obj) {
            super(list, obj);
        }

        @Override // java.util.List
        public void add(int i7, E e7) {
            synchronized (this.f10887g) {
                s().add(i7, e7);
            }
        }

        @Override // java.util.List
        public boolean addAll(int i7, Collection<? extends E> collection) {
            boolean addAll;
            synchronized (this.f10887g) {
                addAll = s().addAll(i7, collection);
            }
            return addAll;
        }

        public boolean equals(Object obj) {
            boolean equals;
            if (obj == this) {
                return true;
            }
            synchronized (this.f10887g) {
                equals = s().equals(obj);
            }
            return equals;
        }

        @Override // java.util.List
        public E get(int i7) {
            E e7;
            synchronized (this.f10887g) {
                e7 = s().get(i7);
            }
            return e7;
        }

        public int hashCode() {
            int hashCode;
            synchronized (this.f10887g) {
                hashCode = s().hashCode();
            }
            return hashCode;
        }

        public int indexOf(Object obj) {
            int indexOf;
            synchronized (this.f10887g) {
                indexOf = s().indexOf(obj);
            }
            return indexOf;
        }

        public int lastIndexOf(Object obj) {
            int lastIndexOf;
            synchronized (this.f10887g) {
                lastIndexOf = s().lastIndexOf(obj);
            }
            return lastIndexOf;
        }

        @Override // java.util.List
        public ListIterator<E> listIterator() {
            return s().listIterator();
        }

        @Override // java.util.List
        public E remove(int i7) {
            E remove;
            synchronized (this.f10887g) {
                remove = s().remove(i7);
            }
            return remove;
        }

        @Override // java.util.List
        public void replaceAll(UnaryOperator<E> unaryOperator) {
            synchronized (this.f10887g) {
                s().replaceAll(unaryOperator);
            }
        }

        @Override // java.util.List
        public E set(int i7, E e7) {
            E e8;
            synchronized (this.f10887g) {
                e8 = s().set(i7, e7);
            }
            return e8;
        }

        @Override // java.util.List
        public void sort(Comparator<? super E> comparator) {
            synchronized (this.f10887g) {
                s().sort(comparator);
            }
        }

        @Override // java.util.List
        public List<E> subList(int i7, int i8) {
            List<E> j7;
            synchronized (this.f10887g) {
                j7 = wd.j(s().subList(i7, i8), this.f10887g);
            }
            return j7;
        }

        /* access modifiers changed from: package-private */
        /* renamed from: t */
        public List<E> s() {
            return (List) super.n();
        }

        @Override // java.util.List
        public ListIterator<E> listIterator(int i7) {
            return s().listIterator(i7);
        }
    }

    private static class j<K, V> extends l<K, V> implements h9<K, V> {
        private static final long W5 = 0;

        j(h9<K, V> h9Var, Object obj) {
            super(h9Var, obj);
        }

        /* access modifiers changed from: package-private */
        /* renamed from: t */
        public h9<K, V> s() {
            return (h9) super.n();
        }

        @Override // com.google.common.collect.wd.l, com.google.common.collect.h9, com.google.common.collect.h9, com.google.common.collect.na
        public List<V> b(Object obj) {
            List<V> b7;
            synchronized (this.f10887g) {
                b7 = s().b(obj);
            }
            return b7;
        }

        @Override // com.google.common.collect.wd.l, com.google.common.collect.h9, com.google.common.collect.h9, com.google.common.collect.na
        public List<V> c(K k7, Iterable<? extends V> iterable) {
            List<V> c7;
            synchronized (this.f10887g) {
                c7 = s().c((Object) k7, (Iterable) iterable);
            }
            return c7;
        }

        @Override // com.google.common.collect.wd.l, com.google.common.collect.h9, com.google.common.collect.h9, com.google.common.collect.na
        public List<V> get(K k7) {
            List<V> j7;
            synchronized (this.f10887g) {
                j7 = wd.j(s().get((Object) k7), this.f10887g);
            }
            return j7;
        }
    }

    /* access modifiers changed from: private */
    public static class k<K, V> extends p implements Map<K, V> {
        private static final long C2 = 0;
        transient Set<Map.Entry<K, V>> C1;

        /* renamed from: x  reason: collision with root package name */
        transient Set<K> f10880x;

        /* renamed from: y  reason: collision with root package name */
        transient Collection<V> f10881y;

        k(Map<K, V> map, Object obj) {
            super(map, obj);
        }

        public void clear() {
            synchronized (this.f10887g) {
                n().clear();
            }
        }

        @Override // java.util.Map
        public V compute(K k7, BiFunction<? super K, ? super V, ? extends V> biFunction) {
            V compute;
            synchronized (this.f10887g) {
                compute = n().compute(k7, biFunction);
            }
            return compute;
        }

        @Override // java.util.Map
        public V computeIfAbsent(K k7, Function<? super K, ? extends V> function) {
            V computeIfAbsent;
            synchronized (this.f10887g) {
                computeIfAbsent = n().computeIfAbsent(k7, function);
            }
            return computeIfAbsent;
        }

        @Override // java.util.Map
        public V computeIfPresent(K k7, BiFunction<? super K, ? super V, ? extends V> biFunction) {
            V computeIfPresent;
            synchronized (this.f10887g) {
                computeIfPresent = n().computeIfPresent(k7, biFunction);
            }
            return computeIfPresent;
        }

        public boolean containsKey(Object obj) {
            boolean containsKey;
            synchronized (this.f10887g) {
                containsKey = n().containsKey(obj);
            }
            return containsKey;
        }

        public boolean containsValue(Object obj) {
            boolean containsValue;
            synchronized (this.f10887g) {
                containsValue = n().containsValue(obj);
            }
            return containsValue;
        }

        @Override // java.util.Map
        public Set<Map.Entry<K, V>> entrySet() {
            Set<Map.Entry<K, V>> set;
            synchronized (this.f10887g) {
                if (this.C1 == null) {
                    this.C1 = wd.u(n().entrySet(), this.f10887g);
                }
                set = this.C1;
            }
            return set;
        }

        public boolean equals(Object obj) {
            boolean equals;
            if (obj == this) {
                return true;
            }
            synchronized (this.f10887g) {
                equals = n().equals(obj);
            }
            return equals;
        }

        @Override // java.util.Map
        public void forEach(BiConsumer<? super K, ? super V> biConsumer) {
            synchronized (this.f10887g) {
                n().forEach(biConsumer);
            }
        }

        @Override // java.util.Map
        public V get(Object obj) {
            V v7;
            synchronized (this.f10887g) {
                v7 = n().get(obj);
            }
            return v7;
        }

        @Override // java.util.Map
        public V getOrDefault(Object obj, V v7) {
            V orDefault;
            synchronized (this.f10887g) {
                orDefault = n().getOrDefault(obj, v7);
            }
            return orDefault;
        }

        public int hashCode() {
            int hashCode;
            synchronized (this.f10887g) {
                hashCode = n().hashCode();
            }
            return hashCode;
        }

        public boolean isEmpty() {
            boolean isEmpty;
            synchronized (this.f10887g) {
                isEmpty = n().isEmpty();
            }
            return isEmpty;
        }

        @Override // java.util.Map
        public Set<K> keySet() {
            Set<K> set;
            synchronized (this.f10887g) {
                if (this.f10880x == null) {
                    this.f10880x = wd.u(n().keySet(), this.f10887g);
                }
                set = this.f10880x;
            }
            return set;
        }

        @Override // java.util.Map
        public V merge(K k7, V v7, BiFunction<? super V, ? super V, ? extends V> biFunction) {
            V merge;
            synchronized (this.f10887g) {
                merge = n().merge(k7, v7, biFunction);
            }
            return merge;
        }

        @Override // java.util.Map
        public V put(K k7, V v7) {
            V put;
            synchronized (this.f10887g) {
                put = n().put(k7, v7);
            }
            return put;
        }

        @Override // java.util.Map
        public void putAll(Map<? extends K, ? extends V> map) {
            synchronized (this.f10887g) {
                n().putAll(map);
            }
        }

        @Override // java.util.Map
        public V putIfAbsent(K k7, V v7) {
            V putIfAbsent;
            synchronized (this.f10887g) {
                putIfAbsent = n().putIfAbsent(k7, v7);
            }
            return putIfAbsent;
        }

        @Override // java.util.Map
        public V remove(Object obj) {
            V remove;
            synchronized (this.f10887g) {
                remove = n().remove(obj);
            }
            return remove;
        }

        @Override // java.util.Map
        public V replace(K k7, V v7) {
            V replace;
            synchronized (this.f10887g) {
                replace = n().replace(k7, v7);
            }
            return replace;
        }

        @Override // java.util.Map
        public void replaceAll(BiFunction<? super K, ? super V, ? extends V> biFunction) {
            synchronized (this.f10887g) {
                n().replaceAll(biFunction);
            }
        }

        /* access modifiers changed from: package-private */
        /* renamed from: s */
        public Map<K, V> n() {
            return (Map) super.n();
        }

        public int size() {
            int size;
            synchronized (this.f10887g) {
                size = n().size();
            }
            return size;
        }

        @Override // java.util.Map
        public Collection<V> values() {
            Collection<V> collection;
            synchronized (this.f10887g) {
                if (this.f10881y == null) {
                    this.f10881y = wd.h(n().values(), this.f10887g);
                }
                collection = this.f10881y;
            }
            return collection;
        }

        public boolean remove(Object obj, Object obj2) {
            boolean remove;
            synchronized (this.f10887g) {
                remove = n().remove(obj, obj2);
            }
            return remove;
        }

        @Override // java.util.Map
        public boolean replace(K k7, V v7, V v8) {
            boolean replace;
            synchronized (this.f10887g) {
                replace = n().replace(k7, v7, v8);
            }
            return replace;
        }
    }

    /* access modifiers changed from: private */
    public static class l<K, V> extends p implements na<K, V> {
        private static final long V5 = 0;
        transient Collection<Map.Entry<K, V>> C1;
        transient Map<K, Collection<V>> C2;
        transient ya<K> U5;

        /* renamed from: x  reason: collision with root package name */
        transient Set<K> f10882x;

        /* renamed from: y  reason: collision with root package name */
        transient Collection<V> f10883y;

        l(na<K, V> naVar, Object obj) {
            super(naVar, obj);
        }

        @Override // com.google.common.collect.na
        public boolean B0(na<? extends K, ? extends V> naVar) {
            boolean B0;
            synchronized (this.f10887g) {
                B0 = n().B0(naVar);
            }
            return B0;
        }

        @Override // com.google.common.collect.na
        public ya<K> N0() {
            ya<K> yaVar;
            synchronized (this.f10887g) {
                if (this.U5 == null) {
                    this.U5 = wd.n(n().N0(), this.f10887g);
                }
                yaVar = this.U5;
            }
            return yaVar;
        }

        @Override // com.google.common.collect.na
        public Collection<V> b(Object obj) {
            Collection<V> b7;
            synchronized (this.f10887g) {
                b7 = n().b(obj);
            }
            return b7;
        }

        @Override // com.google.common.collect.na
        public Collection<V> c(K k7, Iterable<? extends V> iterable) {
            Collection<V> c7;
            synchronized (this.f10887g) {
                c7 = n().c(k7, iterable);
            }
            return c7;
        }

        @Override // com.google.common.collect.na
        public void clear() {
            synchronized (this.f10887g) {
                n().clear();
            }
        }

        @Override // com.google.common.collect.na
        public boolean containsKey(Object obj) {
            boolean containsKey;
            synchronized (this.f10887g) {
                containsKey = n().containsKey(obj);
            }
            return containsKey;
        }

        @Override // com.google.common.collect.na
        public boolean containsValue(Object obj) {
            boolean containsValue;
            synchronized (this.f10887g) {
                containsValue = n().containsValue(obj);
            }
            return containsValue;
        }

        @Override // com.google.common.collect.na
        public Map<K, Collection<V>> e() {
            Map<K, Collection<V>> map;
            synchronized (this.f10887g) {
                if (this.C2 == null) {
                    this.C2 = new b(n().e(), this.f10887g);
                }
                map = this.C2;
            }
            return map;
        }

        @Override // com.google.common.collect.na
        public boolean equals(Object obj) {
            boolean equals;
            if (obj == this) {
                return true;
            }
            synchronized (this.f10887g) {
                equals = n().equals(obj);
            }
            return equals;
        }

        @Override // com.google.common.collect.na
        public void forEach(BiConsumer<? super K, ? super V> biConsumer) {
            synchronized (this.f10887g) {
                n().forEach(biConsumer);
            }
        }

        @Override // com.google.common.collect.na
        public Collection<V> get(K k7) {
            Collection<V> A;
            synchronized (this.f10887g) {
                A = wd.A(n().get(k7), this.f10887g);
            }
            return A;
        }

        @Override // com.google.common.collect.na
        public Collection<Map.Entry<K, V>> h() {
            Collection<Map.Entry<K, V>> collection;
            synchronized (this.f10887g) {
                if (this.C1 == null) {
                    this.C1 = wd.A(n().h(), this.f10887g);
                }
                collection = this.C1;
            }
            return collection;
        }

        @Override // com.google.common.collect.na
        public int hashCode() {
            int hashCode;
            synchronized (this.f10887g) {
                hashCode = n().hashCode();
            }
            return hashCode;
        }

        @Override // com.google.common.collect.na
        public boolean isEmpty() {
            boolean isEmpty;
            synchronized (this.f10887g) {
                isEmpty = n().isEmpty();
            }
            return isEmpty;
        }

        @Override // com.google.common.collect.na
        public Set<K> keySet() {
            Set<K> set;
            synchronized (this.f10887g) {
                if (this.f10882x == null) {
                    this.f10882x = wd.B(n().keySet(), this.f10887g);
                }
                set = this.f10882x;
            }
            return set;
        }

        @Override // com.google.common.collect.na
        public boolean put(K k7, V v7) {
            boolean put;
            synchronized (this.f10887g) {
                put = n().put(k7, v7);
            }
            return put;
        }

        @Override // com.google.common.collect.na
        public boolean q1(Object obj, Object obj2) {
            boolean q12;
            synchronized (this.f10887g) {
                q12 = n().q1(obj, obj2);
            }
            return q12;
        }

        @Override // com.google.common.collect.na
        public boolean remove(Object obj, Object obj2) {
            boolean remove;
            synchronized (this.f10887g) {
                remove = n().remove(obj, obj2);
            }
            return remove;
        }

        /* access modifiers changed from: package-private */
        /* renamed from: s */
        public na<K, V> n() {
            return (na) super.n();
        }

        @Override // com.google.common.collect.na
        public int size() {
            int size;
            synchronized (this.f10887g) {
                size = n().size();
            }
            return size;
        }

        @Override // com.google.common.collect.na
        public boolean v1(K k7, Iterable<? extends V> iterable) {
            boolean v12;
            synchronized (this.f10887g) {
                v12 = n().v1(k7, iterable);
            }
            return v12;
        }

        @Override // com.google.common.collect.na
        public Collection<V> values() {
            Collection<V> collection;
            synchronized (this.f10887g) {
                if (this.f10883y == null) {
                    this.f10883y = wd.h(n().values(), this.f10887g);
                }
                collection = this.f10883y;
            }
            return collection;
        }
    }

    /* access modifiers changed from: private */
    public static class m<E> extends f<E> implements ya<E> {
        private static final long C2 = 0;
        transient Set<ya.a<E>> C1;

        /* renamed from: y  reason: collision with root package name */
        transient Set<E> f10884y;

        m(ya<E> yaVar, Object obj) {
            super(yaVar, obj);
        }

        @Override // com.google.common.collect.ya
        public int O0(Object obj) {
            int O0;
            synchronized (this.f10887g) {
                O0 = s().O0(obj);
            }
            return O0;
        }

        @Override // com.google.common.collect.ya
        public int V(Object obj, int i7) {
            int V;
            synchronized (this.f10887g) {
                V = s().V(obj, i7);
            }
            return V;
        }

        @Override // com.google.common.collect.ya
        public int c0(E e7, int i7) {
            int c02;
            synchronized (this.f10887g) {
                c02 = s().c0(e7, i7);
            }
            return c02;
        }

        @Override // com.google.common.collect.ya
        public Set<E> d() {
            Set<E> set;
            synchronized (this.f10887g) {
                if (this.f10884y == null) {
                    this.f10884y = wd.B(s().d(), this.f10887g);
                }
                set = this.f10884y;
            }
            return set;
        }

        @Override // com.google.common.collect.ya
        public Set<ya.a<E>> entrySet() {
            Set<ya.a<E>> set;
            synchronized (this.f10887g) {
                if (this.C1 == null) {
                    this.C1 = wd.B(s().entrySet(), this.f10887g);
                }
                set = this.C1;
            }
            return set;
        }

        @Override // com.google.common.collect.ya
        public boolean equals(Object obj) {
            boolean equals;
            if (obj == this) {
                return true;
            }
            synchronized (this.f10887g) {
                equals = s().equals(obj);
            }
            return equals;
        }

        @Override // com.google.common.collect.ya
        public int hashCode() {
            int hashCode;
            synchronized (this.f10887g) {
                hashCode = s().hashCode();
            }
            return hashCode;
        }

        @Override // com.google.common.collect.ya
        public int p0(E e7, int i7) {
            int p02;
            synchronized (this.f10887g) {
                p02 = s().p0(e7, i7);
            }
            return p02;
        }

        /* access modifiers changed from: package-private */
        /* renamed from: t */
        public ya<E> s() {
            return (ya) super.n();
        }

        @Override // com.google.common.collect.ya
        public boolean w0(E e7, int i7, int i8) {
            boolean w02;
            synchronized (this.f10887g) {
                w02 = s().w0(e7, i7, i8);
            }
            return w02;
        }
    }

    /* access modifiers changed from: package-private */
    @m0.d
    @m0.c
    public static class n<K, V> extends u<K, V> implements NavigableMap<K, V> {
        private static final long Y5 = 0;
        transient NavigableSet<K> V5;
        transient NavigableMap<K, V> W5;
        transient NavigableSet<K> X5;

        n(NavigableMap<K, V> navigableMap, Object obj) {
            super(navigableMap, obj);
        }

        @Override // java.util.NavigableMap
        public Map.Entry<K, V> ceilingEntry(K k7) {
            Map.Entry<K, V> s7;
            synchronized (this.f10887g) {
                s7 = wd.s(t().ceilingEntry(k7), this.f10887g);
            }
            return s7;
        }

        @Override // java.util.NavigableMap
        public K ceilingKey(K k7) {
            K ceilingKey;
            synchronized (this.f10887g) {
                ceilingKey = t().ceilingKey(k7);
            }
            return ceilingKey;
        }

        @Override // java.util.NavigableMap
        public NavigableSet<K> descendingKeySet() {
            synchronized (this.f10887g) {
                NavigableSet<K> navigableSet = this.V5;
                if (navigableSet != null) {
                    return navigableSet;
                }
                NavigableSet<K> r7 = wd.r(t().descendingKeySet(), this.f10887g);
                this.V5 = r7;
                return r7;
            }
        }

        @Override // java.util.NavigableMap
        public NavigableMap<K, V> descendingMap() {
            synchronized (this.f10887g) {
                NavigableMap<K, V> navigableMap = this.W5;
                if (navigableMap != null) {
                    return navigableMap;
                }
                NavigableMap<K, V> p7 = wd.p(t().descendingMap(), this.f10887g);
                this.W5 = p7;
                return p7;
            }
        }

        @Override // java.util.NavigableMap
        public Map.Entry<K, V> firstEntry() {
            Map.Entry<K, V> s7;
            synchronized (this.f10887g) {
                s7 = wd.s(t().firstEntry(), this.f10887g);
            }
            return s7;
        }

        @Override // java.util.NavigableMap
        public Map.Entry<K, V> floorEntry(K k7) {
            Map.Entry<K, V> s7;
            synchronized (this.f10887g) {
                s7 = wd.s(t().floorEntry(k7), this.f10887g);
            }
            return s7;
        }

        @Override // java.util.NavigableMap
        public K floorKey(K k7) {
            K floorKey;
            synchronized (this.f10887g) {
                floorKey = t().floorKey(k7);
            }
            return floorKey;
        }

        @Override // java.util.NavigableMap
        public NavigableMap<K, V> headMap(K k7, boolean z7) {
            NavigableMap<K, V> p7;
            synchronized (this.f10887g) {
                p7 = wd.p(t().headMap(k7, z7), this.f10887g);
            }
            return p7;
        }

        @Override // java.util.NavigableMap
        public Map.Entry<K, V> higherEntry(K k7) {
            Map.Entry<K, V> s7;
            synchronized (this.f10887g) {
                s7 = wd.s(t().higherEntry(k7), this.f10887g);
            }
            return s7;
        }

        @Override // java.util.NavigableMap
        public K higherKey(K k7) {
            K higherKey;
            synchronized (this.f10887g) {
                higherKey = t().higherKey(k7);
            }
            return higherKey;
        }

        @Override // java.util.Map, com.google.common.collect.wd.k, java.util.SortedMap
        public Set<K> keySet() {
            return navigableKeySet();
        }

        @Override // java.util.NavigableMap
        public Map.Entry<K, V> lastEntry() {
            Map.Entry<K, V> s7;
            synchronized (this.f10887g) {
                s7 = wd.s(t().lastEntry(), this.f10887g);
            }
            return s7;
        }

        @Override // java.util.NavigableMap
        public Map.Entry<K, V> lowerEntry(K k7) {
            Map.Entry<K, V> s7;
            synchronized (this.f10887g) {
                s7 = wd.s(t().lowerEntry(k7), this.f10887g);
            }
            return s7;
        }

        @Override // java.util.NavigableMap
        public K lowerKey(K k7) {
            K lowerKey;
            synchronized (this.f10887g) {
                lowerKey = t().lowerKey(k7);
            }
            return lowerKey;
        }

        @Override // java.util.NavigableMap
        public NavigableSet<K> navigableKeySet() {
            synchronized (this.f10887g) {
                NavigableSet<K> navigableSet = this.X5;
                if (navigableSet != null) {
                    return navigableSet;
                }
                NavigableSet<K> r7 = wd.r(t().navigableKeySet(), this.f10887g);
                this.X5 = r7;
                return r7;
            }
        }

        @Override // java.util.NavigableMap
        public Map.Entry<K, V> pollFirstEntry() {
            Map.Entry<K, V> s7;
            synchronized (this.f10887g) {
                s7 = wd.s(t().pollFirstEntry(), this.f10887g);
            }
            return s7;
        }

        @Override // java.util.NavigableMap
        public Map.Entry<K, V> pollLastEntry() {
            Map.Entry<K, V> s7;
            synchronized (this.f10887g) {
                s7 = wd.s(t().pollLastEntry(), this.f10887g);
            }
            return s7;
        }

        @Override // java.util.NavigableMap
        public NavigableMap<K, V> subMap(K k7, boolean z7, K k8, boolean z8) {
            NavigableMap<K, V> p7;
            synchronized (this.f10887g) {
                p7 = wd.p(t().subMap(k7, z7, k8, z8), this.f10887g);
            }
            return p7;
        }

        @Override // java.util.NavigableMap
        public NavigableMap<K, V> tailMap(K k7, boolean z7) {
            NavigableMap<K, V> p7;
            synchronized (this.f10887g) {
                p7 = wd.p(t().tailMap(k7, z7), this.f10887g);
            }
            return p7;
        }

        /* access modifiers changed from: package-private */
        /* renamed from: x */
        public NavigableMap<K, V> t() {
            return (NavigableMap) super.s();
        }

        @Override // com.google.common.collect.wd.u, java.util.NavigableMap, java.util.SortedMap
        public SortedMap<K, V> headMap(K k7) {
            return headMap(k7, false);
        }

        @Override // com.google.common.collect.wd.u, java.util.NavigableMap, java.util.SortedMap
        public SortedMap<K, V> subMap(K k7, K k8) {
            return subMap(k7, true, k8, false);
        }

        @Override // com.google.common.collect.wd.u, java.util.NavigableMap, java.util.SortedMap
        public SortedMap<K, V> tailMap(K k7) {
            return tailMap(k7, true);
        }
    }

    /* access modifiers changed from: package-private */
    @m0.d
    @m0.c
    public static class o<E> extends v<E> implements NavigableSet<E> {
        private static final long U5 = 0;
        transient NavigableSet<E> C2;

        o(NavigableSet<E> navigableSet, Object obj) {
            super(navigableSet, obj);
        }

        /* access modifiers changed from: package-private */
        /* renamed from: D */
        public NavigableSet<E> x() {
            return (NavigableSet) super.t();
        }

        @Override // java.util.NavigableSet
        public E ceiling(E e7) {
            E ceiling;
            synchronized (this.f10887g) {
                ceiling = x().ceiling(e7);
            }
            return ceiling;
        }

        @Override // java.util.NavigableSet
        public Iterator<E> descendingIterator() {
            return x().descendingIterator();
        }

        @Override // java.util.NavigableSet
        public NavigableSet<E> descendingSet() {
            synchronized (this.f10887g) {
                NavigableSet<E> navigableSet = this.C2;
                if (navigableSet != null) {
                    return navigableSet;
                }
                NavigableSet<E> r7 = wd.r(x().descendingSet(), this.f10887g);
                this.C2 = r7;
                return r7;
            }
        }

        @Override // java.util.NavigableSet
        public E floor(E e7) {
            E floor;
            synchronized (this.f10887g) {
                floor = x().floor(e7);
            }
            return floor;
        }

        @Override // java.util.NavigableSet
        public NavigableSet<E> headSet(E e7, boolean z7) {
            NavigableSet<E> r7;
            synchronized (this.f10887g) {
                r7 = wd.r(x().headSet(e7, z7), this.f10887g);
            }
            return r7;
        }

        @Override // java.util.NavigableSet
        public E higher(E e7) {
            E higher;
            synchronized (this.f10887g) {
                higher = x().higher(e7);
            }
            return higher;
        }

        @Override // java.util.NavigableSet
        public E lower(E e7) {
            E lower;
            synchronized (this.f10887g) {
                lower = x().lower(e7);
            }
            return lower;
        }

        @Override // java.util.NavigableSet
        public E pollFirst() {
            E pollFirst;
            synchronized (this.f10887g) {
                pollFirst = x().pollFirst();
            }
            return pollFirst;
        }

        @Override // java.util.NavigableSet
        public E pollLast() {
            E pollLast;
            synchronized (this.f10887g) {
                pollLast = x().pollLast();
            }
            return pollLast;
        }

        @Override // java.util.NavigableSet
        public NavigableSet<E> subSet(E e7, boolean z7, E e8, boolean z8) {
            NavigableSet<E> r7;
            synchronized (this.f10887g) {
                r7 = wd.r(x().subSet(e7, z7, e8, z8), this.f10887g);
            }
            return r7;
        }

        @Override // java.util.NavigableSet
        public NavigableSet<E> tailSet(E e7, boolean z7) {
            NavigableSet<E> r7;
            synchronized (this.f10887g) {
                r7 = wd.r(x().tailSet(e7, z7), this.f10887g);
            }
            return r7;
        }

        @Override // com.google.common.collect.wd.v, java.util.SortedSet, java.util.NavigableSet
        public SortedSet<E> headSet(E e7) {
            return headSet(e7, false);
        }

        @Override // com.google.common.collect.wd.v, java.util.SortedSet, java.util.NavigableSet
        public SortedSet<E> subSet(E e7, E e8) {
            return subSet(e7, true, e8, false);
        }

        @Override // com.google.common.collect.wd.v, java.util.SortedSet, java.util.NavigableSet
        public SortedSet<E> tailSet(E e7) {
            return tailSet(e7, true);
        }
    }

    /* access modifiers changed from: package-private */
    public static class p implements Serializable {
        @m0.c

        /* renamed from: p  reason: collision with root package name */
        private static final long f10885p = 0;

        /* renamed from: f  reason: collision with root package name */
        final Object f10886f;

        /* renamed from: g  reason: collision with root package name */
        final Object f10887g;

        p(Object obj, Object obj2) {
            this.f10886f = Preconditions.checkNotNull(obj);
            this.f10887g = obj2 == null ? this : obj2;
        }

        @m0.c
        private void q(ObjectOutputStream objectOutputStream) throws IOException {
            synchronized (this.f10887g) {
                objectOutputStream.defaultWriteObject();
            }
        }

        /* access modifiers changed from: package-private */
        public Object n() {
            return this.f10886f;
        }

        public String toString() {
            String obj;
            synchronized (this.f10887g) {
                obj = this.f10886f.toString();
            }
            return obj;
        }
    }

    /* access modifiers changed from: private */
    public static class q<E> extends f<E> implements Queue<E> {

        /* renamed from: y  reason: collision with root package name */
        private static final long f10888y = 0;

        q(Queue<E> queue, Object obj) {
            super(queue, obj);
        }

        @Override // java.util.Queue
        public E element() {
            E element;
            synchronized (this.f10887g) {
                element = s().element();
            }
            return element;
        }

        @Override // java.util.Queue
        public boolean offer(E e7) {
            boolean offer;
            synchronized (this.f10887g) {
                offer = s().offer(e7);
            }
            return offer;
        }

        @Override // java.util.Queue
        public E peek() {
            E peek;
            synchronized (this.f10887g) {
                peek = s().peek();
            }
            return peek;
        }

        @Override // java.util.Queue
        public E poll() {
            E poll;
            synchronized (this.f10887g) {
                poll = s().poll();
            }
            return poll;
        }

        @Override // java.util.Queue
        public E remove() {
            E remove;
            synchronized (this.f10887g) {
                remove = s().remove();
            }
            return remove;
        }

        /* access modifiers changed from: package-private */
        /* renamed from: t */
        public Queue<E> s() {
            return (Queue) super.n();
        }
    }

    /* access modifiers changed from: private */
    public static class r<E> extends i<E> implements RandomAccess {
        private static final long C1 = 0;

        r(List<E> list, Object obj) {
            super(list, obj);
        }
    }

    /* access modifiers changed from: package-private */
    public static class s<E> extends f<E> implements Set<E> {

        /* renamed from: y  reason: collision with root package name */
        private static final long f10889y = 0;

        s(Set<E> set, Object obj) {
            super(set, obj);
        }

        public boolean equals(Object obj) {
            boolean equals;
            if (obj == this) {
                return true;
            }
            synchronized (this.f10887g) {
                equals = s().equals(obj);
            }
            return equals;
        }

        public int hashCode() {
            int hashCode;
            synchronized (this.f10887g) {
                hashCode = s().hashCode();
            }
            return hashCode;
        }

        /* access modifiers changed from: package-private */
        /* renamed from: t */
        public Set<E> s() {
            return (Set) super.n();
        }
    }

    /* access modifiers changed from: private */
    public static class t<K, V> extends l<K, V> implements hc<K, V> {
        private static final long X5 = 0;
        transient Set<Map.Entry<K, V>> W5;

        t(hc<K, V> hcVar, Object obj) {
            super(hcVar, obj);
        }

        /* access modifiers changed from: package-private */
        /* renamed from: t */
        public hc<K, V> s() {
            return (hc) super.n();
        }

        @Override // com.google.common.collect.hc, com.google.common.collect.hc, com.google.common.collect.wd.l, com.google.common.collect.na
        public Set<V> b(Object obj) {
            Set<V> b7;
            synchronized (this.f10887g) {
                b7 = s().b(obj);
            }
            return b7;
        }

        @Override // com.google.common.collect.hc, com.google.common.collect.hc, com.google.common.collect.wd.l, com.google.common.collect.na
        public Set<V> c(K k7, Iterable<? extends V> iterable) {
            Set<V> c7;
            synchronized (this.f10887g) {
                c7 = s().c((Object) k7, (Iterable) iterable);
            }
            return c7;
        }

        @Override // com.google.common.collect.hc, com.google.common.collect.hc, com.google.common.collect.wd.l, com.google.common.collect.na
        public Set<V> get(K k7) {
            Set<V> u7;
            synchronized (this.f10887g) {
                u7 = wd.u(s().get((Object) k7), this.f10887g);
            }
            return u7;
        }

        @Override // com.google.common.collect.hc, com.google.common.collect.hc, com.google.common.collect.wd.l, com.google.common.collect.na
        public Set<Map.Entry<K, V>> h() {
            Set<Map.Entry<K, V>> set;
            synchronized (this.f10887g) {
                if (this.W5 == null) {
                    this.W5 = wd.u(s().h(), this.f10887g);
                }
                set = this.W5;
            }
            return set;
        }
    }

    /* access modifiers changed from: package-private */
    public static class u<K, V> extends k<K, V> implements SortedMap<K, V> {
        private static final long U5 = 0;

        u(SortedMap<K, V> sortedMap, Object obj) {
            super(sortedMap, obj);
        }

        @Override // java.util.SortedMap
        public Comparator<? super K> comparator() {
            Comparator<? super K> comparator;
            synchronized (this.f10887g) {
                comparator = s().comparator();
            }
            return comparator;
        }

        @Override // java.util.SortedMap
        public K firstKey() {
            K firstKey;
            synchronized (this.f10887g) {
                firstKey = s().firstKey();
            }
            return firstKey;
        }

        @Override // java.util.SortedMap
        public SortedMap<K, V> headMap(K k7) {
            SortedMap<K, V> w7;
            synchronized (this.f10887g) {
                w7 = wd.w(s().headMap(k7), this.f10887g);
            }
            return w7;
        }

        @Override // java.util.SortedMap
        public K lastKey() {
            K lastKey;
            synchronized (this.f10887g) {
                lastKey = s().lastKey();
            }
            return lastKey;
        }

        @Override // java.util.SortedMap
        public SortedMap<K, V> subMap(K k7, K k8) {
            SortedMap<K, V> w7;
            synchronized (this.f10887g) {
                w7 = wd.w(s().subMap(k7, k8), this.f10887g);
            }
            return w7;
        }

        /* access modifiers changed from: package-private */
        /* renamed from: t */
        public SortedMap<K, V> s() {
            return (SortedMap) super.n();
        }

        @Override // java.util.SortedMap
        public SortedMap<K, V> tailMap(K k7) {
            SortedMap<K, V> w7;
            synchronized (this.f10887g) {
                w7 = wd.w(s().tailMap(k7), this.f10887g);
            }
            return w7;
        }
    }

    /* access modifiers changed from: package-private */
    public static class v<E> extends s<E> implements SortedSet<E> {
        private static final long C1 = 0;

        v(SortedSet<E> sortedSet, Object obj) {
            super(sortedSet, obj);
        }

        @Override // java.util.SortedSet
        public Comparator<? super E> comparator() {
            Comparator<? super E> comparator;
            synchronized (this.f10887g) {
                comparator = t().comparator();
            }
            return comparator;
        }

        @Override // java.util.SortedSet
        public E first() {
            E first;
            synchronized (this.f10887g) {
                first = t().first();
            }
            return first;
        }

        @Override // java.util.SortedSet
        public SortedSet<E> headSet(E e7) {
            SortedSet<E> x7;
            synchronized (this.f10887g) {
                x7 = wd.x(t().headSet(e7), this.f10887g);
            }
            return x7;
        }

        @Override // java.util.SortedSet
        public E last() {
            E last;
            synchronized (this.f10887g) {
                last = t().last();
            }
            return last;
        }

        @Override // java.util.SortedSet
        public SortedSet<E> subSet(E e7, E e8) {
            SortedSet<E> x7;
            synchronized (this.f10887g) {
                x7 = wd.x(t().subSet(e7, e8), this.f10887g);
            }
            return x7;
        }

        @Override // java.util.SortedSet
        public SortedSet<E> tailSet(E e7) {
            SortedSet<E> x7;
            synchronized (this.f10887g) {
                x7 = wd.x(t().tailSet(e7), this.f10887g);
            }
            return x7;
        }

        /* access modifiers changed from: package-private */
        /* renamed from: x */
        public SortedSet<E> t() {
            return (SortedSet) super.s();
        }
    }

    /* access modifiers changed from: private */
    public static final class x<R, C, V> extends p implements xd<R, C, V> {

        class a implements com.google.common.base.Function<Map<C, V>, Map<C, V>> {
            a() {
            }

            /* renamed from: a */
            public Map<C, V> apply(Map<C, V> map) {
                return wd.l(map, x.this.f10887g);
            }
        }

        class b implements com.google.common.base.Function<Map<R, V>, Map<R, V>> {
            b() {
            }

            /* renamed from: a */
            public Map<R, V> apply(Map<R, V> map) {
                return wd.l(map, x.this.f10887g);
            }
        }

        x(xd<R, C, V> xdVar, Object obj) {
            super(xdVar, obj);
        }

        @Override // com.google.common.collect.xd
        public V L(Object obj, Object obj2) {
            V L;
            synchronized (this.f10887g) {
                L = n().L(obj, obj2);
            }
            return L;
        }

        @Override // com.google.common.collect.xd
        public boolean T(Object obj) {
            boolean T;
            synchronized (this.f10887g) {
                T = n().T(obj);
            }
            return T;
        }

        @Override // com.google.common.collect.xd
        public Map<R, V> U(C c7) {
            Map<R, V> l7;
            synchronized (this.f10887g) {
                l7 = wd.l(n().U(c7), this.f10887g);
            }
            return l7;
        }

        @Override // com.google.common.collect.xd
        public Set<xd.a<R, C, V>> b0() {
            Set<xd.a<R, C, V>> u7;
            synchronized (this.f10887g) {
                u7 = wd.u(n().b0(), this.f10887g);
            }
            return u7;
        }

        @Override // com.google.common.collect.xd
        public Set<C> b1() {
            Set<C> u7;
            synchronized (this.f10887g) {
                u7 = wd.u(n().b1(), this.f10887g);
            }
            return u7;
        }

        @Override // com.google.common.collect.xd
        public void clear() {
            synchronized (this.f10887g) {
                n().clear();
            }
        }

        @Override // com.google.common.collect.xd
        public boolean containsValue(Object obj) {
            boolean containsValue;
            synchronized (this.f10887g) {
                containsValue = n().containsValue(obj);
            }
            return containsValue;
        }

        @Override // com.google.common.collect.xd
        public V d0(R r7, C c7, V v7) {
            V d02;
            synchronized (this.f10887g) {
                d02 = n().d0(r7, c7, v7);
            }
            return d02;
        }

        @Override // com.google.common.collect.xd
        public boolean d1(Object obj) {
            boolean d12;
            synchronized (this.f10887g) {
                d12 = n().d1(obj);
            }
            return d12;
        }

        @Override // com.google.common.collect.xd
        public boolean equals(Object obj) {
            boolean equals;
            if (this == obj) {
                return true;
            }
            synchronized (this.f10887g) {
                equals = n().equals(obj);
            }
            return equals;
        }

        @Override // com.google.common.collect.xd
        public int hashCode() {
            int hashCode;
            synchronized (this.f10887g) {
                hashCode = n().hashCode();
            }
            return hashCode;
        }

        @Override // com.google.common.collect.xd
        public boolean isEmpty() {
            boolean isEmpty;
            synchronized (this.f10887g) {
                isEmpty = n().isEmpty();
            }
            return isEmpty;
        }

        @Override // com.google.common.collect.xd
        public void l1(xd<? extends R, ? extends C, ? extends V> xdVar) {
            synchronized (this.f10887g) {
                n().l1(xdVar);
            }
        }

        @Override // com.google.common.collect.xd
        public Map<R, Map<C, V>> m() {
            Map<R, Map<C, V>> l7;
            synchronized (this.f10887g) {
                l7 = wd.l(v9.N0(n().m(), new a()), this.f10887g);
            }
            return l7;
        }

        @Override // com.google.common.collect.xd
        public boolean m1(Object obj, Object obj2) {
            boolean m12;
            synchronized (this.f10887g) {
                m12 = n().m1(obj, obj2);
            }
            return m12;
        }

        @Override // com.google.common.collect.xd
        public Map<C, Map<R, V>> n1() {
            Map<C, Map<R, V>> l7;
            synchronized (this.f10887g) {
                l7 = wd.l(v9.N0(n().n1(), new b()), this.f10887g);
            }
            return l7;
        }

        @Override // com.google.common.collect.xd
        public Set<R> p() {
            Set<R> u7;
            synchronized (this.f10887g) {
                u7 = wd.u(n().p(), this.f10887g);
            }
            return u7;
        }

        @Override // com.google.common.collect.xd
        public V remove(Object obj, Object obj2) {
            V remove;
            synchronized (this.f10887g) {
                remove = n().remove(obj, obj2);
            }
            return remove;
        }

        /* access modifiers changed from: package-private */
        /* renamed from: s */
        public xd<R, C, V> n() {
            return (xd) super.n();
        }

        @Override // com.google.common.collect.xd
        public Map<C, V> s1(R r7) {
            Map<C, V> l7;
            synchronized (this.f10887g) {
                l7 = wd.l(n().s1(r7), this.f10887g);
            }
            return l7;
        }

        @Override // com.google.common.collect.xd
        public int size() {
            int size;
            synchronized (this.f10887g) {
                size = n().size();
            }
            return size;
        }

        @Override // com.google.common.collect.xd
        public Collection<V> values() {
            Collection<V> h7;
            synchronized (this.f10887g) {
                h7 = wd.h(n().values(), this.f10887g);
            }
            return h7;
        }
    }

    private wd() {
    }

    /* access modifiers changed from: private */
    public static <E> Collection<E> A(Collection<E> collection, Object obj) {
        return collection instanceof SortedSet ? x((SortedSet) collection, obj) : collection instanceof Set ? u((Set) collection, obj) : collection instanceof List ? j((List) collection, obj) : h(collection, obj);
    }

    /* access modifiers changed from: private */
    public static <E> Set<E> B(Set<E> set, Object obj) {
        return set instanceof SortedSet ? x((SortedSet) set, obj) : u(set, obj);
    }

    static <K, V> h0<K, V> g(h0<K, V> h0Var, Object obj) {
        return ((h0Var instanceof e) || (h0Var instanceof k5)) ? h0Var : new e(h0Var, obj, null);
    }

    /* access modifiers changed from: private */
    public static <E> Collection<E> h(Collection<E> collection, Object obj) {
        return new f(collection, obj);
    }

    static <E> Deque<E> i(Deque<E> deque, Object obj) {
        return new g(deque, obj);
    }

    /* access modifiers changed from: private */
    public static <E> List<E> j(List<E> list, Object obj) {
        return list instanceof RandomAccess ? new r(list, obj) : new i(list, obj);
    }

    static <K, V> h9<K, V> k(h9<K, V> h9Var, Object obj) {
        return ((h9Var instanceof j) || (h9Var instanceof g0)) ? h9Var : new j(h9Var, obj);
    }

    @m0.d
    static <K, V> Map<K, V> l(Map<K, V> map, Object obj) {
        return new k(map, obj);
    }

    static <K, V> na<K, V> m(na<K, V> naVar, Object obj) {
        return ((naVar instanceof l) || (naVar instanceof g0)) ? naVar : new l(naVar, obj);
    }

    static <E> ya<E> n(ya<E> yaVar, Object obj) {
        return ((yaVar instanceof m) || (yaVar instanceof z6)) ? yaVar : new m(yaVar, obj);
    }

    @m0.c
    static <K, V> NavigableMap<K, V> o(NavigableMap<K, V> navigableMap) {
        return p(navigableMap, null);
    }

    @m0.c
    static <K, V> NavigableMap<K, V> p(NavigableMap<K, V> navigableMap, Object obj) {
        return new n(navigableMap, obj);
    }

    @m0.c
    static <E> NavigableSet<E> q(NavigableSet<E> navigableSet) {
        return r(navigableSet, null);
    }

    @m0.c
    static <E> NavigableSet<E> r(NavigableSet<E> navigableSet, Object obj) {
        return new o(navigableSet, obj);
    }

    /* access modifiers changed from: private */
    @m0.c
    public static <K, V> Map.Entry<K, V> s(Map.Entry<K, V> entry, Object obj) {
        if (entry == null) {
            return null;
        }
        return new h(entry, obj);
    }

    static <E> Queue<E> t(Queue<E> queue, Object obj) {
        return queue instanceof q ? queue : new q(queue, obj);
    }

    @m0.d
    static <E> Set<E> u(Set<E> set, Object obj) {
        return new s(set, obj);
    }

    static <K, V> hc<K, V> v(hc<K, V> hcVar, Object obj) {
        return ((hcVar instanceof t) || (hcVar instanceof g0)) ? hcVar : new t(hcVar, obj);
    }

    static <K, V> SortedMap<K, V> w(SortedMap<K, V> sortedMap, Object obj) {
        return new u(sortedMap, obj);
    }

    /* access modifiers changed from: private */
    public static <E> SortedSet<E> x(SortedSet<E> sortedSet, Object obj) {
        return new v(sortedSet, obj);
    }

    static <K, V> cd<K, V> y(cd<K, V> cdVar, Object obj) {
        return cdVar instanceof w ? cdVar : new w(cdVar, obj);
    }

    static <R, C, V> xd<R, C, V> z(xd<R, C, V> xdVar, Object obj) {
        return new x(xdVar, obj);
    }

    private static class w<K, V> extends t<K, V> implements cd<K, V> {
        private static final long Y5 = 0;

        w(cd<K, V> cdVar, Object obj) {
            super(cdVar, obj);
        }

        @Override // com.google.common.collect.cd
        public Comparator<? super V> S0() {
            Comparator<? super V> S0;
            synchronized (this.f10887g) {
                S0 = t().S0();
            }
            return S0;
        }

        /* access modifiers changed from: package-private */
        /* renamed from: x */
        public cd<K, V> t() {
            return (cd) super.s();
        }

        @Override // com.google.common.collect.wd.t, com.google.common.collect.wd.t, com.google.common.collect.hc, com.google.common.collect.hc, com.google.common.collect.wd.l, com.google.common.collect.cd, com.google.common.collect.cd, com.google.common.collect.cd, com.google.common.collect.na
        public SortedSet<V> b(Object obj) {
            SortedSet<V> b7;
            synchronized (this.f10887g) {
                b7 = t().b(obj);
            }
            return b7;
        }

        @Override // com.google.common.collect.wd.t, com.google.common.collect.wd.t, com.google.common.collect.hc, com.google.common.collect.hc, com.google.common.collect.wd.l, com.google.common.collect.cd, com.google.common.collect.cd, com.google.common.collect.cd, com.google.common.collect.na
        public SortedSet<V> c(K k7, Iterable<? extends V> iterable) {
            SortedSet<V> c7;
            synchronized (this.f10887g) {
                c7 = t().c((Object) k7, (Iterable) iterable);
            }
            return c7;
        }

        @Override // com.google.common.collect.wd.t, com.google.common.collect.wd.t, com.google.common.collect.hc, com.google.common.collect.hc, com.google.common.collect.wd.l, com.google.common.collect.cd, com.google.common.collect.cd, com.google.common.collect.cd, com.google.common.collect.na
        public SortedSet<V> get(K k7) {
            SortedSet<V> x7;
            synchronized (this.f10887g) {
                x7 = wd.x(t().get((Object) k7), this.f10887g);
            }
            return x7;
        }
    }
}
