package com.google.common.collect;

import com.google.common.base.Preconditions;
import com.google.common.collect.i6;
import com.google.common.collect.j6;
import java.io.Serializable;
import java.util.Map;
import java.util.function.BiConsumer;
import m0.c;
import m0.d;

/* access modifiers changed from: package-private */
@m0.b(emulated = true, serializable = true)
public final class xb<K, V> extends h6<K, V> {
    static final h6<Object, Object> V5 = new xb(h6.f10022y, null, 0);
    @d
    static final double W5 = 1.2d;
    @d
    static final double X5 = 0.001d;
    @d
    static final int Y5 = 8;
    private static final long Z5 = 0;
    @d
    final transient Map.Entry<K, V>[] C1;
    private final transient i6<K, V>[] C2;
    private final transient int U5;

    @m0.b(emulated = true)
    private static final class a<K, V> extends o8<K> {
        private final xb<K, V> W5;

        @c
        /* renamed from: com.google.common.collect.xb$a$a  reason: collision with other inner class name */
        private static class C0140a<K> implements Serializable {

            /* renamed from: g  reason: collision with root package name */
            private static final long f10903g = 0;

            /* renamed from: f  reason: collision with root package name */
            final h6<K, ?> f10904f;

            C0140a(h6<K, ?> h6Var) {
                this.f10904f = h6Var;
            }

            /* access modifiers changed from: package-private */
            public Object a() {
                return this.f10904f.keySet();
            }
        }

        a(xb<K, V> xbVar) {
            this.W5 = xbVar;
        }

        @Override // com.google.common.collect.n5
        public boolean contains(Object obj) {
            return this.W5.containsKey(obj);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.o8
        public K get(int i7) {
            return this.W5.C1[i7].getKey();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.n5
        public boolean m() {
            return true;
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.n5, com.google.common.collect.e7
        @c
        public Object p() {
            return new C0140a(this.W5);
        }

        public int size() {
            return this.W5.size();
        }
    }

    @m0.b(emulated = true)
    private static final class b<K, V> extends t5<V> {

        /* renamed from: p  reason: collision with root package name */
        final xb<K, V> f10905p;

        @c
        private static class a<V> implements Serializable {

            /* renamed from: g  reason: collision with root package name */
            private static final long f10906g = 0;

            /* renamed from: f  reason: collision with root package name */
            final h6<?, V> f10907f;

            a(h6<?, V> h6Var) {
                this.f10907f = h6Var;
            }

            /* access modifiers changed from: package-private */
            public Object a() {
                return this.f10907f.values();
            }
        }

        b(xb<K, V> xbVar) {
            this.f10905p = xbVar;
        }

        @Override // java.util.List
        public V get(int i7) {
            return this.f10905p.C1[i7].getValue();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.n5
        public boolean m() {
            return true;
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.n5, com.google.common.collect.t5
        @c
        public Object p() {
            return new a(this.f10905p);
        }

        public int size() {
            return this.f10905p.size();
        }
    }

    private xb(Map.Entry<K, V>[] entryArr, i6<K, V>[] i6VarArr, int i7) {
        this.C1 = entryArr;
        this.C2 = i6VarArr;
        this.U5 = i7;
    }

    @p0.a
    static int G(Object obj, Map.Entry<?, ?> entry, i6<?, ?> i6Var) {
        int i7 = 0;
        while (i6Var != null) {
            h6.d(!obj.equals(i6Var.getKey()), "key", entry, i6Var);
            i7++;
            i6Var = i6Var.d();
        }
        return i7;
    }

    static <K, V> h6<K, V> H(Map.Entry<K, V>... entryArr) {
        return I(entryArr.length, entryArr);
    }

    static <K, V> h6<K, V> I(int i7, Map.Entry<K, V>[] entryArr) {
        Preconditions.checkPositionIndex(i7, entryArr.length);
        if (i7 == 0) {
            return (xb) V5;
        }
        Map.Entry<K, V>[] a8 = i7 == entryArr.length ? entryArr : i6.a(i7);
        int a9 = i5.a(i7, W5);
        i6[] a10 = i6.a(a9);
        int i8 = a9 - 1;
        for (int i9 = 0; i9 < i7; i9++) {
            Map.Entry<K, V> entry = entryArr[i9];
            K key = entry.getKey();
            V value = entry.getValue();
            t1.a(key, value);
            int c7 = i5.c(key.hashCode()) & i8;
            i6 i6Var = a10[c7];
            i6 M = i6Var == null ? M(entry, key, value) : new i6.b(key, value, i6Var);
            a10[c7] = M;
            a8[i9] = M;
            if (G(key, M, i6Var) > 8) {
                return z8.H(i7, entryArr);
            }
        }
        return new xb(a8, a10, i8);
    }

    static <V> V K(Object obj, i6<?, V>[] i6VarArr, int i7) {
        if (!(obj == null || i6VarArr == null)) {
            for (i6<?, V> i6Var = i6VarArr[i7 & i5.c(obj.hashCode())]; i6Var != null; i6Var = i6Var.d()) {
                if (obj.equals(i6Var.getKey())) {
                    return i6Var.getValue();
                }
            }
        }
        return null;
    }

    static <K, V> i6<K, V> L(Map.Entry<K, V> entry) {
        return M(entry, entry.getKey(), entry.getValue());
    }

    static <K, V> i6<K, V> M(Map.Entry<K, V> entry, K k7, V v7) {
        return (entry instanceof i6) && ((i6) entry).g() ? (i6) entry : new i6<>(k7, v7);
    }

    @Override // java.util.Map
    public void forEach(BiConsumer<? super K, ? super V> biConsumer) {
        Preconditions.checkNotNull(biConsumer);
        Map.Entry<K, V>[] entryArr = this.C1;
        for (Map.Entry<K, V> entry : entryArr) {
            biConsumer.accept(entry.getKey(), entry.getValue());
        }
    }

    @Override // com.google.common.collect.h6, java.util.Map
    public V get(Object obj) {
        return (V) K(obj, this.C2, this.U5);
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.h6
    public e7<Map.Entry<K, V>> i() {
        return new j6.b(this, this.C1);
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.h6
    public e7<K> j() {
        return new a(this);
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.h6
    public n5<V> k() {
        return new b(this);
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.h6
    public boolean q() {
        return false;
    }

    public int size() {
        return this.C1.length;
    }
}
