package com.google.common.collect;

import com.google.common.base.Preconditions;
import com.google.common.collect.gc;
import com.google.common.collect.ya;
import com.google.common.primitives.l;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Set;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.ConcurrentMap;
import java.util.concurrent.atomic.AtomicInteger;

@m0.c
public final class y2<E> extends p<E> implements Serializable {

    /* renamed from: x  reason: collision with root package name */
    private static final long f10924x = 1;

    /* renamed from: p  reason: collision with root package name */
    private final transient ConcurrentMap<E, AtomicInteger> f10925p;

    class a extends t4<E> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ Set f10926f;

        a(Set set) {
            this.f10926f = set;
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.collect.t4
        /* renamed from: Q1 */
        public Set<E> E1() {
            return this.f10926f;
        }

        @Override // com.google.common.collect.a4
        public boolean contains(Object obj) {
            return obj != null && f2.j(this.f10926f, obj);
        }

        @Override // java.util.Collection, java.util.Set, com.google.common.collect.a4
        public boolean containsAll(Collection<?> collection) {
            return I1(collection);
        }

        @Override // com.google.common.collect.a4
        public boolean remove(Object obj) {
            return obj != null && f2.k(this.f10926f, obj);
        }

        @Override // java.util.Collection, java.util.Set, com.google.common.collect.a4
        public boolean removeAll(Collection<?> collection) {
            return L1(collection);
        }
    }

    class b extends c<ya.a<E>> {

        /* renamed from: p  reason: collision with root package name */
        private final Iterator<Map.Entry<E, AtomicInteger>> f10928p;

        b() {
            this.f10928p = y2.this.f10925p.entrySet().iterator();
        }

        /* access modifiers changed from: protected */
        /* renamed from: d */
        public ya.a<E> a() {
            while (this.f10928p.hasNext()) {
                Map.Entry<E, AtomicInteger> next = this.f10928p.next();
                int i7 = next.getValue().get();
                if (i7 != 0) {
                    return db.m(next.getKey(), i7);
                }
            }
            return (ya.a) b();
        }
    }

    class c extends h4<ya.a<E>> {

        /* renamed from: f  reason: collision with root package name */
        private ya.a<E> f10930f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ Iterator f10931g;

        c(Iterator it) {
            this.f10931g = it;
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.collect.h4
        /* renamed from: E1 */
        public Iterator<ya.a<E>> D1() {
            return this.f10931g;
        }

        /* renamed from: F1 */
        public ya.a<E> next() {
            ya.a<E> aVar = (ya.a) super.next();
            this.f10930f = aVar;
            return aVar;
        }

        @Override // com.google.common.collect.h4
        public void remove() {
            t1.e(this.f10930f != null);
            y2.this.p0(this.f10930f.a(), 0);
            this.f10930f = null;
        }
    }

    private class d extends p<E>.b {
        private d() {
            super();
        }

        private List<ya.a<E>> m() {
            ArrayList v7 = i9.v(size());
            w8.a(v7, iterator());
            return v7;
        }

        /* access modifiers changed from: package-private */
        /* renamed from: l */
        public y2<E> k() {
            return y2.this;
        }

        public Object[] toArray() {
            return m().toArray();
        }

        /* synthetic */ d(y2 y2Var, a aVar) {
            this();
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
        public <T> T[] toArray(T[] tArr) {
            return (T[]) m().toArray(tArr);
        }
    }

    private static class e {

        /* renamed from: a  reason: collision with root package name */
        static final gc.b<y2> f10934a = gc.a(y2.class, "countMap");

        private e() {
        }
    }

    @m0.d
    y2(ConcurrentMap<E, AtomicInteger> concurrentMap) {
        Preconditions.checkArgument(concurrentMap.isEmpty(), "the backing map (%s) must be empty", concurrentMap);
        this.f10925p = concurrentMap;
    }

    public static <E> y2<E> n() {
        return new y2<>(new ConcurrentHashMap());
    }

    public static <E> y2<E> p(Iterable<? extends E> iterable) {
        y2<E> n7 = n();
        t8.a(n7, iterable);
        return n7;
    }

    @m0.a
    public static <E> y2<E> q(ConcurrentMap<E, AtomicInteger> concurrentMap) {
        return new y2<>(concurrentMap);
    }

    private void s(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException {
        objectInputStream.defaultReadObject();
        e.f10934a.b(this, (ConcurrentMap) objectInputStream.readObject());
    }

    /* JADX DEBUG: Multi-variable search result rejected for r0v1, resolved type: java.util.ArrayList */
    /* JADX WARN: Multi-variable type inference failed */
    private List<E> u() {
        ArrayList v7 = i9.v(size());
        for (E e7 : entrySet()) {
            Object a8 = e7.a();
            for (int count = e7.getCount(); count > 0; count--) {
                v7.add(a8);
            }
        }
        return v7;
    }

    private void w(ObjectOutputStream objectOutputStream) throws IOException {
        objectOutputStream.defaultWriteObject();
        objectOutputStream.writeObject(this.f10925p);
    }

    @Override // com.google.common.collect.ya
    public int O0(Object obj) {
        AtomicInteger atomicInteger = (AtomicInteger) v9.z0(this.f10925p, obj);
        if (atomicInteger == null) {
            return 0;
        }
        return atomicInteger.get();
    }

    @Override // com.google.common.collect.p, com.google.common.collect.ya
    @p0.a
    public int V(Object obj, int i7) {
        int i8;
        int max;
        if (i7 == 0) {
            return O0(obj);
        }
        t1.d(i7, "occurences");
        AtomicInteger atomicInteger = (AtomicInteger) v9.z0(this.f10925p, obj);
        if (atomicInteger == null) {
            return 0;
        }
        do {
            i8 = atomicInteger.get();
            if (i8 == 0) {
                return 0;
            }
            max = Math.max(0, i8 - i7);
        } while (!atomicInteger.compareAndSet(i8, max));
        if (max == 0) {
            this.f10925p.remove(obj, atomicInteger);
        }
        return i8;
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.p
    public Set<E> b() {
        return new a(this.f10925p.keySet());
    }

    @Override // com.google.common.collect.p
    @Deprecated
    public Set<ya.a<E>> c() {
        return new d(this, null);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:19:0x005a, code lost:
        r2 = new java.util.concurrent.atomic.AtomicInteger(r6);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:20:0x0065, code lost:
        if (r4.f10925p.putIfAbsent(r5, r2) == null) goto L_0x006f;
     */
    @Override // com.google.common.collect.p, com.google.common.collect.ya
    @p0.a
    public int c0(E e7, int i7) {
        AtomicInteger atomicInteger;
        AtomicInteger atomicInteger2;
        Preconditions.checkNotNull(e7);
        if (i7 == 0) {
            return O0(e7);
        }
        t1.d(i7, "occurences");
        do {
            atomicInteger = (AtomicInteger) v9.z0(this.f10925p, e7);
            if (atomicInteger != null || (atomicInteger = this.f10925p.putIfAbsent(e7, new AtomicInteger(i7))) != null) {
                while (true) {
                    int i8 = atomicInteger.get();
                    if (i8 == 0) {
                        break;
                    }
                    try {
                        if (atomicInteger.compareAndSet(i8, com.google.common.math.d.c(i8, i7))) {
                            return i8;
                        }
                    } catch (ArithmeticException unused) {
                        throw new IllegalArgumentException("Overflow adding " + i7 + " occurrences to a count of " + i8);
                    }
                }
            } else {
                return 0;
            }
        } while (!this.f10925p.replace(e7, atomicInteger, atomicInteger2));
        return 0;
    }

    @Override // com.google.common.collect.p
    public void clear() {
        this.f10925p.clear();
    }

    @Override // com.google.common.collect.p, com.google.common.collect.ya
    public /* bridge */ /* synthetic */ boolean contains(Object obj) {
        return super.contains(obj);
    }

    @Override // com.google.common.collect.p, com.google.common.collect.ya
    public /* bridge */ /* synthetic */ Set d() {
        return super.d();
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.p
    public int e() {
        return this.f10925p.size();
    }

    @Override // com.google.common.collect.p, com.google.common.collect.ya
    public /* bridge */ /* synthetic */ Set entrySet() {
        return super.entrySet();
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.p
    public Iterator<E> h() {
        throw new AssertionError("should never be called");
    }

    @Override // com.google.common.collect.p
    public boolean isEmpty() {
        return this.f10925p.isEmpty();
    }

    @Override // java.util.AbstractCollection, java.util.Collection, com.google.common.collect.ya, java.lang.Iterable
    public Iterator<E> iterator() {
        return db.p(this);
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.p
    public Iterator<ya.a<E>> k() {
        return new c(new b());
    }

    /* JADX WARNING: Code restructure failed: missing block: B:10:0x002c, code lost:
        if (r6 != 0) goto L_0x002f;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:11:0x002e, code lost:
        return 0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:12:0x002f, code lost:
        r2 = new java.util.concurrent.atomic.AtomicInteger(r6);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:13:0x003a, code lost:
        if (r4.f10925p.putIfAbsent(r5, r2) == null) goto L_0x0044;
     */
    @Override // com.google.common.collect.p, com.google.common.collect.ya
    @p0.a
    public int p0(E e7, int i7) {
        AtomicInteger atomicInteger;
        AtomicInteger atomicInteger2;
        Preconditions.checkNotNull(e7);
        t1.b(i7, "count");
        do {
            atomicInteger = (AtomicInteger) v9.z0(this.f10925p, e7);
            if (atomicInteger == null && (i7 == 0 || (atomicInteger = this.f10925p.putIfAbsent(e7, new AtomicInteger(i7))) == null)) {
                return 0;
            }
            while (true) {
                int i8 = atomicInteger.get();
                if (i8 == 0) {
                    break;
                } else if (atomicInteger.compareAndSet(i8, i7)) {
                    if (i7 == 0) {
                        this.f10925p.remove(e7, atomicInteger);
                    }
                    return i8;
                }
            }
        } while (!this.f10925p.replace(e7, atomicInteger, atomicInteger2));
        return 0;
    }

    @Override // com.google.common.collect.ya
    public int size() {
        long j7 = 0;
        for (AtomicInteger atomicInteger : this.f10925p.values()) {
            j7 += (long) atomicInteger.get();
        }
        return l.x(j7);
    }

    @p0.a
    public boolean t(Object obj, int i7) {
        int i8;
        int i9;
        if (i7 == 0) {
            return true;
        }
        t1.d(i7, "occurences");
        AtomicInteger atomicInteger = (AtomicInteger) v9.z0(this.f10925p, obj);
        if (atomicInteger == null) {
            return false;
        }
        do {
            i8 = atomicInteger.get();
            if (i8 < i7) {
                return false;
            }
            i9 = i8 - i7;
        } while (!atomicInteger.compareAndSet(i8, i9));
        if (i9 == 0) {
            this.f10925p.remove(obj, atomicInteger);
        }
        return true;
    }

    public Object[] toArray() {
        return u().toArray();
    }

    @Override // com.google.common.collect.p, com.google.common.collect.ya
    @p0.a
    public boolean w0(E e7, int i7, int i8) {
        Preconditions.checkNotNull(e7);
        t1.b(i7, "oldCount");
        t1.b(i8, "newCount");
        AtomicInteger atomicInteger = (AtomicInteger) v9.z0(this.f10925p, e7);
        if (atomicInteger != null) {
            int i9 = atomicInteger.get();
            if (i9 == i7) {
                if (i9 == 0) {
                    if (i8 == 0) {
                        this.f10925p.remove(e7, atomicInteger);
                        return true;
                    }
                    AtomicInteger atomicInteger2 = new AtomicInteger(i8);
                    return this.f10925p.putIfAbsent(e7, atomicInteger2) == null || this.f10925p.replace(e7, atomicInteger, atomicInteger2);
                } else if (atomicInteger.compareAndSet(i9, i8)) {
                    if (i8 == 0) {
                        this.f10925p.remove(e7, atomicInteger);
                    }
                    return true;
                }
            }
            return false;
        } else if (i7 != 0) {
            return false;
        } else {
            if (i8 == 0) {
                return true;
            }
            return this.f10925p.putIfAbsent(e7, new AtomicInteger(i8)) == null;
        }
    }

    @Override // java.util.AbstractCollection, java.util.Collection
    public <T> T[] toArray(T[] tArr) {
        return (T[]) u().toArray(tArr);
    }
}
