package com.google.common.collect;

import com.google.common.base.Function;
import com.google.common.base.Joiner;
import com.google.common.base.Optional;
import com.google.common.base.Preconditions;
import com.google.common.base.Predicate;
import java.util.Arrays;
import java.util.Collection;
import java.util.Comparator;
import java.util.Iterator;
import java.util.List;
import java.util.SortedSet;
import java.util.stream.Stream;

@m0.b(emulated = true)
public abstract class y3<E> implements Iterable<E> {

    /* renamed from: f  reason: collision with root package name */
    private final Optional<Iterable<E>> f10935f;

    /* access modifiers changed from: package-private */
    public static class a extends y3<E> {

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ Iterable f10936g;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        a(Iterable iterable, Iterable iterable2) {
            super(iterable);
            this.f10936g = iterable2;
        }

        @Override // java.lang.Iterable
        public Iterator<E> iterator() {
            return this.f10936g.iterator();
        }
    }

    /* access modifiers changed from: package-private */
    public static class b extends y3<T> {

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ Iterable f10937g;

        b(Iterable iterable) {
            this.f10937g = iterable;
        }

        @Override // java.lang.Iterable
        public Iterator<T> iterator() {
            return w8.i(w8.c0(this.f10937g.iterator(), t8.Q()));
        }
    }

    /* access modifiers changed from: package-private */
    public static class c extends y3<T> {

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ Iterable[] f10938g;

        class a extends b<Iterator<? extends T>> {
            a(int i7) {
                super(i7);
            }

            /* renamed from: b */
            public Iterator<? extends T> a(int i7) {
                return c.this.f10938g[i7].iterator();
            }
        }

        c(Iterable[] iterableArr) {
            this.f10938g = iterableArr;
        }

        @Override // java.lang.Iterable
        public Iterator<T> iterator() {
            return w8.i(new a(this.f10938g.length));
        }
    }

    private static class d<E> implements Function<Iterable<E>, y3<E>> {
        private d() {
        }

        /* renamed from: a */
        public y3<E> apply(Iterable<E> iterable) {
            return y3.J(iterable);
        }
    }

    protected y3() {
        this.f10935f = Optional.absent();
    }

    @Deprecated
    public static <E> y3<E> D(y3<E> y3Var) {
        return (y3) Preconditions.checkNotNull(y3Var);
    }

    public static <E> y3<E> J(Iterable<E> iterable) {
        return iterable instanceof y3 ? (y3) iterable : new a(iterable, iterable);
    }

    @m0.a
    public static <E> y3<E> L(E[] eArr) {
        return J(Arrays.asList(eArr));
    }

    private Iterable<E> P() {
        return this.f10935f.or(this);
    }

    @m0.a
    public static <E> y3<E> W() {
        return J(t5.R());
    }

    @m0.a
    public static <E> y3<E> X(E e7, E... eArr) {
        return J(i9.c(e7, eArr));
    }

    @m0.a
    public static <T> y3<T> k(Iterable<? extends Iterable<? extends T>> iterable) {
        Preconditions.checkNotNull(iterable);
        return new b(iterable);
    }

    @m0.a
    public static <T> y3<T> l(Iterable<? extends T> iterable, Iterable<? extends T> iterable2) {
        return p(iterable, iterable2);
    }

    @m0.a
    public static <T> y3<T> m(Iterable<? extends T> iterable, Iterable<? extends T> iterable2, Iterable<? extends T> iterable3) {
        return p(iterable, iterable2, iterable3);
    }

    @m0.a
    public static <T> y3<T> n(Iterable<? extends T> iterable, Iterable<? extends T> iterable2, Iterable<? extends T> iterable3, Iterable<? extends T> iterable4) {
        return p(iterable, iterable2, iterable3, iterable4);
    }

    @m0.a
    public static <T> y3<T> o(Iterable<? extends T>... iterableArr) {
        return p((Iterable[]) Arrays.copyOf(iterableArr, iterableArr.length));
    }

    private static <T> y3<T> p(Iterable<? extends T>... iterableArr) {
        for (Iterable<? extends T> iterable : iterableArr) {
            Preconditions.checkNotNull(iterable);
        }
        return new c(iterableArr);
    }

    public final <K> d6<K, E> Q(Function<? super E, K> function) {
        return ua.w(P(), function);
    }

    @m0.a
    public final String R(Joiner joiner) {
        return joiner.join(this);
    }

    public final Optional<E> T() {
        E next;
        Object last;
        Iterable<E> P = P();
        if (P instanceof List) {
            List list = (List) P;
            if (list.isEmpty()) {
                return Optional.absent();
            }
            last = list.get(list.size() - 1);
        } else {
            Iterator<E> it = P.iterator();
            if (!it.hasNext()) {
                return Optional.absent();
            }
            if (P instanceof SortedSet) {
                last = ((SortedSet) P).last();
            } else {
                do {
                    next = it.next();
                } while (it.hasNext());
                return Optional.of(next);
            }
        }
        return Optional.of(last);
    }

    public final y3<E> U(int i7) {
        return J(t8.D(P(), i7));
    }

    public final y3<E> Y(int i7) {
        return J(t8.M(P(), i7));
    }

    @m0.c
    public final E[] Z(Class<E> cls) {
        return (E[]) t8.O(P(), cls);
    }

    public final t5<E> a0() {
        return t5.x(P());
    }

    public final boolean b(Predicate<? super E> predicate) {
        return t8.b(P(), predicate);
    }

    public final <V> h6<E, V> b0(Function<? super E, V> function) {
        return v9.G0(P(), function);
    }

    public final boolean c(Predicate<? super E> predicate) {
        return t8.c(P(), predicate);
    }

    public final boolean contains(Object obj) {
        return t8.k(P(), obj);
    }

    public final z6<E> d0() {
        return z6.J(P());
    }

    @m0.a
    public final y3<E> e(Iterable<? extends E> iterable) {
        return l(P(), iterable);
    }

    public final e7<E> e0() {
        return e7.D(P());
    }

    public final t5<E> f0(Comparator<? super E> comparator) {
        return kb.i(comparator).m(P());
    }

    public final c8<E> g0(Comparator<? super E> comparator) {
        return c8.P0(comparator, P());
    }

    public final E get(int i7) {
        return (E) t8.t(P(), i7);
    }

    @m0.a
    public final y3<E> h(E... eArr) {
        return l(P(), Arrays.asList(eArr));
    }

    public final boolean isEmpty() {
        return !P().iterator().hasNext();
    }

    public final <T> y3<T> j0(Function<? super E, T> function) {
        return J(t8.S(P(), function));
    }

    /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: com.google.common.base.Function<? super E, ? extends java.lang.Iterable<? extends T>> */
    /* JADX WARN: Multi-variable type inference failed */
    public <T> y3<T> k0(Function<? super E, ? extends Iterable<? extends T>> function) {
        return k(j0(function));
    }

    public final <K> h6<K, E> l0(Function<? super E, K> function) {
        return v9.Q0(P(), function);
    }

    @p0.a
    public final <C extends Collection<? super E>> C q(C c7) {
        Preconditions.checkNotNull(c7);
        Iterable<E> P = P();
        if (P instanceof Collection) {
            c7.addAll(f2.b(P));
        } else {
            for (E e7 : P) {
                c7.add(e7);
            }
        }
        return c7;
    }

    public final y3<E> s() {
        return J(t8.l(P()));
    }

    public final int size() {
        return t8.L(P());
    }

    public final Stream<E> stream() {
        return vd.D(P());
    }

    public final y3<E> t(Predicate<? super E> predicate) {
        return J(t8.o(P(), predicate));
    }

    public String toString() {
        return t8.R(P());
    }

    @m0.c
    public final <T> y3<T> u(Class<T> cls) {
        return J(t8.p(P(), cls));
    }

    public final Optional<E> w() {
        Iterator<E> it = P().iterator();
        return it.hasNext() ? Optional.of(it.next()) : Optional.absent();
    }

    public final Optional<E> x(Predicate<? super E> predicate) {
        return t8.T(P(), predicate);
    }

    y3(Iterable<E> iterable) {
        Preconditions.checkNotNull(iterable);
        this.f10935f = Optional.fromNullable(this == iterable ? null : iterable);
    }
}
