package com.google.common.collect;

import com.google.common.base.Preconditions;
import com.google.common.collect.e7;
import com.google.common.collect.n5;
import com.google.common.collect.ya;
import java.io.Serializable;
import java.util.Arrays;
import java.util.Collection;
import java.util.Collections;
import java.util.Iterator;
import java.util.List;
import java.util.function.Function;
import java.util.function.ToIntFunction;
import java.util.stream.Collector;

@m0.b(emulated = true, serializable = true)
public abstract class z6<E> extends b7<E> implements ya<E> {
    @q0.b

    /* renamed from: p  reason: collision with root package name */
    private transient t5<E> f10958p;
    @q0.b

    /* renamed from: x  reason: collision with root package name */
    private transient e7<ya.a<E>> f10959x;

    /* access modifiers changed from: package-private */
    public class a extends le<E> {

        /* renamed from: f  reason: collision with root package name */
        int f10960f;

        /* renamed from: g  reason: collision with root package name */
        E f10961g;

        /* renamed from: p  reason: collision with root package name */
        final /* synthetic */ Iterator f10962p;

        a(Iterator it) {
            this.f10962p = it;
        }

        public boolean hasNext() {
            return this.f10960f > 0 || this.f10962p.hasNext();
        }

        @Override // java.util.Iterator
        public E next() {
            if (this.f10960f <= 0) {
                ya.a aVar = (ya.a) this.f10962p.next();
                this.f10961g = (E) aVar.a();
                this.f10960f = aVar.getCount();
            }
            this.f10960f--;
            return this.f10961g;
        }
    }

    public static class b<E> extends n5.a<E> {

        /* renamed from: b  reason: collision with root package name */
        final ya<E> f10964b;

        public b() {
            this(f9.D());
        }

        /* JADX DEBUG: Multi-variable search result rejected for r0v1, resolved type: com.google.common.collect.ya<E> */
        /* JADX WARN: Multi-variable type inference failed */
        /* access modifiers changed from: private */
        public /* synthetic */ void o(Object obj, int i7) {
            this.f10964b.c0(Preconditions.checkNotNull(obj), i7);
        }

        /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: com.google.common.collect.ya<E> */
        /* JADX WARN: Multi-variable type inference failed */
        @p0.a
        /* renamed from: h */
        public b<E> a(E e7) {
            this.f10964b.add(Preconditions.checkNotNull(e7));
            return this;
        }

        @p0.a
        /* renamed from: i */
        public b<E> b(E... eArr) {
            super.b(eArr);
            return this;
        }

        @p0.a
        /* renamed from: j */
        public b<E> c(Iterable<? extends E> iterable) {
            if (iterable instanceof ya) {
                db.f(iterable).L0(new a7(this));
            } else {
                super.c(iterable);
            }
            return this;
        }

        @p0.a
        /* renamed from: k */
        public b<E> d(Iterator<? extends E> it) {
            super.d(it);
            return this;
        }

        /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: com.google.common.collect.ya<E> */
        /* JADX WARN: Multi-variable type inference failed */
        @p0.a
        public b<E> l(E e7, int i7) {
            this.f10964b.c0(Preconditions.checkNotNull(e7), i7);
            return this;
        }

        /* renamed from: m */
        public z6<E> e() {
            return z6.J(this.f10964b);
        }

        /* access modifiers changed from: package-private */
        @m0.d
        public z6<E> n() {
            return this.f10964b.isEmpty() ? z6.b0() : a9.r0(this.f10964b.entrySet());
        }

        /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: com.google.common.collect.ya<E> */
        /* JADX WARN: Multi-variable type inference failed */
        @p0.a
        public b<E> p(E e7, int i7) {
            this.f10964b.p0(Preconditions.checkNotNull(e7), i7);
            return this;
        }

        b(ya<E> yaVar) {
            this.f10964b = yaVar;
        }
    }

    static final class c<E> extends e7.b<E> {
        private final List<ya.a<E>> W5;
        private final ya<E> X5;

        c(List<ya.a<E>> list, ya<E> yaVar) {
            this.W5 = list;
            this.X5 = yaVar;
        }

        @Override // com.google.common.collect.n5
        public boolean contains(Object obj) {
            return this.X5.contains(obj);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.e7.b
        public E get(int i7) {
            return this.W5.get(i7).a();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.n5
        public boolean m() {
            return true;
        }

        public int size() {
            return this.W5.size();
        }
    }

    /* access modifiers changed from: private */
    public final class d extends o8<ya.a<E>> {
        private static final long X5 = 0;

        private d() {
        }

        @Override // com.google.common.collect.n5
        public boolean contains(Object obj) {
            if (!(obj instanceof ya.a)) {
                return false;
            }
            ya.a aVar = (ya.a) obj;
            return aVar.getCount() > 0 && z6.this.O0(aVar.a()) == aVar.getCount();
        }

        @Override // com.google.common.collect.e7
        public int hashCode() {
            return z6.this.hashCode();
        }

        /* access modifiers changed from: package-private */
        /* renamed from: l0 */
        public ya.a<E> get(int i7) {
            return z6.this.U(i7);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.n5
        public boolean m() {
            return z6.this.m();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.collect.n5, com.google.common.collect.e7
        @m0.c
        public Object p() {
            return new e(z6.this);
        }

        public int size() {
            return z6.this.d().size();
        }

        /* synthetic */ d(z6 z6Var, a aVar) {
            this();
        }
    }

    @m0.c
    static class e<E> implements Serializable {

        /* renamed from: f  reason: collision with root package name */
        final z6<E> f10965f;

        e(z6<E> z6Var) {
            this.f10965f = z6Var;
        }

        /* access modifiers changed from: package-private */
        public Object a() {
            return this.f10965f.entrySet();
        }
    }

    static final class f implements Serializable {

        /* renamed from: p  reason: collision with root package name */
        private static final long f10966p = 0;

        /* renamed from: f  reason: collision with root package name */
        final Object[] f10967f;

        /* renamed from: g  reason: collision with root package name */
        final int[] f10968g;

        f(ya<?> yaVar) {
            int size = yaVar.entrySet().size();
            this.f10967f = new Object[size];
            this.f10968g = new int[size];
            int i7 = 0;
            for (ya.a<?> aVar : yaVar.entrySet()) {
                this.f10967f[i7] = aVar.a();
                this.f10968g[i7] = aVar.getCount();
                i7++;
            }
        }

        /* access modifiers changed from: package-private */
        public Object a() {
            f9 J = f9.J(this.f10967f.length);
            int i7 = 0;
            while (true) {
                Object[] objArr = this.f10967f;
                if (i7 >= objArr.length) {
                    return z6.J(J);
                }
                J.c0(objArr[i7], this.f10968g[i7]);
                i7++;
            }
        }
    }

    z6() {
    }

    static <E> z6<E> D(Collection<? extends ya.a<? extends E>> collection) {
        return collection.isEmpty() ? b0() : yb.r0(collection);
    }

    public static <E> z6<E> J(Iterable<? extends E> iterable) {
        if (iterable instanceof z6) {
            z6<E> z6Var = (z6) iterable;
            if (!z6Var.m()) {
                return z6Var;
            }
        }
        return D((iterable instanceof ya ? db.f(iterable) : f9.L(iterable)).entrySet());
    }

    public static <E> z6<E> L(Iterator<? extends E> it) {
        f9 D = f9.D();
        w8.a(D, it);
        return D(D.entrySet());
    }

    public static <E> z6<E> P(E[] eArr) {
        return x(eArr);
    }

    private e7<ya.a<E>> Q() {
        return isEmpty() ? e7.Y() : new d(this, null);
    }

    /* access modifiers changed from: private */
    public static /* synthetic */ int X(Object obj) {
        return 1;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: com.google.common.collect.ya */
    /* JADX WARN: Multi-variable type inference failed */
    /* access modifiers changed from: private */
    public static /* synthetic */ void Y(Function function, ToIntFunction toIntFunction, ya yaVar, Object obj) {
        yaVar.c0(Preconditions.checkNotNull(function.apply(obj)), toIntFunction.applyAsInt(obj));
    }

    /* access modifiers changed from: private */
    public static /* synthetic */ z6 a0(ya yaVar) {
        return D(yaVar.entrySet());
    }

    public static <E> z6<E> b0() {
        return (z6<E>) yb.W5;
    }

    public static <E> z6<E> d0(E e7) {
        return x(e7);
    }

    public static <E> z6<E> e0(E e7, E e8) {
        return x(e7, e8);
    }

    public static <E> z6<E> f0(E e7, E e8, E e9) {
        return x(e7, e8, e9);
    }

    public static <E> z6<E> g0(E e7, E e8, E e9, E e10) {
        return x(e7, e8, e9, e10);
    }

    public static <E> z6<E> k0(E e7, E e8, E e9, E e10, E e11) {
        return x(e7, e8, e9, e10, e11);
    }

    public static <E> z6<E> l0(E e7, E e8, E e9, E e10, E e11, E e12, E... eArr) {
        return new b().a(e7).a(e8).a(e9).a(e10).a(e11).a(e12).b(eArr).e();
    }

    public static <E> Collector<E, ?, z6<E>> o0() {
        return q0(Function.identity(), new y6());
    }

    public static <T, E> Collector<T, ?, z6<E>> q0(Function<? super T, ? extends E> function, ToIntFunction<? super T> toIntFunction) {
        Preconditions.checkNotNull(function);
        Preconditions.checkNotNull(toIntFunction);
        return Collector.of(new u6(), new v6(function, toIntFunction), new w6(), new x6(), new Collector.Characteristics[0]);
    }

    public static <E> b<E> w() {
        return new b<>();
    }

    private static <E> z6<E> x(E... eArr) {
        f9 D = f9.D();
        Collections.addAll(D, eArr);
        return D(D.entrySet());
    }

    /* renamed from: R */
    public abstract e7<E> d();

    /* renamed from: T */
    public e7<ya.a<E>> entrySet() {
        e7<ya.a<E>> e7Var = this.f10959x;
        if (e7Var != null) {
            return e7Var;
        }
        e7<ya.a<E>> Q = Q();
        this.f10959x = Q;
        return Q;
    }

    /* access modifiers changed from: package-private */
    public abstract ya.a<E> U(int i7);

    @Override // com.google.common.collect.ya
    @p0.a
    @Deprecated
    public final int V(Object obj, int i7) {
        throw new UnsupportedOperationException();
    }

    @Override // com.google.common.collect.n5
    public t5<E> b() {
        t5<E> t5Var = this.f10958p;
        if (t5Var != null) {
            return t5Var;
        }
        t5<E> b7 = super.b();
        this.f10958p = b7;
        return b7;
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.n5
    @m0.c
    public int c(Object[] objArr, int i7) {
        le<ya.a<E>> n7 = entrySet().iterator();
        while (n7.hasNext()) {
            ya.a<E> next = n7.next();
            Arrays.fill(objArr, i7, next.getCount() + i7, next.a());
            i7 += next.getCount();
        }
        return i7;
    }

    @Override // com.google.common.collect.ya
    @p0.a
    @Deprecated
    public final int c0(E e7, int i7) {
        throw new UnsupportedOperationException();
    }

    @Override // com.google.common.collect.ya, com.google.common.collect.n5
    public boolean contains(Object obj) {
        return O0(obj) > 0;
    }

    @Override // com.google.common.collect.ya
    public boolean equals(Object obj) {
        return db.k(this, obj);
    }

    @Override // com.google.common.collect.ya
    public int hashCode() {
        return jc.k(entrySet());
    }

    @Override // com.google.common.collect.n5
    /* renamed from: n */
    public le<E> iterator() {
        return new a(entrySet().iterator());
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.common.collect.n5
    @m0.c
    public Object p() {
        return new f(this);
    }

    @Override // com.google.common.collect.ya
    @p0.a
    @Deprecated
    public final int p0(E e7, int i7) {
        throw new UnsupportedOperationException();
    }

    @Override // com.google.common.collect.ya
    public String toString() {
        return entrySet().toString();
    }

    @Override // com.google.common.collect.ya
    @p0.a
    @Deprecated
    public final boolean w0(E e7, int i7, int i8) {
        throw new UnsupportedOperationException();
    }
}
