package com.google.common.eventbus;

import com.google.common.base.MoreObjects;
import com.google.common.base.Objects;
import com.google.common.base.Preconditions;
import com.google.common.base.Throwables;
import com.google.common.cache.d;
import com.google.common.cache.f;
import com.google.common.collect.e7;
import com.google.common.collect.f5;
import com.google.common.collect.i9;
import com.google.common.collect.le;
import com.google.common.collect.na;
import com.google.common.collect.t5;
import com.google.common.collect.v9;
import com.google.common.collect.w8;
import com.google.common.reflect.m;
import com.google.common.util.concurrent.c2;
import e1.i;
import java.lang.reflect.Method;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collection;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Set;
import java.util.concurrent.ConcurrentMap;
import java.util.concurrent.CopyOnWriteArraySet;

/* access modifiers changed from: package-private */
public final class j {

    /* renamed from: c  reason: collision with root package name */
    private static final com.google.common.cache.j<Class<?>, t5<Method>> f11033c = d.F().P().b(new a());

    /* renamed from: d  reason: collision with root package name */
    private static final com.google.common.cache.j<Class<?>, e7<Class<?>>> f11034d = d.F().P().b(new b());

    /* renamed from: a  reason: collision with root package name */
    private final ConcurrentMap<Class<?>, CopyOnWriteArraySet<g>> f11035a = v9.f0();
    @i

    /* renamed from: b  reason: collision with root package name */
    private final e f11036b;

    static class a extends f<Class<?>, t5<Method>> {
        a() {
        }

        /* renamed from: g */
        public t5<Method> d(Class<?> cls) throws Exception {
            return j.e(cls);
        }
    }

    static class b extends f<Class<?>, e7<Class<?>>> {
        b() {
        }

        /* renamed from: g */
        public e7<Class<?>> d(Class<?> cls) {
            return e7.J(m.U(cls).F().V1());
        }
    }

    /* access modifiers changed from: private */
    public static final class c {

        /* renamed from: a  reason: collision with root package name */
        private final String f11037a;

        /* renamed from: b  reason: collision with root package name */
        private final List<Class<?>> f11038b;

        c(Method method) {
            this.f11037a = method.getName();
            this.f11038b = Arrays.asList(method.getParameterTypes());
        }

        public boolean equals(Object obj) {
            if (!(obj instanceof c)) {
                return false;
            }
            c cVar = (c) obj;
            return this.f11037a.equals(cVar.f11037a) && this.f11038b.equals(cVar.f11038b);
        }

        public int hashCode() {
            return Objects.hashCode(this.f11037a, this.f11038b);
        }
    }

    j(e eVar) {
        this.f11036b = (e) Preconditions.checkNotNull(eVar);
    }

    private na<Class<?>, g> b(Object obj) {
        f5 U = f5.U();
        le<Method> n7 = d(obj.getClass()).iterator();
        while (n7.hasNext()) {
            Method next = n7.next();
            U.put(next.getParameterTypes()[0], g.d(this.f11036b, obj, next));
        }
        return U;
    }

    @m0.d
    static e7<Class<?>> c(Class<?> cls) {
        try {
            return f11034d.X(cls);
        } catch (c2 e7) {
            throw Throwables.propagate(e7.getCause());
        }
    }

    private static t5<Method> d(Class<?> cls) {
        return f11033c.X(cls);
    }

    /* access modifiers changed from: private */
    public static t5<Method> e(Class<?> cls) {
        Set<Class> V1 = m.U(cls).F().V1();
        HashMap i02 = v9.i0();
        for (Class cls2 : V1) {
            Method[] declaredMethods = cls2.getDeclaredMethods();
            for (Method method : declaredMethods) {
                if (method.isAnnotationPresent(f.class) && !method.isSynthetic()) {
                    Class<?>[] parameterTypes = method.getParameterTypes();
                    boolean z7 = true;
                    if (parameterTypes.length != 1) {
                        z7 = false;
                    }
                    Preconditions.checkArgument(z7, "Method %s has @Subscribe annotation but has %s parameters.Subscriber methods must have exactly 1 parameter.", (Object) method, parameterTypes.length);
                    c cVar = new c(method);
                    if (!i02.containsKey(cVar)) {
                        i02.put(cVar, method);
                    }
                }
            }
        }
        return t5.D(i02.values());
    }

    /* access modifiers changed from: package-private */
    public Iterator<g> f(Object obj) {
        e7<Class<?>> c7 = c(obj.getClass());
        ArrayList u7 = i9.u(c7.size());
        le<Class<?>> n7 = c7.iterator();
        while (n7.hasNext()) {
            CopyOnWriteArraySet<g> copyOnWriteArraySet = this.f11035a.get(n7.next());
            if (copyOnWriteArraySet != null) {
                u7.add(copyOnWriteArraySet.iterator());
            }
        }
        return w8.i(u7.iterator());
    }

    /* access modifiers changed from: package-private */
    @m0.d
    public Set<g> g(Class<?> cls) {
        return (Set) MoreObjects.firstNonNull(this.f11035a.get(cls), e7.Y());
    }

    /* access modifiers changed from: package-private */
    public void h(Object obj) {
        for (Map.Entry<Class<?>, Collection<g>> entry : b(obj).e().entrySet()) {
            Class<?> key = entry.getKey();
            Collection<g> value = entry.getValue();
            CopyOnWriteArraySet<g> copyOnWriteArraySet = this.f11035a.get(key);
            if (copyOnWriteArraySet == null) {
                CopyOnWriteArraySet<g> copyOnWriteArraySet2 = new CopyOnWriteArraySet<>();
                copyOnWriteArraySet = (CopyOnWriteArraySet) MoreObjects.firstNonNull(this.f11035a.putIfAbsent(key, copyOnWriteArraySet2), copyOnWriteArraySet2);
            }
            copyOnWriteArraySet.addAll(value);
        }
    }

    /* access modifiers changed from: package-private */
    /* JADX WARNING: Removed duplicated region for block: B:3:0x0016  */
    public void i(Object obj) {
        for (Map.Entry<Class<?>, Collection<g>> entry : b(obj).e().entrySet()) {
            Collection<g> value = entry.getValue();
            CopyOnWriteArraySet<g> copyOnWriteArraySet = this.f11035a.get(entry.getKey());
            if (copyOnWriteArraySet == null || !copyOnWriteArraySet.removeAll(value)) {
                throw new IllegalArgumentException("missing event subscriber for an annotated method. Is " + obj + " registered?");
            }
            while (r0.hasNext()) {
            }
        }
    }
}
