package com.google.common.graph;

import com.google.common.base.Function;
import com.google.common.base.Preconditions;
import com.google.common.base.Predicate;
import com.google.common.collect.e7;
import com.google.common.collect.jc;
import com.google.common.collect.v9;
import com.google.common.collect.w8;
import com.google.common.math.d;
import java.util.AbstractSet;
import java.util.Collections;
import java.util.Iterator;
import java.util.Map;
import java.util.Optional;
import java.util.Set;

@m0.a
public abstract class e<N, E> implements l0<N, E> {

    /* access modifiers changed from: package-private */
    public class a extends c<N> {

        /* access modifiers changed from: package-private */
        /* renamed from: com.google.common.graph.e$a$a  reason: collision with other inner class name */
        public class C0150a extends AbstractSet<s<N>> {

            /* renamed from: com.google.common.graph.e$a$a$a  reason: collision with other inner class name */
            class C0151a implements Function<E, s<N>> {
                C0151a() {
                }

                /* renamed from: a */
                public s<N> apply(E e7) {
                    return e.this.A(e7);
                }
            }

            C0150a() {
            }

            /* JADX DEBUG: Multi-variable search result rejected for r3v1, resolved type: com.google.common.graph.e$a */
            /* JADX WARN: Multi-variable type inference failed */
            public boolean contains(Object obj) {
                if (!(obj instanceof s)) {
                    return false;
                }
                s<?> sVar = (s) obj;
                return a.this.R(sVar) && a.this.m().contains(sVar.h()) && a.this.b(sVar.h()).contains(sVar.k());
            }

            @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
            public Iterator<s<N>> iterator() {
                return w8.c0(e.this.d().iterator(), new C0151a());
            }

            public int size() {
                return e.this.d().size();
            }
        }

        a() {
        }

        @Override // com.google.common.graph.a, com.google.common.graph.c, com.google.common.graph.h, com.google.common.graph.x
        public Set<s<N>> d() {
            return e.this.z() ? super.d() : new C0150a();
        }

        @Override // com.google.common.graph.h, com.google.common.graph.x
        public boolean f() {
            return e.this.f();
        }

        @Override // com.google.common.graph.h, com.google.common.graph.x
        public r<N> g() {
            return e.this.g();
        }

        @Override // com.google.common.graph.h, com.google.common.graph.x
        public boolean i() {
            return e.this.i();
        }

        @Override // com.google.common.graph.h, com.google.common.graph.x
        public Set<N> j(N n7) {
            return e.this.j(n7);
        }

        @Override // com.google.common.graph.h, com.google.common.graph.x
        public Set<N> m() {
            return e.this.m();
        }

        @Override // com.google.common.graph.o0, com.google.common.graph.h, com.google.common.graph.h, com.google.common.graph.x, com.google.common.graph.x
        public Set<N> a(N n7) {
            return e.this.a((Object) n7);
        }

        @Override // com.google.common.graph.h, com.google.common.graph.h, com.google.common.graph.x, com.google.common.graph.x, com.google.common.graph.p0
        public Set<N> b(N n7) {
            return e.this.b((Object) n7);
        }
    }

    /* access modifiers changed from: package-private */
    public class b implements Predicate<E> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ Object f11085f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ Object f11086g;

        b(Object obj, Object obj2) {
            this.f11085f = obj;
            this.f11086g = obj2;
        }

        @Override // com.google.common.base.Predicate
        public boolean apply(E e7) {
            return e.this.A(e7).b(this.f11085f).equals(this.f11086g);
        }
    }

    /* access modifiers changed from: package-private */
    public static class c implements Function<E, s<N>> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ l0 f11088f;

        c(l0 l0Var) {
            this.f11088f = l0Var;
        }

        /* renamed from: a */
        public s<N> apply(E e7) {
            return this.f11088f.A(e7);
        }
    }

    private Predicate<E> Q(N n7, N n8) {
        return new b(n7, n8);
    }

    private static <N, E> Map<E, s<N>> R(l0<N, E> l0Var) {
        return v9.o(l0Var.d(), new c(l0Var));
    }

    @Override // com.google.common.graph.l0
    public Optional<E> B(N n7, N n8) {
        return Optional.ofNullable(v(n7, n8));
    }

    @Override // com.google.common.graph.l0
    public E G(s<N> sVar) {
        T(sVar);
        return v(sVar.h(), sVar.k());
    }

    @Override // com.google.common.graph.l0
    public Optional<E> N(s<N> sVar) {
        T(sVar);
        return B(sVar.h(), sVar.k());
    }

    /* access modifiers changed from: protected */
    public final boolean S(s<?> sVar) {
        return sVar.c() || !f();
    }

    /* access modifiers changed from: protected */
    public final void T(s<?> sVar) {
        Preconditions.checkNotNull(sVar);
        Preconditions.checkArgument(S(sVar), "Mismatch: unordered endpoints cannot be used with directed graphs");
    }

    @Override // com.google.common.graph.l0
    public int c(N n7) {
        int size;
        Set<E> y7;
        if (f()) {
            size = L(n7).size();
            y7 = w(n7);
        } else {
            size = l(n7).size();
            y7 = y(n7, n7);
        }
        return d.t(size, y7.size());
    }

    @Override // com.google.common.graph.l0
    public boolean e(N n7, N n8) {
        return !y(n7, n8).isEmpty();
    }

    @Override // com.google.common.graph.l0
    public final boolean equals(Object obj) {
        if (obj == this) {
            return true;
        }
        if (!(obj instanceof l0)) {
            return false;
        }
        l0 l0Var = (l0) obj;
        return f() == l0Var.f() && m().equals(l0Var.m()) && R(this).equals(R(l0Var));
    }

    @Override // com.google.common.graph.l0
    public int h(N n7) {
        return f() ? w(n7).size() : c(n7);
    }

    @Override // com.google.common.graph.l0
    public final int hashCode() {
        return R(this).hashCode();
    }

    @Override // com.google.common.graph.l0
    public boolean k(s<N> sVar) {
        Preconditions.checkNotNull(sVar);
        if (!S(sVar)) {
            return false;
        }
        return !y(sVar.h(), sVar.k()).isEmpty();
    }

    @Override // com.google.common.graph.l0
    public int n(N n7) {
        return f() ? L(n7).size() : c(n7);
    }

    @Override // com.google.common.graph.l0
    public x<N> s() {
        return new a();
    }

    @Override // com.google.common.graph.l0
    public Set<E> t(s<N> sVar) {
        T(sVar);
        return y(sVar.h(), sVar.k());
    }

    public String toString() {
        return "isDirected: " + f() + ", allowsParallelEdges: " + z() + ", allowsSelfLoops: " + i() + ", nodes: " + m() + ", edges: " + R(this);
    }

    @Override // com.google.common.graph.l0
    public E v(N n7, N n8) {
        Set<E> y7 = y(n7, n8);
        int size = y7.size();
        if (size == 0) {
            return null;
        }
        if (size == 1) {
            return y7.iterator().next();
        }
        throw new IllegalArgumentException(String.format("Cannot call edgeConnecting() when parallel edges exist between %s and %s. Consider calling edgesConnecting() instead.", n7, n8));
    }

    @Override // com.google.common.graph.l0
    public Set<E> x(E e7) {
        s<N> A = A(e7);
        return jc.f(jc.O(l(A.h()), l(A.k())), e7.Z(e7));
    }

    @Override // com.google.common.graph.l0
    public Set<E> y(N n7, N n8) {
        Set<E> w7 = w(n7);
        Set<E> L = L(n8);
        return Collections.unmodifiableSet(w7.size() <= L.size() ? jc.i(w7, Q(n7, n8)) : jc.i(L, Q(n8, n7)));
    }
}
