package com.google.common.hash;

import com.google.common.base.Preconditions;
import java.nio.ByteBuffer;
import java.security.InvalidKeyException;
import java.security.Key;
import java.security.NoSuchAlgorithmException;
import javax.crypto.Mac;
import p0.i;

@i
final class b0 extends c {

    /* renamed from: f  reason: collision with root package name */
    private final Mac f11197f;

    /* renamed from: g  reason: collision with root package name */
    private final Key f11198g;

    /* renamed from: p  reason: collision with root package name */
    private final String f11199p;

    /* renamed from: x  reason: collision with root package name */
    private final int f11200x;

    /* renamed from: y  reason: collision with root package name */
    private final boolean f11201y;

    private static final class b extends a {

        /* renamed from: b  reason: collision with root package name */
        private final Mac f11202b;

        /* renamed from: c  reason: collision with root package name */
        private boolean f11203c;

        private b(Mac mac) {
            this.f11202b = mac;
        }

        private void o() {
            Preconditions.checkState(!this.f11203c, "Cannot re-use a Hasher after calling hash() on it");
        }

        @Override // com.google.common.hash.s
        public q i() {
            o();
            this.f11203c = true;
            return q.h(this.f11202b.doFinal());
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.hash.a
        public void k(byte b7) {
            o();
            this.f11202b.update(b7);
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.hash.a
        public void l(ByteBuffer byteBuffer) {
            o();
            Preconditions.checkNotNull(byteBuffer);
            this.f11202b.update(byteBuffer);
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.hash.a
        public void m(byte[] bArr) {
            o();
            this.f11202b.update(bArr);
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.hash.a
        public void n(byte[] bArr, int i7, int i8) {
            o();
            this.f11202b.update(bArr, i7, i8);
        }
    }

    b0(String str, Key key, String str2) {
        Mac m7 = m(str, key);
        this.f11197f = m7;
        this.f11198g = (Key) Preconditions.checkNotNull(key);
        this.f11199p = (String) Preconditions.checkNotNull(str2);
        this.f11200x = m7.getMacLength() * 8;
        this.f11201y = n(m7);
    }

    private static Mac m(String str, Key key) {
        try {
            Mac instance = Mac.getInstance(str);
            instance.init(key);
            return instance;
        } catch (NoSuchAlgorithmException e7) {
            throw new IllegalStateException(e7);
        } catch (InvalidKeyException e8) {
            throw new IllegalArgumentException(e8);
        }
    }

    private static boolean n(Mac mac) {
        try {
            mac.clone();
            return true;
        } catch (CloneNotSupportedException unused) {
            return false;
        }
    }

    @Override // com.google.common.hash.r
    public s b() {
        if (this.f11201y) {
            try {
                return new b((Mac) this.f11197f.clone());
            } catch (CloneNotSupportedException unused) {
            }
        }
        return new b(m(this.f11197f.getAlgorithm(), this.f11198g));
    }

    @Override // com.google.common.hash.r
    public int h() {
        return this.f11200x;
    }

    public String toString() {
        return this.f11199p;
    }
}
