package com.google.common.hash;

import com.google.common.base.Preconditions;
import java.io.Serializable;
import java.nio.ByteBuffer;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.util.Arrays;
import p0.i;

@i
final class c0 extends c implements Serializable {

    /* renamed from: f  reason: collision with root package name */
    private final MessageDigest f11204f;

    /* renamed from: g  reason: collision with root package name */
    private final int f11205g;

    /* renamed from: p  reason: collision with root package name */
    private final boolean f11206p;

    /* renamed from: x  reason: collision with root package name */
    private final String f11207x;

    private static final class b extends a {

        /* renamed from: b  reason: collision with root package name */
        private final MessageDigest f11208b;

        /* renamed from: c  reason: collision with root package name */
        private final int f11209c;

        /* renamed from: d  reason: collision with root package name */
        private boolean f11210d;

        private b(MessageDigest messageDigest, int i7) {
            this.f11208b = messageDigest;
            this.f11209c = i7;
        }

        private void o() {
            Preconditions.checkState(!this.f11210d, "Cannot re-use a Hasher after calling hash() on it");
        }

        @Override // com.google.common.hash.s
        public q i() {
            o();
            this.f11210d = true;
            return this.f11209c == this.f11208b.getDigestLength() ? q.h(this.f11208b.digest()) : q.h(Arrays.copyOf(this.f11208b.digest(), this.f11209c));
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.hash.a
        public void k(byte b7) {
            o();
            this.f11208b.update(b7);
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.hash.a
        public void l(ByteBuffer byteBuffer) {
            o();
            this.f11208b.update(byteBuffer);
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.hash.a
        public void n(byte[] bArr, int i7, int i8) {
            o();
            this.f11208b.update(bArr, i7, i8);
        }
    }

    private static final class c implements Serializable {

        /* renamed from: x  reason: collision with root package name */
        private static final long f11211x = 0;

        /* renamed from: f  reason: collision with root package name */
        private final String f11212f;

        /* renamed from: g  reason: collision with root package name */
        private final int f11213g;

        /* renamed from: p  reason: collision with root package name */
        private final String f11214p;

        private c(String str, int i7, String str2) {
            this.f11212f = str;
            this.f11213g = i7;
            this.f11214p = str2;
        }

        private Object a() {
            return new c0(this.f11212f, this.f11213g, this.f11214p);
        }
    }

    c0(String str, int i7, String str2) {
        this.f11207x = (String) Preconditions.checkNotNull(str2);
        MessageDigest m7 = m(str);
        this.f11204f = m7;
        int digestLength = m7.getDigestLength();
        Preconditions.checkArgument(i7 >= 4 && i7 <= digestLength, "bytes (%s) must be >= 4 and < %s", i7, digestLength);
        this.f11205g = i7;
        this.f11206p = n(m7);
    }

    private static MessageDigest m(String str) {
        try {
            return MessageDigest.getInstance(str);
        } catch (NoSuchAlgorithmException e7) {
            throw new AssertionError(e7);
        }
    }

    private static boolean n(MessageDigest messageDigest) {
        try {
            messageDigest.clone();
            return true;
        } catch (CloneNotSupportedException unused) {
            return false;
        }
    }

    @Override // com.google.common.hash.r
    public s b() {
        if (this.f11206p) {
            try {
                return new b((MessageDigest) this.f11204f.clone(), this.f11205g);
            } catch (CloneNotSupportedException unused) {
            }
        }
        return new b(m(this.f11204f.getAlgorithm()), this.f11205g);
    }

    @Override // com.google.common.hash.r
    public int h() {
        return this.f11205g * 8;
    }

    /* access modifiers changed from: package-private */
    public Object p() {
        return new c(this.f11204f.getAlgorithm(), this.f11205g, this.f11207x);
    }

    public String toString() {
        return this.f11207x;
    }

    c0(String str, String str2) {
        MessageDigest m7 = m(str);
        this.f11204f = m7;
        this.f11205g = m7.getDigestLength();
        this.f11207x = (String) Preconditions.checkNotNull(str2);
        this.f11206p = n(m7);
    }
}
