package com.google.common.hash;

import com.google.common.base.Preconditions;
import java.io.ByteArrayOutputStream;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.nio.charset.Charset;
import java.util.Arrays;
import p0.i;

@i
abstract class e extends c {

    /* access modifiers changed from: private */
    public final class a extends d {

        /* renamed from: a  reason: collision with root package name */
        final b f11225a;

        a(int i7) {
            this.f11225a = new b(i7);
        }

        @Override // com.google.common.hash.s, com.google.common.hash.s, com.google.common.hash.f0
        public s b(byte b7) {
            this.f11225a.write(b7);
            return this;
        }

        @Override // com.google.common.hash.s, com.google.common.hash.s, com.google.common.hash.f0, com.google.common.hash.d, com.google.common.hash.d
        public s d(byte[] bArr, int i7, int i8) {
            this.f11225a.write(bArr, i7, i8);
            return this;
        }

        @Override // com.google.common.hash.s, com.google.common.hash.s, com.google.common.hash.f0, com.google.common.hash.d, com.google.common.hash.d
        public s f(ByteBuffer byteBuffer) {
            this.f11225a.c(byteBuffer);
            return this;
        }

        @Override // com.google.common.hash.s
        public q i() {
            return e.this.j(this.f11225a.a(), 0, this.f11225a.b());
        }
    }

    /* access modifiers changed from: private */
    public static final class b extends ByteArrayOutputStream {
        b(int i7) {
            super(i7);
        }

        /* access modifiers changed from: package-private */
        public byte[] a() {
            return ((ByteArrayOutputStream) this).buf;
        }

        /* access modifiers changed from: package-private */
        public int b() {
            return ((ByteArrayOutputStream) this).count;
        }

        /* access modifiers changed from: package-private */
        public void c(ByteBuffer byteBuffer) {
            int remaining = byteBuffer.remaining();
            int i7 = ((ByteArrayOutputStream) this).count;
            int i8 = i7 + remaining;
            byte[] bArr = ((ByteArrayOutputStream) this).buf;
            if (i8 > bArr.length) {
                ((ByteArrayOutputStream) this).buf = Arrays.copyOf(bArr, i7 + remaining);
            }
            byteBuffer.get(((ByteArrayOutputStream) this).buf, ((ByteArrayOutputStream) this).count, remaining);
            ((ByteArrayOutputStream) this).count += remaining;
        }
    }

    e() {
    }

    @Override // com.google.common.hash.r
    public s b() {
        return k(32);
    }

    @Override // com.google.common.hash.r, com.google.common.hash.c
    public q c(int i7) {
        return a(ByteBuffer.allocate(4).order(ByteOrder.LITTLE_ENDIAN).putInt(i7).array());
    }

    @Override // com.google.common.hash.r, com.google.common.hash.c
    public q e(CharSequence charSequence, Charset charset) {
        return a(charSequence.toString().getBytes(charset));
    }

    @Override // com.google.common.hash.r, com.google.common.hash.c
    public q f(ByteBuffer byteBuffer) {
        return k(byteBuffer.remaining()).f(byteBuffer).i();
    }

    @Override // com.google.common.hash.r, com.google.common.hash.c
    public q g(CharSequence charSequence) {
        int length = charSequence.length();
        ByteBuffer order = ByteBuffer.allocate(length * 2).order(ByteOrder.LITTLE_ENDIAN);
        for (int i7 = 0; i7 < length; i7++) {
            order.putChar(charSequence.charAt(i7));
        }
        return a(order.array());
    }

    @Override // com.google.common.hash.r, com.google.common.hash.c
    public q i(long j7) {
        return a(ByteBuffer.allocate(8).order(ByteOrder.LITTLE_ENDIAN).putLong(j7).array());
    }

    @Override // com.google.common.hash.r, com.google.common.hash.c
    public abstract q j(byte[] bArr, int i7, int i8);

    @Override // com.google.common.hash.r, com.google.common.hash.c
    public s k(int i7) {
        Preconditions.checkArgument(i7 >= 0);
        return new a(i7);
    }
}
