package com.google.common.hash;

import com.google.common.base.Charsets;
import com.google.common.base.Preconditions;
import com.google.common.primitives.l;
import com.google.common.primitives.r;
import java.io.Serializable;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.nio.charset.Charset;
import p0.i;

/* access modifiers changed from: package-private */
@i
public final class e0 extends c implements Serializable {
    private static final int C1 = 461845907;
    private static final long C2 = 0;

    /* renamed from: g  reason: collision with root package name */
    static final r f11227g = new e0(0);

    /* renamed from: p  reason: collision with root package name */
    static final r f11228p = new e0(t.f11327a);

    /* renamed from: x  reason: collision with root package name */
    private static final int f11229x = 4;

    /* renamed from: y  reason: collision with root package name */
    private static final int f11230y = -862048943;

    /* renamed from: f  reason: collision with root package name */
    private final int f11231f;

    @p0.a
    private static final class a extends d {

        /* renamed from: a  reason: collision with root package name */
        private int f11232a;

        /* renamed from: b  reason: collision with root package name */
        private long f11233b;

        /* renamed from: c  reason: collision with root package name */
        private int f11234c;

        /* renamed from: d  reason: collision with root package name */
        private int f11235d = 0;

        /* renamed from: e  reason: collision with root package name */
        private boolean f11236e = false;

        a(int i7) {
            this.f11232a = i7;
        }

        private void j(int i7, long j7) {
            long j8 = this.f11233b;
            int i8 = this.f11234c;
            long j9 = ((j7 & 4294967295L) << i8) | j8;
            this.f11233b = j9;
            int i9 = i8 + (i7 * 8);
            this.f11234c = i9;
            this.f11235d += i7;
            if (i9 >= 32) {
                this.f11232a = e0.z(this.f11232a, e0.A((int) j9));
                this.f11233b >>>= 32;
                this.f11234c -= 32;
            }
        }

        @Override // com.google.common.hash.s, com.google.common.hash.s, com.google.common.hash.f0
        public s b(byte b7) {
            j(1, (long) (b7 & 255));
            return this;
        }

        @Override // com.google.common.hash.s, com.google.common.hash.s, com.google.common.hash.f0, com.google.common.hash.d, com.google.common.hash.d
        public s d(byte[] bArr, int i7, int i8) {
            Preconditions.checkPositionIndexes(i7, i7 + i8, bArr.length);
            int i9 = 0;
            while (true) {
                int i10 = i9 + 4;
                if (i10 > i8) {
                    break;
                }
                j(4, (long) e0.y(bArr, i9 + i7));
                i9 = i10;
            }
            while (i9 < i8) {
                b(bArr[i7 + i9]);
                i9++;
            }
            return this;
        }

        @Override // com.google.common.hash.s, com.google.common.hash.s, com.google.common.hash.f0, com.google.common.hash.d, com.google.common.hash.d
        public s e(char c7) {
            j(2, (long) c7);
            return this;
        }

        @Override // com.google.common.hash.s, com.google.common.hash.s, com.google.common.hash.f0, com.google.common.hash.d, com.google.common.hash.d
        public s f(ByteBuffer byteBuffer) {
            ByteOrder order = byteBuffer.order();
            byteBuffer.order(ByteOrder.LITTLE_ENDIAN);
            while (byteBuffer.remaining() >= 4) {
                putInt(byteBuffer.getInt());
            }
            while (byteBuffer.hasRemaining()) {
                b(byteBuffer.get());
            }
            byteBuffer.order(order);
            return this;
        }

        @Override // com.google.common.hash.s, com.google.common.hash.s, com.google.common.hash.f0, com.google.common.hash.d, com.google.common.hash.d
        public s g(CharSequence charSequence, Charset charset) {
            long u7;
            int i7;
            if (!Charsets.UTF_8.equals(charset)) {
                return super.g(charSequence, charset);
            }
            int length = charSequence.length();
            int i8 = 0;
            while (true) {
                int i9 = i8 + 4;
                if (i9 > length) {
                    break;
                }
                char charAt = charSequence.charAt(i8);
                char charAt2 = charSequence.charAt(i8 + 1);
                char charAt3 = charSequence.charAt(i8 + 2);
                char charAt4 = charSequence.charAt(i8 + 3);
                if (charAt >= 128 || charAt2 >= 128 || charAt3 >= 128 || charAt4 >= 128) {
                    break;
                }
                j(4, (long) ((charAt2 << '\b') | charAt | (charAt3 << 16) | (charAt4 << 24)));
                i8 = i9;
            }
            while (i8 < length) {
                char charAt5 = charSequence.charAt(i8);
                if (charAt5 < 128) {
                    j(1, (long) charAt5);
                } else {
                    if (charAt5 < 2048) {
                        u7 = e0.v(charAt5);
                        i7 = 2;
                    } else if (charAt5 < 55296 || charAt5 > 57343) {
                        u7 = e0.u(charAt5);
                        i7 = 3;
                    } else {
                        int codePointAt = Character.codePointAt(charSequence, i8);
                        if (codePointAt == charAt5) {
                            a(charSequence.subSequence(i8, length).toString().getBytes(charset));
                            return this;
                        }
                        i8++;
                        j(4, e0.w(codePointAt));
                    }
                    j(i7, u7);
                }
                i8++;
            }
            return this;
        }

        @Override // com.google.common.hash.s
        public q i() {
            Preconditions.checkState(!this.f11236e);
            this.f11236e = true;
            int A = this.f11232a ^ e0.A((int) this.f11233b);
            this.f11232a = A;
            return e0.x(A, this.f11235d);
        }

        @Override // com.google.common.hash.s, com.google.common.hash.s, com.google.common.hash.f0, com.google.common.hash.d, com.google.common.hash.d
        public s putInt(int i7) {
            j(4, (long) i7);
            return this;
        }

        @Override // com.google.common.hash.s, com.google.common.hash.s, com.google.common.hash.f0, com.google.common.hash.d, com.google.common.hash.d
        public s putLong(long j7) {
            j(4, (long) ((int) j7));
            j(4, j7 >>> 32);
            return this;
        }
    }

    e0(int i7) {
        this.f11231f = i7;
    }

    /* access modifiers changed from: private */
    public static int A(int i7) {
        return Integer.rotateLeft(i7 * f11230y, 15) * C1;
    }

    /* access modifiers changed from: private */
    public static long u(char c7) {
        return (long) ((((c7 & '?') | 128) << 16) | (((c7 >>> '\f') | 480) & 255) | ((((c7 >>> 6) & 63) | 128) << 8));
    }

    /* access modifiers changed from: private */
    public static long v(char c7) {
        return (long) ((((c7 & '?') | 128) << 8) | (((c7 >>> 6) | 960) & 255));
    }

    /* access modifiers changed from: private */
    public static long w(int i7) {
        return ((((long) (i7 >>> 18)) | 240) & 255) | ((((long) ((i7 >>> 12) & 63)) | 128) << 8) | ((((long) ((i7 >>> 6) & 63)) | 128) << 16) | ((((long) (i7 & 63)) | 128) << 24);
    }

    /* access modifiers changed from: private */
    public static q x(int i7, int i8) {
        int i9 = i7 ^ i8;
        int i10 = (i9 ^ (i9 >>> 16)) * -2048144789;
        int i11 = (i10 ^ (i10 >>> 13)) * -1028477387;
        return q.i(i11 ^ (i11 >>> 16));
    }

    /* access modifiers changed from: private */
    public static int y(byte[] bArr, int i7) {
        return l.k(bArr[i7 + 3], bArr[i7 + 2], bArr[i7 + 1], bArr[i7]);
    }

    /* access modifiers changed from: private */
    public static int z(int i7, int i8) {
        return (Integer.rotateLeft(i7 ^ i8, 13) * 5) - 430675100;
    }

    @Override // com.google.common.hash.r
    public s b() {
        return new a(this.f11231f);
    }

    @Override // com.google.common.hash.r, com.google.common.hash.c
    public q c(int i7) {
        return x(z(this.f11231f, A(i7)), 4);
    }

    @Override // com.google.common.hash.r, com.google.common.hash.c
    public q e(CharSequence charSequence, Charset charset) {
        if (!Charsets.UTF_8.equals(charset)) {
            return a(charSequence.toString().getBytes(charset));
        }
        int length = charSequence.length();
        int i7 = this.f11231f;
        int i8 = 0;
        int i9 = 0;
        int i10 = 0;
        while (true) {
            int i11 = i9 + 4;
            if (i11 > length) {
                break;
            }
            char charAt = charSequence.charAt(i9);
            char charAt2 = charSequence.charAt(i9 + 1);
            char charAt3 = charSequence.charAt(i9 + 2);
            char charAt4 = charSequence.charAt(i9 + 3);
            if (charAt >= 128 || charAt2 >= 128 || charAt3 >= 128 || charAt4 >= 128) {
                break;
            }
            i7 = z(i7, A((charAt2 << '\b') | charAt | (charAt3 << 16) | (charAt4 << 24)));
            i10 += 4;
            i9 = i11;
        }
        long j7 = 0;
        while (i9 < length) {
            char charAt5 = charSequence.charAt(i9);
            if (charAt5 < 128) {
                j7 |= ((long) charAt5) << i8;
                i8 += 8;
                i10++;
            } else if (charAt5 < 2048) {
                j7 |= v(charAt5) << i8;
                i8 += 16;
                i10 += 2;
            } else if (charAt5 < 55296 || charAt5 > 57343) {
                j7 |= u(charAt5) << i8;
                i8 += 24;
                i10 += 3;
            } else {
                int codePointAt = Character.codePointAt(charSequence, i9);
                if (codePointAt == charAt5) {
                    return a(charSequence.toString().getBytes(charset));
                }
                i9++;
                j7 |= w(codePointAt) << i8;
                i10 += 4;
            }
            if (i8 >= 32) {
                i7 = z(i7, A((int) j7));
                j7 >>>= 32;
                i8 -= 32;
            }
            i9++;
        }
        return x(A((int) j7) ^ i7, i10);
    }

    public boolean equals(Object obj) {
        return (obj instanceof e0) && this.f11231f == ((e0) obj).f11231f;
    }

    @Override // com.google.common.hash.r, com.google.common.hash.c
    public q g(CharSequence charSequence) {
        int i7 = this.f11231f;
        for (int i8 = 1; i8 < charSequence.length(); i8 += 2) {
            i7 = z(i7, A(charSequence.charAt(i8 - 1) | (charSequence.charAt(i8) << 16)));
        }
        if ((charSequence.length() & 1) == 1) {
            i7 ^= A(charSequence.charAt(charSequence.length() - 1));
        }
        return x(i7, charSequence.length() * 2);
    }

    @Override // com.google.common.hash.r
    public int h() {
        return 32;
    }

    public int hashCode() {
        return this.f11231f ^ e0.class.hashCode();
    }

    @Override // com.google.common.hash.r, com.google.common.hash.c
    public q i(long j7) {
        return x(z(z(this.f11231f, A((int) j7)), A((int) (j7 >>> 32))), 8);
    }

    @Override // com.google.common.hash.r, com.google.common.hash.c
    public q j(byte[] bArr, int i7, int i8) {
        Preconditions.checkPositionIndexes(i7, i7 + i8, bArr.length);
        int i9 = this.f11231f;
        int i10 = 0;
        int i11 = 0;
        while (true) {
            int i12 = i11 + 4;
            if (i12 > i8) {
                break;
            }
            i9 = z(i9, A(y(bArr, i11 + i7)));
            i11 = i12;
        }
        int i13 = i11;
        int i14 = 0;
        while (i13 < i8) {
            i10 ^= r.p(bArr[i7 + i13]) << i14;
            i13++;
            i14 += 8;
        }
        return x(i9 ^ A(i10), i8);
    }

    public String toString() {
        return "Hashing.murmur3_32(" + this.f11231f + ")";
    }
}
