package com.google.common.hash;

import com.google.common.base.Objects;
import com.google.common.base.Preconditions;
import com.google.common.base.Predicate;
import com.google.common.hash.k;
import com.google.common.primitives.q;
import com.google.common.primitives.r;
import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.io.Serializable;
import java.math.RoundingMode;
import java.util.stream.Collector;
import m0.d;

@m0.a
public final class j<T> implements Predicate<T>, Serializable {

    /* renamed from: f  reason: collision with root package name */
    private final k.c f11279f;

    /* renamed from: g  reason: collision with root package name */
    private final int f11280g;

    /* renamed from: p  reason: collision with root package name */
    private final o<? super T> f11281p;

    /* renamed from: x  reason: collision with root package name */
    private final c f11282x;

    private static class b<T> implements Serializable {

        /* renamed from: y  reason: collision with root package name */
        private static final long f11283y = 1;

        /* renamed from: f  reason: collision with root package name */
        final long[] f11284f;

        /* renamed from: g  reason: collision with root package name */
        final int f11285g;

        /* renamed from: p  reason: collision with root package name */
        final o<? super T> f11286p;

        /* renamed from: x  reason: collision with root package name */
        final c f11287x;

        b(j<T> jVar) {
            this.f11284f = k.c.g(((j) jVar).f11279f.f11292a);
            this.f11285g = ((j) jVar).f11280g;
            this.f11286p = ((j) jVar).f11281p;
            this.f11287x = ((j) jVar).f11282x;
        }

        /* access modifiers changed from: package-private */
        public Object a() {
            return new j(new k.c(this.f11284f), this.f11285g, this.f11286p, this.f11287x);
        }
    }

    /* access modifiers changed from: package-private */
    public interface c extends Serializable {
        <T> boolean W(T t7, o<? super T> oVar, int i7, k.c cVar);

        <T> boolean j0(T t7, o<? super T> oVar, int i7, k.c cVar);

        int ordinal();
    }

    private j(k.c cVar, int i7, o<? super T> oVar, c cVar2) {
        boolean z7 = true;
        Preconditions.checkArgument(i7 > 0, "numHashFunctions (%s) must be > 0", i7);
        Preconditions.checkArgument(i7 > 255 ? false : z7, "numHashFunctions (%s) must be <= 255", i7);
        this.f11279f = (k.c) Preconditions.checkNotNull(cVar);
        this.f11280g = i7;
        this.f11281p = (o) Preconditions.checkNotNull(oVar);
        this.f11282x = (c) Preconditions.checkNotNull(cVar2);
    }

    public static <T> Collector<T, ?, j<T>> A(o<? super T> oVar, long j7) {
        return B(oVar, j7, 0.03d);
    }

    public static <T> Collector<T, ?, j<T>> B(o<? super T> oVar, long j7, double d7) {
        Preconditions.checkNotNull(oVar);
        Preconditions.checkArgument(j7 >= 0, "Expected insertions (%s) must be >= 0", j7);
        Preconditions.checkArgument(d7 > 0.0d, "False positive probability (%s) must be > 0.0", Double.valueOf(d7));
        Preconditions.checkArgument(d7 < 1.0d, "False positive probability (%s) must be < 1.0", Double.valueOf(d7));
        return Collector.of(new g(oVar, j7, d7), new h(), new i(), Collector.Characteristics.UNORDERED, Collector.Characteristics.CONCURRENT);
    }

    private Object C() {
        return new b(this);
    }

    public static <T> j<T> j(o<? super T> oVar, int i7) {
        return m(oVar, (long) i7);
    }

    public static <T> j<T> k(o<? super T> oVar, int i7, double d7) {
        return n(oVar, (long) i7, d7);
    }

    public static <T> j<T> m(o<? super T> oVar, long j7) {
        return n(oVar, j7, 0.03d);
    }

    public static <T> j<T> n(o<? super T> oVar, long j7, double d7) {
        return p(oVar, j7, d7, k.MURMUR128_MITZ_64);
    }

    @d
    static <T> j<T> p(o<? super T> oVar, long j7, double d7, c cVar) {
        Preconditions.checkNotNull(oVar);
        int i7 = (j7 > 0 ? 1 : (j7 == 0 ? 0 : -1));
        boolean z7 = true;
        Preconditions.checkArgument(i7 >= 0, "Expected insertions (%s) must be >= 0", j7);
        Preconditions.checkArgument(d7 > 0.0d, "False positive probability (%s) must be > 0.0", Double.valueOf(d7));
        if (d7 >= 1.0d) {
            z7 = false;
        }
        Preconditions.checkArgument(z7, "False positive probability (%s) must be < 1.0", Double.valueOf(d7));
        Preconditions.checkNotNull(cVar);
        if (i7 == 0) {
            j7 = 1;
        }
        long v7 = v(j7, d7);
        try {
            return new j<>(new k.c(v7), w(j7, v7), oVar, cVar);
        } catch (IllegalArgumentException e7) {
            throw new IllegalArgumentException("Could not create BloomFilter of " + v7 + " bits", e7);
        }
    }

    @d
    static long v(long j7, double d7) {
        if (d7 == 0.0d) {
            d7 = Double.MIN_VALUE;
        }
        return (long) ((((double) (-j7)) * Math.log(d7)) / (Math.log(2.0d) * Math.log(2.0d)));
    }

    @d
    static int w(long j7, long j8) {
        return Math.max(1, (int) Math.round((((double) j8) / ((double) j7)) * Math.log(2.0d)));
    }

    public static <T> j<T> z(InputStream inputStream, o<? super T> oVar) throws IOException {
        RuntimeException e7;
        int i7;
        int i8;
        Preconditions.checkNotNull(inputStream, "InputStream");
        Preconditions.checkNotNull(oVar, "Funnel");
        byte b7 = -1;
        try {
            DataInputStream dataInputStream = new DataInputStream(inputStream);
            byte readByte = dataInputStream.readByte();
            try {
                i8 = r.p(dataInputStream.readByte());
                try {
                    int readInt = dataInputStream.readInt();
                    k kVar = k.values()[readByte];
                    long[] jArr = new long[readInt];
                    for (int i9 = 0; i9 < readInt; i9++) {
                        jArr[i9] = dataInputStream.readLong();
                    }
                    return new j<>(new k.c(jArr), i8, oVar, kVar);
                } catch (RuntimeException e8) {
                    e7 = e8;
                    b7 = readByte;
                    i7 = -1;
                    throw new IOException("Unable to deserialize BloomFilter from InputStream. strategyOrdinal: " + ((int) b7) + " numHashFunctions: " + i8 + " dataLength: " + i7, e7);
                }
            } catch (RuntimeException e9) {
                e7 = e9;
                i8 = -1;
                b7 = readByte;
                i7 = -1;
                throw new IOException("Unable to deserialize BloomFilter from InputStream. strategyOrdinal: " + ((int) b7) + " numHashFunctions: " + i8 + " dataLength: " + i7, e7);
            }
        } catch (RuntimeException e10) {
            e7 = e10;
            i7 = -1;
            i8 = -1;
            throw new IOException("Unable to deserialize BloomFilter from InputStream. strategyOrdinal: " + ((int) b7) + " numHashFunctions: " + i8 + " dataLength: " + i7, e7);
        }
    }

    public void D(OutputStream outputStream) throws IOException {
        DataOutputStream dataOutputStream = new DataOutputStream(outputStream);
        dataOutputStream.writeByte(q.a((long) this.f11282x.ordinal()));
        dataOutputStream.writeByte(r.a((long) this.f11280g));
        dataOutputStream.writeInt(this.f11279f.f11292a.length());
        for (int i7 = 0; i7 < this.f11279f.f11292a.length(); i7++) {
            dataOutputStream.writeLong(this.f11279f.f11292a.get(i7));
        }
    }

    @Override // com.google.common.base.Predicate
    @Deprecated
    public boolean apply(T t7) {
        return u(t7);
    }

    @Override // com.google.common.base.Predicate
    public boolean equals(Object obj) {
        if (obj == this) {
            return true;
        }
        if (!(obj instanceof j)) {
            return false;
        }
        j jVar = (j) obj;
        return this.f11280g == jVar.f11280g && this.f11281p.equals(jVar.f11281p) && this.f11279f.equals(jVar.f11279f) && this.f11282x.equals(jVar.f11282x);
    }

    public long g() {
        double b7 = (double) this.f11279f.b();
        return com.google.common.math.b.q(((-Math.log1p(-(((double) this.f11279f.a()) / b7))) * b7) / ((double) this.f11280g), RoundingMode.HALF_UP);
    }

    /* access modifiers changed from: package-private */
    @d
    public long h() {
        return this.f11279f.b();
    }

    public int hashCode() {
        return Objects.hashCode(Integer.valueOf(this.f11280g), this.f11281p, this.f11282x, this.f11279f);
    }

    public j<T> i() {
        return new j<>(this.f11279f.c(), this.f11280g, this.f11281p, this.f11282x);
    }

    public double q() {
        return Math.pow(((double) this.f11279f.a()) / ((double) h()), (double) this.f11280g);
    }

    public boolean r(j<T> jVar) {
        Preconditions.checkNotNull(jVar);
        return this != jVar && this.f11280g == jVar.f11280g && h() == jVar.h() && this.f11282x.equals(jVar.f11282x) && this.f11281p.equals(jVar.f11281p);
    }

    public boolean u(T t7) {
        return this.f11282x.W(t7, this.f11281p, this.f11280g, this.f11279f);
    }

    @p0.a
    public boolean x(T t7) {
        return this.f11282x.j0(t7, this.f11281p, this.f11280g, this.f11279f);
    }

    public void y(j<T> jVar) {
        Preconditions.checkNotNull(jVar);
        Preconditions.checkArgument(this != jVar, "Cannot combine a BloomFilter with itself.");
        int i7 = this.f11280g;
        int i8 = jVar.f11280g;
        Preconditions.checkArgument(i7 == i8, "BloomFilters must have the same number of hash functions (%s != %s)", i7, i8);
        Preconditions.checkArgument(h() == jVar.h(), "BloomFilters must have the same size underlying bit arrays (%s != %s)", h(), jVar.h());
        Preconditions.checkArgument(this.f11282x.equals(jVar.f11282x), "BloomFilters must have equal strategies (%s != %s)", this.f11282x, jVar.f11282x);
        Preconditions.checkArgument(this.f11281p.equals(jVar.f11281p), "BloomFilters must have equal funnels (%s != %s)", this.f11281p, jVar.f11281p);
        this.f11279f.e(jVar.f11279f);
    }
}
