package com.google.common.hash;

import com.google.common.base.Preconditions;
import com.google.common.hash.j;
import com.google.common.math.f;
import com.google.common.primitives.l;
import com.google.common.primitives.m;
import java.math.RoundingMode;
import java.util.Arrays;
import java.util.concurrent.atomic.AtomicLongArray;

/* access modifiers changed from: package-private */
public enum k implements j.c {
    MURMUR128_MITZ_32 {
        @Override // com.google.common.hash.j.c
        public <T> boolean W(T t7, o<? super T> oVar, int i7, c cVar) {
            long b7 = cVar.b();
            long c7 = t.w().d(t7, oVar).c();
            int i8 = (int) c7;
            int i9 = (int) (c7 >>> 32);
            for (int i10 = 1; i10 <= i7; i10++) {
                int i11 = (i10 * i9) + i8;
                if (i11 < 0) {
                    i11 = ~i11;
                }
                if (!cVar.d(((long) i11) % b7)) {
                    return false;
                }
            }
            return true;
        }

        @Override // com.google.common.hash.j.c
        public <T> boolean j0(T t7, o<? super T> oVar, int i7, c cVar) {
            long b7 = cVar.b();
            long c7 = t.w().d(t7, oVar).c();
            int i8 = (int) c7;
            int i9 = (int) (c7 >>> 32);
            boolean z7 = false;
            for (int i10 = 1; i10 <= i7; i10++) {
                int i11 = (i10 * i9) + i8;
                if (i11 < 0) {
                    i11 = ~i11;
                }
                z7 |= cVar.f(((long) i11) % b7);
            }
            return z7;
        }
    },
    MURMUR128_MITZ_64 {
        private long a(byte[] bArr) {
            return m.j(bArr[7], bArr[6], bArr[5], bArr[4], bArr[3], bArr[2], bArr[1], bArr[0]);
        }

        private long b(byte[] bArr) {
            return m.j(bArr[15], bArr[14], bArr[13], bArr[12], bArr[11], bArr[10], bArr[9], bArr[8]);
        }

        @Override // com.google.common.hash.j.c
        public <T> boolean W(T t7, o<? super T> oVar, int i7, c cVar) {
            long b7 = cVar.b();
            byte[] m7 = t.w().d(t7, oVar).m();
            long a8 = a(m7);
            long b8 = b(m7);
            for (int i8 = 0; i8 < i7; i8++) {
                if (!cVar.d((Long.MAX_VALUE & a8) % b7)) {
                    return false;
                }
                a8 += b8;
            }
            return true;
        }

        @Override // com.google.common.hash.j.c
        public <T> boolean j0(T t7, o<? super T> oVar, int i7, c cVar) {
            long b7 = cVar.b();
            byte[] m7 = t.w().d(t7, oVar).m();
            long a8 = a(m7);
            long b8 = b(m7);
            long j7 = a8;
            boolean z7 = false;
            for (int i8 = 0; i8 < i7; i8++) {
                z7 |= cVar.f((Long.MAX_VALUE & j7) % b7);
                j7 += b8;
            }
            return z7;
        }
    };

    /* access modifiers changed from: package-private */
    public static final class c {

        /* renamed from: c  reason: collision with root package name */
        private static final int f11291c = 6;

        /* renamed from: a  reason: collision with root package name */
        final AtomicLongArray f11292a;

        /* renamed from: b  reason: collision with root package name */
        private final y f11293b;

        c(long j7) {
            this(new long[l.d(f.g(j7, 64, RoundingMode.CEILING))]);
        }

        public static long[] g(AtomicLongArray atomicLongArray) {
            int length = atomicLongArray.length();
            long[] jArr = new long[length];
            for (int i7 = 0; i7 < length; i7++) {
                jArr[i7] = atomicLongArray.get(i7);
            }
            return jArr;
        }

        /* access modifiers changed from: package-private */
        public long a() {
            return this.f11293b.c();
        }

        /* access modifiers changed from: package-private */
        public long b() {
            return ((long) this.f11292a.length()) * 64;
        }

        /* access modifiers changed from: package-private */
        public c c() {
            return new c(g(this.f11292a));
        }

        /* access modifiers changed from: package-private */
        public boolean d(long j7) {
            return ((1 << ((int) j7)) & this.f11292a.get((int) (j7 >>> 6))) != 0;
        }

        /* access modifiers changed from: package-private */
        public void e(c cVar) {
            long j7;
            long j8;
            boolean z7;
            Preconditions.checkArgument(this.f11292a.length() == cVar.f11292a.length(), "BitArrays must be of equal length (%s != %s)", this.f11292a.length(), cVar.f11292a.length());
            for (int i7 = 0; i7 < this.f11292a.length(); i7++) {
                long j9 = cVar.f11292a.get(i7);
                while (true) {
                    j7 = this.f11292a.get(i7);
                    j8 = j7 | j9;
                    if (j7 != j8) {
                        if (this.f11292a.compareAndSet(i7, j7, j8)) {
                            z7 = true;
                            break;
                        }
                    } else {
                        z7 = false;
                        break;
                    }
                }
                if (z7) {
                    this.f11293b.a((long) (Long.bitCount(j8) - Long.bitCount(j7)));
                }
            }
        }

        public boolean equals(Object obj) {
            if (obj instanceof c) {
                return Arrays.equals(g(this.f11292a), g(((c) obj).f11292a));
            }
            return false;
        }

        /* access modifiers changed from: package-private */
        public boolean f(long j7) {
            long j8;
            long j9;
            if (d(j7)) {
                return false;
            }
            int i7 = (int) (j7 >>> 6);
            long j10 = 1 << ((int) j7);
            do {
                j8 = this.f11292a.get(i7);
                j9 = j8 | j10;
                if (j8 == j9) {
                    return false;
                }
            } while (!this.f11292a.compareAndSet(i7, j8, j9));
            this.f11293b.b();
            return true;
        }

        public int hashCode() {
            return Arrays.hashCode(g(this.f11292a));
        }

        c(long[] jArr) {
            Preconditions.checkArgument(jArr.length > 0, "data length is zero!");
            this.f11292a = new AtomicLongArray(jArr);
            this.f11293b = z.a();
            long j7 = 0;
            for (long j8 : jArr) {
                j7 += (long) Long.bitCount(j8);
            }
            this.f11293b.a(j7);
        }
    }
}
