package com.google.common.hash;

import com.google.common.base.Preconditions;
import java.io.OutputStream;
import java.io.Serializable;
import java.nio.charset.Charset;
import java.util.Iterator;

@m0.a
public final class p {

    private enum a implements o<byte[]> {
        INSTANCE;

        /* renamed from: a */
        public void s0(byte[] bArr, f0 f0Var) {
            f0Var.a(bArr);
        }

        public String toString() {
            return "Funnels.byteArrayFunnel()";
        }
    }

    private enum b implements o<Integer> {
        INSTANCE;

        /* renamed from: a */
        public void s0(Integer num, f0 f0Var) {
            f0Var.putInt(num.intValue());
        }

        public String toString() {
            return "Funnels.integerFunnel()";
        }
    }

    private enum c implements o<Long> {
        INSTANCE;

        /* renamed from: a */
        public void s0(Long l7, f0 f0Var) {
            f0Var.putLong(l7.longValue());
        }

        public String toString() {
            return "Funnels.longFunnel()";
        }
    }

    private static class d<E> implements o<Iterable<? extends E>>, Serializable {

        /* renamed from: f  reason: collision with root package name */
        private final o<E> f11313f;

        d(o<E> oVar) {
            this.f11313f = (o) Preconditions.checkNotNull(oVar);
        }

        /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: com.google.common.hash.o<E> */
        /* JADX WARN: Multi-variable type inference failed */
        /* renamed from: a */
        public void s0(Iterable<? extends E> iterable, f0 f0Var) {
            Iterator<? extends E> it = iterable.iterator();
            while (it.hasNext()) {
                this.f11313f.s0(it.next(), f0Var);
            }
        }

        public boolean equals(Object obj) {
            if (obj instanceof d) {
                return this.f11313f.equals(((d) obj).f11313f);
            }
            return false;
        }

        public int hashCode() {
            return this.f11313f.hashCode() ^ d.class.hashCode();
        }

        public String toString() {
            return "Funnels.sequentialFunnel(" + this.f11313f + ")";
        }
    }

    private static class e extends OutputStream {

        /* renamed from: f  reason: collision with root package name */
        final f0 f11314f;

        e(f0 f0Var) {
            this.f11314f = (f0) Preconditions.checkNotNull(f0Var);
        }

        public String toString() {
            return "Funnels.asOutputStream(" + this.f11314f + ")";
        }

        @Override // java.io.OutputStream
        public void write(int i7) {
            this.f11314f.b((byte) i7);
        }

        @Override // java.io.OutputStream
        public void write(byte[] bArr) {
            this.f11314f.a(bArr);
        }

        @Override // java.io.OutputStream
        public void write(byte[] bArr, int i7, int i8) {
            this.f11314f.d(bArr, i7, i8);
        }
    }

    /* access modifiers changed from: private */
    public static class f implements o<CharSequence>, Serializable {

        /* renamed from: f  reason: collision with root package name */
        private final Charset f11315f;

        private static class a implements Serializable {

            /* renamed from: g  reason: collision with root package name */
            private static final long f11316g = 0;

            /* renamed from: f  reason: collision with root package name */
            private final String f11317f;

            a(Charset charset) {
                this.f11317f = charset.name();
            }

            private Object a() {
                return p.f(Charset.forName(this.f11317f));
            }
        }

        f(Charset charset) {
            this.f11315f = (Charset) Preconditions.checkNotNull(charset);
        }

        /* renamed from: a */
        public void s0(CharSequence charSequence, f0 f0Var) {
            f0Var.g(charSequence, this.f11315f);
        }

        /* access modifiers changed from: package-private */
        public Object b() {
            return new a(this.f11315f);
        }

        public boolean equals(Object obj) {
            if (obj instanceof f) {
                return this.f11315f.equals(((f) obj).f11315f);
            }
            return false;
        }

        public int hashCode() {
            return this.f11315f.hashCode() ^ f.class.hashCode();
        }

        public String toString() {
            return "Funnels.stringFunnel(" + this.f11315f.name() + ")";
        }
    }

    private enum g implements o<CharSequence> {
        INSTANCE;

        /* renamed from: a */
        public void s0(CharSequence charSequence, f0 f0Var) {
            f0Var.c(charSequence);
        }

        public String toString() {
            return "Funnels.unencodedCharsFunnel()";
        }
    }

    private p() {
    }

    public static OutputStream a(f0 f0Var) {
        return new e(f0Var);
    }

    public static o<byte[]> b() {
        return a.INSTANCE;
    }

    public static o<Integer> c() {
        return b.INSTANCE;
    }

    public static o<Long> d() {
        return c.INSTANCE;
    }

    public static <E> o<Iterable<? extends E>> e(o<E> oVar) {
        return new d(oVar);
    }

    public static o<CharSequence> f(Charset charset) {
        return new f(charset);
    }

    public static o<CharSequence> g() {
        return g.INSTANCE;
    }
}
