package com.google.common.hash;

import com.google.common.base.Ascii;
import com.google.common.base.Preconditions;
import com.google.common.primitives.l;
import com.google.common.primitives.t;
import java.io.Serializable;

@m0.a
public abstract class q {

    /* renamed from: f  reason: collision with root package name */
    private static final char[] f11320f = "0123456789abcdef".toCharArray();

    /* access modifiers changed from: private */
    public static final class a extends q implements Serializable {

        /* renamed from: p  reason: collision with root package name */
        private static final long f11321p = 0;

        /* renamed from: g  reason: collision with root package name */
        final byte[] f11322g;

        a(byte[] bArr) {
            this.f11322g = (byte[]) Preconditions.checkNotNull(bArr);
        }

        @Override // com.google.common.hash.q
        public byte[] a() {
            return (byte[]) this.f11322g.clone();
        }

        @Override // com.google.common.hash.q
        public int b() {
            byte[] bArr = this.f11322g;
            Preconditions.checkState(bArr.length >= 4, "HashCode#asInt() requires >= 4 bytes (it only has %s bytes).", bArr.length);
            byte[] bArr2 = this.f11322g;
            return ((bArr2[3] & 255) << 24) | (bArr2[0] & 255) | ((bArr2[1] & 255) << 8) | ((bArr2[2] & 255) << 16);
        }

        @Override // com.google.common.hash.q
        public long c() {
            byte[] bArr = this.f11322g;
            Preconditions.checkState(bArr.length >= 8, "HashCode#asLong() requires >= 8 bytes (it only has %s bytes).", bArr.length);
            return n();
        }

        @Override // com.google.common.hash.q
        public int d() {
            return this.f11322g.length * 8;
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.hash.q
        public boolean f(q qVar) {
            if (this.f11322g.length != qVar.m().length) {
                return false;
            }
            boolean z7 = true;
            int i7 = 0;
            while (true) {
                byte[] bArr = this.f11322g;
                if (i7 >= bArr.length) {
                    return z7;
                }
                z7 &= bArr[i7] == qVar.m()[i7];
                i7++;
            }
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.hash.q
        public byte[] m() {
            return this.f11322g;
        }

        @Override // com.google.common.hash.q
        public long n() {
            long j7 = (long) (this.f11322g[0] & 255);
            for (int i7 = 1; i7 < Math.min(this.f11322g.length, 8); i7++) {
                j7 |= (((long) this.f11322g[i7]) & 255) << (i7 * 8);
            }
            return j7;
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.hash.q
        public void q(byte[] bArr, int i7, int i8) {
            System.arraycopy(this.f11322g, 0, bArr, i7, i8);
        }
    }

    private static final class b extends q implements Serializable {

        /* renamed from: p  reason: collision with root package name */
        private static final long f11323p = 0;

        /* renamed from: g  reason: collision with root package name */
        final int f11324g;

        b(int i7) {
            this.f11324g = i7;
        }

        @Override // com.google.common.hash.q
        public byte[] a() {
            int i7 = this.f11324g;
            return new byte[]{(byte) i7, (byte) (i7 >> 8), (byte) (i7 >> 16), (byte) (i7 >> 24)};
        }

        @Override // com.google.common.hash.q
        public int b() {
            return this.f11324g;
        }

        @Override // com.google.common.hash.q
        public long c() {
            throw new IllegalStateException("this HashCode only has 32 bits; cannot create a long");
        }

        @Override // com.google.common.hash.q
        public int d() {
            return 32;
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.hash.q
        public boolean f(q qVar) {
            return this.f11324g == qVar.b();
        }

        @Override // com.google.common.hash.q
        public long n() {
            return t.r(this.f11324g);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.hash.q
        public void q(byte[] bArr, int i7, int i8) {
            for (int i9 = 0; i9 < i8; i9++) {
                bArr[i7 + i9] = (byte) (this.f11324g >> (i9 * 8));
            }
        }
    }

    private static final class c extends q implements Serializable {

        /* renamed from: p  reason: collision with root package name */
        private static final long f11325p = 0;

        /* renamed from: g  reason: collision with root package name */
        final long f11326g;

        c(long j7) {
            this.f11326g = j7;
        }

        @Override // com.google.common.hash.q
        public byte[] a() {
            long j7 = this.f11326g;
            return new byte[]{(byte) ((int) j7), (byte) ((int) (j7 >> 8)), (byte) ((int) (j7 >> 16)), (byte) ((int) (j7 >> 24)), (byte) ((int) (j7 >> 32)), (byte) ((int) (j7 >> 40)), (byte) ((int) (j7 >> 48)), (byte) ((int) (j7 >> 56))};
        }

        @Override // com.google.common.hash.q
        public int b() {
            return (int) this.f11326g;
        }

        @Override // com.google.common.hash.q
        public long c() {
            return this.f11326g;
        }

        @Override // com.google.common.hash.q
        public int d() {
            return 64;
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.hash.q
        public boolean f(q qVar) {
            return this.f11326g == qVar.c();
        }

        @Override // com.google.common.hash.q
        public long n() {
            return this.f11326g;
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.hash.q
        public void q(byte[] bArr, int i7, int i8) {
            for (int i9 = 0; i9 < i8; i9++) {
                bArr[i7 + i9] = (byte) ((int) (this.f11326g >> (i9 * 8)));
            }
        }
    }

    q() {
    }

    private static int e(char c7) {
        if (c7 >= '0' && c7 <= '9') {
            return c7 - '0';
        }
        if (c7 >= 'a' && c7 <= 'f') {
            return (c7 - 'a') + 10;
        }
        throw new IllegalArgumentException("Illegal hexadecimal character: " + c7);
    }

    public static q g(byte[] bArr) {
        boolean z7 = true;
        if (bArr.length < 1) {
            z7 = false;
        }
        Preconditions.checkArgument(z7, "A HashCode must contain at least 1 byte.");
        return h((byte[]) bArr.clone());
    }

    static q h(byte[] bArr) {
        return new a(bArr);
    }

    public static q i(int i7) {
        return new b(i7);
    }

    public static q j(long j7) {
        return new c(j7);
    }

    public static q k(String str) {
        boolean z7 = true;
        Preconditions.checkArgument(str.length() >= 2, "input string (%s) must have at least 2 characters", str);
        if (str.length() % 2 != 0) {
            z7 = false;
        }
        Preconditions.checkArgument(z7, "input string (%s) must have an even number of characters", str);
        byte[] bArr = new byte[(str.length() / 2)];
        for (int i7 = 0; i7 < str.length(); i7 += 2) {
            bArr[i7 / 2] = (byte) ((e(str.charAt(i7)) << 4) + e(str.charAt(i7 + 1)));
        }
        return h(bArr);
    }

    public abstract byte[] a();

    public abstract int b();

    public abstract long c();

    public abstract int d();

    public final boolean equals(Object obj) {
        if (!(obj instanceof q)) {
            return false;
        }
        q qVar = (q) obj;
        return d() == qVar.d() && f(qVar);
    }

    /* access modifiers changed from: package-private */
    public abstract boolean f(q qVar);

    public final int hashCode() {
        if (d() >= 32) {
            return b();
        }
        byte[] m7 = m();
        int i7 = m7[0] & 255;
        for (int i8 = 1; i8 < m7.length; i8++) {
            i7 |= (m7[i8] & 255) << (i8 * 8);
        }
        return i7;
    }

    /* access modifiers changed from: package-private */
    public byte[] m() {
        return a();
    }

    public abstract long n();

    @p0.a
    public int p(byte[] bArr, int i7, int i8) {
        int u7 = l.u(i8, d() / 8);
        Preconditions.checkPositionIndexes(i7, i7 + u7, bArr.length);
        q(bArr, i7, u7);
        return u7;
    }

    /* access modifiers changed from: package-private */
    public abstract void q(byte[] bArr, int i7, int i8);

    public final String toString() {
        byte[] m7 = m();
        StringBuilder sb = new StringBuilder(m7.length * 2);
        for (byte b7 : m7) {
            char[] cArr = f11320f;
            sb.append(cArr[(b7 >> 4) & 15]);
            sb.append(cArr[b7 & Ascii.SI]);
        }
        return sb.toString();
    }
}
