package com.google.common.hash;

import com.google.common.base.Preconditions;
import java.security.Key;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Iterator;
import java.util.zip.Adler32;
import java.util.zip.CRC32;
import java.util.zip.Checksum;
import javax.crypto.spec.SecretKeySpec;
import kotlinx.coroutines.scheduling.r;

@m0.a
public final class t {

    /* renamed from: a  reason: collision with root package name */
    static final int f11327a = ((int) System.currentTimeMillis());

    @p0.i
    enum b implements w<Checksum> {
        CRC_32("Hashing.crc32()") {
            /* renamed from: a */
            public Checksum get() {
                return new CRC32();
            }
        },
        ADLER_32("Hashing.adler32()") {
            /* renamed from: a */
            public Checksum get() {
                return new Adler32();
            }
        };
        

        /* renamed from: f  reason: collision with root package name */
        public final r f11331f;

        private b(String str) {
            this.f11331f = new l(this, 32, str);
        }
    }

    private static final class c extends b {
        private c(r... rVarArr) {
            super(rVarArr);
            for (r rVar : rVarArr) {
                Preconditions.checkArgument(rVar.h() % 8 == 0, "the number of bits (%s) in hashFunction (%s) must be divisible by 8", rVar.h(), (Object) rVar);
            }
        }

        public boolean equals(Object obj) {
            if (obj instanceof c) {
                return Arrays.equals(this.f11194f, ((c) obj).f11194f);
            }
            return false;
        }

        @Override // com.google.common.hash.r
        public int h() {
            int i7 = 0;
            for (r rVar : this.f11194f) {
                i7 += rVar.h();
            }
            return i7;
        }

        public int hashCode() {
            return Arrays.hashCode(this.f11194f);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.hash.b
        public q n(s[] sVarArr) {
            byte[] bArr = new byte[(h() / 8)];
            int i7 = 0;
            for (s sVar : sVarArr) {
                q i8 = sVar.i();
                i7 += i8.p(bArr, i7, i8.d() / 8);
            }
            return q.h(bArr);
        }
    }

    /* access modifiers changed from: private */
    public static final class d {

        /* renamed from: a  reason: collision with root package name */
        private long f11332a;

        public d(long j7) {
            this.f11332a = j7;
        }

        public double a() {
            long j7 = (this.f11332a * 2862933555777941757L) + 1;
            this.f11332a = j7;
            return ((double) (((int) (j7 >>> 33)) + 1)) / 2.147483648E9d;
        }
    }

    private static class e {

        /* renamed from: a  reason: collision with root package name */
        static final r f11333a = new c0("MD5", "Hashing.md5()");

        private e() {
        }
    }

    private static class f {

        /* renamed from: a  reason: collision with root package name */
        static final r f11334a = new c0("SHA-1", "Hashing.sha1()");

        private f() {
        }
    }

    private static class g {

        /* renamed from: a  reason: collision with root package name */
        static final r f11335a = new c0("SHA-256", "Hashing.sha256()");

        private g() {
        }
    }

    private static class h {

        /* renamed from: a  reason: collision with root package name */
        static final r f11336a = new c0("SHA-384", "Hashing.sha384()");

        private h() {
        }
    }

    private static class i {

        /* renamed from: a  reason: collision with root package name */
        static final r f11337a = new c0("SHA-512", "Hashing.sha512()");

        private i() {
        }
    }

    private t() {
    }

    @Deprecated
    public static r A() {
        return f.f11334a;
    }

    public static r B() {
        return g.f11335a;
    }

    public static r C() {
        return h.f11336a;
    }

    public static r D() {
        return i.f11337a;
    }

    public static r E() {
        return g0.f11243y;
    }

    public static r F(long j7, long j8) {
        return new g0(2, 4, j7, j8);
    }

    public static r a() {
        return b.ADLER_32.f11331f;
    }

    static int b(int i7) {
        Preconditions.checkArgument(i7 > 0, "Number of bits must be positive");
        return (i7 + 31) & -32;
    }

    public static q c(Iterable<q> iterable) {
        Iterator<q> it = iterable.iterator();
        Preconditions.checkArgument(it.hasNext(), "Must be at least 1 hash code to combine.");
        int d7 = it.next().d() / 8;
        byte[] bArr = new byte[d7];
        for (q qVar : iterable) {
            byte[] a8 = qVar.a();
            Preconditions.checkArgument(a8.length == d7, "All hashcodes must have the same bit length.");
            for (int i7 = 0; i7 < a8.length; i7++) {
                bArr[i7] = (byte) ((bArr[i7] * 37) ^ a8[i7]);
            }
        }
        return q.h(bArr);
    }

    public static q d(Iterable<q> iterable) {
        Iterator<q> it = iterable.iterator();
        Preconditions.checkArgument(it.hasNext(), "Must be at least 1 hash code to combine.");
        int d7 = it.next().d() / 8;
        byte[] bArr = new byte[d7];
        for (q qVar : iterable) {
            byte[] a8 = qVar.a();
            Preconditions.checkArgument(a8.length == d7, "All hashcodes must have the same bit length.");
            for (int i7 = 0; i7 < a8.length; i7++) {
                bArr[i7] = (byte) (bArr[i7] + a8[i7]);
            }
        }
        return q.h(bArr);
    }

    public static r e(r rVar, r rVar2, r... rVarArr) {
        ArrayList arrayList = new ArrayList();
        arrayList.add(rVar);
        arrayList.add(rVar2);
        arrayList.addAll(Arrays.asList(rVarArr));
        return new c((r[]) arrayList.toArray(new r[0]));
    }

    public static r f(Iterable<r> iterable) {
        Preconditions.checkNotNull(iterable);
        ArrayList arrayList = new ArrayList();
        for (r rVar : iterable) {
            arrayList.add(rVar);
        }
        Preconditions.checkArgument(arrayList.size() > 0, "number of hash functions (%s) must be > 0", arrayList.size());
        return new c((r[]) arrayList.toArray(new r[0]));
    }

    public static int g(long j7, int i7) {
        int i8 = 0;
        Preconditions.checkArgument(i7 > 0, "buckets must be positive: %s", i7);
        d dVar = new d(j7);
        while (true) {
            int a8 = (int) (((double) (i8 + 1)) / dVar.a());
            if (a8 < 0 || a8 >= i7) {
                return i8;
            }
            i8 = a8;
        }
        return i8;
    }

    public static int h(q qVar, int i7) {
        return g(qVar.n(), i7);
    }

    public static r i() {
        return b.CRC_32.f11331f;
    }

    public static r j() {
        return m.f11300f;
    }

    public static r k() {
        return n.f11303f;
    }

    public static r l(int i7) {
        int b7 = b(i7);
        if (b7 == 32) {
            return e0.f11228p;
        }
        if (b7 <= 128) {
            return d0.f11216p;
        }
        int i8 = (b7 + r.f21961c) / 128;
        r[] rVarArr = new r[i8];
        rVarArr[0] = d0.f11216p;
        int i9 = f11327a;
        for (int i10 = 1; i10 < i8; i10++) {
            i9 += 1500450271;
            rVarArr[i10] = x(i9);
        }
        return new c(rVarArr);
    }

    public static r m(Key key) {
        return new b0("HmacMD5", key, u("hmacMd5", key));
    }

    public static r n(byte[] bArr) {
        return m(new SecretKeySpec((byte[]) Preconditions.checkNotNull(bArr), "HmacMD5"));
    }

    public static r o(Key key) {
        return new b0("HmacSHA1", key, u("hmacSha1", key));
    }

    public static r p(byte[] bArr) {
        return o(new SecretKeySpec((byte[]) Preconditions.checkNotNull(bArr), "HmacSHA1"));
    }

    public static r q(Key key) {
        return new b0("HmacSHA256", key, u("hmacSha256", key));
    }

    public static r r(byte[] bArr) {
        return q(new SecretKeySpec((byte[]) Preconditions.checkNotNull(bArr), "HmacSHA256"));
    }

    public static r s(Key key) {
        return new b0("HmacSHA512", key, u("hmacSha512", key));
    }

    public static r t(byte[] bArr) {
        return s(new SecretKeySpec((byte[]) Preconditions.checkNotNull(bArr), "HmacSHA512"));
    }

    private static String u(String str, Key key) {
        return String.format("Hashing.%s(Key[algorithm=%s, format=%s])", str, key.getAlgorithm(), key.getFormat());
    }

    @Deprecated
    public static r v() {
        return e.f11333a;
    }

    public static r w() {
        return d0.f11215g;
    }

    public static r x(int i7) {
        return new d0(i7);
    }

    public static r y() {
        return e0.f11227g;
    }

    public static r z(int i7) {
        return new e0(i7);
    }
}
