package com.google.common.io;

import com.google.common.base.Ascii;
import com.google.common.base.Objects;
import com.google.common.base.Preconditions;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.io.Reader;
import java.io.Writer;
import java.math.RoundingMode;
import java.util.Arrays;

@m0.b(emulated = true)
public abstract class b {

    /* renamed from: a  reason: collision with root package name */
    private static final b f11353a = new h("base64()", "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/", '=');

    /* renamed from: b  reason: collision with root package name */
    private static final b f11354b = new h("base64Url()", "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_", '=');

    /* renamed from: c  reason: collision with root package name */
    private static final b f11355c = new k("base32()", "ABCDEFGHIJKLMNOPQRSTUVWXYZ234567", '=');

    /* renamed from: d  reason: collision with root package name */
    private static final b f11356d = new k("base32Hex()", "0123456789ABCDEFGHIJKLMNOPQRSTUV", '=');

    /* renamed from: e  reason: collision with root package name */
    private static final b f11357e = new g("base16()", "0123456789ABCDEF");

    class a extends f {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ j f11358a;

        a(j jVar) {
            this.f11358a = jVar;
        }

        @Override // com.google.common.io.f
        public OutputStream c() throws IOException {
            return b.this.p(this.f11358a.b());
        }
    }

    /* renamed from: com.google.common.io.b$b  reason: collision with other inner class name */
    class C0157b extends g {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ l f11360a;

        C0157b(l lVar) {
            this.f11360a = lVar;
        }

        @Override // com.google.common.io.g
        public InputStream m() throws IOException {
            return b.this.k(this.f11360a.q());
        }
    }

    /* access modifiers changed from: package-private */
    public static class c extends Reader {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ Reader f11362f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ String f11363g;

        c(Reader reader, String str) {
            this.f11362f = reader;
            this.f11363g = str;
        }

        @Override // java.io.Closeable, java.io.Reader, java.lang.AutoCloseable
        public void close() throws IOException {
            this.f11362f.close();
        }

        @Override // java.io.Reader
        public int read() throws IOException {
            int read;
            do {
                read = this.f11362f.read();
                if (read == -1) {
                    break;
                }
            } while (this.f11363g.indexOf((char) read) >= 0);
            return read;
        }

        @Override // java.io.Reader
        public int read(char[] cArr, int i7, int i8) throws IOException {
            throw new UnsupportedOperationException();
        }
    }

    /* access modifiers changed from: package-private */
    public static class d implements Appendable {

        /* renamed from: f  reason: collision with root package name */
        int f11364f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ int f11365g;

        /* renamed from: p  reason: collision with root package name */
        final /* synthetic */ Appendable f11366p;

        /* renamed from: x  reason: collision with root package name */
        final /* synthetic */ String f11367x;

        d(int i7, Appendable appendable, String str) {
            this.f11365g = i7;
            this.f11366p = appendable;
            this.f11367x = str;
            this.f11364f = i7;
        }

        @Override // java.lang.Appendable
        public Appendable append(char c7) throws IOException {
            if (this.f11364f == 0) {
                this.f11366p.append(this.f11367x);
                this.f11364f = this.f11365g;
            }
            this.f11366p.append(c7);
            this.f11364f--;
            return this;
        }

        @Override // java.lang.Appendable
        public Appendable append(CharSequence charSequence) throws IOException {
            throw new UnsupportedOperationException();
        }

        @Override // java.lang.Appendable
        public Appendable append(CharSequence charSequence, int i7, int i8) throws IOException {
            throw new UnsupportedOperationException();
        }
    }

    /* access modifiers changed from: package-private */
    public static class e extends Writer {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ Appendable f11368f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ Writer f11369g;

        e(Appendable appendable, Writer writer) {
            this.f11368f = appendable;
            this.f11369g = writer;
        }

        @Override // java.io.Closeable, java.io.Writer, java.lang.AutoCloseable
        public void close() throws IOException {
            this.f11369g.close();
        }

        @Override // java.io.Writer, java.io.Flushable
        public void flush() throws IOException {
            this.f11369g.flush();
        }

        @Override // java.io.Writer
        public void write(int i7) throws IOException {
            this.f11368f.append((char) i7);
        }

        @Override // java.io.Writer
        public void write(char[] cArr, int i7, int i8) throws IOException {
            throw new UnsupportedOperationException();
        }
    }

    /* access modifiers changed from: private */
    public static final class f {

        /* renamed from: a  reason: collision with root package name */
        private final String f11370a;

        /* renamed from: b  reason: collision with root package name */
        private final char[] f11371b;

        /* renamed from: c  reason: collision with root package name */
        final int f11372c;

        /* renamed from: d  reason: collision with root package name */
        final int f11373d;

        /* renamed from: e  reason: collision with root package name */
        final int f11374e;

        /* renamed from: f  reason: collision with root package name */
        final int f11375f;

        /* renamed from: g  reason: collision with root package name */
        private final byte[] f11376g;

        /* renamed from: h  reason: collision with root package name */
        private final boolean[] f11377h;

        f(String str, char[] cArr) {
            this.f11370a = (String) Preconditions.checkNotNull(str);
            this.f11371b = (char[]) Preconditions.checkNotNull(cArr);
            try {
                int p7 = com.google.common.math.d.p(cArr.length, RoundingMode.UNNECESSARY);
                this.f11373d = p7;
                int min = Math.min(8, Integer.lowestOneBit(p7));
                try {
                    this.f11374e = 8 / min;
                    this.f11375f = p7 / min;
                    this.f11372c = cArr.length - 1;
                    byte[] bArr = new byte[128];
                    Arrays.fill(bArr, (byte) -1);
                    for (int i7 = 0; i7 < cArr.length; i7++) {
                        char c7 = cArr[i7];
                        Preconditions.checkArgument(c7 < 128, "Non-ASCII character: %s", c7);
                        Preconditions.checkArgument(bArr[c7] == -1, "Duplicate character: %s", c7);
                        bArr[c7] = (byte) i7;
                    }
                    this.f11376g = bArr;
                    boolean[] zArr = new boolean[this.f11374e];
                    for (int i8 = 0; i8 < this.f11375f; i8++) {
                        zArr[com.google.common.math.d.g(i8 * 8, this.f11373d, RoundingMode.CEILING)] = true;
                    }
                    this.f11377h = zArr;
                } catch (ArithmeticException e7) {
                    throw new IllegalArgumentException("Illegal alphabet " + new String(cArr), e7);
                }
            } catch (ArithmeticException e8) {
                throw new IllegalArgumentException("Illegal alphabet length " + cArr.length, e8);
            }
        }

        private boolean e() {
            for (char c7 : this.f11371b) {
                if (Ascii.isLowerCase(c7)) {
                    return true;
                }
            }
            return false;
        }

        private boolean f() {
            for (char c7 : this.f11371b) {
                if (Ascii.isUpperCase(c7)) {
                    return true;
                }
            }
            return false;
        }

        /* access modifiers changed from: package-private */
        public boolean b(char c7) {
            return c7 <= 127 && this.f11376g[c7] != -1;
        }

        /* access modifiers changed from: package-private */
        public int c(char c7) throws i {
            if (c7 <= 127) {
                byte b7 = this.f11376g[c7];
                if (b7 != -1) {
                    return b7;
                }
                if (c7 <= ' ' || c7 == 127) {
                    throw new i("Unrecognized character: 0x" + Integer.toHexString(c7));
                }
                throw new i("Unrecognized character: " + c7);
            }
            throw new i("Unrecognized character: 0x" + Integer.toHexString(c7));
        }

        /* access modifiers changed from: package-private */
        public char d(int i7) {
            return this.f11371b[i7];
        }

        public boolean equals(Object obj) {
            if (obj instanceof f) {
                return Arrays.equals(this.f11371b, ((f) obj).f11371b);
            }
            return false;
        }

        /* access modifiers changed from: package-private */
        public boolean g(int i7) {
            return this.f11377h[i7 % this.f11374e];
        }

        /* access modifiers changed from: package-private */
        public f h() {
            if (!f()) {
                return this;
            }
            Preconditions.checkState(!e(), "Cannot call lowerCase() on a mixed-case alphabet");
            char[] cArr = new char[this.f11371b.length];
            int i7 = 0;
            while (true) {
                char[] cArr2 = this.f11371b;
                if (i7 < cArr2.length) {
                    cArr[i7] = Ascii.toLowerCase(cArr2[i7]);
                    i7++;
                } else {
                    return new f(this.f11370a + ".lowerCase()", cArr);
                }
            }
        }

        public int hashCode() {
            return Arrays.hashCode(this.f11371b);
        }

        public boolean i(char c7) {
            byte[] bArr = this.f11376g;
            return c7 < bArr.length && bArr[c7] != -1;
        }

        /* access modifiers changed from: package-private */
        public f j() {
            if (!e()) {
                return this;
            }
            Preconditions.checkState(!f(), "Cannot call upperCase() on a mixed-case alphabet");
            char[] cArr = new char[this.f11371b.length];
            int i7 = 0;
            while (true) {
                char[] cArr2 = this.f11371b;
                if (i7 < cArr2.length) {
                    cArr[i7] = Ascii.toUpperCase(cArr2[i7]);
                    i7++;
                } else {
                    return new f(this.f11370a + ".upperCase()", cArr);
                }
            }
        }

        public String toString() {
            return this.f11370a;
        }
    }

    static final class g extends k {

        /* renamed from: j  reason: collision with root package name */
        final char[] f11378j;

        private g(f fVar) {
            super(fVar, null);
            this.f11378j = new char[512];
            Preconditions.checkArgument(fVar.f11371b.length == 16);
            for (int i7 = 0; i7 < 256; i7++) {
                this.f11378j[i7] = fVar.d(i7 >>> 4);
                this.f11378j[i7 | 256] = fVar.d(i7 & 15);
            }
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.io.b.k
        public b D(f fVar, Character ch) {
            return new g(fVar);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.io.b, com.google.common.io.b.k
        public int i(byte[] bArr, CharSequence charSequence) throws i {
            Preconditions.checkNotNull(bArr);
            if (charSequence.length() % 2 != 1) {
                int i7 = 0;
                int i8 = 0;
                while (i7 < charSequence.length()) {
                    bArr[i8] = (byte) ((this.f11382f.c(charSequence.charAt(i7)) << 4) | this.f11382f.c(charSequence.charAt(i7 + 1)));
                    i7 += 2;
                    i8++;
                }
                return i8;
            }
            throw new i("Invalid input length " + charSequence.length());
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.io.b, com.google.common.io.b.k
        public void n(Appendable appendable, byte[] bArr, int i7, int i8) throws IOException {
            Preconditions.checkNotNull(appendable);
            Preconditions.checkPositionIndexes(i7, i7 + i8, bArr.length);
            for (int i9 = 0; i9 < i8; i9++) {
                int i10 = bArr[i7 + i9] & 255;
                appendable.append(this.f11378j[i10]);
                appendable.append(this.f11378j[i10 | 256]);
            }
        }

        g(String str, String str2) {
            this(new f(str, str2.toCharArray()));
        }
    }

    static final class h extends k {
        private h(f fVar, Character ch) {
            super(fVar, ch);
            Preconditions.checkArgument(fVar.f11371b.length == 64);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.io.b.k
        public b D(f fVar, Character ch) {
            return new h(fVar, ch);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.io.b, com.google.common.io.b.k
        public int i(byte[] bArr, CharSequence charSequence) throws i {
            Preconditions.checkNotNull(bArr);
            CharSequence y7 = y(charSequence);
            if (this.f11382f.g(y7.length())) {
                int i7 = 0;
                int i8 = 0;
                while (i7 < y7.length()) {
                    int i9 = i7 + 1;
                    int i10 = i9 + 1;
                    int c7 = (this.f11382f.c(y7.charAt(i7)) << 18) | (this.f11382f.c(y7.charAt(i9)) << 12);
                    int i11 = i8 + 1;
                    bArr[i8] = (byte) (c7 >>> 16);
                    if (i10 < y7.length()) {
                        int i12 = i10 + 1;
                        int c8 = c7 | (this.f11382f.c(y7.charAt(i10)) << 6);
                        i8 = i11 + 1;
                        bArr[i11] = (byte) ((c8 >>> 8) & 255);
                        if (i12 < y7.length()) {
                            i10 = i12 + 1;
                            i11 = i8 + 1;
                            bArr[i8] = (byte) ((c8 | this.f11382f.c(y7.charAt(i12))) & 255);
                        } else {
                            i7 = i12;
                        }
                    }
                    i8 = i11;
                    i7 = i10;
                }
                return i8;
            }
            throw new i("Invalid input length " + y7.length());
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.io.b, com.google.common.io.b.k
        public void n(Appendable appendable, byte[] bArr, int i7, int i8) throws IOException {
            Preconditions.checkNotNull(appendable);
            int i9 = i7 + i8;
            Preconditions.checkPositionIndexes(i7, i9, bArr.length);
            while (i8 >= 3) {
                int i10 = i7 + 1;
                int i11 = i10 + 1;
                int i12 = ((bArr[i7] & 255) << 16) | ((bArr[i10] & 255) << 8) | (bArr[i11] & 255);
                appendable.append(this.f11382f.d(i12 >>> 18));
                appendable.append(this.f11382f.d((i12 >>> 12) & 63));
                appendable.append(this.f11382f.d((i12 >>> 6) & 63));
                appendable.append(this.f11382f.d(i12 & 63));
                i8 -= 3;
                i7 = i11 + 1;
            }
            if (i7 < i9) {
                C(appendable, bArr, i7, i9 - i7);
            }
        }

        h(String str, String str2, Character ch) {
            this(new f(str, str2.toCharArray()), ch);
        }
    }

    public static final class i extends IOException {
        i(String str) {
            super(str);
        }

        i(Throwable th) {
            super(th);
        }
    }

    static final class j extends b {

        /* renamed from: f  reason: collision with root package name */
        private final b f11379f;

        /* renamed from: g  reason: collision with root package name */
        private final String f11380g;

        /* renamed from: h  reason: collision with root package name */
        private final int f11381h;

        j(b bVar, String str, int i7) {
            this.f11379f = (b) Preconditions.checkNotNull(bVar);
            this.f11380g = (String) Preconditions.checkNotNull(str);
            this.f11381h = i7;
            Preconditions.checkArgument(i7 > 0, "Cannot add a separator after every %s chars", i7);
        }

        @Override // com.google.common.io.b
        public b A(char c7) {
            return this.f11379f.A(c7).B(this.f11380g, this.f11381h);
        }

        @Override // com.google.common.io.b
        public b B(String str, int i7) {
            throw new UnsupportedOperationException("Already have a separator");
        }

        @Override // com.google.common.io.b
        public boolean f(CharSequence charSequence) {
            StringBuilder sb = new StringBuilder();
            for (int i7 = 0; i7 < charSequence.length(); i7++) {
                char charAt = charSequence.charAt(i7);
                if (this.f11380g.indexOf(charAt) < 0) {
                    sb.append(charAt);
                }
            }
            return this.f11379f.f(sb);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.io.b
        public int i(byte[] bArr, CharSequence charSequence) throws i {
            StringBuilder sb = new StringBuilder(charSequence.length());
            for (int i7 = 0; i7 < charSequence.length(); i7++) {
                char charAt = charSequence.charAt(i7);
                if (this.f11380g.indexOf(charAt) < 0) {
                    sb.append(charAt);
                }
            }
            return this.f11379f.i(bArr, sb);
        }

        @Override // com.google.common.io.b
        @m0.c
        public InputStream k(Reader reader) {
            return this.f11379f.k(b.r(reader, this.f11380g));
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.io.b
        public void n(Appendable appendable, byte[] bArr, int i7, int i8) throws IOException {
            this.f11379f.n(b.w(appendable, this.f11380g, this.f11381h), bArr, i7, i8);
        }

        @Override // com.google.common.io.b
        @m0.c
        public OutputStream p(Writer writer) {
            return this.f11379f.p(b.x(writer, this.f11380g, this.f11381h));
        }

        @Override // com.google.common.io.b
        public b s() {
            return this.f11379f.s().B(this.f11380g, this.f11381h);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.io.b
        public int t(int i7) {
            return this.f11379f.t(i7);
        }

        public String toString() {
            return this.f11379f + ".withSeparator(\"" + this.f11380g + "\", " + this.f11381h + ")";
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.io.b
        public int u(int i7) {
            int u7 = this.f11379f.u(i7);
            return u7 + (this.f11380g.length() * com.google.common.math.d.g(Math.max(0, u7 - 1), this.f11381h, RoundingMode.FLOOR));
        }

        @Override // com.google.common.io.b
        public b v() {
            return this.f11379f.v().B(this.f11380g, this.f11381h);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.io.b
        public CharSequence y(CharSequence charSequence) {
            return this.f11379f.y(charSequence);
        }

        @Override // com.google.common.io.b
        public b z() {
            return this.f11379f.z().B(this.f11380g, this.f11381h);
        }
    }

    static class k extends b {

        /* renamed from: f  reason: collision with root package name */
        final f f11382f;

        /* renamed from: g  reason: collision with root package name */
        final Character f11383g;

        /* renamed from: h  reason: collision with root package name */
        private transient b f11384h;

        /* renamed from: i  reason: collision with root package name */
        private transient b f11385i;

        class a extends OutputStream {

            /* renamed from: f  reason: collision with root package name */
            int f11386f = 0;

            /* renamed from: g  reason: collision with root package name */
            int f11387g = 0;

            /* renamed from: p  reason: collision with root package name */
            int f11388p = 0;

            /* renamed from: x  reason: collision with root package name */
            final /* synthetic */ Writer f11389x;

            a(Writer writer) {
                this.f11389x = writer;
            }

            @Override // java.io.OutputStream, java.io.Closeable, java.lang.AutoCloseable
            public void close() throws IOException {
                int i7 = this.f11387g;
                if (i7 > 0) {
                    int i8 = this.f11386f;
                    f fVar = k.this.f11382f;
                    this.f11389x.write(fVar.d((i8 << (fVar.f11373d - i7)) & fVar.f11372c));
                    this.f11388p++;
                    if (k.this.f11383g != null) {
                        while (true) {
                            int i9 = this.f11388p;
                            k kVar = k.this;
                            if (i9 % kVar.f11382f.f11374e == 0) {
                                break;
                            }
                            this.f11389x.write(kVar.f11383g.charValue());
                            this.f11388p++;
                        }
                    }
                }
                this.f11389x.close();
            }

            @Override // java.io.OutputStream, java.io.Flushable
            public void flush() throws IOException {
                this.f11389x.flush();
            }

            @Override // java.io.OutputStream
            public void write(int i7) throws IOException {
                this.f11386f = (i7 & 255) | (this.f11386f << 8);
                int i8 = this.f11387g + 8;
                while (true) {
                    this.f11387g = i8;
                    int i9 = this.f11387g;
                    f fVar = k.this.f11382f;
                    int i10 = fVar.f11373d;
                    if (i9 >= i10) {
                        this.f11389x.write(fVar.d((this.f11386f >> (i9 - i10)) & fVar.f11372c));
                        this.f11388p++;
                        i8 = this.f11387g - k.this.f11382f.f11373d;
                    } else {
                        return;
                    }
                }
            }
        }

        /* renamed from: com.google.common.io.b$k$b  reason: collision with other inner class name */
        class C0158b extends InputStream {

            /* renamed from: f  reason: collision with root package name */
            int f11391f = 0;

            /* renamed from: g  reason: collision with root package name */
            int f11392g = 0;

            /* renamed from: p  reason: collision with root package name */
            int f11393p = 0;

            /* renamed from: x  reason: collision with root package name */
            boolean f11394x = false;

            /* renamed from: y  reason: collision with root package name */
            final /* synthetic */ Reader f11395y;

            C0158b(Reader reader) {
                this.f11395y = reader;
            }

            @Override // java.io.Closeable, java.lang.AutoCloseable, java.io.InputStream
            public void close() throws IOException {
                this.f11395y.close();
            }

            @Override // java.io.InputStream
            public int read() throws IOException {
                int i7;
                while (true) {
                    int read = this.f11395y.read();
                    if (read != -1) {
                        this.f11393p++;
                        char c7 = (char) read;
                        Character ch = k.this.f11383g;
                        if (ch == null || ch.charValue() != c7) {
                            if (!this.f11394x) {
                                int i8 = this.f11391f;
                                f fVar = k.this.f11382f;
                                int i9 = i8 << fVar.f11373d;
                                this.f11391f = i9;
                                int c8 = fVar.c(c7) | i9;
                                this.f11391f = c8;
                                int i10 = this.f11392g + k.this.f11382f.f11373d;
                                this.f11392g = i10;
                                if (i10 >= 8) {
                                    int i11 = i10 - 8;
                                    this.f11392g = i11;
                                    return (c8 >> i11) & 255;
                                }
                            } else {
                                throw new i("Expected padding character but found '" + c7 + "' at index " + this.f11393p);
                            }
                        } else if (this.f11394x || ((i7 = this.f11393p) != 1 && k.this.f11382f.g(i7 - 1))) {
                            this.f11394x = true;
                        }
                    } else if (this.f11394x || k.this.f11382f.g(this.f11393p)) {
                        return -1;
                    } else {
                        throw new i("Invalid input length " + this.f11393p);
                    }
                }
                throw new i("Padding cannot start at index " + this.f11393p);
            }
        }

        k(f fVar, Character ch) {
            this.f11382f = (f) Preconditions.checkNotNull(fVar);
            Preconditions.checkArgument(ch == null || !fVar.i(ch.charValue()), "Padding character %s was already in alphabet", ch);
            this.f11383g = ch;
        }

        @Override // com.google.common.io.b
        public b A(char c7) {
            if (8 % this.f11382f.f11373d == 0) {
                return this;
            }
            Character ch = this.f11383g;
            return (ch == null || ch.charValue() != c7) ? D(this.f11382f, Character.valueOf(c7)) : this;
        }

        @Override // com.google.common.io.b
        public b B(String str, int i7) {
            boolean z7 = false;
            for (int i8 = 0; i8 < str.length(); i8++) {
                Preconditions.checkArgument(!this.f11382f.i(str.charAt(i8)), "Separator (%s) cannot contain alphabet characters", str);
            }
            Character ch = this.f11383g;
            if (ch != null) {
                if (str.indexOf(ch.charValue()) < 0) {
                    z7 = true;
                }
                Preconditions.checkArgument(z7, "Separator (%s) cannot contain padding character", str);
            }
            return new j(this, str, i7);
        }

        /* access modifiers changed from: package-private */
        public void C(Appendable appendable, byte[] bArr, int i7, int i8) throws IOException {
            Preconditions.checkNotNull(appendable);
            Preconditions.checkPositionIndexes(i7, i7 + i8, bArr.length);
            int i9 = 0;
            Preconditions.checkArgument(i8 <= this.f11382f.f11375f);
            long j7 = 0;
            for (int i10 = 0; i10 < i8; i10++) {
                j7 = (j7 | ((long) (bArr[i7 + i10] & 255))) << 8;
            }
            int i11 = ((i8 + 1) * 8) - this.f11382f.f11373d;
            while (i9 < i8 * 8) {
                f fVar = this.f11382f;
                appendable.append(fVar.d(((int) (j7 >>> (i11 - i9))) & fVar.f11372c));
                i9 += this.f11382f.f11373d;
            }
            if (this.f11383g != null) {
                while (i9 < this.f11382f.f11375f * 8) {
                    appendable.append(this.f11383g.charValue());
                    i9 += this.f11382f.f11373d;
                }
            }
        }

        /* access modifiers changed from: package-private */
        public b D(f fVar, Character ch) {
            return new k(fVar, ch);
        }

        public boolean equals(Object obj) {
            if (!(obj instanceof k)) {
                return false;
            }
            k kVar = (k) obj;
            return this.f11382f.equals(kVar.f11382f) && Objects.equal(this.f11383g, kVar.f11383g);
        }

        @Override // com.google.common.io.b
        public boolean f(CharSequence charSequence) {
            Preconditions.checkNotNull(charSequence);
            CharSequence y7 = y(charSequence);
            if (!this.f11382f.g(y7.length())) {
                return false;
            }
            for (int i7 = 0; i7 < y7.length(); i7++) {
                if (!this.f11382f.b(y7.charAt(i7))) {
                    return false;
                }
            }
            return true;
        }

        public int hashCode() {
            return Objects.hashCode(this.f11383g) ^ this.f11382f.hashCode();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.io.b
        public int i(byte[] bArr, CharSequence charSequence) throws i {
            f fVar;
            Preconditions.checkNotNull(bArr);
            CharSequence y7 = y(charSequence);
            if (this.f11382f.g(y7.length())) {
                int i7 = 0;
                int i8 = 0;
                while (i7 < y7.length()) {
                    long j7 = 0;
                    int i9 = 0;
                    int i10 = 0;
                    while (true) {
                        fVar = this.f11382f;
                        if (i9 >= fVar.f11374e) {
                            break;
                        }
                        j7 <<= fVar.f11373d;
                        if (i7 + i9 < y7.length()) {
                            j7 |= (long) this.f11382f.c(y7.charAt(i10 + i7));
                            i10++;
                        }
                        i9++;
                    }
                    int i11 = fVar.f11375f;
                    int i12 = (i11 * 8) - (i10 * fVar.f11373d);
                    int i13 = (i11 - 1) * 8;
                    while (i13 >= i12) {
                        bArr[i8] = (byte) ((int) ((j7 >>> i13) & 255));
                        i13 -= 8;
                        i8++;
                    }
                    i7 += this.f11382f.f11374e;
                }
                return i8;
            }
            throw new i("Invalid input length " + y7.length());
        }

        @Override // com.google.common.io.b
        @m0.c
        public InputStream k(Reader reader) {
            Preconditions.checkNotNull(reader);
            return new C0158b(reader);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.io.b
        public void n(Appendable appendable, byte[] bArr, int i7, int i8) throws IOException {
            Preconditions.checkNotNull(appendable);
            Preconditions.checkPositionIndexes(i7, i7 + i8, bArr.length);
            int i9 = 0;
            while (i9 < i8) {
                C(appendable, bArr, i7 + i9, Math.min(this.f11382f.f11375f, i8 - i9));
                i9 += this.f11382f.f11375f;
            }
        }

        @Override // com.google.common.io.b
        @m0.c
        public OutputStream p(Writer writer) {
            Preconditions.checkNotNull(writer);
            return new a(writer);
        }

        @Override // com.google.common.io.b
        public b s() {
            b bVar = this.f11385i;
            if (bVar == null) {
                f h7 = this.f11382f.h();
                bVar = h7 == this.f11382f ? this : D(h7, this.f11383g);
                this.f11385i = bVar;
            }
            return bVar;
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.io.b
        public int t(int i7) {
            return (int) (((((long) this.f11382f.f11373d) * ((long) i7)) + 7) / 8);
        }

        public String toString() {
            String str;
            StringBuilder sb = new StringBuilder("BaseEncoding.");
            sb.append(this.f11382f.toString());
            if (8 % this.f11382f.f11373d != 0) {
                if (this.f11383g == null) {
                    str = ".omitPadding()";
                } else {
                    sb.append(".withPadChar('");
                    sb.append(this.f11383g);
                    str = "')";
                }
                sb.append(str);
            }
            return sb.toString();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.io.b
        public int u(int i7) {
            f fVar = this.f11382f;
            return fVar.f11374e * com.google.common.math.d.g(i7, fVar.f11375f, RoundingMode.CEILING);
        }

        @Override // com.google.common.io.b
        public b v() {
            return this.f11383g == null ? this : D(this.f11382f, null);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.io.b
        public CharSequence y(CharSequence charSequence) {
            Preconditions.checkNotNull(charSequence);
            Character ch = this.f11383g;
            if (ch == null) {
                return charSequence;
            }
            char charValue = ch.charValue();
            int length = charSequence.length() - 1;
            while (length >= 0 && charSequence.charAt(length) == charValue) {
                length--;
            }
            return charSequence.subSequence(0, length + 1);
        }

        @Override // com.google.common.io.b
        public b z() {
            b bVar = this.f11384h;
            if (bVar == null) {
                f j7 = this.f11382f.j();
                bVar = j7 == this.f11382f ? this : D(j7, this.f11383g);
                this.f11384h = bVar;
            }
            return bVar;
        }

        k(String str, String str2, Character ch) {
            this(new f(str, str2.toCharArray()), ch);
        }
    }

    b() {
    }

    public static b a() {
        return f11357e;
    }

    public static b b() {
        return f11355c;
    }

    public static b c() {
        return f11356d;
    }

    public static b d() {
        return f11353a;
    }

    public static b e() {
        return f11354b;
    }

    private static byte[] q(byte[] bArr, int i7) {
        if (i7 == bArr.length) {
            return bArr;
        }
        byte[] bArr2 = new byte[i7];
        System.arraycopy(bArr, 0, bArr2, 0, i7);
        return bArr2;
    }

    @m0.c
    static Reader r(Reader reader, String str) {
        Preconditions.checkNotNull(reader);
        Preconditions.checkNotNull(str);
        return new c(reader, str);
    }

    static Appendable w(Appendable appendable, String str, int i7) {
        Preconditions.checkNotNull(appendable);
        Preconditions.checkNotNull(str);
        Preconditions.checkArgument(i7 > 0);
        return new d(i7, appendable, str);
    }

    @m0.c
    static Writer x(Writer writer, String str, int i7) {
        return new e(w(writer, str, i7), writer);
    }

    public abstract b A(char c7);

    public abstract b B(String str, int i7);

    public abstract boolean f(CharSequence charSequence);

    public final byte[] g(CharSequence charSequence) {
        try {
            return h(charSequence);
        } catch (i e7) {
            throw new IllegalArgumentException(e7);
        }
    }

    /* access modifiers changed from: package-private */
    public final byte[] h(CharSequence charSequence) throws i {
        CharSequence y7 = y(charSequence);
        byte[] bArr = new byte[t(y7.length())];
        return q(bArr, i(bArr, y7));
    }

    /* access modifiers changed from: package-private */
    public abstract int i(byte[] bArr, CharSequence charSequence) throws i;

    @m0.c
    public final g j(l lVar) {
        Preconditions.checkNotNull(lVar);
        return new C0157b(lVar);
    }

    @m0.c
    public abstract InputStream k(Reader reader);

    public String l(byte[] bArr) {
        return m(bArr, 0, bArr.length);
    }

    public final String m(byte[] bArr, int i7, int i8) {
        Preconditions.checkPositionIndexes(i7, i7 + i8, bArr.length);
        StringBuilder sb = new StringBuilder(u(i8));
        try {
            n(sb, bArr, i7, i8);
            return sb.toString();
        } catch (IOException e7) {
            throw new AssertionError(e7);
        }
    }

    /* access modifiers changed from: package-private */
    public abstract void n(Appendable appendable, byte[] bArr, int i7, int i8) throws IOException;

    @m0.c
    public final f o(j jVar) {
        Preconditions.checkNotNull(jVar);
        return new a(jVar);
    }

    @m0.c
    public abstract OutputStream p(Writer writer);

    public abstract b s();

    /* access modifiers changed from: package-private */
    public abstract int t(int i7);

    /* access modifiers changed from: package-private */
    public abstract int u(int i7);

    public abstract b v();

    /* access modifiers changed from: package-private */
    public CharSequence y(CharSequence charSequence) {
        return (CharSequence) Preconditions.checkNotNull(charSequence);
    }

    public abstract b z();
}
