package com.google.common.io;

import com.google.common.base.Optional;
import com.google.common.base.Preconditions;
import com.google.common.base.Predicate;
import com.google.common.collect.t5;
import com.google.common.graph.p0;
import com.google.common.graph.q0;
import com.google.common.io.g;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.nio.channels.Channels;
import java.nio.channels.SeekableByteChannel;
import java.nio.charset.Charset;
import java.nio.file.DirectoryIteratorException;
import java.nio.file.DirectoryStream;
import java.nio.file.FileAlreadyExistsException;
import java.nio.file.FileSystemException;
import java.nio.file.Files;
import java.nio.file.LinkOption;
import java.nio.file.NoSuchFileException;
import java.nio.file.OpenOption;
import java.nio.file.Path;
import java.nio.file.SecureDirectoryStream;
import java.nio.file.attribute.BasicFileAttributeView;
import java.nio.file.attribute.BasicFileAttributes;
import java.nio.file.attribute.FileAttribute;
import java.nio.file.attribute.FileTime;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collection;
import java.util.stream.Stream;

@m0.a
@m0.c
public final class b0 {

    /* renamed from: a  reason: collision with root package name */
    private static final p0<Path> f11396a = new a();

    /* access modifiers changed from: package-private */
    public static class a implements p0<Path> {
        a() {
        }

        /* renamed from: Q */
        public Iterable<Path> b(Path path) {
            return b0.r(path);
        }
    }

    static class b implements Predicate<Path> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ LinkOption[] f11397f;

        b(LinkOption[] linkOptionArr) {
            this.f11397f = linkOptionArr;
        }

        /* renamed from: a */
        public boolean apply(Path path) {
            return Files.isDirectory(path, this.f11397f);
        }

        public String toString() {
            return "MoreFiles.isDirectory(" + Arrays.toString(this.f11397f) + ")";
        }
    }

    static class c implements Predicate<Path> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ LinkOption[] f11398f;

        c(LinkOption[] linkOptionArr) {
            this.f11398f = linkOptionArr;
        }

        /* renamed from: a */
        public boolean apply(Path path) {
            return Files.isRegularFile(path, this.f11398f);
        }

        public String toString() {
            return "MoreFiles.isRegularFile(" + Arrays.toString(this.f11398f) + ")";
        }
    }

    /* access modifiers changed from: private */
    public static final class d extends f {

        /* renamed from: a  reason: collision with root package name */
        private final Path f11399a;

        /* renamed from: b  reason: collision with root package name */
        private final OpenOption[] f11400b;

        private d(Path path, OpenOption... openOptionArr) {
            this.f11399a = (Path) Preconditions.checkNotNull(path);
            this.f11400b = (OpenOption[]) openOptionArr.clone();
        }

        @Override // com.google.common.io.f
        public OutputStream c() throws IOException {
            return Files.newOutputStream(this.f11399a, this.f11400b);
        }

        public String toString() {
            return "MoreFiles.asByteSink(" + this.f11399a + ", " + Arrays.toString(this.f11400b) + ")";
        }

        /* synthetic */ d(Path path, OpenOption[] openOptionArr, a aVar) {
            this(path, openOptionArr);
        }
    }

    /* access modifiers changed from: private */
    public static final class e extends g {

        /* renamed from: d  reason: collision with root package name */
        private static final LinkOption[] f11401d = new LinkOption[0];

        /* renamed from: a  reason: collision with root package name */
        private final Path f11402a;

        /* renamed from: b  reason: collision with root package name */
        private final OpenOption[] f11403b;

        /* renamed from: c  reason: collision with root package name */
        private final boolean f11404c;

        class a extends g.a {
            a(Charset charset) {
                super(charset);
            }

            @Override // com.google.common.io.l
            public Stream<String> o() throws IOException {
                return Files.lines(e.this.f11402a, this.f11418a);
            }
        }

        private e(Path path, OpenOption... openOptionArr) {
            this.f11402a = (Path) Preconditions.checkNotNull(path);
            OpenOption[] openOptionArr2 = (OpenOption[]) openOptionArr.clone();
            this.f11403b = openOptionArr2;
            this.f11404c = u(openOptionArr2);
        }

        private static boolean u(OpenOption[] openOptionArr) {
            for (OpenOption openOption : openOptionArr) {
                if (openOption == LinkOption.NOFOLLOW_LINKS) {
                    return false;
                }
            }
            return true;
        }

        private BasicFileAttributes v() throws IOException {
            return Files.readAttributes(this.f11402a, BasicFileAttributes.class, this.f11404c ? f11401d : new LinkOption[]{LinkOption.NOFOLLOW_LINKS});
        }

        @Override // com.google.common.io.g
        public l a(Charset charset) {
            return this.f11403b.length == 0 ? new a(charset) : super.a(charset);
        }

        @Override // com.google.common.io.g
        public InputStream m() throws IOException {
            return Files.newInputStream(this.f11402a, this.f11403b);
        }

        /* JADX WARNING: Code restructure failed: missing block: B:11:?, code lost:
            r3.close();
         */
        /* JADX WARNING: Code restructure failed: missing block: B:12:0x0021, code lost:
            r3 = move-exception;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:13:0x0022, code lost:
            r0.addSuppressed(r3);
         */
        /* JADX WARNING: Code restructure failed: missing block: B:14:0x0025, code lost:
            throw r1;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:8:0x001a, code lost:
            r1 = move-exception;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:9:0x001b, code lost:
            if (r3 != null) goto L_0x001d;
         */
        @Override // com.google.common.io.g
        public byte[] o() throws IOException {
            SeekableByteChannel newByteChannel = Files.newByteChannel(this.f11402a, this.f11403b);
            byte[] v7 = h.v(Channels.newInputStream(newByteChannel), newByteChannel.size());
            newByteChannel.close();
            return v7;
        }

        @Override // com.google.common.io.g
        public long p() throws IOException {
            BasicFileAttributes v7 = v();
            if (v7.isDirectory()) {
                throw new IOException("can't read: is a directory");
            } else if (!v7.isSymbolicLink()) {
                return v7.size();
            } else {
                throw new IOException("can't read: is a symbolic link");
            }
        }

        @Override // com.google.common.io.g
        public Optional<Long> q() {
            try {
                BasicFileAttributes v7 = v();
                return (v7.isDirectory() || v7.isSymbolicLink()) ? Optional.absent() : Optional.of(Long.valueOf(v7.size()));
            } catch (IOException unused) {
                return Optional.absent();
            }
        }

        public String toString() {
            return "MoreFiles.asByteSource(" + this.f11402a + ", " + Arrays.toString(this.f11403b) + ")";
        }

        /* synthetic */ e(Path path, OpenOption[] openOptionArr, a aVar) {
            this(path, openOptionArr);
        }
    }

    private b0() {
    }

    public static void A(Path path) throws IOException {
        Preconditions.checkNotNull(path);
        try {
            Files.setLastModifiedTime(path, FileTime.fromMillis(System.currentTimeMillis()));
        } catch (NoSuchFileException unused) {
            try {
                Files.createFile(path, new FileAttribute[0]);
            } catch (FileAlreadyExistsException unused2) {
            }
        }
    }

    private static Collection<IOException> b(Collection<IOException> collection, IOException iOException) {
        if (collection == null) {
            collection = new ArrayList<>();
        }
        collection.add(iOException);
        return collection;
    }

    public static f c(Path path, OpenOption... openOptionArr) {
        return new d(path, openOptionArr, null);
    }

    public static g d(Path path, OpenOption... openOptionArr) {
        return new e(path, openOptionArr, null);
    }

    public static j e(Path path, Charset charset, OpenOption... openOptionArr) {
        return c(path, openOptionArr).a(charset);
    }

    public static l f(Path path, Charset charset, OpenOption... openOptionArr) {
        return d(path, openOptionArr).a(charset);
    }

    private static void g(Path path, g0[] g0VarArr) throws v {
        if (!Arrays.asList(g0VarArr).contains(g0.ALLOW_INSECURE)) {
            throw new v(path.toString());
        }
    }

    private static Collection<IOException> h(Collection<IOException> collection, Collection<IOException> collection2) {
        if (collection == null) {
            return collection2;
        }
        if (collection2 != null) {
            collection.addAll(collection2);
        }
        return collection;
    }

    public static void i(Path path, FileAttribute<?>... fileAttributeArr) throws IOException {
        Path parent = path.toAbsolutePath().normalize().getParent();
        if (parent != null && !Files.isDirectory(parent, new LinkOption[0])) {
            Files.createDirectories(parent, fileAttributeArr);
            if (!Files.isDirectory(parent, new LinkOption[0])) {
                throw new IOException("Unable to create parent directories of " + path);
            }
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:14:0x0021, code lost:
        r2 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:15:0x0022, code lost:
        if (r1 != null) goto L_0x0024;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:17:?, code lost:
        r1.close();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:18:0x0028, code lost:
        r1 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:19:0x0029, code lost:
        r4.addSuppressed(r1);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:20:0x002c, code lost:
        throw r2;
     */
    public static void j(Path path, g0... g0VarArr) throws IOException {
        Collection<IOException> collection;
        Collection<IOException> collection2 = null;
        try {
            DirectoryStream<Path> newDirectoryStream = Files.newDirectoryStream(path);
            if (newDirectoryStream instanceof SecureDirectoryStream) {
                collection = l((SecureDirectoryStream) newDirectoryStream);
            } else {
                g(path, g0VarArr);
                collection = k(newDirectoryStream);
            }
            collection2 = collection;
            if (newDirectoryStream != null) {
                newDirectoryStream.close();
            }
        } catch (IOException e7) {
            if (0 != 0) {
                collection2.add(e7);
            } else {
                throw e7;
            }
        }
        if (collection2 != null) {
            z(path, collection2);
        }
    }

    private static Collection<IOException> k(DirectoryStream<Path> directoryStream) {
        Collection<IOException> collection = null;
        try {
            for (Path path : directoryStream) {
                collection = h(collection, n(path));
            }
            return collection;
        } catch (DirectoryIteratorException e7) {
            return b(null, e7.getCause());
        }
    }

    private static Collection<IOException> l(SecureDirectoryStream<Path> secureDirectoryStream) {
        Collection<IOException> collection = null;
        try {
            for (Path path : secureDirectoryStream) {
                collection = h(collection, o(secureDirectoryStream, path.getFileName()));
            }
            return collection;
        } catch (DirectoryIteratorException e7) {
            return b(null, e7.getCause());
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:17:0x002e, code lost:
        r2 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:18:0x002f, code lost:
        if (r0 != null) goto L_0x0031;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:20:?, code lost:
        r0.close();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:21:0x0035, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:22:0x0036, code lost:
        r5.addSuppressed(r0);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:23:0x0039, code lost:
        throw r2;
     */
    public static void m(Path path, g0... g0VarArr) throws IOException {
        boolean z7;
        Path u7 = u(path);
        Collection<IOException> collection = null;
        if (u7 != null) {
            try {
                DirectoryStream<Path> newDirectoryStream = Files.newDirectoryStream(u7);
                if (newDirectoryStream instanceof SecureDirectoryStream) {
                    collection = o((SecureDirectoryStream) newDirectoryStream, path.getFileName());
                    z7 = true;
                } else {
                    z7 = false;
                }
                if (newDirectoryStream != null) {
                    newDirectoryStream.close();
                }
                if (!z7) {
                    g(path, g0VarArr);
                    collection = n(path);
                }
            } catch (IOException e7) {
                if (0 != 0) {
                    collection.add(e7);
                } else {
                    throw e7;
                }
            }
            if (collection != null) {
                z(path, collection);
                return;
            }
            return;
        }
        throw new FileSystemException(path.toString(), null, "can't delete recursively");
    }

    /* JADX WARNING: Code restructure failed: missing block: B:12:0x001f, code lost:
        r2 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:13:0x0020, code lost:
        if (r0 != null) goto L_0x0022;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:15:?, code lost:
        r0.close();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:16:0x0026, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:17:0x0027, code lost:
        r4.addSuppressed(r0);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:18:0x002a, code lost:
        throw r2;
     */
    private static Collection<IOException> n(Path path) {
        Collection<IOException> collection = null;
        try {
            if (Files.isDirectory(path, LinkOption.NOFOLLOW_LINKS)) {
                DirectoryStream<Path> newDirectoryStream = Files.newDirectoryStream(path);
                collection = k(newDirectoryStream);
                if (newDirectoryStream != null) {
                    newDirectoryStream.close();
                }
            }
            if (collection == null) {
                Files.delete(path);
            }
            return collection;
        } catch (IOException e7) {
            return b(null, e7);
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:14:0x002a, code lost:
        r6 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:15:0x002b, code lost:
        if (r0 != null) goto L_0x002d;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:17:?, code lost:
        r0.close();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:18:0x0031, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:19:0x0032, code lost:
        r5.addSuppressed(r0);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:20:0x0035, code lost:
        throw r6;
     */
    private static Collection<IOException> o(SecureDirectoryStream<Path> secureDirectoryStream, Path path) {
        Collection<IOException> collection = null;
        try {
            if (w(secureDirectoryStream, path, LinkOption.NOFOLLOW_LINKS)) {
                SecureDirectoryStream<Path> newDirectoryStream = secureDirectoryStream.newDirectoryStream(path, LinkOption.NOFOLLOW_LINKS);
                collection = l(newDirectoryStream);
                if (newDirectoryStream != null) {
                    newDirectoryStream.close();
                }
                if (collection == null) {
                    secureDirectoryStream.deleteDirectory(path);
                }
            } else {
                secureDirectoryStream.deleteFile(path);
            }
            return collection;
        } catch (IOException e7) {
            return b(null, e7);
        }
    }

    public static boolean p(Path path, Path path2) throws IOException {
        Preconditions.checkNotNull(path);
        Preconditions.checkNotNull(path2);
        if (Files.isSameFile(path, path2)) {
            return true;
        }
        g d7 = d(path, new OpenOption[0]);
        g d8 = d(path2, new OpenOption[0]);
        long longValue = d7.q().or((Long) 0L).longValue();
        long longValue2 = d8.q().or((Long) 0L).longValue();
        if (longValue == 0 || longValue2 == 0 || longValue == longValue2) {
            return d7.e(d8);
        }
        return false;
    }

    public static q0<Path> q() {
        return q0.h(f11396a);
    }

    /* access modifiers changed from: private */
    public static Iterable<Path> r(Path path) {
        if (!Files.isDirectory(path, LinkOption.NOFOLLOW_LINKS)) {
            return t5.R();
        }
        try {
            return y(path);
        } catch (IOException e7) {
            throw new DirectoryIteratorException(e7);
        }
    }

    public static String s(Path path) {
        String path2;
        int lastIndexOf;
        Path fileName = path.getFileName();
        return (fileName == null || (lastIndexOf = (path2 = fileName.toString()).lastIndexOf(46)) == -1) ? "" : path2.substring(lastIndexOf + 1);
    }

    public static String t(Path path) {
        Path fileName = path.getFileName();
        if (fileName == null) {
            return "";
        }
        String path2 = fileName.toString();
        int lastIndexOf = path2.lastIndexOf(46);
        return lastIndexOf == -1 ? path2 : path2.substring(0, lastIndexOf);
    }

    private static Path u(Path path) {
        Path parent = path.getParent();
        if (parent != null) {
            return parent;
        }
        if (path.getNameCount() == 0) {
            return null;
        }
        return path.getFileSystem().getPath(".", new String[0]);
    }

    public static Predicate<Path> v(LinkOption... linkOptionArr) {
        return new b((LinkOption[]) linkOptionArr.clone());
    }

    private static boolean w(SecureDirectoryStream<Path> secureDirectoryStream, Path path, LinkOption... linkOptionArr) throws IOException {
        return ((BasicFileAttributeView) secureDirectoryStream.getFileAttributeView(path, BasicFileAttributeView.class, linkOptionArr)).readAttributes().isDirectory();
    }

    public static Predicate<Path> x(LinkOption... linkOptionArr) {
        return new c((LinkOption[]) linkOptionArr.clone());
    }

    /* JADX WARNING: Code restructure failed: missing block: B:10:0x0010, code lost:
        r1 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:11:0x0011, code lost:
        if (r2 != null) goto L_0x0013;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:13:?, code lost:
        r2.close();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:14:0x0017, code lost:
        r2 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:15:0x0018, code lost:
        r0.addSuppressed(r2);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:16:0x001b, code lost:
        throw r1;
     */
    public static t5<Path> y(Path path) throws IOException {
        try {
            DirectoryStream<Path> newDirectoryStream = Files.newDirectoryStream(path);
            t5<Path> x7 = t5.x(newDirectoryStream);
            if (newDirectoryStream != null) {
                newDirectoryStream.close();
            }
            return x7;
        } catch (DirectoryIteratorException e7) {
            throw e7.getCause();
        }
    }

    private static void z(Path path, Collection<IOException> collection) throws FileSystemException {
        FileSystemException fileSystemException = new FileSystemException(path.toString(), null, "failed to delete one or more files; see suppressed exceptions for details");
        for (IOException iOException : collection) {
            fileSystemException.addSuppressed(iOException);
        }
        throw fileSystemException;
    }
}
