package com.google.common.io;

import com.google.common.base.Preconditions;
import com.google.common.primitives.r;
import java.io.IOException;
import java.io.InputStream;
import java.io.Reader;
import java.nio.Buffer;
import java.nio.ByteBuffer;
import java.nio.CharBuffer;
import java.nio.charset.Charset;
import java.nio.charset.CharsetEncoder;
import java.nio.charset.CoderResult;
import java.nio.charset.CodingErrorAction;
import java.util.Arrays;
import m0.c;

@c
final class f0 extends InputStream {
    private boolean C1;
    private boolean C2;
    private boolean U5;

    /* renamed from: f  reason: collision with root package name */
    private final Reader f11413f;

    /* renamed from: g  reason: collision with root package name */
    private final CharsetEncoder f11414g;

    /* renamed from: p  reason: collision with root package name */
    private final byte[] f11415p;

    /* renamed from: x  reason: collision with root package name */
    private CharBuffer f11416x;

    /* renamed from: y  reason: collision with root package name */
    private ByteBuffer f11417y;

    f0(Reader reader, Charset charset, int i7) {
        this(reader, charset.newEncoder().onMalformedInput(CodingErrorAction.REPLACE).onUnmappableCharacter(CodingErrorAction.REPLACE), i7);
    }

    private static int a(Buffer buffer) {
        return buffer.capacity() - buffer.limit();
    }

    private int b(byte[] bArr, int i7, int i8) {
        int min = Math.min(i8, this.f11417y.remaining());
        this.f11417y.get(bArr, i7, min);
        return min;
    }

    private static CharBuffer c(CharBuffer charBuffer) {
        CharBuffer wrap = CharBuffer.wrap(Arrays.copyOf(charBuffer.array(), charBuffer.capacity() * 2));
        wrap.position(charBuffer.position());
        wrap.limit(charBuffer.limit());
        return wrap;
    }

    private void d() throws IOException {
        if (a(this.f11416x) == 0) {
            if (this.f11416x.position() > 0) {
                this.f11416x.compact().flip();
            } else {
                this.f11416x = c(this.f11416x);
            }
        }
        int limit = this.f11416x.limit();
        int read = this.f11413f.read(this.f11416x.array(), limit, a(this.f11416x));
        if (read == -1) {
            this.C1 = true;
        } else {
            this.f11416x.limit(limit + read);
        }
    }

    private void e(boolean z7) {
        this.f11417y.flip();
        if (!z7 || this.f11417y.remaining() != 0) {
            this.C2 = true;
        } else {
            this.f11417y = ByteBuffer.allocate(this.f11417y.capacity() * 2);
        }
    }

    @Override // java.io.Closeable, java.lang.AutoCloseable, java.io.InputStream
    public void close() throws IOException {
        this.f11413f.close();
    }

    @Override // java.io.InputStream
    public int read() throws IOException {
        if (read(this.f11415p) == 1) {
            return r.p(this.f11415p[0]);
        }
        return -1;
    }

    f0(Reader reader, CharsetEncoder charsetEncoder, int i7) {
        boolean z7 = true;
        this.f11415p = new byte[1];
        this.f11413f = (Reader) Preconditions.checkNotNull(reader);
        this.f11414g = (CharsetEncoder) Preconditions.checkNotNull(charsetEncoder);
        Preconditions.checkArgument(i7 <= 0 ? false : z7, "bufferSize must be positive: %s", i7);
        charsetEncoder.reset();
        CharBuffer allocate = CharBuffer.allocate(i7);
        this.f11416x = allocate;
        allocate.flip();
        this.f11417y = ByteBuffer.allocate(i7);
    }

    /* JADX WARNING: Removed duplicated region for block: B:12:0x002c A[ORIG_RETURN, RETURN, SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:48:? A[RETURN, SYNTHETIC] */
    @Override // java.io.InputStream
    public int read(byte[] bArr, int i7, int i8) throws IOException {
        CoderResult coderResult;
        Preconditions.checkPositionIndexes(i7, i7 + i8, bArr.length);
        if (i8 == 0) {
            return 0;
        }
        boolean z7 = this.C1;
        int i9 = 0;
        while (true) {
            if (this.C2) {
                i9 += b(bArr, i7 + i9, i8 - i9);
                if (i9 != i8 && !this.U5) {
                    this.C2 = false;
                    this.f11417y.clear();
                } else if (i9 <= 0) {
                    return i9;
                } else {
                    return -1;
                }
            }
            while (true) {
                if (this.U5) {
                    coderResult = CoderResult.UNDERFLOW;
                } else {
                    CharsetEncoder charsetEncoder = this.f11414g;
                    coderResult = z7 ? charsetEncoder.flush(this.f11417y) : charsetEncoder.encode(this.f11416x, this.f11417y, this.C1);
                }
                if (coderResult.isOverflow()) {
                    e(true);
                    break;
                } else if (coderResult.isUnderflow()) {
                    if (z7) {
                        this.U5 = true;
                        e(false);
                        break;
                    } else if (this.C1) {
                        z7 = true;
                    } else {
                        d();
                    }
                } else if (coderResult.isError()) {
                    coderResult.throwException();
                    return 0;
                }
            }
        }
        if (i9 <= 0) {
        }
    }
}
