package com.google.common.io;

import android.support.v4.media.session.PlaybackStateCompat;
import com.google.common.base.Preconditions;
import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.DataInput;
import java.io.DataInputStream;
import java.io.DataOutput;
import java.io.DataOutputStream;
import java.io.EOFException;
import java.io.FilterInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.nio.ByteBuffer;
import java.nio.channels.FileChannel;
import java.nio.channels.ReadableByteChannel;
import java.nio.channels.WritableByteChannel;
import java.util.ArrayDeque;
import java.util.Arrays;
import java.util.Deque;

@m0.c
public final class h {

    /* renamed from: a  reason: collision with root package name */
    private static final int f11430a = 8192;

    /* renamed from: b  reason: collision with root package name */
    private static final int f11431b = 524288;

    /* renamed from: c  reason: collision with root package name */
    private static final int f11432c = 2147483639;

    /* renamed from: d  reason: collision with root package name */
    private static final int f11433d = 20;

    /* renamed from: e  reason: collision with root package name */
    private static final OutputStream f11434e = new a();

    static class a extends OutputStream {
        a() {
        }

        public String toString() {
            return "ByteStreams.nullOutputStream()";
        }

        @Override // java.io.OutputStream
        public void write(int i7) {
        }

        @Override // java.io.OutputStream
        public void write(byte[] bArr) {
            Preconditions.checkNotNull(bArr);
        }

        @Override // java.io.OutputStream
        public void write(byte[] bArr, int i7, int i8) {
            Preconditions.checkNotNull(bArr);
        }
    }

    /* access modifiers changed from: private */
    public static class b implements c {

        /* renamed from: f  reason: collision with root package name */
        final DataInput f11435f;

        b(ByteArrayInputStream byteArrayInputStream) {
            this.f11435f = new DataInputStream(byteArrayInputStream);
        }

        @Override // java.io.DataInput, com.google.common.io.c
        public boolean readBoolean() {
            try {
                return this.f11435f.readBoolean();
            } catch (IOException e7) {
                throw new IllegalStateException(e7);
            }
        }

        @Override // java.io.DataInput, com.google.common.io.c
        public byte readByte() {
            try {
                return this.f11435f.readByte();
            } catch (EOFException e7) {
                throw new IllegalStateException(e7);
            } catch (IOException e8) {
                throw new AssertionError(e8);
            }
        }

        @Override // java.io.DataInput, com.google.common.io.c
        public char readChar() {
            try {
                return this.f11435f.readChar();
            } catch (IOException e7) {
                throw new IllegalStateException(e7);
            }
        }

        @Override // java.io.DataInput, com.google.common.io.c
        public double readDouble() {
            try {
                return this.f11435f.readDouble();
            } catch (IOException e7) {
                throw new IllegalStateException(e7);
            }
        }

        @Override // java.io.DataInput, com.google.common.io.c
        public float readFloat() {
            try {
                return this.f11435f.readFloat();
            } catch (IOException e7) {
                throw new IllegalStateException(e7);
            }
        }

        @Override // java.io.DataInput, com.google.common.io.c
        public void readFully(byte[] bArr) {
            try {
                this.f11435f.readFully(bArr);
            } catch (IOException e7) {
                throw new IllegalStateException(e7);
            }
        }

        @Override // java.io.DataInput, com.google.common.io.c
        public int readInt() {
            try {
                return this.f11435f.readInt();
            } catch (IOException e7) {
                throw new IllegalStateException(e7);
            }
        }

        @Override // java.io.DataInput, com.google.common.io.c
        public String readLine() {
            try {
                return this.f11435f.readLine();
            } catch (IOException e7) {
                throw new IllegalStateException(e7);
            }
        }

        @Override // java.io.DataInput, com.google.common.io.c
        public long readLong() {
            try {
                return this.f11435f.readLong();
            } catch (IOException e7) {
                throw new IllegalStateException(e7);
            }
        }

        @Override // java.io.DataInput, com.google.common.io.c
        public short readShort() {
            try {
                return this.f11435f.readShort();
            } catch (IOException e7) {
                throw new IllegalStateException(e7);
            }
        }

        @Override // java.io.DataInput, com.google.common.io.c
        public String readUTF() {
            try {
                return this.f11435f.readUTF();
            } catch (IOException e7) {
                throw new IllegalStateException(e7);
            }
        }

        @Override // java.io.DataInput, com.google.common.io.c
        public int readUnsignedByte() {
            try {
                return this.f11435f.readUnsignedByte();
            } catch (IOException e7) {
                throw new IllegalStateException(e7);
            }
        }

        @Override // java.io.DataInput, com.google.common.io.c
        public int readUnsignedShort() {
            try {
                return this.f11435f.readUnsignedShort();
            } catch (IOException e7) {
                throw new IllegalStateException(e7);
            }
        }

        @Override // java.io.DataInput, com.google.common.io.c
        public int skipBytes(int i7) {
            try {
                return this.f11435f.skipBytes(i7);
            } catch (IOException e7) {
                throw new IllegalStateException(e7);
            }
        }

        @Override // java.io.DataInput, com.google.common.io.c
        public void readFully(byte[] bArr, int i7, int i8) {
            try {
                this.f11435f.readFully(bArr, i7, i8);
            } catch (IOException e7) {
                throw new IllegalStateException(e7);
            }
        }
    }

    /* access modifiers changed from: private */
    public static class c implements d {

        /* renamed from: f  reason: collision with root package name */
        final DataOutput f11436f;

        /* renamed from: g  reason: collision with root package name */
        final ByteArrayOutputStream f11437g;

        c(ByteArrayOutputStream byteArrayOutputStream) {
            this.f11437g = byteArrayOutputStream;
            this.f11436f = new DataOutputStream(byteArrayOutputStream);
        }

        @Override // com.google.common.io.d
        public byte[] toByteArray() {
            return this.f11437g.toByteArray();
        }

        @Override // java.io.DataOutput, com.google.common.io.d
        public void write(int i7) {
            try {
                this.f11436f.write(i7);
            } catch (IOException e7) {
                throw new AssertionError(e7);
            }
        }

        @Override // java.io.DataOutput, com.google.common.io.d
        public void writeBoolean(boolean z7) {
            try {
                this.f11436f.writeBoolean(z7);
            } catch (IOException e7) {
                throw new AssertionError(e7);
            }
        }

        @Override // java.io.DataOutput, com.google.common.io.d
        public void writeByte(int i7) {
            try {
                this.f11436f.writeByte(i7);
            } catch (IOException e7) {
                throw new AssertionError(e7);
            }
        }

        @Override // java.io.DataOutput, com.google.common.io.d
        public void writeBytes(String str) {
            try {
                this.f11436f.writeBytes(str);
            } catch (IOException e7) {
                throw new AssertionError(e7);
            }
        }

        @Override // java.io.DataOutput, com.google.common.io.d
        public void writeChar(int i7) {
            try {
                this.f11436f.writeChar(i7);
            } catch (IOException e7) {
                throw new AssertionError(e7);
            }
        }

        @Override // java.io.DataOutput, com.google.common.io.d
        public void writeChars(String str) {
            try {
                this.f11436f.writeChars(str);
            } catch (IOException e7) {
                throw new AssertionError(e7);
            }
        }

        @Override // java.io.DataOutput, com.google.common.io.d
        public void writeDouble(double d7) {
            try {
                this.f11436f.writeDouble(d7);
            } catch (IOException e7) {
                throw new AssertionError(e7);
            }
        }

        @Override // java.io.DataOutput, com.google.common.io.d
        public void writeFloat(float f7) {
            try {
                this.f11436f.writeFloat(f7);
            } catch (IOException e7) {
                throw new AssertionError(e7);
            }
        }

        @Override // java.io.DataOutput, com.google.common.io.d
        public void writeInt(int i7) {
            try {
                this.f11436f.writeInt(i7);
            } catch (IOException e7) {
                throw new AssertionError(e7);
            }
        }

        @Override // java.io.DataOutput, com.google.common.io.d
        public void writeLong(long j7) {
            try {
                this.f11436f.writeLong(j7);
            } catch (IOException e7) {
                throw new AssertionError(e7);
            }
        }

        @Override // java.io.DataOutput, com.google.common.io.d
        public void writeShort(int i7) {
            try {
                this.f11436f.writeShort(i7);
            } catch (IOException e7) {
                throw new AssertionError(e7);
            }
        }

        @Override // java.io.DataOutput, com.google.common.io.d
        public void writeUTF(String str) {
            try {
                this.f11436f.writeUTF(str);
            } catch (IOException e7) {
                throw new AssertionError(e7);
            }
        }

        @Override // java.io.DataOutput, com.google.common.io.d
        public void write(byte[] bArr) {
            try {
                this.f11436f.write(bArr);
            } catch (IOException e7) {
                throw new AssertionError(e7);
            }
        }

        @Override // java.io.DataOutput, com.google.common.io.d
        public void write(byte[] bArr, int i7, int i8) {
            try {
                this.f11436f.write(bArr, i7, i8);
            } catch (IOException e7) {
                throw new AssertionError(e7);
            }
        }
    }

    /* access modifiers changed from: private */
    public static final class d extends FilterInputStream {

        /* renamed from: f  reason: collision with root package name */
        private long f11438f;

        /* renamed from: g  reason: collision with root package name */
        private long f11439g = -1;

        d(InputStream inputStream, long j7) {
            super(inputStream);
            Preconditions.checkNotNull(inputStream);
            Preconditions.checkArgument(j7 >= 0, "limit must be non-negative");
            this.f11438f = j7;
        }

        @Override // java.io.FilterInputStream, java.io.InputStream
        public int available() throws IOException {
            return (int) Math.min((long) ((FilterInputStream) this).in.available(), this.f11438f);
        }

        public synchronized void mark(int i7) {
            ((FilterInputStream) this).in.mark(i7);
            this.f11439g = this.f11438f;
        }

        @Override // java.io.FilterInputStream, java.io.InputStream
        public int read() throws IOException {
            if (this.f11438f == 0) {
                return -1;
            }
            int read = ((FilterInputStream) this).in.read();
            if (read != -1) {
                this.f11438f--;
            }
            return read;
        }

        @Override // java.io.FilterInputStream, java.io.InputStream
        public synchronized void reset() throws IOException {
            if (!((FilterInputStream) this).in.markSupported()) {
                throw new IOException("Mark not supported");
            } else if (this.f11439g != -1) {
                ((FilterInputStream) this).in.reset();
                this.f11438f = this.f11439g;
            } else {
                throw new IOException("Mark not set");
            }
        }

        @Override // java.io.FilterInputStream, java.io.InputStream
        public long skip(long j7) throws IOException {
            long skip = ((FilterInputStream) this).in.skip(Math.min(j7, this.f11438f));
            this.f11438f -= skip;
            return skip;
        }

        @Override // java.io.FilterInputStream, java.io.InputStream
        public int read(byte[] bArr, int i7, int i8) throws IOException {
            long j7 = this.f11438f;
            if (j7 == 0) {
                return -1;
            }
            int read = ((FilterInputStream) this).in.read(bArr, i7, (int) Math.min((long) i8, j7));
            if (read != -1) {
                this.f11438f -= (long) read;
            }
            return read;
        }
    }

    private h() {
    }

    private static byte[] a(Deque<byte[]> deque, int i7) {
        byte[] bArr = new byte[i7];
        int i8 = i7;
        while (i8 > 0) {
            byte[] removeFirst = deque.removeFirst();
            int min = Math.min(i8, removeFirst.length);
            System.arraycopy(removeFirst, 0, bArr, i7 - i8, min);
            i8 -= min;
        }
        return bArr;
    }

    @p0.a
    public static long b(InputStream inputStream, OutputStream outputStream) throws IOException {
        Preconditions.checkNotNull(inputStream);
        Preconditions.checkNotNull(outputStream);
        byte[] d7 = d();
        long j7 = 0;
        while (true) {
            int read = inputStream.read(d7);
            if (read == -1) {
                return j7;
            }
            outputStream.write(d7, 0, read);
            j7 += (long) read;
        }
    }

    @p0.a
    public static long c(ReadableByteChannel readableByteChannel, WritableByteChannel writableByteChannel) throws IOException {
        Preconditions.checkNotNull(readableByteChannel);
        Preconditions.checkNotNull(writableByteChannel);
        long j7 = 0;
        if (readableByteChannel instanceof FileChannel) {
            FileChannel fileChannel = (FileChannel) readableByteChannel;
            long position = fileChannel.position();
            long j8 = position;
            while (true) {
                long transferTo = fileChannel.transferTo(j8, PlaybackStateCompat.f390s6, writableByteChannel);
                j8 += transferTo;
                fileChannel.position(j8);
                if (transferTo <= 0 && j8 >= fileChannel.size()) {
                    return j8 - position;
                }
            }
        } else {
            ByteBuffer wrap = ByteBuffer.wrap(d());
            while (readableByteChannel.read(wrap) != -1) {
                wrap.flip();
                while (wrap.hasRemaining()) {
                    j7 += (long) writableByteChannel.write(wrap);
                }
                wrap.clear();
            }
            return j7;
        }
    }

    static byte[] d() {
        return new byte[8192];
    }

    @m0.a
    @p0.a
    public static long e(InputStream inputStream) throws IOException {
        byte[] d7 = d();
        long j7 = 0;
        while (true) {
            long read = (long) inputStream.read(d7);
            if (read == -1) {
                return j7;
            }
            j7 += read;
        }
    }

    @m0.a
    public static InputStream f(InputStream inputStream, long j7) {
        return new d(inputStream, j7);
    }

    @m0.a
    public static c g(ByteArrayInputStream byteArrayInputStream) {
        return new b((ByteArrayInputStream) Preconditions.checkNotNull(byteArrayInputStream));
    }

    @m0.a
    public static c h(byte[] bArr) {
        return g(new ByteArrayInputStream(bArr));
    }

    @m0.a
    public static c i(byte[] bArr, int i7) {
        Preconditions.checkPositionIndex(i7, bArr.length);
        return g(new ByteArrayInputStream(bArr, i7, bArr.length - i7));
    }

    @m0.a
    public static d j() {
        return l(new ByteArrayOutputStream());
    }

    @m0.a
    public static d k(int i7) {
        if (i7 >= 0) {
            return l(new ByteArrayOutputStream(i7));
        }
        throw new IllegalArgumentException(String.format("Invalid size: %s", Integer.valueOf(i7)));
    }

    @m0.a
    public static d l(ByteArrayOutputStream byteArrayOutputStream) {
        return new c((ByteArrayOutputStream) Preconditions.checkNotNull(byteArrayOutputStream));
    }

    @m0.a
    public static OutputStream m() {
        return f11434e;
    }

    @m0.a
    @p0.a
    public static int n(InputStream inputStream, byte[] bArr, int i7, int i8) throws IOException {
        Preconditions.checkNotNull(inputStream);
        Preconditions.checkNotNull(bArr);
        if (i8 >= 0) {
            int i9 = 0;
            while (i9 < i8) {
                int read = inputStream.read(bArr, i7 + i9, i8 - i9);
                if (read == -1) {
                    break;
                }
                i9 += read;
            }
            return i9;
        }
        throw new IndexOutOfBoundsException("len is negative");
    }

    @m0.a
    @p0.a
    public static <T> T o(InputStream inputStream, e<T> eVar) throws IOException {
        int read;
        Preconditions.checkNotNull(inputStream);
        Preconditions.checkNotNull(eVar);
        byte[] d7 = d();
        do {
            read = inputStream.read(d7);
            if (read == -1) {
                break;
            }
        } while (eVar.a(d7, 0, read));
        return eVar.getResult();
    }

    @m0.a
    public static void p(InputStream inputStream, byte[] bArr) throws IOException {
        q(inputStream, bArr, 0, bArr.length);
    }

    @m0.a
    public static void q(InputStream inputStream, byte[] bArr, int i7, int i8) throws IOException {
        int n7 = n(inputStream, bArr, i7, i8);
        if (n7 != i8) {
            throw new EOFException("reached end of stream after reading " + n7 + " bytes; " + i8 + " bytes expected");
        }
    }

    @m0.a
    public static void r(InputStream inputStream, long j7) throws IOException {
        long t7 = t(inputStream, j7);
        if (t7 < j7) {
            throw new EOFException("reached end of stream after skipping " + t7 + " bytes; " + j7 + " bytes expected");
        }
    }

    private static long s(InputStream inputStream, long j7) throws IOException {
        int available = inputStream.available();
        if (available == 0) {
            return 0;
        }
        return inputStream.skip(Math.min((long) available, j7));
    }

    static long t(InputStream inputStream, long j7) throws IOException {
        byte[] d7 = d();
        long j8 = 0;
        while (j8 < j7) {
            long j9 = j7 - j8;
            long s7 = s(inputStream, j9);
            if (s7 == 0) {
                s7 = (long) inputStream.read(d7, 0, (int) Math.min(j9, (long) d7.length));
                if (s7 == -1) {
                    break;
                }
            }
            j8 += s7;
        }
        return j8;
    }

    public static byte[] u(InputStream inputStream) throws IOException {
        Preconditions.checkNotNull(inputStream);
        return w(inputStream, new ArrayDeque(20), 0);
    }

    static byte[] v(InputStream inputStream, long j7) throws IOException {
        Preconditions.checkArgument(j7 >= 0, "expectedSize (%s) must be non-negative", j7);
        if (j7 <= 2147483639) {
            int i7 = (int) j7;
            byte[] bArr = new byte[i7];
            int i8 = i7;
            while (i8 > 0) {
                int i9 = i7 - i8;
                int read = inputStream.read(bArr, i9, i8);
                if (read == -1) {
                    return Arrays.copyOf(bArr, i9);
                }
                i8 -= read;
            }
            int read2 = inputStream.read();
            if (read2 == -1) {
                return bArr;
            }
            ArrayDeque arrayDeque = new ArrayDeque(22);
            arrayDeque.add(bArr);
            arrayDeque.add(new byte[]{(byte) read2});
            return w(inputStream, arrayDeque, i7 + 1);
        }
        throw new OutOfMemoryError(j7 + " bytes is too large to fit in a byte array");
    }

    private static byte[] w(InputStream inputStream, Deque<byte[]> deque, int i7) throws IOException {
        int i8 = 8192;
        while (i7 < f11432c) {
            int min = Math.min(i8, f11432c - i7);
            byte[] bArr = new byte[min];
            deque.add(bArr);
            int i9 = 0;
            while (i9 < min) {
                int read = inputStream.read(bArr, i9, min - i9);
                if (read == -1) {
                    return a(deque, i7);
                }
                i9 += read;
                i7 += read;
            }
            i8 = com.google.common.math.d.u(i8, 2);
        }
        if (inputStream.read() == -1) {
            return a(deque, f11432c);
        }
        throw new OutOfMemoryError("input is too large to fit in a byte array");
    }
}
