package com.google.common.io;

import com.google.common.base.MoreObjects;
import com.google.common.base.Preconditions;
import com.google.common.collect.i9;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.net.URL;
import java.nio.charset.Charset;
import java.util.List;
import m0.c;

@m0.a
@c
public final class h0 {

    /* access modifiers changed from: package-private */
    public static class a implements x<List<String>> {

        /* renamed from: a  reason: collision with root package name */
        final List<String> f11440a = i9.q();

        a() {
        }

        @Override // com.google.common.io.x
        public boolean a(String str) {
            this.f11440a.add(str);
            return true;
        }

        /* renamed from: b */
        public List<String> getResult() {
            return this.f11440a;
        }
    }

    /* access modifiers changed from: private */
    public static final class b extends g {

        /* renamed from: a  reason: collision with root package name */
        private final URL f11441a;

        private b(URL url) {
            this.f11441a = (URL) Preconditions.checkNotNull(url);
        }

        @Override // com.google.common.io.g
        public InputStream m() throws IOException {
            return this.f11441a.openStream();
        }

        public String toString() {
            return "Resources.asByteSource(" + this.f11441a + ")";
        }

        /* synthetic */ b(URL url, a aVar) {
            this(url);
        }
    }

    private h0() {
    }

    public static g a(URL url) {
        return new b(url, null);
    }

    public static l b(URL url, Charset charset) {
        return a(url).a(charset);
    }

    public static void c(URL url, OutputStream outputStream) throws IOException {
        a(url).g(outputStream);
    }

    public static URL d(Class<?> cls, String str) {
        URL resource = cls.getResource(str);
        Preconditions.checkArgument(resource != null, "resource %s relative to %s not found.", str, cls.getName());
        return resource;
    }

    @p0.a
    public static URL e(String str) {
        URL resource = ((ClassLoader) MoreObjects.firstNonNull(Thread.currentThread().getContextClassLoader(), h0.class.getClassLoader())).getResource(str);
        Preconditions.checkArgument(resource != null, "resource %s not found.", str);
        return resource;
    }

    @p0.a
    public static <T> T f(URL url, Charset charset, x<T> xVar) throws IOException {
        return (T) b(url, charset).u(xVar);
    }

    public static List<String> g(URL url, Charset charset) throws IOException {
        return (List) f(url, charset, new a());
    }

    public static byte[] h(URL url) throws IOException {
        return a(url).o();
    }

    public static String i(URL url, Charset charset) throws IOException {
        return b(url, charset).r();
    }
}
