package com.google.common.io;

import com.google.common.base.Preconditions;
import java.io.IOException;
import java.io.Reader;
import java.nio.CharBuffer;
import m0.c;

@c
final class i extends Reader {

    /* renamed from: f  reason: collision with root package name */
    private CharSequence f11442f;

    /* renamed from: g  reason: collision with root package name */
    private int f11443g;

    /* renamed from: p  reason: collision with root package name */
    private int f11444p;

    public i(CharSequence charSequence) {
        this.f11442f = (CharSequence) Preconditions.checkNotNull(charSequence);
    }

    private void a() throws IOException {
        if (this.f11442f == null) {
            throw new IOException("reader closed");
        }
    }

    private boolean b() {
        return c() > 0;
    }

    private int c() {
        return this.f11442f.length() - this.f11443g;
    }

    @Override // java.io.Closeable, java.io.Reader, java.lang.AutoCloseable
    public synchronized void close() throws IOException {
        this.f11442f = null;
    }

    @Override // java.io.Reader
    public synchronized void mark(int i7) throws IOException {
        Preconditions.checkArgument(i7 >= 0, "readAheadLimit (%s) may not be negative", i7);
        a();
        this.f11444p = this.f11443g;
    }

    public boolean markSupported() {
        return true;
    }

    @Override // java.io.Reader
    public synchronized int read() throws IOException {
        char c7;
        a();
        if (b()) {
            CharSequence charSequence = this.f11442f;
            int i7 = this.f11443g;
            this.f11443g = i7 + 1;
            c7 = charSequence.charAt(i7);
        } else {
            c7 = 65535;
        }
        return c7;
    }

    @Override // java.io.Reader
    public synchronized boolean ready() throws IOException {
        a();
        return true;
    }

    @Override // java.io.Reader
    public synchronized void reset() throws IOException {
        a();
        this.f11443g = this.f11444p;
    }

    @Override // java.io.Reader
    public synchronized long skip(long j7) throws IOException {
        int min;
        Preconditions.checkArgument(j7 >= 0, "n (%s) may not be negative", j7);
        a();
        min = (int) Math.min((long) c(), j7);
        this.f11443g += min;
        return (long) min;
    }

    @Override // java.lang.Readable, java.io.Reader
    public synchronized int read(CharBuffer charBuffer) throws IOException {
        Preconditions.checkNotNull(charBuffer);
        a();
        if (!b()) {
            return -1;
        }
        int min = Math.min(charBuffer.remaining(), c());
        for (int i7 = 0; i7 < min; i7++) {
            CharSequence charSequence = this.f11442f;
            int i8 = this.f11443g;
            this.f11443g = i8 + 1;
            charBuffer.put(charSequence.charAt(i8));
        }
        return min;
    }

    @Override // java.io.Reader
    public synchronized int read(char[] cArr, int i7, int i8) throws IOException {
        Preconditions.checkPositionIndexes(i7, i7 + i8, cArr.length);
        a();
        if (!b()) {
            return -1;
        }
        int min = Math.min(i8, c());
        for (int i9 = 0; i9 < min; i9++) {
            CharSequence charSequence = this.f11442f;
            int i10 = this.f11443g;
            this.f11443g = i10 + 1;
            cArr[i7 + i9] = charSequence.charAt(i10);
        }
        return min;
    }
}
