package com.google.common.io;

import com.google.common.base.Ascii;
import com.google.common.base.Optional;
import com.google.common.base.Preconditions;
import com.google.common.base.Splitter;
import com.google.common.collect.i9;
import com.google.common.collect.t5;
import com.google.common.collect.vd;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.Reader;
import java.io.StringReader;
import java.io.UncheckedIOException;
import java.io.Writer;
import java.nio.charset.Charset;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.function.Consumer;
import java.util.stream.Stream;
import p0.k;

@m0.c
public abstract class l {

    /* access modifiers changed from: private */
    public final class a extends g {

        /* renamed from: a  reason: collision with root package name */
        final Charset f11446a;

        a(Charset charset) {
            this.f11446a = (Charset) Preconditions.checkNotNull(charset);
        }

        @Override // com.google.common.io.g
        public l a(Charset charset) {
            return charset.equals(this.f11446a) ? l.this : super.a(charset);
        }

        @Override // com.google.common.io.g
        public InputStream m() throws IOException {
            return new f0(l.this.q(), this.f11446a, 8192);
        }

        public String toString() {
            return l.this.toString() + ".asByteSource(" + this.f11446a + ")";
        }
    }

    private static class b extends l {

        /* renamed from: b  reason: collision with root package name */
        private static final Splitter f11448b = Splitter.onPattern("\r\n|\n|\r");

        /* renamed from: a  reason: collision with root package name */
        protected final CharSequence f11449a;

        /* access modifiers changed from: package-private */
        public class a extends com.google.common.collect.c<String> {

            /* renamed from: p  reason: collision with root package name */
            Iterator<String> f11450p;

            a() {
                this.f11450p = b.f11448b.split(b.this.f11449a).iterator();
            }

            /* access modifiers changed from: protected */
            /* renamed from: d */
            public String a() {
                if (this.f11450p.hasNext()) {
                    String next = this.f11450p.next();
                    if (this.f11450p.hasNext() || !next.isEmpty()) {
                        return next;
                    }
                }
                return (String) b();
            }
        }

        protected b(CharSequence charSequence) {
            this.f11449a = (CharSequence) Preconditions.checkNotNull(charSequence);
        }

        private Iterator<String> x() {
            return new a();
        }

        @Override // com.google.common.io.l
        public boolean k() {
            return this.f11449a.length() == 0;
        }

        @Override // com.google.common.io.l
        public long m() {
            return (long) this.f11449a.length();
        }

        @Override // com.google.common.io.l
        public Optional<Long> n() {
            return Optional.of(Long.valueOf((long) this.f11449a.length()));
        }

        @Override // com.google.common.io.l
        public Stream<String> o() {
            return vd.F(x());
        }

        @Override // com.google.common.io.l
        public Reader q() {
            return new i(this.f11449a);
        }

        @Override // com.google.common.io.l
        public String r() {
            return this.f11449a.toString();
        }

        @Override // com.google.common.io.l
        public String s() {
            Iterator<String> x7 = x();
            if (x7.hasNext()) {
                return x7.next();
            }
            return null;
        }

        @Override // com.google.common.io.l
        public t5<String> t() {
            return t5.J(x());
        }

        public String toString() {
            return "CharSource.wrap(" + Ascii.truncate(this.f11449a, 30, "...") + ")";
        }

        /* JADX WARNING: Removed duplicated region for block: B:3:0x000a  */
        @Override // com.google.common.io.l
        public <T> T u(x<T> xVar) throws IOException {
            Iterator<String> x7 = x();
            while (x7.hasNext() && xVar.a(x7.next())) {
                while (x7.hasNext()) {
                    while (x7.hasNext()) {
                    }
                }
            }
            return xVar.getResult();
        }
    }

    /* access modifiers changed from: private */
    public static final class c extends l {

        /* renamed from: a  reason: collision with root package name */
        private final Iterable<? extends l> f11452a;

        c(Iterable<? extends l> iterable) {
            this.f11452a = (Iterable) Preconditions.checkNotNull(iterable);
        }

        @Override // com.google.common.io.l
        public boolean k() throws IOException {
            for (l lVar : this.f11452a) {
                if (!lVar.k()) {
                    return false;
                }
            }
            return true;
        }

        @Override // com.google.common.io.l
        public long m() throws IOException {
            long j7 = 0;
            for (l lVar : this.f11452a) {
                j7 += lVar.m();
            }
            return j7;
        }

        @Override // com.google.common.io.l
        public Optional<Long> n() {
            long j7 = 0;
            for (l lVar : this.f11452a) {
                Optional<Long> n7 = lVar.n();
                if (!n7.isPresent()) {
                    return Optional.absent();
                }
                j7 += n7.get().longValue();
            }
            return Optional.of(Long.valueOf(j7));
        }

        @Override // com.google.common.io.l
        public Reader q() throws IOException {
            return new d0(this.f11452a.iterator());
        }

        public String toString() {
            return "CharSource.concat(" + this.f11452a + ")";
        }
    }

    /* access modifiers changed from: private */
    public static final class d extends e {

        /* renamed from: c  reason: collision with root package name */
        private static final d f11453c = new d();

        private d() {
            super("");
        }

        @Override // com.google.common.io.l.b
        public String toString() {
            return "CharSource.empty()";
        }
    }

    private static class e extends b {
        protected e(String str) {
            super(str);
        }

        @Override // com.google.common.io.l
        public long f(j jVar) throws IOException {
            Preconditions.checkNotNull(jVar);
            o a8 = o.a();
            try {
                ((Writer) a8.b(jVar.b())).write((String) this.f11449a);
                long length = (long) this.f11449a.length();
                a8.close();
                return length;
            } catch (Throwable th) {
                a8.close();
                throw th;
            }
        }

        @Override // com.google.common.io.l
        public long g(Appendable appendable) throws IOException {
            appendable.append(this.f11449a);
            return (long) this.f11449a.length();
        }

        @Override // com.google.common.io.l, com.google.common.io.l.b
        public Reader q() {
            return new StringReader((String) this.f11449a);
        }
    }

    protected l() {
    }

    public static l c(Iterable<? extends l> iterable) {
        return new c(iterable);
    }

    public static l d(Iterator<? extends l> it) {
        return c(t5.J(it));
    }

    public static l e(l... lVarArr) {
        return c(t5.L(lVarArr));
    }

    private long h(Reader reader) throws IOException {
        long j7 = 0;
        while (true) {
            long skip = reader.skip(Long.MAX_VALUE);
            if (skip == 0) {
                return j7;
            }
            j7 += skip;
        }
    }

    public static l i() {
        return d.f11453c;
    }

    /* access modifiers changed from: private */
    public static /* synthetic */ void l(BufferedReader bufferedReader) {
        try {
            bufferedReader.close();
        } catch (IOException e7) {
            throw new UncheckedIOException(e7);
        }
    }

    public static l v(CharSequence charSequence) {
        return charSequence instanceof String ? new e((String) charSequence) : new b(charSequence);
    }

    @m0.a
    public g b(Charset charset) {
        return new a(charset);
    }

    @p0.a
    public long f(j jVar) throws IOException {
        Preconditions.checkNotNull(jVar);
        o a8 = o.a();
        try {
            long b7 = m.b((Reader) a8.b(q()), (Writer) a8.b(jVar.b()));
            a8.close();
            return b7;
        } catch (Throwable th) {
            a8.close();
            throw th;
        }
    }

    @p0.a
    public long g(Appendable appendable) throws IOException {
        Preconditions.checkNotNull(appendable);
        o a8 = o.a();
        try {
            long b7 = m.b((Reader) a8.b(q()), appendable);
            a8.close();
            return b7;
        } catch (Throwable th) {
            a8.close();
            throw th;
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:10:0x000e, code lost:
        if (r1 != null) goto L_0x0010;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:12:?, code lost:
        r1.close();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:13:0x0014, code lost:
        r1 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:14:0x0015, code lost:
        r2.addSuppressed(r1);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:15:0x0018, code lost:
        throw r0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:9:0x000d, code lost:
        r0 = move-exception;
     */
    @m0.a
    public void j(Consumer<? super String> consumer) throws IOException {
        try {
            Stream<String> o7 = o();
            o7.forEachOrdered(consumer);
            o7.close();
        } catch (UncheckedIOException e7) {
            throw e7.getCause();
        }
    }

    public boolean k() throws IOException {
        Optional<Long> n7 = n();
        boolean z7 = true;
        if (n7.isPresent()) {
            return n7.get().longValue() == 0;
        }
        o a8 = o.a();
        try {
            if (((Reader) a8.b(q())).read() != -1) {
                z7 = false;
            }
            a8.close();
            return z7;
        } catch (Throwable th) {
            a8.close();
            throw th;
        }
    }

    @m0.a
    public long m() throws IOException {
        Optional<Long> n7 = n();
        if (n7.isPresent()) {
            return n7.get().longValue();
        }
        o a8 = o.a();
        try {
            long h7 = h((Reader) a8.b(q()));
            a8.close();
            return h7;
        } catch (Throwable th) {
            a8.close();
            throw th;
        }
    }

    @m0.a
    public Optional<Long> n() {
        return Optional.absent();
    }

    @k
    @m0.a
    public Stream<String> o() throws IOException {
        BufferedReader p7 = p();
        return (Stream) p7.lines().onClose(new k(p7));
    }

    public BufferedReader p() throws IOException {
        Reader q7 = q();
        return q7 instanceof BufferedReader ? (BufferedReader) q7 : new BufferedReader(q7);
    }

    public abstract Reader q() throws IOException;

    public String r() throws IOException {
        o a8 = o.a();
        try {
            String k7 = m.k((Reader) a8.b(q()));
            a8.close();
            return k7;
        } catch (Throwable th) {
            a8.close();
            throw th;
        }
    }

    public String s() throws IOException {
        o a8 = o.a();
        try {
            String readLine = ((BufferedReader) a8.b(p())).readLine();
            a8.close();
            return readLine;
        } catch (Throwable th) {
            a8.close();
            throw th;
        }
    }

    public t5<String> t() throws IOException {
        o a8 = o.a();
        try {
            BufferedReader bufferedReader = (BufferedReader) a8.b(p());
            ArrayList q7 = i9.q();
            while (true) {
                String readLine = bufferedReader.readLine();
                if (readLine != null) {
                    q7.add(readLine);
                } else {
                    t5<String> D = t5.D(q7);
                    a8.close();
                    return D;
                }
            }
        } catch (Throwable th) {
            a8.close();
            throw th;
        }
    }

    @m0.a
    @p0.a
    public <T> T u(x<T> xVar) throws IOException {
        Preconditions.checkNotNull(xVar);
        o a8 = o.a();
        try {
            T t7 = (T) m.h((Reader) a8.b(q()), xVar);
            a8.close();
            return t7;
        } catch (Throwable th) {
            a8.close();
            throw th;
        }
    }
}
