package com.google.common.io;

import com.google.common.base.Preconditions;
import java.io.EOFException;
import java.io.IOException;
import java.io.Reader;
import java.io.Writer;
import java.nio.CharBuffer;
import java.util.ArrayList;
import java.util.List;
import m0.c;

@c
public final class m {

    /* renamed from: a  reason: collision with root package name */
    private static final int f11454a = 2048;

    private static final class a extends Writer {

        /* renamed from: f  reason: collision with root package name */
        private static final a f11455f = new a();

        private a() {
        }

        @Override // java.lang.Appendable, java.io.Writer, java.io.Writer
        public Writer append(char c7) {
            return this;
        }

        @Override // java.io.Closeable, java.io.Writer, java.lang.AutoCloseable
        public void close() {
        }

        @Override // java.io.Writer, java.io.Flushable
        public void flush() {
        }

        public String toString() {
            return "CharStreams.nullWriter()";
        }

        @Override // java.io.Writer
        public void write(int i7) {
        }

        @Override // java.lang.Appendable, java.io.Writer, java.io.Writer
        public Writer append(CharSequence charSequence) {
            Preconditions.checkNotNull(charSequence);
            return this;
        }

        @Override // java.io.Writer
        public void write(String str) {
            Preconditions.checkNotNull(str);
        }

        @Override // java.lang.Appendable, java.io.Writer, java.io.Writer
        public Writer append(CharSequence charSequence, int i7, int i8) {
            Preconditions.checkPositionIndexes(i7, i8, charSequence.length());
            return this;
        }

        @Override // java.io.Writer
        public void write(String str, int i7, int i8) {
            Preconditions.checkPositionIndexes(i7, i8 + i7, str.length());
        }

        @Override // java.io.Writer
        public void write(char[] cArr) {
            Preconditions.checkNotNull(cArr);
        }

        @Override // java.io.Writer
        public void write(char[] cArr, int i7, int i8) {
            Preconditions.checkPositionIndexes(i7, i8 + i7, cArr.length);
        }
    }

    private m() {
    }

    @m0.a
    public static Writer a(Appendable appendable) {
        return appendable instanceof Writer ? (Writer) appendable : new a(appendable);
    }

    @p0.a
    public static long b(Readable readable, Appendable appendable) throws IOException {
        if (readable instanceof Reader) {
            Reader reader = (Reader) readable;
            return appendable instanceof StringBuilder ? c(reader, (StringBuilder) appendable) : d(reader, a(appendable));
        }
        Preconditions.checkNotNull(readable);
        Preconditions.checkNotNull(appendable);
        CharBuffer e7 = e();
        long j7 = 0;
        while (readable.read(e7) != -1) {
            e7.flip();
            appendable.append(e7);
            j7 += (long) e7.remaining();
            e7.clear();
        }
        return j7;
    }

    @p0.a
    static long c(Reader reader, StringBuilder sb) throws IOException {
        Preconditions.checkNotNull(reader);
        Preconditions.checkNotNull(sb);
        char[] cArr = new char[2048];
        long j7 = 0;
        while (true) {
            int read = reader.read(cArr);
            if (read == -1) {
                return j7;
            }
            sb.append(cArr, 0, read);
            j7 += (long) read;
        }
    }

    @p0.a
    static long d(Reader reader, Writer writer) throws IOException {
        Preconditions.checkNotNull(reader);
        Preconditions.checkNotNull(writer);
        char[] cArr = new char[2048];
        long j7 = 0;
        while (true) {
            int read = reader.read(cArr);
            if (read == -1) {
                return j7;
            }
            writer.write(cArr, 0, read);
            j7 += (long) read;
        }
    }

    static CharBuffer e() {
        return CharBuffer.allocate(2048);
    }

    @m0.a
    @p0.a
    public static long f(Readable readable) throws IOException {
        CharBuffer e7 = e();
        long j7 = 0;
        while (true) {
            long read = (long) readable.read(e7);
            if (read == -1) {
                return j7;
            }
            j7 += read;
            e7.clear();
        }
    }

    @m0.a
    public static Writer g() {
        return a.f11455f;
    }

    @m0.a
    @p0.a
    public static <T> T h(Readable readable, x<T> xVar) throws IOException {
        String b7;
        Preconditions.checkNotNull(readable);
        Preconditions.checkNotNull(xVar);
        y yVar = new y(readable);
        do {
            b7 = yVar.b();
            if (b7 == null) {
                break;
            }
        } while (xVar.a(b7));
        return xVar.getResult();
    }

    @m0.a
    public static List<String> i(Readable readable) throws IOException {
        ArrayList arrayList = new ArrayList();
        y yVar = new y(readable);
        while (true) {
            String b7 = yVar.b();
            if (b7 == null) {
                return arrayList;
            }
            arrayList.add(b7);
        }
    }

    @m0.a
    public static void j(Reader reader, long j7) throws IOException {
        Preconditions.checkNotNull(reader);
        while (j7 > 0) {
            long skip = reader.skip(j7);
            if (skip != 0) {
                j7 -= skip;
            } else {
                throw new EOFException();
            }
        }
    }

    public static String k(Readable readable) throws IOException {
        return l(readable).toString();
    }

    private static StringBuilder l(Readable readable) throws IOException {
        StringBuilder sb = new StringBuilder();
        if (readable instanceof Reader) {
            c((Reader) readable, sb);
        } else {
            b(readable, sb);
        }
        return sb;
    }
}
