package com.google.common.io;

import com.google.common.base.Preconditions;
import com.google.common.base.Throwables;
import java.io.Closeable;
import java.io.IOException;
import java.lang.reflect.Method;
import java.util.ArrayDeque;
import java.util.Deque;
import java.util.logging.Level;
import java.util.logging.Logger;
import m0.d;

@m0.a
@m0.c
public final class o implements Closeable {

    /* renamed from: x  reason: collision with root package name */
    private static final c f11457x = (b.c() ? b.f11462a : a.f11461a);
    @d

    /* renamed from: f  reason: collision with root package name */
    final c f11458f;

    /* renamed from: g  reason: collision with root package name */
    private final Deque<Closeable> f11459g = new ArrayDeque(4);

    /* renamed from: p  reason: collision with root package name */
    private Throwable f11460p;

    @d
    static final class a implements c {

        /* renamed from: a  reason: collision with root package name */
        static final a f11461a = new a();

        a() {
        }

        @Override // com.google.common.io.o.c
        public void a(Closeable closeable, Throwable th, Throwable th2) {
            Logger logger = n.f11456a;
            Level level = Level.WARNING;
            logger.log(level, "Suppressing exception thrown when closing " + closeable, th2);
        }
    }

    @d
    static final class b implements c {

        /* renamed from: a  reason: collision with root package name */
        static final b f11462a = new b();

        /* renamed from: b  reason: collision with root package name */
        static final Method f11463b = b();

        b() {
        }

        private static Method b() {
            try {
                return Throwable.class.getMethod("addSuppressed", Throwable.class);
            } catch (Throwable unused) {
                return null;
            }
        }

        static boolean c() {
            return f11463b != null;
        }

        @Override // com.google.common.io.o.c
        public void a(Closeable closeable, Throwable th, Throwable th2) {
            if (th != th2) {
                try {
                    f11463b.invoke(th, th2);
                } catch (Throwable unused) {
                    a.f11461a.a(closeable, th, th2);
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    @d
    public interface c {
        void a(Closeable closeable, Throwable th, Throwable th2);
    }

    @d
    o(c cVar) {
        this.f11458f = (c) Preconditions.checkNotNull(cVar);
    }

    public static o a() {
        return new o(f11457x);
    }

    @p0.a
    public <C extends Closeable> C b(C c7) {
        if (c7 != null) {
            this.f11459g.addFirst(c7);
        }
        return c7;
    }

    public RuntimeException c(Throwable th) throws IOException {
        Preconditions.checkNotNull(th);
        this.f11460p = th;
        Throwables.propagateIfPossible(th, IOException.class);
        throw new RuntimeException(th);
    }

    @Override // java.io.Closeable, java.lang.AutoCloseable
    public void close() throws IOException {
        Throwable th = this.f11460p;
        while (!this.f11459g.isEmpty()) {
            Closeable removeFirst = this.f11459g.removeFirst();
            try {
                removeFirst.close();
            } catch (Throwable th2) {
                if (th == null) {
                    th = th2;
                } else {
                    this.f11458f.a(removeFirst, th, th2);
                }
            }
        }
        if (this.f11460p == null && th != null) {
            Throwables.propagateIfPossible(th, IOException.class);
            throw new AssertionError(th);
        }
    }

    public <X extends Exception> RuntimeException d(Throwable th, Class<X> cls) throws IOException, Exception {
        Preconditions.checkNotNull(th);
        this.f11460p = th;
        Throwables.propagateIfPossible(th, IOException.class);
        Throwables.propagateIfPossible(th, cls);
        throw new RuntimeException(th);
    }

    public <X1 extends Exception, X2 extends Exception> RuntimeException e(Throwable th, Class<X1> cls, Class<X2> cls2) throws IOException, Exception, Exception {
        Preconditions.checkNotNull(th);
        this.f11460p = th;
        Throwables.propagateIfPossible(th, IOException.class);
        Throwables.propagateIfPossible(th, cls, cls2);
        throw new RuntimeException(th);
    }
}
