package com.google.common.math;

import com.google.common.base.Preconditions;
import java.math.BigInteger;
import m0.d;

/* access modifiers changed from: package-private */
@m0.c
public final class c {

    /* renamed from: a  reason: collision with root package name */
    static final long f11509a = 4503599627370495L;

    /* renamed from: b  reason: collision with root package name */
    static final long f11510b = 9218868437227405312L;

    /* renamed from: c  reason: collision with root package name */
    static final long f11511c = Long.MIN_VALUE;

    /* renamed from: d  reason: collision with root package name */
    static final int f11512d = 52;

    /* renamed from: e  reason: collision with root package name */
    static final int f11513e = 1023;

    /* renamed from: f  reason: collision with root package name */
    static final long f11514f = 4503599627370496L;
    @d

    /* renamed from: g  reason: collision with root package name */
    static final long f11515g = 4607182418800017408L;

    private c() {
    }

    static double a(BigInteger bigInteger) {
        BigInteger abs = bigInteger.abs();
        boolean z7 = true;
        int bitLength = abs.bitLength() - 1;
        if (bitLength < 63) {
            return (double) bigInteger.longValue();
        }
        if (bitLength > f11513e) {
            return ((double) bigInteger.signum()) * Double.POSITIVE_INFINITY;
        }
        int i7 = (bitLength - 52) - 1;
        long longValue = abs.shiftRight(i7).longValue();
        long j7 = (longValue >> 1) & f11509a;
        if ((longValue & 1) == 0 || ((j7 & 1) == 0 && abs.getLowestSetBit() >= i7)) {
            z7 = false;
        }
        if (z7) {
            j7++;
        }
        return Double.longBitsToDouble(((((long) (bitLength + f11513e)) << 52) + j7) | (((long) bigInteger.signum()) & Long.MIN_VALUE));
    }

    static double b(double d7) {
        Preconditions.checkArgument(!Double.isNaN(d7));
        if (d7 > 0.0d) {
            return d7;
        }
        return 0.0d;
    }

    static long c(double d7) {
        Preconditions.checkArgument(d(d7), "not a normal value");
        int exponent = Math.getExponent(d7);
        long doubleToRawLongBits = Double.doubleToRawLongBits(d7) & f11509a;
        return exponent == -1023 ? doubleToRawLongBits << 1 : doubleToRawLongBits | f11514f;
    }

    static boolean d(double d7) {
        return Math.getExponent(d7) <= f11513e;
    }

    static boolean e(double d7) {
        return Math.getExponent(d7) >= -1022;
    }

    static double f(double d7) {
        return -Math.nextUp(-d7);
    }

    static double g(double d7) {
        return Double.longBitsToDouble((Double.doubleToRawLongBits(d7) & f11509a) | f11515g);
    }
}
