package com.google.common.math;

import com.google.common.base.MoreObjects;
import com.google.common.base.Objects;
import com.google.common.base.Preconditions;
import java.io.Serializable;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import m0.a;
import m0.c;

@a
@c
public final class h implements Serializable {

    /* renamed from: x  reason: collision with root package name */
    private static final int f11548x = 88;

    /* renamed from: y  reason: collision with root package name */
    private static final long f11549y = 0;

    /* renamed from: f  reason: collision with root package name */
    private final k f11550f;

    /* renamed from: g  reason: collision with root package name */
    private final k f11551g;

    /* renamed from: p  reason: collision with root package name */
    private final double f11552p;

    h(k kVar, k kVar2, double d7) {
        this.f11550f = kVar;
        this.f11551g = kVar2;
        this.f11552p = d7;
    }

    private static double b(double d7) {
        if (d7 >= 1.0d) {
            return 1.0d;
        }
        if (d7 <= -1.0d) {
            return -1.0d;
        }
        return d7;
    }

    private static double c(double d7) {
        if (d7 > 0.0d) {
            return d7;
        }
        return Double.MIN_VALUE;
    }

    public static h d(byte[] bArr) {
        Preconditions.checkNotNull(bArr);
        Preconditions.checkArgument(bArr.length == f11548x, "Expected PairedStats.BYTES = %s, got %s", (int) f11548x, bArr.length);
        ByteBuffer order = ByteBuffer.wrap(bArr).order(ByteOrder.LITTLE_ENDIAN);
        return new h(k.t(order), k.t(order), order.getDouble());
    }

    public long a() {
        return this.f11550f.a();
    }

    public e e() {
        boolean z7 = true;
        Preconditions.checkState(a() > 1);
        if (Double.isNaN(this.f11552p)) {
            return e.a();
        }
        double x7 = this.f11550f.x();
        if (x7 > 0.0d) {
            return this.f11551g.x() > 0.0d ? e.f(this.f11550f.d(), this.f11551g.d()).b(this.f11552p / x7) : e.b(this.f11551g.d());
        }
        if (this.f11551g.x() <= 0.0d) {
            z7 = false;
        }
        Preconditions.checkState(z7);
        return e.i(this.f11550f.d());
    }

    public boolean equals(Object obj) {
        if (obj == null || h.class != obj.getClass()) {
            return false;
        }
        h hVar = (h) obj;
        return this.f11550f.equals(hVar.f11550f) && this.f11551g.equals(hVar.f11551g) && Double.doubleToLongBits(this.f11552p) == Double.doubleToLongBits(hVar.f11552p);
    }

    public double f() {
        boolean z7 = true;
        Preconditions.checkState(a() > 1);
        if (Double.isNaN(this.f11552p)) {
            return Double.NaN;
        }
        double x7 = k().x();
        double x8 = m().x();
        Preconditions.checkState(x7 > 0.0d);
        if (x8 <= 0.0d) {
            z7 = false;
        }
        Preconditions.checkState(z7);
        return b(this.f11552p / Math.sqrt(c(x7 * x8)));
    }

    public double g() {
        Preconditions.checkState(a() != 0);
        return this.f11552p / ((double) a());
    }

    public double h() {
        Preconditions.checkState(a() > 1);
        return this.f11552p / ((double) (a() - 1));
    }

    public int hashCode() {
        return Objects.hashCode(this.f11550f, this.f11551g, Double.valueOf(this.f11552p));
    }

    /* access modifiers changed from: package-private */
    public double i() {
        return this.f11552p;
    }

    public byte[] j() {
        ByteBuffer order = ByteBuffer.allocate(f11548x).order(ByteOrder.LITTLE_ENDIAN);
        this.f11550f.z(order);
        this.f11551g.z(order);
        order.putDouble(this.f11552p);
        return order.array();
    }

    public k k() {
        return this.f11550f;
    }

    public k m() {
        return this.f11551g;
    }

    public String toString() {
        return (a() > 0 ? MoreObjects.toStringHelper(this).add("xStats", this.f11550f).add("yStats", this.f11551g).add("populationCovariance", g()) : MoreObjects.toStringHelper(this).add("xStats", this.f11550f).add("yStats", this.f11551g)).toString();
    }
}
