package com.google.common.math;

import com.google.common.base.MoreObjects;
import com.google.common.base.Objects;
import com.google.common.base.Preconditions;
import com.google.common.primitives.d;
import java.io.Serializable;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.util.Iterator;
import m0.a;
import m0.c;

@a
@c
public final class k implements Serializable {
    static final int C1 = 40;
    private static final long C2 = 0;

    /* renamed from: f  reason: collision with root package name */
    private final long f11561f;

    /* renamed from: g  reason: collision with root package name */
    private final double f11562g;

    /* renamed from: p  reason: collision with root package name */
    private final double f11563p;

    /* renamed from: x  reason: collision with root package name */
    private final double f11564x;

    /* renamed from: y  reason: collision with root package name */
    private final double f11565y;

    k(long j7, double d7, double d8, double d9, double d10) {
        this.f11561f = j7;
        this.f11562g = d7;
        this.f11563p = d8;
        this.f11564x = d9;
        this.f11565y = d10;
    }

    public static k b(byte[] bArr) {
        Preconditions.checkNotNull(bArr);
        Preconditions.checkArgument(bArr.length == 40, "Expected Stats.BYTES = %s remaining , got %s", 40, bArr.length);
        return t(ByteBuffer.wrap(bArr).order(ByteOrder.LITTLE_ENDIAN));
    }

    public static double e(Iterable<? extends Number> iterable) {
        return f(iterable.iterator());
    }

    public static double f(Iterator<? extends Number> it) {
        Preconditions.checkArgument(it.hasNext());
        double doubleValue = ((Number) it.next()).doubleValue();
        long j7 = 1;
        while (it.hasNext()) {
            double doubleValue2 = ((Number) it.next()).doubleValue();
            j7++;
            doubleValue = (!d.n(doubleValue2) || !d.n(doubleValue)) ? l.h(doubleValue, doubleValue2) : doubleValue + ((doubleValue2 - doubleValue) / ((double) j7));
        }
        return doubleValue;
    }

    public static double g(double... dArr) {
        Preconditions.checkArgument(dArr.length > 0);
        double d7 = dArr[0];
        for (int i7 = 1; i7 < dArr.length; i7++) {
            double d8 = dArr[i7];
            d7 = (!d.n(d8) || !d.n(d7)) ? l.h(d7, d8) : d7 + ((d8 - d7) / ((double) (i7 + 1)));
        }
        return d7;
    }

    public static double h(int... iArr) {
        Preconditions.checkArgument(iArr.length > 0);
        double d7 = (double) iArr[0];
        for (int i7 = 1; i7 < iArr.length; i7++) {
            double d8 = (double) iArr[i7];
            d7 = (!d.n(d8) || !d.n(d7)) ? l.h(d7, d8) : d7 + ((d8 - d7) / ((double) (i7 + 1)));
        }
        return d7;
    }

    public static double i(long... jArr) {
        Preconditions.checkArgument(jArr.length > 0);
        double d7 = (double) jArr[0];
        for (int i7 = 1; i7 < jArr.length; i7++) {
            double d8 = (double) jArr[i7];
            d7 = (!d.n(d8) || !d.n(d7)) ? l.h(d7, d8) : d7 + ((d8 - d7) / ((double) (i7 + 1)));
        }
        return d7;
    }

    public static k k(Iterable<? extends Number> iterable) {
        l lVar = new l();
        lVar.c(iterable);
        return lVar.q();
    }

    public static k m(Iterator<? extends Number> it) {
        l lVar = new l();
        lVar.d(it);
        return lVar.q();
    }

    public static k n(double... dArr) {
        l lVar = new l();
        lVar.e(dArr);
        return lVar.q();
    }

    public static k p(int... iArr) {
        l lVar = new l();
        lVar.f(iArr);
        return lVar.q();
    }

    public static k q(long... jArr) {
        l lVar = new l();
        lVar.g(jArr);
        return lVar.q();
    }

    static k t(ByteBuffer byteBuffer) {
        Preconditions.checkNotNull(byteBuffer);
        Preconditions.checkArgument(byteBuffer.remaining() >= 40, "Expected at least Stats.BYTES = %s remaining , got %s", 40, byteBuffer.remaining());
        return new k(byteBuffer.getLong(), byteBuffer.getDouble(), byteBuffer.getDouble(), byteBuffer.getDouble(), byteBuffer.getDouble());
    }

    public long a() {
        return this.f11561f;
    }

    public double c() {
        Preconditions.checkState(this.f11561f != 0);
        return this.f11565y;
    }

    public double d() {
        Preconditions.checkState(this.f11561f != 0);
        return this.f11562g;
    }

    public boolean equals(Object obj) {
        if (obj == null || k.class != obj.getClass()) {
            return false;
        }
        k kVar = (k) obj;
        return this.f11561f == kVar.f11561f && Double.doubleToLongBits(this.f11562g) == Double.doubleToLongBits(kVar.f11562g) && Double.doubleToLongBits(this.f11563p) == Double.doubleToLongBits(kVar.f11563p) && Double.doubleToLongBits(this.f11564x) == Double.doubleToLongBits(kVar.f11564x) && Double.doubleToLongBits(this.f11565y) == Double.doubleToLongBits(kVar.f11565y);
    }

    public int hashCode() {
        return Objects.hashCode(Long.valueOf(this.f11561f), Double.valueOf(this.f11562g), Double.valueOf(this.f11563p), Double.valueOf(this.f11564x), Double.valueOf(this.f11565y));
    }

    public double j() {
        Preconditions.checkState(this.f11561f != 0);
        return this.f11564x;
    }

    public double r() {
        return Math.sqrt(s());
    }

    public double s() {
        Preconditions.checkState(this.f11561f > 0);
        if (Double.isNaN(this.f11563p)) {
            return Double.NaN;
        }
        if (this.f11561f == 1) {
            return 0.0d;
        }
        return c.b(this.f11563p) / ((double) a());
    }

    public String toString() {
        return (a() > 0 ? MoreObjects.toStringHelper(this).add("count", this.f11561f).add("mean", this.f11562g).add("populationStandardDeviation", r()).add("min", this.f11564x).add("max", this.f11565y) : MoreObjects.toStringHelper(this).add("count", this.f11561f)).toString();
    }

    public double u() {
        return Math.sqrt(v());
    }

    public double v() {
        Preconditions.checkState(this.f11561f > 1);
        if (Double.isNaN(this.f11563p)) {
            return Double.NaN;
        }
        return c.b(this.f11563p) / ((double) (this.f11561f - 1));
    }

    public double w() {
        return this.f11562g * ((double) this.f11561f);
    }

    /* access modifiers changed from: package-private */
    public double x() {
        return this.f11563p;
    }

    public byte[] y() {
        ByteBuffer order = ByteBuffer.allocate(40).order(ByteOrder.LITTLE_ENDIAN);
        z(order);
        return order.array();
    }

    /* access modifiers changed from: package-private */
    public void z(ByteBuffer byteBuffer) {
        Preconditions.checkNotNull(byteBuffer);
        Preconditions.checkArgument(byteBuffer.remaining() >= 40, "Expected at least Stats.BYTES = %s remaining , got %s", 40, byteBuffer.remaining());
        byteBuffer.putLong(this.f11561f).putDouble(this.f11562g).putDouble(this.f11563p).putDouble(this.f11564x).putDouble(this.f11565y);
    }
}
