package com.google.common.net;

import com.google.common.base.Objects;
import com.google.common.base.Preconditions;
import com.google.common.base.Strings;
import java.io.Serializable;
import m0.b;
import p0.i;

@m0.a
@i
@b
public final class a implements Serializable {

    /* renamed from: x  reason: collision with root package name */
    private static final int f11571x = -1;

    /* renamed from: y  reason: collision with root package name */
    private static final long f11572y = 0;

    /* renamed from: f  reason: collision with root package name */
    private final String f11573f;

    /* renamed from: g  reason: collision with root package name */
    private final int f11574g;

    /* renamed from: p  reason: collision with root package name */
    private final boolean f11575p;

    private a(String str, int i7, boolean z7) {
        this.f11573f = str;
        this.f11574g = i7;
        this.f11575p = z7;
    }

    public static a a(String str) {
        a c7 = c(str);
        Preconditions.checkArgument(!c7.h(), "Host has a port: %s", str);
        return c7;
    }

    public static a b(String str, int i7) {
        Preconditions.checkArgument(i(i7), "Port out of range: %s", i7);
        a c7 = c(str);
        Preconditions.checkArgument(!c7.h(), "Host has a port: %s", str);
        return new a(c7.f11573f, i7, c7.f11575p);
    }

    public static a c(String str) {
        String str2;
        String str3;
        Preconditions.checkNotNull(str);
        int i7 = -1;
        boolean z7 = false;
        if (str.startsWith("[")) {
            String[] e7 = e(str);
            str2 = e7[0];
            str3 = e7[1];
        } else {
            int indexOf = str.indexOf(58);
            if (indexOf >= 0) {
                int i8 = indexOf + 1;
                if (str.indexOf(58, i8) == -1) {
                    str2 = str.substring(0, indexOf);
                    str3 = str.substring(i8);
                }
            }
            if (indexOf >= 0) {
                z7 = true;
            }
            str3 = null;
            str2 = str;
        }
        if (!Strings.isNullOrEmpty(str3)) {
            Preconditions.checkArgument(!str3.startsWith("+"), "Unparseable port number: %s", str);
            try {
                i7 = Integer.parseInt(str3);
                Preconditions.checkArgument(i(i7), "Port number out of range: %s", str);
            } catch (NumberFormatException unused) {
                throw new IllegalArgumentException("Unparseable port number: " + str);
            }
        }
        return new a(str2, i7, z7);
    }

    private static String[] e(String str) {
        Preconditions.checkArgument(str.charAt(0) == '[', "Bracketed host-port string must start with a bracket: %s", str);
        int indexOf = str.indexOf(58);
        int lastIndexOf = str.lastIndexOf(93);
        Preconditions.checkArgument(indexOf > -1 && lastIndexOf > indexOf, "Invalid bracketed host/port: %s", str);
        String substring = str.substring(1, lastIndexOf);
        int i7 = lastIndexOf + 1;
        if (i7 == str.length()) {
            return new String[]{substring, ""};
        }
        Preconditions.checkArgument(str.charAt(i7) == ':', "Only a colon may follow a close bracket: %s", str);
        int i8 = lastIndexOf + 2;
        for (int i9 = i8; i9 < str.length(); i9++) {
            Preconditions.checkArgument(Character.isDigit(str.charAt(i9)), "Port must be numeric: %s", str);
        }
        return new String[]{substring, str.substring(i8)};
    }

    private static boolean i(int i7) {
        return i7 >= 0 && i7 <= 65535;
    }

    public String d() {
        return this.f11573f;
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof a)) {
            return false;
        }
        a aVar = (a) obj;
        return Objects.equal(this.f11573f, aVar.f11573f) && this.f11574g == aVar.f11574g;
    }

    public int f() {
        Preconditions.checkState(h());
        return this.f11574g;
    }

    public int g(int i7) {
        return h() ? this.f11574g : i7;
    }

    public boolean h() {
        return this.f11574g >= 0;
    }

    public int hashCode() {
        return Objects.hashCode(this.f11573f, Integer.valueOf(this.f11574g));
    }

    public a j() {
        Preconditions.checkArgument(!this.f11575p, "Possible bracketless IPv6 literal: %s", this.f11573f);
        return this;
    }

    public a k(int i7) {
        Preconditions.checkArgument(i(i7));
        return h() ? this : new a(this.f11573f, i7, this.f11575p);
    }

    public String toString() {
        StringBuilder sb = new StringBuilder(this.f11573f.length() + 8);
        if (this.f11573f.indexOf(58) >= 0) {
            sb.append('[');
            sb.append(this.f11573f);
            sb.append(']');
        } else {
            sb.append(this.f11573f);
        }
        if (h()) {
            sb.append(':');
            sb.append(this.f11574g);
        }
        return sb.toString();
    }
}
