package com.google.common.net;

import com.google.common.base.MoreObjects;
import com.google.common.base.Preconditions;
import com.google.common.base.Splitter;
import com.google.common.collect.t8;
import com.google.common.hash.t;
import com.google.common.io.h;
import com.google.common.primitives.l;
import java.net.Inet4Address;
import java.net.Inet6Address;
import java.net.InetAddress;
import java.net.UnknownHostException;
import java.nio.ByteBuffer;
import java.util.Arrays;
import java.util.List;
import java.util.Locale;
import kotlin.g2;
import m0.c;

@m0.a
@c
public final class d {

    /* renamed from: a  reason: collision with root package name */
    private static final int f11652a = 4;

    /* renamed from: b  reason: collision with root package name */
    private static final int f11653b = 8;

    /* renamed from: c  reason: collision with root package name */
    private static final Splitter f11654c = Splitter.on('.').limit(4);

    /* renamed from: d  reason: collision with root package name */
    private static final Splitter f11655d = Splitter.on(':').limit(10);

    /* renamed from: e  reason: collision with root package name */
    private static final Inet4Address f11656e = ((Inet4Address) g("127.0.0.1"));

    /* renamed from: f  reason: collision with root package name */
    private static final Inet4Address f11657f = ((Inet4Address) g("0.0.0.0"));

    @m0.a
    public static final class a {

        /* renamed from: a  reason: collision with root package name */
        private final Inet4Address f11658a;

        /* renamed from: b  reason: collision with root package name */
        private final Inet4Address f11659b;

        /* renamed from: c  reason: collision with root package name */
        private final int f11660c;

        /* renamed from: d  reason: collision with root package name */
        private final int f11661d;

        public a(Inet4Address inet4Address, Inet4Address inet4Address2, int i7, int i8) {
            boolean z7 = true;
            Preconditions.checkArgument(i7 >= 0 && i7 <= 65535, "port '%s' is out of range (0 <= port <= 0xffff)", i7);
            Preconditions.checkArgument((i8 < 0 || i8 > 65535) ? false : z7, "flags '%s' is out of range (0 <= flags <= 0xffff)", i8);
            this.f11658a = (Inet4Address) MoreObjects.firstNonNull(inet4Address, d.f11657f);
            this.f11659b = (Inet4Address) MoreObjects.firstNonNull(inet4Address2, d.f11657f);
            this.f11660c = i7;
            this.f11661d = i8;
        }

        public Inet4Address a() {
            return this.f11659b;
        }

        public int b() {
            return this.f11661d;
        }

        public int c() {
            return this.f11660c;
        }

        public Inet4Address d() {
            return this.f11658a;
        }
    }

    private d() {
    }

    public static boolean A(Inet6Address inet6Address) {
        if (D(inet6Address)) {
            return false;
        }
        byte[] address = inet6Address.getAddress();
        return (address[8] | 3) == 3 && address[9] == 0 && address[10] == 94 && address[11] == -2;
    }

    public static boolean B(String str) {
        byte[] w7 = w(str);
        if (w7 == null || w7.length != 16) {
            return false;
        }
        int i7 = 0;
        while (true) {
            if (i7 >= 10) {
                for (int i8 = 10; i8 < 12; i8++) {
                    if (w7[i8] != -1) {
                        return false;
                    }
                }
                return true;
            } else if (w7[i7] != 0) {
                return false;
            } else {
                i7++;
            }
        }
    }

    public static boolean C(InetAddress inetAddress) {
        byte[] address;
        for (byte b7 : inetAddress.getAddress()) {
            if (b7 != -1) {
                return false;
            }
        }
        return true;
    }

    public static boolean D(Inet6Address inet6Address) {
        byte[] address = inet6Address.getAddress();
        return address[0] == 32 && address[1] == 1 && address[2] == 0 && address[3] == 0;
    }

    public static boolean E(String str) {
        return i(str) != null;
    }

    private static short F(String str) {
        int parseInt = Integer.parseInt(str, 16);
        if (parseInt <= 65535) {
            return (short) parseInt;
        }
        throw new NumberFormatException();
    }

    private static byte G(String str) {
        int parseInt = Integer.parseInt(str);
        if (parseInt <= 255 && (!str.startsWith("0") || str.length() <= 1)) {
            return (byte) parseInt;
        }
        throw new NumberFormatException();
    }

    private static byte[] H(String str) {
        byte[] bArr = new byte[4];
        try {
            int i7 = 0;
            for (String str2 : f11654c.split(str)) {
                int i8 = i7 + 1;
                bArr[i7] = G(str2);
                i7 = i8;
            }
            if (i7 == 4) {
                return bArr;
            }
            return null;
        } catch (NumberFormatException unused) {
            return null;
        }
    }

    private static byte[] I(String str) {
        int i7;
        int i8;
        List<String> splitToList = f11655d.splitToList(str);
        if (splitToList.size() < 3 || splitToList.size() > 9) {
            return null;
        }
        int i9 = -1;
        for (int i10 = 1; i10 < splitToList.size() - 1; i10++) {
            if (splitToList.get(i10).length() == 0) {
                if (i9 >= 0) {
                    return null;
                }
                i9 = i10;
            }
        }
        if (i9 >= 0) {
            i8 = (splitToList.size() - i9) - 1;
            if (splitToList.get(0).length() == 0) {
                i7 = i9 - 1;
                if (i7 != 0) {
                    return null;
                }
            } else {
                i7 = i9;
            }
            if (((String) t8.w(splitToList)).length() == 0 && i8 - 1 != 0) {
                return null;
            }
        } else {
            i7 = splitToList.size();
            i8 = 0;
        }
        int i11 = 8 - (i7 + i8);
        if (i9 < 0 ? i11 != 0 : i11 < 1) {
            return null;
        }
        ByteBuffer allocate = ByteBuffer.allocate(16);
        for (int i12 = 0; i12 < i7; i12++) {
            try {
                allocate.putShort(F(splitToList.get(i12)));
            } catch (NumberFormatException unused) {
                return null;
            }
        }
        for (int i13 = 0; i13 < i11; i13++) {
            allocate.putShort(0);
        }
        while (i8 > 0) {
            allocate.putShort(F(splitToList.get(splitToList.size() - i8)));
            i8--;
        }
        return allocate.array();
    }

    public static String J(InetAddress inetAddress) {
        Preconditions.checkNotNull(inetAddress);
        if (inetAddress instanceof Inet4Address) {
            return inetAddress.getHostAddress();
        }
        Preconditions.checkArgument(inetAddress instanceof Inet6Address);
        byte[] address = inetAddress.getAddress();
        int[] iArr = new int[8];
        for (int i7 = 0; i7 < 8; i7++) {
            int i8 = i7 * 2;
            iArr[i7] = l.k((byte) 0, (byte) 0, address[i8], address[i8 + 1]);
        }
        d(iArr);
        return u(iArr);
    }

    public static String K(InetAddress inetAddress) {
        if (!(inetAddress instanceof Inet6Address)) {
            return J(inetAddress);
        }
        return "[" + J(inetAddress) + "]";
    }

    private static InetAddress b(byte[] bArr) {
        try {
            return InetAddress.getByAddress(bArr);
        } catch (UnknownHostException e7) {
            throw new AssertionError(e7);
        }
    }

    public static int c(InetAddress inetAddress) {
        return h.h(n(inetAddress).getAddress()).readInt();
    }

    private static void d(int[] iArr) {
        int i7 = -1;
        int i8 = -1;
        int i9 = -1;
        for (int i10 = 0; i10 < iArr.length + 1; i10++) {
            if (i10 >= iArr.length || iArr[i10] != 0) {
                if (i9 >= 0) {
                    int i11 = i10 - i9;
                    if (i11 > i7) {
                        i8 = i9;
                        i7 = i11;
                    }
                    i9 = -1;
                }
            } else if (i9 < 0) {
                i9 = i10;
            }
        }
        if (i7 >= 2) {
            Arrays.fill(iArr, i8, i7 + i8, -1);
        }
    }

    private static String e(String str) {
        int lastIndexOf = str.lastIndexOf(58) + 1;
        String substring = str.substring(0, lastIndexOf);
        byte[] H = H(str.substring(lastIndexOf));
        if (H == null) {
            return null;
        }
        String hexString = Integer.toHexString(((H[0] & 255) << 8) | (H[1] & 255));
        String hexString2 = Integer.toHexString((H[3] & 255) | ((H[2] & 255) << 8));
        return substring + hexString + ":" + hexString2;
    }

    public static InetAddress f(InetAddress inetAddress) {
        byte[] address = inetAddress.getAddress();
        int length = address.length - 1;
        while (length >= 0 && address[length] == 0) {
            address[length] = -1;
            length--;
        }
        Preconditions.checkArgument(length >= 0, "Decrementing %s would wrap.", inetAddress);
        address[length] = (byte) (address[length] - 1);
        return b(address);
    }

    public static InetAddress g(String str) {
        byte[] w7 = w(str);
        if (w7 != null) {
            return b(w7);
        }
        throw j("'%s' is not an IP string literal.", str);
    }

    public static InetAddress h(String str) {
        InetAddress i7 = i(str);
        if (i7 != null) {
            return i7;
        }
        throw j("Not a valid URI IP literal: '%s'", str);
    }

    private static InetAddress i(String str) {
        int i7;
        Preconditions.checkNotNull(str);
        if (!str.startsWith("[") || !str.endsWith("]")) {
            i7 = 4;
        } else {
            str = str.substring(1, str.length() - 1);
            i7 = 16;
        }
        byte[] w7 = w(str);
        if (w7 == null || w7.length != i7) {
            return null;
        }
        return b(w7);
    }

    private static IllegalArgumentException j(String str, Object... objArr) {
        return new IllegalArgumentException(String.format(Locale.ROOT, str, objArr));
    }

    public static Inet4Address k(int i7) {
        return q(l.C(i7));
    }

    public static InetAddress l(byte[] bArr) throws UnknownHostException {
        byte[] bArr2 = new byte[bArr.length];
        for (int i7 = 0; i7 < bArr.length; i7++) {
            bArr2[i7] = bArr[(bArr.length - i7) - 1];
        }
        return InetAddress.getByAddress(bArr2);
    }

    public static Inet4Address m(Inet6Address inet6Address) {
        Preconditions.checkArgument(x(inet6Address), "Address '%s' is not a 6to4 address.", J(inet6Address));
        return q(Arrays.copyOfRange(inet6Address.getAddress(), 2, 6));
    }

    public static Inet4Address n(InetAddress inetAddress) {
        boolean z7;
        if (inetAddress instanceof Inet4Address) {
            return (Inet4Address) inetAddress;
        }
        byte[] address = inetAddress.getAddress();
        int i7 = 0;
        while (true) {
            if (i7 >= 15) {
                z7 = true;
                break;
            } else if (address[i7] != 0) {
                z7 = false;
                break;
            } else {
                i7++;
            }
        }
        if (z7 && address[15] == 1) {
            return f11656e;
        }
        if (z7 && address[15] == 0) {
            return f11657f;
        }
        Inet6Address inet6Address = (Inet6Address) inetAddress;
        int b7 = t.y().i(t(inet6Address) ? (long) p(inet6Address).hashCode() : ByteBuffer.wrap(inet6Address.getAddress(), 0, 8).getLong()).b() | -536870912;
        if (b7 == -1) {
            b7 = -2;
        }
        return q(l.C(b7));
    }

    public static Inet4Address o(Inet6Address inet6Address) {
        Preconditions.checkArgument(y(inet6Address), "Address '%s' is not IPv4-compatible.", J(inet6Address));
        return q(Arrays.copyOfRange(inet6Address.getAddress(), 12, 16));
    }

    public static Inet4Address p(Inet6Address inet6Address) {
        if (y(inet6Address)) {
            return o(inet6Address);
        }
        if (x(inet6Address)) {
            return m(inet6Address);
        }
        if (D(inet6Address)) {
            return s(inet6Address).a();
        }
        throw j("'%s' has no embedded IPv4 address.", J(inet6Address));
    }

    private static Inet4Address q(byte[] bArr) {
        Preconditions.checkArgument(bArr.length == 4, "Byte array has invalid length for an IPv4 address: %s != 4.", bArr.length);
        return (Inet4Address) b(bArr);
    }

    public static Inet4Address r(Inet6Address inet6Address) {
        Preconditions.checkArgument(A(inet6Address), "Address '%s' is not an ISATAP address.", J(inet6Address));
        return q(Arrays.copyOfRange(inet6Address.getAddress(), 12, 16));
    }

    public static a s(Inet6Address inet6Address) {
        Preconditions.checkArgument(D(inet6Address), "Address '%s' is not a Teredo address.", J(inet6Address));
        byte[] address = inet6Address.getAddress();
        Inet4Address q7 = q(Arrays.copyOfRange(address, 4, 8));
        int readShort = h.i(address, 8).readShort() & g2.f19680x;
        int i7 = 65535 & (~h.i(address, 10).readShort());
        byte[] copyOfRange = Arrays.copyOfRange(address, 12, 16);
        for (int i8 = 0; i8 < copyOfRange.length; i8++) {
            copyOfRange[i8] = (byte) (~copyOfRange[i8]);
        }
        return new a(q7, q(copyOfRange), i7, readShort);
    }

    public static boolean t(Inet6Address inet6Address) {
        return y(inet6Address) || x(inet6Address) || D(inet6Address);
    }

    private static String u(int[] iArr) {
        String str;
        StringBuilder sb = new StringBuilder(39);
        int i7 = 0;
        boolean z7 = false;
        while (i7 < iArr.length) {
            boolean z8 = iArr[i7] >= 0;
            if (z8) {
                if (z7) {
                    sb.append(':');
                }
                str = Integer.toHexString(iArr[i7]);
            } else if (i7 == 0 || z7) {
                str = "::";
            } else {
                i7++;
                z7 = z8;
            }
            sb.append(str);
            i7++;
            z7 = z8;
        }
        return sb.toString();
    }

    /* JADX WARNING: Removed duplicated region for block: B:7:0x0016  */
    public static InetAddress v(InetAddress inetAddress) {
        boolean z7;
        byte[] address = inetAddress.getAddress();
        int length = address.length - 1;
        while (true) {
            z7 = false;
            if (length >= 0 && address[length] == -1) {
                address[length] = 0;
                length--;
            } else if (length >= 0) {
                z7 = true;
            }
        }
        if (length >= 0) {
        }
        Preconditions.checkArgument(z7, "Incrementing %s would wrap.", inetAddress);
        address[length] = (byte) (address[length] + 1);
        return b(address);
    }

    private static byte[] w(String str) {
        boolean z7 = false;
        boolean z8 = false;
        for (int i7 = 0; i7 < str.length(); i7++) {
            char charAt = str.charAt(i7);
            if (charAt == '.') {
                z8 = true;
            } else if (charAt == ':') {
                if (z8) {
                    return null;
                }
                z7 = true;
            } else if (Character.digit(charAt, 16) == -1) {
                return null;
            }
        }
        if (z7) {
            if (!z8 || (str = e(str)) != null) {
                return I(str);
            }
            return null;
        } else if (z8) {
            return H(str);
        } else {
            return null;
        }
    }

    public static boolean x(Inet6Address inet6Address) {
        byte[] address = inet6Address.getAddress();
        return address[0] == 32 && address[1] == 2;
    }

    public static boolean y(Inet6Address inet6Address) {
        byte b7;
        if (!inet6Address.isIPv4CompatibleAddress()) {
            return false;
        }
        byte[] address = inet6Address.getAddress();
        return (address[12] == 0 && address[13] == 0 && address[14] == 0 && ((b7 = address[15]) == 0 || b7 == 1)) ? false : true;
    }

    public static boolean z(String str) {
        return w(str) != null;
    }
}
