package com.google.common.net;

import com.google.common.base.Ascii;
import com.google.common.base.CharMatcher;
import com.google.common.base.Joiner;
import com.google.common.base.Optional;
import com.google.common.base.Preconditions;
import com.google.common.base.Splitter;
import com.google.common.collect.t5;
import java.util.List;
import m0.a;
import m0.b;
import p0.i;

@a
@i
@b
public final class e {

    /* renamed from: e  reason: collision with root package name */
    private static final CharMatcher f11662e = CharMatcher.anyOf(".。．｡");

    /* renamed from: f  reason: collision with root package name */
    private static final Splitter f11663f = Splitter.on('.');

    /* renamed from: g  reason: collision with root package name */
    private static final Joiner f11664g = Joiner.on('.');

    /* renamed from: h  reason: collision with root package name */
    private static final int f11665h = -1;

    /* renamed from: i  reason: collision with root package name */
    private static final int f11666i = 127;

    /* renamed from: j  reason: collision with root package name */
    private static final int f11667j = 253;

    /* renamed from: k  reason: collision with root package name */
    private static final int f11668k = 63;

    /* renamed from: l  reason: collision with root package name */
    private static final CharMatcher f11669l;

    /* renamed from: m  reason: collision with root package name */
    private static final CharMatcher f11670m;

    /* renamed from: a  reason: collision with root package name */
    private final String f11671a;

    /* renamed from: b  reason: collision with root package name */
    private final t5<String> f11672b;

    /* renamed from: c  reason: collision with root package name */
    private final int f11673c;

    /* renamed from: d  reason: collision with root package name */
    private final int f11674d;

    static {
        CharMatcher anyOf = CharMatcher.anyOf("-_");
        f11669l = anyOf;
        f11670m = CharMatcher.javaLetterOrDigit().or(anyOf);
    }

    e(String str) {
        String lowerCase = Ascii.toLowerCase(f11662e.replaceFrom((CharSequence) str, '.'));
        boolean z7 = true;
        lowerCase = lowerCase.endsWith(".") ? lowerCase.substring(0, lowerCase.length() - 1) : lowerCase;
        Preconditions.checkArgument(lowerCase.length() <= f11667j, "Domain name too long: '%s':", lowerCase);
        this.f11671a = lowerCase;
        t5<String> x7 = t5.x(f11663f.split(lowerCase));
        this.f11672b = x7;
        Preconditions.checkArgument(x7.size() > 127 ? false : z7, "Domain has too many parts: '%s'", lowerCase);
        Preconditions.checkArgument(x(x7), "Not a valid domain name: '%s'", lowerCase);
        this.f11673c = c(Optional.absent());
        this.f11674d = c(Optional.of(com.google.thirdparty.publicsuffix.b.REGISTRY));
    }

    private e a(int i7) {
        Joiner joiner = f11664g;
        t5<String> t5Var = this.f11672b;
        return d(joiner.join(t5Var.subList(i7, t5Var.size())));
    }

    private int c(Optional<com.google.thirdparty.publicsuffix.b> optional) {
        int size = this.f11672b.size();
        for (int i7 = 0; i7 < size; i7++) {
            String join = f11664g.join(this.f11672b.subList(i7, size));
            if (o(optional, Optional.fromNullable(com.google.thirdparty.publicsuffix.a.f15562a.get(join)))) {
                return i7;
            }
            if (com.google.thirdparty.publicsuffix.a.f15564c.containsKey(join)) {
                return i7 + 1;
            }
            if (p(optional, join)) {
                return i7;
            }
        }
        return -1;
    }

    public static e d(String str) {
        return new e((String) Preconditions.checkNotNull(str));
    }

    public static boolean n(String str) {
        try {
            d(str);
            return true;
        } catch (IllegalArgumentException unused) {
            return false;
        }
    }

    private static boolean o(Optional<com.google.thirdparty.publicsuffix.b> optional, Optional<com.google.thirdparty.publicsuffix.b> optional2) {
        return optional.isPresent() ? optional.equals(optional2) : optional2.isPresent();
    }

    private static boolean p(Optional<com.google.thirdparty.publicsuffix.b> optional, String str) {
        List<String> splitToList = f11663f.limit(2).splitToList(str);
        return splitToList.size() == 2 && o(optional, Optional.fromNullable(com.google.thirdparty.publicsuffix.a.f15563b.get(splitToList.get(1))));
    }

    private static boolean w(String str, boolean z7) {
        if (str.length() >= 1 && str.length() <= 63) {
            if (!f11670m.matchesAllOf(CharMatcher.ascii().retainFrom(str))) {
                return false;
            }
            CharMatcher charMatcher = f11669l;
            if (!charMatcher.matches(str.charAt(0)) && !charMatcher.matches(str.charAt(str.length() - 1))) {
                return !z7 || !CharMatcher.digit().matches(str.charAt(0));
            }
        }
        return false;
    }

    private static boolean x(List<String> list) {
        int size = list.size() - 1;
        if (!w(list.get(size), true)) {
            return false;
        }
        for (int i7 = 0; i7 < size; i7++) {
            if (!w(list.get(i7), false)) {
                return false;
            }
        }
        return true;
    }

    public e b(String str) {
        return d(((String) Preconditions.checkNotNull(str)) + "." + this.f11671a);
    }

    public boolean e() {
        return this.f11672b.size() > 1;
    }

    public boolean equals(Object obj) {
        if (obj == this) {
            return true;
        }
        if (obj instanceof e) {
            return this.f11671a.equals(((e) obj).f11671a);
        }
        return false;
    }

    public boolean f() {
        return this.f11673c != -1;
    }

    public boolean g() {
        return this.f11674d != -1;
    }

    public boolean h() {
        return this.f11673c == 0;
    }

    public int hashCode() {
        return this.f11671a.hashCode();
    }

    public boolean i() {
        return this.f11674d == 0;
    }

    public boolean j() {
        return this.f11674d == 1;
    }

    public boolean k() {
        return this.f11673c == 1;
    }

    public boolean l() {
        return this.f11673c > 0;
    }

    public boolean m() {
        return this.f11674d > 0;
    }

    public e q() {
        Preconditions.checkState(e(), "Domain '%s' has no parent", this.f11671a);
        return a(1);
    }

    public t5<String> r() {
        return this.f11672b;
    }

    public e s() {
        if (f()) {
            return a(this.f11673c);
        }
        return null;
    }

    public e t() {
        if (g()) {
            return a(this.f11674d);
        }
        return null;
    }

    public String toString() {
        return this.f11671a;
    }

    public e u() {
        if (j()) {
            return this;
        }
        Preconditions.checkState(m(), "Not under a registry suffix: %s", this.f11671a);
        return a(this.f11674d - 1);
    }

    public e v() {
        if (k()) {
            return this;
        }
        Preconditions.checkState(l(), "Not under a public suffix: %s", this.f11671a);
        return a(this.f11673c - 1);
    }
}
