package com.google.common.net;

import com.google.common.base.Ascii;
import com.google.common.base.CharMatcher;
import com.google.common.base.Charsets;
import com.google.common.base.Function;
import com.google.common.base.Joiner;
import com.google.common.base.MoreObjects;
import com.google.common.base.Objects;
import com.google.common.base.Optional;
import com.google.common.base.Preconditions;
import com.google.common.collect.d6;
import com.google.common.collect.e7;
import com.google.common.collect.le;
import com.google.common.collect.na;
import com.google.common.collect.ua;
import com.google.common.collect.v9;
import com.google.common.collect.z6;
import java.nio.charset.Charset;
import java.util.Collection;
import java.util.Map;
import kotlin.text.h0;
import p0.i;

@m0.a
@i
@m0.b
public final class f {
    public static final f A = k(f11711o, "csv");
    public static final f A0 = j(f11702l, "geo+json");
    public static final f B = k(f11711o, "html");
    public static final f B0 = j(f11702l, "x-gzip");
    public static final f C = k(f11711o, "calendar");
    public static final f C0 = j(f11702l, "hal+json");
    public static final f D = k(f11711o, "plain");
    public static final f D0 = k(f11702l, "javascript");
    public static final f E = k(f11711o, "javascript");
    public static final f E0 = j(f11702l, "jose");
    public static final f F = k(f11711o, "tab-separated-values");
    public static final f F0 = j(f11702l, "jose+json");
    public static final f G = k(f11711o, "vcard");
    public static final f G0 = k(f11702l, "json");
    public static final f H = k(f11711o, "vnd.wap.wml");
    public static final f H0 = k(f11702l, "manifest+json");
    public static final f I = k(f11711o, "xml");
    public static final f I0 = j(f11702l, "vnd.google-earth.kml+xml");
    public static final f J = k(f11711o, "vtt");
    public static final f J0 = j(f11702l, "vnd.google-earth.kmz");
    public static final f K = j(f11708n, "bmp");
    public static final f K0 = j(f11702l, "mbox");
    public static final f L = j(f11708n, "x-canon-crw");
    public static final f L0 = j(f11702l, "x-apple-aspen-config");
    public static final f M = j(f11708n, "gif");
    public static final f M0 = j(f11702l, "vnd.ms-excel");
    public static final f N = j(f11708n, "vnd.microsoft.icon");
    public static final f N0 = j(f11702l, "vnd.ms-outlook");
    public static final f O = j(f11708n, "jpeg");
    public static final f O0 = j(f11702l, "vnd.ms-powerpoint");
    public static final f P = j(f11708n, "png");
    public static final f P0 = j(f11702l, "msword");
    public static final f Q = j(f11708n, "vnd.adobe.photoshop");
    public static final f Q0 = j(f11702l, "wasm");
    public static final f R = k(f11708n, "svg+xml");
    public static final f R0 = j(f11702l, "x-nacl");
    public static final f S = j(f11708n, "tiff");
    public static final f S0 = j(f11702l, "x-pnacl");
    public static final f T = j(f11708n, "webp");
    public static final f T0 = j(f11702l, "octet-stream");
    public static final f U = j(f11705m, "mp4");
    public static final f U0 = j(f11702l, "ogg");
    public static final f V = j(f11705m, "mpeg");
    public static final f V0 = j(f11702l, "vnd.openxmlformats-officedocument.wordprocessingml.document");
    public static final f W = j(f11705m, "ogg");
    public static final f W0 = j(f11702l, "vnd.openxmlformats-officedocument.presentationml.presentation");
    public static final f X = j(f11705m, "webm");
    public static final f X0 = j(f11702l, "vnd.openxmlformats-officedocument.spreadsheetml.sheet");
    public static final f Y = j(f11705m, "l16");
    public static final f Y0 = j(f11702l, "vnd.oasis.opendocument.graphics");
    public static final f Z = j(f11705m, "l24");
    public static final f Z0 = j(f11702l, "vnd.oasis.opendocument.presentation");

    /* renamed from: a0  reason: collision with root package name */
    public static final f f11675a0 = j(f11705m, "basic");

    /* renamed from: a1  reason: collision with root package name */
    public static final f f11676a1 = j(f11702l, "vnd.oasis.opendocument.spreadsheet");

    /* renamed from: b0  reason: collision with root package name */
    public static final f f11677b0 = j(f11705m, "aac");

    /* renamed from: b1  reason: collision with root package name */
    public static final f f11678b1 = j(f11702l, "vnd.oasis.opendocument.text");

    /* renamed from: c0  reason: collision with root package name */
    public static final f f11679c0 = j(f11705m, "vorbis");

    /* renamed from: c1  reason: collision with root package name */
    public static final f f11680c1 = j(f11702l, "pdf");

    /* renamed from: d0  reason: collision with root package name */
    public static final f f11681d0 = j(f11705m, "x-ms-wma");

    /* renamed from: d1  reason: collision with root package name */
    public static final f f11682d1 = j(f11702l, "postscript");

    /* renamed from: e0  reason: collision with root package name */
    public static final f f11683e0 = j(f11705m, "x-ms-wax");

    /* renamed from: e1  reason: collision with root package name */
    public static final f f11684e1 = j(f11702l, "protobuf");

    /* renamed from: f0  reason: collision with root package name */
    public static final f f11685f0 = j(f11705m, "vnd.rn-realaudio");

    /* renamed from: f1  reason: collision with root package name */
    public static final f f11686f1 = k(f11702l, "rdf+xml");

    /* renamed from: g  reason: collision with root package name */
    private static final String f11687g = "charset";

    /* renamed from: g0  reason: collision with root package name */
    public static final f f11688g0 = j(f11705m, "vnd.wave");

    /* renamed from: g1  reason: collision with root package name */
    public static final f f11689g1 = k(f11702l, "rtf");

    /* renamed from: h  reason: collision with root package name */
    private static final d6<String, String> f11690h = d6.o0(f11687g, Ascii.toLowerCase(Charsets.UTF_8.name()));

    /* renamed from: h0  reason: collision with root package name */
    public static final f f11691h0 = j(f11714p, "mp4");

    /* renamed from: h1  reason: collision with root package name */
    public static final f f11692h1 = j(f11702l, "font-sfnt");

    /* renamed from: i  reason: collision with root package name */
    private static final CharMatcher f11693i = CharMatcher.ascii().and(CharMatcher.javaIsoControl().negate()).and(CharMatcher.isNot(' ')).and(CharMatcher.noneOf("()<>@,;:\\\"/[]?="));

    /* renamed from: i0  reason: collision with root package name */
    public static final f f11694i0 = j(f11714p, "mpeg");

    /* renamed from: i1  reason: collision with root package name */
    public static final f f11695i1 = j(f11702l, "x-shockwave-flash");

    /* renamed from: j  reason: collision with root package name */
    private static final CharMatcher f11696j = CharMatcher.ascii().and(CharMatcher.noneOf("\"\\\r"));

    /* renamed from: j0  reason: collision with root package name */
    public static final f f11697j0 = j(f11714p, "ogg");

    /* renamed from: j1  reason: collision with root package name */
    public static final f f11698j1 = j(f11702l, "vnd.sketchup.skp");

    /* renamed from: k  reason: collision with root package name */
    private static final CharMatcher f11699k = CharMatcher.anyOf(" \t\r\n");

    /* renamed from: k0  reason: collision with root package name */
    public static final f f11700k0 = j(f11714p, "quicktime");

    /* renamed from: k1  reason: collision with root package name */
    public static final f f11701k1 = k(f11702l, "soap+xml");

    /* renamed from: l  reason: collision with root package name */
    private static final String f11702l = "application";

    /* renamed from: l0  reason: collision with root package name */
    public static final f f11703l0 = j(f11714p, "webm");

    /* renamed from: l1  reason: collision with root package name */
    public static final f f11704l1 = j(f11702l, "x-tar");

    /* renamed from: m  reason: collision with root package name */
    private static final String f11705m = "audio";

    /* renamed from: m0  reason: collision with root package name */
    public static final f f11706m0 = j(f11714p, "x-ms-wmv");

    /* renamed from: m1  reason: collision with root package name */
    public static final f f11707m1 = j(f11702l, "font-woff");

    /* renamed from: n  reason: collision with root package name */
    private static final String f11708n = "image";

    /* renamed from: n0  reason: collision with root package name */
    public static final f f11709n0 = j(f11714p, "x-flv");

    /* renamed from: n1  reason: collision with root package name */
    public static final f f11710n1 = j(f11702l, "font-woff2");

    /* renamed from: o  reason: collision with root package name */
    private static final String f11711o = "text";

    /* renamed from: o0  reason: collision with root package name */
    public static final f f11712o0 = j(f11714p, "3gpp");

    /* renamed from: o1  reason: collision with root package name */
    public static final f f11713o1 = k(f11702l, "xhtml+xml");

    /* renamed from: p  reason: collision with root package name */
    private static final String f11714p = "video";

    /* renamed from: p0  reason: collision with root package name */
    public static final f f11715p0 = j(f11714p, "3gpp2");

    /* renamed from: p1  reason: collision with root package name */
    public static final f f11716p1 = k(f11702l, "xrd+xml");

    /* renamed from: q  reason: collision with root package name */
    private static final String f11717q = "*";

    /* renamed from: q0  reason: collision with root package name */
    public static final f f11718q0 = k(f11702l, "xml");

    /* renamed from: q1  reason: collision with root package name */
    public static final f f11719q1 = j(f11702l, "zip");

    /* renamed from: r  reason: collision with root package name */
    private static final Map<f, f> f11720r = v9.i0();

    /* renamed from: r0  reason: collision with root package name */
    public static final f f11721r0 = k(f11702l, "atom+xml");

    /* renamed from: r1  reason: collision with root package name */
    private static final Joiner.MapJoiner f11722r1 = Joiner.on("; ").withKeyValueSeparator("=");

    /* renamed from: s  reason: collision with root package name */
    public static final f f11723s = j(f11717q, f11717q);

    /* renamed from: s0  reason: collision with root package name */
    public static final f f11724s0 = j(f11702l, "x-bzip2");

    /* renamed from: t  reason: collision with root package name */
    public static final f f11725t = j(f11711o, f11717q);

    /* renamed from: t0  reason: collision with root package name */
    public static final f f11726t0 = k(f11702l, "dart");

    /* renamed from: u  reason: collision with root package name */
    public static final f f11727u = j(f11708n, f11717q);

    /* renamed from: u0  reason: collision with root package name */
    public static final f f11728u0 = j(f11702l, "vnd.apple.pkpass");

    /* renamed from: v  reason: collision with root package name */
    public static final f f11729v = j(f11705m, f11717q);

    /* renamed from: v0  reason: collision with root package name */
    public static final f f11730v0 = j(f11702l, "vnd.ms-fontobject");

    /* renamed from: w  reason: collision with root package name */
    public static final f f11731w = j(f11714p, f11717q);

    /* renamed from: w0  reason: collision with root package name */
    public static final f f11732w0 = j(f11702l, "epub+zip");

    /* renamed from: x  reason: collision with root package name */
    public static final f f11733x = j(f11702l, f11717q);

    /* renamed from: x0  reason: collision with root package name */
    public static final f f11734x0 = j(f11702l, "x-www-form-urlencoded");

    /* renamed from: y  reason: collision with root package name */
    public static final f f11735y = k(f11711o, "cache-manifest");

    /* renamed from: y0  reason: collision with root package name */
    public static final f f11736y0 = j(f11702l, "pkcs12");

    /* renamed from: z  reason: collision with root package name */
    public static final f f11737z = k(f11711o, "css");

    /* renamed from: z0  reason: collision with root package name */
    public static final f f11738z0 = j(f11702l, "binary");

    /* renamed from: a  reason: collision with root package name */
    private final String f11739a;

    /* renamed from: b  reason: collision with root package name */
    private final String f11740b;

    /* renamed from: c  reason: collision with root package name */
    private final d6<String, String> f11741c;
    @q0.b

    /* renamed from: d  reason: collision with root package name */
    private String f11742d;
    @q0.b

    /* renamed from: e  reason: collision with root package name */
    private int f11743e;
    @q0.b

    /* renamed from: f  reason: collision with root package name */
    private Optional<Charset> f11744f;

    /* access modifiers changed from: package-private */
    public class a implements Function<Collection<String>, z6<String>> {
        a() {
        }

        /* renamed from: a */
        public z6<String> apply(Collection<String> collection) {
            return z6.J(collection);
        }
    }

    /* access modifiers changed from: package-private */
    public class b implements Function<String, String> {
        b() {
        }

        /* renamed from: a */
        public String apply(String str) {
            return f.f11693i.matchesAllOf(str) ? str : f.o(str);
        }
    }

    private static final class c {

        /* renamed from: a  reason: collision with root package name */
        final String f11747a;

        /* renamed from: b  reason: collision with root package name */
        int f11748b = 0;

        c(String str) {
            this.f11747a = str;
        }

        /* access modifiers changed from: package-private */
        public char a(char c7) {
            Preconditions.checkState(e());
            Preconditions.checkState(f() == c7);
            this.f11748b++;
            return c7;
        }

        /* access modifiers changed from: package-private */
        public char b(CharMatcher charMatcher) {
            Preconditions.checkState(e());
            char f7 = f();
            Preconditions.checkState(charMatcher.matches(f7));
            this.f11748b++;
            return f7;
        }

        /* access modifiers changed from: package-private */
        public String c(CharMatcher charMatcher) {
            int i7 = this.f11748b;
            String d7 = d(charMatcher);
            Preconditions.checkState(this.f11748b != i7);
            return d7;
        }

        /* access modifiers changed from: package-private */
        public String d(CharMatcher charMatcher) {
            Preconditions.checkState(e());
            int i7 = this.f11748b;
            this.f11748b = charMatcher.negate().indexIn(this.f11747a, i7);
            return e() ? this.f11747a.substring(i7, this.f11748b) : this.f11747a.substring(i7);
        }

        /* access modifiers changed from: package-private */
        public boolean e() {
            int i7 = this.f11748b;
            return i7 >= 0 && i7 < this.f11747a.length();
        }

        /* access modifiers changed from: package-private */
        public char f() {
            Preconditions.checkState(e());
            return this.f11747a.charAt(this.f11748b);
        }
    }

    private f(String str, String str2, d6<String, String> d6Var) {
        this.f11739a = str;
        this.f11740b = str2;
        this.f11741c = d6Var;
    }

    private static f c(f fVar) {
        f11720r.put(fVar, fVar);
        return fVar;
    }

    private String e() {
        StringBuilder sb = new StringBuilder();
        sb.append(this.f11739a);
        sb.append('/');
        sb.append(this.f11740b);
        if (!this.f11741c.isEmpty()) {
            sb.append("; ");
            f11722r1.appendTo(sb, (Iterable<? extends Map.Entry<?, ?>>) ua.O(this.f11741c, new b()).h());
        }
        return sb.toString();
    }

    public static f f(String str, String str2) {
        f g7 = g(str, str2, d6.n0());
        g7.f11744f = Optional.absent();
        return g7;
    }

    private static f g(String str, String str2, na<String, String> naVar) {
        Preconditions.checkNotNull(str);
        Preconditions.checkNotNull(str2);
        Preconditions.checkNotNull(naVar);
        String s7 = s(str);
        String s8 = s(str2);
        Preconditions.checkArgument(!f11717q.equals(s7) || f11717q.equals(s8), "A wildcard type cannot be used with a non-wildcard subtype");
        d6.a a02 = d6.a0();
        for (Map.Entry<String, String> entry : naVar.h()) {
            String s9 = s(entry.getKey());
            a02.f(s9, r(s9, entry.getValue()));
        }
        f fVar = new f(s7, s8, a02.a());
        return (f) MoreObjects.firstNonNull(f11720r.get(fVar), fVar);
    }

    static f h(String str) {
        return f(f11702l, str);
    }

    static f i(String str) {
        return f(f11705m, str);
    }

    private static f j(String str, String str2) {
        f c7 = c(new f(str, str2, d6.n0()));
        c7.f11744f = Optional.absent();
        return c7;
    }

    private static f k(String str, String str2) {
        f c7 = c(new f(str, str2, f11690h));
        c7.f11744f = Optional.of(Charsets.UTF_8);
        return c7;
    }

    static f l(String str) {
        return f(f11708n, str);
    }

    static f m(String str) {
        return f(f11711o, str);
    }

    static f n(String str) {
        return f(f11714p, str);
    }

    /* access modifiers changed from: private */
    public static String o(String str) {
        StringBuilder sb = new StringBuilder(str.length() + 16);
        sb.append(h0.f20269b);
        for (int i7 = 0; i7 < str.length(); i7++) {
            char charAt = str.charAt(i7);
            if (charAt == '\r' || charAt == '\\' || charAt == '\"') {
                sb.append('\\');
            }
            sb.append(charAt);
        }
        sb.append(h0.f20269b);
        return sb.toString();
    }

    private static String r(String str, String str2) {
        return f11687g.equals(str) ? Ascii.toLowerCase(str2) : str2;
    }

    private static String s(String str) {
        Preconditions.checkArgument(f11693i.matchesAllOf(str));
        return Ascii.toLowerCase(str);
    }

    private Map<String, z6<String>> u() {
        return v9.N0(this.f11741c.e(), new a());
    }

    public static f v(String str) {
        String str2;
        Preconditions.checkNotNull(str);
        c cVar = new c(str);
        try {
            CharMatcher charMatcher = f11693i;
            String c7 = cVar.c(charMatcher);
            cVar.a('/');
            String c8 = cVar.c(charMatcher);
            d6.a a02 = d6.a0();
            while (cVar.e()) {
                CharMatcher charMatcher2 = f11699k;
                cVar.d(charMatcher2);
                cVar.a(';');
                cVar.d(charMatcher2);
                CharMatcher charMatcher3 = f11693i;
                String c9 = cVar.c(charMatcher3);
                cVar.a('=');
                if ('\"' == cVar.f()) {
                    cVar.a(h0.f20269b);
                    StringBuilder sb = new StringBuilder();
                    while ('\"' != cVar.f()) {
                        if ('\\' == cVar.f()) {
                            cVar.a('\\');
                            sb.append(cVar.b(CharMatcher.ascii()));
                        } else {
                            sb.append(cVar.c(f11696j));
                        }
                    }
                    str2 = sb.toString();
                    cVar.a(h0.f20269b);
                } else {
                    str2 = cVar.c(charMatcher3);
                }
                a02.f(c9, str2);
            }
            return g(c7, c8, a02.a());
        } catch (IllegalStateException e7) {
            throw new IllegalArgumentException("Could not parse '" + str + "'", e7);
        }
    }

    public f A(na<String, String> naVar) {
        return g(this.f11739a, this.f11740b, naVar);
    }

    public f B(String str, Iterable<String> iterable) {
        Preconditions.checkNotNull(str);
        Preconditions.checkNotNull(iterable);
        String s7 = s(str);
        d6.a a02 = d6.a0();
        le<Map.Entry<String, String>> n7 = this.f11741c.h().iterator();
        while (n7.hasNext()) {
            Map.Entry<String, String> next = n7.next();
            String key = next.getKey();
            if (!s7.equals(key)) {
                a02.f(key, next.getValue());
            }
        }
        for (String str2 : iterable) {
            a02.f(s7, r(s7, str2));
        }
        f fVar = new f(this.f11739a, this.f11740b, a02.a());
        if (!s7.equals(f11687g)) {
            fVar.f11744f = this.f11744f;
        }
        return (f) MoreObjects.firstNonNull(f11720r.get(fVar), fVar);
    }

    public f C() {
        return this.f11741c.isEmpty() ? this : f(this.f11739a, this.f11740b);
    }

    public Optional<Charset> d() {
        Optional<Charset> optional = this.f11744f;
        if (optional == null) {
            optional = Optional.absent();
            le<String> n7 = this.f11741c.get(f11687g).iterator();
            String str = null;
            while (n7.hasNext()) {
                String next = n7.next();
                if (str == null) {
                    optional = Optional.of(Charset.forName(next));
                    str = next;
                } else if (!str.equals(next)) {
                    throw new IllegalStateException("Multiple charset values defined: " + str + ", " + next);
                }
            }
            this.f11744f = optional;
        }
        return optional;
    }

    public boolean equals(Object obj) {
        if (obj == this) {
            return true;
        }
        if (!(obj instanceof f)) {
            return false;
        }
        f fVar = (f) obj;
        return this.f11739a.equals(fVar.f11739a) && this.f11740b.equals(fVar.f11740b) && u().equals(fVar.u());
    }

    public int hashCode() {
        int i7 = this.f11743e;
        if (i7 != 0) {
            return i7;
        }
        int hashCode = Objects.hashCode(this.f11739a, this.f11740b, u());
        this.f11743e = hashCode;
        return hashCode;
    }

    public boolean p() {
        return f11717q.equals(this.f11739a) || f11717q.equals(this.f11740b);
    }

    public boolean q(f fVar) {
        return (fVar.f11739a.equals(f11717q) || fVar.f11739a.equals(this.f11739a)) && (fVar.f11740b.equals(f11717q) || fVar.f11740b.equals(this.f11740b)) && this.f11741c.h().containsAll(fVar.f11741c.h());
    }

    public d6<String, String> t() {
        return this.f11741c;
    }

    public String toString() {
        String str = this.f11742d;
        if (str != null) {
            return str;
        }
        String e7 = e();
        this.f11742d = e7;
        return e7;
    }

    public String w() {
        return this.f11740b;
    }

    public String x() {
        return this.f11739a;
    }

    public f y(Charset charset) {
        Preconditions.checkNotNull(charset);
        f z7 = z(f11687g, charset.name());
        z7.f11744f = Optional.of(charset);
        return z7;
    }

    public f z(String str, String str2) {
        return B(str, e7.Z(str2));
    }
}
