package com.google.common.net;

import com.google.common.base.Preconditions;
import com.google.common.escape.i;
import m0.a;
import m0.b;

@a
@b
public final class g extends i {

    /* renamed from: e  reason: collision with root package name */
    private static final char[] f11749e = {'+'};

    /* renamed from: f  reason: collision with root package name */
    private static final char[] f11750f = "0123456789ABCDEF".toCharArray();

    /* renamed from: c  reason: collision with root package name */
    private final boolean f11751c;

    /* renamed from: d  reason: collision with root package name */
    private final boolean[] f11752d;

    public g(String str, boolean z7) {
        Preconditions.checkNotNull(str);
        if (!str.matches(".*[0-9A-Za-z].*")) {
            String str2 = str + "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789";
            if (!z7 || !str2.contains(" ")) {
                this.f11751c = z7;
                this.f11752d = h(str2);
                return;
            }
            throw new IllegalArgumentException("plusForSpace cannot be specified when space is a 'safe' character");
        }
        throw new IllegalArgumentException("Alphanumeric characters are always 'safe' and should not be explicitly specified");
    }

    private static boolean[] h(String str) {
        char[] charArray = str.toCharArray();
        int i7 = -1;
        for (char c7 : charArray) {
            i7 = Math.max((int) c7, i7);
        }
        boolean[] zArr = new boolean[(i7 + 1)];
        for (char c8 : charArray) {
            zArr[c8] = true;
        }
        return zArr;
    }

    @Override // com.google.common.escape.i, com.google.common.escape.f
    public String b(String str) {
        Preconditions.checkNotNull(str);
        int length = str.length();
        for (int i7 = 0; i7 < length; i7++) {
            char charAt = str.charAt(i7);
            boolean[] zArr = this.f11752d;
            if (charAt >= zArr.length || !zArr[charAt]) {
                return e(str, i7);
            }
        }
        return str;
    }

    /* access modifiers changed from: protected */
    @Override // com.google.common.escape.i
    public char[] d(int i7) {
        boolean[] zArr = this.f11752d;
        if (i7 < zArr.length && zArr[i7]) {
            return null;
        }
        if (i7 == 32 && this.f11751c) {
            return f11749e;
        }
        if (i7 <= 127) {
            char[] cArr = new char[3];
            cArr[0] = '%';
            char[] cArr2 = f11750f;
            cArr[2] = cArr2[i7 & 15];
            cArr[1] = cArr2[i7 >>> 4];
            return cArr;
        } else if (i7 <= 2047) {
            char[] cArr3 = new char[6];
            cArr3[0] = '%';
            cArr3[3] = '%';
            char[] cArr4 = f11750f;
            cArr3[5] = cArr4[i7 & 15];
            int i8 = i7 >>> 4;
            cArr3[4] = cArr4[(i8 & 3) | 8];
            int i9 = i8 >>> 2;
            cArr3[2] = cArr4[i9 & 15];
            cArr3[1] = cArr4[(i9 >>> 4) | 12];
            return cArr3;
        } else if (i7 <= 65535) {
            char[] cArr5 = new char[9];
            cArr5[0] = '%';
            cArr5[1] = 'E';
            cArr5[3] = '%';
            cArr5[6] = '%';
            char[] cArr6 = f11750f;
            cArr5[8] = cArr6[i7 & 15];
            int i10 = i7 >>> 4;
            cArr5[7] = cArr6[(i10 & 3) | 8];
            int i11 = i10 >>> 2;
            cArr5[5] = cArr6[i11 & 15];
            int i12 = i11 >>> 4;
            cArr5[4] = cArr6[(i12 & 3) | 8];
            cArr5[2] = cArr6[i12 >>> 2];
            return cArr5;
        } else if (i7 <= 1114111) {
            char[] cArr7 = new char[12];
            cArr7[0] = '%';
            cArr7[1] = 'F';
            cArr7[3] = '%';
            cArr7[6] = '%';
            cArr7[9] = '%';
            char[] cArr8 = f11750f;
            cArr7[11] = cArr8[i7 & 15];
            int i13 = i7 >>> 4;
            cArr7[10] = cArr8[(i13 & 3) | 8];
            int i14 = i13 >>> 2;
            cArr7[8] = cArr8[i14 & 15];
            int i15 = i14 >>> 4;
            cArr7[7] = cArr8[(i15 & 3) | 8];
            int i16 = i15 >>> 2;
            cArr7[5] = cArr8[i16 & 15];
            int i17 = i16 >>> 4;
            cArr7[4] = cArr8[(i17 & 3) | 8];
            cArr7[2] = cArr8[(i17 >>> 2) & 7];
            return cArr7;
        } else {
            throw new IllegalArgumentException("Invalid unicode character value " + i7);
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.google.common.escape.i
    public int g(CharSequence charSequence, int i7, int i8) {
        Preconditions.checkNotNull(charSequence);
        while (i7 < i8) {
            char charAt = charSequence.charAt(i7);
            boolean[] zArr = this.f11752d;
            if (charAt >= zArr.length || !zArr[charAt]) {
                break;
            }
            i7++;
        }
        return i7;
    }
}
