package com.google.common.primitives;

import com.google.common.base.Preconditions;
import java.io.Serializable;
import java.util.AbstractList;
import java.util.Arrays;
import java.util.Collection;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;
import java.util.RandomAccess;

@m0.b
public final class a {

    @m0.b
    /* renamed from: com.google.common.primitives.a$a  reason: collision with other inner class name */
    private static class C0162a extends AbstractList<Boolean> implements RandomAccess, Serializable {

        /* renamed from: x  reason: collision with root package name */
        private static final long f11758x = 0;

        /* renamed from: f  reason: collision with root package name */
        final boolean[] f11759f;

        /* renamed from: g  reason: collision with root package name */
        final int f11760g;

        /* renamed from: p  reason: collision with root package name */
        final int f11761p;

        C0162a(boolean[] zArr) {
            this(zArr, 0, zArr.length);
        }

        /* renamed from: b */
        public Boolean get(int i7) {
            Preconditions.checkElementIndex(i7, size());
            return Boolean.valueOf(this.f11759f[this.f11760g + i7]);
        }

        /* renamed from: c */
        public Boolean set(int i7, Boolean bool) {
            Preconditions.checkElementIndex(i7, size());
            boolean[] zArr = this.f11759f;
            int i8 = this.f11760g;
            boolean z7 = zArr[i8 + i7];
            zArr[i8 + i7] = ((Boolean) Preconditions.checkNotNull(bool)).booleanValue();
            return Boolean.valueOf(z7);
        }

        public boolean contains(Object obj) {
            return (obj instanceof Boolean) && a.l(this.f11759f, ((Boolean) obj).booleanValue(), this.f11760g, this.f11761p) != -1;
        }

        /* access modifiers changed from: package-private */
        public boolean[] e() {
            return Arrays.copyOfRange(this.f11759f, this.f11760g, this.f11761p);
        }

        public boolean equals(Object obj) {
            if (obj == this) {
                return true;
            }
            if (!(obj instanceof C0162a)) {
                return super.equals(obj);
            }
            C0162a aVar = (C0162a) obj;
            int size = size();
            if (aVar.size() != size) {
                return false;
            }
            for (int i7 = 0; i7 < size; i7++) {
                if (this.f11759f[this.f11760g + i7] != aVar.f11759f[aVar.f11760g + i7]) {
                    return false;
                }
            }
            return true;
        }

        public int hashCode() {
            int i7 = 1;
            for (int i8 = this.f11760g; i8 < this.f11761p; i8++) {
                i7 = (i7 * 31) + a.j(this.f11759f[i8]);
            }
            return i7;
        }

        public int indexOf(Object obj) {
            int l7;
            if (!(obj instanceof Boolean) || (l7 = a.l(this.f11759f, ((Boolean) obj).booleanValue(), this.f11760g, this.f11761p)) < 0) {
                return -1;
            }
            return l7 - this.f11760g;
        }

        public boolean isEmpty() {
            return false;
        }

        public int lastIndexOf(Object obj) {
            int p7;
            if (!(obj instanceof Boolean) || (p7 = a.p(this.f11759f, ((Boolean) obj).booleanValue(), this.f11760g, this.f11761p)) < 0) {
                return -1;
            }
            return p7 - this.f11760g;
        }

        public int size() {
            return this.f11761p - this.f11760g;
        }

        @Override // java.util.List, java.util.AbstractList
        public List<Boolean> subList(int i7, int i8) {
            Preconditions.checkPositionIndexes(i7, i8, size());
            if (i7 == i8) {
                return Collections.emptyList();
            }
            boolean[] zArr = this.f11759f;
            int i9 = this.f11760g;
            return new C0162a(zArr, i7 + i9, i9 + i8);
        }

        public String toString() {
            StringBuilder sb = new StringBuilder(size() * 7);
            sb.append(this.f11759f[this.f11760g] ? "[true" : "[false");
            int i7 = this.f11760g;
            while (true) {
                i7++;
                if (i7 < this.f11761p) {
                    sb.append(this.f11759f[i7] ? ", true" : ", false");
                } else {
                    sb.append(']');
                    return sb.toString();
                }
            }
        }

        C0162a(boolean[] zArr, int i7, int i8) {
            this.f11759f = zArr;
            this.f11760g = i7;
            this.f11761p = i8;
        }
    }

    private enum b implements Comparator<Boolean> {
        TRUE_FIRST(1, "Booleans.trueFirst()"),
        FALSE_FIRST(-1, "Booleans.falseFirst()");
        

        /* renamed from: f  reason: collision with root package name */
        private final int f11765f;

        /* renamed from: g  reason: collision with root package name */
        private final String f11766g;

        private b(int i7, String str) {
            this.f11765f = i7;
            this.f11766g = str;
        }

        /* renamed from: a */
        public int compare(Boolean bool, Boolean bool2) {
            int i7 = 0;
            int i8 = bool.booleanValue() ? this.f11765f : 0;
            if (bool2.booleanValue()) {
                i7 = this.f11765f;
            }
            return i7 - i8;
        }

        public String toString() {
            return this.f11766g;
        }
    }

    private enum c implements Comparator<boolean[]> {
        INSTANCE;

        /* renamed from: a */
        public int compare(boolean[] zArr, boolean[] zArr2) {
            int min = Math.min(zArr.length, zArr2.length);
            for (int i7 = 0; i7 < min; i7++) {
                int d7 = a.d(zArr[i7], zArr2[i7]);
                if (d7 != 0) {
                    return d7;
                }
            }
            return zArr.length - zArr2.length;
        }

        public String toString() {
            return "Booleans.lexicographicalComparator()";
        }
    }

    private a() {
    }

    public static List<Boolean> c(boolean... zArr) {
        return zArr.length == 0 ? Collections.emptyList() : new C0162a(zArr);
    }

    public static int d(boolean z7, boolean z8) {
        if (z7 == z8) {
            return 0;
        }
        return z7 ? 1 : -1;
    }

    public static boolean[] e(boolean[]... zArr) {
        int i7 = 0;
        for (boolean[] zArr2 : zArr) {
            i7 += zArr2.length;
        }
        boolean[] zArr3 = new boolean[i7];
        int i8 = 0;
        for (boolean[] zArr4 : zArr) {
            System.arraycopy(zArr4, 0, zArr3, i8, zArr4.length);
            i8 += zArr4.length;
        }
        return zArr3;
    }

    public static boolean f(boolean[] zArr, boolean z7) {
        for (boolean z8 : zArr) {
            if (z8 == z7) {
                return true;
            }
        }
        return false;
    }

    @m0.a
    public static int g(boolean... zArr) {
        int i7 = 0;
        for (boolean z7 : zArr) {
            if (z7) {
                i7++;
            }
        }
        return i7;
    }

    public static boolean[] h(boolean[] zArr, int i7, int i8) {
        boolean z7 = true;
        Preconditions.checkArgument(i7 >= 0, "Invalid minLength: %s", i7);
        if (i8 < 0) {
            z7 = false;
        }
        Preconditions.checkArgument(z7, "Invalid padding: %s", i8);
        return zArr.length < i7 ? Arrays.copyOf(zArr, i7 + i8) : zArr;
    }

    @m0.a
    public static Comparator<Boolean> i() {
        return b.FALSE_FIRST;
    }

    public static int j(boolean z7) {
        return z7 ? 1231 : 1237;
    }

    public static int k(boolean[] zArr, boolean z7) {
        return l(zArr, z7, 0, zArr.length);
    }

    /* access modifiers changed from: private */
    public static int l(boolean[] zArr, boolean z7, int i7, int i8) {
        while (i7 < i8) {
            if (zArr[i7] == z7) {
                return i7;
            }
            i7++;
        }
        return -1;
    }

    public static int m(boolean[] zArr, boolean[] zArr2) {
        Preconditions.checkNotNull(zArr, "array");
        Preconditions.checkNotNull(zArr2, "target");
        if (zArr2.length == 0) {
            return 0;
        }
        for (int i7 = 0; i7 < (zArr.length - zArr2.length) + 1; i7++) {
            for (int i8 = 0; i8 < zArr2.length; i8++) {
                if (zArr[i7 + i8] != zArr2[i8]) {
                }
            }
            return i7;
        }
        return -1;
    }

    public static String n(String str, boolean... zArr) {
        Preconditions.checkNotNull(str);
        if (zArr.length == 0) {
            return "";
        }
        StringBuilder sb = new StringBuilder(zArr.length * 7);
        sb.append(zArr[0]);
        for (int i7 = 1; i7 < zArr.length; i7++) {
            sb.append(str);
            sb.append(zArr[i7]);
        }
        return sb.toString();
    }

    public static int o(boolean[] zArr, boolean z7) {
        return p(zArr, z7, 0, zArr.length);
    }

    /* access modifiers changed from: private */
    public static int p(boolean[] zArr, boolean z7, int i7, int i8) {
        for (int i9 = i8 - 1; i9 >= i7; i9--) {
            if (zArr[i9] == z7) {
                return i9;
            }
        }
        return -1;
    }

    public static Comparator<boolean[]> q() {
        return c.INSTANCE;
    }

    public static void r(boolean[] zArr) {
        Preconditions.checkNotNull(zArr);
        s(zArr, 0, zArr.length);
    }

    public static void s(boolean[] zArr, int i7, int i8) {
        Preconditions.checkNotNull(zArr);
        Preconditions.checkPositionIndexes(i7, i8, zArr.length);
        for (int i9 = i8 - 1; i7 < i9; i9--) {
            boolean z7 = zArr[i7];
            zArr[i7] = zArr[i9];
            zArr[i9] = z7;
            i7++;
        }
    }

    public static boolean[] t(Collection<Boolean> collection) {
        if (collection instanceof C0162a) {
            return ((C0162a) collection).e();
        }
        Object[] array = collection.toArray();
        int length = array.length;
        boolean[] zArr = new boolean[length];
        for (int i7 = 0; i7 < length; i7++) {
            zArr[i7] = ((Boolean) Preconditions.checkNotNull(array[i7])).booleanValue();
        }
        return zArr;
    }

    @m0.a
    public static Comparator<Boolean> u() {
        return b.TRUE_FIRST;
    }
}
