package com.google.common.primitives;

import com.google.common.base.Preconditions;
import java.io.Serializable;
import java.util.AbstractList;
import java.util.Arrays;
import java.util.Collection;
import java.util.Collections;
import java.util.List;
import java.util.RandomAccess;

@m0.b
public final class b {

    @m0.b
    private static class a extends AbstractList<Byte> implements RandomAccess, Serializable {

        /* renamed from: x  reason: collision with root package name */
        private static final long f11769x = 0;

        /* renamed from: f  reason: collision with root package name */
        final byte[] f11770f;

        /* renamed from: g  reason: collision with root package name */
        final int f11771g;

        /* renamed from: p  reason: collision with root package name */
        final int f11772p;

        a(byte[] bArr) {
            this(bArr, 0, bArr.length);
        }

        /* renamed from: b */
        public Byte get(int i7) {
            Preconditions.checkElementIndex(i7, size());
            return Byte.valueOf(this.f11770f[this.f11771g + i7]);
        }

        /* renamed from: c */
        public Byte set(int i7, Byte b7) {
            Preconditions.checkElementIndex(i7, size());
            byte[] bArr = this.f11770f;
            int i8 = this.f11771g;
            byte b8 = bArr[i8 + i7];
            bArr[i8 + i7] = ((Byte) Preconditions.checkNotNull(b7)).byteValue();
            return Byte.valueOf(b8);
        }

        public boolean contains(Object obj) {
            return (obj instanceof Byte) && b.i(this.f11770f, ((Byte) obj).byteValue(), this.f11771g, this.f11772p) != -1;
        }

        /* access modifiers changed from: package-private */
        public byte[] e() {
            return Arrays.copyOfRange(this.f11770f, this.f11771g, this.f11772p);
        }

        public boolean equals(Object obj) {
            if (obj == this) {
                return true;
            }
            if (!(obj instanceof a)) {
                return super.equals(obj);
            }
            a aVar = (a) obj;
            int size = size();
            if (aVar.size() != size) {
                return false;
            }
            for (int i7 = 0; i7 < size; i7++) {
                if (this.f11770f[this.f11771g + i7] != aVar.f11770f[aVar.f11771g + i7]) {
                    return false;
                }
            }
            return true;
        }

        public int hashCode() {
            int i7 = 1;
            for (int i8 = this.f11771g; i8 < this.f11772p; i8++) {
                i7 = (i7 * 31) + b.g(this.f11770f[i8]);
            }
            return i7;
        }

        public int indexOf(Object obj) {
            int i7;
            if (!(obj instanceof Byte) || (i7 = b.i(this.f11770f, ((Byte) obj).byteValue(), this.f11771g, this.f11772p)) < 0) {
                return -1;
            }
            return i7 - this.f11771g;
        }

        public boolean isEmpty() {
            return false;
        }

        public int lastIndexOf(Object obj) {
            int l7;
            if (!(obj instanceof Byte) || (l7 = b.l(this.f11770f, ((Byte) obj).byteValue(), this.f11771g, this.f11772p)) < 0) {
                return -1;
            }
            return l7 - this.f11771g;
        }

        public int size() {
            return this.f11772p - this.f11771g;
        }

        @Override // java.util.List, java.util.AbstractList
        public List<Byte> subList(int i7, int i8) {
            Preconditions.checkPositionIndexes(i7, i8, size());
            if (i7 == i8) {
                return Collections.emptyList();
            }
            byte[] bArr = this.f11770f;
            int i9 = this.f11771g;
            return new a(bArr, i7 + i9, i9 + i8);
        }

        public String toString() {
            StringBuilder sb = new StringBuilder(size() * 5);
            sb.append('[');
            sb.append((int) this.f11770f[this.f11771g]);
            int i7 = this.f11771g;
            while (true) {
                i7++;
                if (i7 < this.f11772p) {
                    sb.append(", ");
                    sb.append((int) this.f11770f[i7]);
                } else {
                    sb.append(']');
                    return sb.toString();
                }
            }
        }

        a(byte[] bArr, int i7, int i8) {
            this.f11770f = bArr;
            this.f11771g = i7;
            this.f11772p = i8;
        }
    }

    private b() {
    }

    public static List<Byte> c(byte... bArr) {
        return bArr.length == 0 ? Collections.emptyList() : new a(bArr);
    }

    public static byte[] d(byte[]... bArr) {
        int i7 = 0;
        for (byte[] bArr2 : bArr) {
            i7 += bArr2.length;
        }
        byte[] bArr3 = new byte[i7];
        int i8 = 0;
        for (byte[] bArr4 : bArr) {
            System.arraycopy(bArr4, 0, bArr3, i8, bArr4.length);
            i8 += bArr4.length;
        }
        return bArr3;
    }

    public static boolean e(byte[] bArr, byte b7) {
        for (byte b8 : bArr) {
            if (b8 == b7) {
                return true;
            }
        }
        return false;
    }

    public static byte[] f(byte[] bArr, int i7, int i8) {
        boolean z7 = true;
        Preconditions.checkArgument(i7 >= 0, "Invalid minLength: %s", i7);
        if (i8 < 0) {
            z7 = false;
        }
        Preconditions.checkArgument(z7, "Invalid padding: %s", i8);
        return bArr.length < i7 ? Arrays.copyOf(bArr, i7 + i8) : bArr;
    }

    public static int g(byte b7) {
        return b7;
    }

    public static int h(byte[] bArr, byte b7) {
        return i(bArr, b7, 0, bArr.length);
    }

    /* access modifiers changed from: private */
    public static int i(byte[] bArr, byte b7, int i7, int i8) {
        while (i7 < i8) {
            if (bArr[i7] == b7) {
                return i7;
            }
            i7++;
        }
        return -1;
    }

    public static int j(byte[] bArr, byte[] bArr2) {
        Preconditions.checkNotNull(bArr, "array");
        Preconditions.checkNotNull(bArr2, "target");
        if (bArr2.length == 0) {
            return 0;
        }
        for (int i7 = 0; i7 < (bArr.length - bArr2.length) + 1; i7++) {
            for (int i8 = 0; i8 < bArr2.length; i8++) {
                if (bArr[i7 + i8] != bArr2[i8]) {
                }
            }
            return i7;
        }
        return -1;
    }

    public static int k(byte[] bArr, byte b7) {
        return l(bArr, b7, 0, bArr.length);
    }

    /* access modifiers changed from: private */
    public static int l(byte[] bArr, byte b7, int i7, int i8) {
        for (int i9 = i8 - 1; i9 >= i7; i9--) {
            if (bArr[i9] == b7) {
                return i9;
            }
        }
        return -1;
    }

    public static void m(byte[] bArr) {
        Preconditions.checkNotNull(bArr);
        n(bArr, 0, bArr.length);
    }

    public static void n(byte[] bArr, int i7, int i8) {
        Preconditions.checkNotNull(bArr);
        Preconditions.checkPositionIndexes(i7, i8, bArr.length);
        for (int i9 = i8 - 1; i7 < i9; i9--) {
            byte b7 = bArr[i7];
            bArr[i7] = bArr[i9];
            bArr[i9] = b7;
            i7++;
        }
    }

    public static byte[] o(Collection<? extends Number> collection) {
        if (collection instanceof a) {
            return ((a) collection).e();
        }
        Object[] array = collection.toArray();
        int length = array.length;
        byte[] bArr = new byte[length];
        for (int i7 = 0; i7 < length; i7++) {
            bArr[i7] = ((Number) Preconditions.checkNotNull(array[i7])).byteValue();
        }
        return bArr;
    }
}
