package com.google.common.primitives;

import com.google.common.base.Preconditions;
import java.io.Serializable;
import java.util.AbstractList;
import java.util.Arrays;
import java.util.Collection;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;
import java.util.RandomAccess;
import kotlin.jvm.internal.r;

@m0.b(emulated = true)
public final class c {

    /* renamed from: a  reason: collision with root package name */
    public static final int f11773a = 2;

    @m0.b
    private static class a extends AbstractList<Character> implements RandomAccess, Serializable {

        /* renamed from: x  reason: collision with root package name */
        private static final long f11774x = 0;

        /* renamed from: f  reason: collision with root package name */
        final char[] f11775f;

        /* renamed from: g  reason: collision with root package name */
        final int f11776g;

        /* renamed from: p  reason: collision with root package name */
        final int f11777p;

        a(char[] cArr) {
            this(cArr, 0, cArr.length);
        }

        /* renamed from: b */
        public Character get(int i7) {
            Preconditions.checkElementIndex(i7, size());
            return Character.valueOf(this.f11775f[this.f11776g + i7]);
        }

        /* renamed from: c */
        public Character set(int i7, Character ch) {
            Preconditions.checkElementIndex(i7, size());
            char[] cArr = this.f11775f;
            int i8 = this.f11776g;
            char c7 = cArr[i8 + i7];
            cArr[i8 + i7] = ((Character) Preconditions.checkNotNull(ch)).charValue();
            return Character.valueOf(c7);
        }

        public boolean contains(Object obj) {
            return (obj instanceof Character) && c.n(this.f11775f, ((Character) obj).charValue(), this.f11776g, this.f11777p) != -1;
        }

        /* access modifiers changed from: package-private */
        public char[] e() {
            return Arrays.copyOfRange(this.f11775f, this.f11776g, this.f11777p);
        }

        public boolean equals(Object obj) {
            if (obj == this) {
                return true;
            }
            if (!(obj instanceof a)) {
                return super.equals(obj);
            }
            a aVar = (a) obj;
            int size = size();
            if (aVar.size() != size) {
                return false;
            }
            for (int i7 = 0; i7 < size; i7++) {
                if (this.f11775f[this.f11776g + i7] != aVar.f11775f[aVar.f11776g + i7]) {
                    return false;
                }
            }
            return true;
        }

        public int hashCode() {
            int i7 = 1;
            for (int i8 = this.f11776g; i8 < this.f11777p; i8++) {
                i7 = (i7 * 31) + c.l(this.f11775f[i8]);
            }
            return i7;
        }

        public int indexOf(Object obj) {
            int n7;
            if (!(obj instanceof Character) || (n7 = c.n(this.f11775f, ((Character) obj).charValue(), this.f11776g, this.f11777p)) < 0) {
                return -1;
            }
            return n7 - this.f11776g;
        }

        public boolean isEmpty() {
            return false;
        }

        public int lastIndexOf(Object obj) {
            int r7;
            if (!(obj instanceof Character) || (r7 = c.r(this.f11775f, ((Character) obj).charValue(), this.f11776g, this.f11777p)) < 0) {
                return -1;
            }
            return r7 - this.f11776g;
        }

        public int size() {
            return this.f11777p - this.f11776g;
        }

        @Override // java.util.List, java.util.AbstractList
        public List<Character> subList(int i7, int i8) {
            Preconditions.checkPositionIndexes(i7, i8, size());
            if (i7 == i8) {
                return Collections.emptyList();
            }
            char[] cArr = this.f11775f;
            int i9 = this.f11776g;
            return new a(cArr, i7 + i9, i9 + i8);
        }

        public String toString() {
            StringBuilder sb = new StringBuilder(size() * 3);
            sb.append('[');
            sb.append(this.f11775f[this.f11776g]);
            int i7 = this.f11776g;
            while (true) {
                i7++;
                if (i7 < this.f11777p) {
                    sb.append(", ");
                    sb.append(this.f11775f[i7]);
                } else {
                    sb.append(']');
                    return sb.toString();
                }
            }
        }

        a(char[] cArr, int i7, int i8) {
            this.f11775f = cArr;
            this.f11776g = i7;
            this.f11777p = i8;
        }
    }

    private enum b implements Comparator<char[]> {
        INSTANCE;

        /* renamed from: a */
        public int compare(char[] cArr, char[] cArr2) {
            int min = Math.min(cArr.length, cArr2.length);
            for (int i7 = 0; i7 < min; i7++) {
                int e7 = c.e(cArr[i7], cArr2[i7]);
                if (e7 != 0) {
                    return e7;
                }
            }
            return cArr.length - cArr2.length;
        }

        public String toString() {
            return "Chars.lexicographicalComparator()";
        }
    }

    private c() {
    }

    public static char[] A(Collection<Character> collection) {
        if (collection instanceof a) {
            return ((a) collection).e();
        }
        Object[] array = collection.toArray();
        int length = array.length;
        char[] cArr = new char[length];
        for (int i7 = 0; i7 < length; i7++) {
            cArr[i7] = ((Character) Preconditions.checkNotNull(array[i7])).charValue();
        }
        return cArr;
    }

    @m0.c
    public static byte[] B(char c7) {
        return new byte[]{(byte) (c7 >> '\b'), (byte) c7};
    }

    public static List<Character> c(char... cArr) {
        return cArr.length == 0 ? Collections.emptyList() : new a(cArr);
    }

    public static char d(long j7) {
        char c7 = (char) ((int) j7);
        Preconditions.checkArgument(((long) c7) == j7, "Out of range: %s", j7);
        return c7;
    }

    public static int e(char c7, char c8) {
        return c7 - c8;
    }

    public static char[] f(char[]... cArr) {
        int i7 = 0;
        for (char[] cArr2 : cArr) {
            i7 += cArr2.length;
        }
        char[] cArr3 = new char[i7];
        int i8 = 0;
        for (char[] cArr4 : cArr) {
            System.arraycopy(cArr4, 0, cArr3, i8, cArr4.length);
            i8 += cArr4.length;
        }
        return cArr3;
    }

    @m0.a
    public static char g(char c7, char c8, char c9) {
        Preconditions.checkArgument(c8 <= c9, "min (%s) must be less than or equal to max (%s)", c8, c9);
        return c7 < c8 ? c8 : c7 < c9 ? c7 : c9;
    }

    public static boolean h(char[] cArr, char c7) {
        for (char c8 : cArr) {
            if (c8 == c7) {
                return true;
            }
        }
        return false;
    }

    public static char[] i(char[] cArr, int i7, int i8) {
        boolean z7 = true;
        Preconditions.checkArgument(i7 >= 0, "Invalid minLength: %s", i7);
        if (i8 < 0) {
            z7 = false;
        }
        Preconditions.checkArgument(z7, "Invalid padding: %s", i8);
        return cArr.length < i7 ? Arrays.copyOf(cArr, i7 + i8) : cArr;
    }

    @m0.c
    public static char j(byte[] bArr) {
        Preconditions.checkArgument(bArr.length >= 2, "array too small: %s < %s", bArr.length, 2);
        return k(bArr[0], bArr[1]);
    }

    @m0.c
    public static char k(byte b7, byte b8) {
        return (char) ((b7 << 8) | (b8 & 255));
    }

    public static int l(char c7) {
        return c7;
    }

    public static int m(char[] cArr, char c7) {
        return n(cArr, c7, 0, cArr.length);
    }

    /* access modifiers changed from: private */
    public static int n(char[] cArr, char c7, int i7, int i8) {
        while (i7 < i8) {
            if (cArr[i7] == c7) {
                return i7;
            }
            i7++;
        }
        return -1;
    }

    public static int o(char[] cArr, char[] cArr2) {
        Preconditions.checkNotNull(cArr, "array");
        Preconditions.checkNotNull(cArr2, "target");
        if (cArr2.length == 0) {
            return 0;
        }
        for (int i7 = 0; i7 < (cArr.length - cArr2.length) + 1; i7++) {
            for (int i8 = 0; i8 < cArr2.length; i8++) {
                if (cArr[i7 + i8] != cArr2[i8]) {
                }
            }
            return i7;
        }
        return -1;
    }

    public static String p(String str, char... cArr) {
        Preconditions.checkNotNull(str);
        int length = cArr.length;
        if (length == 0) {
            return "";
        }
        StringBuilder sb = new StringBuilder((str.length() * (length - 1)) + length);
        sb.append(cArr[0]);
        for (int i7 = 1; i7 < length; i7++) {
            sb.append(str);
            sb.append(cArr[i7]);
        }
        return sb.toString();
    }

    public static int q(char[] cArr, char c7) {
        return r(cArr, c7, 0, cArr.length);
    }

    /* access modifiers changed from: private */
    public static int r(char[] cArr, char c7, int i7, int i8) {
        for (int i9 = i8 - 1; i9 >= i7; i9--) {
            if (cArr[i9] == c7) {
                return i9;
            }
        }
        return -1;
    }

    public static Comparator<char[]> s() {
        return b.INSTANCE;
    }

    public static char t(char... cArr) {
        Preconditions.checkArgument(cArr.length > 0);
        char c7 = cArr[0];
        for (int i7 = 1; i7 < cArr.length; i7++) {
            char c8 = cArr[i7];
            if (c8 > c7) {
                c7 = c8;
            }
        }
        return c7;
    }

    public static char u(char... cArr) {
        Preconditions.checkArgument(cArr.length > 0);
        char c7 = cArr[0];
        for (int i7 = 1; i7 < cArr.length; i7++) {
            char c8 = cArr[i7];
            if (c8 < c7) {
                c7 = c8;
            }
        }
        return c7;
    }

    public static void v(char[] cArr) {
        Preconditions.checkNotNull(cArr);
        w(cArr, 0, cArr.length);
    }

    public static void w(char[] cArr, int i7, int i8) {
        Preconditions.checkNotNull(cArr);
        Preconditions.checkPositionIndexes(i7, i8, cArr.length);
        for (int i9 = i8 - 1; i7 < i9; i9--) {
            char c7 = cArr[i7];
            cArr[i7] = cArr[i9];
            cArr[i9] = c7;
            i7++;
        }
    }

    public static char x(long j7) {
        if (j7 > 65535) {
            return r.f19847c;
        }
        if (j7 < 0) {
            return 0;
        }
        return (char) ((int) j7);
    }

    public static void y(char[] cArr) {
        Preconditions.checkNotNull(cArr);
        z(cArr, 0, cArr.length);
    }

    public static void z(char[] cArr, int i7, int i8) {
        Preconditions.checkNotNull(cArr);
        Preconditions.checkPositionIndexes(i7, i8, cArr.length);
        Arrays.sort(cArr, i7, i8);
        w(cArr, i7, i8);
    }
}
