package com.google.common.primitives;

import com.google.common.base.Converter;
import com.google.common.base.Preconditions;
import java.io.Serializable;
import java.util.AbstractList;
import java.util.Arrays;
import java.util.Collection;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;
import java.util.RandomAccess;
import java.util.Spliterator;
import java.util.Spliterators;
import java.util.regex.Pattern;

@m0.b(emulated = true)
public final class d {

    /* renamed from: a  reason: collision with root package name */
    public static final int f11780a = 8;
    @m0.c

    /* renamed from: b  reason: collision with root package name */
    static final Pattern f11781b = i();

    @m0.b
    private static class a extends AbstractList<Double> implements RandomAccess, Serializable {

        /* renamed from: x  reason: collision with root package name */
        private static final long f11782x = 0;

        /* renamed from: f  reason: collision with root package name */
        final double[] f11783f;

        /* renamed from: g  reason: collision with root package name */
        final int f11784g;

        /* renamed from: p  reason: collision with root package name */
        final int f11785p;

        a(double[] dArr) {
            this(dArr, 0, dArr.length);
        }

        /* renamed from: b */
        public Double get(int i7) {
            Preconditions.checkElementIndex(i7, size());
            return Double.valueOf(this.f11783f[this.f11784g + i7]);
        }

        /* renamed from: c */
        public Double set(int i7, Double d7) {
            Preconditions.checkElementIndex(i7, size());
            double[] dArr = this.f11783f;
            int i8 = this.f11784g;
            double d8 = dArr[i8 + i7];
            dArr[i8 + i7] = ((Double) Preconditions.checkNotNull(d7)).doubleValue();
            return Double.valueOf(d8);
        }

        public boolean contains(Object obj) {
            return (obj instanceof Double) && d.l(this.f11783f, ((Double) obj).doubleValue(), this.f11784g, this.f11785p) != -1;
        }

        /* renamed from: e */
        public Spliterator.OfDouble spliterator() {
            return Spliterators.spliterator(this.f11783f, this.f11784g, this.f11785p, 0);
        }

        public boolean equals(Object obj) {
            if (obj == this) {
                return true;
            }
            if (!(obj instanceof a)) {
                return super.equals(obj);
            }
            a aVar = (a) obj;
            int size = size();
            if (aVar.size() != size) {
                return false;
            }
            for (int i7 = 0; i7 < size; i7++) {
                if (this.f11783f[this.f11784g + i7] != aVar.f11783f[aVar.f11784g + i7]) {
                    return false;
                }
            }
            return true;
        }

        /* access modifiers changed from: package-private */
        public double[] h() {
            return Arrays.copyOfRange(this.f11783f, this.f11784g, this.f11785p);
        }

        public int hashCode() {
            int i7 = 1;
            for (int i8 = this.f11784g; i8 < this.f11785p; i8++) {
                i7 = (i7 * 31) + d.j(this.f11783f[i8]);
            }
            return i7;
        }

        public int indexOf(Object obj) {
            int l7;
            if (!(obj instanceof Double) || (l7 = d.l(this.f11783f, ((Double) obj).doubleValue(), this.f11784g, this.f11785p)) < 0) {
                return -1;
            }
            return l7 - this.f11784g;
        }

        public boolean isEmpty() {
            return false;
        }

        public int lastIndexOf(Object obj) {
            int q7;
            if (!(obj instanceof Double) || (q7 = d.q(this.f11783f, ((Double) obj).doubleValue(), this.f11784g, this.f11785p)) < 0) {
                return -1;
            }
            return q7 - this.f11784g;
        }

        public int size() {
            return this.f11785p - this.f11784g;
        }

        @Override // java.util.List, java.util.AbstractList
        public List<Double> subList(int i7, int i8) {
            Preconditions.checkPositionIndexes(i7, i8, size());
            if (i7 == i8) {
                return Collections.emptyList();
            }
            double[] dArr = this.f11783f;
            int i9 = this.f11784g;
            return new a(dArr, i7 + i9, i9 + i8);
        }

        public String toString() {
            StringBuilder sb = new StringBuilder(size() * 12);
            sb.append('[');
            sb.append(this.f11783f[this.f11784g]);
            int i7 = this.f11784g;
            while (true) {
                i7++;
                if (i7 < this.f11785p) {
                    sb.append(", ");
                    sb.append(this.f11783f[i7]);
                } else {
                    sb.append(']');
                    return sb.toString();
                }
            }
        }

        a(double[] dArr, int i7, int i8) {
            this.f11783f = dArr;
            this.f11784g = i7;
            this.f11785p = i8;
        }
    }

    private static final class b extends Converter<String, Double> implements Serializable {

        /* renamed from: f  reason: collision with root package name */
        static final b f11786f = new b();

        /* renamed from: g  reason: collision with root package name */
        private static final long f11787g = 1;

        private b() {
        }

        private Object readResolve() {
            return f11786f;
        }

        /* access modifiers changed from: protected */
        /* renamed from: a */
        public String doBackward(Double d7) {
            return d7.toString();
        }

        /* access modifiers changed from: protected */
        /* renamed from: b */
        public Double doForward(String str) {
            return Double.valueOf(str);
        }

        public String toString() {
            return "Doubles.stringConverter()";
        }
    }

    private enum c implements Comparator<double[]> {
        INSTANCE;

        /* renamed from: a */
        public int compare(double[] dArr, double[] dArr2) {
            int min = Math.min(dArr.length, dArr2.length);
            for (int i7 = 0; i7 < min; i7++) {
                int compare = Double.compare(dArr[i7], dArr2[i7]);
                if (compare != 0) {
                    return compare;
                }
            }
            return dArr.length - dArr2.length;
        }

        public String toString() {
            return "Doubles.lexicographicalComparator()";
        }
    }

    private d() {
    }

    @m0.a
    @m0.c
    public static Double A(String str) {
        if (!f11781b.matcher(str).matches()) {
            return null;
        }
        try {
            return Double.valueOf(Double.parseDouble(str));
        } catch (NumberFormatException unused) {
            return null;
        }
    }

    public static List<Double> c(double... dArr) {
        return dArr.length == 0 ? Collections.emptyList() : new a(dArr);
    }

    public static int d(double d7, double d8) {
        return Double.compare(d7, d8);
    }

    public static double[] e(double[]... dArr) {
        int i7 = 0;
        for (double[] dArr2 : dArr) {
            i7 += dArr2.length;
        }
        double[] dArr3 = new double[i7];
        int i8 = 0;
        for (double[] dArr4 : dArr) {
            System.arraycopy(dArr4, 0, dArr3, i8, dArr4.length);
            i8 += dArr4.length;
        }
        return dArr3;
    }

    @m0.a
    public static double f(double d7, double d8, double d9) {
        Preconditions.checkArgument(d8 <= d9, "min (%s) must be less than or equal to max (%s)", Double.valueOf(d8), Double.valueOf(d9));
        return Math.min(Math.max(d7, d8), d9);
    }

    public static boolean g(double[] dArr, double d7) {
        for (double d8 : dArr) {
            if (d8 == d7) {
                return true;
            }
        }
        return false;
    }

    public static double[] h(double[] dArr, int i7, int i8) {
        boolean z7 = true;
        Preconditions.checkArgument(i7 >= 0, "Invalid minLength: %s", i7);
        if (i8 < 0) {
            z7 = false;
        }
        Preconditions.checkArgument(z7, "Invalid padding: %s", i8);
        return dArr.length < i7 ? Arrays.copyOf(dArr, i7 + i8) : dArr;
    }

    @m0.c
    private static Pattern i() {
        return Pattern.compile(("[+-]?(?:NaN|Infinity|" + ("(?:\\d+#(?:\\.\\d*#)?|\\.\\d+#)" + "(?:[eE][+-]?\\d+#)?[fFdD]?") + "|" + ("0[xX]" + "(?:[0-9a-fA-F]+#(?:\\.[0-9a-fA-F]*#)?|\\.[0-9a-fA-F]+#)" + "[pP][+-]?\\d+#[fFdD]?") + ")").replace("#", "+"));
    }

    public static int j(double d7) {
        return Double.valueOf(d7).hashCode();
    }

    public static int k(double[] dArr, double d7) {
        return l(dArr, d7, 0, dArr.length);
    }

    /* access modifiers changed from: private */
    public static int l(double[] dArr, double d7, int i7, int i8) {
        while (i7 < i8) {
            if (dArr[i7] == d7) {
                return i7;
            }
            i7++;
        }
        return -1;
    }

    public static int m(double[] dArr, double[] dArr2) {
        Preconditions.checkNotNull(dArr, "array");
        Preconditions.checkNotNull(dArr2, "target");
        if (dArr2.length == 0) {
            return 0;
        }
        for (int i7 = 0; i7 < (dArr.length - dArr2.length) + 1; i7++) {
            for (int i8 = 0; i8 < dArr2.length; i8++) {
                if (dArr[i7 + i8] != dArr2[i8]) {
                }
            }
            return i7;
        }
        return -1;
    }

    public static boolean n(double d7) {
        return Double.NEGATIVE_INFINITY < d7 && d7 < Double.POSITIVE_INFINITY;
    }

    public static String o(String str, double... dArr) {
        Preconditions.checkNotNull(str);
        if (dArr.length == 0) {
            return "";
        }
        StringBuilder sb = new StringBuilder(dArr.length * 12);
        sb.append(dArr[0]);
        for (int i7 = 1; i7 < dArr.length; i7++) {
            sb.append(str);
            sb.append(dArr[i7]);
        }
        return sb.toString();
    }

    public static int p(double[] dArr, double d7) {
        return q(dArr, d7, 0, dArr.length);
    }

    /* access modifiers changed from: private */
    public static int q(double[] dArr, double d7, int i7, int i8) {
        for (int i9 = i8 - 1; i9 >= i7; i9--) {
            if (dArr[i9] == d7) {
                return i9;
            }
        }
        return -1;
    }

    public static Comparator<double[]> r() {
        return c.INSTANCE;
    }

    public static double s(double... dArr) {
        Preconditions.checkArgument(dArr.length > 0);
        double d7 = dArr[0];
        for (int i7 = 1; i7 < dArr.length; i7++) {
            d7 = Math.max(d7, dArr[i7]);
        }
        return d7;
    }

    public static double t(double... dArr) {
        Preconditions.checkArgument(dArr.length > 0);
        double d7 = dArr[0];
        for (int i7 = 1; i7 < dArr.length; i7++) {
            d7 = Math.min(d7, dArr[i7]);
        }
        return d7;
    }

    public static void u(double[] dArr) {
        Preconditions.checkNotNull(dArr);
        v(dArr, 0, dArr.length);
    }

    public static void v(double[] dArr, int i7, int i8) {
        Preconditions.checkNotNull(dArr);
        Preconditions.checkPositionIndexes(i7, i8, dArr.length);
        for (int i9 = i8 - 1; i7 < i9; i9--) {
            double d7 = dArr[i7];
            dArr[i7] = dArr[i9];
            dArr[i9] = d7;
            i7++;
        }
    }

    public static void w(double[] dArr) {
        Preconditions.checkNotNull(dArr);
        x(dArr, 0, dArr.length);
    }

    public static void x(double[] dArr, int i7, int i8) {
        Preconditions.checkNotNull(dArr);
        Preconditions.checkPositionIndexes(i7, i8, dArr.length);
        Arrays.sort(dArr, i7, i8);
        v(dArr, i7, i8);
    }

    @m0.a
    public static Converter<String, Double> y() {
        return b.f11786f;
    }

    public static double[] z(Collection<? extends Number> collection) {
        if (collection instanceof a) {
            return ((a) collection).h();
        }
        Object[] array = collection.toArray();
        int length = array.length;
        double[] dArr = new double[length];
        for (int i7 = 0; i7 < length; i7++) {
            dArr[i7] = ((Number) Preconditions.checkNotNull(array[i7])).doubleValue();
        }
        return dArr;
    }
}
