package com.google.common.primitives;

import com.google.common.base.Converter;
import com.google.common.base.Preconditions;
import java.io.Serializable;
import java.util.AbstractList;
import java.util.Arrays;
import java.util.Collection;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;
import java.util.RandomAccess;

@m0.b(emulated = true)
public final class e {

    /* renamed from: a  reason: collision with root package name */
    public static final int f11790a = 4;

    @m0.b
    private static class a extends AbstractList<Float> implements RandomAccess, Serializable {

        /* renamed from: x  reason: collision with root package name */
        private static final long f11791x = 0;

        /* renamed from: f  reason: collision with root package name */
        final float[] f11792f;

        /* renamed from: g  reason: collision with root package name */
        final int f11793g;

        /* renamed from: p  reason: collision with root package name */
        final int f11794p;

        a(float[] fArr) {
            this(fArr, 0, fArr.length);
        }

        /* renamed from: b */
        public Float get(int i7) {
            Preconditions.checkElementIndex(i7, size());
            return Float.valueOf(this.f11792f[this.f11793g + i7]);
        }

        /* renamed from: c */
        public Float set(int i7, Float f7) {
            Preconditions.checkElementIndex(i7, size());
            float[] fArr = this.f11792f;
            int i8 = this.f11793g;
            float f8 = fArr[i8 + i7];
            fArr[i8 + i7] = ((Float) Preconditions.checkNotNull(f7)).floatValue();
            return Float.valueOf(f8);
        }

        public boolean contains(Object obj) {
            return (obj instanceof Float) && e.k(this.f11792f, ((Float) obj).floatValue(), this.f11793g, this.f11794p) != -1;
        }

        /* access modifiers changed from: package-private */
        public float[] e() {
            return Arrays.copyOfRange(this.f11792f, this.f11793g, this.f11794p);
        }

        public boolean equals(Object obj) {
            if (obj == this) {
                return true;
            }
            if (!(obj instanceof a)) {
                return super.equals(obj);
            }
            a aVar = (a) obj;
            int size = size();
            if (aVar.size() != size) {
                return false;
            }
            for (int i7 = 0; i7 < size; i7++) {
                if (this.f11792f[this.f11793g + i7] != aVar.f11792f[aVar.f11793g + i7]) {
                    return false;
                }
            }
            return true;
        }

        public int hashCode() {
            int i7 = 1;
            for (int i8 = this.f11793g; i8 < this.f11794p; i8++) {
                i7 = (i7 * 31) + e.i(this.f11792f[i8]);
            }
            return i7;
        }

        public int indexOf(Object obj) {
            int k7;
            if (!(obj instanceof Float) || (k7 = e.k(this.f11792f, ((Float) obj).floatValue(), this.f11793g, this.f11794p)) < 0) {
                return -1;
            }
            return k7 - this.f11793g;
        }

        public boolean isEmpty() {
            return false;
        }

        public int lastIndexOf(Object obj) {
            int p7;
            if (!(obj instanceof Float) || (p7 = e.p(this.f11792f, ((Float) obj).floatValue(), this.f11793g, this.f11794p)) < 0) {
                return -1;
            }
            return p7 - this.f11793g;
        }

        public int size() {
            return this.f11794p - this.f11793g;
        }

        @Override // java.util.List, java.util.AbstractList
        public List<Float> subList(int i7, int i8) {
            Preconditions.checkPositionIndexes(i7, i8, size());
            if (i7 == i8) {
                return Collections.emptyList();
            }
            float[] fArr = this.f11792f;
            int i9 = this.f11793g;
            return new a(fArr, i7 + i9, i9 + i8);
        }

        public String toString() {
            StringBuilder sb = new StringBuilder(size() * 12);
            sb.append('[');
            sb.append(this.f11792f[this.f11793g]);
            int i7 = this.f11793g;
            while (true) {
                i7++;
                if (i7 < this.f11794p) {
                    sb.append(", ");
                    sb.append(this.f11792f[i7]);
                } else {
                    sb.append(']');
                    return sb.toString();
                }
            }
        }

        a(float[] fArr, int i7, int i8) {
            this.f11792f = fArr;
            this.f11793g = i7;
            this.f11794p = i8;
        }
    }

    private static final class b extends Converter<String, Float> implements Serializable {

        /* renamed from: f  reason: collision with root package name */
        static final b f11795f = new b();

        /* renamed from: g  reason: collision with root package name */
        private static final long f11796g = 1;

        private b() {
        }

        private Object readResolve() {
            return f11795f;
        }

        /* access modifiers changed from: protected */
        /* renamed from: a */
        public String doBackward(Float f7) {
            return f7.toString();
        }

        /* access modifiers changed from: protected */
        /* renamed from: b */
        public Float doForward(String str) {
            return Float.valueOf(str);
        }

        public String toString() {
            return "Floats.stringConverter()";
        }
    }

    private enum c implements Comparator<float[]> {
        INSTANCE;

        /* renamed from: a */
        public int compare(float[] fArr, float[] fArr2) {
            int min = Math.min(fArr.length, fArr2.length);
            for (int i7 = 0; i7 < min; i7++) {
                int compare = Float.compare(fArr[i7], fArr2[i7]);
                if (compare != 0) {
                    return compare;
                }
            }
            return fArr.length - fArr2.length;
        }

        public String toString() {
            return "Floats.lexicographicalComparator()";
        }
    }

    private e() {
    }

    public static List<Float> c(float... fArr) {
        return fArr.length == 0 ? Collections.emptyList() : new a(fArr);
    }

    public static int d(float f7, float f8) {
        return Float.compare(f7, f8);
    }

    public static float[] e(float[]... fArr) {
        int i7 = 0;
        for (float[] fArr2 : fArr) {
            i7 += fArr2.length;
        }
        float[] fArr3 = new float[i7];
        int i8 = 0;
        for (float[] fArr4 : fArr) {
            System.arraycopy(fArr4, 0, fArr3, i8, fArr4.length);
            i8 += fArr4.length;
        }
        return fArr3;
    }

    @m0.a
    public static float f(float f7, float f8, float f9) {
        Preconditions.checkArgument(f8 <= f9, "min (%s) must be less than or equal to max (%s)", Float.valueOf(f8), Float.valueOf(f9));
        return Math.min(Math.max(f7, f8), f9);
    }

    public static boolean g(float[] fArr, float f7) {
        for (float f8 : fArr) {
            if (f8 == f7) {
                return true;
            }
        }
        return false;
    }

    public static float[] h(float[] fArr, int i7, int i8) {
        boolean z7 = true;
        Preconditions.checkArgument(i7 >= 0, "Invalid minLength: %s", i7);
        if (i8 < 0) {
            z7 = false;
        }
        Preconditions.checkArgument(z7, "Invalid padding: %s", i8);
        return fArr.length < i7 ? Arrays.copyOf(fArr, i7 + i8) : fArr;
    }

    public static int i(float f7) {
        return Float.valueOf(f7).hashCode();
    }

    public static int j(float[] fArr, float f7) {
        return k(fArr, f7, 0, fArr.length);
    }

    /* access modifiers changed from: private */
    public static int k(float[] fArr, float f7, int i7, int i8) {
        while (i7 < i8) {
            if (fArr[i7] == f7) {
                return i7;
            }
            i7++;
        }
        return -1;
    }

    public static int l(float[] fArr, float[] fArr2) {
        Preconditions.checkNotNull(fArr, "array");
        Preconditions.checkNotNull(fArr2, "target");
        if (fArr2.length == 0) {
            return 0;
        }
        for (int i7 = 0; i7 < (fArr.length - fArr2.length) + 1; i7++) {
            for (int i8 = 0; i8 < fArr2.length; i8++) {
                if (fArr[i7 + i8] != fArr2[i8]) {
                }
            }
            return i7;
        }
        return -1;
    }

    public static boolean m(float f7) {
        return Float.NEGATIVE_INFINITY < f7 && f7 < Float.POSITIVE_INFINITY;
    }

    public static String n(String str, float... fArr) {
        Preconditions.checkNotNull(str);
        if (fArr.length == 0) {
            return "";
        }
        StringBuilder sb = new StringBuilder(fArr.length * 12);
        sb.append(fArr[0]);
        for (int i7 = 1; i7 < fArr.length; i7++) {
            sb.append(str);
            sb.append(fArr[i7]);
        }
        return sb.toString();
    }

    public static int o(float[] fArr, float f7) {
        return p(fArr, f7, 0, fArr.length);
    }

    /* access modifiers changed from: private */
    public static int p(float[] fArr, float f7, int i7, int i8) {
        for (int i9 = i8 - 1; i9 >= i7; i9--) {
            if (fArr[i9] == f7) {
                return i9;
            }
        }
        return -1;
    }

    public static Comparator<float[]> q() {
        return c.INSTANCE;
    }

    public static float r(float... fArr) {
        Preconditions.checkArgument(fArr.length > 0);
        float f7 = fArr[0];
        for (int i7 = 1; i7 < fArr.length; i7++) {
            f7 = Math.max(f7, fArr[i7]);
        }
        return f7;
    }

    public static float s(float... fArr) {
        Preconditions.checkArgument(fArr.length > 0);
        float f7 = fArr[0];
        for (int i7 = 1; i7 < fArr.length; i7++) {
            f7 = Math.min(f7, fArr[i7]);
        }
        return f7;
    }

    public static void t(float[] fArr) {
        Preconditions.checkNotNull(fArr);
        u(fArr, 0, fArr.length);
    }

    public static void u(float[] fArr, int i7, int i8) {
        Preconditions.checkNotNull(fArr);
        Preconditions.checkPositionIndexes(i7, i8, fArr.length);
        for (int i9 = i8 - 1; i7 < i9; i9--) {
            float f7 = fArr[i7];
            fArr[i7] = fArr[i9];
            fArr[i9] = f7;
            i7++;
        }
    }

    public static void v(float[] fArr) {
        Preconditions.checkNotNull(fArr);
        w(fArr, 0, fArr.length);
    }

    public static void w(float[] fArr, int i7, int i8) {
        Preconditions.checkNotNull(fArr);
        Preconditions.checkPositionIndexes(i7, i8, fArr.length);
        Arrays.sort(fArr, i7, i8);
        u(fArr, i7, i8);
    }

    @m0.a
    public static Converter<String, Float> x() {
        return b.f11795f;
    }

    public static float[] y(Collection<? extends Number> collection) {
        if (collection instanceof a) {
            return ((a) collection).e();
        }
        Object[] array = collection.toArray();
        int length = array.length;
        float[] fArr = new float[length];
        for (int i7 = 0; i7 < length; i7++) {
            fArr[i7] = ((Number) Preconditions.checkNotNull(array[i7])).floatValue();
        }
        return fArr;
    }

    @m0.a
    @m0.c
    public static Float z(String str) {
        if (!d.f11781b.matcher(str).matches()) {
            return null;
        }
        try {
            return Float.valueOf(Float.parseFloat(str));
        } catch (NumberFormatException unused) {
            return null;
        }
    }
}
