package com.google.common.primitives;

import com.google.common.base.Preconditions;
import java.io.Serializable;
import java.util.AbstractList;
import java.util.Arrays;
import java.util.Collection;
import java.util.List;
import java.util.RandomAccess;
import java.util.Spliterator;
import java.util.Spliterators;
import java.util.function.DoubleConsumer;
import java.util.stream.DoubleStream;
import p0.i;

@m0.a
@i
@m0.b
public final class f implements Serializable {

    /* renamed from: x  reason: collision with root package name */
    private static final f f11799x = new f(new double[0]);

    /* renamed from: f  reason: collision with root package name */
    private final double[] f11800f;

    /* renamed from: g  reason: collision with root package name */
    private final transient int f11801g;

    /* renamed from: p  reason: collision with root package name */
    private final int f11802p;

    /* access modifiers changed from: package-private */
    public static class b extends AbstractList<Double> implements RandomAccess, Serializable {

        /* renamed from: f  reason: collision with root package name */
        private final f f11803f;

        private b(f fVar) {
            this.f11803f = fVar;
        }

        /* renamed from: b */
        public Double get(int i7) {
            return Double.valueOf(this.f11803f.r(i7));
        }

        public boolean contains(Object obj) {
            return indexOf(obj) >= 0;
        }

        public boolean equals(Object obj) {
            if (obj instanceof b) {
                return this.f11803f.equals(((b) obj).f11803f);
            }
            if (!(obj instanceof List)) {
                return false;
            }
            List list = (List) obj;
            if (size() != list.size()) {
                return false;
            }
            int i7 = this.f11803f.f11801g;
            for (Object obj2 : list) {
                if (obj2 instanceof Double) {
                    int i8 = i7 + 1;
                    if (f.f(this.f11803f.f11800f[i7], ((Double) obj2).doubleValue())) {
                        i7 = i8;
                    }
                }
                return false;
            }
            return true;
        }

        public int hashCode() {
            return this.f11803f.hashCode();
        }

        public int indexOf(Object obj) {
            if (obj instanceof Double) {
                return this.f11803f.s(((Double) obj).doubleValue());
            }
            return -1;
        }

        public int lastIndexOf(Object obj) {
            if (obj instanceof Double) {
                return this.f11803f.v(((Double) obj).doubleValue());
            }
            return -1;
        }

        public int size() {
            return this.f11803f.w();
        }

        @Override // java.util.List, java.util.Collection, java.lang.Iterable
        public Spliterator<Double> spliterator() {
            return this.f11803f.G();
        }

        @Override // java.util.List, java.util.AbstractList
        public List<Double> subList(int i7, int i8) {
            return this.f11803f.I(i7, i8).g();
        }

        public String toString() {
            return this.f11803f.toString();
        }
    }

    @p0.a
    public static final class c {

        /* renamed from: a  reason: collision with root package name */
        private double[] f11804a;

        /* renamed from: b  reason: collision with root package name */
        private int f11805b = 0;

        c(int i7) {
            this.f11804a = new double[i7];
        }

        private void h(int i7) {
            int i8 = this.f11805b + i7;
            double[] dArr = this.f11804a;
            if (i8 > dArr.length) {
                double[] dArr2 = new double[i(dArr.length, i8)];
                System.arraycopy(this.f11804a, 0, dArr2, 0, this.f11805b);
                this.f11804a = dArr2;
            }
        }

        private static int i(int i7, int i8) {
            if (i8 >= 0) {
                int i9 = i7 + (i7 >> 1) + 1;
                if (i9 < i8) {
                    i9 = Integer.highestOneBit(i8 - 1) << 1;
                }
                if (i9 < 0) {
                    return Integer.MAX_VALUE;
                }
                return i9;
            }
            throw new AssertionError("cannot store more than MAX_VALUE elements");
        }

        public c a(double d7) {
            h(1);
            double[] dArr = this.f11804a;
            int i7 = this.f11805b;
            dArr[i7] = d7;
            this.f11805b = i7 + 1;
            return this;
        }

        public c b(f fVar) {
            h(fVar.w());
            System.arraycopy(fVar.f11800f, fVar.f11801g, this.f11804a, this.f11805b, fVar.w());
            this.f11805b += fVar.w();
            return this;
        }

        public c c(Iterable<Double> iterable) {
            if (iterable instanceof Collection) {
                return d((Collection) iterable);
            }
            for (Double d7 : iterable) {
                a(d7.doubleValue());
            }
            return this;
        }

        public c d(Collection<Double> collection) {
            h(collection.size());
            for (Double d7 : collection) {
                double[] dArr = this.f11804a;
                int i7 = this.f11805b;
                this.f11805b = i7 + 1;
                dArr[i7] = d7.doubleValue();
            }
            return this;
        }

        public c e(DoubleStream doubleStream) {
            Spliterator.OfDouble spliterator = doubleStream.spliterator();
            long exactSizeIfKnown = spliterator.getExactSizeIfKnown();
            if (exactSizeIfKnown > 0) {
                h(l.x(exactSizeIfKnown));
            }
            spliterator.forEachRemaining((DoubleConsumer) new g(this));
            return this;
        }

        public c f(double[] dArr) {
            h(dArr.length);
            System.arraycopy(dArr, 0, this.f11804a, this.f11805b, dArr.length);
            this.f11805b += dArr.length;
            return this;
        }

        @p0.b
        public f g() {
            return this.f11805b == 0 ? f.f11799x : new f(this.f11804a, 0, this.f11805b);
        }
    }

    private f(double[] dArr) {
        this(dArr, 0, dArr.length);
    }

    public static f A(double d7, double d8, double d9) {
        return new f(new double[]{d7, d8, d9});
    }

    public static f B(double d7, double d8, double d9, double d10) {
        return new f(new double[]{d7, d8, d9, d10});
    }

    public static f C(double d7, double d8, double d9, double d10, double d11) {
        return new f(new double[]{d7, d8, d9, d10, d11});
    }

    public static f D(double d7, double d8, double d9, double d10, double d11, double d12) {
        return new f(new double[]{d7, d8, d9, d10, d11, d12});
    }

    public static f E(double d7, double... dArr) {
        Preconditions.checkArgument(dArr.length <= 2147483646, "the total number of elements must fit in an int");
        double[] dArr2 = new double[(dArr.length + 1)];
        dArr2[0] = d7;
        System.arraycopy(dArr, 0, dArr2, 1, dArr.length);
        return new f(dArr2);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private Spliterator.OfDouble G() {
        return Spliterators.spliterator(this.f11800f, this.f11801g, this.f11802p, 1040);
    }

    /* access modifiers changed from: private */
    public static boolean f(double d7, double d8) {
        return Double.doubleToLongBits(d7) == Double.doubleToLongBits(d8);
    }

    public static c h() {
        return new c(10);
    }

    public static c i(int i7) {
        Preconditions.checkArgument(i7 >= 0, "Invalid initialCapacity: %s", i7);
        return new c(i7);
    }

    public static f k(Iterable<Double> iterable) {
        return iterable instanceof Collection ? m((Collection) iterable) : h().c(iterable).g();
    }

    public static f m(Collection<Double> collection) {
        return collection.isEmpty() ? f11799x : new f(d.z(collection));
    }

    public static f n(DoubleStream doubleStream) {
        double[] array = doubleStream.toArray();
        return array.length == 0 ? f11799x : new f(array);
    }

    public static f p(double[] dArr) {
        return dArr.length == 0 ? f11799x : new f(Arrays.copyOf(dArr, dArr.length));
    }

    private boolean u() {
        return this.f11801g > 0 || this.f11802p < this.f11800f.length;
    }

    public static f x() {
        return f11799x;
    }

    public static f y(double d7) {
        return new f(new double[]{d7});
    }

    public static f z(double d7, double d8) {
        return new f(new double[]{d7, d8});
    }

    /* access modifiers changed from: package-private */
    public Object F() {
        return t() ? f11799x : this;
    }

    public DoubleStream H() {
        return Arrays.stream(this.f11800f, this.f11801g, this.f11802p);
    }

    public f I(int i7, int i8) {
        Preconditions.checkPositionIndexes(i7, i8, w());
        if (i7 == i8) {
            return f11799x;
        }
        double[] dArr = this.f11800f;
        int i9 = this.f11801g;
        return new f(dArr, i7 + i9, i9 + i8);
    }

    public double[] J() {
        return Arrays.copyOfRange(this.f11800f, this.f11801g, this.f11802p);
    }

    public f K() {
        return u() ? new f(J()) : this;
    }

    /* access modifiers changed from: package-private */
    public Object L() {
        return K();
    }

    public boolean equals(Object obj) {
        if (obj == this) {
            return true;
        }
        if (!(obj instanceof f)) {
            return false;
        }
        f fVar = (f) obj;
        if (w() != fVar.w()) {
            return false;
        }
        for (int i7 = 0; i7 < w(); i7++) {
            if (!f(r(i7), fVar.r(i7))) {
                return false;
            }
        }
        return true;
    }

    public List<Double> g() {
        return new b();
    }

    public int hashCode() {
        int i7 = 1;
        for (int i8 = this.f11801g; i8 < this.f11802p; i8++) {
            i7 = (i7 * 31) + d.j(this.f11800f[i8]);
        }
        return i7;
    }

    public boolean j(double d7) {
        return s(d7) >= 0;
    }

    public void q(DoubleConsumer doubleConsumer) {
        Preconditions.checkNotNull(doubleConsumer);
        for (int i7 = this.f11801g; i7 < this.f11802p; i7++) {
            doubleConsumer.accept(this.f11800f[i7]);
        }
    }

    public double r(int i7) {
        Preconditions.checkElementIndex(i7, w());
        return this.f11800f[this.f11801g + i7];
    }

    public int s(double d7) {
        for (int i7 = this.f11801g; i7 < this.f11802p; i7++) {
            if (f(this.f11800f[i7], d7)) {
                return i7 - this.f11801g;
            }
        }
        return -1;
    }

    public boolean t() {
        return this.f11802p == this.f11801g;
    }

    public String toString() {
        if (t()) {
            return "[]";
        }
        StringBuilder sb = new StringBuilder(w() * 5);
        sb.append('[');
        sb.append(this.f11800f[this.f11801g]);
        int i7 = this.f11801g;
        while (true) {
            i7++;
            if (i7 < this.f11802p) {
                sb.append(", ");
                sb.append(this.f11800f[i7]);
            } else {
                sb.append(']');
                return sb.toString();
            }
        }
    }

    public int v(double d7) {
        int i7 = this.f11802p;
        while (true) {
            i7--;
            if (i7 < this.f11801g) {
                return -1;
            }
            if (f(this.f11800f[i7], d7)) {
                return i7 - this.f11801g;
            }
        }
    }

    public int w() {
        return this.f11802p - this.f11801g;
    }

    private f(double[] dArr, int i7, int i8) {
        this.f11800f = dArr;
        this.f11801g = i7;
        this.f11802p = i8;
    }
}
