package com.google.common.primitives;

import com.google.common.base.Preconditions;
import java.io.Serializable;
import java.util.AbstractList;
import java.util.Arrays;
import java.util.Collection;
import java.util.List;
import java.util.RandomAccess;
import java.util.Spliterator;
import java.util.Spliterators;
import java.util.function.IntConsumer;
import java.util.stream.IntStream;
import p0.i;

@m0.a
@i
@m0.b
public final class h implements Serializable {

    /* renamed from: x  reason: collision with root package name */
    private static final h f11807x = new h(new int[0]);

    /* renamed from: f  reason: collision with root package name */
    private final int[] f11808f;

    /* renamed from: g  reason: collision with root package name */
    private final transient int f11809g;

    /* renamed from: p  reason: collision with root package name */
    private final int f11810p;

    /* access modifiers changed from: package-private */
    public static class b extends AbstractList<Integer> implements RandomAccess, Serializable {

        /* renamed from: f  reason: collision with root package name */
        private final h f11811f;

        private b(h hVar) {
            this.f11811f = hVar;
        }

        /* renamed from: b */
        public Integer get(int i7) {
            return Integer.valueOf(this.f11811f.p(i7));
        }

        public boolean contains(Object obj) {
            return indexOf(obj) >= 0;
        }

        public boolean equals(Object obj) {
            if (obj instanceof b) {
                return this.f11811f.equals(((b) obj).f11811f);
            }
            if (!(obj instanceof List)) {
                return false;
            }
            List list = (List) obj;
            if (size() != list.size()) {
                return false;
            }
            int i7 = this.f11811f.f11809g;
            for (Object obj2 : list) {
                if (obj2 instanceof Integer) {
                    int i8 = i7 + 1;
                    if (this.f11811f.f11808f[i7] == ((Integer) obj2).intValue()) {
                        i7 = i8;
                    }
                }
                return false;
            }
            return true;
        }

        public int hashCode() {
            return this.f11811f.hashCode();
        }

        public int indexOf(Object obj) {
            if (obj instanceof Integer) {
                return this.f11811f.q(((Integer) obj).intValue());
            }
            return -1;
        }

        public int lastIndexOf(Object obj) {
            if (obj instanceof Integer) {
                return this.f11811f.t(((Integer) obj).intValue());
            }
            return -1;
        }

        public int size() {
            return this.f11811f.u();
        }

        @Override // java.util.List, java.util.Collection, java.lang.Iterable
        public Spliterator<Integer> spliterator() {
            return this.f11811f.E();
        }

        @Override // java.util.List, java.util.AbstractList
        public List<Integer> subList(int i7, int i8) {
            return this.f11811f.G(i7, i8).e();
        }

        public String toString() {
            return this.f11811f.toString();
        }
    }

    @p0.a
    public static final class c {

        /* renamed from: a  reason: collision with root package name */
        private int[] f11812a;

        /* renamed from: b  reason: collision with root package name */
        private int f11813b = 0;

        c(int i7) {
            this.f11812a = new int[i7];
        }

        private void h(int i7) {
            int i8 = this.f11813b + i7;
            int[] iArr = this.f11812a;
            if (i8 > iArr.length) {
                int[] iArr2 = new int[i(iArr.length, i8)];
                System.arraycopy(this.f11812a, 0, iArr2, 0, this.f11813b);
                this.f11812a = iArr2;
            }
        }

        private static int i(int i7, int i8) {
            if (i8 >= 0) {
                int i9 = i7 + (i7 >> 1) + 1;
                if (i9 < i8) {
                    i9 = Integer.highestOneBit(i8 - 1) << 1;
                }
                if (i9 < 0) {
                    return Integer.MAX_VALUE;
                }
                return i9;
            }
            throw new AssertionError("cannot store more than MAX_VALUE elements");
        }

        public c a(int i7) {
            h(1);
            int[] iArr = this.f11812a;
            int i8 = this.f11813b;
            iArr[i8] = i7;
            this.f11813b = i8 + 1;
            return this;
        }

        public c b(h hVar) {
            h(hVar.u());
            System.arraycopy(hVar.f11808f, hVar.f11809g, this.f11812a, this.f11813b, hVar.u());
            this.f11813b += hVar.u();
            return this;
        }

        public c c(Iterable<Integer> iterable) {
            if (iterable instanceof Collection) {
                return d((Collection) iterable);
            }
            for (Integer num : iterable) {
                a(num.intValue());
            }
            return this;
        }

        public c d(Collection<Integer> collection) {
            h(collection.size());
            for (Integer num : collection) {
                int[] iArr = this.f11812a;
                int i7 = this.f11813b;
                this.f11813b = i7 + 1;
                iArr[i7] = num.intValue();
            }
            return this;
        }

        public c e(IntStream intStream) {
            Spliterator.OfInt spliterator = intStream.spliterator();
            long exactSizeIfKnown = spliterator.getExactSizeIfKnown();
            if (exactSizeIfKnown > 0) {
                h(l.x(exactSizeIfKnown));
            }
            spliterator.forEachRemaining((IntConsumer) new i(this));
            return this;
        }

        public c f(int[] iArr) {
            h(iArr.length);
            System.arraycopy(iArr, 0, this.f11812a, this.f11813b, iArr.length);
            this.f11813b += iArr.length;
            return this;
        }

        @p0.b
        public h g() {
            return this.f11813b == 0 ? h.f11807x : new h(this.f11812a, 0, this.f11813b);
        }
    }

    private h(int[] iArr) {
        this(iArr, 0, iArr.length);
    }

    public static h A(int i7, int i8, int i9, int i10, int i11) {
        return new h(new int[]{i7, i8, i9, i10, i11});
    }

    public static h B(int i7, int i8, int i9, int i10, int i11, int i12) {
        return new h(new int[]{i7, i8, i9, i10, i11, i12});
    }

    public static h C(int i7, int... iArr) {
        Preconditions.checkArgument(iArr.length <= 2147483646, "the total number of elements must fit in an int");
        int[] iArr2 = new int[(iArr.length + 1)];
        iArr2[0] = i7;
        System.arraycopy(iArr, 0, iArr2, 1, iArr.length);
        return new h(iArr2);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private Spliterator.OfInt E() {
        return Spliterators.spliterator(this.f11808f, this.f11809g, this.f11810p, 1040);
    }

    public static c f() {
        return new c(10);
    }

    public static c g(int i7) {
        Preconditions.checkArgument(i7 >= 0, "Invalid initialCapacity: %s", i7);
        return new c(i7);
    }

    public static h i(Iterable<Integer> iterable) {
        return iterable instanceof Collection ? j((Collection) iterable) : f().c(iterable).g();
    }

    public static h j(Collection<Integer> collection) {
        return collection.isEmpty() ? f11807x : new h(l.B(collection));
    }

    public static h k(IntStream intStream) {
        int[] array = intStream.toArray();
        return array.length == 0 ? f11807x : new h(array);
    }

    public static h m(int[] iArr) {
        return iArr.length == 0 ? f11807x : new h(Arrays.copyOf(iArr, iArr.length));
    }

    private boolean s() {
        return this.f11809g > 0 || this.f11810p < this.f11808f.length;
    }

    public static h v() {
        return f11807x;
    }

    public static h w(int i7) {
        return new h(new int[]{i7});
    }

    public static h x(int i7, int i8) {
        return new h(new int[]{i7, i8});
    }

    public static h y(int i7, int i8, int i9) {
        return new h(new int[]{i7, i8, i9});
    }

    public static h z(int i7, int i8, int i9, int i10) {
        return new h(new int[]{i7, i8, i9, i10});
    }

    /* access modifiers changed from: package-private */
    public Object D() {
        return r() ? f11807x : this;
    }

    public IntStream F() {
        return Arrays.stream(this.f11808f, this.f11809g, this.f11810p);
    }

    public h G(int i7, int i8) {
        Preconditions.checkPositionIndexes(i7, i8, u());
        if (i7 == i8) {
            return f11807x;
        }
        int[] iArr = this.f11808f;
        int i9 = this.f11809g;
        return new h(iArr, i7 + i9, i9 + i8);
    }

    public int[] H() {
        return Arrays.copyOfRange(this.f11808f, this.f11809g, this.f11810p);
    }

    public h I() {
        return s() ? new h(H()) : this;
    }

    /* access modifiers changed from: package-private */
    public Object J() {
        return I();
    }

    public List<Integer> e() {
        return new b();
    }

    public boolean equals(Object obj) {
        if (obj == this) {
            return true;
        }
        if (!(obj instanceof h)) {
            return false;
        }
        h hVar = (h) obj;
        if (u() != hVar.u()) {
            return false;
        }
        for (int i7 = 0; i7 < u(); i7++) {
            if (p(i7) != hVar.p(i7)) {
                return false;
            }
        }
        return true;
    }

    public boolean h(int i7) {
        return q(i7) >= 0;
    }

    public int hashCode() {
        int i7 = 1;
        for (int i8 = this.f11809g; i8 < this.f11810p; i8++) {
            i7 = (i7 * 31) + l.l(this.f11808f[i8]);
        }
        return i7;
    }

    public void n(IntConsumer intConsumer) {
        Preconditions.checkNotNull(intConsumer);
        for (int i7 = this.f11809g; i7 < this.f11810p; i7++) {
            intConsumer.accept(this.f11808f[i7]);
        }
    }

    public int p(int i7) {
        Preconditions.checkElementIndex(i7, u());
        return this.f11808f[this.f11809g + i7];
    }

    public int q(int i7) {
        for (int i8 = this.f11809g; i8 < this.f11810p; i8++) {
            if (this.f11808f[i8] == i7) {
                return i8 - this.f11809g;
            }
        }
        return -1;
    }

    public boolean r() {
        return this.f11810p == this.f11809g;
    }

    public int t(int i7) {
        int i8 = this.f11810p;
        while (true) {
            i8--;
            int i9 = this.f11809g;
            if (i8 < i9) {
                return -1;
            }
            if (this.f11808f[i8] == i7) {
                return i8 - i9;
            }
        }
    }

    public String toString() {
        if (r()) {
            return "[]";
        }
        StringBuilder sb = new StringBuilder(u() * 5);
        sb.append('[');
        sb.append(this.f11808f[this.f11809g]);
        int i7 = this.f11809g;
        while (true) {
            i7++;
            if (i7 < this.f11810p) {
                sb.append(", ");
                sb.append(this.f11808f[i7]);
            } else {
                sb.append(']');
                return sb.toString();
            }
        }
    }

    public int u() {
        return this.f11810p - this.f11809g;
    }

    private h(int[] iArr, int i7, int i8) {
        this.f11808f = iArr;
        this.f11809g = i7;
        this.f11810p = i8;
    }
}
