package com.google.common.primitives;

import com.google.common.base.Preconditions;
import java.io.Serializable;
import java.util.AbstractList;
import java.util.Arrays;
import java.util.Collection;
import java.util.List;
import java.util.RandomAccess;
import java.util.Spliterator;
import java.util.Spliterators;
import java.util.function.LongConsumer;
import java.util.stream.LongStream;
import p0.i;

@m0.a
@i
@m0.b
public final class j implements Serializable {

    /* renamed from: x  reason: collision with root package name */
    private static final j f11815x = new j(new long[0]);

    /* renamed from: f  reason: collision with root package name */
    private final long[] f11816f;

    /* renamed from: g  reason: collision with root package name */
    private final transient int f11817g;

    /* renamed from: p  reason: collision with root package name */
    private final int f11818p;

    /* access modifiers changed from: package-private */
    public static class b extends AbstractList<Long> implements RandomAccess, Serializable {

        /* renamed from: f  reason: collision with root package name */
        private final j f11819f;

        private b(j jVar) {
            this.f11819f = jVar;
        }

        /* renamed from: b */
        public Long get(int i7) {
            return Long.valueOf(this.f11819f.p(i7));
        }

        public boolean contains(Object obj) {
            return indexOf(obj) >= 0;
        }

        public boolean equals(Object obj) {
            if (obj instanceof b) {
                return this.f11819f.equals(((b) obj).f11819f);
            }
            if (!(obj instanceof List)) {
                return false;
            }
            List list = (List) obj;
            if (size() != list.size()) {
                return false;
            }
            int i7 = this.f11819f.f11817g;
            for (Object obj2 : list) {
                if (obj2 instanceof Long) {
                    int i8 = i7 + 1;
                    if (this.f11819f.f11816f[i7] == ((Long) obj2).longValue()) {
                        i7 = i8;
                    }
                }
                return false;
            }
            return true;
        }

        public int hashCode() {
            return this.f11819f.hashCode();
        }

        public int indexOf(Object obj) {
            if (obj instanceof Long) {
                return this.f11819f.q(((Long) obj).longValue());
            }
            return -1;
        }

        public int lastIndexOf(Object obj) {
            if (obj instanceof Long) {
                return this.f11819f.t(((Long) obj).longValue());
            }
            return -1;
        }

        public int size() {
            return this.f11819f.u();
        }

        @Override // java.util.List, java.util.Collection, java.lang.Iterable
        public Spliterator<Long> spliterator() {
            return this.f11819f.E();
        }

        @Override // java.util.List, java.util.AbstractList
        public List<Long> subList(int i7, int i8) {
            return this.f11819f.G(i7, i8).e();
        }

        public String toString() {
            return this.f11819f.toString();
        }
    }

    @p0.a
    public static final class c {

        /* renamed from: a  reason: collision with root package name */
        private long[] f11820a;

        /* renamed from: b  reason: collision with root package name */
        private int f11821b = 0;

        c(int i7) {
            this.f11820a = new long[i7];
        }

        private void h(int i7) {
            int i8 = this.f11821b + i7;
            long[] jArr = this.f11820a;
            if (i8 > jArr.length) {
                long[] jArr2 = new long[i(jArr.length, i8)];
                System.arraycopy(this.f11820a, 0, jArr2, 0, this.f11821b);
                this.f11820a = jArr2;
            }
        }

        private static int i(int i7, int i8) {
            if (i8 >= 0) {
                int i9 = i7 + (i7 >> 1) + 1;
                if (i9 < i8) {
                    i9 = Integer.highestOneBit(i8 - 1) << 1;
                }
                if (i9 < 0) {
                    return Integer.MAX_VALUE;
                }
                return i9;
            }
            throw new AssertionError("cannot store more than MAX_VALUE elements");
        }

        public c a(long j7) {
            h(1);
            long[] jArr = this.f11820a;
            int i7 = this.f11821b;
            jArr[i7] = j7;
            this.f11821b = i7 + 1;
            return this;
        }

        public c b(j jVar) {
            h(jVar.u());
            System.arraycopy(jVar.f11816f, jVar.f11817g, this.f11820a, this.f11821b, jVar.u());
            this.f11821b += jVar.u();
            return this;
        }

        public c c(Iterable<Long> iterable) {
            if (iterable instanceof Collection) {
                return d((Collection) iterable);
            }
            for (Long l7 : iterable) {
                a(l7.longValue());
            }
            return this;
        }

        public c d(Collection<Long> collection) {
            h(collection.size());
            for (Long l7 : collection) {
                long[] jArr = this.f11820a;
                int i7 = this.f11821b;
                this.f11821b = i7 + 1;
                jArr[i7] = l7.longValue();
            }
            return this;
        }

        public c e(LongStream longStream) {
            Spliterator.OfLong spliterator = longStream.spliterator();
            long exactSizeIfKnown = spliterator.getExactSizeIfKnown();
            if (exactSizeIfKnown > 0) {
                h(l.x(exactSizeIfKnown));
            }
            spliterator.forEachRemaining((LongConsumer) new k(this));
            return this;
        }

        public c f(long[] jArr) {
            h(jArr.length);
            System.arraycopy(jArr, 0, this.f11820a, this.f11821b, jArr.length);
            this.f11821b += jArr.length;
            return this;
        }

        @p0.b
        public j g() {
            return this.f11821b == 0 ? j.f11815x : new j(this.f11820a, 0, this.f11821b);
        }
    }

    private j(long[] jArr) {
        this(jArr, 0, jArr.length);
    }

    public static j A(long j7, long j8, long j9, long j10, long j11) {
        return new j(new long[]{j7, j8, j9, j10, j11});
    }

    public static j B(long j7, long j8, long j9, long j10, long j11, long j12) {
        return new j(new long[]{j7, j8, j9, j10, j11, j12});
    }

    public static j C(long j7, long... jArr) {
        Preconditions.checkArgument(jArr.length <= 2147483646, "the total number of elements must fit in an int");
        long[] jArr2 = new long[(jArr.length + 1)];
        jArr2[0] = j7;
        System.arraycopy(jArr, 0, jArr2, 1, jArr.length);
        return new j(jArr2);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private Spliterator.OfLong E() {
        return Spliterators.spliterator(this.f11816f, this.f11817g, this.f11818p, 1040);
    }

    public static c f() {
        return new c(10);
    }

    public static c g(int i7) {
        Preconditions.checkArgument(i7 >= 0, "Invalid initialCapacity: %s", i7);
        return new c(i7);
    }

    public static j i(Iterable<Long> iterable) {
        return iterable instanceof Collection ? j((Collection) iterable) : f().c(iterable).g();
    }

    public static j j(Collection<Long> collection) {
        return collection.isEmpty() ? f11815x : new j(m.z(collection));
    }

    public static j k(LongStream longStream) {
        long[] array = longStream.toArray();
        return array.length == 0 ? f11815x : new j(array);
    }

    public static j m(long[] jArr) {
        return jArr.length == 0 ? f11815x : new j(Arrays.copyOf(jArr, jArr.length));
    }

    private boolean s() {
        return this.f11817g > 0 || this.f11818p < this.f11816f.length;
    }

    public static j v() {
        return f11815x;
    }

    public static j w(long j7) {
        return new j(new long[]{j7});
    }

    public static j x(long j7, long j8) {
        return new j(new long[]{j7, j8});
    }

    public static j y(long j7, long j8, long j9) {
        return new j(new long[]{j7, j8, j9});
    }

    public static j z(long j7, long j8, long j9, long j10) {
        return new j(new long[]{j7, j8, j9, j10});
    }

    /* access modifiers changed from: package-private */
    public Object D() {
        return r() ? f11815x : this;
    }

    public LongStream F() {
        return Arrays.stream(this.f11816f, this.f11817g, this.f11818p);
    }

    public j G(int i7, int i8) {
        Preconditions.checkPositionIndexes(i7, i8, u());
        if (i7 == i8) {
            return f11815x;
        }
        long[] jArr = this.f11816f;
        int i9 = this.f11817g;
        return new j(jArr, i7 + i9, i9 + i8);
    }

    public long[] H() {
        return Arrays.copyOfRange(this.f11816f, this.f11817g, this.f11818p);
    }

    public j I() {
        return s() ? new j(H()) : this;
    }

    /* access modifiers changed from: package-private */
    public Object J() {
        return I();
    }

    public List<Long> e() {
        return new b();
    }

    public boolean equals(Object obj) {
        if (obj == this) {
            return true;
        }
        if (!(obj instanceof j)) {
            return false;
        }
        j jVar = (j) obj;
        if (u() != jVar.u()) {
            return false;
        }
        for (int i7 = 0; i7 < u(); i7++) {
            if (p(i7) != jVar.p(i7)) {
                return false;
            }
        }
        return true;
    }

    public boolean h(long j7) {
        return q(j7) >= 0;
    }

    public int hashCode() {
        int i7 = 1;
        for (int i8 = this.f11817g; i8 < this.f11818p; i8++) {
            i7 = (i7 * 31) + m.k(this.f11816f[i8]);
        }
        return i7;
    }

    public void n(LongConsumer longConsumer) {
        Preconditions.checkNotNull(longConsumer);
        for (int i7 = this.f11817g; i7 < this.f11818p; i7++) {
            longConsumer.accept(this.f11816f[i7]);
        }
    }

    public long p(int i7) {
        Preconditions.checkElementIndex(i7, u());
        return this.f11816f[this.f11817g + i7];
    }

    public int q(long j7) {
        for (int i7 = this.f11817g; i7 < this.f11818p; i7++) {
            if (this.f11816f[i7] == j7) {
                return i7 - this.f11817g;
            }
        }
        return -1;
    }

    public boolean r() {
        return this.f11818p == this.f11817g;
    }

    public int t(long j7) {
        int i7 = this.f11818p;
        while (true) {
            i7--;
            int i8 = this.f11817g;
            if (i7 < i8) {
                return -1;
            }
            if (this.f11816f[i7] == j7) {
                return i7 - i8;
            }
        }
    }

    public String toString() {
        if (r()) {
            return "[]";
        }
        StringBuilder sb = new StringBuilder(u() * 5);
        sb.append('[');
        sb.append(this.f11816f[this.f11817g]);
        int i7 = this.f11817g;
        while (true) {
            i7++;
            if (i7 < this.f11818p) {
                sb.append(", ");
                sb.append(this.f11816f[i7]);
            } else {
                sb.append(']');
                return sb.toString();
            }
        }
    }

    public int u() {
        return this.f11818p - this.f11817g;
    }

    private j(long[] jArr, int i7, int i8) {
        this.f11816f = jArr;
        this.f11817g = i7;
        this.f11818p = i8;
    }
}
