package com.google.common.primitives;

import com.google.common.base.Ascii;
import com.google.common.base.Converter;
import com.google.common.base.Preconditions;
import java.io.Serializable;
import java.util.AbstractList;
import java.util.Arrays;
import java.util.Collection;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;
import java.util.RandomAccess;
import java.util.Spliterator;
import java.util.Spliterators;

@m0.b
public final class l {

    /* renamed from: a  reason: collision with root package name */
    public static final int f11823a = 4;

    /* renamed from: b  reason: collision with root package name */
    public static final int f11824b = 1073741824;

    @m0.b
    private static class a extends AbstractList<Integer> implements RandomAccess, Serializable {

        /* renamed from: x  reason: collision with root package name */
        private static final long f11825x = 0;

        /* renamed from: f  reason: collision with root package name */
        final int[] f11826f;

        /* renamed from: g  reason: collision with root package name */
        final int f11827g;

        /* renamed from: p  reason: collision with root package name */
        final int f11828p;

        a(int[] iArr) {
            this(iArr, 0, iArr.length);
        }

        /* renamed from: b */
        public Integer get(int i7) {
            Preconditions.checkElementIndex(i7, size());
            return Integer.valueOf(this.f11826f[this.f11827g + i7]);
        }

        /* renamed from: c */
        public Integer set(int i7, Integer num) {
            Preconditions.checkElementIndex(i7, size());
            int[] iArr = this.f11826f;
            int i8 = this.f11827g;
            int i9 = iArr[i8 + i7];
            iArr[i8 + i7] = ((Integer) Preconditions.checkNotNull(num)).intValue();
            return Integer.valueOf(i9);
        }

        public boolean contains(Object obj) {
            return (obj instanceof Integer) && l.n(this.f11826f, ((Integer) obj).intValue(), this.f11827g, this.f11828p) != -1;
        }

        /* renamed from: e */
        public Spliterator.OfInt spliterator() {
            return Spliterators.spliterator(this.f11826f, this.f11827g, this.f11828p, 0);
        }

        public boolean equals(Object obj) {
            if (obj == this) {
                return true;
            }
            if (!(obj instanceof a)) {
                return super.equals(obj);
            }
            a aVar = (a) obj;
            int size = size();
            if (aVar.size() != size) {
                return false;
            }
            for (int i7 = 0; i7 < size; i7++) {
                if (this.f11826f[this.f11827g + i7] != aVar.f11826f[aVar.f11827g + i7]) {
                    return false;
                }
            }
            return true;
        }

        /* access modifiers changed from: package-private */
        public int[] h() {
            return Arrays.copyOfRange(this.f11826f, this.f11827g, this.f11828p);
        }

        public int hashCode() {
            int i7 = 1;
            for (int i8 = this.f11827g; i8 < this.f11828p; i8++) {
                i7 = (i7 * 31) + l.l(this.f11826f[i8]);
            }
            return i7;
        }

        public int indexOf(Object obj) {
            int n7;
            if (!(obj instanceof Integer) || (n7 = l.n(this.f11826f, ((Integer) obj).intValue(), this.f11827g, this.f11828p)) < 0) {
                return -1;
            }
            return n7 - this.f11827g;
        }

        public boolean isEmpty() {
            return false;
        }

        public int lastIndexOf(Object obj) {
            int r7;
            if (!(obj instanceof Integer) || (r7 = l.r(this.f11826f, ((Integer) obj).intValue(), this.f11827g, this.f11828p)) < 0) {
                return -1;
            }
            return r7 - this.f11827g;
        }

        public int size() {
            return this.f11828p - this.f11827g;
        }

        @Override // java.util.List, java.util.AbstractList
        public List<Integer> subList(int i7, int i8) {
            Preconditions.checkPositionIndexes(i7, i8, size());
            if (i7 == i8) {
                return Collections.emptyList();
            }
            int[] iArr = this.f11826f;
            int i9 = this.f11827g;
            return new a(iArr, i7 + i9, i9 + i8);
        }

        public String toString() {
            StringBuilder sb = new StringBuilder(size() * 5);
            sb.append('[');
            sb.append(this.f11826f[this.f11827g]);
            int i7 = this.f11827g;
            while (true) {
                i7++;
                if (i7 < this.f11828p) {
                    sb.append(", ");
                    sb.append(this.f11826f[i7]);
                } else {
                    sb.append(']');
                    return sb.toString();
                }
            }
        }

        a(int[] iArr, int i7, int i8) {
            this.f11826f = iArr;
            this.f11827g = i7;
            this.f11828p = i8;
        }
    }

    private static final class b extends Converter<String, Integer> implements Serializable {

        /* renamed from: f  reason: collision with root package name */
        static final b f11829f = new b();

        /* renamed from: g  reason: collision with root package name */
        private static final long f11830g = 1;

        private b() {
        }

        private Object readResolve() {
            return f11829f;
        }

        /* access modifiers changed from: protected */
        /* renamed from: a */
        public String doBackward(Integer num) {
            return num.toString();
        }

        /* access modifiers changed from: protected */
        /* renamed from: b */
        public Integer doForward(String str) {
            return Integer.decode(str);
        }

        public String toString() {
            return "Ints.stringConverter()";
        }
    }

    private enum c implements Comparator<int[]> {
        INSTANCE;

        /* renamed from: a */
        public int compare(int[] iArr, int[] iArr2) {
            int min = Math.min(iArr.length, iArr2.length);
            for (int i7 = 0; i7 < min; i7++) {
                int e7 = l.e(iArr[i7], iArr2[i7]);
                if (e7 != 0) {
                    return e7;
                }
            }
            return iArr.length - iArr2.length;
        }

        public String toString() {
            return "Ints.lexicographicalComparator()";
        }
    }

    private l() {
    }

    @m0.a
    public static Converter<String, Integer> A() {
        return b.f11829f;
    }

    public static int[] B(Collection<? extends Number> collection) {
        if (collection instanceof a) {
            return ((a) collection).h();
        }
        Object[] array = collection.toArray();
        int length = array.length;
        int[] iArr = new int[length];
        for (int i7 = 0; i7 < length; i7++) {
            iArr[i7] = ((Number) Preconditions.checkNotNull(array[i7])).intValue();
        }
        return iArr;
    }

    public static byte[] C(int i7) {
        return new byte[]{(byte) (i7 >> 24), (byte) (i7 >> 16), (byte) (i7 >> 8), (byte) i7};
    }

    @m0.a
    public static Integer D(String str) {
        return E(str, 10);
    }

    @m0.a
    public static Integer E(String str, int i7) {
        Long C = m.C(str, i7);
        if (C == null || C.longValue() != ((long) C.intValue())) {
            return null;
        }
        return Integer.valueOf(C.intValue());
    }

    public static List<Integer> c(int... iArr) {
        return iArr.length == 0 ? Collections.emptyList() : new a(iArr);
    }

    public static int d(long j7) {
        int i7 = (int) j7;
        Preconditions.checkArgument(((long) i7) == j7, "Out of range: %s", j7);
        return i7;
    }

    public static int e(int i7, int i8) {
        if (i7 < i8) {
            return -1;
        }
        return i7 > i8 ? 1 : 0;
    }

    public static int[] f(int[]... iArr) {
        int i7 = 0;
        for (int[] iArr2 : iArr) {
            i7 += iArr2.length;
        }
        int[] iArr3 = new int[i7];
        int i8 = 0;
        for (int[] iArr4 : iArr) {
            System.arraycopy(iArr4, 0, iArr3, i8, iArr4.length);
            i8 += iArr4.length;
        }
        return iArr3;
    }

    @m0.a
    public static int g(int i7, int i8, int i9) {
        Preconditions.checkArgument(i8 <= i9, "min (%s) must be less than or equal to max (%s)", i8, i9);
        return Math.min(Math.max(i7, i8), i9);
    }

    public static boolean h(int[] iArr, int i7) {
        for (int i8 : iArr) {
            if (i8 == i7) {
                return true;
            }
        }
        return false;
    }

    public static int[] i(int[] iArr, int i7, int i8) {
        boolean z7 = true;
        Preconditions.checkArgument(i7 >= 0, "Invalid minLength: %s", i7);
        if (i8 < 0) {
            z7 = false;
        }
        Preconditions.checkArgument(z7, "Invalid padding: %s", i8);
        return iArr.length < i7 ? Arrays.copyOf(iArr, i7 + i8) : iArr;
    }

    public static int j(byte[] bArr) {
        Preconditions.checkArgument(bArr.length >= 4, "array too small: %s < %s", bArr.length, 4);
        return k(bArr[0], bArr[1], bArr[2], bArr[3]);
    }

    public static int k(byte b7, byte b8, byte b9, byte b10) {
        return (b7 << Ascii.CAN) | ((b8 & 255) << 16) | ((b9 & 255) << 8) | (b10 & 255);
    }

    public static int l(int i7) {
        return i7;
    }

    public static int m(int[] iArr, int i7) {
        return n(iArr, i7, 0, iArr.length);
    }

    /* access modifiers changed from: private */
    public static int n(int[] iArr, int i7, int i8, int i9) {
        while (i8 < i9) {
            if (iArr[i8] == i7) {
                return i8;
            }
            i8++;
        }
        return -1;
    }

    public static int o(int[] iArr, int[] iArr2) {
        Preconditions.checkNotNull(iArr, "array");
        Preconditions.checkNotNull(iArr2, "target");
        if (iArr2.length == 0) {
            return 0;
        }
        for (int i7 = 0; i7 < (iArr.length - iArr2.length) + 1; i7++) {
            for (int i8 = 0; i8 < iArr2.length; i8++) {
                if (iArr[i7 + i8] != iArr2[i8]) {
                }
            }
            return i7;
        }
        return -1;
    }

    public static String p(String str, int... iArr) {
        Preconditions.checkNotNull(str);
        if (iArr.length == 0) {
            return "";
        }
        StringBuilder sb = new StringBuilder(iArr.length * 5);
        sb.append(iArr[0]);
        for (int i7 = 1; i7 < iArr.length; i7++) {
            sb.append(str);
            sb.append(iArr[i7]);
        }
        return sb.toString();
    }

    public static int q(int[] iArr, int i7) {
        return r(iArr, i7, 0, iArr.length);
    }

    /* access modifiers changed from: private */
    public static int r(int[] iArr, int i7, int i8, int i9) {
        for (int i10 = i9 - 1; i10 >= i8; i10--) {
            if (iArr[i10] == i7) {
                return i10;
            }
        }
        return -1;
    }

    public static Comparator<int[]> s() {
        return c.INSTANCE;
    }

    public static int t(int... iArr) {
        Preconditions.checkArgument(iArr.length > 0);
        int i7 = iArr[0];
        for (int i8 = 1; i8 < iArr.length; i8++) {
            int i9 = iArr[i8];
            if (i9 > i7) {
                i7 = i9;
            }
        }
        return i7;
    }

    public static int u(int... iArr) {
        Preconditions.checkArgument(iArr.length > 0);
        int i7 = iArr[0];
        for (int i8 = 1; i8 < iArr.length; i8++) {
            int i9 = iArr[i8];
            if (i9 < i7) {
                i7 = i9;
            }
        }
        return i7;
    }

    public static void v(int[] iArr) {
        Preconditions.checkNotNull(iArr);
        w(iArr, 0, iArr.length);
    }

    public static void w(int[] iArr, int i7, int i8) {
        Preconditions.checkNotNull(iArr);
        Preconditions.checkPositionIndexes(i7, i8, iArr.length);
        for (int i9 = i8 - 1; i7 < i9; i9--) {
            int i10 = iArr[i7];
            iArr[i7] = iArr[i9];
            iArr[i9] = i10;
            i7++;
        }
    }

    public static int x(long j7) {
        if (j7 > 2147483647L) {
            return Integer.MAX_VALUE;
        }
        if (j7 < -2147483648L) {
            return Integer.MIN_VALUE;
        }
        return (int) j7;
    }

    public static void y(int[] iArr) {
        Preconditions.checkNotNull(iArr);
        z(iArr, 0, iArr.length);
    }

    public static void z(int[] iArr, int i7, int i8) {
        Preconditions.checkNotNull(iArr);
        Preconditions.checkPositionIndexes(i7, i8, iArr.length);
        Arrays.sort(iArr, i7, i8);
        w(iArr, i7, i8);
    }
}
