package com.google.common.primitives;

import com.google.common.base.Converter;
import com.google.common.base.Preconditions;
import java.io.Serializable;
import java.util.AbstractList;
import java.util.Arrays;
import java.util.Collection;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;
import java.util.RandomAccess;
import java.util.Spliterator;
import java.util.Spliterators;

@m0.b
public final class m {

    /* renamed from: a  reason: collision with root package name */
    public static final int f11833a = 8;

    /* renamed from: b  reason: collision with root package name */
    public static final long f11834b = 4611686018427387904L;

    /* access modifiers changed from: package-private */
    public static final class a {

        /* renamed from: a  reason: collision with root package name */
        private static final byte[] f11835a;

        static {
            byte[] bArr = new byte[128];
            Arrays.fill(bArr, (byte) -1);
            for (int i7 = 0; i7 <= 9; i7++) {
                bArr[i7 + 48] = (byte) i7;
            }
            for (int i8 = 0; i8 <= 26; i8++) {
                byte b7 = (byte) (i8 + 10);
                bArr[i8 + 65] = b7;
                bArr[i8 + 97] = b7;
            }
            f11835a = bArr;
        }

        private a() {
        }

        static int a(char c7) {
            if (c7 < 128) {
                return f11835a[c7];
            }
            return -1;
        }
    }

    private enum b implements Comparator<long[]> {
        INSTANCE;

        /* renamed from: a */
        public int compare(long[] jArr, long[] jArr2) {
            int min = Math.min(jArr.length, jArr2.length);
            for (int i7 = 0; i7 < min; i7++) {
                int d7 = m.d(jArr[i7], jArr2[i7]);
                if (d7 != 0) {
                    return d7;
                }
            }
            return jArr.length - jArr2.length;
        }

        public String toString() {
            return "Longs.lexicographicalComparator()";
        }
    }

    @m0.b
    private static class c extends AbstractList<Long> implements RandomAccess, Serializable {

        /* renamed from: x  reason: collision with root package name */
        private static final long f11838x = 0;

        /* renamed from: f  reason: collision with root package name */
        final long[] f11839f;

        /* renamed from: g  reason: collision with root package name */
        final int f11840g;

        /* renamed from: p  reason: collision with root package name */
        final int f11841p;

        c(long[] jArr) {
            this(jArr, 0, jArr.length);
        }

        /* renamed from: b */
        public Long get(int i7) {
            Preconditions.checkElementIndex(i7, size());
            return Long.valueOf(this.f11839f[this.f11840g + i7]);
        }

        /* renamed from: c */
        public Long set(int i7, Long l7) {
            Preconditions.checkElementIndex(i7, size());
            long[] jArr = this.f11839f;
            int i8 = this.f11840g;
            long j7 = jArr[i8 + i7];
            jArr[i8 + i7] = ((Long) Preconditions.checkNotNull(l7)).longValue();
            return Long.valueOf(j7);
        }

        public boolean contains(Object obj) {
            return (obj instanceof Long) && m.m(this.f11839f, ((Long) obj).longValue(), this.f11840g, this.f11841p) != -1;
        }

        /* renamed from: e */
        public Spliterator.OfLong spliterator() {
            return Spliterators.spliterator(this.f11839f, this.f11840g, this.f11841p, 0);
        }

        public boolean equals(Object obj) {
            if (obj == this) {
                return true;
            }
            if (!(obj instanceof c)) {
                return super.equals(obj);
            }
            c cVar = (c) obj;
            int size = size();
            if (cVar.size() != size) {
                return false;
            }
            for (int i7 = 0; i7 < size; i7++) {
                if (this.f11839f[this.f11840g + i7] != cVar.f11839f[cVar.f11840g + i7]) {
                    return false;
                }
            }
            return true;
        }

        /* access modifiers changed from: package-private */
        public long[] h() {
            return Arrays.copyOfRange(this.f11839f, this.f11840g, this.f11841p);
        }

        public int hashCode() {
            int i7 = 1;
            for (int i8 = this.f11840g; i8 < this.f11841p; i8++) {
                i7 = (i7 * 31) + m.k(this.f11839f[i8]);
            }
            return i7;
        }

        public int indexOf(Object obj) {
            int m7;
            if (!(obj instanceof Long) || (m7 = m.m(this.f11839f, ((Long) obj).longValue(), this.f11840g, this.f11841p)) < 0) {
                return -1;
            }
            return m7 - this.f11840g;
        }

        public boolean isEmpty() {
            return false;
        }

        public int lastIndexOf(Object obj) {
            int q7;
            if (!(obj instanceof Long) || (q7 = m.q(this.f11839f, ((Long) obj).longValue(), this.f11840g, this.f11841p)) < 0) {
                return -1;
            }
            return q7 - this.f11840g;
        }

        public int size() {
            return this.f11841p - this.f11840g;
        }

        @Override // java.util.List, java.util.AbstractList
        public List<Long> subList(int i7, int i8) {
            Preconditions.checkPositionIndexes(i7, i8, size());
            if (i7 == i8) {
                return Collections.emptyList();
            }
            long[] jArr = this.f11839f;
            int i9 = this.f11840g;
            return new c(jArr, i7 + i9, i9 + i8);
        }

        public String toString() {
            StringBuilder sb = new StringBuilder(size() * 10);
            sb.append('[');
            sb.append(this.f11839f[this.f11840g]);
            int i7 = this.f11840g;
            while (true) {
                i7++;
                if (i7 < this.f11841p) {
                    sb.append(", ");
                    sb.append(this.f11839f[i7]);
                } else {
                    sb.append(']');
                    return sb.toString();
                }
            }
        }

        c(long[] jArr, int i7, int i8) {
            this.f11839f = jArr;
            this.f11840g = i7;
            this.f11841p = i8;
        }
    }

    private static final class d extends Converter<String, Long> implements Serializable {

        /* renamed from: f  reason: collision with root package name */
        static final d f11842f = new d();

        /* renamed from: g  reason: collision with root package name */
        private static final long f11843g = 1;

        private d() {
        }

        private Object readResolve() {
            return f11842f;
        }

        /* access modifiers changed from: protected */
        /* renamed from: a */
        public String doBackward(Long l7) {
            return l7.toString();
        }

        /* access modifiers changed from: protected */
        /* renamed from: b */
        public Long doForward(String str) {
            return Long.decode(str);
        }

        public String toString() {
            return "Longs.stringConverter()";
        }
    }

    private m() {
    }

    public static byte[] A(long j7) {
        byte[] bArr = new byte[8];
        for (int i7 = 7; i7 >= 0; i7--) {
            bArr[i7] = (byte) ((int) (255 & j7));
            j7 >>= 8;
        }
        return bArr;
    }

    @m0.a
    public static Long B(String str) {
        return C(str, 10);
    }

    @m0.a
    public static Long C(String str, int i7) {
        if (((String) Preconditions.checkNotNull(str)).isEmpty()) {
            return null;
        }
        if (i7 < 2 || i7 > 36) {
            throw new IllegalArgumentException("radix must be between MIN_RADIX and MAX_RADIX but was " + i7);
        }
        int i8 = 0;
        if (str.charAt(0) == '-') {
            i8 = 1;
        }
        if (i8 == str.length()) {
            return null;
        }
        int i9 = i8 + 1;
        int a8 = a.a(str.charAt(i8));
        if (a8 < 0 || a8 >= i7) {
            return null;
        }
        long j7 = (long) (-a8);
        long j8 = (long) i7;
        long j9 = Long.MIN_VALUE / j8;
        while (i9 < str.length()) {
            int i10 = i9 + 1;
            int a9 = a.a(str.charAt(i9));
            if (a9 < 0 || a9 >= i7 || j7 < j9) {
                return null;
            }
            long j10 = j7 * j8;
            long j11 = (long) a9;
            if (j10 < j11 - Long.MIN_VALUE) {
                return null;
            }
            j7 = j10 - j11;
            i9 = i10;
        }
        if (i8 != 0) {
            return Long.valueOf(j7);
        }
        if (j7 == Long.MIN_VALUE) {
            return null;
        }
        return Long.valueOf(-j7);
    }

    public static List<Long> c(long... jArr) {
        return jArr.length == 0 ? Collections.emptyList() : new c(jArr);
    }

    public static int d(long j7, long j8) {
        int i7 = (j7 > j8 ? 1 : (j7 == j8 ? 0 : -1));
        if (i7 < 0) {
            return -1;
        }
        return i7 > 0 ? 1 : 0;
    }

    public static long[] e(long[]... jArr) {
        int i7 = 0;
        for (long[] jArr2 : jArr) {
            i7 += jArr2.length;
        }
        long[] jArr3 = new long[i7];
        int i8 = 0;
        for (long[] jArr4 : jArr) {
            System.arraycopy(jArr4, 0, jArr3, i8, jArr4.length);
            i8 += jArr4.length;
        }
        return jArr3;
    }

    @m0.a
    public static long f(long j7, long j8, long j9) {
        Preconditions.checkArgument(j8 <= j9, "min (%s) must be less than or equal to max (%s)", j8, j9);
        return Math.min(Math.max(j7, j8), j9);
    }

    public static boolean g(long[] jArr, long j7) {
        for (long j8 : jArr) {
            if (j8 == j7) {
                return true;
            }
        }
        return false;
    }

    public static long[] h(long[] jArr, int i7, int i8) {
        boolean z7 = true;
        Preconditions.checkArgument(i7 >= 0, "Invalid minLength: %s", i7);
        if (i8 < 0) {
            z7 = false;
        }
        Preconditions.checkArgument(z7, "Invalid padding: %s", i8);
        return jArr.length < i7 ? Arrays.copyOf(jArr, i7 + i8) : jArr;
    }

    public static long i(byte[] bArr) {
        Preconditions.checkArgument(bArr.length >= 8, "array too small: %s < %s", bArr.length, 8);
        return j(bArr[0], bArr[1], bArr[2], bArr[3], bArr[4], bArr[5], bArr[6], bArr[7]);
    }

    public static long j(byte b7, byte b8, byte b9, byte b10, byte b11, byte b12, byte b13, byte b14) {
        return ((((long) b8) & 255) << 48) | ((((long) b7) & 255) << 56) | ((((long) b9) & 255) << 40) | ((((long) b10) & 255) << 32) | ((((long) b11) & 255) << 24) | ((((long) b12) & 255) << 16) | ((((long) b13) & 255) << 8) | (((long) b14) & 255);
    }

    public static int k(long j7) {
        return (int) (j7 ^ (j7 >>> 32));
    }

    public static int l(long[] jArr, long j7) {
        return m(jArr, j7, 0, jArr.length);
    }

    /* access modifiers changed from: private */
    public static int m(long[] jArr, long j7, int i7, int i8) {
        while (i7 < i8) {
            if (jArr[i7] == j7) {
                return i7;
            }
            i7++;
        }
        return -1;
    }

    public static int n(long[] jArr, long[] jArr2) {
        Preconditions.checkNotNull(jArr, "array");
        Preconditions.checkNotNull(jArr2, "target");
        if (jArr2.length == 0) {
            return 0;
        }
        for (int i7 = 0; i7 < (jArr.length - jArr2.length) + 1; i7++) {
            for (int i8 = 0; i8 < jArr2.length; i8++) {
                if (jArr[i7 + i8] != jArr2[i8]) {
                }
            }
            return i7;
        }
        return -1;
    }

    public static String o(String str, long... jArr) {
        Preconditions.checkNotNull(str);
        if (jArr.length == 0) {
            return "";
        }
        StringBuilder sb = new StringBuilder(jArr.length * 10);
        sb.append(jArr[0]);
        for (int i7 = 1; i7 < jArr.length; i7++) {
            sb.append(str);
            sb.append(jArr[i7]);
        }
        return sb.toString();
    }

    public static int p(long[] jArr, long j7) {
        return q(jArr, j7, 0, jArr.length);
    }

    /* access modifiers changed from: private */
    public static int q(long[] jArr, long j7, int i7, int i8) {
        for (int i9 = i8 - 1; i9 >= i7; i9--) {
            if (jArr[i9] == j7) {
                return i9;
            }
        }
        return -1;
    }

    public static Comparator<long[]> r() {
        return b.INSTANCE;
    }

    public static long s(long... jArr) {
        Preconditions.checkArgument(jArr.length > 0);
        long j7 = jArr[0];
        for (int i7 = 1; i7 < jArr.length; i7++) {
            long j8 = jArr[i7];
            if (j8 > j7) {
                j7 = j8;
            }
        }
        return j7;
    }

    public static long t(long... jArr) {
        Preconditions.checkArgument(jArr.length > 0);
        long j7 = jArr[0];
        for (int i7 = 1; i7 < jArr.length; i7++) {
            long j8 = jArr[i7];
            if (j8 < j7) {
                j7 = j8;
            }
        }
        return j7;
    }

    public static void u(long[] jArr) {
        Preconditions.checkNotNull(jArr);
        v(jArr, 0, jArr.length);
    }

    public static void v(long[] jArr, int i7, int i8) {
        Preconditions.checkNotNull(jArr);
        Preconditions.checkPositionIndexes(i7, i8, jArr.length);
        for (int i9 = i8 - 1; i7 < i9; i9--) {
            long j7 = jArr[i7];
            jArr[i7] = jArr[i9];
            jArr[i9] = j7;
            i7++;
        }
    }

    public static void w(long[] jArr) {
        Preconditions.checkNotNull(jArr);
        x(jArr, 0, jArr.length);
    }

    public static void x(long[] jArr, int i7, int i8) {
        Preconditions.checkNotNull(jArr);
        Preconditions.checkPositionIndexes(i7, i8, jArr.length);
        Arrays.sort(jArr, i7, i8);
        v(jArr, i7, i8);
    }

    @m0.a
    public static Converter<String, Long> y() {
        return d.f11842f;
    }

    public static long[] z(Collection<? extends Number> collection) {
        if (collection instanceof c) {
            return ((c) collection).h();
        }
        Object[] array = collection.toArray();
        int length = array.length;
        long[] jArr = new long[length];
        for (int i7 = 0; i7 < length; i7++) {
            jArr[i7] = ((Number) Preconditions.checkNotNull(array[i7])).longValue();
        }
        return jArr;
    }
}
