package com.google.common.primitives;

import com.google.common.base.Converter;
import com.google.common.base.Preconditions;
import java.io.Serializable;
import java.util.AbstractList;
import java.util.Arrays;
import java.util.Collection;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;
import java.util.RandomAccess;
import kotlin.jvm.internal.p1;

@m0.b(emulated = true)
public final class p {

    /* renamed from: a  reason: collision with root package name */
    public static final int f11848a = 2;

    /* renamed from: b  reason: collision with root package name */
    public static final short f11849b = 16384;

    private enum a implements Comparator<short[]> {
        INSTANCE;

        /* renamed from: a */
        public int compare(short[] sArr, short[] sArr2) {
            int min = Math.min(sArr.length, sArr2.length);
            for (int i7 = 0; i7 < min; i7++) {
                int e7 = p.e(sArr[i7], sArr2[i7]);
                if (e7 != 0) {
                    return e7;
                }
            }
            return sArr.length - sArr2.length;
        }

        public String toString() {
            return "Shorts.lexicographicalComparator()";
        }
    }

    @m0.b
    private static class b extends AbstractList<Short> implements RandomAccess, Serializable {

        /* renamed from: x  reason: collision with root package name */
        private static final long f11852x = 0;

        /* renamed from: f  reason: collision with root package name */
        final short[] f11853f;

        /* renamed from: g  reason: collision with root package name */
        final int f11854g;

        /* renamed from: p  reason: collision with root package name */
        final int f11855p;

        b(short[] sArr) {
            this(sArr, 0, sArr.length);
        }

        /* renamed from: b */
        public Short get(int i7) {
            Preconditions.checkElementIndex(i7, size());
            return Short.valueOf(this.f11853f[this.f11854g + i7]);
        }

        /* renamed from: c */
        public Short set(int i7, Short sh) {
            Preconditions.checkElementIndex(i7, size());
            short[] sArr = this.f11853f;
            int i8 = this.f11854g;
            short s7 = sArr[i8 + i7];
            sArr[i8 + i7] = ((Short) Preconditions.checkNotNull(sh)).shortValue();
            return Short.valueOf(s7);
        }

        public boolean contains(Object obj) {
            return (obj instanceof Short) && p.n(this.f11853f, ((Short) obj).shortValue(), this.f11854g, this.f11855p) != -1;
        }

        /* access modifiers changed from: package-private */
        public short[] e() {
            return Arrays.copyOfRange(this.f11853f, this.f11854g, this.f11855p);
        }

        public boolean equals(Object obj) {
            if (obj == this) {
                return true;
            }
            if (!(obj instanceof b)) {
                return super.equals(obj);
            }
            b bVar = (b) obj;
            int size = size();
            if (bVar.size() != size) {
                return false;
            }
            for (int i7 = 0; i7 < size; i7++) {
                if (this.f11853f[this.f11854g + i7] != bVar.f11853f[bVar.f11854g + i7]) {
                    return false;
                }
            }
            return true;
        }

        public int hashCode() {
            int i7 = 1;
            for (int i8 = this.f11854g; i8 < this.f11855p; i8++) {
                i7 = (i7 * 31) + p.l(this.f11853f[i8]);
            }
            return i7;
        }

        public int indexOf(Object obj) {
            int n7;
            if (!(obj instanceof Short) || (n7 = p.n(this.f11853f, ((Short) obj).shortValue(), this.f11854g, this.f11855p)) < 0) {
                return -1;
            }
            return n7 - this.f11854g;
        }

        public boolean isEmpty() {
            return false;
        }

        public int lastIndexOf(Object obj) {
            int r7;
            if (!(obj instanceof Short) || (r7 = p.r(this.f11853f, ((Short) obj).shortValue(), this.f11854g, this.f11855p)) < 0) {
                return -1;
            }
            return r7 - this.f11854g;
        }

        public int size() {
            return this.f11855p - this.f11854g;
        }

        @Override // java.util.List, java.util.AbstractList
        public List<Short> subList(int i7, int i8) {
            Preconditions.checkPositionIndexes(i7, i8, size());
            if (i7 == i8) {
                return Collections.emptyList();
            }
            short[] sArr = this.f11853f;
            int i9 = this.f11854g;
            return new b(sArr, i7 + i9, i9 + i8);
        }

        public String toString() {
            StringBuilder sb = new StringBuilder(size() * 6);
            sb.append('[');
            sb.append((int) this.f11853f[this.f11854g]);
            int i7 = this.f11854g;
            while (true) {
                i7++;
                if (i7 < this.f11855p) {
                    sb.append(", ");
                    sb.append((int) this.f11853f[i7]);
                } else {
                    sb.append(']');
                    return sb.toString();
                }
            }
        }

        b(short[] sArr, int i7, int i8) {
            this.f11853f = sArr;
            this.f11854g = i7;
            this.f11855p = i8;
        }
    }

    private static final class c extends Converter<String, Short> implements Serializable {

        /* renamed from: f  reason: collision with root package name */
        static final c f11856f = new c();

        /* renamed from: g  reason: collision with root package name */
        private static final long f11857g = 1;

        private c() {
        }

        private Object readResolve() {
            return f11856f;
        }

        /* access modifiers changed from: protected */
        /* renamed from: a */
        public String doBackward(Short sh) {
            return sh.toString();
        }

        /* access modifiers changed from: protected */
        /* renamed from: b */
        public Short doForward(String str) {
            return Short.decode(str);
        }

        public String toString() {
            return "Shorts.stringConverter()";
        }
    }

    private p() {
    }

    @m0.a
    public static Converter<String, Short> A() {
        return c.f11856f;
    }

    public static short[] B(Collection<? extends Number> collection) {
        if (collection instanceof b) {
            return ((b) collection).e();
        }
        Object[] array = collection.toArray();
        int length = array.length;
        short[] sArr = new short[length];
        for (int i7 = 0; i7 < length; i7++) {
            sArr[i7] = ((Number) Preconditions.checkNotNull(array[i7])).shortValue();
        }
        return sArr;
    }

    @m0.c
    public static byte[] C(short s7) {
        return new byte[]{(byte) (s7 >> 8), (byte) s7};
    }

    public static List<Short> c(short... sArr) {
        return sArr.length == 0 ? Collections.emptyList() : new b(sArr);
    }

    public static short d(long j7) {
        short s7 = (short) ((int) j7);
        Preconditions.checkArgument(((long) s7) == j7, "Out of range: %s", j7);
        return s7;
    }

    public static int e(short s7, short s8) {
        return s7 - s8;
    }

    public static short[] f(short[]... sArr) {
        int i7 = 0;
        for (short[] sArr2 : sArr) {
            i7 += sArr2.length;
        }
        short[] sArr3 = new short[i7];
        int i8 = 0;
        for (short[] sArr4 : sArr) {
            System.arraycopy(sArr4, 0, sArr3, i8, sArr4.length);
            i8 += sArr4.length;
        }
        return sArr3;
    }

    @m0.a
    public static short g(short s7, short s8, short s9) {
        Preconditions.checkArgument(s8 <= s9, "min (%s) must be less than or equal to max (%s)", (int) s8, (int) s9);
        return s7 < s8 ? s8 : s7 < s9 ? s7 : s9;
    }

    public static boolean h(short[] sArr, short s7) {
        for (short s8 : sArr) {
            if (s8 == s7) {
                return true;
            }
        }
        return false;
    }

    public static short[] i(short[] sArr, int i7, int i8) {
        boolean z7 = true;
        Preconditions.checkArgument(i7 >= 0, "Invalid minLength: %s", i7);
        if (i8 < 0) {
            z7 = false;
        }
        Preconditions.checkArgument(z7, "Invalid padding: %s", i8);
        return sArr.length < i7 ? Arrays.copyOf(sArr, i7 + i8) : sArr;
    }

    @m0.c
    public static short j(byte[] bArr) {
        Preconditions.checkArgument(bArr.length >= 2, "array too small: %s < %s", bArr.length, 2);
        return k(bArr[0], bArr[1]);
    }

    @m0.c
    public static short k(byte b7, byte b8) {
        return (short) ((b7 << 8) | (b8 & 255));
    }

    public static int l(short s7) {
        return s7;
    }

    public static int m(short[] sArr, short s7) {
        return n(sArr, s7, 0, sArr.length);
    }

    /* access modifiers changed from: private */
    public static int n(short[] sArr, short s7, int i7, int i8) {
        while (i7 < i8) {
            if (sArr[i7] == s7) {
                return i7;
            }
            i7++;
        }
        return -1;
    }

    public static int o(short[] sArr, short[] sArr2) {
        Preconditions.checkNotNull(sArr, "array");
        Preconditions.checkNotNull(sArr2, "target");
        if (sArr2.length == 0) {
            return 0;
        }
        for (int i7 = 0; i7 < (sArr.length - sArr2.length) + 1; i7++) {
            for (int i8 = 0; i8 < sArr2.length; i8++) {
                if (sArr[i7 + i8] != sArr2[i8]) {
                }
            }
            return i7;
        }
        return -1;
    }

    public static String p(String str, short... sArr) {
        Preconditions.checkNotNull(str);
        if (sArr.length == 0) {
            return "";
        }
        StringBuilder sb = new StringBuilder(sArr.length * 6);
        sb.append((int) sArr[0]);
        for (int i7 = 1; i7 < sArr.length; i7++) {
            sb.append(str);
            sb.append((int) sArr[i7]);
        }
        return sb.toString();
    }

    public static int q(short[] sArr, short s7) {
        return r(sArr, s7, 0, sArr.length);
    }

    /* access modifiers changed from: private */
    public static int r(short[] sArr, short s7, int i7, int i8) {
        for (int i9 = i8 - 1; i9 >= i7; i9--) {
            if (sArr[i9] == s7) {
                return i9;
            }
        }
        return -1;
    }

    public static Comparator<short[]> s() {
        return a.INSTANCE;
    }

    public static short t(short... sArr) {
        Preconditions.checkArgument(sArr.length > 0);
        short s7 = sArr[0];
        for (int i7 = 1; i7 < sArr.length; i7++) {
            short s8 = sArr[i7];
            if (s8 > s7) {
                s7 = s8;
            }
        }
        return s7;
    }

    public static short u(short... sArr) {
        Preconditions.checkArgument(sArr.length > 0);
        short s7 = sArr[0];
        for (int i7 = 1; i7 < sArr.length; i7++) {
            short s8 = sArr[i7];
            if (s8 < s7) {
                s7 = s8;
            }
        }
        return s7;
    }

    public static void v(short[] sArr) {
        Preconditions.checkNotNull(sArr);
        w(sArr, 0, sArr.length);
    }

    public static void w(short[] sArr, int i7, int i8) {
        Preconditions.checkNotNull(sArr);
        Preconditions.checkPositionIndexes(i7, i8, sArr.length);
        for (int i9 = i8 - 1; i7 < i9; i9--) {
            short s7 = sArr[i7];
            sArr[i7] = sArr[i9];
            sArr[i9] = s7;
            i7++;
        }
    }

    public static short x(long j7) {
        return j7 > 32767 ? p1.f19835c : j7 < -32768 ? p1.f19834b : (short) ((int) j7);
    }

    public static void y(short[] sArr) {
        Preconditions.checkNotNull(sArr);
        z(sArr, 0, sArr.length);
    }

    public static void z(short[] sArr, int i7, int i8) {
        Preconditions.checkNotNull(sArr);
        Preconditions.checkPositionIndexes(i7, i8, sArr.length);
        Arrays.sort(sArr, i7, i8);
        w(sArr, i7, i8);
    }
}
