package com.google.common.primitives;

import com.google.common.base.Preconditions;
import java.lang.reflect.Field;
import java.nio.ByteOrder;
import java.security.PrivilegedExceptionAction;
import java.util.Arrays;
import java.util.Comparator;
import m0.c;
import m0.d;
import sun.misc.Unsafe;

@c
public final class r {

    /* renamed from: a  reason: collision with root package name */
    public static final byte f11861a = Byte.MIN_VALUE;

    /* renamed from: b  reason: collision with root package name */
    public static final byte f11862b = -1;

    /* renamed from: c  reason: collision with root package name */
    private static final int f11863c = 255;

    @d
    static class a {

        /* renamed from: a  reason: collision with root package name */
        static final String f11864a = (a.class.getName() + "$UnsafeComparator");

        /* renamed from: b  reason: collision with root package name */
        static final Comparator<byte[]> f11865b = a();

        /* access modifiers changed from: package-private */
        /* renamed from: com.google.common.primitives.r$a$a  reason: collision with other inner class name */
        public enum EnumC0163a implements Comparator<byte[]> {
            INSTANCE;

            /* renamed from: a */
            public int compare(byte[] bArr, byte[] bArr2) {
                int min = Math.min(bArr.length, bArr2.length);
                for (int i7 = 0; i7 < min; i7++) {
                    int b7 = r.b(bArr[i7], bArr2[i7]);
                    if (b7 != 0) {
                        return b7;
                    }
                }
                return bArr.length - bArr2.length;
            }

            public String toString() {
                return "UnsignedBytes.lexicographicalComparator() (pure Java version)";
            }
        }

        @d
        enum b implements Comparator<byte[]> {
            INSTANCE;
            

            /* renamed from: g  reason: collision with root package name */
            static final boolean f11869g = ByteOrder.nativeOrder().equals(ByteOrder.BIG_ENDIAN);

            /* renamed from: p  reason: collision with root package name */
            static final Unsafe f11870p;

            /* renamed from: x  reason: collision with root package name */
            static final int f11871x;

            /* access modifiers changed from: package-private */
            /* renamed from: com.google.common.primitives.r$a$b$a  reason: collision with other inner class name */
            public static class C0164a implements PrivilegedExceptionAction<Unsafe> {
                C0164a() {
                }

                /* renamed from: a */
                public Unsafe run() throws Exception {
                    Field[] declaredFields = Unsafe.class.getDeclaredFields();
                    for (Field field : declaredFields) {
                        field.setAccessible(true);
                        Object obj = field.get(null);
                        if (Unsafe.class.isInstance(obj)) {
                            return (Unsafe) Unsafe.class.cast(obj);
                        }
                    }
                    throw new NoSuchFieldError("the Unsafe");
                }
            }

            static {
                Unsafe b7 = b();
                f11870p = b7;
                int arrayBaseOffset = b7.arrayBaseOffset(byte[].class);
                f11871x = arrayBaseOffset;
                if (!"64".equals(System.getProperty("sun.arch.data.model")) || arrayBaseOffset % 8 != 0 || b7.arrayIndexScale(byte[].class) != 1) {
                    throw new Error();
                }
            }

            /* JADX WARNING: Code restructure failed: missing block: B:5:0x0010, code lost:
                return (sun.misc.Unsafe) java.security.AccessController.doPrivileged(new com.google.common.primitives.r.a.b.C0164a());
             */
            /* JADX WARNING: Code restructure failed: missing block: B:6:0x0011, code lost:
                r0 = move-exception;
             */
            /* JADX WARNING: Code restructure failed: missing block: B:8:0x001d, code lost:
                throw new java.lang.RuntimeException("Could not initialize intrinsics", r0.getCause());
             */
            /* JADX WARNING: Failed to process nested try/catch */
            /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0005 */
            private static Unsafe b() {
                return Unsafe.getUnsafe();
            }

            /* renamed from: a */
            public int compare(byte[] bArr, byte[] bArr2) {
                int min = Math.min(bArr.length, bArr2.length);
                int i7 = min & -8;
                int i8 = 0;
                while (i8 < i7) {
                    Unsafe unsafe = f11870p;
                    int i9 = f11871x;
                    long j7 = (long) i8;
                    long j8 = unsafe.getLong(bArr, ((long) i9) + j7);
                    long j9 = unsafe.getLong(bArr2, ((long) i9) + j7);
                    if (j8 == j9) {
                        i8 += 8;
                    } else if (f11869g) {
                        return v.a(j8, j9);
                    } else {
                        int numberOfTrailingZeros = Long.numberOfTrailingZeros(j8 ^ j9) & -8;
                        return ((int) ((j8 >>> numberOfTrailingZeros) & 255)) - ((int) (255 & (j9 >>> numberOfTrailingZeros)));
                    }
                }
                while (i8 < min) {
                    int b7 = r.b(bArr[i8], bArr2[i8]);
                    if (b7 != 0) {
                        return b7;
                    }
                    i8++;
                }
                return bArr.length - bArr2.length;
            }

            public String toString() {
                return "UnsignedBytes.lexicographicalComparator() (sun.misc.Unsafe version)";
            }
        }

        a() {
        }

        /* JADX DEBUG: Multi-variable search result rejected for r0v4, resolved type: java.lang.Object[] */
        /* JADX WARN: Multi-variable type inference failed */
        static Comparator<byte[]> a() {
            try {
                return (Comparator) Class.forName(f11864a).getEnumConstants()[0];
            } catch (Throwable unused) {
                return r.f();
            }
        }
    }

    private r() {
    }

    @p0.a
    public static byte a(long j7) {
        Preconditions.checkArgument((j7 >> 8) == 0, "out of range: %s", j7);
        return (byte) ((int) j7);
    }

    public static int b(byte b7, byte b8) {
        return p(b7) - p(b8);
    }

    private static byte c(byte b7) {
        return (byte) (b7 ^ 128);
    }

    public static String d(String str, byte... bArr) {
        Preconditions.checkNotNull(str);
        if (bArr.length == 0) {
            return "";
        }
        StringBuilder sb = new StringBuilder(bArr.length * (str.length() + 3));
        sb.append(p(bArr[0]));
        for (int i7 = 1; i7 < bArr.length; i7++) {
            sb.append(str);
            sb.append(q(bArr[i7]));
        }
        return sb.toString();
    }

    public static Comparator<byte[]> e() {
        return a.f11865b;
    }

    @d
    static Comparator<byte[]> f() {
        return a.EnumC0163a.INSTANCE;
    }

    public static byte g(byte... bArr) {
        Preconditions.checkArgument(bArr.length > 0);
        int p7 = p(bArr[0]);
        for (int i7 = 1; i7 < bArr.length; i7++) {
            int p8 = p(bArr[i7]);
            if (p8 > p7) {
                p7 = p8;
            }
        }
        return (byte) p7;
    }

    public static byte h(byte... bArr) {
        Preconditions.checkArgument(bArr.length > 0);
        int p7 = p(bArr[0]);
        for (int i7 = 1; i7 < bArr.length; i7++) {
            int p8 = p(bArr[i7]);
            if (p8 < p7) {
                p7 = p8;
            }
        }
        return (byte) p7;
    }

    @m0.a
    @p0.a
    public static byte i(String str) {
        return j(str, 10);
    }

    @m0.a
    @p0.a
    public static byte j(String str, int i7) {
        int parseInt = Integer.parseInt((String) Preconditions.checkNotNull(str), i7);
        if ((parseInt >> 8) == 0) {
            return (byte) parseInt;
        }
        throw new NumberFormatException("out of range: " + parseInt);
    }

    public static byte k(long j7) {
        if (j7 > ((long) p((byte) -1))) {
            return -1;
        }
        if (j7 < 0) {
            return 0;
        }
        return (byte) ((int) j7);
    }

    public static void l(byte[] bArr) {
        Preconditions.checkNotNull(bArr);
        m(bArr, 0, bArr.length);
    }

    public static void m(byte[] bArr, int i7, int i8) {
        Preconditions.checkNotNull(bArr);
        Preconditions.checkPositionIndexes(i7, i8, bArr.length);
        for (int i9 = i7; i9 < i8; i9++) {
            bArr[i9] = c(bArr[i9]);
        }
        Arrays.sort(bArr, i7, i8);
        while (i7 < i8) {
            bArr[i7] = c(bArr[i7]);
            i7++;
        }
    }

    public static void n(byte[] bArr) {
        Preconditions.checkNotNull(bArr);
        o(bArr, 0, bArr.length);
    }

    public static void o(byte[] bArr, int i7, int i8) {
        Preconditions.checkNotNull(bArr);
        Preconditions.checkPositionIndexes(i7, i8, bArr.length);
        for (int i9 = i7; i9 < i8; i9++) {
            bArr[i9] = (byte) (bArr[i9] ^ Byte.MAX_VALUE);
        }
        Arrays.sort(bArr, i7, i8);
        while (i7 < i8) {
            bArr[i7] = (byte) (bArr[i7] ^ Byte.MAX_VALUE);
            i7++;
        }
    }

    public static int p(byte b7) {
        return b7 & 255;
    }

    @m0.a
    public static String q(byte b7) {
        return r(b7, 10);
    }

    @m0.a
    public static String r(byte b7, int i7) {
        Preconditions.checkArgument(i7 >= 2 && i7 <= 36, "radix (%s) must be between Character.MIN_RADIX and Character.MAX_RADIX", i7);
        return Integer.toString(p(b7), i7);
    }
}
