package com.google.common.primitives;

import com.google.common.base.Preconditions;
import java.util.Arrays;
import java.util.Comparator;
import m0.b;

@m0.a
@b
public final class t {

    /* renamed from: a  reason: collision with root package name */
    static final long f11877a = 4294967295L;

    enum a implements Comparator<int[]> {
        INSTANCE;

        /* renamed from: a */
        public int compare(int[] iArr, int[] iArr2) {
            int min = Math.min(iArr.length, iArr2.length);
            for (int i7 = 0; i7 < min; i7++) {
                int i8 = iArr[i7];
                int i9 = iArr2[i7];
                if (i8 != i9) {
                    return t.b(i8, i9);
                }
            }
            return iArr.length - iArr2.length;
        }

        public String toString() {
            return "UnsignedInts.lexicographicalComparator()";
        }
    }

    private t() {
    }

    public static int a(long j7) {
        Preconditions.checkArgument((j7 >> 32) == 0, "out of range: %s", j7);
        return (int) j7;
    }

    public static int b(int i7, int i8) {
        return l.e(e(i7), e(i8));
    }

    @p0.a
    public static int c(String str) {
        n a8 = n.a(str);
        try {
            return k(a8.f11844a, a8.f11845b);
        } catch (NumberFormatException e7) {
            NumberFormatException numberFormatException = new NumberFormatException("Error parsing value: " + str);
            numberFormatException.initCause(e7);
            throw numberFormatException;
        }
    }

    public static int d(int i7, int i8) {
        return (int) (r(i7) / r(i8));
    }

    static int e(int i7) {
        return i7 ^ Integer.MIN_VALUE;
    }

    public static String f(String str, int... iArr) {
        Preconditions.checkNotNull(str);
        if (iArr.length == 0) {
            return "";
        }
        StringBuilder sb = new StringBuilder(iArr.length * 5);
        sb.append(s(iArr[0]));
        for (int i7 = 1; i7 < iArr.length; i7++) {
            sb.append(str);
            sb.append(s(iArr[i7]));
        }
        return sb.toString();
    }

    public static Comparator<int[]> g() {
        return a.INSTANCE;
    }

    public static int h(int... iArr) {
        Preconditions.checkArgument(iArr.length > 0);
        int e7 = e(iArr[0]);
        for (int i7 = 1; i7 < iArr.length; i7++) {
            int e8 = e(iArr[i7]);
            if (e8 > e7) {
                e7 = e8;
            }
        }
        return e(e7);
    }

    public static int i(int... iArr) {
        Preconditions.checkArgument(iArr.length > 0);
        int e7 = e(iArr[0]);
        for (int i7 = 1; i7 < iArr.length; i7++) {
            int e8 = e(iArr[i7]);
            if (e8 < e7) {
                e7 = e8;
            }
        }
        return e(e7);
    }

    @p0.a
    public static int j(String str) {
        return k(str, 10);
    }

    @p0.a
    public static int k(String str, int i7) {
        Preconditions.checkNotNull(str);
        long parseLong = Long.parseLong(str, i7);
        if ((f11877a & parseLong) == parseLong) {
            return (int) parseLong;
        }
        throw new NumberFormatException("Input " + str + " in base " + i7 + " is not in the range of an unsigned integer");
    }

    public static int l(int i7, int i8) {
        return (int) (r(i7) % r(i8));
    }

    public static int m(long j7) {
        if (j7 <= 0) {
            return 0;
        }
        if (j7 >= 4294967296L) {
            return -1;
        }
        return (int) j7;
    }

    public static void n(int[] iArr) {
        Preconditions.checkNotNull(iArr);
        o(iArr, 0, iArr.length);
    }

    public static void o(int[] iArr, int i7, int i8) {
        Preconditions.checkNotNull(iArr);
        Preconditions.checkPositionIndexes(i7, i8, iArr.length);
        for (int i9 = i7; i9 < i8; i9++) {
            iArr[i9] = e(iArr[i9]);
        }
        Arrays.sort(iArr, i7, i8);
        while (i7 < i8) {
            iArr[i7] = e(iArr[i7]);
            i7++;
        }
    }

    public static void p(int[] iArr) {
        Preconditions.checkNotNull(iArr);
        q(iArr, 0, iArr.length);
    }

    public static void q(int[] iArr, int i7, int i8) {
        Preconditions.checkNotNull(iArr);
        Preconditions.checkPositionIndexes(i7, i8, iArr.length);
        for (int i9 = i7; i9 < i8; i9++) {
            iArr[i9] = Integer.MAX_VALUE ^ iArr[i9];
        }
        Arrays.sort(iArr, i7, i8);
        while (i7 < i8) {
            iArr[i7] = iArr[i7] ^ Integer.MAX_VALUE;
            i7++;
        }
    }

    public static long r(int i7) {
        return ((long) i7) & f11877a;
    }

    public static String s(int i7) {
        return t(i7, 10);
    }

    public static String t(int i7, int i8) {
        return Long.toString(((long) i7) & f11877a, i8);
    }
}
