package com.google.common.primitives;

import com.google.common.base.Preconditions;
import java.io.Serializable;
import java.math.BigInteger;
import m0.b;
import p0.a;

@b(serializable = true)
public final class u extends Number implements Comparable<u>, Serializable {

    /* renamed from: g  reason: collision with root package name */
    private static final long f11880g = Long.MAX_VALUE;

    /* renamed from: p  reason: collision with root package name */
    public static final u f11881p = new u(0);

    /* renamed from: x  reason: collision with root package name */
    public static final u f11882x = new u(1);

    /* renamed from: y  reason: collision with root package name */
    public static final u f11883y = new u(-1);

    /* renamed from: f  reason: collision with root package name */
    private final long f11884f;

    private u(long j7) {
        this.f11884f = j7;
    }

    public static u d(long j7) {
        return new u(j7);
    }

    @a
    public static u j(long j7) {
        Preconditions.checkArgument(j7 >= 0, "value (%s) is outside the range for an unsigned long value", j7);
        return d(j7);
    }

    @a
    public static u k(String str) {
        return m(str, 10);
    }

    @a
    public static u m(String str, int i7) {
        return d(v.j(str, i7));
    }

    @a
    public static u p(BigInteger bigInteger) {
        Preconditions.checkNotNull(bigInteger);
        Preconditions.checkArgument(bigInteger.signum() >= 0 && bigInteger.bitLength() <= 64, "value (%s) is outside the range for an unsigned long value", bigInteger);
        return d(bigInteger.longValue());
    }

    public BigInteger a() {
        BigInteger valueOf = BigInteger.valueOf(this.f11884f & Long.MAX_VALUE);
        return this.f11884f < 0 ? valueOf.setBit(63) : valueOf;
    }

    /* renamed from: b */
    public int compareTo(u uVar) {
        Preconditions.checkNotNull(uVar);
        return v.a(this.f11884f, uVar.f11884f);
    }

    public u c(u uVar) {
        return d(v.c(this.f11884f, ((u) Preconditions.checkNotNull(uVar)).f11884f));
    }

    public double doubleValue() {
        long j7 = this.f11884f;
        double d7 = (double) (Long.MAX_VALUE & j7);
        return j7 < 0 ? d7 + 9.223372036854776E18d : d7;
    }

    public u e(u uVar) {
        return d(this.f11884f - ((u) Preconditions.checkNotNull(uVar)).f11884f);
    }

    public boolean equals(Object obj) {
        return (obj instanceof u) && this.f11884f == ((u) obj).f11884f;
    }

    public u f(u uVar) {
        return d(v.k(this.f11884f, ((u) Preconditions.checkNotNull(uVar)).f11884f));
    }

    public float floatValue() {
        long j7 = this.f11884f;
        float f7 = (float) (Long.MAX_VALUE & j7);
        return j7 < 0 ? f7 + 9.223372E18f : f7;
    }

    public u g(u uVar) {
        return d(this.f11884f + ((u) Preconditions.checkNotNull(uVar)).f11884f);
    }

    public u h(u uVar) {
        return d(this.f11884f * ((u) Preconditions.checkNotNull(uVar)).f11884f);
    }

    public int hashCode() {
        return m.k(this.f11884f);
    }

    public String i(int i7) {
        return v.q(this.f11884f, i7);
    }

    public int intValue() {
        return (int) this.f11884f;
    }

    public long longValue() {
        return this.f11884f;
    }

    public String toString() {
        return v.p(this.f11884f);
    }
}
