package com.google.common.primitives;

import com.google.common.base.Preconditions;
import java.math.BigInteger;
import java.util.Arrays;
import java.util.Comparator;

@m0.a
@m0.b
public final class v {

    /* renamed from: a  reason: collision with root package name */
    public static final long f11885a = -1;

    enum a implements Comparator<long[]> {
        INSTANCE;

        /* renamed from: a */
        public int compare(long[] jArr, long[] jArr2) {
            int min = Math.min(jArr.length, jArr2.length);
            for (int i7 = 0; i7 < min; i7++) {
                long j7 = jArr[i7];
                long j8 = jArr2[i7];
                if (j7 != j8) {
                    return v.a(j7, j8);
                }
            }
            return jArr.length - jArr2.length;
        }

        public String toString() {
            return "UnsignedLongs.lexicographicalComparator()";
        }
    }

    /* access modifiers changed from: private */
    public static final class b {

        /* renamed from: a  reason: collision with root package name */
        static final long[] f11888a = new long[37];

        /* renamed from: b  reason: collision with root package name */
        static final int[] f11889b = new int[37];

        /* renamed from: c  reason: collision with root package name */
        static final int[] f11890c = new int[37];

        static {
            BigInteger bigInteger = new BigInteger("10000000000000000", 16);
            for (int i7 = 2; i7 <= 36; i7++) {
                long j7 = (long) i7;
                f11888a[i7] = v.c(-1, j7);
                f11889b[i7] = (int) v.k(-1, j7);
                f11890c[i7] = bigInteger.toString(i7).length() - 1;
            }
        }

        private b() {
        }

        static boolean a(long j7, int i7, int i8) {
            if (j7 < 0) {
                return true;
            }
            long j8 = f11888a[i8];
            if (j7 < j8) {
                return false;
            }
            return j7 > j8 || i7 > f11889b[i8];
        }
    }

    private v() {
    }

    public static int a(long j7, long j8) {
        return m.d(d(j7), d(j8));
    }

    @p0.a
    public static long b(String str) {
        n a8 = n.a(str);
        try {
            return j(a8.f11844a, a8.f11845b);
        } catch (NumberFormatException e7) {
            NumberFormatException numberFormatException = new NumberFormatException("Error parsing value: " + str);
            numberFormatException.initCause(e7);
            throw numberFormatException;
        }
    }

    public static long c(long j7, long j8) {
        if (j8 < 0) {
            return a(j7, j8) < 0 ? 0 : 1;
        }
        if (j7 >= 0) {
            return j7 / j8;
        }
        int i7 = 1;
        long j9 = ((j7 >>> 1) / j8) << 1;
        if (a(j7 - (j9 * j8), j8) < 0) {
            i7 = 0;
        }
        return j9 + ((long) i7);
    }

    private static long d(long j7) {
        return j7 ^ Long.MIN_VALUE;
    }

    public static String e(String str, long... jArr) {
        Preconditions.checkNotNull(str);
        if (jArr.length == 0) {
            return "";
        }
        StringBuilder sb = new StringBuilder(jArr.length * 5);
        sb.append(p(jArr[0]));
        for (int i7 = 1; i7 < jArr.length; i7++) {
            sb.append(str);
            sb.append(p(jArr[i7]));
        }
        return sb.toString();
    }

    public static Comparator<long[]> f() {
        return a.INSTANCE;
    }

    public static long g(long... jArr) {
        Preconditions.checkArgument(jArr.length > 0);
        long d7 = d(jArr[0]);
        for (int i7 = 1; i7 < jArr.length; i7++) {
            long d8 = d(jArr[i7]);
            if (d8 > d7) {
                d7 = d8;
            }
        }
        return d(d7);
    }

    public static long h(long... jArr) {
        Preconditions.checkArgument(jArr.length > 0);
        long d7 = d(jArr[0]);
        for (int i7 = 1; i7 < jArr.length; i7++) {
            long d8 = d(jArr[i7]);
            if (d8 < d7) {
                d7 = d8;
            }
        }
        return d(d7);
    }

    @p0.a
    public static long i(String str) {
        return j(str, 10);
    }

    @p0.a
    public static long j(String str, int i7) {
        Preconditions.checkNotNull(str);
        if (str.length() == 0) {
            throw new NumberFormatException("empty string");
        } else if (i7 < 2 || i7 > 36) {
            throw new NumberFormatException("illegal radix: " + i7);
        } else {
            int i8 = b.f11890c[i7] - 1;
            long j7 = 0;
            for (int i9 = 0; i9 < str.length(); i9++) {
                int digit = Character.digit(str.charAt(i9), i7);
                if (digit == -1) {
                    throw new NumberFormatException(str);
                } else if (i9 <= i8 || !b.a(j7, digit, i7)) {
                    j7 = (j7 * ((long) i7)) + ((long) digit);
                } else {
                    throw new NumberFormatException("Too large for unsigned long: " + str);
                }
            }
            return j7;
        }
    }

    public static long k(long j7, long j8) {
        if (j8 < 0) {
            return a(j7, j8) < 0 ? j7 : j7 - j8;
        }
        if (j7 >= 0) {
            return j7 % j8;
        }
        long j9 = j7 - ((((j7 >>> 1) / j8) << 1) * j8);
        if (a(j9, j8) < 0) {
            j8 = 0;
        }
        return j9 - j8;
    }

    public static void l(long[] jArr) {
        Preconditions.checkNotNull(jArr);
        m(jArr, 0, jArr.length);
    }

    public static void m(long[] jArr, int i7, int i8) {
        Preconditions.checkNotNull(jArr);
        Preconditions.checkPositionIndexes(i7, i8, jArr.length);
        for (int i9 = i7; i9 < i8; i9++) {
            jArr[i9] = d(jArr[i9]);
        }
        Arrays.sort(jArr, i7, i8);
        while (i7 < i8) {
            jArr[i7] = d(jArr[i7]);
            i7++;
        }
    }

    public static void n(long[] jArr) {
        Preconditions.checkNotNull(jArr);
        o(jArr, 0, jArr.length);
    }

    public static void o(long[] jArr, int i7, int i8) {
        Preconditions.checkNotNull(jArr);
        Preconditions.checkPositionIndexes(i7, i8, jArr.length);
        for (int i9 = i7; i9 < i8; i9++) {
            jArr[i9] = Long.MAX_VALUE ^ jArr[i9];
        }
        Arrays.sort(jArr, i7, i8);
        while (i7 < i8) {
            jArr[i7] = jArr[i7] ^ Long.MAX_VALUE;
            i7++;
        }
    }

    public static String p(long j7) {
        return q(j7, 10);
    }

    public static String q(long j7, int i7) {
        Preconditions.checkArgument(i7 >= 2 && i7 <= 36, "radix (%s) must be between Character.MIN_RADIX and Character.MAX_RADIX", i7);
        int i8 = (j7 > 0 ? 1 : (j7 == 0 ? 0 : -1));
        if (i8 == 0) {
            return "0";
        }
        if (i8 > 0) {
            return Long.toString(j7, i7);
        }
        int i9 = 64;
        char[] cArr = new char[64];
        int i10 = i7 - 1;
        if ((i7 & i10) == 0) {
            int numberOfTrailingZeros = Integer.numberOfTrailingZeros(i7);
            do {
                i9--;
                cArr[i9] = Character.forDigit(((int) j7) & i10, i7);
                j7 >>>= numberOfTrailingZeros;
            } while (j7 != 0);
        } else {
            long c7 = (i7 & 1) == 0 ? (j7 >>> 1) / ((long) (i7 >>> 1)) : c(j7, (long) i7);
            long j8 = (long) i7;
            int i11 = 63;
            cArr[63] = Character.forDigit((int) (j7 - (c7 * j8)), i7);
            while (c7 > 0) {
                i11--;
                cArr[i11] = Character.forDigit((int) (c7 % j8), i7);
                c7 /= j8;
            }
            i9 = i11;
        }
        return new String(cArr, i9, 64 - i9);
    }
}
