package com.google.common.reflect;

import com.google.common.base.Preconditions;
import java.lang.annotation.Annotation;
import java.lang.reflect.AccessibleObject;
import java.lang.reflect.Member;
import java.lang.reflect.Modifier;

/* access modifiers changed from: package-private */
public class c extends AccessibleObject implements Member {

    /* renamed from: a  reason: collision with root package name */
    private final AccessibleObject f11902a;

    /* renamed from: b  reason: collision with root package name */
    private final Member f11903b;

    <M extends AccessibleObject & Member> c(M m7) {
        Preconditions.checkNotNull(m7);
        this.f11902a = m7;
        this.f11903b = m7;
    }

    public m<?> a() {
        return m.U(getDeclaringClass());
    }

    public final boolean b() {
        return Modifier.isAbstract(getModifiers());
    }

    public final boolean c() {
        return Modifier.isFinal(getModifiers());
    }

    public final boolean d() {
        return Modifier.isNative(getModifiers());
    }

    public final boolean e() {
        return !f() && !h() && !g();
    }

    public boolean equals(Object obj) {
        if (!(obj instanceof c)) {
            return false;
        }
        c cVar = (c) obj;
        return a().equals(cVar.a()) && this.f11903b.equals(cVar.f11903b);
    }

    public final boolean f() {
        return Modifier.isPrivate(getModifiers());
    }

    public final boolean g() {
        return Modifier.isProtected(getModifiers());
    }

    @Override // java.lang.reflect.AccessibleObject, java.lang.reflect.AnnotatedElement
    public final <A extends Annotation> A getAnnotation(Class<A> cls) {
        return (A) this.f11902a.getAnnotation(cls);
    }

    public final Annotation[] getAnnotations() {
        return this.f11902a.getAnnotations();
    }

    public final Annotation[] getDeclaredAnnotations() {
        return this.f11902a.getDeclaredAnnotations();
    }

    @Override // java.lang.reflect.Member
    public Class<?> getDeclaringClass() {
        return this.f11903b.getDeclaringClass();
    }

    public final int getModifiers() {
        return this.f11903b.getModifiers();
    }

    public final String getName() {
        return this.f11903b.getName();
    }

    public final boolean h() {
        return Modifier.isPublic(getModifiers());
    }

    public int hashCode() {
        return this.f11903b.hashCode();
    }

    public final boolean i() {
        return Modifier.isStatic(getModifiers());
    }

    public final boolean isAccessible() {
        return this.f11902a.isAccessible();
    }

    @Override // java.lang.reflect.AccessibleObject, java.lang.reflect.AnnotatedElement
    public final boolean isAnnotationPresent(Class<? extends Annotation> cls) {
        return this.f11902a.isAnnotationPresent(cls);
    }

    public final boolean isSynthetic() {
        return this.f11903b.isSynthetic();
    }

    public final boolean j() {
        return Modifier.isSynchronized(getModifiers());
    }

    /* access modifiers changed from: package-private */
    public final boolean k() {
        return Modifier.isTransient(getModifiers());
    }

    /* access modifiers changed from: package-private */
    public final boolean l() {
        return Modifier.isVolatile(getModifiers());
    }

    @Override // java.lang.reflect.AccessibleObject
    public final void setAccessible(boolean z7) throws SecurityException {
        this.f11902a.setAccessible(z7);
    }

    public String toString() {
        return this.f11903b.toString();
    }
}
