package com.google.common.reflect;

import com.google.common.base.Preconditions;
import com.google.common.collect.le;
import com.google.common.collect.t5;
import com.google.common.collect.y3;
import java.lang.annotation.Annotation;
import java.lang.reflect.AnnotatedElement;
import java.lang.reflect.AnnotatedType;
import m0.a;

@a
public final class g implements AnnotatedElement {

    /* renamed from: a  reason: collision with root package name */
    private final e<?, ?> f11911a;

    /* renamed from: b  reason: collision with root package name */
    private final int f11912b;

    /* renamed from: c  reason: collision with root package name */
    private final m<?> f11913c;

    /* renamed from: d  reason: collision with root package name */
    private final t5<Annotation> f11914d;

    /* renamed from: e  reason: collision with root package name */
    private final AnnotatedType f11915e;

    g(e<?, ?> eVar, int i7, m<?> mVar, Annotation[] annotationArr, AnnotatedType annotatedType) {
        this.f11911a = eVar;
        this.f11912b = i7;
        this.f11913c = mVar;
        this.f11914d = t5.L(annotationArr);
        this.f11915e = annotatedType;
    }

    public AnnotatedType a() {
        return this.f11915e;
    }

    public e<?, ?> b() {
        return this.f11911a;
    }

    public m<?> c() {
        return this.f11913c;
    }

    public boolean equals(Object obj) {
        if (!(obj instanceof g)) {
            return false;
        }
        g gVar = (g) obj;
        return this.f11912b == gVar.f11912b && this.f11911a.equals(gVar.f11911a);
    }

    @Override // java.lang.reflect.AnnotatedElement
    public <A extends Annotation> A getAnnotation(Class<A> cls) {
        Preconditions.checkNotNull(cls);
        le<Annotation> n7 = this.f11914d.iterator();
        while (n7.hasNext()) {
            Annotation next = n7.next();
            if (cls.isInstance(next)) {
                return cls.cast(next);
            }
        }
        return null;
    }

    public Annotation[] getAnnotations() {
        return getDeclaredAnnotations();
    }

    @Override // java.lang.reflect.AnnotatedElement
    public <A extends Annotation> A[] getAnnotationsByType(Class<A> cls) {
        return (A[]) getDeclaredAnnotationsByType(cls);
    }

    @Override // java.lang.reflect.AnnotatedElement
    public <A extends Annotation> A getDeclaredAnnotation(Class<A> cls) {
        Preconditions.checkNotNull(cls);
        return (A) ((Annotation) y3.J(this.f11914d).u(cls).w().orNull());
    }

    public Annotation[] getDeclaredAnnotations() {
        t5<Annotation> t5Var = this.f11914d;
        return (Annotation[]) t5Var.toArray(new Annotation[t5Var.size()]);
    }

    @Override // java.lang.reflect.AnnotatedElement
    public <A extends Annotation> A[] getDeclaredAnnotationsByType(Class<A> cls) {
        return (A[]) ((Annotation[]) y3.J(this.f11914d).u(cls).Z(cls));
    }

    public int hashCode() {
        return this.f11912b;
    }

    @Override // java.lang.reflect.AnnotatedElement
    public boolean isAnnotationPresent(Class<? extends Annotation> cls) {
        return getAnnotation(cls) != null;
    }

    public String toString() {
        return this.f11913c + " arg" + this.f11912b;
    }
}
