package com.google.common.reflect;

import com.google.common.base.Joiner;
import com.google.common.base.Objects;
import com.google.common.base.Preconditions;
import com.google.common.collect.h6;
import com.google.common.collect.v9;
import com.google.common.reflect.o;
import java.lang.reflect.GenericArrayType;
import java.lang.reflect.ParameterizedType;
import java.lang.reflect.Type;
import java.lang.reflect.TypeVariable;
import java.lang.reflect.WildcardType;
import java.util.Arrays;
import java.util.HashMap;
import java.util.LinkedHashSet;
import java.util.Map;
import java.util.concurrent.atomic.AtomicInteger;
import kotlin.text.h0;

@m0.a
public final class k {

    /* renamed from: a  reason: collision with root package name */
    private final c f11917a;

    /* access modifiers changed from: package-private */
    public static class a extends n {

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ Map f11918b;

        /* renamed from: c  reason: collision with root package name */
        final /* synthetic */ Type f11919c;

        a(Map map, Type type) {
            this.f11918b = map;
            this.f11919c = type;
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.reflect.n
        public void b(Class<?> cls) {
            if (!(this.f11919c instanceof WildcardType)) {
                throw new IllegalArgumentException("No type mapping from " + cls + " to " + this.f11919c);
            }
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.reflect.n
        public void c(GenericArrayType genericArrayType) {
            Type type = this.f11919c;
            if (!(type instanceof WildcardType)) {
                Type j7 = o.j(type);
                Preconditions.checkArgument(j7 != null, "%s is not an array type.", this.f11919c);
                k.g(this.f11918b, genericArrayType.getGenericComponentType(), j7);
            }
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.reflect.n
        public void d(ParameterizedType parameterizedType) {
            Type type = this.f11919c;
            if (!(type instanceof WildcardType)) {
                ParameterizedType parameterizedType2 = (ParameterizedType) k.e(ParameterizedType.class, type);
                if (!(parameterizedType.getOwnerType() == null || parameterizedType2.getOwnerType() == null)) {
                    k.g(this.f11918b, parameterizedType.getOwnerType(), parameterizedType2.getOwnerType());
                }
                Preconditions.checkArgument(parameterizedType.getRawType().equals(parameterizedType2.getRawType()), "Inconsistent raw type: %s vs. %s", parameterizedType, this.f11919c);
                Type[] actualTypeArguments = parameterizedType.getActualTypeArguments();
                Type[] actualTypeArguments2 = parameterizedType2.getActualTypeArguments();
                Preconditions.checkArgument(actualTypeArguments.length == actualTypeArguments2.length, "%s not compatible with %s", parameterizedType, parameterizedType2);
                for (int i7 = 0; i7 < actualTypeArguments.length; i7++) {
                    k.g(this.f11918b, actualTypeArguments[i7], actualTypeArguments2[i7]);
                }
            }
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.reflect.n
        public void e(TypeVariable<?> typeVariable) {
            this.f11918b.put(new d(typeVariable), this.f11919c);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.reflect.n
        public void f(WildcardType wildcardType) {
            Type type = this.f11919c;
            if (type instanceof WildcardType) {
                WildcardType wildcardType2 = (WildcardType) type;
                Type[] upperBounds = wildcardType.getUpperBounds();
                Type[] upperBounds2 = wildcardType2.getUpperBounds();
                Type[] lowerBounds = wildcardType.getLowerBounds();
                Type[] lowerBounds2 = wildcardType2.getLowerBounds();
                Preconditions.checkArgument(upperBounds.length == upperBounds2.length && lowerBounds.length == lowerBounds2.length, "Incompatible type: %s vs. %s", wildcardType, this.f11919c);
                for (int i7 = 0; i7 < upperBounds.length; i7++) {
                    k.g(this.f11918b, upperBounds[i7], upperBounds2[i7]);
                }
                for (int i8 = 0; i8 < lowerBounds.length; i8++) {
                    k.g(this.f11918b, lowerBounds[i8], lowerBounds2[i8]);
                }
            }
        }
    }

    /* access modifiers changed from: private */
    public static final class b extends n {

        /* renamed from: b  reason: collision with root package name */
        private final Map<d, Type> f11920b = v9.i0();

        private b() {
        }

        static h6<d, Type> g(Type type) {
            Preconditions.checkNotNull(type);
            b bVar = new b();
            bVar.a(type);
            return h6.g(bVar.f11920b);
        }

        private void h(d dVar, Type type) {
            if (!this.f11920b.containsKey(dVar)) {
                Type type2 = type;
                while (type2 != null) {
                    if (dVar.a(type2)) {
                        while (type != null) {
                            type = this.f11920b.remove(d.c(type));
                        }
                        return;
                    }
                    type2 = this.f11920b.get(d.c(type2));
                }
                this.f11920b.put(dVar, type);
            }
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.reflect.n
        public void b(Class<?> cls) {
            a(cls.getGenericSuperclass());
            a(cls.getGenericInterfaces());
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.reflect.n
        public void d(ParameterizedType parameterizedType) {
            Class cls = (Class) parameterizedType.getRawType();
            TypeVariable[] typeParameters = cls.getTypeParameters();
            Type[] actualTypeArguments = parameterizedType.getActualTypeArguments();
            Preconditions.checkState(typeParameters.length == actualTypeArguments.length);
            for (int i7 = 0; i7 < typeParameters.length; i7++) {
                h(new d(typeParameters[i7]), actualTypeArguments[i7]);
            }
            a(cls);
            a(parameterizedType.getOwnerType());
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.reflect.n
        public void e(TypeVariable<?> typeVariable) {
            a(typeVariable.getBounds());
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.reflect.n
        public void f(WildcardType wildcardType) {
            a(wildcardType.getUpperBounds());
        }
    }

    /* access modifiers changed from: private */
    public static class c {

        /* renamed from: a  reason: collision with root package name */
        private final h6<d, Type> f11921a;

        /* access modifiers changed from: package-private */
        public class a extends c {

            /* renamed from: b  reason: collision with root package name */
            final /* synthetic */ TypeVariable f11922b;

            /* renamed from: c  reason: collision with root package name */
            final /* synthetic */ c f11923c;

            a(TypeVariable typeVariable, c cVar) {
                this.f11922b = typeVariable;
                this.f11923c = cVar;
            }

            @Override // com.google.common.reflect.k.c
            public Type b(TypeVariable<?> typeVariable, c cVar) {
                return typeVariable.getGenericDeclaration().equals(this.f11922b.getGenericDeclaration()) ? typeVariable : this.f11923c.b(typeVariable, cVar);
            }
        }

        c() {
            this.f11921a = h6.v();
        }

        /* access modifiers changed from: package-private */
        public final Type a(TypeVariable<?> typeVariable) {
            return b(typeVariable, new a(typeVariable, this));
        }

        /* access modifiers changed from: package-private */
        public Type b(TypeVariable<?> typeVariable, c cVar) {
            Type type = this.f11921a.get(new d(typeVariable));
            if (type != null) {
                return new k(cVar, null).j(type);
            }
            Type[] bounds = typeVariable.getBounds();
            if (bounds.length == 0) {
                return typeVariable;
            }
            Type[] k7 = new k(cVar, null).k(bounds);
            return (!o.f.f11974a || !Arrays.equals(bounds, k7)) ? o.l(typeVariable.getGenericDeclaration(), typeVariable.getName(), k7) : typeVariable;
        }

        /* access modifiers changed from: package-private */
        public final c c(Map<d, ? extends Type> map) {
            h6.b b7 = h6.b();
            b7.i(this.f11921a);
            for (Map.Entry<d, ? extends Type> entry : map.entrySet()) {
                d key = entry.getKey();
                Type type = (Type) entry.getValue();
                Preconditions.checkArgument(!key.a(type), "Type variable %s bound to itself", key);
                b7.f(key, type);
            }
            return new c(b7.a());
        }

        private c(h6<d, Type> h6Var) {
            this.f11921a = h6Var;
        }
    }

    /* access modifiers changed from: package-private */
    public static final class d {

        /* renamed from: a  reason: collision with root package name */
        private final TypeVariable<?> f11925a;

        d(TypeVariable<?> typeVariable) {
            this.f11925a = (TypeVariable) Preconditions.checkNotNull(typeVariable);
        }

        private boolean b(TypeVariable<?> typeVariable) {
            return this.f11925a.getGenericDeclaration().equals(typeVariable.getGenericDeclaration()) && this.f11925a.getName().equals(typeVariable.getName());
        }

        static d c(Type type) {
            if (type instanceof TypeVariable) {
                return new d((TypeVariable) type);
            }
            return null;
        }

        /* access modifiers changed from: package-private */
        public boolean a(Type type) {
            if (type instanceof TypeVariable) {
                return b((TypeVariable) type);
            }
            return false;
        }

        public boolean equals(Object obj) {
            if (obj instanceof d) {
                return b(((d) obj).f11925a);
            }
            return false;
        }

        public int hashCode() {
            return Objects.hashCode(this.f11925a.getGenericDeclaration(), this.f11925a.getName());
        }

        public String toString() {
            return this.f11925a.toString();
        }
    }

    /* access modifiers changed from: private */
    public static class e {

        /* renamed from: b  reason: collision with root package name */
        static final e f11926b = new e();

        /* renamed from: a  reason: collision with root package name */
        private final AtomicInteger f11927a;

        /* access modifiers changed from: package-private */
        public class a extends e {

            /* renamed from: c  reason: collision with root package name */
            final /* synthetic */ TypeVariable f11928c;

            /* JADX INFO: super call moved to the top of the method (can break code semantics) */
            a(AtomicInteger atomicInteger, TypeVariable typeVariable) {
                super(atomicInteger, null);
                this.f11928c = typeVariable;
            }

            /* access modifiers changed from: package-private */
            @Override // com.google.common.reflect.k.e
            public TypeVariable<?> b(Type[] typeArr) {
                LinkedHashSet linkedHashSet = new LinkedHashSet(Arrays.asList(typeArr));
                linkedHashSet.addAll(Arrays.asList(this.f11928c.getBounds()));
                if (linkedHashSet.size() > 1) {
                    linkedHashSet.remove(Object.class);
                }
                return super.b((Type[]) linkedHashSet.toArray(new Type[0]));
            }
        }

        private e() {
            this(new AtomicInteger());
        }

        private Type c(Type type) {
            if (type == null) {
                return null;
            }
            return a(type);
        }

        private e d(TypeVariable<?> typeVariable) {
            return new a(this.f11927a, typeVariable);
        }

        private e e() {
            return new e(this.f11927a);
        }

        /* access modifiers changed from: package-private */
        public final Type a(Type type) {
            Preconditions.checkNotNull(type);
            if ((type instanceof Class) || (type instanceof TypeVariable)) {
                return type;
            }
            if (type instanceof GenericArrayType) {
                return o.k(e().a(((GenericArrayType) type).getGenericComponentType()));
            }
            if (type instanceof ParameterizedType) {
                ParameterizedType parameterizedType = (ParameterizedType) type;
                Class cls = (Class) parameterizedType.getRawType();
                TypeVariable<?>[] typeParameters = cls.getTypeParameters();
                Type[] actualTypeArguments = parameterizedType.getActualTypeArguments();
                for (int i7 = 0; i7 < actualTypeArguments.length; i7++) {
                    actualTypeArguments[i7] = d(typeParameters[i7]).a(actualTypeArguments[i7]);
                }
                return o.n(e().c(parameterizedType.getOwnerType()), cls, actualTypeArguments);
            } else if (type instanceof WildcardType) {
                WildcardType wildcardType = (WildcardType) type;
                return wildcardType.getLowerBounds().length == 0 ? b(wildcardType.getUpperBounds()) : type;
            } else {
                throw new AssertionError("must have been one of the known types");
            }
        }

        /* access modifiers changed from: package-private */
        public TypeVariable<?> b(Type[] typeArr) {
            return o.l(e.class, "capture#" + this.f11927a.incrementAndGet() + "-of ? extends " + Joiner.on((char) h0.f20271d).join(typeArr), typeArr);
        }

        private e(AtomicInteger atomicInteger) {
            this.f11927a = atomicInteger;
        }

        /* synthetic */ e(AtomicInteger atomicInteger, a aVar) {
            this(atomicInteger);
        }
    }

    public k() {
        this.f11917a = new c();
    }

    static k d(Type type) {
        return new k().o(b.g(type));
    }

    /* access modifiers changed from: private */
    public static <T> T e(Class<T> cls, Object obj) {
        try {
            return cls.cast(obj);
        } catch (ClassCastException unused) {
            throw new IllegalArgumentException(obj + " is not a " + cls.getSimpleName());
        }
    }

    static k f(Type type) {
        return new k().o(b.g(e.f11926b.a(type)));
    }

    /* access modifiers changed from: private */
    public static void g(Map<d, Type> map, Type type, Type type2) {
        if (!type.equals(type2)) {
            new a(map, type2).a(type);
        }
    }

    private Type h(GenericArrayType genericArrayType) {
        return o.k(j(genericArrayType.getGenericComponentType()));
    }

    private ParameterizedType i(ParameterizedType parameterizedType) {
        Type ownerType = parameterizedType.getOwnerType();
        return o.n(ownerType == null ? null : j(ownerType), (Class) j(parameterizedType.getRawType()), k(parameterizedType.getActualTypeArguments()));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private Type[] k(Type[] typeArr) {
        Type[] typeArr2 = new Type[typeArr.length];
        for (int i7 = 0; i7 < typeArr.length; i7++) {
            typeArr2[i7] = j(typeArr[i7]);
        }
        return typeArr2;
    }

    private WildcardType m(WildcardType wildcardType) {
        return new o.j(k(wildcardType.getLowerBounds()), k(wildcardType.getUpperBounds()));
    }

    public Type j(Type type) {
        Preconditions.checkNotNull(type);
        return type instanceof TypeVariable ? this.f11917a.a((TypeVariable) type) : type instanceof ParameterizedType ? i((ParameterizedType) type) : type instanceof GenericArrayType ? h((GenericArrayType) type) : type instanceof WildcardType ? m((WildcardType) type) : type;
    }

    /* access modifiers changed from: package-private */
    public Type[] l(Type[] typeArr) {
        for (int i7 = 0; i7 < typeArr.length; i7++) {
            typeArr[i7] = j(typeArr[i7]);
        }
        return typeArr;
    }

    public k n(Type type, Type type2) {
        HashMap i02 = v9.i0();
        g(i02, (Type) Preconditions.checkNotNull(type), (Type) Preconditions.checkNotNull(type2));
        return o(i02);
    }

    /* access modifiers changed from: package-private */
    public k o(Map<d, ? extends Type> map) {
        return new k(this.f11917a.c(map));
    }

    private k(c cVar) {
        this.f11917a = cVar;
    }

    /* synthetic */ k(c cVar, a aVar) {
        this(cVar);
    }
}
