package com.google.common.reflect;

import com.google.common.base.Joiner;
import com.google.common.base.Preconditions;
import com.google.common.base.Predicate;
import com.google.common.collect.e7;
import com.google.common.collect.h6;
import com.google.common.collect.kb;
import com.google.common.collect.le;
import com.google.common.collect.t4;
import com.google.common.collect.t5;
import com.google.common.collect.v9;
import com.google.common.collect.y3;
import com.google.common.primitives.o;
import com.google.common.reflect.e;
import com.google.common.reflect.k;
import com.google.common.reflect.o;
import java.io.Serializable;
import java.lang.reflect.Constructor;
import java.lang.reflect.GenericArrayType;
import java.lang.reflect.Method;
import java.lang.reflect.Modifier;
import java.lang.reflect.ParameterizedType;
import java.lang.reflect.Type;
import java.lang.reflect.TypeVariable;
import java.lang.reflect.WildcardType;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Comparator;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;
import java.util.Set;

@m0.a
public abstract class m<T> extends i<T> implements Serializable {

    /* renamed from: x  reason: collision with root package name */
    private static final long f11930x = 3637540370352322684L;

    /* renamed from: f  reason: collision with root package name */
    private final Type f11931f;

    /* renamed from: g  reason: collision with root package name */
    private transient k f11932g;

    /* renamed from: p  reason: collision with root package name */
    private transient k f11933p;

    /* access modifiers changed from: package-private */
    public class a extends e.b<T> {
        a(Method method) {
            super(method);
        }

        @Override // com.google.common.reflect.e, com.google.common.reflect.c
        public m<T> a() {
            return m.this;
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.reflect.e, com.google.common.reflect.e.b
        public Type[] r() {
            return m.this.t().l(super.r());
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.reflect.e, com.google.common.reflect.e.b
        public Type[] s() {
            return m.this.w().l(super.s());
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.reflect.e, com.google.common.reflect.e.b
        public Type t() {
            return m.this.t().j(super.t());
        }

        @Override // com.google.common.reflect.e, com.google.common.reflect.c
        public String toString() {
            return a() + "." + super.toString();
        }
    }

    class b extends e.a<T> {
        b(Constructor constructor) {
            super(constructor);
        }

        @Override // com.google.common.reflect.e, com.google.common.reflect.c
        public m<T> a() {
            return m.this;
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.reflect.e, com.google.common.reflect.e.a
        public Type[] r() {
            return m.this.t().l(super.r());
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.reflect.e, com.google.common.reflect.e.a
        public Type[] s() {
            return m.this.w().l(super.s());
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.reflect.e, com.google.common.reflect.e.a
        public Type t() {
            return m.this.t().j(super.t());
        }

        @Override // com.google.common.reflect.e, com.google.common.reflect.c
        public String toString() {
            return a() + "(" + Joiner.on(", ").join(s()) + ")";
        }
    }

    class c extends n {
        c() {
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.reflect.n
        public void c(GenericArrayType genericArrayType) {
            a(genericArrayType.getGenericComponentType());
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.reflect.n
        public void d(ParameterizedType parameterizedType) {
            a(parameterizedType.getActualTypeArguments());
            a(parameterizedType.getOwnerType());
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.reflect.n
        public void e(TypeVariable<?> typeVariable) {
            throw new IllegalArgumentException(m.this.f11931f + "contains a type variable and is not safe for the operation");
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.reflect.n
        public void f(WildcardType wildcardType) {
            a(wildcardType.getLowerBounds());
            a(wildcardType.getUpperBounds());
        }
    }

    /* access modifiers changed from: package-private */
    public class d extends n {

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ e7.a f11937b;

        d(e7.a aVar) {
            this.f11937b = aVar;
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.reflect.n
        public void b(Class<?> cls) {
            this.f11937b.a(cls);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.reflect.n
        public void c(GenericArrayType genericArrayType) {
            this.f11937b.a(o.i(m.V(genericArrayType.getGenericComponentType()).y()));
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.reflect.n
        public void d(ParameterizedType parameterizedType) {
            this.f11937b.a((Class) parameterizedType.getRawType());
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.reflect.n
        public void e(TypeVariable<?> typeVariable) {
            a(typeVariable.getBounds());
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.reflect.n
        public void f(WildcardType wildcardType) {
            a(wildcardType.getUpperBounds());
        }
    }

    /* access modifiers changed from: private */
    public static class e {

        /* renamed from: a  reason: collision with root package name */
        private final Type[] f11939a;

        /* renamed from: b  reason: collision with root package name */
        private final boolean f11940b;

        e(Type[] typeArr, boolean z7) {
            this.f11939a = typeArr;
            this.f11940b = z7;
        }

        /* access modifiers changed from: package-private */
        public boolean a(Type type) {
            for (Type type2 : this.f11939a) {
                boolean L = m.V(type2).L(type);
                boolean z7 = this.f11940b;
                if (L == z7) {
                    return z7;
                }
            }
            return !this.f11940b;
        }

        /* access modifiers changed from: package-private */
        public boolean b(Type type) {
            m<?> V = m.V(type);
            for (Type type2 : this.f11939a) {
                boolean L = V.L(type2);
                boolean z7 = this.f11940b;
                if (L == z7) {
                    return z7;
                }
            }
            return !this.f11940b;
        }
    }

    /* access modifiers changed from: private */
    public final class f extends m<T>.k {
        private static final long C1 = 0;

        /* renamed from: x  reason: collision with root package name */
        private transient e7<m<? super T>> f11941x;

        private f() {
            super();
        }

        private Object W1() {
            return m.this.F().T1();
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.collect.t4, com.google.common.reflect.m.k
        /* renamed from: Q1 */
        public Set<m<? super T>> E1() {
            e7<m<? super T>> e7Var = this.f11941x;
            if (e7Var != null) {
                return e7Var;
            }
            e7<m<? super T>> e02 = y3.J(i.f11947a.a().d(m.this)).t(j.IGNORE_TYPE_VARIABLE_OR_WILDCARD).e0();
            this.f11941x = e02;
            return e02;
        }

        @Override // com.google.common.reflect.m.k
        public m<T>.k T1() {
            return this;
        }

        @Override // com.google.common.reflect.m.k
        public m<T>.k U1() {
            throw new UnsupportedOperationException("classes().interfaces() not supported.");
        }

        @Override // com.google.common.reflect.m.k
        public Set<Class<? super T>> V1() {
            return e7.J(i.f11948b.a().c(m.this.z()));
        }

        /* synthetic */ f(m mVar, a aVar) {
            this();
        }
    }

    /* access modifiers changed from: private */
    public final class g extends m<T>.k {
        private static final long C2 = 0;

        /* renamed from: x  reason: collision with root package name */
        private final transient m<T>.k f11943x;

        /* renamed from: y  reason: collision with root package name */
        private transient e7<m<? super T>> f11944y;

        class a implements Predicate<Class<?>> {
            a() {
            }

            /* renamed from: a */
            public boolean apply(Class<?> cls) {
                return cls.isInterface();
            }
        }

        g(m<T>.k kVar) {
            super();
            this.f11943x = kVar;
        }

        private Object W1() {
            return m.this.F().U1();
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.collect.t4, com.google.common.reflect.m.k
        /* renamed from: Q1 */
        public Set<m<? super T>> E1() {
            e7<m<? super T>> e7Var = this.f11944y;
            if (e7Var != null) {
                return e7Var;
            }
            e7<m<? super T>> e02 = y3.J(this.f11943x).t(j.INTERFACE_ONLY).e0();
            this.f11944y = e02;
            return e02;
        }

        @Override // com.google.common.reflect.m.k
        public m<T>.k T1() {
            throw new UnsupportedOperationException("interfaces().classes() not supported.");
        }

        @Override // com.google.common.reflect.m.k
        public m<T>.k U1() {
            return this;
        }

        @Override // com.google.common.reflect.m.k
        public Set<Class<? super T>> V1() {
            return y3.J(i.f11948b.c(m.this.z())).t(new a()).e0();
        }
    }

    /* access modifiers changed from: private */
    public static final class h<T> extends m<T> {

        /* renamed from: y  reason: collision with root package name */
        private static final long f11946y = 0;

        h(Type type) {
            super(type, null);
        }
    }

    /* access modifiers changed from: private */
    public static abstract class i<K> {

        /* renamed from: a  reason: collision with root package name */
        static final i<m<?>> f11947a = new a();

        /* renamed from: b  reason: collision with root package name */
        static final i<Class<?>> f11948b = new b();

        static class a extends i<m<?>> {
            a() {
                super(null);
            }

            /* access modifiers changed from: package-private */
            /* renamed from: i */
            public Iterable<? extends m<?>> e(m<?> mVar) {
                return mVar.u();
            }

            /* access modifiers changed from: package-private */
            /* renamed from: j */
            public Class<?> f(m<?> mVar) {
                return mVar.y();
            }

            /* access modifiers changed from: package-private */
            /* renamed from: k */
            public m<?> g(m<?> mVar) {
                return mVar.v();
            }
        }

        static class b extends i<Class<?>> {
            b() {
                super(null);
            }

            /* access modifiers changed from: package-private */
            /* renamed from: i */
            public Iterable<? extends Class<?>> e(Class<?> cls) {
                return Arrays.asList(cls.getInterfaces());
            }

            /* access modifiers changed from: package-private */
            /* renamed from: j */
            public Class<?> f(Class<?> cls) {
                return cls;
            }

            /* access modifiers changed from: package-private */
            /* renamed from: k */
            public Class<?> g(Class<?> cls) {
                return cls.getSuperclass();
            }
        }

        /* access modifiers changed from: package-private */
        public class c extends e<K> {
            c(i iVar) {
                super(iVar);
            }

            /* JADX DEBUG: Multi-variable search result rejected for r3v0, resolved type: com.google.common.reflect.m$i$c */
            /* JADX WARN: Multi-variable type inference failed */
            /* access modifiers changed from: package-private */
            @Override // com.google.common.reflect.m.i
            public t5<K> c(Iterable<? extends K> iterable) {
                t5.b t7 = t5.t();
                for (Object obj : iterable) {
                    if (!f(obj).isInterface()) {
                        t7.a(obj);
                    }
                }
                return super.c(t7.e());
            }

            /* access modifiers changed from: package-private */
            @Override // com.google.common.reflect.m.i.e, com.google.common.reflect.m.i
            public Iterable<? extends K> e(K k7) {
                return e7.Y();
            }
        }

        /* access modifiers changed from: package-private */
        public static class d extends kb<K> {

            /* renamed from: p  reason: collision with root package name */
            final /* synthetic */ Comparator f11950p;

            /* renamed from: x  reason: collision with root package name */
            final /* synthetic */ Map f11951x;

            d(Comparator comparator, Map map) {
                this.f11950p = comparator;
                this.f11951x = map;
            }

            /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: java.util.Comparator */
            /* JADX WARN: Multi-variable type inference failed */
            @Override // com.google.common.collect.kb, java.util.Comparator
            public int compare(K k7, K k8) {
                return this.f11950p.compare(this.f11951x.get(k7), this.f11951x.get(k8));
            }
        }

        private static class e<K> extends i<K> {

            /* renamed from: c  reason: collision with root package name */
            private final i<K> f11952c;

            e(i<K> iVar) {
                super(null);
                this.f11952c = iVar;
            }

            /* access modifiers changed from: package-private */
            @Override // com.google.common.reflect.m.i
            public Iterable<? extends K> e(K k7) {
                return this.f11952c.e(k7);
            }

            /* access modifiers changed from: package-private */
            @Override // com.google.common.reflect.m.i
            public Class<?> f(K k7) {
                return this.f11952c.f(k7);
            }

            /* access modifiers changed from: package-private */
            @Override // com.google.common.reflect.m.i
            public K g(K k7) {
                return this.f11952c.g(k7);
            }
        }

        private i() {
        }

        /* JADX DEBUG: Multi-variable search result rejected for r0v4, resolved type: int */
        /* JADX DEBUG: Multi-variable search result rejected for r0v10, resolved type: int */
        /* JADX WARN: Multi-variable type inference failed */
        @p0.a
        private int b(K k7, Map<? super K, Integer> map) {
            Integer num = map.get(k7);
            if (num != null) {
                return num.intValue();
            }
            boolean isInterface = f(k7).isInterface();
            Iterator<? extends K> it = e(k7).iterator();
            int i7 = isInterface;
            while (it.hasNext()) {
                i7 = Math.max(i7, b(it.next(), map));
            }
            K g7 = g(k7);
            int i8 = i7;
            if (g7 != null) {
                i8 = Math.max(i7, b(g7, map));
            }
            int i9 = (i8 == 1 ? 1 : 0) + 1;
            map.put(k7, Integer.valueOf(i9));
            return i9;
        }

        private static <K, V> t5<K> h(Map<K, V> map, Comparator<? super V> comparator) {
            return new d(comparator, map).m(map.keySet());
        }

        /* access modifiers changed from: package-private */
        public final i<K> a() {
            return new c(this);
        }

        /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: com.google.common.reflect.m$i<K> */
        /* JADX WARN: Multi-variable type inference failed */
        /* access modifiers changed from: package-private */
        public t5<K> c(Iterable<? extends K> iterable) {
            HashMap i02 = v9.i0();
            Iterator<? extends K> it = iterable.iterator();
            while (it.hasNext()) {
                b(it.next(), i02);
            }
            return h(i02, kb.B().G());
        }

        /* access modifiers changed from: package-private */
        public final t5<K> d(K k7) {
            return c(t5.T(k7));
        }

        /* access modifiers changed from: package-private */
        public abstract Iterable<? extends K> e(K k7);

        /* access modifiers changed from: package-private */
        public abstract Class<?> f(K k7);

        /* access modifiers changed from: package-private */
        public abstract K g(K k7);

        /* synthetic */ i(a aVar) {
            this();
        }
    }

    /* access modifiers changed from: private */
    public enum j implements Predicate<m<?>> {
        IGNORE_TYPE_VARIABLE_OR_WILDCARD {
            /* renamed from: a */
            public boolean apply(m<?> mVar) {
                return !(((m) mVar).f11931f instanceof TypeVariable) && !(((m) mVar).f11931f instanceof WildcardType);
            }
        },
        INTERFACE_ONLY {
            /* renamed from: a */
            public boolean apply(m<?> mVar) {
                return mVar.y().isInterface();
            }
        };

        /* synthetic */ j(a aVar) {
            this();
        }
    }

    public class k extends t4<m<? super T>> implements Serializable {

        /* renamed from: p  reason: collision with root package name */
        private static final long f11956p = 0;

        /* renamed from: f  reason: collision with root package name */
        private transient e7<m<? super T>> f11957f;

        k() {
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.collect.t4
        /* renamed from: Q1 */
        public Set<m<? super T>> E1() {
            e7<m<? super T>> e7Var = this.f11957f;
            if (e7Var != null) {
                return e7Var;
            }
            e7<m<? super T>> e02 = y3.J(i.f11947a.d(m.this)).t(j.IGNORE_TYPE_VARIABLE_OR_WILDCARD).e0();
            this.f11957f = e02;
            return e02;
        }

        public m<T>.k T1() {
            return new f(m.this, null);
        }

        public m<T>.k U1() {
            return new g(this);
        }

        public Set<Class<? super T>> V1() {
            return e7.J(i.f11948b.c(m.this.z()));
        }
    }

    protected m() {
        Type a8 = a();
        this.f11931f = a8;
        Preconditions.checkState(!(a8 instanceof TypeVariable), "Cannot construct a TypeToken for a type variable.\nYou probably meant to call new TypeToken<%s>(getClass()) that can resolve the type variable for you.\nIf you do need to create a TypeToken of a type variable, please use TypeToken.of() instead.", a8);
    }

    private m<? extends T> B(Class<?> cls, Type[] typeArr) {
        if (typeArr.length > 0) {
            return (m<? extends T>) V(typeArr[0]).A(cls);
        }
        throw new IllegalArgumentException(cls + " isn't a subclass of " + this);
    }

    private m<? super T> D(Class<? super T> cls, Type[] typeArr) {
        for (Type type : typeArr) {
            m<?> V = V(type);
            if (V.L(cls)) {
                return (m<? super T>) V.C(cls);
            }
        }
        throw new IllegalArgumentException(cls + " isn't a super type of " + this);
    }

    private boolean G(Type type, TypeVariable<?> typeVariable) {
        if (this.f11931f.equals(type)) {
            return true;
        }
        if (!(type instanceof WildcardType)) {
            return m(this.f11931f).equals(m(type));
        }
        WildcardType j7 = j(typeVariable, (WildcardType) type);
        return p(j7.getUpperBounds()).b(this.f11931f) && p(j7.getLowerBounds()).a(this.f11931f);
    }

    private boolean I(Type type) {
        Iterator it = F().iterator();
        while (it.hasNext()) {
            Type x7 = ((m) it.next()).x();
            if (x7 != null && V(x7).L(type)) {
                return true;
            }
        }
        return false;
    }

    private boolean M(GenericArrayType genericArrayType) {
        m<?> V;
        Type type = this.f11931f;
        if (type instanceof Class) {
            Class cls = (Class) type;
            if (!cls.isArray()) {
                return false;
            }
            V = U(cls.getComponentType());
        } else if (!(type instanceof GenericArrayType)) {
            return false;
        } else {
            V = V(((GenericArrayType) type).getGenericComponentType());
        }
        return V.L(genericArrayType.getGenericComponentType());
    }

    private boolean N(ParameterizedType parameterizedType) {
        Class<? super Object> y7 = V(parameterizedType).y();
        if (!b0(y7)) {
            return false;
        }
        TypeVariable<Class<? super Object>>[] typeParameters = y7.getTypeParameters();
        Type[] actualTypeArguments = parameterizedType.getActualTypeArguments();
        for (int i7 = 0; i7 < typeParameters.length; i7++) {
            if (!V(t().j(typeParameters[i7])).G(actualTypeArguments[i7], typeParameters[i7])) {
                return false;
            }
        }
        return Modifier.isStatic(((Class) parameterizedType.getRawType()).getModifiers()) || parameterizedType.getOwnerType() == null || I(parameterizedType.getOwnerType());
    }

    private boolean Q(GenericArrayType genericArrayType) {
        Type type = this.f11931f;
        if (type instanceof Class) {
            Class cls = (Class) type;
            return !cls.isArray() ? cls.isAssignableFrom(Object[].class) : V(genericArrayType.getGenericComponentType()).L(cls.getComponentType());
        } else if (type instanceof GenericArrayType) {
            return V(genericArrayType.getGenericComponentType()).L(((GenericArrayType) this.f11931f).getGenericComponentType());
        } else {
            return false;
        }
    }

    private boolean R() {
        return o.c().contains(this.f11931f);
    }

    private static Type T(Type type) {
        return o.e.JAVA7.b(type);
    }

    public static <T> m<T> U(Class<T> cls) {
        return new h(cls);
    }

    public static m<?> V(Type type) {
        return new h(type);
    }

    private m<?> Y(Type type) {
        m<?> V = V(t().j(type));
        V.f11933p = this.f11933p;
        V.f11932g = this.f11932g;
        return V;
    }

    private Type a0(Class<?> cls) {
        if ((this.f11931f instanceof Class) && (cls.getTypeParameters().length == 0 || y().getTypeParameters().length != 0)) {
            return cls;
        }
        m c02 = c0(cls);
        return new k().n(c02.C(y()).f11931f, this.f11931f).j(c02.f11931f);
    }

    private boolean b0(Class<?> cls) {
        le<Class<? super T>> n7 = z().iterator();
        while (n7.hasNext()) {
            if (cls.isAssignableFrom(n7.next())) {
                return true;
            }
        }
        return false;
    }

    @m0.d
    static <T> m<? extends T> c0(Class<T> cls) {
        Type n7;
        if (cls.isArray()) {
            n7 = o.k(c0(cls.getComponentType()).f11931f);
        } else {
            TypeVariable<Class<T>>[] typeParameters = cls.getTypeParameters();
            Type type = (!cls.isMemberClass() || Modifier.isStatic(cls.getModifiers())) ? null : c0(cls.getEnclosingClass()).f11931f;
            if (typeParameters.length <= 0 && (type == null || type == cls.getEnclosingClass())) {
                return U(cls);
            }
            n7 = o.n(type, cls, typeParameters);
        }
        return (m<? extends T>) V(n7);
    }

    private static e f(Type[] typeArr) {
        return new e(typeArr, true);
    }

    private m<? super T> g(Type type) {
        m<? super T> mVar = (m<? super T>) V(type);
        if (mVar.y().isInterface()) {
            return null;
        }
        return mVar;
    }

    private t5<m<? super T>> h(Type[] typeArr) {
        t5.b t7 = t5.t();
        for (Type type : typeArr) {
            m<?> V = V(type);
            if (V.y().isInterface()) {
                t7.a(V);
            }
        }
        return t7.e();
    }

    private static Type i(TypeVariable<?> typeVariable, Type type) {
        return type instanceof WildcardType ? j(typeVariable, (WildcardType) type) : m(type);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: java.util.ArrayList */
    /* JADX WARN: Multi-variable type inference failed */
    private static WildcardType j(TypeVariable<?> typeVariable, WildcardType wildcardType) {
        Type[] bounds = typeVariable.getBounds();
        ArrayList arrayList = new ArrayList();
        Type[] upperBounds = wildcardType.getUpperBounds();
        for (Type type : upperBounds) {
            if (!f(bounds).a(type)) {
                arrayList.add(m(type));
            }
        }
        return new o.j(wildcardType.getLowerBounds(), (Type[]) arrayList.toArray(new Type[0]));
    }

    private static ParameterizedType k(ParameterizedType parameterizedType) {
        Class cls = (Class) parameterizedType.getRawType();
        TypeVariable<Class<T>>[] typeParameters = cls.getTypeParameters();
        Type[] actualTypeArguments = parameterizedType.getActualTypeArguments();
        for (int i7 = 0; i7 < actualTypeArguments.length; i7++) {
            actualTypeArguments[i7] = i(typeParameters[i7], actualTypeArguments[i7]);
        }
        return o.n(parameterizedType.getOwnerType(), cls, actualTypeArguments);
    }

    private static Type m(Type type) {
        return type instanceof ParameterizedType ? k((ParameterizedType) type) : type instanceof GenericArrayType ? o.k(m(((GenericArrayType) type).getGenericComponentType())) : type;
    }

    private static e p(Type[] typeArr) {
        return new e(typeArr, false);
    }

    private m<? extends T> q(Class<?> cls) {
        return (m<? extends T>) V(T(s().A(cls.getComponentType()).f11931f));
    }

    /* JADX DEBUG: Multi-variable search result rejected for r2v2, resolved type: com.google.common.reflect.m */
    /* JADX WARN: Multi-variable type inference failed */
    private m<? super T> r(Class<? super T> cls) {
        return (m<? super T>) V(T(((m) Preconditions.checkNotNull(s(), "%s isn't a super type of %s", cls, this)).C(cls.getComponentType()).f11931f));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private k t() {
        k kVar = this.f11933p;
        if (kVar != null) {
            return kVar;
        }
        k d7 = k.d(this.f11931f);
        this.f11933p = d7;
        return d7;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private k w() {
        k kVar = this.f11932g;
        if (kVar != null) {
            return kVar;
        }
        k f7 = k.f(this.f11931f);
        this.f11932g = f7;
        return f7;
    }

    private Type x() {
        Type type = this.f11931f;
        if (type instanceof ParameterizedType) {
            return ((ParameterizedType) type).getOwnerType();
        }
        if (type instanceof Class) {
            return ((Class) type).getEnclosingClass();
        }
        return null;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private e7<Class<? super T>> z() {
        e7.a s7 = e7.s();
        new d(s7).a(this.f11931f);
        return s7.e();
    }

    public final m<? extends T> A(Class<?> cls) {
        Preconditions.checkArgument(!(this.f11931f instanceof TypeVariable), "Cannot get subtype of type variable <%s>", this);
        Type type = this.f11931f;
        if (type instanceof WildcardType) {
            return B(cls, ((WildcardType) type).getLowerBounds());
        }
        if (H()) {
            return q(cls);
        }
        Preconditions.checkArgument(y().isAssignableFrom(cls), "%s isn't a subclass of %s", cls, this);
        m<? extends T> mVar = (m<? extends T>) V(a0(cls));
        Preconditions.checkArgument(mVar.K(this), "%s does not appear to be a subtype of %s", mVar, this);
        return mVar;
    }

    public final m<? super T> C(Class<? super T> cls) {
        Preconditions.checkArgument(b0(cls), "%s is not a super class of %s", cls, this);
        Type type = this.f11931f;
        return type instanceof TypeVariable ? D(cls, ((TypeVariable) type).getBounds()) : type instanceof WildcardType ? D(cls, ((WildcardType) type).getUpperBounds()) : cls.isArray() ? r(cls) : (m<? super T>) Y(c0(cls).f11931f);
    }

    public final Type E() {
        return this.f11931f;
    }

    public final m<T>.k F() {
        return new k();
    }

    public final boolean H() {
        return s() != null;
    }

    public final boolean J() {
        Type type = this.f11931f;
        return (type instanceof Class) && ((Class) type).isPrimitive();
    }

    public final boolean K(m<?> mVar) {
        return L(mVar.E());
    }

    public final boolean L(Type type) {
        Preconditions.checkNotNull(type);
        if (type instanceof WildcardType) {
            return f(((WildcardType) type).getLowerBounds()).b(this.f11931f);
        }
        Type type2 = this.f11931f;
        if (type2 instanceof WildcardType) {
            return f(((WildcardType) type2).getUpperBounds()).a(type);
        }
        if (type2 instanceof TypeVariable) {
            return type2.equals(type) || f(((TypeVariable) this.f11931f).getBounds()).a(type);
        }
        if (type2 instanceof GenericArrayType) {
            return V(type).Q((GenericArrayType) this.f11931f);
        }
        if (type instanceof Class) {
            return b0((Class) type);
        }
        if (type instanceof ParameterizedType) {
            return N((ParameterizedType) type);
        }
        if (type instanceof GenericArrayType) {
            return M((GenericArrayType) type);
        }
        return false;
    }

    public final boolean O(m<?> mVar) {
        return mVar.L(E());
    }

    public final boolean P(Type type) {
        return V(type).L(E());
    }

    public final e<T, Object> S(Method method) {
        Preconditions.checkArgument(b0(method.getDeclaringClass()), "%s not declared by %s", method, this);
        return new a(method);
    }

    /* access modifiers changed from: package-private */
    @p0.a
    public final m<T> X() {
        new c().a(this.f11931f);
        return this;
    }

    public final m<?> Z(Type type) {
        Preconditions.checkNotNull(type);
        return V(w().j(type));
    }

    public final m<T> d0() {
        return R() ? U(com.google.common.primitives.o.e((Class) this.f11931f)) : this;
    }

    public final <X> m<T> e0(j<X> jVar, m<X> mVar) {
        return new h(new k().o(h6.x(new k.d(jVar.f11916f), mVar.f11931f)).j(this.f11931f));
    }

    public boolean equals(Object obj) {
        if (obj instanceof m) {
            return this.f11931f.equals(((m) obj).f11931f);
        }
        return false;
    }

    public final <X> m<T> f0(j<X> jVar, Class<X> cls) {
        return e0(jVar, U(cls));
    }

    public final m<T> g0() {
        return J() ? U(com.google.common.primitives.o.f((Class) this.f11931f)) : this;
    }

    /* access modifiers changed from: protected */
    public Object h0() {
        return V(new k().j(this.f11931f));
    }

    public int hashCode() {
        return this.f11931f.hashCode();
    }

    public final e<T, T> n(Constructor<?> constructor) {
        Preconditions.checkArgument(constructor.getDeclaringClass() == y(), "%s not declared by %s", constructor, y());
        return new b(constructor);
    }

    public final m<?> s() {
        Type j7 = o.j(this.f11931f);
        if (j7 == null) {
            return null;
        }
        return V(j7);
    }

    public String toString() {
        return o.t(this.f11931f);
    }

    /* access modifiers changed from: package-private */
    public final t5<m<? super T>> u() {
        Type type = this.f11931f;
        if (type instanceof TypeVariable) {
            return h(((TypeVariable) type).getBounds());
        }
        if (type instanceof WildcardType) {
            return h(((WildcardType) type).getUpperBounds());
        }
        t5.b t7 = t5.t();
        for (Type type2 : y().getGenericInterfaces()) {
            t7.a(Y(type2));
        }
        return t7.e();
    }

    /* access modifiers changed from: package-private */
    public final m<? super T> v() {
        Type type;
        Type type2 = this.f11931f;
        if (type2 instanceof TypeVariable) {
            type = ((TypeVariable) type2).getBounds()[0];
        } else if (type2 instanceof WildcardType) {
            type = ((WildcardType) type2).getUpperBounds()[0];
        } else {
            Type genericSuperclass = y().getGenericSuperclass();
            if (genericSuperclass == null) {
                return null;
            }
            return (m<? super T>) Y(genericSuperclass);
        }
        return g(type);
    }

    public final Class<? super T> y() {
        return z().iterator().next();
    }

    protected m(Class<?> cls) {
        Type a8 = super.a();
        if (a8 instanceof Class) {
            this.f11931f = a8;
        } else {
            this.f11931f = k.d(cls).j(a8);
        }
    }

    private m(Type type) {
        this.f11931f = (Type) Preconditions.checkNotNull(type);
    }

    /* synthetic */ m(Type type, a aVar) {
        this(type);
    }
}
