package com.google.common.util.concurrent;

import com.google.common.base.Function;
import com.google.common.base.Preconditions;
import com.google.common.util.concurrent.k0;
import java.lang.Throwable;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.Executor;
import p0.f;

/* access modifiers changed from: package-private */
@m0.b
public abstract class a<V, X extends Throwable, F, T> extends k0.a<V> implements Runnable {
    d1<? extends V> V5;
    Class<X> W5;
    F X5;

    /* access modifiers changed from: private */
    /* renamed from: com.google.common.util.concurrent.a$a  reason: collision with other inner class name */
    public static final class C0169a<V, X extends Throwable> extends a<V, X, m<? super X, ? extends V>, d1<? extends V>> {
        C0169a(d1<? extends V> d1Var, Class<X> cls, m<? super X, ? extends V> mVar) {
            super(d1Var, cls, mVar);
        }

        /* access modifiers changed from: package-private */
        /* renamed from: R */
        public d1<? extends V> P(m<? super X, ? extends V> mVar, X x7) throws Exception {
            d1<? extends V> apply = mVar.apply(x7);
            Preconditions.checkNotNull(apply, "AsyncFunction.apply returned null instead of a Future. Did you mean to return immediateFuture(null)? %s", mVar);
            return apply;
        }

        /* access modifiers changed from: package-private */
        /* renamed from: S */
        public void Q(d1<? extends V> d1Var) {
            B(d1Var);
        }
    }

    /* access modifiers changed from: private */
    public static final class b<V, X extends Throwable> extends a<V, X, Function<? super X, ? extends V>, V> {
        b(d1<? extends V> d1Var, Class<X> cls, Function<? super X, ? extends V> function) {
            super(d1Var, cls, function);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.util.concurrent.a
        public void Q(V v7) {
            z(v7);
        }

        /* access modifiers changed from: package-private */
        /* renamed from: R */
        public V P(Function<? super X, ? extends V> function, X x7) throws Exception {
            return (V) function.apply(x7);
        }
    }

    a(d1<? extends V> d1Var, Class<X> cls, F f7) {
        this.V5 = (d1) Preconditions.checkNotNull(d1Var);
        this.W5 = (Class) Preconditions.checkNotNull(cls);
        this.X5 = (F) Preconditions.checkNotNull(f7);
    }

    static <V, X extends Throwable> d1<V> N(d1<? extends V> d1Var, Class<X> cls, Function<? super X, ? extends V> function, Executor executor) {
        b bVar = new b(d1Var, cls, function);
        d1Var.addListener(bVar, k1.t(executor, bVar));
        return bVar;
    }

    static <X extends Throwable, V> d1<V> O(d1<? extends V> d1Var, Class<X> cls, m<? super X, ? extends V> mVar, Executor executor) {
        C0169a aVar = new C0169a(d1Var, cls, mVar);
        d1Var.addListener(aVar, k1.t(executor, aVar));
        return aVar;
    }

    /* access modifiers changed from: package-private */
    @f
    public abstract T P(F f7, X x7) throws Exception;

    /* access modifiers changed from: package-private */
    @f
    public abstract void Q(T t7);

    /* access modifiers changed from: protected */
    @Override // com.google.common.util.concurrent.c
    public final void m() {
        v(this.V5);
        this.V5 = null;
        this.W5 = null;
        this.X5 = null;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r7v0, resolved type: com.google.common.util.concurrent.a<V, X extends java.lang.Throwable, F, T> */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARNING: Removed duplicated region for block: B:22:0x003a  */
    /* JADX WARNING: Removed duplicated region for block: B:24:0x003e  */
    public final void run() {
        Object obj;
        Throwable th;
        d1<? extends V> d1Var = this.V5;
        Class<X> cls = this.W5;
        F f7 = this.X5;
        boolean z7 = true;
        boolean z8 = (d1Var == null) | (cls == null);
        if (f7 != null) {
            z7 = false;
        }
        if (!(z7 | z8) && !isCancelled()) {
            this.V5 = null;
            try {
                obj = v0.i(d1Var);
                th = null;
            } catch (ExecutionException e7) {
                th = (Throwable) Preconditions.checkNotNull(e7.getCause());
                obj = null;
                if (th == null) {
                }
            } catch (Throwable th2) {
                th = th2;
                obj = null;
                if (th == null) {
                }
            }
            if (th == null) {
                z(obj);
            } else if (!m1.a(th, cls)) {
                B(d1Var);
            } else {
                try {
                    Object P = P(f7, th);
                    this.W5 = null;
                    this.X5 = null;
                    Q(P);
                } catch (Throwable th3) {
                    this.W5 = null;
                    this.X5 = null;
                    throw th3;
                }
            }
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.google.common.util.concurrent.c
    public String w() {
        String str;
        d1<? extends V> d1Var = this.V5;
        Class<X> cls = this.W5;
        F f7 = this.X5;
        String w7 = super.w();
        if (d1Var != null) {
            str = "inputFuture=[" + d1Var + "], ";
        } else {
            str = "";
        }
        if (cls != null && f7 != null) {
            return str + "exceptionType=[" + cls + "], fallback=[" + ((Object) f7) + "]";
        } else if (w7 == null) {
            return null;
        } else {
            return str + w7;
        }
    }
}
