package com.google.common.util.concurrent;

import com.google.common.base.Preconditions;
import com.google.common.base.Throwables;
import e1.f;
import java.lang.reflect.Field;
import java.security.AccessController;
import java.security.PrivilegedActionException;
import java.security.PrivilegedExceptionAction;
import java.util.Locale;
import java.util.concurrent.CancellationException;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.Executor;
import java.util.concurrent.Future;
import java.util.concurrent.ScheduledFuture;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.TimeoutException;
import java.util.concurrent.atomic.AtomicReferenceFieldUpdater;
import java.util.concurrent.locks.LockSupport;
import java.util.logging.Level;
import java.util.logging.Logger;
import sun.misc.Unsafe;

@e1.f(f.a.f18752g)
@m0.b(emulated = true)
public abstract class c<V> extends com.google.common.util.concurrent.internal.a implements d1<V> {
    private static final long C1 = 1000;
    private static final b C2;
    private static final Object U5 = new Object();

    /* renamed from: x  reason: collision with root package name */
    private static final boolean f12008x = Boolean.parseBoolean(System.getProperty("guava.concurrent.generate_cancellation_cause", "false"));

    /* renamed from: y  reason: collision with root package name */
    private static final Logger f12009y = Logger.getLogger(c.class.getName());

    /* renamed from: f  reason: collision with root package name */
    private volatile Object f12010f;

    /* renamed from: g  reason: collision with root package name */
    private volatile e f12011g;

    /* renamed from: p  reason: collision with root package name */
    private volatile l f12012p;

    /* access modifiers changed from: private */
    public static abstract class b {
        private b() {
        }

        /* access modifiers changed from: package-private */
        public abstract boolean a(c<?> cVar, e eVar, e eVar2);

        /* access modifiers changed from: package-private */
        public abstract boolean b(c<?> cVar, Object obj, Object obj2);

        /* access modifiers changed from: package-private */
        public abstract boolean c(c<?> cVar, l lVar, l lVar2);

        /* access modifiers changed from: package-private */
        public abstract void d(l lVar, l lVar2);

        /* access modifiers changed from: package-private */
        public abstract void e(l lVar, Thread thread);
    }

    /* access modifiers changed from: private */
    /* renamed from: com.google.common.util.concurrent.c$c  reason: collision with other inner class name */
    public static final class C0173c {

        /* renamed from: c  reason: collision with root package name */
        static final C0173c f12013c;

        /* renamed from: d  reason: collision with root package name */
        static final C0173c f12014d;

        /* renamed from: a  reason: collision with root package name */
        final boolean f12015a;

        /* renamed from: b  reason: collision with root package name */
        final Throwable f12016b;

        static {
            if (c.f12008x) {
                f12014d = null;
                f12013c = null;
                return;
            }
            f12014d = new C0173c(false, null);
            f12013c = new C0173c(true, null);
        }

        C0173c(boolean z7, Throwable th) {
            this.f12015a = z7;
            this.f12016b = th;
        }
    }

    /* access modifiers changed from: private */
    public static final class d {

        /* renamed from: b  reason: collision with root package name */
        static final d f12017b = new d(new a("Failure occurred while trying to finish a future."));

        /* renamed from: a  reason: collision with root package name */
        final Throwable f12018a;

        static class a extends Throwable {
            a(String str) {
                super(str);
            }

            public synchronized Throwable fillInStackTrace() {
                return this;
            }
        }

        d(Throwable th) {
            this.f12018a = (Throwable) Preconditions.checkNotNull(th);
        }
    }

    /* access modifiers changed from: private */
    public static final class e {

        /* renamed from: d  reason: collision with root package name */
        static final e f12019d = new e(null, null);

        /* renamed from: a  reason: collision with root package name */
        final Runnable f12020a;

        /* renamed from: b  reason: collision with root package name */
        final Executor f12021b;

        /* renamed from: c  reason: collision with root package name */
        e f12022c;

        e(Runnable runnable, Executor executor) {
            this.f12020a = runnable;
            this.f12021b = executor;
        }
    }

    private static final class f extends b {

        /* renamed from: a  reason: collision with root package name */
        final AtomicReferenceFieldUpdater<l, Thread> f12023a;

        /* renamed from: b  reason: collision with root package name */
        final AtomicReferenceFieldUpdater<l, l> f12024b;

        /* renamed from: c  reason: collision with root package name */
        final AtomicReferenceFieldUpdater<c, l> f12025c;

        /* renamed from: d  reason: collision with root package name */
        final AtomicReferenceFieldUpdater<c, e> f12026d;

        /* renamed from: e  reason: collision with root package name */
        final AtomicReferenceFieldUpdater<c, Object> f12027e;

        f(AtomicReferenceFieldUpdater<l, Thread> atomicReferenceFieldUpdater, AtomicReferenceFieldUpdater<l, l> atomicReferenceFieldUpdater2, AtomicReferenceFieldUpdater<c, l> atomicReferenceFieldUpdater3, AtomicReferenceFieldUpdater<c, e> atomicReferenceFieldUpdater4, AtomicReferenceFieldUpdater<c, Object> atomicReferenceFieldUpdater5) {
            super();
            this.f12023a = atomicReferenceFieldUpdater;
            this.f12024b = atomicReferenceFieldUpdater2;
            this.f12025c = atomicReferenceFieldUpdater3;
            this.f12026d = atomicReferenceFieldUpdater4;
            this.f12027e = atomicReferenceFieldUpdater5;
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.util.concurrent.c.b
        public boolean a(c<?> cVar, e eVar, e eVar2) {
            return androidx.concurrent.futures.a.a(this.f12026d, cVar, eVar, eVar2);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.util.concurrent.c.b
        public boolean b(c<?> cVar, Object obj, Object obj2) {
            return androidx.concurrent.futures.a.a(this.f12027e, cVar, obj, obj2);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.util.concurrent.c.b
        public boolean c(c<?> cVar, l lVar, l lVar2) {
            return androidx.concurrent.futures.a.a(this.f12025c, cVar, lVar, lVar2);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.util.concurrent.c.b
        public void d(l lVar, l lVar2) {
            this.f12024b.lazySet(lVar, lVar2);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.util.concurrent.c.b
        public void e(l lVar, Thread thread) {
            this.f12023a.lazySet(lVar, thread);
        }
    }

    /* access modifiers changed from: private */
    public static final class g<V> implements Runnable {

        /* renamed from: f  reason: collision with root package name */
        final c<V> f12028f;

        /* renamed from: g  reason: collision with root package name */
        final d1<? extends V> f12029g;

        g(c<V> cVar, d1<? extends V> d1Var) {
            this.f12028f = cVar;
            this.f12029g = d1Var;
        }

        public void run() {
            if (((c) this.f12028f).f12010f == this) {
                if (c.C2.b(this.f12028f, this, c.s(this.f12029g))) {
                    c.p(this.f12028f);
                }
            }
        }
    }

    private static final class h extends b {
        private h() {
            super();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.util.concurrent.c.b
        public boolean a(c<?> cVar, e eVar, e eVar2) {
            synchronized (cVar) {
                if (((c) cVar).f12011g != eVar) {
                    return false;
                }
                ((c) cVar).f12011g = eVar2;
                return true;
            }
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.util.concurrent.c.b
        public boolean b(c<?> cVar, Object obj, Object obj2) {
            synchronized (cVar) {
                if (((c) cVar).f12010f != obj) {
                    return false;
                }
                ((c) cVar).f12010f = obj2;
                return true;
            }
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.util.concurrent.c.b
        public boolean c(c<?> cVar, l lVar, l lVar2) {
            synchronized (cVar) {
                if (((c) cVar).f12012p != lVar) {
                    return false;
                }
                ((c) cVar).f12012p = lVar2;
                return true;
            }
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.util.concurrent.c.b
        public void d(l lVar, l lVar2) {
            lVar.f12038b = lVar2;
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.util.concurrent.c.b
        public void e(l lVar, Thread thread) {
            lVar.f12037a = thread;
        }
    }

    /* access modifiers changed from: package-private */
    public interface i<V> extends d1<V> {
    }

    /* access modifiers changed from: package-private */
    public static abstract class j<V> extends c<V> implements i<V> {
        j() {
        }

        @Override // com.google.common.util.concurrent.d1, com.google.common.util.concurrent.c
        public final void addListener(Runnable runnable, Executor executor) {
            c.super.addListener(runnable, executor);
        }

        @Override // com.google.common.util.concurrent.c
        @p0.a
        public final boolean cancel(boolean z7) {
            return c.super.cancel(z7);
        }

        @Override // java.util.concurrent.Future, com.google.common.util.concurrent.c
        @p0.a
        public final V get() throws InterruptedException, ExecutionException {
            return (V) c.super.get();
        }

        @Override // com.google.common.util.concurrent.c
        public final boolean isCancelled() {
            return c.super.isCancelled();
        }

        @Override // com.google.common.util.concurrent.c
        public final boolean isDone() {
            return c.super.isDone();
        }

        @Override // java.util.concurrent.Future, com.google.common.util.concurrent.c
        @p0.a
        public final V get(long j7, TimeUnit timeUnit) throws InterruptedException, ExecutionException, TimeoutException {
            return (V) c.super.get(j7, timeUnit);
        }
    }

    private static final class k extends b {

        /* renamed from: a  reason: collision with root package name */
        static final Unsafe f12030a;

        /* renamed from: b  reason: collision with root package name */
        static final long f12031b;

        /* renamed from: c  reason: collision with root package name */
        static final long f12032c;

        /* renamed from: d  reason: collision with root package name */
        static final long f12033d;

        /* renamed from: e  reason: collision with root package name */
        static final long f12034e;

        /* renamed from: f  reason: collision with root package name */
        static final long f12035f;

        static class a implements PrivilegedExceptionAction<Unsafe> {
            a() {
            }

            /* renamed from: a */
            public Unsafe run() throws Exception {
                Field[] declaredFields = Unsafe.class.getDeclaredFields();
                for (Field field : declaredFields) {
                    field.setAccessible(true);
                    Object obj = field.get(null);
                    if (Unsafe.class.isInstance(obj)) {
                        return (Unsafe) Unsafe.class.cast(obj);
                    }
                }
                throw new NoSuchFieldError("the Unsafe");
            }
        }

        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0007 */
        static {
            Unsafe unsafe = Unsafe.getUnsafe();
            try {
                unsafe = (Unsafe) AccessController.doPrivileged(new a());
                try {
                    f12032c = unsafe.objectFieldOffset(c.class.getDeclaredField("p"));
                    f12031b = unsafe.objectFieldOffset(c.class.getDeclaredField("g"));
                    f12033d = unsafe.objectFieldOffset(c.class.getDeclaredField("f"));
                    f12034e = unsafe.objectFieldOffset(l.class.getDeclaredField("a"));
                    f12035f = unsafe.objectFieldOffset(l.class.getDeclaredField("b"));
                    f12030a = unsafe;
                } catch (Exception e7) {
                    Throwables.throwIfUnchecked(e7);
                    throw new RuntimeException(e7);
                }
            } catch (PrivilegedActionException e8) {
                throw new RuntimeException("Could not initialize intrinsics", e8.getCause());
            }
        }

        private k() {
            super();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.util.concurrent.c.b
        public boolean a(c<?> cVar, e eVar, e eVar2) {
            return d.a(f12030a, cVar, f12031b, eVar, eVar2);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.util.concurrent.c.b
        public boolean b(c<?> cVar, Object obj, Object obj2) {
            return d.a(f12030a, cVar, f12033d, obj, obj2);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.util.concurrent.c.b
        public boolean c(c<?> cVar, l lVar, l lVar2) {
            return d.a(f12030a, cVar, f12032c, lVar, lVar2);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.util.concurrent.c.b
        public void d(l lVar, l lVar2) {
            f12030a.putObject(lVar, f12035f, lVar2);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.util.concurrent.c.b
        public void e(l lVar, Thread thread) {
            f12030a.putObject(lVar, f12034e, thread);
        }
    }

    /* access modifiers changed from: private */
    public static final class l {

        /* renamed from: c  reason: collision with root package name */
        static final l f12036c = new l(false);

        /* renamed from: a  reason: collision with root package name */
        volatile Thread f12037a;

        /* renamed from: b  reason: collision with root package name */
        volatile l f12038b;

        l() {
            c.C2.e(this, Thread.currentThread());
        }

        /* access modifiers changed from: package-private */
        public void a(l lVar) {
            c.C2.d(this, lVar);
        }

        /* access modifiers changed from: package-private */
        public void b() {
            Thread thread = this.f12037a;
            if (thread != null) {
                this.f12037a = null;
                LockSupport.unpark(thread);
            }
        }

        l(boolean z7) {
        }
    }

    static {
        Throwable th;
        b bVar;
        Throwable th2 = null;
        try {
            bVar = new k();
            th = null;
        } catch (Throwable th3) {
            bVar = new h();
            th2 = th3;
        }
        C2 = bVar;
        if (th2 != null) {
            Logger logger = f12009y;
            Level level = Level.SEVERE;
            logger.log(level, "UnsafeAtomicHelper is broken!", th);
            logger.log(level, "SafeAtomicHelper is broken!", th2);
        }
    }

    protected c() {
    }

    private String C(Object obj) {
        return obj == this ? "this future" : String.valueOf(obj);
    }

    private void l(StringBuilder sb) {
        String str;
        try {
            Object t7 = t(this);
            sb.append("SUCCESS, result=[");
            sb.append(C(t7));
            sb.append("]");
        } catch (ExecutionException e7) {
            sb.append("FAILURE, cause=[");
            sb.append(e7.getCause());
            sb.append("]");
        } catch (CancellationException unused) {
            str = "CANCELLED";
            sb.append(str);
        } catch (RuntimeException e8) {
            sb.append("UNKNOWN, cause=[");
            sb.append(e8.getClass());
            str = " thrown from get()]";
            sb.append(str);
        }
    }

    private static CancellationException n(String str, Throwable th) {
        CancellationException cancellationException = new CancellationException(str);
        cancellationException.initCause(th);
        return cancellationException;
    }

    private e o(e eVar) {
        e eVar2;
        do {
            eVar2 = this.f12011g;
        } while (!C2.a(this, eVar2, e.f12019d));
        while (true) {
            eVar = eVar2;
            if (eVar == null) {
                return eVar;
            }
            eVar2 = eVar.f12022c;
            eVar.f12022c = eVar;
        }
    }

    /* JADX DEBUG: Failed to insert an additional move for type inference into block B:13:0x0001 */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r4v0, types: [com.google.common.util.concurrent.c<?>] */
    /* JADX WARN: Type inference failed for: r4v1, types: [com.google.common.util.concurrent.c] */
    /* JADX WARN: Type inference failed for: r4v6, types: [com.google.common.util.concurrent.c<V>, com.google.common.util.concurrent.c] */
    /* JADX WARN: Type inference failed for: r3v0, types: [com.google.common.util.concurrent.c$b] */
    /* access modifiers changed from: private */
    /* JADX WARNING: Unknown variable types count: 1 */
    public static void p(c<?> cVar) {
        e eVar = null;
        while (true) {
            cVar.x();
            cVar.m();
            e o7 = cVar.o(eVar);
            while (true) {
                if (o7 != null) {
                    eVar = o7.f12022c;
                    Runnable runnable = o7.f12020a;
                    if (runnable instanceof g) {
                        g gVar = (g) runnable;
                        cVar = gVar.f12028f;
                        if (((c) cVar).f12010f == gVar) {
                            if (C2.b(cVar, gVar, s(gVar.f12029g))) {
                            }
                        } else {
                            continue;
                        }
                    } else {
                        q(runnable, o7.f12021b);
                    }
                    o7 = eVar;
                } else {
                    return;
                }
            }
        }
    }

    private static void q(Runnable runnable, Executor executor) {
        try {
            executor.execute(runnable);
        } catch (RuntimeException e7) {
            Logger logger = f12009y;
            Level level = Level.SEVERE;
            logger.log(level, "RuntimeException while executing runnable " + runnable + " with executor " + executor, (Throwable) e7);
        }
    }

    /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: java.lang.Object */
    /* JADX WARN: Multi-variable type inference failed */
    private V r(Object obj) throws ExecutionException {
        if (obj instanceof C0173c) {
            throw n("Task was cancelled.", ((C0173c) obj).f12016b);
        } else if (obj instanceof d) {
            throw new ExecutionException(((d) obj).f12018a);
        } else if (obj == U5) {
            return null;
        } else {
            return obj;
        }
    }

    /* access modifiers changed from: private */
    public static Object s(d1<?> d1Var) {
        Throwable a8;
        if (d1Var instanceof i) {
            Object obj = ((c) d1Var).f12010f;
            if (!(obj instanceof C0173c)) {
                return obj;
            }
            C0173c cVar = (C0173c) obj;
            return cVar.f12015a ? cVar.f12016b != null ? new C0173c(false, cVar.f12016b) : C0173c.f12014d : obj;
        } else if ((d1Var instanceof com.google.common.util.concurrent.internal.a) && (a8 = com.google.common.util.concurrent.internal.b.a((com.google.common.util.concurrent.internal.a) d1Var)) != null) {
            return new d(a8);
        } else {
            boolean isCancelled = d1Var.isCancelled();
            if ((!f12008x) && isCancelled) {
                return C0173c.f12014d;
            }
            try {
                Object t7 = t(d1Var);
                if (!isCancelled) {
                    return t7 == null ? U5 : t7;
                }
                return new C0173c(false, new IllegalArgumentException("get() did not throw CancellationException, despite reporting isCancelled() == true: " + d1Var));
            } catch (ExecutionException e7) {
                if (!isCancelled) {
                    return new d(e7.getCause());
                }
                return new C0173c(false, new IllegalArgumentException("get() did not throw CancellationException, despite reporting isCancelled() == true: " + d1Var, e7));
            } catch (CancellationException e8) {
                if (isCancelled) {
                    return new C0173c(false, e8);
                }
                return new d(new IllegalArgumentException("get() threw CancellationException, despite reporting isCancelled() == false: " + d1Var, e8));
            } catch (Throwable th) {
                return new d(th);
            }
        }
    }

    private static <V> V t(Future<V> future) throws ExecutionException {
        V v7;
        boolean z7 = false;
        while (true) {
            try {
                v7 = future.get();
                break;
            } catch (InterruptedException unused) {
                z7 = true;
            } catch (Throwable th) {
                if (z7) {
                    Thread.currentThread().interrupt();
                }
                throw th;
            }
        }
        if (z7) {
            Thread.currentThread().interrupt();
        }
        return v7;
    }

    private void x() {
        l lVar;
        do {
            lVar = this.f12012p;
        } while (!C2.c(this, lVar, l.f12036c));
        while (lVar != null) {
            lVar.b();
            lVar = lVar.f12038b;
        }
    }

    private void y(l lVar) {
        lVar.f12037a = null;
        while (true) {
            l lVar2 = this.f12012p;
            if (lVar2 != l.f12036c) {
                l lVar3 = null;
                while (lVar2 != null) {
                    l lVar4 = lVar2.f12038b;
                    if (lVar2.f12037a != null) {
                        lVar3 = lVar2;
                    } else if (lVar3 != null) {
                        lVar3.f12038b = lVar4;
                        if (lVar3.f12037a == null) {
                        }
                    } else if (!C2.c(this, lVar2, lVar4)) {
                    }
                    lVar2 = lVar4;
                }
                return;
            }
            return;
        }
    }

    /* access modifiers changed from: protected */
    @p0.a
    public boolean A(Throwable th) {
        if (!C2.b(this, null, new d((Throwable) Preconditions.checkNotNull(th)))) {
            return false;
        }
        p(this);
        return true;
    }

    /* access modifiers changed from: protected */
    @p0.a
    public boolean B(d1<? extends V> d1Var) {
        g gVar;
        d dVar;
        Preconditions.checkNotNull(d1Var);
        Object obj = this.f12010f;
        if (obj == null) {
            if (d1Var.isDone()) {
                if (!C2.b(this, null, s(d1Var))) {
                    return false;
                }
                p(this);
                return true;
            }
            gVar = new g(this, d1Var);
            if (C2.b(this, null, gVar)) {
                try {
                    d1Var.addListener(gVar, f0.INSTANCE);
                } catch (Throwable unused) {
                    dVar = d.f12017b;
                }
                return true;
            }
            obj = this.f12010f;
        }
        if (obj instanceof C0173c) {
            d1Var.cancel(((C0173c) obj).f12015a);
        }
        return false;
        C2.b(this, gVar, dVar);
        return true;
    }

    /* access modifiers changed from: protected */
    public final boolean D() {
        Object obj = this.f12010f;
        return (obj instanceof C0173c) && ((C0173c) obj).f12015a;
    }

    /* access modifiers changed from: protected */
    @Override // com.google.common.util.concurrent.internal.a
    public final Throwable a() {
        if (!(this instanceof i)) {
            return null;
        }
        Object obj = this.f12010f;
        if (obj instanceof d) {
            return ((d) obj).f12018a;
        }
        return null;
    }

    @Override // com.google.common.util.concurrent.d1
    public void addListener(Runnable runnable, Executor executor) {
        e eVar;
        Preconditions.checkNotNull(runnable, "Runnable was null.");
        Preconditions.checkNotNull(executor, "Executor was null.");
        if (isDone() || (eVar = this.f12011g) == e.f12019d) {
            q(runnable, executor);
        }
        e eVar2 = new e(runnable, executor);
        do {
            eVar2.f12022c = eVar;
            if (!C2.a(this, eVar, eVar2)) {
                eVar = this.f12011g;
            } else {
                return;
            }
        } while (eVar != e.f12019d);
        q(runnable, executor);
    }

    @p0.a
    public boolean cancel(boolean z7) {
        Object obj = this.f12010f;
        if (!(obj == null) && !(obj instanceof g)) {
            return false;
        }
        C0173c cVar = f12008x ? new C0173c(z7, new CancellationException("Future.cancel() was called.")) : z7 ? C0173c.f12013c : C0173c.f12014d;
        boolean z8 = false;
        while (true) {
            if (C2.b(this, obj, cVar)) {
                if (z7) {
                    this.u();
                }
                p(this);
                if (!(obj instanceof g)) {
                    return true;
                }
                d1<? extends V> d1Var = ((g) obj).f12029g;
                if (d1Var instanceof i) {
                    this = (c) d1Var;
                    obj = this.f12010f;
                    if (!(obj == null) && !(obj instanceof g)) {
                        return true;
                    }
                    z8 = true;
                } else {
                    d1Var.cancel(z7);
                    return true;
                }
            } else {
                obj = this.f12010f;
                if (!(obj instanceof g)) {
                    return z8;
                }
            }
        }
    }

    @Override // java.util.concurrent.Future
    @p0.a
    public V get() throws InterruptedException, ExecutionException {
        Object obj;
        if (!Thread.interrupted()) {
            Object obj2 = this.f12010f;
            if ((obj2 != null) && (!(obj2 instanceof g))) {
                return r(obj2);
            }
            l lVar = this.f12012p;
            if (lVar != l.f12036c) {
                l lVar2 = new l();
                do {
                    lVar2.a(lVar);
                    if (C2.c(this, lVar, lVar2)) {
                        do {
                            LockSupport.park(this);
                            if (!Thread.interrupted()) {
                                obj = this.f12010f;
                            } else {
                                y(lVar2);
                                throw new InterruptedException();
                            }
                        } while (!((obj != null) & (!(obj instanceof g))));
                        return r(obj);
                    }
                    lVar = this.f12012p;
                } while (lVar != l.f12036c);
            }
            return r(this.f12010f);
        }
        throw new InterruptedException();
    }

    public boolean isCancelled() {
        return this.f12010f instanceof C0173c;
    }

    public boolean isDone() {
        Object obj = this.f12010f;
        return (!(obj instanceof g)) & (obj != null);
    }

    /* access modifiers changed from: protected */
    @m0.a
    @p0.f
    public void m() {
    }

    public String toString() {
        String str;
        String str2;
        StringBuilder sb = new StringBuilder();
        sb.append(super.toString());
        sb.append("[status=");
        if (isCancelled()) {
            str2 = "CANCELLED";
        } else {
            if (!isDone()) {
                try {
                    str = w();
                } catch (RuntimeException e7) {
                    str = "Exception thrown from implementation: " + e7.getClass();
                }
                if (str != null && !str.isEmpty()) {
                    sb.append("PENDING, info=[");
                    sb.append(str);
                    sb.append("]");
                    sb.append("]");
                    return sb.toString();
                } else if (!isDone()) {
                    str2 = "PENDING";
                }
            }
            l(sb);
            sb.append("]");
            return sb.toString();
        }
        sb.append(str2);
        sb.append("]");
        return sb.toString();
    }

    /* access modifiers changed from: protected */
    public void u() {
    }

    /* access modifiers changed from: package-private */
    public final void v(Future<?> future) {
        if ((future != null) && isCancelled()) {
            future.cancel(D());
        }
    }

    /* access modifiers changed from: protected */
    public String w() {
        Object obj = this.f12010f;
        if (obj instanceof g) {
            return "setFuture=[" + C(((g) obj).f12029g) + "]";
        } else if (!(this instanceof ScheduledFuture)) {
            return null;
        } else {
            return "remaining delay=[" + ((ScheduledFuture) this).getDelay(TimeUnit.MILLISECONDS) + " ms]";
        }
    }

    /* access modifiers changed from: protected */
    @p0.a
    public boolean z(V v7) {
        if (v7 == null) {
            v7 = (V) U5;
        }
        if (!C2.b(this, null, v7)) {
            return false;
        }
        p(this);
        return true;
    }

    @Override // java.util.concurrent.Future
    @p0.a
    public V get(long j7, TimeUnit timeUnit) throws InterruptedException, TimeoutException, ExecutionException {
        long nanos = timeUnit.toNanos(j7);
        if (!Thread.interrupted()) {
            Object obj = this.f12010f;
            if ((obj != null) && (!(obj instanceof g))) {
                return r(obj);
            }
            long nanoTime = nanos > 0 ? System.nanoTime() + nanos : 0;
            if (nanos >= C1) {
                l lVar = this.f12012p;
                if (lVar != l.f12036c) {
                    l lVar2 = new l();
                    do {
                        lVar2.a(lVar);
                        if (C2.c(this, lVar, lVar2)) {
                            do {
                                LockSupport.parkNanos(this, nanos);
                                if (!Thread.interrupted()) {
                                    Object obj2 = this.f12010f;
                                    if ((obj2 != null) && (!(obj2 instanceof g))) {
                                        return r(obj2);
                                    }
                                    nanos = nanoTime - System.nanoTime();
                                } else {
                                    y(lVar2);
                                    throw new InterruptedException();
                                }
                            } while (nanos >= C1);
                            y(lVar2);
                        } else {
                            lVar = this.f12012p;
                        }
                    } while (lVar != l.f12036c);
                }
                return r(this.f12010f);
            }
            while (nanos > 0) {
                Object obj3 = this.f12010f;
                if ((obj3 != null) && (!(obj3 instanceof g))) {
                    return r(obj3);
                }
                if (!Thread.interrupted()) {
                    nanos = nanoTime - System.nanoTime();
                } else {
                    throw new InterruptedException();
                }
            }
            String cVar = toString();
            String obj4 = timeUnit.toString();
            Locale locale = Locale.ROOT;
            String lowerCase = obj4.toLowerCase(locale);
            String str = "Waited " + j7 + " " + timeUnit.toString().toLowerCase(locale);
            if (nanos + C1 < 0) {
                String str2 = str + " (plus ";
                long j8 = -nanos;
                long convert = timeUnit.convert(j8, TimeUnit.NANOSECONDS);
                long nanos2 = j8 - timeUnit.toNanos(convert);
                int i7 = (convert > 0 ? 1 : (convert == 0 ? 0 : -1));
                boolean z7 = i7 == 0 || nanos2 > C1;
                if (i7 > 0) {
                    String str3 = str2 + convert + " " + lowerCase;
                    if (z7) {
                        str3 = str3 + ",";
                    }
                    str2 = str3 + " ";
                }
                if (z7) {
                    str2 = str2 + nanos2 + " nanoseconds ";
                }
                str = str2 + "delay)";
            }
            if (isDone()) {
                throw new TimeoutException(str + " but future completed as timeout expired");
            }
            throw new TimeoutException(str + " for " + cVar);
        }
        throw new InterruptedException();
    }
}
