package com.google.common.util.concurrent;

import com.google.common.base.Preconditions;
import com.google.common.collect.n5;
import java.util.concurrent.Callable;
import java.util.concurrent.CancellationException;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.Executor;
import java.util.concurrent.RejectedExecutionException;

/* access modifiers changed from: package-private */
@m0.b
public final class d0<V> extends j<Object, V> {

    private final class a extends d0<V>.c {
        private final l<V> U5;

        public a(l<V> lVar, Executor executor) {
            super(executor);
            this.U5 = (l) Preconditions.checkNotNull(lVar);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.util.concurrent.b1
        public String e() {
            return this.U5.toString();
        }

        /* access modifiers changed from: package-private */
        /* renamed from: h */
        public d1<V> d() throws Exception {
            this.C1 = false;
            return (d1) Preconditions.checkNotNull(this.U5.call(), "AsyncCallable.call returned null instead of a Future. Did you mean to return immediateFuture(null)? %s", this.U5);
        }

        /* access modifiers changed from: package-private */
        /* renamed from: i */
        public void g(d1<V> d1Var) {
            d0.this.B(d1Var);
        }
    }

    private final class b extends d0<V>.c {
        private final Callable<V> U5;

        public b(Callable<V> callable, Executor executor) {
            super(executor);
            this.U5 = (Callable) Preconditions.checkNotNull(callable);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.util.concurrent.b1
        public V d() throws Exception {
            this.C1 = false;
            return this.U5.call();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.util.concurrent.b1
        public String e() {
            return this.U5.toString();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.util.concurrent.d0.c
        public void g(V v7) {
            d0.this.z(v7);
        }
    }

    /* access modifiers changed from: private */
    public abstract class c<T> extends b1<T> {
        boolean C1 = true;

        /* renamed from: y  reason: collision with root package name */
        private final Executor f12046y;

        public c(Executor executor) {
            this.f12046y = (Executor) Preconditions.checkNotNull(executor);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.util.concurrent.b1
        public final void a(T t7, Throwable th) {
            if (th == null) {
                g(t7);
            } else if (th instanceof ExecutionException) {
                d0.this.A(th.getCause());
            } else {
                boolean z7 = th instanceof CancellationException;
                d0 d0Var = d0.this;
                if (z7) {
                    d0Var.cancel(false);
                } else {
                    d0Var.A(th);
                }
            }
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.util.concurrent.b1
        public final boolean c() {
            return d0.this.isDone();
        }

        /* access modifiers changed from: package-private */
        public final void f() {
            try {
                this.f12046y.execute(this);
            } catch (RejectedExecutionException e7) {
                if (this.C1) {
                    d0.this.A(e7);
                }
            }
        }

        /* access modifiers changed from: package-private */
        public abstract void g(T t7);
    }

    private final class d extends j<Object, V>.a {
        private c V5;

        d(n5<? extends d1<?>> n5Var, boolean z7, c cVar) {
            super(n5Var, z7, false);
            this.V5 = cVar;
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.util.concurrent.j.a
        public void l(boolean z7, int i7, Object obj) {
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.util.concurrent.j.a
        public void n() {
            c cVar = this.V5;
            if (cVar != null) {
                cVar.f();
            } else {
                Preconditions.checkState(d0.this.isDone());
            }
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.util.concurrent.j.a
        public void r() {
            c cVar = this.V5;
            if (cVar != null) {
                cVar.b();
            }
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.util.concurrent.j.a
        public void t() {
            super.t();
            this.V5 = null;
        }
    }

    d0(n5<? extends d1<?>> n5Var, boolean z7, Executor executor, l<V> lVar) {
        I(new d(n5Var, z7, new a(lVar, executor)));
    }

    d0(n5<? extends d1<?>> n5Var, boolean z7, Executor executor, Callable<V> callable) {
        I(new d(n5Var, z7, new b(callable, executor)));
    }
}
