package com.google.common.util.concurrent;

import com.google.common.base.MoreObjects;
import com.google.common.base.Preconditions;
import com.google.common.collect.e7;
import com.google.common.collect.i9;
import com.google.common.collect.jc;
import com.google.common.collect.m9;
import com.google.common.collect.v9;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.EnumMap;
import java.util.List;
import java.util.Map;
import java.util.Set;
import java.util.concurrent.ConcurrentMap;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.locks.ReentrantLock;
import java.util.concurrent.locks.ReentrantReadWriteLock;
import java.util.logging.Level;
import java.util.logging.Logger;

@m0.a
@p0.a
@m0.c
public class e0 {

    /* renamed from: b  reason: collision with root package name */
    private static final ConcurrentMap<Class<? extends Enum>, Map<? extends Enum, h>> f12055b = new m9().l().i();

    /* renamed from: c  reason: collision with root package name */
    private static final Logger f12056c = Logger.getLogger(e0.class.getName());

    /* renamed from: d  reason: collision with root package name */
    private static final ThreadLocal<ArrayList<h>> f12057d = new a();

    /* renamed from: a  reason: collision with root package name */
    final j f12058a;

    /* access modifiers changed from: package-private */
    public static class a extends ThreadLocal<ArrayList<h>> {
        a() {
        }

        /* access modifiers changed from: protected */
        /* renamed from: a */
        public ArrayList<h> initialValue() {
            return i9.u(3);
        }
    }

    /* access modifiers changed from: private */
    public interface b {
        h a();

        boolean b();
    }

    /* access modifiers changed from: package-private */
    public final class c extends ReentrantLock implements b {

        /* renamed from: f  reason: collision with root package name */
        private final h f12059f;

        private c(h hVar, boolean z7) {
            super(z7);
            this.f12059f = (h) Preconditions.checkNotNull(hVar);
        }

        @Override // com.google.common.util.concurrent.e0.b
        public h a() {
            return this.f12059f;
        }

        @Override // com.google.common.util.concurrent.e0.b
        public boolean b() {
            return isHeldByCurrentThread();
        }

        public void lock() {
            e0.this.a(this);
            try {
                super.lock();
            } finally {
                e0.h(this);
            }
        }

        @Override // java.util.concurrent.locks.Lock, java.util.concurrent.locks.ReentrantLock
        public void lockInterruptibly() throws InterruptedException {
            e0.this.a(this);
            try {
                super.lockInterruptibly();
            } finally {
                e0.h(this);
            }
        }

        public boolean tryLock() {
            e0.this.a(this);
            try {
                return super.tryLock();
            } finally {
                e0.h(this);
            }
        }

        public void unlock() {
            try {
                super.unlock();
            } finally {
                e0.h(this);
            }
        }

        /* synthetic */ c(e0 e0Var, h hVar, boolean z7, a aVar) {
            this(hVar, z7);
        }

        @Override // java.util.concurrent.locks.Lock, java.util.concurrent.locks.ReentrantLock
        public boolean tryLock(long j7, TimeUnit timeUnit) throws InterruptedException {
            e0.this.a(this);
            try {
                return super.tryLock(j7, timeUnit);
            } finally {
                e0.h(this);
            }
        }
    }

    /* access modifiers changed from: private */
    public class d extends ReentrantReadWriteLock.ReadLock {
        @e1.i

        /* renamed from: f  reason: collision with root package name */
        final e f12061f;

        d(e eVar) {
            super(eVar);
            this.f12061f = eVar;
        }

        public void lock() {
            e0.this.a(this.f12061f);
            try {
                super.lock();
            } finally {
                e0.h(this.f12061f);
            }
        }

        @Override // java.util.concurrent.locks.Lock, java.util.concurrent.locks.ReentrantReadWriteLock.ReadLock
        public void lockInterruptibly() throws InterruptedException {
            e0.this.a(this.f12061f);
            try {
                super.lockInterruptibly();
            } finally {
                e0.h(this.f12061f);
            }
        }

        public boolean tryLock() {
            e0.this.a(this.f12061f);
            try {
                return super.tryLock();
            } finally {
                e0.h(this.f12061f);
            }
        }

        public void unlock() {
            try {
                super.unlock();
            } finally {
                e0.h(this.f12061f);
            }
        }

        @Override // java.util.concurrent.locks.Lock, java.util.concurrent.locks.ReentrantReadWriteLock.ReadLock
        public boolean tryLock(long j7, TimeUnit timeUnit) throws InterruptedException {
            e0.this.a(this.f12061f);
            try {
                return super.tryLock(j7, timeUnit);
            } finally {
                e0.h(this.f12061f);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public final class e extends ReentrantReadWriteLock implements b {

        /* renamed from: f  reason: collision with root package name */
        private final d f12063f;

        /* renamed from: g  reason: collision with root package name */
        private final f f12064g;

        /* renamed from: p  reason: collision with root package name */
        private final h f12065p;

        private e(h hVar, boolean z7) {
            super(z7);
            this.f12063f = new d(this);
            this.f12064g = new f(this);
            this.f12065p = (h) Preconditions.checkNotNull(hVar);
        }

        @Override // com.google.common.util.concurrent.e0.b
        public h a() {
            return this.f12065p;
        }

        @Override // com.google.common.util.concurrent.e0.b
        public boolean b() {
            return isWriteLockedByCurrentThread() || getReadHoldCount() > 0;
        }

        /* synthetic */ e(e0 e0Var, h hVar, boolean z7, a aVar) {
            this(hVar, z7);
        }

        @Override // java.util.concurrent.locks.ReentrantReadWriteLock, java.util.concurrent.locks.ReentrantReadWriteLock
        public ReentrantReadWriteLock.ReadLock readLock() {
            return this.f12063f;
        }

        @Override // java.util.concurrent.locks.ReentrantReadWriteLock, java.util.concurrent.locks.ReentrantReadWriteLock
        public ReentrantReadWriteLock.WriteLock writeLock() {
            return this.f12064g;
        }
    }

    /* access modifiers changed from: private */
    public class f extends ReentrantReadWriteLock.WriteLock {
        @e1.i

        /* renamed from: f  reason: collision with root package name */
        final e f12067f;

        f(e eVar) {
            super(eVar);
            this.f12067f = eVar;
        }

        public void lock() {
            e0.this.a(this.f12067f);
            try {
                super.lock();
            } finally {
                e0.h(this.f12067f);
            }
        }

        @Override // java.util.concurrent.locks.Lock, java.util.concurrent.locks.ReentrantReadWriteLock.WriteLock
        public void lockInterruptibly() throws InterruptedException {
            e0.this.a(this.f12067f);
            try {
                super.lockInterruptibly();
            } finally {
                e0.h(this.f12067f);
            }
        }

        public boolean tryLock() {
            e0.this.a(this.f12067f);
            try {
                return super.tryLock();
            } finally {
                e0.h(this.f12067f);
            }
        }

        public void unlock() {
            try {
                super.unlock();
            } finally {
                e0.h(this.f12067f);
            }
        }

        @Override // java.util.concurrent.locks.Lock, java.util.concurrent.locks.ReentrantReadWriteLock.WriteLock
        public boolean tryLock(long j7, TimeUnit timeUnit) throws InterruptedException {
            e0.this.a(this.f12067f);
            try {
                return super.tryLock(j7, timeUnit);
            } finally {
                e0.h(this.f12067f);
            }
        }
    }

    /* access modifiers changed from: private */
    public static class g extends IllegalStateException {

        /* renamed from: f  reason: collision with root package name */
        static final StackTraceElement[] f12069f = new StackTraceElement[0];

        /* renamed from: g  reason: collision with root package name */
        static final e7<String> f12070g = e7.b0(e0.class.getName(), g.class.getName(), h.class.getName());

        g(h hVar, h hVar2) {
            super(hVar.d() + " -> " + hVar2.d());
            StackTraceElement[] stackTrace = getStackTrace();
            int length = stackTrace.length;
            for (int i7 = 0; i7 < length; i7++) {
                if (l.class.getName().equals(stackTrace[i7].getClassName())) {
                    setStackTrace(f12069f);
                    return;
                } else if (!f12070g.contains(stackTrace[i7].getClassName())) {
                    setStackTrace((StackTraceElement[]) Arrays.copyOfRange(stackTrace, i7, length));
                    return;
                }
            }
        }
    }

    /* access modifiers changed from: private */
    public static class h {

        /* renamed from: a  reason: collision with root package name */
        final Map<h, g> f12071a = new m9().l().i();

        /* renamed from: b  reason: collision with root package name */
        final Map<h, k> f12072b = new m9().l().i();

        /* renamed from: c  reason: collision with root package name */
        final String f12073c;

        h(String str) {
            this.f12073c = (String) Preconditions.checkNotNull(str);
        }

        private g c(h hVar, Set<h> set) {
            if (!set.add(this)) {
                return null;
            }
            g gVar = this.f12071a.get(hVar);
            if (gVar != null) {
                return gVar;
            }
            for (Map.Entry<h, g> entry : this.f12071a.entrySet()) {
                h key = entry.getKey();
                g c7 = key.c(hVar, set);
                if (c7 != null) {
                    g gVar2 = new g(key, this);
                    gVar2.setStackTrace(entry.getValue().getStackTrace());
                    gVar2.initCause(c7);
                    return gVar2;
                }
            }
            return null;
        }

        /* access modifiers changed from: package-private */
        public void a(j jVar, h hVar) {
            Preconditions.checkState(this != hVar, "Attempted to acquire multiple locks with the same rank %s", hVar.d());
            if (!this.f12071a.containsKey(hVar)) {
                k kVar = this.f12072b.get(hVar);
                if (kVar != null) {
                    jVar.a(new k(hVar, this, kVar.a(), null));
                    return;
                }
                g c7 = hVar.c(this, jc.z());
                if (c7 == null) {
                    this.f12071a.put(hVar, new g(hVar, this));
                    return;
                }
                k kVar2 = new k(hVar, this, c7, null);
                this.f12072b.put(hVar, kVar2);
                jVar.a(kVar2);
            }
        }

        /* access modifiers changed from: package-private */
        public void b(j jVar, List<h> list) {
            int size = list.size();
            for (int i7 = 0; i7 < size; i7++) {
                a(jVar, list.get(i7));
            }
        }

        /* access modifiers changed from: package-private */
        public String d() {
            return this.f12073c;
        }
    }

    @m0.a
    public enum i implements j {
        THROW {
            @Override // com.google.common.util.concurrent.e0.j
            public void a(k kVar) {
                throw kVar;
            }
        },
        WARN {
            @Override // com.google.common.util.concurrent.e0.j
            public void a(k kVar) {
                e0.f12056c.log(Level.SEVERE, "Detected potential deadlock", (Throwable) kVar);
            }
        },
        DISABLED {
            @Override // com.google.common.util.concurrent.e0.j
            public void a(k kVar) {
            }
        };

        /* synthetic */ i(a aVar) {
            this();
        }
    }

    @m0.a
    public interface j {
        void a(k kVar);
    }

    @m0.a
    public static final class k extends g {

        /* renamed from: p  reason: collision with root package name */
        private final g f12078p;

        private k(h hVar, h hVar2, g gVar) {
            super(hVar, hVar2);
            this.f12078p = gVar;
            initCause(gVar);
        }

        public g a() {
            return this.f12078p;
        }

        public String getMessage() {
            StringBuilder sb = new StringBuilder(super.getMessage());
            for (Throwable th = this.f12078p; th != null; th = th.getCause()) {
                sb.append(", ");
                sb.append(th.getMessage());
            }
            return sb.toString();
        }

        /* synthetic */ k(h hVar, h hVar2, g gVar, a aVar) {
            this(hVar, hVar2, gVar);
        }
    }

    @m0.a
    public static final class l<E extends Enum<E>> extends e0 {

        /* renamed from: e  reason: collision with root package name */
        private final Map<E, h> f12079e;

        @m0.d
        l(j jVar, Map<E, h> map) {
            super(jVar, null);
            this.f12079e = map;
        }

        public ReentrantLock o(E e7) {
            return p(e7, false);
        }

        public ReentrantLock p(E e7, boolean z7) {
            return this.f12058a == i.DISABLED ? new ReentrantLock(z7) : new c(this, this.f12079e.get(e7), z7, null);
        }

        public ReentrantReadWriteLock q(E e7) {
            return r(e7, false);
        }

        public ReentrantReadWriteLock r(E e7, boolean z7) {
            return this.f12058a == i.DISABLED ? new ReentrantReadWriteLock(z7) : new e(this, this.f12079e.get(e7), z7, null);
        }
    }

    private e0(j jVar) {
        this.f12058a = (j) Preconditions.checkNotNull(jVar);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(b bVar) {
        if (!bVar.b()) {
            ArrayList<h> arrayList = f12057d.get();
            h a8 = bVar.a();
            a8.b(this.f12058a, arrayList);
            arrayList.add(a8);
        }
    }

    @m0.d
    static <E extends Enum<E>> Map<E, h> e(Class<E> cls) {
        EnumMap g02 = v9.g0(cls);
        E[] enumConstants = cls.getEnumConstants();
        int length = enumConstants.length;
        ArrayList u7 = i9.u(length);
        int i7 = 0;
        for (E e7 : enumConstants) {
            h hVar = new h(f(e7));
            u7.add(hVar);
            g02.put((Enum) e7, (Object) hVar);
        }
        for (int i8 = 1; i8 < length; i8++) {
            ((h) u7.get(i8)).b(i.THROW, u7.subList(0, i8));
        }
        while (i7 < length - 1) {
            i7++;
            ((h) u7.get(i7)).b(i.DISABLED, u7.subList(i7, length));
        }
        return Collections.unmodifiableMap(g02);
    }

    private static String f(Enum<?> r22) {
        return r22.getDeclaringClass().getSimpleName() + "." + r22.name();
    }

    private static Map<? extends Enum, h> g(Class<? extends Enum> cls) {
        ConcurrentMap<Class<? extends Enum>, Map<? extends Enum, h>> concurrentMap = f12055b;
        Map<? extends Enum, h> map = concurrentMap.get(cls);
        if (map != null) {
            return map;
        }
        Map<? extends Enum, h> e7 = e(cls);
        return (Map) MoreObjects.firstNonNull(concurrentMap.putIfAbsent(cls, e7), e7);
    }

    /* access modifiers changed from: private */
    public static void h(b bVar) {
        if (!bVar.b()) {
            ArrayList<h> arrayList = f12057d.get();
            h a8 = bVar.a();
            for (int size = arrayList.size() - 1; size >= 0; size--) {
                if (arrayList.get(size) == a8) {
                    arrayList.remove(size);
                    return;
                }
            }
        }
    }

    public static e0 i(j jVar) {
        return new e0(jVar);
    }

    public static <E extends Enum<E>> l<E> j(Class<E> cls, j jVar) {
        Preconditions.checkNotNull(cls);
        Preconditions.checkNotNull(jVar);
        return new l<>(jVar, g(cls));
    }

    public ReentrantLock k(String str) {
        return l(str, false);
    }

    public ReentrantLock l(String str, boolean z7) {
        return this.f12058a == i.DISABLED ? new ReentrantLock(z7) : new c(this, new h(str), z7, null);
    }

    public ReentrantReadWriteLock m(String str) {
        return n(str, false);
    }

    public ReentrantReadWriteLock n(String str, boolean z7) {
        return this.f12058a == i.DISABLED ? new ReentrantReadWriteLock(z7) : new e(this, new h(str), z7, null);
    }

    /* synthetic */ e0(j jVar, a aVar) {
        this(jVar);
    }
}
