package com.google.common.util.concurrent;

import com.google.common.base.Preconditions;
import com.google.common.base.Throwables;
import com.google.common.collect.t5;
import java.util.Collection;
import java.util.List;
import java.util.concurrent.Callable;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import java.util.concurrent.Future;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.TimeoutException;
import m0.c;

/* access modifiers changed from: package-private */
@p0.a
@c
public abstract class f2 implements ExecutorService {

    /* renamed from: f  reason: collision with root package name */
    private final ExecutorService f12083f;

    /* access modifiers changed from: package-private */
    public class a implements Runnable {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ Callable f12084f;

        a(Callable callable) {
            this.f12084f = callable;
        }

        public void run() {
            try {
                this.f12084f.call();
            } catch (Exception e7) {
                Throwables.throwIfUnchecked(e7);
                throw new RuntimeException(e7);
            }
        }
    }

    protected f2(ExecutorService executorService) {
        this.f12083f = (ExecutorService) Preconditions.checkNotNull(executorService);
    }

    private <T> t5<Callable<T>> c(Collection<? extends Callable<T>> collection) {
        t5.b t7 = t5.t();
        for (Callable<T> callable : collection) {
            t7.a(b(callable));
        }
        return t7.e();
    }

    /* access modifiers changed from: protected */
    public Runnable a(Runnable runnable) {
        return new a(b(Executors.callable(runnable, null)));
    }

    @Override // java.util.concurrent.ExecutorService
    public final boolean awaitTermination(long j7, TimeUnit timeUnit) throws InterruptedException {
        return this.f12083f.awaitTermination(j7, timeUnit);
    }

    /* access modifiers changed from: protected */
    public abstract <T> Callable<T> b(Callable<T> callable);

    public final void execute(Runnable runnable) {
        this.f12083f.execute(a(runnable));
    }

    @Override // java.util.concurrent.ExecutorService
    public final <T> List<Future<T>> invokeAll(Collection<? extends Callable<T>> collection) throws InterruptedException {
        return this.f12083f.invokeAll(c(collection));
    }

    @Override // java.util.concurrent.ExecutorService
    public final <T> T invokeAny(Collection<? extends Callable<T>> collection) throws InterruptedException, ExecutionException {
        return (T) this.f12083f.invokeAny(c(collection));
    }

    public final boolean isShutdown() {
        return this.f12083f.isShutdown();
    }

    public final boolean isTerminated() {
        return this.f12083f.isTerminated();
    }

    public final void shutdown() {
        this.f12083f.shutdown();
    }

    @Override // java.util.concurrent.ExecutorService
    public final List<Runnable> shutdownNow() {
        return this.f12083f.shutdownNow();
    }

    @Override // java.util.concurrent.ExecutorService
    public final Future<?> submit(Runnable runnable) {
        return this.f12083f.submit(a(runnable));
    }

    @Override // java.util.concurrent.ExecutorService
    public final <T> List<Future<T>> invokeAll(Collection<? extends Callable<T>> collection, long j7, TimeUnit timeUnit) throws InterruptedException {
        return this.f12083f.invokeAll(c(collection), j7, timeUnit);
    }

    @Override // java.util.concurrent.ExecutorService
    public final <T> T invokeAny(Collection<? extends Callable<T>> collection, long j7, TimeUnit timeUnit) throws InterruptedException, ExecutionException, TimeoutException {
        return (T) this.f12083f.invokeAny(c(collection), j7, timeUnit);
    }

    @Override // java.util.concurrent.ExecutorService
    public final <T> Future<T> submit(Runnable runnable, T t7) {
        return this.f12083f.submit(a(runnable), t7);
    }

    @Override // java.util.concurrent.ExecutorService
    public final <T> Future<T> submit(Callable<T> callable) {
        return this.f12083f.submit(b((Callable) Preconditions.checkNotNull(callable)));
    }
}
