package com.google.common.util.concurrent;

import com.google.common.base.Preconditions;
import com.google.common.base.Supplier;
import com.google.common.util.concurrent.q1;
import java.time.Duration;
import java.util.concurrent.Callable;
import java.util.concurrent.Executor;
import java.util.concurrent.Executors;
import java.util.concurrent.Future;
import java.util.concurrent.ScheduledExecutorService;
import java.util.concurrent.ThreadFactory;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.TimeoutException;
import java.util.concurrent.locks.ReentrantLock;
import java.util.logging.Logger;

@m0.a
@m0.c
public abstract class g implements q1 {

    /* renamed from: b  reason: collision with root package name */
    private static final Logger f12086b = Logger.getLogger(g.class.getName());

    /* renamed from: a  reason: collision with root package name */
    private final h f12087a = new e(this, null);

    /* access modifiers changed from: package-private */
    public class a extends q1.b {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ ScheduledExecutorService f12088a;

        a(ScheduledExecutorService scheduledExecutorService) {
            this.f12088a = scheduledExecutorService;
        }

        @Override // com.google.common.util.concurrent.q1.b
        public void a(q1.c cVar, Throwable th) {
            this.f12088a.shutdown();
        }

        @Override // com.google.common.util.concurrent.q1.b
        public void e(q1.c cVar) {
            this.f12088a.shutdown();
        }
    }

    /* access modifiers changed from: package-private */
    public class b implements ThreadFactory {
        b() {
        }

        public Thread newThread(Runnable runnable) {
            return k1.r(g.this.q(), runnable);
        }
    }

    @m0.a
    public static abstract class c extends d {

        private class a extends q0<Void> implements Callable<Void> {

            /* renamed from: f  reason: collision with root package name */
            private final Runnable f12091f;

            /* renamed from: g  reason: collision with root package name */
            private final ScheduledExecutorService f12092g;

            /* renamed from: p  reason: collision with root package name */
            private final h f12093p;

            /* renamed from: x  reason: collision with root package name */
            private final ReentrantLock f12094x = new ReentrantLock();
            @q0.a("lock")

            /* renamed from: y  reason: collision with root package name */
            private Future<Void> f12095y;

            a(h hVar, ScheduledExecutorService scheduledExecutorService, Runnable runnable) {
                this.f12091f = runnable;
                this.f12092g = scheduledExecutorService;
                this.f12093p = hVar;
            }

            /* Return type fixed from 'java.util.concurrent.Future<java.lang.Void>' to match base method */
            /* access modifiers changed from: protected */
            @Override // com.google.common.util.concurrent.q0
            /* renamed from: E1 */
            public Future<? extends Void> D1() {
                throw new UnsupportedOperationException("Only cancel and isCancelled is supported by this future");
            }

            /* renamed from: F1 */
            public Void call() throws Exception {
                this.f12091f.run();
                G1();
                return null;
            }

            public void G1() {
                Throwable th;
                try {
                    b f7 = c.this.f();
                    this.f12094x.lock();
                    try {
                        Future<Void> future = this.f12095y;
                        if (future == null || !future.isCancelled()) {
                            this.f12095y = this.f12092g.schedule(this, f7.f12096a, f7.f12097b);
                        }
                        this.f12094x.unlock();
                        th = null;
                    } catch (Throwable th2) {
                        th = th2;
                        this.f12094x.unlock();
                    }
                    if (th != null) {
                        this.f12093p.w(th);
                    }
                } catch (Throwable th3) {
                    this.f12093p.w(th3);
                }
            }

            @Override // com.google.common.util.concurrent.q0
            public boolean cancel(boolean z7) {
                this.f12094x.lock();
                try {
                    return this.f12095y.cancel(z7);
                } finally {
                    this.f12094x.unlock();
                }
            }

            @Override // com.google.common.util.concurrent.q0
            public boolean isCancelled() {
                this.f12094x.lock();
                try {
                    return this.f12095y.isCancelled();
                } finally {
                    this.f12094x.unlock();
                }
            }
        }

        /* access modifiers changed from: protected */
        @m0.a
        public static final class b {

            /* renamed from: a  reason: collision with root package name */
            private final long f12096a;

            /* renamed from: b  reason: collision with root package name */
            private final TimeUnit f12097b;

            public b(long j7, TimeUnit timeUnit) {
                this.f12096a = j7;
                this.f12097b = (TimeUnit) Preconditions.checkNotNull(timeUnit);
            }
        }

        public c() {
            super(null);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.util.concurrent.g.d
        public final Future<?> e(h hVar, ScheduledExecutorService scheduledExecutorService, Runnable runnable) {
            a aVar = new a(hVar, scheduledExecutorService, runnable);
            aVar.G1();
            return aVar;
        }

        /* access modifiers changed from: protected */
        public abstract b f() throws Exception;
    }

    public static abstract class d {

        /* access modifiers changed from: package-private */
        public static class a extends d {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ long f12098a;

            /* renamed from: b  reason: collision with root package name */
            final /* synthetic */ long f12099b;

            /* renamed from: c  reason: collision with root package name */
            final /* synthetic */ TimeUnit f12100c;

            /* JADX INFO: super call moved to the top of the method (can break code semantics) */
            a(long j7, long j8, TimeUnit timeUnit) {
                super(null);
                this.f12098a = j7;
                this.f12099b = j8;
                this.f12100c = timeUnit;
            }

            @Override // com.google.common.util.concurrent.g.d
            public Future<?> e(h hVar, ScheduledExecutorService scheduledExecutorService, Runnable runnable) {
                return scheduledExecutorService.scheduleWithFixedDelay(runnable, this.f12098a, this.f12099b, this.f12100c);
            }
        }

        /* access modifiers changed from: package-private */
        public static class b extends d {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ long f12101a;

            /* renamed from: b  reason: collision with root package name */
            final /* synthetic */ long f12102b;

            /* renamed from: c  reason: collision with root package name */
            final /* synthetic */ TimeUnit f12103c;

            /* JADX INFO: super call moved to the top of the method (can break code semantics) */
            b(long j7, long j8, TimeUnit timeUnit) {
                super(null);
                this.f12101a = j7;
                this.f12102b = j8;
                this.f12103c = timeUnit;
            }

            @Override // com.google.common.util.concurrent.g.d
            public Future<?> e(h hVar, ScheduledExecutorService scheduledExecutorService, Runnable runnable) {
                return scheduledExecutorService.scheduleAtFixedRate(runnable, this.f12101a, this.f12102b, this.f12103c);
            }
        }

        private d() {
        }

        public static d a(long j7, long j8, TimeUnit timeUnit) {
            Preconditions.checkNotNull(timeUnit);
            Preconditions.checkArgument(j8 > 0, "delay must be > 0, found %s", j8);
            return new a(j7, j8, timeUnit);
        }

        public static d b(Duration duration, Duration duration2) {
            return a(a1.a(duration), a1.a(duration2), TimeUnit.NANOSECONDS);
        }

        public static d c(long j7, long j8, TimeUnit timeUnit) {
            Preconditions.checkNotNull(timeUnit);
            Preconditions.checkArgument(j8 > 0, "period must be > 0, found %s", j8);
            return new b(j7, j8, timeUnit);
        }

        public static d d(Duration duration, Duration duration2) {
            return c(a1.a(duration), a1.a(duration2), TimeUnit.NANOSECONDS);
        }

        /* access modifiers changed from: package-private */
        public abstract Future<?> e(h hVar, ScheduledExecutorService scheduledExecutorService, Runnable runnable);

        /* synthetic */ d(a aVar) {
            this();
        }
    }

    /* access modifiers changed from: private */
    public final class e extends h {

        /* renamed from: p  reason: collision with root package name */
        private volatile Future<?> f12104p;

        /* renamed from: q  reason: collision with root package name */
        private volatile ScheduledExecutorService f12105q;

        /* renamed from: r  reason: collision with root package name */
        private final ReentrantLock f12106r;

        /* renamed from: s  reason: collision with root package name */
        private final Runnable f12107s;

        class a implements Supplier<String> {
            a() {
            }

            /* renamed from: a */
            public String get() {
                return g.this.q() + " " + e.this.c();
            }
        }

        class b implements Runnable {
            b() {
            }

            public void run() {
                e.this.f12106r.lock();
                try {
                    g.this.s();
                    e eVar = e.this;
                    eVar.f12104p = g.this.p().e(g.this.f12087a, e.this.f12105q, e.this.f12107s);
                    e.this.x();
                } catch (Throwable th) {
                    e.this.f12106r.unlock();
                    throw th;
                }
                e.this.f12106r.unlock();
            }
        }

        class c implements Runnable {
            c() {
            }

            public void run() {
                try {
                    e.this.f12106r.lock();
                    try {
                        if (e.this.c() == q1.c.STOPPING) {
                            g.this.r();
                            e.this.f12106r.unlock();
                            e.this.y();
                        }
                    } finally {
                        e.this.f12106r.unlock();
                    }
                } catch (Throwable th) {
                    e.this.w(th);
                }
            }
        }

        class d implements Runnable {
            d() {
            }

            public void run() {
                e.this.f12106r.lock();
                try {
                    if (e.this.f12104p.isCancelled()) {
                        e.this.f12106r.unlock();
                        return;
                    }
                    g.this.o();
                    e.this.f12106r.unlock();
                } catch (Throwable th) {
                    e.this.f12106r.unlock();
                    throw th;
                }
            }
        }

        private e() {
            this.f12106r = new ReentrantLock();
            this.f12107s = new d();
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.util.concurrent.h
        public final void p() {
            this.f12105q = k1.w(g.this.n(), new a());
            this.f12105q.execute(new b());
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.util.concurrent.h
        public final void q() {
            this.f12104p.cancel(false);
            this.f12105q.execute(new c());
        }

        @Override // com.google.common.util.concurrent.h
        public String toString() {
            return g.this.toString();
        }

        /* synthetic */ e(g gVar, a aVar) {
            this();
        }
    }

    protected g() {
    }

    @Override // com.google.common.util.concurrent.q1
    public final void a(q1.b bVar, Executor executor) {
        this.f12087a.a(bVar, executor);
    }

    @Override // com.google.common.util.concurrent.q1
    public final void b(long j7, TimeUnit timeUnit) throws TimeoutException {
        this.f12087a.b(j7, timeUnit);
    }

    @Override // com.google.common.util.concurrent.q1
    public final q1.c c() {
        return this.f12087a.c();
    }

    @Override // com.google.common.util.concurrent.q1
    public final void e() {
        this.f12087a.e();
    }

    @Override // com.google.common.util.concurrent.q1
    public final Throwable f() {
        return this.f12087a.f();
    }

    @Override // com.google.common.util.concurrent.q1
    public final void g(long j7, TimeUnit timeUnit) throws TimeoutException {
        this.f12087a.g(j7, timeUnit);
    }

    @Override // com.google.common.util.concurrent.q1
    @p0.a
    public final q1 i() {
        this.f12087a.i();
        return this;
    }

    @Override // com.google.common.util.concurrent.q1
    public final boolean isRunning() {
        return this.f12087a.isRunning();
    }

    @Override // com.google.common.util.concurrent.q1
    public final void j() {
        this.f12087a.j();
    }

    @Override // com.google.common.util.concurrent.q1
    @p0.a
    public final q1 k() {
        this.f12087a.k();
        return this;
    }

    /* access modifiers changed from: protected */
    public ScheduledExecutorService n() {
        ScheduledExecutorService newSingleThreadScheduledExecutor = Executors.newSingleThreadScheduledExecutor(new b());
        a(new a(newSingleThreadScheduledExecutor), k1.d());
        return newSingleThreadScheduledExecutor;
    }

    /* access modifiers changed from: protected */
    public abstract void o() throws Exception;

    /* access modifiers changed from: protected */
    public abstract d p();

    /* access modifiers changed from: protected */
    public String q() {
        return getClass().getSimpleName();
    }

    /* access modifiers changed from: protected */
    public void r() throws Exception {
    }

    /* access modifiers changed from: protected */
    public void s() throws Exception {
    }

    public String toString() {
        return q() + " [" + c() + "]";
    }
}
