package com.google.common.util.concurrent;

import com.google.common.base.Function;
import com.google.common.base.Preconditions;
import com.google.common.util.concurrent.k0;
import java.util.concurrent.CancellationException;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.Executor;
import p0.f;

/* access modifiers changed from: package-private */
@m0.b
public abstract class i<I, O, F, T> extends k0.a<O> implements Runnable {
    d1<? extends I> V5;
    F W5;

    /* access modifiers changed from: private */
    public static final class a<I, O> extends i<I, O, m<? super I, ? extends O>, d1<? extends O>> {
        a(d1<? extends I> d1Var, m<? super I, ? extends O> mVar) {
            super(d1Var, mVar);
        }

        /* access modifiers changed from: package-private */
        /* renamed from: R */
        public d1<? extends O> P(m<? super I, ? extends O> mVar, I i7) throws Exception {
            d1<? extends O> apply = mVar.apply(i7);
            Preconditions.checkNotNull(apply, "AsyncFunction.apply returned null instead of a Future. Did you mean to return immediateFuture(null)? %s", mVar);
            return apply;
        }

        /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: com.google.common.util.concurrent.d1<? extends O> */
        /* JADX WARN: Multi-variable type inference failed */
        /* access modifiers changed from: package-private */
        /* renamed from: S */
        public void Q(d1<? extends O> d1Var) {
            B(d1Var);
        }
    }

    /* access modifiers changed from: private */
    public static final class b<I, O> extends i<I, O, Function<? super I, ? extends O>, O> {
        b(d1<? extends I> d1Var, Function<? super I, ? extends O> function) {
            super(d1Var, function);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.util.concurrent.i
        public void Q(O o7) {
            z(o7);
        }

        /* access modifiers changed from: package-private */
        /* renamed from: R */
        public O P(Function<? super I, ? extends O> function, I i7) {
            return (O) function.apply(i7);
        }
    }

    i(d1<? extends I> d1Var, F f7) {
        this.V5 = (d1) Preconditions.checkNotNull(d1Var);
        this.W5 = (F) Preconditions.checkNotNull(f7);
    }

    static <I, O> d1<O> N(d1<I> d1Var, Function<? super I, ? extends O> function, Executor executor) {
        Preconditions.checkNotNull(function);
        b bVar = new b(d1Var, function);
        d1Var.addListener(bVar, k1.t(executor, bVar));
        return bVar;
    }

    static <I, O> d1<O> O(d1<I> d1Var, m<? super I, ? extends O> mVar, Executor executor) {
        Preconditions.checkNotNull(executor);
        a aVar = new a(d1Var, mVar);
        d1Var.addListener(aVar, k1.t(executor, aVar));
        return aVar;
    }

    /* access modifiers changed from: package-private */
    @f
    public abstract T P(F f7, I i7) throws Exception;

    /* access modifiers changed from: package-private */
    @f
    public abstract void Q(T t7);

    /* access modifiers changed from: protected */
    @Override // com.google.common.util.concurrent.c
    public final void m() {
        v(this.V5);
        this.V5 = null;
        this.W5 = null;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r6v0, resolved type: com.google.common.util.concurrent.i<I, O, F, T> */
    /* JADX WARN: Multi-variable type inference failed */
    public final void run() {
        d1<? extends I> d1Var = this.V5;
        F f7 = this.W5;
        boolean z7 = true;
        boolean isCancelled = isCancelled() | (d1Var == null);
        if (f7 != null) {
            z7 = false;
        }
        if (!isCancelled && !z7) {
            this.V5 = null;
            if (d1Var.isCancelled()) {
                B(d1Var);
                return;
            }
            try {
                try {
                    Object P = P(f7, v0.i(d1Var));
                    this.W5 = null;
                    Q(P);
                } catch (Throwable th) {
                    this.W5 = null;
                    throw th;
                }
            } catch (CancellationException unused) {
                cancel(false);
            } catch (ExecutionException e7) {
                A(e7.getCause());
            } catch (RuntimeException e8) {
                A(e8);
            } catch (Error e9) {
                A(e9);
            }
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.google.common.util.concurrent.c
    public String w() {
        String str;
        d1<? extends I> d1Var = this.V5;
        F f7 = this.W5;
        String w7 = super.w();
        if (d1Var != null) {
            str = "inputFuture=[" + d1Var + "], ";
        } else {
            str = "";
        }
        if (f7 != null) {
            return str + "function=[" + ((Object) f7) + "]";
        } else if (w7 == null) {
            return null;
        } else {
            return str + w7;
        }
    }
}
