package com.google.common.util.concurrent;

import com.google.common.base.Preconditions;
import com.google.common.collect.le;
import com.google.common.collect.n5;
import com.google.common.util.concurrent.c;
import java.util.Set;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.Future;
import java.util.logging.Level;
import java.util.logging.Logger;
import m0.b;
import p0.f;
import p0.m;

/* access modifiers changed from: package-private */
@b
public abstract class j<InputT, OutputT> extends c.j<OutputT> {
    private static final Logger W5 = Logger.getLogger(j.class.getName());
    private j<InputT, OutputT>.a V5;

    /* access modifiers changed from: package-private */
    public abstract class a extends k implements Runnable {
        private final boolean C1;
        private final boolean C2;

        /* renamed from: y  reason: collision with root package name */
        private n5<? extends d1<? extends InputT>> f12174y;

        /* access modifiers changed from: package-private */
        /* renamed from: com.google.common.util.concurrent.j$a$a  reason: collision with other inner class name */
        public class RunnableC0177a implements Runnable {

            /* renamed from: f  reason: collision with root package name */
            final /* synthetic */ int f12175f;

            /* renamed from: g  reason: collision with root package name */
            final /* synthetic */ d1 f12176g;

            RunnableC0177a(int i7, d1 d1Var) {
                this.f12175f = i7;
                this.f12176g = d1Var;
            }

            public void run() {
                try {
                    a.this.p(this.f12175f, this.f12176g);
                } finally {
                    a.this.m();
                }
            }
        }

        a(n5<? extends d1<? extends InputT>> n5Var, boolean z7, boolean z8) {
            super(n5Var.size());
            this.f12174y = (n5) Preconditions.checkNotNull(n5Var);
            this.C1 = z7;
            this.C2 = z8;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void m() {
            int f7 = f();
            Preconditions.checkState(f7 >= 0, "Less than 0 remaining futures");
            if (f7 == 0) {
                s();
            }
        }

        /* JADX WARNING: Removed duplicated region for block: B:10:0x0029  */
        /* JADX WARNING: Removed duplicated region for block: B:15:? A[RETURN, SYNTHETIC] */
        private void o(Throwable th) {
            boolean z7;
            boolean z8;
            boolean z9;
            Preconditions.checkNotNull(th);
            if (this.C1) {
                z8 = j.this.A(th);
                if (z8) {
                    t();
                } else {
                    z7 = j.H(g(), th);
                    z9 = th instanceof Error;
                    if (!(this.C1 & (!z8) & z7) && !z9) {
                        j.W5.log(Level.SEVERE, z9 ? "Input Future failed with Error" : "Got more than one input Future failure. Logging failures after the first", th);
                        return;
                    }
                    return;
                }
            } else {
                z8 = false;
            }
            z7 = true;
            z9 = th instanceof Error;
            if (!(this.C1 & (!z8) & z7) && !z9) {
            }
        }

        /* JADX DEBUG: Multi-variable search result rejected for r3v0, resolved type: com.google.common.util.concurrent.j$a */
        /* JADX WARN: Multi-variable type inference failed */
        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void p(int i7, Future<? extends InputT> future) {
            Throwable th;
            boolean z7;
            Object i8;
            Preconditions.checkState(this.C1 || !j.this.isDone() || j.this.isCancelled(), "Future was done before all dependencies completed");
            try {
                Preconditions.checkState(future.isDone(), "Tried to set value from future which is not done");
                if (this.C1) {
                    if (future.isCancelled()) {
                        j.this.V5 = null;
                        j.this.cancel(false);
                        return;
                    }
                    i8 = v0.i(future);
                    if (this.C2) {
                        z7 = this.C1;
                    } else {
                        return;
                    }
                } else if (this.C2 && !future.isCancelled()) {
                    z7 = this.C1;
                    i8 = v0.i(future);
                } else {
                    return;
                }
                l(z7, i7, i8);
            } catch (ExecutionException e7) {
                th = e7.getCause();
                o(th);
            } catch (Throwable th2) {
                th = th2;
                o(th);
            }
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void q() {
            if (this.f12174y.isEmpty()) {
                n();
            } else if (this.C1) {
                le<? extends d1<? extends InputT>> n7 = this.f12174y.iterator();
                int i7 = 0;
                while (n7.hasNext()) {
                    d1 d1Var = (d1) n7.next();
                    d1Var.addListener(new RunnableC0177a(i7, d1Var), k1.d());
                    i7++;
                }
            } else {
                le<? extends d1<? extends InputT>> n8 = this.f12174y.iterator();
                while (n8.hasNext()) {
                    ((d1) n8.next()).addListener(this, k1.d());
                }
            }
        }

        private void s() {
            if (this.C2 && (!this.C1)) {
                le<? extends d1<? extends InputT>> n7 = this.f12174y.iterator();
                int i7 = 0;
                while (n7.hasNext()) {
                    p(i7, (d1) n7.next());
                    i7++;
                }
            }
            n();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.util.concurrent.k
        public final void e(Set<Throwable> set) {
            if (!j.this.isCancelled()) {
                j.H(set, j.this.a());
            }
        }

        /* access modifiers changed from: package-private */
        public abstract void l(boolean z7, int i7, InputT inputt);

        /* access modifiers changed from: package-private */
        public abstract void n();

        /* access modifiers changed from: package-private */
        public void r() {
        }

        public final void run() {
            m();
        }

        /* access modifiers changed from: package-private */
        @m
        @f
        public void t() {
            this.f12174y = null;
        }
    }

    j() {
    }

    /* access modifiers changed from: private */
    public static boolean H(Set<Throwable> set, Throwable th) {
        while (th != null) {
            if (!set.add(th)) {
                return false;
            }
            th = th.getCause();
        }
        return true;
    }

    /* access modifiers changed from: package-private */
    public final void I(j<InputT, OutputT>.a aVar) {
        this.V5 = aVar;
        aVar.q();
    }

    /* access modifiers changed from: protected */
    @Override // com.google.common.util.concurrent.c
    public final void m() {
        super.m();
        j<InputT, OutputT>.a aVar = this.V5;
        if (aVar != null) {
            this.V5 = null;
            n5 n5Var = ((a) aVar).f12174y;
            boolean D = D();
            if (D) {
                aVar.r();
            }
            if (isCancelled() && (n5Var != null)) {
                le n7 = n5Var.iterator();
                while (n7.hasNext()) {
                    ((d1) n7.next()).cancel(D);
                }
            }
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.google.common.util.concurrent.c
    public String w() {
        n5 n5Var;
        j<InputT, OutputT>.a aVar = this.V5;
        if (aVar == null || (n5Var = ((a) aVar).f12174y) == null) {
            return null;
        }
        return "futures=[" + n5Var + "]";
    }
}
