package com.google.common.util.concurrent;

import com.google.common.base.Preconditions;
import com.google.common.base.Supplier;
import com.google.common.base.Throwables;
import com.google.common.collect.i9;
import com.google.common.collect.nb;
import com.google.common.util.concurrent.c;
import com.google.common.util.concurrent.r0;
import java.lang.reflect.InvocationTargetException;
import java.time.Duration;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;
import java.util.Iterator;
import java.util.List;
import java.util.concurrent.BlockingQueue;
import java.util.concurrent.Callable;
import java.util.concurrent.Delayed;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.Executor;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import java.util.concurrent.Future;
import java.util.concurrent.LinkedBlockingQueue;
import java.util.concurrent.RejectedExecutionException;
import java.util.concurrent.ScheduledExecutorService;
import java.util.concurrent.ScheduledFuture;
import java.util.concurrent.ScheduledThreadPoolExecutor;
import java.util.concurrent.ThreadFactory;
import java.util.concurrent.ThreadPoolExecutor;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.TimeoutException;

@m0.b(emulated = true)
public final class k1 {

    /* access modifiers changed from: package-private */
    public static class a implements Runnable {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ BlockingQueue f12193f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ d1 f12194g;

        a(BlockingQueue blockingQueue, d1 d1Var) {
            this.f12193f = blockingQueue;
            this.f12194g = d1Var;
        }

        public void run() {
            this.f12193f.add(this.f12194g);
        }
    }

    static class b implements Executor {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ Executor f12195f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ Supplier f12196g;

        b(Executor executor, Supplier supplier) {
            this.f12195f = executor;
            this.f12196g = supplier;
        }

        public void execute(Runnable runnable) {
            this.f12195f.execute(b0.d(runnable, this.f12196g));
        }
    }

    static class c extends f2 {

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ Supplier f12197g;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        c(ExecutorService executorService, Supplier supplier) {
            super(executorService);
            this.f12197g = supplier;
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.util.concurrent.f2
        public Runnable a(Runnable runnable) {
            return b0.d(runnable, this.f12197g);
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.util.concurrent.f2
        public <T> Callable<T> b(Callable<T> callable) {
            return b0.e(callable, this.f12197g);
        }
    }

    static class d extends g2 {

        /* renamed from: p  reason: collision with root package name */
        final /* synthetic */ Supplier f12198p;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        d(ScheduledExecutorService scheduledExecutorService, Supplier supplier) {
            super(scheduledExecutorService);
            this.f12198p = supplier;
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.util.concurrent.f2
        public Runnable a(Runnable runnable) {
            return b0.d(runnable, this.f12198p);
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.util.concurrent.f2
        public <T> Callable<T> b(Callable<T> callable) {
            return b0.e(callable, this.f12198p);
        }
    }

    static class e implements Executor {

        /* renamed from: f  reason: collision with root package name */
        boolean f12199f = true;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ Executor f12200g;

        /* renamed from: p  reason: collision with root package name */
        final /* synthetic */ c f12201p;

        class a implements Runnable {

            /* renamed from: f  reason: collision with root package name */
            final /* synthetic */ Runnable f12202f;

            a(Runnable runnable) {
                this.f12202f = runnable;
            }

            public void run() {
                e.this.f12199f = false;
                this.f12202f.run();
            }
        }

        e(Executor executor, c cVar) {
            this.f12200g = executor;
            this.f12201p = cVar;
        }

        public void execute(Runnable runnable) {
            try {
                this.f12200g.execute(new a(runnable));
            } catch (RejectedExecutionException e7) {
                if (this.f12199f) {
                    this.f12201p.A(e7);
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    @m0.d
    @m0.c
    public static class f {

        /* access modifiers changed from: package-private */
        public class a implements Runnable {

            /* renamed from: f  reason: collision with root package name */
            final /* synthetic */ ExecutorService f12204f;

            /* renamed from: g  reason: collision with root package name */
            final /* synthetic */ long f12205g;

            /* renamed from: p  reason: collision with root package name */
            final /* synthetic */ TimeUnit f12206p;

            a(ExecutorService executorService, long j7, TimeUnit timeUnit) {
                this.f12204f = executorService;
                this.f12205g = j7;
                this.f12206p = timeUnit;
            }

            public void run() {
                try {
                    this.f12204f.shutdown();
                    this.f12204f.awaitTermination(this.f12205g, this.f12206p);
                } catch (InterruptedException unused) {
                }
            }
        }

        f() {
        }

        /* access modifiers changed from: package-private */
        public final void a(ExecutorService executorService, long j7, TimeUnit timeUnit) {
            Preconditions.checkNotNull(executorService);
            Preconditions.checkNotNull(timeUnit);
            b(k1.r("DelayedShutdownHook-for-" + executorService, new a(executorService, j7, timeUnit)));
        }

        /* access modifiers changed from: package-private */
        @m0.d
        public void b(Thread thread) {
            Runtime.getRuntime().addShutdownHook(thread);
        }

        /* access modifiers changed from: package-private */
        public final ExecutorService c(ThreadPoolExecutor threadPoolExecutor) {
            return d(threadPoolExecutor, 120, TimeUnit.SECONDS);
        }

        /* access modifiers changed from: package-private */
        public final ExecutorService d(ThreadPoolExecutor threadPoolExecutor, long j7, TimeUnit timeUnit) {
            k1.A(threadPoolExecutor);
            ExecutorService unconfigurableExecutorService = Executors.unconfigurableExecutorService(threadPoolExecutor);
            a(threadPoolExecutor, j7, timeUnit);
            return unconfigurableExecutorService;
        }

        /* access modifiers changed from: package-private */
        public final ScheduledExecutorService e(ScheduledThreadPoolExecutor scheduledThreadPoolExecutor) {
            return f(scheduledThreadPoolExecutor, 120, TimeUnit.SECONDS);
        }

        /* access modifiers changed from: package-private */
        public final ScheduledExecutorService f(ScheduledThreadPoolExecutor scheduledThreadPoolExecutor, long j7, TimeUnit timeUnit) {
            k1.A(scheduledThreadPoolExecutor);
            ScheduledExecutorService unconfigurableScheduledExecutorService = Executors.unconfigurableScheduledExecutorService(scheduledThreadPoolExecutor);
            a(scheduledThreadPoolExecutor, j7, timeUnit);
            return unconfigurableScheduledExecutorService;
        }
    }

    @m0.c
    private static final class g extends f {

        /* renamed from: f  reason: collision with root package name */
        private final Object f12208f;
        @q0.a("lock")

        /* renamed from: g  reason: collision with root package name */
        private int f12209g;
        @q0.a("lock")

        /* renamed from: p  reason: collision with root package name */
        private boolean f12210p;

        private g() {
            this.f12208f = new Object();
            this.f12209g = 0;
            this.f12210p = false;
        }

        private void a() {
            synchronized (this.f12208f) {
                int i7 = this.f12209g - 1;
                this.f12209g = i7;
                if (i7 == 0) {
                    this.f12208f.notifyAll();
                }
            }
        }

        private void b() {
            synchronized (this.f12208f) {
                if (!this.f12210p) {
                    this.f12209g++;
                } else {
                    throw new RejectedExecutionException("Executor already shutdown");
                }
            }
        }

        @Override // java.util.concurrent.ExecutorService
        public boolean awaitTermination(long j7, TimeUnit timeUnit) throws InterruptedException {
            long nanos = timeUnit.toNanos(j7);
            synchronized (this.f12208f) {
                while (true) {
                    if (this.f12210p && this.f12209g == 0) {
                        return true;
                    }
                    if (nanos <= 0) {
                        return false;
                    }
                    long nanoTime = System.nanoTime();
                    TimeUnit.NANOSECONDS.timedWait(this.f12208f, nanos);
                    nanos -= System.nanoTime() - nanoTime;
                }
            }
        }

        public void execute(Runnable runnable) {
            b();
            try {
                runnable.run();
            } finally {
                a();
            }
        }

        public boolean isShutdown() {
            boolean z7;
            synchronized (this.f12208f) {
                z7 = this.f12210p;
            }
            return z7;
        }

        public boolean isTerminated() {
            boolean z7;
            synchronized (this.f12208f) {
                z7 = this.f12210p && this.f12209g == 0;
            }
            return z7;
        }

        public void shutdown() {
            synchronized (this.f12208f) {
                this.f12210p = true;
                if (this.f12209g == 0) {
                    this.f12208f.notifyAll();
                }
            }
        }

        @Override // java.util.concurrent.ExecutorService
        public List<Runnable> shutdownNow() {
            shutdown();
            return Collections.emptyList();
        }

        /* synthetic */ g(a aVar) {
            this();
        }
    }

    @m0.c
    private static class h extends f {

        /* renamed from: f  reason: collision with root package name */
        private final ExecutorService f12211f;

        h(ExecutorService executorService) {
            this.f12211f = (ExecutorService) Preconditions.checkNotNull(executorService);
        }

        @Override // java.util.concurrent.ExecutorService
        public final boolean awaitTermination(long j7, TimeUnit timeUnit) throws InterruptedException {
            return this.f12211f.awaitTermination(j7, timeUnit);
        }

        public final void execute(Runnable runnable) {
            this.f12211f.execute(runnable);
        }

        public final boolean isShutdown() {
            return this.f12211f.isShutdown();
        }

        public final boolean isTerminated() {
            return this.f12211f.isTerminated();
        }

        public final void shutdown() {
            this.f12211f.shutdown();
        }

        @Override // java.util.concurrent.ExecutorService
        public final List<Runnable> shutdownNow() {
            return this.f12211f.shutdownNow();
        }
    }

    @m0.c
    private static final class i extends h implements i1 {

        /* renamed from: g  reason: collision with root package name */
        final ScheduledExecutorService f12212g;

        /* access modifiers changed from: private */
        public static final class a<V> extends r0.a<V> implements f1<V> {

            /* renamed from: g  reason: collision with root package name */
            private final ScheduledFuture<?> f12213g;

            public a(d1<V> d1Var, ScheduledFuture<?> scheduledFuture) {
                super(d1Var);
                this.f12213g = scheduledFuture;
            }

            /* renamed from: G1 */
            public int compareTo(Delayed delayed) {
                return this.f12213g.compareTo(delayed);
            }

            @Override // com.google.common.util.concurrent.q0
            public boolean cancel(boolean z7) {
                boolean cancel = super.cancel(z7);
                if (cancel) {
                    this.f12213g.cancel(z7);
                }
                return cancel;
            }

            public long getDelay(TimeUnit timeUnit) {
                return this.f12213g.getDelay(timeUnit);
            }
        }

        /* access modifiers changed from: private */
        @m0.c
        public static final class b extends c.j<Void> implements Runnable {
            private final Runnable V5;

            public b(Runnable runnable) {
                this.V5 = (Runnable) Preconditions.checkNotNull(runnable);
            }

            public void run() {
                try {
                    this.V5.run();
                } catch (Throwable th) {
                    A(th);
                    throw Throwables.propagate(th);
                }
            }
        }

        i(ScheduledExecutorService scheduledExecutorService) {
            super(scheduledExecutorService);
            this.f12212g = (ScheduledExecutorService) Preconditions.checkNotNull(scheduledExecutorService);
        }

        @Override // java.util.concurrent.ScheduledExecutorService, com.google.common.util.concurrent.i1, com.google.common.util.concurrent.i1
        public f1<?> schedule(Runnable runnable, long j7, TimeUnit timeUnit) {
            a2 O = a2.O(runnable, null);
            return new a(O, this.f12212g.schedule(O, j7, timeUnit));
        }

        @Override // java.util.concurrent.ScheduledExecutorService, com.google.common.util.concurrent.i1, com.google.common.util.concurrent.i1
        public f1<?> scheduleAtFixedRate(Runnable runnable, long j7, long j8, TimeUnit timeUnit) {
            b bVar = new b(runnable);
            return new a(bVar, this.f12212g.scheduleAtFixedRate(bVar, j7, j8, timeUnit));
        }

        @Override // java.util.concurrent.ScheduledExecutorService, com.google.common.util.concurrent.i1, com.google.common.util.concurrent.i1
        public f1<?> scheduleWithFixedDelay(Runnable runnable, long j7, long j8, TimeUnit timeUnit) {
            b bVar = new b(runnable);
            return new a(bVar, this.f12212g.scheduleWithFixedDelay(bVar, j7, j8, timeUnit));
        }

        @Override // java.util.concurrent.ScheduledExecutorService, com.google.common.util.concurrent.i1, com.google.common.util.concurrent.i1
        public <V> f1<V> schedule(Callable<V> callable, long j7, TimeUnit timeUnit) {
            a2 P = a2.P(callable);
            return new a(P, this.f12212g.schedule(P, j7, timeUnit));
        }
    }

    private k1() {
    }

    /* access modifiers changed from: private */
    @m0.c
    public static void A(ThreadPoolExecutor threadPoolExecutor) {
        threadPoolExecutor.setThreadFactory(new x1().e(true).h(threadPoolExecutor.getThreadFactory()).b());
    }

    @m0.a
    @m0.c
    public static void b(ExecutorService executorService, long j7, TimeUnit timeUnit) {
        new f().a(executorService, j7, timeUnit);
    }

    @m0.a
    @m0.c
    public static void c(ExecutorService executorService, Duration duration) {
        b(executorService, a1.a(duration), TimeUnit.NANOSECONDS);
    }

    public static Executor d() {
        return f0.INSTANCE;
    }

    @m0.a
    @m0.c
    public static ExecutorService e(ThreadPoolExecutor threadPoolExecutor) {
        return new f().c(threadPoolExecutor);
    }

    @m0.a
    @m0.c
    public static ExecutorService f(ThreadPoolExecutor threadPoolExecutor, long j7, TimeUnit timeUnit) {
        return new f().d(threadPoolExecutor, j7, timeUnit);
    }

    @m0.a
    @m0.c
    public static ExecutorService g(ThreadPoolExecutor threadPoolExecutor, Duration duration) {
        return f(threadPoolExecutor, a1.a(duration), TimeUnit.NANOSECONDS);
    }

    @m0.a
    @m0.c
    public static ScheduledExecutorService h(ScheduledThreadPoolExecutor scheduledThreadPoolExecutor) {
        return new f().e(scheduledThreadPoolExecutor);
    }

    @m0.a
    @m0.c
    public static ScheduledExecutorService i(ScheduledThreadPoolExecutor scheduledThreadPoolExecutor, long j7, TimeUnit timeUnit) {
        return new f().f(scheduledThreadPoolExecutor, j7, timeUnit);
    }

    @m0.a
    @m0.c
    public static ScheduledExecutorService j(ScheduledThreadPoolExecutor scheduledThreadPoolExecutor, Duration duration) {
        return i(scheduledThreadPoolExecutor, a1.a(duration), TimeUnit.NANOSECONDS);
    }

    /* JADX WARNING: Removed duplicated region for block: B:29:0x0092  */
    /* JADX WARNING: Removed duplicated region for block: B:51:0x00b7 A[SYNTHETIC] */
    @m0.c
    static <T> T k(h1 h1Var, Collection<? extends Callable<T>> collection, boolean z7, long j7, TimeUnit timeUnit) throws InterruptedException, ExecutionException, TimeoutException {
        long j8;
        long j9;
        Preconditions.checkNotNull(h1Var);
        Preconditions.checkNotNull(timeUnit);
        int size = collection.size();
        Preconditions.checkArgument(size > 0);
        ArrayList<Future> u7 = i9.u(size);
        LinkedBlockingQueue m7 = nb.m();
        long nanos = timeUnit.toNanos(j7);
        if (z7) {
            try {
                j8 = System.nanoTime();
            } catch (Throwable th) {
                for (Future future : u7) {
                    future.cancel(true);
                }
                throw th;
            }
        } else {
            j8 = 0;
        }
        Iterator<? extends Callable<T>> it = collection.iterator();
        u7.add(z(h1Var, (Callable) it.next(), m7));
        int i7 = size - 1;
        int i8 = 1;
        ExecutionException executionException = null;
        while (true) {
            Future future2 = (Future) m7.poll();
            if (future2 == null) {
                if (i7 > 0) {
                    i7--;
                    u7.add(z(h1Var, (Callable) it.next(), m7));
                    i8++;
                } else if (i8 == 0) {
                    if (executionException == null) {
                        throw new ExecutionException((Throwable) null);
                    }
                    throw executionException;
                } else if (z7) {
                    future2 = (Future) m7.poll(nanos, TimeUnit.NANOSECONDS);
                    if (future2 != null) {
                        j9 = System.nanoTime();
                        nanos -= j9 - j8;
                        if (future2 == null) {
                            i8--;
                            try {
                                T t7 = (T) future2.get();
                                for (Future future3 : u7) {
                                    future3.cancel(true);
                                }
                                return t7;
                            } catch (ExecutionException e7) {
                                executionException = e7;
                            } catch (RuntimeException e8) {
                                executionException = new ExecutionException(e8);
                            }
                        } else {
                            i7 = i7;
                            nanos = nanos;
                            j8 = j9;
                        }
                    } else {
                        throw new TimeoutException();
                    }
                } else {
                    future2 = (Future) m7.take();
                }
            }
            j9 = j8;
            if (future2 == null) {
            }
            i7 = i7;
            nanos = nanos;
            j8 = j9;
        }
    }

    @m0.c
    static <T> T l(h1 h1Var, Collection<? extends Callable<T>> collection, boolean z7, Duration duration) throws InterruptedException, ExecutionException, TimeoutException {
        return (T) k(h1Var, collection, z7, a1.a(duration), TimeUnit.NANOSECONDS);
    }

    @m0.c
    private static boolean m() {
        if (System.getProperty("com.google.appengine.runtime.environment") == null) {
            return false;
        }
        try {
            return Class.forName("com.google.apphosting.api.ApiProxy").getMethod("getCurrentEnvironment", new Class[0]).invoke(null, new Object[0]) != null;
        } catch (ClassNotFoundException | IllegalAccessException | NoSuchMethodException | InvocationTargetException unused) {
            return false;
        }
    }

    @m0.c
    public static h1 n(ExecutorService executorService) {
        if (executorService instanceof h1) {
            return (h1) executorService;
        }
        return executorService instanceof ScheduledExecutorService ? new i((ScheduledExecutorService) executorService) : new h(executorService);
    }

    @m0.c
    public static i1 o(ScheduledExecutorService scheduledExecutorService) {
        return scheduledExecutorService instanceof i1 ? (i1) scheduledExecutorService : new i(scheduledExecutorService);
    }

    @m0.c
    public static h1 p() {
        return new g(null);
    }

    @m0.a
    @m0.c
    public static Executor q(Executor executor) {
        return new p1(executor);
    }

    @m0.c
    static Thread r(String str, Runnable runnable) {
        Preconditions.checkNotNull(str);
        Preconditions.checkNotNull(runnable);
        Thread newThread = s().newThread(runnable);
        try {
            newThread.setName(str);
        } catch (SecurityException unused) {
        }
        return newThread;
    }

    @m0.a
    @m0.c
    public static ThreadFactory s() {
        if (!m()) {
            return Executors.defaultThreadFactory();
        }
        try {
            return (ThreadFactory) Class.forName("com.google.appengine.api.ThreadManager").getMethod("currentRequestThreadFactory", new Class[0]).invoke(null, new Object[0]);
        } catch (ClassNotFoundException | IllegalAccessException | NoSuchMethodException e7) {
            throw new RuntimeException("Couldn't invoke ThreadManager.currentRequestThreadFactory", e7);
        } catch (InvocationTargetException e8) {
            throw Throwables.propagate(e8.getCause());
        }
    }

    static Executor t(Executor executor, c<?> cVar) {
        Preconditions.checkNotNull(executor);
        Preconditions.checkNotNull(cVar);
        return executor == d() ? executor : new e(executor, cVar);
    }

    @m0.c
    static Executor u(Executor executor, Supplier<String> supplier) {
        Preconditions.checkNotNull(executor);
        Preconditions.checkNotNull(supplier);
        return m() ? executor : new b(executor, supplier);
    }

    @m0.c
    static ExecutorService v(ExecutorService executorService, Supplier<String> supplier) {
        Preconditions.checkNotNull(executorService);
        Preconditions.checkNotNull(supplier);
        return m() ? executorService : new c(executorService, supplier);
    }

    @m0.c
    static ScheduledExecutorService w(ScheduledExecutorService scheduledExecutorService, Supplier<String> supplier) {
        Preconditions.checkNotNull(scheduledExecutorService);
        Preconditions.checkNotNull(supplier);
        return m() ? scheduledExecutorService : new d(scheduledExecutorService, supplier);
    }

    @m0.a
    @p0.a
    @m0.c
    public static boolean x(ExecutorService executorService, long j7, TimeUnit timeUnit) {
        long nanos = timeUnit.toNanos(j7) / 2;
        executorService.shutdown();
        try {
            TimeUnit timeUnit2 = TimeUnit.NANOSECONDS;
            if (!executorService.awaitTermination(nanos, timeUnit2)) {
                executorService.shutdownNow();
                executorService.awaitTermination(nanos, timeUnit2);
            }
        } catch (InterruptedException unused) {
            Thread.currentThread().interrupt();
            executorService.shutdownNow();
        }
        return executorService.isTerminated();
    }

    @m0.a
    @p0.a
    @m0.c
    public static boolean y(ExecutorService executorService, Duration duration) {
        return x(executorService, a1.a(duration), TimeUnit.NANOSECONDS);
    }

    @m0.c
    private static <T> d1<T> z(h1 h1Var, Callable<T> callable, BlockingQueue<Future<T>> blockingQueue) {
        d1<T> submit = h1Var.submit((Callable) callable);
        submit.addListener(new a(blockingQueue, submit), d());
        return submit;
    }
}
