package com.google.common.util.concurrent;

import com.google.common.base.Preconditions;
import com.google.common.base.Stopwatch;
import com.google.common.util.concurrent.u1;
import java.time.Duration;
import java.util.Locale;
import java.util.concurrent.TimeUnit;
import m0.c;
import m0.d;

@m0.a
@c
public abstract class n1 {

    /* renamed from: a  reason: collision with root package name */
    private final a f12217a;

    /* renamed from: b  reason: collision with root package name */
    private volatile Object f12218b;

    /* access modifiers changed from: package-private */
    public static abstract class a {

        /* access modifiers changed from: package-private */
        /* renamed from: com.google.common.util.concurrent.n1$a$a  reason: collision with other inner class name */
        public static class C0178a extends a {

            /* renamed from: a  reason: collision with root package name */
            final Stopwatch f12219a = Stopwatch.createStarted();

            C0178a() {
            }

            /* access modifiers changed from: protected */
            @Override // com.google.common.util.concurrent.n1.a
            public long b() {
                return this.f12219a.elapsed(TimeUnit.MICROSECONDS);
            }

            /* access modifiers changed from: protected */
            @Override // com.google.common.util.concurrent.n1.a
            public void c(long j7) {
                if (j7 > 0) {
                    e2.m(j7, TimeUnit.MICROSECONDS);
                }
            }
        }

        protected a() {
        }

        public static a a() {
            return new C0178a();
        }

        /* access modifiers changed from: protected */
        public abstract long b();

        /* access modifiers changed from: protected */
        public abstract void c(long j7);
    }

    n1(a aVar) {
        this.f12217a = (a) Preconditions.checkNotNull(aVar);
    }

    private boolean c(long j7, long j8) {
        return n(j7) - j8 <= j7;
    }

    private static void d(int i7) {
        Preconditions.checkArgument(i7 > 0, "Requested permits (%s) must be positive", i7);
    }

    public static n1 e(double d7) {
        return h(d7, a.a());
    }

    public static n1 f(double d7, long j7, TimeUnit timeUnit) {
        Preconditions.checkArgument(j7 >= 0, "warmupPeriod must not be negative: %s", j7);
        return g(d7, j7, timeUnit, 3.0d, a.a());
    }

    @d
    static n1 g(double d7, long j7, TimeUnit timeUnit, double d8, a aVar) {
        u1.c cVar = new u1.c(aVar, j7, timeUnit, d8);
        cVar.r(d7);
        return cVar;
    }

    @d
    static n1 h(double d7, a aVar) {
        u1.b bVar = new u1.b(aVar, 1.0d);
        bVar.r(d7);
        return bVar;
    }

    public static n1 i(double d7, Duration duration) {
        return f(d7, a1.a(duration), TimeUnit.NANOSECONDS);
    }

    private Object m() {
        Object obj = this.f12218b;
        if (obj == null) {
            synchronized (this) {
                obj = this.f12218b;
                if (obj == null) {
                    obj = new Object();
                    this.f12218b = obj;
                }
            }
        }
        return obj;
    }

    @p0.a
    public double a() {
        return b(1);
    }

    @p0.a
    public double b(int i7) {
        long o7 = o(i7);
        this.f12217a.c(o7);
        return (((double) o7) * 1.0d) / ((double) TimeUnit.SECONDS.toMicros(1));
    }

    /* access modifiers changed from: package-private */
    public abstract double j();

    /* access modifiers changed from: package-private */
    public abstract void k(double d7, long j7);

    public final double l() {
        double j7;
        synchronized (m()) {
            j7 = j();
        }
        return j7;
    }

    /* access modifiers changed from: package-private */
    public abstract long n(long j7);

    /* access modifiers changed from: package-private */
    public final long o(int i7) {
        long p7;
        d(i7);
        synchronized (m()) {
            p7 = p(i7, this.f12217a.b());
        }
        return p7;
    }

    /* access modifiers changed from: package-private */
    public final long p(int i7, long j7) {
        return Math.max(q(i7, j7) - j7, 0L);
    }

    /* access modifiers changed from: package-private */
    public abstract long q(int i7, long j7);

    public final void r(double d7) {
        Preconditions.checkArgument(d7 > 0.0d && !Double.isNaN(d7), "rate must be positive");
        synchronized (m()) {
            k(d7, this.f12217a.b());
        }
    }

    public boolean s() {
        return u(1, 0, TimeUnit.MICROSECONDS);
    }

    public boolean t(int i7) {
        return u(i7, 0, TimeUnit.MICROSECONDS);
    }

    public String toString() {
        return String.format(Locale.ROOT, "RateLimiter[stableRate=%3.1fqps]", Double.valueOf(l()));
    }

    public boolean u(int i7, long j7, TimeUnit timeUnit) {
        long max = Math.max(timeUnit.toMicros(j7), 0L);
        d(i7);
        synchronized (m()) {
            long b7 = this.f12217a.b();
            if (!c(b7, max)) {
                return false;
            }
            this.f12217a.c(p(i7, b7));
            return true;
        }
    }

    public boolean v(int i7, Duration duration) {
        return u(i7, a1.a(duration), TimeUnit.NANOSECONDS);
    }

    public boolean w(long j7, TimeUnit timeUnit) {
        return u(1, j7, timeUnit);
    }

    public boolean x(Duration duration) {
        return u(1, a1.a(duration), TimeUnit.NANOSECONDS);
    }
}
