package com.google.common.util.concurrent;

import com.google.common.base.Function;
import com.google.common.base.MoreObjects;
import com.google.common.base.Preconditions;
import com.google.common.base.Predicates;
import com.google.common.base.Stopwatch;
import com.google.common.collect.e7;
import com.google.common.collect.f2;
import com.google.common.collect.h6;
import com.google.common.collect.hc;
import com.google.common.collect.i9;
import com.google.common.collect.kb;
import com.google.common.collect.le;
import com.google.common.collect.n5;
import com.google.common.collect.o7;
import com.google.common.collect.oa;
import com.google.common.collect.t5;
import com.google.common.collect.t6;
import com.google.common.collect.ua;
import com.google.common.collect.v9;
import com.google.common.collect.ya;
import com.google.common.util.concurrent.g1;
import com.google.common.util.concurrent.j1;
import com.google.common.util.concurrent.q1;
import java.lang.ref.WeakReference;
import java.time.Duration;
import java.util.ArrayList;
import java.util.Collections;
import java.util.EnumSet;
import java.util.Map;
import java.util.concurrent.Executor;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.TimeoutException;
import java.util.logging.Level;
import java.util.logging.Logger;

@m0.a
@m0.c
public final class r1 {

    /* renamed from: c  reason: collision with root package name */
    private static final Logger f12247c = Logger.getLogger(r1.class.getName());

    /* renamed from: d  reason: collision with root package name */
    private static final g1.a<e> f12248d = new a();

    /* renamed from: e  reason: collision with root package name */
    private static final g1.a<e> f12249e = new b();

    /* renamed from: a  reason: collision with root package name */
    private final h f12250a;

    /* renamed from: b  reason: collision with root package name */
    private final t5<q1> f12251b;

    static class a implements g1.a<e> {
        a() {
        }

        /* renamed from: b */
        public void a(e eVar) {
            eVar.b();
        }

        public String toString() {
            return "healthy()";
        }
    }

    static class b implements g1.a<e> {
        b() {
        }

        /* renamed from: b */
        public void a(e eVar) {
            eVar.c();
        }

        public String toString() {
            return "stopped()";
        }
    }

    private static final class c extends Throwable {
        private c() {
        }

        /* synthetic */ c(a aVar) {
            this();
        }
    }

    /* access modifiers changed from: private */
    public static final class d extends Throwable {
        d(q1 q1Var) {
            super(q1Var.toString(), q1Var.f(), false, false);
        }
    }

    @m0.a
    public static abstract class e {
        public void a(q1 q1Var) {
        }

        public void b() {
        }

        public void c() {
        }
    }

    /* access modifiers changed from: private */
    public static final class f extends h {
        private f() {
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.util.concurrent.h
        public void p() {
            x();
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.util.concurrent.h
        public void q() {
            y();
        }

        /* synthetic */ f(a aVar) {
            this();
        }
    }

    private static final class g extends q1.b {

        /* renamed from: a  reason: collision with root package name */
        final q1 f12252a;

        /* renamed from: b  reason: collision with root package name */
        final WeakReference<h> f12253b;

        g(q1 q1Var, WeakReference<h> weakReference) {
            this.f12252a = q1Var;
            this.f12253b = weakReference;
        }

        @Override // com.google.common.util.concurrent.q1.b
        public void a(q1.c cVar, Throwable th) {
            h hVar = this.f12253b.get();
            if (hVar != null) {
                boolean z7 = true;
                boolean z8 = !(this.f12252a instanceof f);
                if (cVar == q1.c.STARTING) {
                    z7 = false;
                }
                if (z8 && z7) {
                    r1.f12247c.log(Level.SEVERE, "Service " + this.f12252a + " has failed in the " + cVar + " state.", th);
                }
                hVar.n(this.f12252a, cVar, q1.c.FAILED);
            }
        }

        @Override // com.google.common.util.concurrent.q1.b
        public void b() {
            h hVar = this.f12253b.get();
            if (hVar != null) {
                hVar.n(this.f12252a, q1.c.STARTING, q1.c.RUNNING);
            }
        }

        @Override // com.google.common.util.concurrent.q1.b
        public void c() {
            h hVar = this.f12253b.get();
            if (hVar != null) {
                hVar.n(this.f12252a, q1.c.NEW, q1.c.STARTING);
                if (!(this.f12252a instanceof f)) {
                    r1.f12247c.log(Level.FINE, "Starting {0}.", this.f12252a);
                }
            }
        }

        @Override // com.google.common.util.concurrent.q1.b
        public void d(q1.c cVar) {
            h hVar = this.f12253b.get();
            if (hVar != null) {
                hVar.n(this.f12252a, cVar, q1.c.STOPPING);
            }
        }

        @Override // com.google.common.util.concurrent.q1.b
        public void e(q1.c cVar) {
            h hVar = this.f12253b.get();
            if (hVar != null) {
                if (!(this.f12252a instanceof f)) {
                    r1.f12247c.log(Level.FINE, "Service {0} has terminated. Previous state was: {1}", new Object[]{this.f12252a, cVar});
                }
                hVar.n(this.f12252a, cVar, q1.c.TERMINATED);
            }
        }
    }

    /* access modifiers changed from: private */
    public static final class h {

        /* renamed from: a  reason: collision with root package name */
        final j1 f12254a = new j1();
        @q0.a("monitor")

        /* renamed from: b  reason: collision with root package name */
        final hc<q1.c, q1> f12255b;
        @q0.a("monitor")

        /* renamed from: c  reason: collision with root package name */
        final ya<q1.c> f12256c;
        @q0.a("monitor")

        /* renamed from: d  reason: collision with root package name */
        final Map<q1, Stopwatch> f12257d;
        @q0.a("monitor")

        /* renamed from: e  reason: collision with root package name */
        boolean f12258e;
        @q0.a("monitor")

        /* renamed from: f  reason: collision with root package name */
        boolean f12259f;

        /* renamed from: g  reason: collision with root package name */
        final int f12260g;

        /* renamed from: h  reason: collision with root package name */
        final j1.b f12261h;

        /* renamed from: i  reason: collision with root package name */
        final j1.b f12262i;

        /* renamed from: j  reason: collision with root package name */
        final g1<e> f12263j;

        /* access modifiers changed from: package-private */
        public class a implements Function<Map.Entry<q1, Long>, Long> {
            a() {
            }

            /* renamed from: a */
            public Long apply(Map.Entry<q1, Long> entry) {
                return entry.getValue();
            }
        }

        /* access modifiers changed from: package-private */
        public class b implements g1.a<e> {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ q1 f12265a;

            b(q1 q1Var) {
                this.f12265a = q1Var;
            }

            /* renamed from: b */
            public void a(e eVar) {
                eVar.a(this.f12265a);
            }

            public String toString() {
                return "failed({service=" + this.f12265a + "})";
            }
        }

        final class c extends j1.b {
            c() {
                super(h.this.f12254a);
            }

            @Override // com.google.common.util.concurrent.j1.b
            @q0.a("ServiceManagerState.this.monitor")
            public boolean a() {
                int O0 = h.this.f12256c.O0(q1.c.RUNNING);
                h hVar = h.this;
                return O0 == hVar.f12260g || hVar.f12256c.contains(q1.c.STOPPING) || h.this.f12256c.contains(q1.c.TERMINATED) || h.this.f12256c.contains(q1.c.FAILED);
            }
        }

        final class d extends j1.b {
            d() {
                super(h.this.f12254a);
            }

            @Override // com.google.common.util.concurrent.j1.b
            @q0.a("ServiceManagerState.this.monitor")
            public boolean a() {
                return h.this.f12256c.O0(q1.c.TERMINATED) + h.this.f12256c.O0(q1.c.FAILED) == h.this.f12260g;
            }
        }

        h(n5<q1> n5Var) {
            hc<q1.c, q1> j7 = oa.c(q1.c.class).g().a();
            this.f12255b = j7;
            this.f12256c = j7.N0();
            this.f12257d = v9.l0();
            this.f12261h = new c();
            this.f12262i = new d();
            this.f12263j = new g1<>();
            this.f12260g = n5Var.size();
            j7.v1(q1.c.NEW, n5Var);
        }

        /* access modifiers changed from: package-private */
        public void a(e eVar, Executor executor) {
            this.f12263j.b(eVar, executor);
        }

        /* access modifiers changed from: package-private */
        public void b() {
            this.f12254a.v(this.f12261h);
            try {
                f();
            } finally {
                this.f12254a.J();
            }
        }

        /* access modifiers changed from: package-private */
        public void c(long j7, TimeUnit timeUnit) throws TimeoutException {
            this.f12254a.g();
            try {
                if (this.f12254a.V(this.f12261h, j7, timeUnit)) {
                    f();
                    return;
                }
                throw new TimeoutException("Timeout waiting for the services to become healthy. The following services have not started: " + ua.r(this.f12255b, Predicates.in(e7.a0(q1.c.NEW, q1.c.STARTING))));
            } finally {
                this.f12254a.J();
            }
        }

        /* access modifiers changed from: package-private */
        public void d() {
            this.f12254a.v(this.f12262i);
            this.f12254a.J();
        }

        /* access modifiers changed from: package-private */
        public void e(long j7, TimeUnit timeUnit) throws TimeoutException {
            this.f12254a.g();
            try {
                if (!this.f12254a.V(this.f12262i, j7, timeUnit)) {
                    throw new TimeoutException("Timeout waiting for the services to stop. The following services have not stopped: " + ua.r(this.f12255b, Predicates.not(Predicates.in(EnumSet.of(q1.c.TERMINATED, q1.c.FAILED)))));
                }
            } finally {
                this.f12254a.J();
            }
        }

        /* access modifiers changed from: package-private */
        @q0.a("monitor")
        public void f() {
            ya<q1.c> yaVar = this.f12256c;
            q1.c cVar = q1.c.RUNNING;
            if (yaVar.O0(cVar) != this.f12260g) {
                IllegalStateException illegalStateException = new IllegalStateException("Expected to be healthy after starting. The following services are not running: " + ua.r(this.f12255b, Predicates.not(Predicates.equalTo(cVar))));
                for (q1 q1Var : this.f12255b.get(q1.c.FAILED)) {
                    illegalStateException.addSuppressed(new d(q1Var));
                }
                throw illegalStateException;
            }
        }

        /* access modifiers changed from: package-private */
        public void g() {
            Preconditions.checkState(!this.f12254a.H(), "It is incorrect to execute listeners with the monitor held.");
            this.f12263j.c();
        }

        /* access modifiers changed from: package-private */
        public void h(q1 q1Var) {
            this.f12263j.d(new b(q1Var));
        }

        /* access modifiers changed from: package-private */
        public void i() {
            this.f12263j.d(r1.f12248d);
        }

        /* access modifiers changed from: package-private */
        public void j() {
            this.f12263j.d(r1.f12249e);
        }

        /* access modifiers changed from: package-private */
        public void k() {
            this.f12254a.g();
            try {
                if (!this.f12259f) {
                    this.f12258e = true;
                    return;
                }
                ArrayList q7 = i9.q();
                le<q1> n7 = l().values().iterator();
                while (n7.hasNext()) {
                    q1 next = n7.next();
                    if (next.c() != q1.c.NEW) {
                        q7.add(next);
                    }
                }
                throw new IllegalArgumentException("Services started transitioning asynchronously before the ServiceManager was constructed: " + q7);
            } finally {
                this.f12254a.J();
            }
        }

        /* JADX INFO: finally extract failed */
        /* access modifiers changed from: package-private */
        public t6<q1.c, q1> l() {
            o7.a a02 = o7.a0();
            this.f12254a.g();
            try {
                for (Map.Entry<q1.c, q1> entry : this.f12255b.h()) {
                    if (!(entry.getValue() instanceof f)) {
                        a02.g(entry);
                    }
                }
                this.f12254a.J();
                return a02.a();
            } catch (Throwable th) {
                this.f12254a.J();
                throw th;
            }
        }

        /* JADX INFO: finally extract failed */
        /* access modifiers changed from: package-private */
        public h6<q1, Long> m() {
            this.f12254a.g();
            try {
                ArrayList u7 = i9.u(this.f12257d.size());
                for (Map.Entry<q1, Stopwatch> entry : this.f12257d.entrySet()) {
                    q1 key = entry.getKey();
                    Stopwatch value = entry.getValue();
                    if (!value.isRunning() && !(key instanceof f)) {
                        u7.add(v9.T(key, Long.valueOf(value.elapsed(TimeUnit.MILLISECONDS))));
                    }
                }
                this.f12254a.J();
                Collections.sort(u7, kb.B().F(new a()));
                return h6.f(u7);
            } catch (Throwable th) {
                this.f12254a.J();
                throw th;
            }
        }

        /* access modifiers changed from: package-private */
        public void n(q1 q1Var, q1.c cVar, q1.c cVar2) {
            Preconditions.checkNotNull(q1Var);
            Preconditions.checkArgument(cVar != cVar2);
            this.f12254a.g();
            try {
                this.f12259f = true;
                if (this.f12258e) {
                    Preconditions.checkState(this.f12255b.remove(cVar, q1Var), "Service %s not at the expected location in the state map %s", q1Var, cVar);
                    Preconditions.checkState(this.f12255b.put(cVar2, q1Var), "Service %s in the state map unexpectedly at %s", q1Var, cVar2);
                    Stopwatch stopwatch = this.f12257d.get(q1Var);
                    if (stopwatch == null) {
                        stopwatch = Stopwatch.createStarted();
                        this.f12257d.put(q1Var, stopwatch);
                    }
                    q1.c cVar3 = q1.c.RUNNING;
                    if (cVar2.compareTo((Enum) cVar3) >= 0 && stopwatch.isRunning()) {
                        stopwatch.stop();
                        if (!(q1Var instanceof f)) {
                            r1.f12247c.log(Level.FINE, "Started {0} in {1}.", new Object[]{q1Var, stopwatch});
                        }
                    }
                    q1.c cVar4 = q1.c.FAILED;
                    if (cVar2 == cVar4) {
                        h(q1Var);
                    }
                    if (this.f12256c.O0(cVar3) == this.f12260g) {
                        i();
                    } else if (this.f12256c.O0(q1.c.TERMINATED) + this.f12256c.O0(cVar4) == this.f12260g) {
                        j();
                    }
                    this.f12254a.J();
                    g();
                }
            } finally {
                this.f12254a.J();
                g();
            }
        }

        /* access modifiers changed from: package-private */
        public void o(q1 q1Var) {
            this.f12254a.g();
            try {
                if (this.f12257d.get(q1Var) == null) {
                    this.f12257d.put(q1Var, Stopwatch.createStarted());
                }
            } finally {
                this.f12254a.J();
            }
        }
    }

    public r1(Iterable<? extends q1> iterable) {
        t5<q1> x7 = t5.x(iterable);
        if (x7.isEmpty()) {
            f12247c.log(Level.WARNING, "ServiceManager configured with no services.  Is your application configured properly?", (Throwable) new c(null));
            x7 = t5.T(new f(null));
        }
        h hVar = new h(x7);
        this.f12250a = hVar;
        this.f12251b = x7;
        WeakReference weakReference = new WeakReference(hVar);
        le<q1> n7 = x7.iterator();
        while (n7.hasNext()) {
            q1 next = n7.next();
            next.a(new g(next, weakReference), k1.d());
            Preconditions.checkArgument(next.c() == q1.c.NEW, "Can only manage NEW services, %s", next);
        }
        this.f12250a.k();
    }

    public void d(e eVar) {
        this.f12250a.a(eVar, k1.d());
    }

    public void e(e eVar, Executor executor) {
        this.f12250a.a(eVar, executor);
    }

    public void f() {
        this.f12250a.b();
    }

    public void g(long j7, TimeUnit timeUnit) throws TimeoutException {
        this.f12250a.c(j7, timeUnit);
    }

    public void h(Duration duration) throws TimeoutException {
        g(a1.a(duration), TimeUnit.NANOSECONDS);
    }

    public void i() {
        this.f12250a.d();
    }

    public void j(long j7, TimeUnit timeUnit) throws TimeoutException {
        this.f12250a.e(j7, timeUnit);
    }

    public void k(Duration duration) throws TimeoutException {
        j(a1.a(duration), TimeUnit.NANOSECONDS);
    }

    public boolean l() {
        le<q1> n7 = this.f12251b.iterator();
        while (n7.hasNext()) {
            if (!n7.next().isRunning()) {
                return false;
            }
        }
        return true;
    }

    public t6<q1.c, q1> m() {
        return this.f12250a.l();
    }

    @p0.a
    public r1 n() {
        le<q1> n7 = this.f12251b.iterator();
        while (n7.hasNext()) {
            q1 next = n7.next();
            q1.c c7 = next.c();
            Preconditions.checkState(c7 == q1.c.NEW, "Service %s is %s, cannot start it.", next, c7);
        }
        le<q1> n8 = this.f12251b.iterator();
        while (n8.hasNext()) {
            q1 next2 = n8.next();
            try {
                this.f12250a.o(next2);
                next2.k();
            } catch (IllegalStateException e7) {
                Logger logger = f12247c;
                Level level = Level.WARNING;
                logger.log(level, "Unable to start Service " + next2, (Throwable) e7);
            }
        }
        return this;
    }

    public h6<q1, Long> o() {
        return this.f12250a.m();
    }

    @p0.a
    public r1 p() {
        le<q1> n7 = this.f12251b.iterator();
        while (n7.hasNext()) {
            n7.next().i();
        }
        return this;
    }

    public String toString() {
        return MoreObjects.toStringHelper((Class<?>) r1.class).add("services", f2.d(this.f12251b, Predicates.not(Predicates.instanceOf(f.class)))).toString();
    }
}
