package com.google.common.util.concurrent;

import com.google.common.base.Preconditions;
import com.google.common.collect.jb;
import com.google.common.collect.jc;
import java.lang.reflect.InvocationHandler;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.lang.reflect.Proxy;
import java.util.HashSet;
import java.util.Set;
import java.util.concurrent.Callable;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Future;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.TimeoutException;
import m0.c;

@m0.a
@c
public final class t1 implements y1 {

    /* renamed from: a  reason: collision with root package name */
    private final ExecutorService f12271a;

    class a implements InvocationHandler {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ Object f12272a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ long f12273b;

        /* renamed from: c  reason: collision with root package name */
        final /* synthetic */ TimeUnit f12274c;

        /* renamed from: d  reason: collision with root package name */
        final /* synthetic */ Set f12275d;

        /* renamed from: com.google.common.util.concurrent.t1$a$a  reason: collision with other inner class name */
        class CallableC0180a implements Callable<Object> {

            /* renamed from: f  reason: collision with root package name */
            final /* synthetic */ Method f12277f;

            /* renamed from: g  reason: collision with root package name */
            final /* synthetic */ Object[] f12278g;

            CallableC0180a(Method method, Object[] objArr) {
                this.f12277f = method;
                this.f12278g = objArr;
            }

            @Override // java.util.concurrent.Callable
            public Object call() throws Exception {
                try {
                    return this.f12277f.invoke(a.this.f12272a, this.f12278g);
                } catch (InvocationTargetException e7) {
                    throw t1.s(e7, false);
                }
            }
        }

        a(Object obj, long j7, TimeUnit timeUnit, Set set) {
            this.f12272a = obj;
            this.f12273b = j7;
            this.f12274c = timeUnit;
            this.f12275d = set;
        }

        @Override // java.lang.reflect.InvocationHandler
        public Object invoke(Object obj, Method method, Object[] objArr) throws Throwable {
            return t1.this.m(new CallableC0180a(method, objArr), this.f12273b, this.f12274c, this.f12275d.contains(method));
        }
    }

    private t1(ExecutorService executorService) {
        this.f12271a = (ExecutorService) Preconditions.checkNotNull(executorService);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private <T> T m(Callable<T> callable, long j7, TimeUnit timeUnit, boolean z7) throws Exception {
        Preconditions.checkNotNull(callable);
        Preconditions.checkNotNull(timeUnit);
        n(j7);
        Future<T> submit = this.f12271a.submit(callable);
        if (!z7) {
            return (T) e2.g(submit, j7, timeUnit);
        }
        try {
            return submit.get(j7, timeUnit);
        } catch (InterruptedException e7) {
            submit.cancel(true);
            throw e7;
        } catch (ExecutionException e8) {
            throw s(e8, true);
        } catch (TimeoutException e9) {
            submit.cancel(true);
            throw new d2(e9);
        }
    }

    private static void n(long j7) {
        Preconditions.checkArgument(j7 > 0, "timeout must be positive: %s", j7);
    }

    public static t1 o(ExecutorService executorService) {
        return new t1(executorService);
    }

    private static boolean p(Method method) {
        for (Class<?> cls : method.getExceptionTypes()) {
            if (cls == InterruptedException.class) {
                return true;
            }
        }
        return false;
    }

    private static Set<Method> q(Class<?> cls) {
        HashSet u7 = jc.u();
        Method[] methods = cls.getMethods();
        for (Method method : methods) {
            if (p(method)) {
                u7.add(method);
            }
        }
        return u7;
    }

    private static <T> T r(Class<T> cls, InvocationHandler invocationHandler) {
        return cls.cast(Proxy.newProxyInstance(cls.getClassLoader(), new Class[]{cls}, invocationHandler));
    }

    /* access modifiers changed from: private */
    public static Exception s(Exception exc, boolean z7) throws Exception {
        Throwable cause = exc.getCause();
        if (cause != null) {
            if (z7) {
                cause.setStackTrace((StackTraceElement[]) jb.f(cause.getStackTrace(), exc.getStackTrace(), StackTraceElement.class));
            }
            if (cause instanceof Exception) {
                throw ((Exception) cause);
            } else if (cause instanceof Error) {
                throw ((Error) cause);
            } else {
                throw exc;
            }
        } else {
            throw exc;
        }
    }

    private void t(Throwable th) throws ExecutionException {
        if (th instanceof Error) {
            throw new g0((Error) th);
        } else if (th instanceof RuntimeException) {
            throw new c2(th);
        } else {
            throw new ExecutionException(th);
        }
    }

    private void u(Throwable th) {
        if (th instanceof Error) {
            throw new g0((Error) th);
        }
        throw new c2(th);
    }

    @Override // com.google.common.util.concurrent.y1
    @p0.a
    public <T> T b(Callable<T> callable, long j7, TimeUnit timeUnit) throws TimeoutException, ExecutionException {
        Preconditions.checkNotNull(callable);
        Preconditions.checkNotNull(timeUnit);
        n(j7);
        Future<T> submit = this.f12271a.submit(callable);
        try {
            return (T) e2.g(submit, j7, timeUnit);
        } catch (TimeoutException e7) {
            submit.cancel(true);
            throw e7;
        } catch (ExecutionException e8) {
            this.t(e8.getCause());
            throw new AssertionError();
        }
    }

    @Override // com.google.common.util.concurrent.y1
    public void d(Runnable runnable, long j7, TimeUnit timeUnit) throws TimeoutException, InterruptedException {
        Preconditions.checkNotNull(runnable);
        Preconditions.checkNotNull(timeUnit);
        n(j7);
        Future<?> submit = this.f12271a.submit(runnable);
        try {
            submit.get(j7, timeUnit);
        } catch (InterruptedException | TimeoutException e7) {
            submit.cancel(true);
            throw e7;
        } catch (ExecutionException e8) {
            u(e8.getCause());
            throw new AssertionError();
        }
    }

    @Override // com.google.common.util.concurrent.y1
    @p0.a
    public <T> T f(Callable<T> callable, long j7, TimeUnit timeUnit) throws TimeoutException, InterruptedException, ExecutionException {
        Preconditions.checkNotNull(callable);
        Preconditions.checkNotNull(timeUnit);
        n(j7);
        Future<T> submit = this.f12271a.submit(callable);
        try {
            return submit.get(j7, timeUnit);
        } catch (InterruptedException | TimeoutException e7) {
            submit.cancel(true);
            throw e7;
        } catch (ExecutionException e8) {
            this.t(e8.getCause());
            throw new AssertionError();
        }
    }

    @Override // com.google.common.util.concurrent.y1
    public <T> T h(T t7, Class<T> cls, long j7, TimeUnit timeUnit) {
        Preconditions.checkNotNull(t7);
        Preconditions.checkNotNull(cls);
        Preconditions.checkNotNull(timeUnit);
        n(j7);
        Preconditions.checkArgument(cls.isInterface(), "interfaceType must be an interface type");
        return (T) r(cls, new a(t7, j7, timeUnit, q(cls)));
    }

    @Override // com.google.common.util.concurrent.y1
    public void j(Runnable runnable, long j7, TimeUnit timeUnit) throws TimeoutException {
        Preconditions.checkNotNull(runnable);
        Preconditions.checkNotNull(timeUnit);
        n(j7);
        Future<?> submit = this.f12271a.submit(runnable);
        try {
            e2.g(submit, j7, timeUnit);
        } catch (TimeoutException e7) {
            submit.cancel(true);
            throw e7;
        } catch (ExecutionException e8) {
            u(e8.getCause());
            throw new AssertionError();
        }
    }
}
