package com.google.common.util.concurrent;

import com.google.common.base.Function;
import com.google.common.base.MoreObjects;
import com.google.common.base.Preconditions;
import com.google.common.collect.t5;
import com.google.common.util.concurrent.c;
import com.google.common.util.concurrent.c0;
import com.google.common.util.concurrent.l1;
import com.google.common.util.concurrent.z0;
import java.time.Duration;
import java.util.Collection;
import java.util.List;
import java.util.concurrent.Callable;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.Executor;
import java.util.concurrent.Future;
import java.util.concurrent.ScheduledExecutorService;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.TimeoutException;
import java.util.concurrent.atomic.AtomicInteger;

@m0.b(emulated = true)
public final class v0 extends y0 {

    /* access modifiers changed from: package-private */
    public static class a implements Runnable {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ Future f12291f;

        a(Future future) {
            this.f12291f = future;
        }

        public void run() {
            this.f12291f.cancel(false);
        }
    }

    static class b implements Future<O> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ Future f12292f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ Function f12293g;

        b(Future future, Function function) {
            this.f12292f = future;
            this.f12293g = function;
        }

        private O a(I i7) throws ExecutionException {
            try {
                return (O) this.f12293g.apply(i7);
            } catch (Throwable th) {
                throw new ExecutionException(th);
            }
        }

        public boolean cancel(boolean z7) {
            return this.f12292f.cancel(z7);
        }

        @Override // java.util.concurrent.Future
        public O get() throws InterruptedException, ExecutionException {
            return (O) a(this.f12292f.get());
        }

        public boolean isCancelled() {
            return this.f12292f.isCancelled();
        }

        public boolean isDone() {
            return this.f12292f.isDone();
        }

        @Override // java.util.concurrent.Future
        public O get(long j7, TimeUnit timeUnit) throws InterruptedException, ExecutionException, TimeoutException {
            return (O) a(this.f12292f.get(j7, timeUnit));
        }
    }

    static class c implements Runnable {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ g f12294f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ t5 f12295g;

        /* renamed from: p  reason: collision with root package name */
        final /* synthetic */ int f12296p;

        c(g gVar, t5 t5Var, int i7) {
            this.f12294f = gVar;
            this.f12295g = t5Var;
            this.f12296p = i7;
        }

        public void run() {
            this.f12294f.f(this.f12295g, this.f12296p);
        }
    }

    private static final class d<V> implements Runnable {

        /* renamed from: f  reason: collision with root package name */
        final Future<V> f12297f;

        /* renamed from: g  reason: collision with root package name */
        final u0<? super V> f12298g;

        d(Future<V> future, u0<? super V> u0Var) {
            this.f12297f = future;
            this.f12298g = u0Var;
        }

        public void run() {
            try {
                this.f12298g.a(v0.i(this.f12297f));
            } catch (ExecutionException e7) {
                this.f12298g.b(e7.getCause());
            } catch (Error | RuntimeException e8) {
                this.f12298g.b(e8);
            }
        }

        public String toString() {
            return MoreObjects.toStringHelper(this).addValue(this.f12298g).toString();
        }
    }

    @m0.a
    @p0.a
    @m0.b
    public static final class e<V> {

        /* renamed from: a  reason: collision with root package name */
        private final boolean f12299a;

        /* renamed from: b  reason: collision with root package name */
        private final t5<d1<? extends V>> f12300b;

        class a implements Callable<Void> {

            /* renamed from: f  reason: collision with root package name */
            final /* synthetic */ Runnable f12301f;

            a(Runnable runnable) {
                this.f12301f = runnable;
            }

            /* renamed from: a */
            public Void call() throws Exception {
                this.f12301f.run();
                return null;
            }
        }

        private e(boolean z7, t5<d1<? extends V>> t5Var) {
            this.f12299a = z7;
            this.f12300b = t5Var;
        }

        @p0.a
        public <C> d1<C> a(Callable<C> callable, Executor executor) {
            return new d0(this.f12300b, this.f12299a, executor, callable);
        }

        public <C> d1<C> b(l<C> lVar, Executor executor) {
            return new d0(this.f12300b, this.f12299a, executor, lVar);
        }

        /* JADX DEBUG: Type inference failed for r1v1. Raw type applied. Possible types: com.google.common.util.concurrent.d1<C>, com.google.common.util.concurrent.d1<?> */
        public d1<?> c(Runnable runnable, Executor executor) {
            return (d1<C>) a(new a(runnable), executor);
        }

        /* synthetic */ e(boolean z7, t5 t5Var, a aVar) {
            this(z7, t5Var);
        }
    }

    private static final class f<T> extends c<T> {
        private g<T> V5;

        private f(g<T> gVar) {
            this.V5 = gVar;
        }

        @Override // com.google.common.util.concurrent.c
        public boolean cancel(boolean z7) {
            g<T> gVar = this.V5;
            if (!super.cancel(z7)) {
                return false;
            }
            gVar.g(z7);
            return true;
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.util.concurrent.c
        public void m() {
            this.V5 = null;
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.util.concurrent.c
        public String w() {
            g<T> gVar = this.V5;
            if (gVar == null) {
                return null;
            }
            return "inputCount=[" + ((g) gVar).f12306d.length + "], remaining=[" + ((g) gVar).f12305c.get() + "]";
        }

        /* synthetic */ f(g gVar, a aVar) {
            this(gVar);
        }
    }

    private static final class g<T> {

        /* renamed from: a  reason: collision with root package name */
        private boolean f12303a;

        /* renamed from: b  reason: collision with root package name */
        private boolean f12304b;

        /* renamed from: c  reason: collision with root package name */
        private final AtomicInteger f12305c;

        /* renamed from: d  reason: collision with root package name */
        private final d1<? extends T>[] f12306d;

        /* renamed from: e  reason: collision with root package name */
        private volatile int f12307e;

        private g(d1<? extends T>[] d1VarArr) {
            this.f12303a = false;
            this.f12304b = true;
            this.f12307e = 0;
            this.f12306d = d1VarArr;
            this.f12305c = new AtomicInteger(d1VarArr.length);
        }

        private void e() {
            if (this.f12305c.decrementAndGet() == 0 && this.f12303a) {
                d1<? extends T>[] d1VarArr = this.f12306d;
                for (d1<? extends T> d1Var : d1VarArr) {
                    if (d1Var != null) {
                        d1Var.cancel(this.f12304b);
                    }
                }
            }
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void f(t5<c<T>> t5Var, int i7) {
            d1<? extends T>[] d1VarArr = this.f12306d;
            d1<? extends T> d1Var = d1VarArr[i7];
            d1VarArr[i7] = null;
            for (int i8 = this.f12307e; i8 < t5Var.size(); i8++) {
                if (t5Var.get(i8).B(d1Var)) {
                    e();
                    this.f12307e = i8 + 1;
                    return;
                }
            }
            this.f12307e = t5Var.size();
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void g(boolean z7) {
            this.f12303a = true;
            if (!z7) {
                this.f12304b = false;
            }
            e();
        }

        /* synthetic */ g(d1[] d1VarArr, a aVar) {
            this(d1VarArr);
        }
    }

    private static final class h<V> extends c.j<V> implements Runnable {
        private d1<V> V5;

        h(d1<V> d1Var) {
            this.V5 = d1Var;
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.util.concurrent.c
        public void m() {
            this.V5 = null;
        }

        public void run() {
            d1<V> d1Var = this.V5;
            if (d1Var != null) {
                B(d1Var);
            }
        }

        /* access modifiers changed from: protected */
        @Override // com.google.common.util.concurrent.c
        public String w() {
            d1<V> d1Var = this.V5;
            if (d1Var == null) {
                return null;
            }
            return "delegate=[" + d1Var + "]";
        }
    }

    private v0() {
    }

    @SafeVarargs
    @m0.a
    public static <V> e<V> A(d1<? extends V>... d1VarArr) {
        return new e<>(true, t5.L(d1VarArr), null);
    }

    @m0.a
    @m0.c
    public static <V> d1<V> B(d1<V> d1Var, long j7, TimeUnit timeUnit, ScheduledExecutorService scheduledExecutorService) {
        return d1Var.isDone() ? d1Var : z1.Q(d1Var, j7, timeUnit, scheduledExecutorService);
    }

    @m0.a
    @m0.c
    public static <V> d1<V> C(d1<V> d1Var, Duration duration, ScheduledExecutorService scheduledExecutorService) {
        return B(d1Var, a1.a(duration), TimeUnit.NANOSECONDS, scheduledExecutorService);
    }

    private static void D(Throwable th) {
        if (th instanceof Error) {
            throw new g0((Error) th);
        }
        throw new c2(th);
    }

    public static <V> void a(d1<V> d1Var, u0<? super V> u0Var, Executor executor) {
        Preconditions.checkNotNull(u0Var);
        d1Var.addListener(new d(d1Var, u0Var), executor);
    }

    @m0.a
    public static <V> d1<List<V>> b(Iterable<? extends d1<? extends V>> iterable) {
        return new c0.b(t5.x(iterable), true);
    }

    @SafeVarargs
    @m0.a
    public static <V> d1<List<V>> c(d1<? extends V>... d1VarArr) {
        return new c0.b(t5.L(d1VarArr), true);
    }

    @l1.a("AVAILABLE but requires exceptionType to be Throwable.class")
    @m0.a
    public static <V, X extends Throwable> d1<V> d(d1<? extends V> d1Var, Class<X> cls, Function<? super X, ? extends V> function, Executor executor) {
        return a.N(d1Var, cls, function, executor);
    }

    @l1.a("AVAILABLE but requires exceptionType to be Throwable.class")
    @m0.a
    public static <V, X extends Throwable> d1<V> e(d1<? extends V> d1Var, Class<X> cls, m<? super X, ? extends V> mVar, Executor executor) {
        return a.O(d1Var, cls, mVar, executor);
    }

    @m0.a
    @p0.a
    @m0.c
    public static <V, X extends Exception> V f(Future<V> future, Class<X> cls) throws Exception {
        return (V) w0.e(future, cls);
    }

    @m0.a
    @p0.a
    @m0.c
    public static <V, X extends Exception> V g(Future<V> future, Class<X> cls, long j7, TimeUnit timeUnit) throws Exception {
        return (V) w0.f(future, cls, j7, timeUnit);
    }

    @m0.a
    @p0.a
    @m0.c
    public static <V, X extends Exception> V h(Future<V> future, Class<X> cls, Duration duration) throws Exception {
        return (V) g(future, cls, a1.a(duration), TimeUnit.NANOSECONDS);
    }

    @p0.a
    public static <V> V i(Future<V> future) throws ExecutionException {
        Preconditions.checkState(future.isDone(), "Future was expected to be done: %s", future);
        return (V) e2.f(future);
    }

    @p0.a
    public static <V> V j(Future<V> future) {
        Preconditions.checkNotNull(future);
        try {
            return (V) e2.f(future);
        } catch (ExecutionException e7) {
            D(e7.getCause());
            throw new AssertionError();
        }
    }

    public static <V> d1<V> k() {
        return new z0.a();
    }

    public static <V> d1<V> l(Throwable th) {
        Preconditions.checkNotNull(th);
        return new z0.b(th);
    }

    public static <V> d1<V> m(V v7) {
        return v7 == null ? z0.c.f12361p : new z0.c(v7);
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r6v6, types: [java.util.Collection] */
    /* JADX WARNING: Unknown variable types count: 1 */
    @m0.a
    public static <T> t5<d1<T>> n(Iterable<? extends d1<? extends T>> iterable) {
        t5 x7 = iterable instanceof Collection ? (Collection) iterable : t5.x(iterable);
        d1[] d1VarArr = (d1[]) x7.toArray(new d1[x7.size()]);
        g gVar = new g(d1VarArr, null);
        t5.b t7 = t5.t();
        for (int i7 = 0; i7 < d1VarArr.length; i7++) {
            t7.a(new f(gVar, null));
        }
        t5<d1<T>> l7 = t7.e();
        for (int i8 = 0; i8 < d1VarArr.length; i8++) {
            d1VarArr[i8].addListener(new c(gVar, l7, i8), k1.d());
        }
        return l7;
    }

    @m0.a
    @m0.c
    public static <I, O> Future<O> o(Future<I> future, Function<? super I, ? extends O> function) {
        Preconditions.checkNotNull(future);
        Preconditions.checkNotNull(function);
        return new b(future, function);
    }

    @m0.a
    public static <V> d1<V> p(d1<V> d1Var) {
        if (d1Var.isDone()) {
            return d1Var;
        }
        h hVar = new h(d1Var);
        d1Var.addListener(hVar, k1.d());
        return hVar;
    }

    @m0.a
    @m0.c
    public static <O> d1<O> q(l<O> lVar, long j7, TimeUnit timeUnit, ScheduledExecutorService scheduledExecutorService) {
        a2 N = a2.N(lVar);
        N.addListener(new a(scheduledExecutorService.schedule(N, j7, timeUnit)), k1.d());
        return N;
    }

    @m0.a
    @m0.c
    public static <O> d1<O> r(l<O> lVar, Duration duration, ScheduledExecutorService scheduledExecutorService) {
        return q(lVar, a1.a(duration), TimeUnit.NANOSECONDS, scheduledExecutorService);
    }

    @m0.a
    public static <O> d1<O> s(l<O> lVar, Executor executor) {
        a2 N = a2.N(lVar);
        executor.execute(N);
        return N;
    }

    @m0.a
    public static <V> d1<List<V>> t(Iterable<? extends d1<? extends V>> iterable) {
        return new c0.b(t5.x(iterable), false);
    }

    @SafeVarargs
    @m0.a
    public static <V> d1<List<V>> u(d1<? extends V>... d1VarArr) {
        return new c0.b(t5.L(d1VarArr), false);
    }

    @m0.a
    public static <I, O> d1<O> v(d1<I> d1Var, Function<? super I, ? extends O> function, Executor executor) {
        return i.N(d1Var, function, executor);
    }

    @m0.a
    public static <I, O> d1<O> w(d1<I> d1Var, m<? super I, ? extends O> mVar, Executor executor) {
        return i.O(d1Var, mVar, executor);
    }

    @m0.a
    public static <V> e<V> x(Iterable<? extends d1<? extends V>> iterable) {
        return new e<>(false, t5.x(iterable), null);
    }

    @SafeVarargs
    @m0.a
    public static <V> e<V> y(d1<? extends V>... d1VarArr) {
        return new e<>(false, t5.L(d1VarArr), null);
    }

    @m0.a
    public static <V> e<V> z(Iterable<? extends d1<? extends V>> iterable) {
        return new e<>(true, t5.x(iterable), null);
    }
}
