package com.google.common.util.concurrent;

import com.google.common.base.MoreObjects;
import com.google.common.base.Preconditions;
import com.google.common.base.Supplier;
import com.google.common.collect.m9;
import com.google.common.collect.t5;
import com.google.common.collect.t8;
import java.lang.ref.Reference;
import java.lang.ref.ReferenceQueue;
import java.lang.ref.WeakReference;
import java.math.RoundingMode;
import java.util.Arrays;
import java.util.Collections;
import java.util.concurrent.ConcurrentMap;
import java.util.concurrent.Semaphore;
import java.util.concurrent.atomic.AtomicReferenceArray;
import java.util.concurrent.locks.Condition;
import java.util.concurrent.locks.Lock;
import java.util.concurrent.locks.ReadWriteLock;
import java.util.concurrent.locks.ReentrantLock;
import java.util.concurrent.locks.ReentrantReadWriteLock;

@m0.a
@m0.c
public abstract class v1<L> {

    /* renamed from: a  reason: collision with root package name */
    private static final int f12308a = 1024;

    /* renamed from: b  reason: collision with root package name */
    private static final Supplier<ReadWriteLock> f12309b = new e();

    /* renamed from: c  reason: collision with root package name */
    private static final Supplier<ReadWriteLock> f12310c = new f();

    /* renamed from: d  reason: collision with root package name */
    private static final int f12311d = -1;

    /* access modifiers changed from: package-private */
    public static class a implements Supplier<Lock> {
        a() {
        }

        /* renamed from: a */
        public Lock get() {
            return new i();
        }
    }

    static class b implements Supplier<Lock> {
        b() {
        }

        /* renamed from: a */
        public Lock get() {
            return new ReentrantLock(false);
        }
    }

    static class c implements Supplier<Semaphore> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ int f12312f;

        c(int i7) {
            this.f12312f = i7;
        }

        /* renamed from: a */
        public Semaphore get() {
            return new j(this.f12312f);
        }
    }

    static class d implements Supplier<Semaphore> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ int f12313f;

        d(int i7) {
            this.f12313f = i7;
        }

        /* renamed from: a */
        public Semaphore get() {
            return new Semaphore(this.f12313f, false);
        }
    }

    static class e implements Supplier<ReadWriteLock> {
        e() {
        }

        /* renamed from: a */
        public ReadWriteLock get() {
            return new ReentrantReadWriteLock();
        }
    }

    static class f implements Supplier<ReadWriteLock> {
        f() {
        }

        /* renamed from: a */
        public ReadWriteLock get() {
            return new o();
        }
    }

    /* access modifiers changed from: private */
    public static class g<L> extends k<L> {

        /* renamed from: f  reason: collision with root package name */
        private final Object[] f12314f;

        private g(int i7, Supplier<L> supplier) {
            super(i7);
            int i8 = 0;
            Preconditions.checkArgument(i7 <= 1073741824, "Stripes must be <= 2^30)");
            this.f12314f = new Object[(this.f12324e + 1)];
            while (true) {
                Object[] objArr = this.f12314f;
                if (i8 < objArr.length) {
                    objArr[i8] = supplier.get();
                    i8++;
                } else {
                    return;
                }
            }
        }

        @Override // com.google.common.util.concurrent.v1
        public L g(int i7) {
            return (L) this.f12314f[i7];
        }

        @Override // com.google.common.util.concurrent.v1
        public int p() {
            return this.f12314f.length;
        }

        /* synthetic */ g(int i7, Supplier supplier, a aVar) {
            this(i7, supplier);
        }
    }

    /* access modifiers changed from: package-private */
    @m0.d
    public static class h<L> extends k<L> {

        /* renamed from: f  reason: collision with root package name */
        final ConcurrentMap<Integer, L> f12315f;

        /* renamed from: g  reason: collision with root package name */
        final Supplier<L> f12316g;

        /* renamed from: h  reason: collision with root package name */
        final int f12317h;

        h(int i7, Supplier<L> supplier) {
            super(i7);
            int i8 = this.f12324e;
            this.f12317h = i8 == -1 ? Integer.MAX_VALUE : i8 + 1;
            this.f12316g = supplier;
            this.f12315f = new m9().m().i();
        }

        @Override // com.google.common.util.concurrent.v1
        public L g(int i7) {
            if (this.f12317h != Integer.MAX_VALUE) {
                Preconditions.checkElementIndex(i7, p());
            }
            L l7 = this.f12315f.get(Integer.valueOf(i7));
            if (l7 != null) {
                return l7;
            }
            L l8 = this.f12316g.get();
            return (L) MoreObjects.firstNonNull(this.f12315f.putIfAbsent(Integer.valueOf(i7), l8), l8);
        }

        @Override // com.google.common.util.concurrent.v1
        public int p() {
            return this.f12317h;
        }
    }

    /* access modifiers changed from: private */
    public static class i extends ReentrantLock {

        /* renamed from: f  reason: collision with root package name */
        long f12318f;

        /* renamed from: g  reason: collision with root package name */
        long f12319g;

        /* renamed from: p  reason: collision with root package name */
        long f12320p;

        i() {
            super(false);
        }
    }

    /* access modifiers changed from: private */
    public static class j extends Semaphore {

        /* renamed from: f  reason: collision with root package name */
        long f12321f;

        /* renamed from: g  reason: collision with root package name */
        long f12322g;

        /* renamed from: p  reason: collision with root package name */
        long f12323p;

        j(int i7) {
            super(i7, false);
        }
    }

    private static abstract class k<L> extends v1<L> {

        /* renamed from: e  reason: collision with root package name */
        final int f12324e;

        k(int i7) {
            super(null);
            Preconditions.checkArgument(i7 > 0, "Stripes must be positive");
            this.f12324e = i7 > 1073741824 ? -1 : v1.d(i7) - 1;
        }

        @Override // com.google.common.util.concurrent.v1
        public final L f(Object obj) {
            return g(h(obj));
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.util.concurrent.v1
        public final int h(Object obj) {
            return this.f12324e & v1.q(obj.hashCode());
        }
    }

    /* access modifiers changed from: package-private */
    @m0.d
    public static class l<L> extends k<L> {

        /* renamed from: f  reason: collision with root package name */
        final AtomicReferenceArray<a<? extends L>> f12325f;

        /* renamed from: g  reason: collision with root package name */
        final Supplier<L> f12326g;

        /* renamed from: h  reason: collision with root package name */
        final int f12327h;

        /* renamed from: i  reason: collision with root package name */
        final ReferenceQueue<L> f12328i = new ReferenceQueue<>();

        /* access modifiers changed from: private */
        public static final class a<L> extends WeakReference<L> {

            /* renamed from: a  reason: collision with root package name */
            final int f12329a;

            a(L l7, int i7, ReferenceQueue<L> referenceQueue) {
                super(l7, referenceQueue);
                this.f12329a = i7;
            }
        }

        l(int i7, Supplier<L> supplier) {
            super(i7);
            int i8 = this.f12324e;
            int i9 = i8 == -1 ? Integer.MAX_VALUE : i8 + 1;
            this.f12327h = i9;
            this.f12325f = new AtomicReferenceArray<>(i9);
            this.f12326g = supplier;
        }

        private void r() {
            while (true) {
                Reference<? extends L> poll = this.f12328i.poll();
                if (poll != null) {
                    a aVar = (a) poll;
                    w1.a(this.f12325f, aVar.f12329a, aVar, null);
                } else {
                    return;
                }
            }
        }

        @Override // com.google.common.util.concurrent.v1
        public L g(int i7) {
            L l7;
            if (this.f12327h != Integer.MAX_VALUE) {
                Preconditions.checkElementIndex(i7, p());
            }
            a<? extends L> aVar = this.f12325f.get(i7);
            L l8 = aVar == null ? null : (L) aVar.get();
            if (l8 != null) {
                return l8;
            }
            L l9 = this.f12326g.get();
            a aVar2 = new a(l9, i7, this.f12328i);
            while (!w1.a(this.f12325f, i7, aVar, aVar2)) {
                aVar = this.f12325f.get(i7);
                if (aVar == null) {
                    l7 = null;
                    continue;
                } else {
                    l7 = (L) aVar.get();
                    continue;
                }
                if (l7 != null) {
                    return l7;
                }
            }
            r();
            return l9;
        }

        @Override // com.google.common.util.concurrent.v1
        public int p() {
            return this.f12327h;
        }
    }

    private static final class m extends n0 {

        /* renamed from: a  reason: collision with root package name */
        private final Condition f12330a;

        /* renamed from: b  reason: collision with root package name */
        private final o f12331b;

        m(Condition condition, o oVar) {
            this.f12330a = condition;
            this.f12331b = oVar;
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.util.concurrent.n0
        public Condition a() {
            return this.f12330a;
        }
    }

    private static final class n extends t0 {

        /* renamed from: f  reason: collision with root package name */
        private final Lock f12332f;

        /* renamed from: g  reason: collision with root package name */
        private final o f12333g;

        n(Lock lock, o oVar) {
            this.f12332f = lock;
            this.f12333g = oVar;
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.common.util.concurrent.t0
        public Lock a() {
            return this.f12332f;
        }

        @Override // com.google.common.util.concurrent.t0
        public Condition newCondition() {
            return new m(this.f12332f.newCondition(), this.f12333g);
        }
    }

    /* access modifiers changed from: private */
    public static final class o implements ReadWriteLock {

        /* renamed from: f  reason: collision with root package name */
        private final ReadWriteLock f12334f = new ReentrantReadWriteLock();

        o() {
        }

        public Lock readLock() {
            return new n(this.f12334f.readLock(), this);
        }

        public Lock writeLock() {
            return new n(this.f12334f.writeLock(), this);
        }
    }

    private v1() {
    }

    /* access modifiers changed from: private */
    public static int d(int i7) {
        return 1 << com.google.common.math.d.p(i7, RoundingMode.CEILING);
    }

    static <L> v1<L> e(int i7, Supplier<L> supplier) {
        return new g(i7, supplier, null);
    }

    private static <L> v1<L> i(int i7, Supplier<L> supplier) {
        return i7 < 1024 ? new l(i7, supplier) : new h(i7, supplier);
    }

    public static v1<Lock> j(int i7) {
        return i(i7, new b());
    }

    public static v1<ReadWriteLock> k(int i7) {
        return i(i7, f12310c);
    }

    public static v1<Semaphore> l(int i7, int i8) {
        return i(i7, new d(i8));
    }

    public static v1<Lock> m(int i7) {
        return e(i7, new a());
    }

    public static v1<ReadWriteLock> n(int i7) {
        return e(i7, f12309b);
    }

    public static v1<Semaphore> o(int i7, int i8) {
        return e(i7, new c(i8));
    }

    /* access modifiers changed from: private */
    public static int q(int i7) {
        int i8 = i7 ^ ((i7 >>> 20) ^ (i7 >>> 12));
        return (i8 >>> 4) ^ ((i8 >>> 7) ^ i8);
    }

    public Iterable<L> c(Iterable<?> iterable) {
        Object[] O = t8.O(iterable, Object.class);
        if (O.length == 0) {
            return t5.R();
        }
        int[] iArr = new int[O.length];
        for (int i7 = 0; i7 < O.length; i7++) {
            iArr[i7] = h(O[i7]);
        }
        Arrays.sort(iArr);
        int i8 = iArr[0];
        O[0] = g(i8);
        for (int i9 = 1; i9 < O.length; i9++) {
            int i10 = iArr[i9];
            if (i10 == i8) {
                O[i9] = O[i9 - 1];
            } else {
                O[i9] = g(i10);
                i8 = i10;
            }
        }
        return Collections.unmodifiableList(Arrays.asList(O));
    }

    public abstract L f(Object obj);

    public abstract L g(int i7);

    /* access modifiers changed from: package-private */
    public abstract int h(Object obj);

    public abstract int p();

    /* synthetic */ v1(a aVar) {
        this();
    }
}
