package com.google.common.util.concurrent;

import com.google.common.base.Function;
import com.google.common.base.Preconditions;
import com.google.common.collect.kb;
import java.lang.ref.WeakReference;
import java.lang.reflect.Constructor;
import java.lang.reflect.InvocationTargetException;
import java.util.Arrays;
import java.util.List;
import java.util.Set;
import java.util.concurrent.CopyOnWriteArraySet;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.Future;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.TimeoutException;
import m0.d;

/* access modifiers changed from: package-private */
@m0.c
public final class w0 {

    /* renamed from: a  reason: collision with root package name */
    private static final kb<Constructor<?>> f12335a = kb.B().F(new a()).G();

    static class a implements Function<Constructor<?>, Boolean> {
        a() {
        }

        /* renamed from: a */
        public Boolean apply(Constructor<?> constructor) {
            return Boolean.valueOf(Arrays.asList(constructor.getParameterTypes()).contains(String.class));
        }
    }

    /* access modifiers changed from: package-private */
    @d
    public interface b {
        void a(Class<? extends Exception> cls);
    }

    /* access modifiers changed from: package-private */
    @d
    public static class c {

        /* renamed from: a  reason: collision with root package name */
        static final String f12336a = (c.class.getName() + "$ClassValueValidator");

        /* renamed from: b  reason: collision with root package name */
        static final b f12337b = a();

        @z6.a
        enum a implements b {
            INSTANCE;
            

            /* renamed from: g  reason: collision with root package name */
            private static final ClassValue<Boolean> f12339g = new C0181a();

            /* renamed from: com.google.common.util.concurrent.w0$c$a$a  reason: collision with other inner class name */
            static class C0181a extends ClassValue<Boolean> {
                C0181a() {
                }

                /* access modifiers changed from: protected */
                /* renamed from: a */
                public Boolean b(Class<?> cls) {
                    w0.b(cls.asSubclass(Exception.class));
                    return Boolean.TRUE;
                }
            }

            @Override // com.google.common.util.concurrent.w0.b
            public void a(Class<? extends Exception> cls) {
                f12339g.get(cls);
            }
        }

        /* access modifiers changed from: package-private */
        public enum b implements b {
            INSTANCE;
            

            /* renamed from: g  reason: collision with root package name */
            private static final Set<WeakReference<Class<? extends Exception>>> f12342g = new CopyOnWriteArraySet();

            @Override // com.google.common.util.concurrent.w0.b
            public void a(Class<? extends Exception> cls) {
                for (WeakReference<Class<? extends Exception>> weakReference : f12342g) {
                    if (cls.equals(weakReference.get())) {
                        return;
                    }
                }
                w0.b(cls);
                Set<WeakReference<Class<? extends Exception>>> set = f12342g;
                if (set.size() > 1000) {
                    set.clear();
                }
                set.add(new WeakReference<>(cls));
            }
        }

        c() {
        }

        /* JADX DEBUG: Multi-variable search result rejected for r0v4, resolved type: java.lang.Object[] */
        /* JADX WARN: Multi-variable type inference failed */
        static b a() {
            try {
                return (b) Class.forName(f12336a).getEnumConstants()[0];
            } catch (Throwable unused) {
                return w0.l();
            }
        }
    }

    private w0() {
    }

    private static b a() {
        return c.f12337b;
    }

    @d
    static void b(Class<? extends Exception> cls) {
        Preconditions.checkArgument(h(cls), "Futures.getChecked exception type (%s) must not be a RuntimeException", cls);
        Preconditions.checkArgument(g(cls), "Futures.getChecked exception type (%s) must be an accessible class with an accessible constructor whose parameters (if any) must be of type String and/or Throwable", cls);
    }

    @d
    static b c() {
        return c.a.INSTANCE;
    }

    @d
    @p0.a
    static <V, X extends Exception> V d(b bVar, Future<V> future, Class<X> cls) throws Exception {
        bVar.a(cls);
        try {
            return future.get();
        } catch (InterruptedException e7) {
            Thread.currentThread().interrupt();
            throw j(cls, e7);
        } catch (ExecutionException e8) {
            m(e8.getCause(), cls);
            throw new AssertionError();
        }
    }

    @p0.a
    static <V, X extends Exception> V e(Future<V> future, Class<X> cls) throws Exception {
        return (V) d(a(), future, cls);
    }

    @p0.a
    static <V, X extends Exception> V f(Future<V> future, Class<X> cls, long j7, TimeUnit timeUnit) throws Exception {
        a().a(cls);
        try {
            return future.get(j7, timeUnit);
        } catch (InterruptedException e7) {
            Thread.currentThread().interrupt();
            throw j(cls, e7);
        } catch (TimeoutException e8) {
            throw j(cls, e8);
        } catch (ExecutionException e9) {
            m(e9.getCause(), cls);
            throw new AssertionError();
        }
    }

    private static boolean g(Class<? extends Exception> cls) {
        try {
            j(cls, new Exception());
            return true;
        } catch (Exception unused) {
            return false;
        }
    }

    @d
    static boolean h(Class<? extends Exception> cls) {
        return !RuntimeException.class.isAssignableFrom(cls);
    }

    private static <X> X i(Constructor<X> constructor, Throwable th) {
        Class<?>[] parameterTypes = constructor.getParameterTypes();
        Object[] objArr = new Object[parameterTypes.length];
        for (int i7 = 0; i7 < parameterTypes.length; i7++) {
            Class<?> cls = parameterTypes[i7];
            if (cls.equals(String.class)) {
                objArr[i7] = th.toString();
            } else if (!cls.equals(Throwable.class)) {
                return null;
            } else {
                objArr[i7] = th;
            }
        }
        try {
            return constructor.newInstance(objArr);
        } catch (IllegalAccessException | IllegalArgumentException | InstantiationException | InvocationTargetException unused) {
            return null;
        }
    }

    private static <X extends Exception> X j(Class<X> cls, Throwable th) {
        for (Constructor constructor : k(Arrays.asList(cls.getConstructors()))) {
            X x7 = (X) ((Exception) i(constructor, th));
            if (x7 != null) {
                if (x7.getCause() == null) {
                    x7.initCause(th);
                }
                return x7;
            }
        }
        throw new IllegalArgumentException("No appropriate constructor for exception of type " + cls + " in response to chained exception", th);
    }

    private static <X extends Exception> List<Constructor<X>> k(List<Constructor<X>> list) {
        return f12335a.H(list);
    }

    @d
    static b l() {
        return c.b.INSTANCE;
    }

    private static <X extends Exception> void m(Throwable th, Class<X> cls) throws Exception {
        if (th instanceof Error) {
            throw new g0((Error) th);
        } else if (th instanceof RuntimeException) {
            throw new c2(th);
        } else {
            throw j(cls, th);
        }
    }
}
