package com.google.common.util.concurrent;

import com.google.common.base.Preconditions;
import java.io.Serializable;
import java.util.Collections;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.atomic.AtomicBoolean;
import java.util.concurrent.atomic.AtomicLong;
import java.util.function.LongBinaryOperator;
import java.util.function.LongUnaryOperator;
import m0.b;
import p0.a;

@b
public final class z<K> implements Serializable {

    /* renamed from: f  reason: collision with root package name */
    private final ConcurrentHashMap<K, Long> f12358f;

    /* renamed from: g  reason: collision with root package name */
    private transient Map<K, Long> f12359g;

    private z(ConcurrentHashMap<K, Long> concurrentHashMap) {
        this.f12358f = (ConcurrentHashMap) Preconditions.checkNotNull(concurrentHashMap);
    }

    /* access modifiers changed from: private */
    public static /* synthetic */ Long C(AtomicLong atomicLong, LongUnaryOperator longUnaryOperator, Object obj, Long l7) {
        long longValue = l7 == null ? 0 : l7.longValue();
        atomicLong.set(longValue);
        return Long.valueOf(longUnaryOperator.applyAsLong(longValue));
    }

    /* access modifiers changed from: private */
    public static /* synthetic */ long D(long j7, long j8) {
        return j7;
    }

    /* access modifiers changed from: private */
    public static /* synthetic */ Long E(AtomicBoolean atomicBoolean, long j7, Object obj, Long l7) {
        if (l7 != null && l7.longValue() != 0) {
            return l7;
        }
        atomicBoolean.set(true);
        return Long.valueOf(j7);
    }

    /* access modifiers changed from: private */
    public static /* synthetic */ boolean F(Long l7) {
        return l7.longValue() == 0;
    }

    /* access modifiers changed from: private */
    public static /* synthetic */ Long G(LongUnaryOperator longUnaryOperator, Object obj, Long l7) {
        return Long.valueOf(longUnaryOperator.applyAsLong(l7 == null ? 0 : l7.longValue()));
    }

    public static <K> z<K> n() {
        return new z<>(new ConcurrentHashMap());
    }

    public static <K> z<K> p(Map<? extends K, ? extends Long> map) {
        z<K> n7 = n();
        n7.I(map);
        return n7;
    }

    private Map<K, Long> q() {
        return Collections.unmodifiableMap(this.f12358f);
    }

    @a
    public long H(K k7, long j7) {
        return x(k7, new p(j7));
    }

    public void I(Map<? extends K, ? extends Long> map) {
        map.forEach(new x(this));
    }

    /* access modifiers changed from: package-private */
    public long J(K k7, long j7) {
        AtomicBoolean atomicBoolean = new AtomicBoolean(false);
        Long compute = this.f12358f.compute(k7, new r(atomicBoolean, j7));
        if (atomicBoolean.get()) {
            return 0;
        }
        return compute.longValue();
    }

    @a
    public long K(K k7) {
        Long remove = this.f12358f.remove(k7);
        if (remove == null) {
            return 0;
        }
        return remove.longValue();
    }

    /* access modifiers changed from: package-private */
    public boolean L(K k7, long j7) {
        return this.f12358f.remove(k7, Long.valueOf(j7));
    }

    public void M() {
        this.f12358f.values().removeIf(new w());
    }

    @m0.a
    @a
    public boolean N(K k7) {
        return L(k7, 0);
    }

    /* access modifiers changed from: package-private */
    public boolean O(K k7, long j7, long j8) {
        return j7 == 0 ? J(k7, j8) == 0 : this.f12358f.replace(k7, Long.valueOf(j7), Long.valueOf(j8));
    }

    public int P() {
        return this.f12358f.size();
    }

    public long Q() {
        return this.f12358f.values().stream().mapToLong(new u()).sum();
    }

    @a
    public long R(K k7, LongUnaryOperator longUnaryOperator) {
        Preconditions.checkNotNull(longUnaryOperator);
        return this.f12358f.compute(k7, new q(longUnaryOperator)).longValue();
    }

    @a
    public long h(K k7, long j7, LongBinaryOperator longBinaryOperator) {
        Preconditions.checkNotNull(longBinaryOperator);
        return R(k7, new v(longBinaryOperator, j7));
    }

    @a
    public long i(K k7, long j7) {
        return h(k7, j7, new t());
    }

    public Map<K, Long> j() {
        Map<K, Long> map = this.f12359g;
        if (map != null) {
            return map;
        }
        Map<K, Long> q7 = q();
        this.f12359g = q7;
        return q7;
    }

    public void k() {
        this.f12358f.clear();
    }

    public boolean m(Object obj) {
        return this.f12358f.containsKey(obj);
    }

    @a
    public long r(K k7) {
        return i(k7, -1);
    }

    public long s(K k7) {
        return this.f12358f.getOrDefault(k7, 0L).longValue();
    }

    @a
    public long t(K k7, long j7, LongBinaryOperator longBinaryOperator) {
        Preconditions.checkNotNull(longBinaryOperator);
        return x(k7, new y(longBinaryOperator, j7));
    }

    public String toString() {
        return this.f12358f.toString();
    }

    @a
    public long u(K k7, long j7) {
        return t(k7, j7, new t());
    }

    @a
    public long v(K k7) {
        return u(k7, -1);
    }

    @a
    public long w(K k7) {
        return u(k7, 1);
    }

    @a
    public long x(K k7, LongUnaryOperator longUnaryOperator) {
        Preconditions.checkNotNull(longUnaryOperator);
        AtomicLong atomicLong = new AtomicLong();
        this.f12358f.compute(k7, new s(atomicLong, longUnaryOperator));
        return atomicLong.get();
    }

    @a
    public long y(K k7) {
        return i(k7, 1);
    }

    public boolean z() {
        return this.f12358f.isEmpty();
    }
}
