package com.google.common.util.concurrent;

import com.google.common.base.Preconditions;
import com.google.common.util.concurrent.c;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.Executor;
import java.util.concurrent.TimeUnit;
import java.util.logging.Level;
import java.util.logging.Logger;

@m0.b
abstract class z0<V> implements d1<V> {

    /* renamed from: f  reason: collision with root package name */
    private static final Logger f12360f = Logger.getLogger(z0.class.getName());

    /* access modifiers changed from: package-private */
    public static final class a<V> extends c.j<V> {
        a() {
            cancel(false);
        }
    }

    /* access modifiers changed from: package-private */
    public static final class b<V> extends c.j<V> {
        b(Throwable th) {
            A(th);
        }
    }

    /* access modifiers changed from: package-private */
    public static class c<V> extends z0<V> {

        /* renamed from: p  reason: collision with root package name */
        static final c<Object> f12361p = new c<>(null);

        /* renamed from: g  reason: collision with root package name */
        private final V f12362g;

        c(V v7) {
            this.f12362g = v7;
        }

        @Override // java.util.concurrent.Future, com.google.common.util.concurrent.z0
        public V get() {
            return this.f12362g;
        }

        public String toString() {
            return super.toString() + "[status=SUCCESS, result=[" + ((Object) this.f12362g) + "]]";
        }
    }

    z0() {
    }

    @Override // com.google.common.util.concurrent.d1
    public void addListener(Runnable runnable, Executor executor) {
        Preconditions.checkNotNull(runnable, "Runnable was null.");
        Preconditions.checkNotNull(executor, "Executor was null.");
        try {
            executor.execute(runnable);
        } catch (RuntimeException e7) {
            Logger logger = f12360f;
            Level level = Level.SEVERE;
            logger.log(level, "RuntimeException while executing runnable " + runnable + " with executor " + executor, (Throwable) e7);
        }
    }

    public boolean cancel(boolean z7) {
        return false;
    }

    @Override // java.util.concurrent.Future
    public abstract V get() throws ExecutionException;

    @Override // java.util.concurrent.Future
    public V get(long j7, TimeUnit timeUnit) throws ExecutionException {
        Preconditions.checkNotNull(timeUnit);
        return get();
    }

    public boolean isCancelled() {
        return false;
    }

    public boolean isDone() {
        return true;
    }
}
