package com.google.common.util.concurrent;

import com.google.common.base.Preconditions;
import com.google.common.util.concurrent.k0;
import java.util.concurrent.ScheduledExecutorService;
import java.util.concurrent.ScheduledFuture;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.TimeoutException;

/* access modifiers changed from: package-private */
@m0.c
public final class z1<V> extends k0.a<V> {
    private d1<V> V5;
    private ScheduledFuture<?> W5;

    /* access modifiers changed from: private */
    public static final class b<V> implements Runnable {

        /* renamed from: f  reason: collision with root package name */
        z1<V> f12363f;

        b(z1<V> z1Var) {
            this.f12363f = z1Var;
        }

        public void run() {
            d1<? extends V> d1Var;
            z1<V> z1Var = this.f12363f;
            if (z1Var != null && (d1Var = ((z1) z1Var).V5) != null) {
                this.f12363f = null;
                if (d1Var.isDone()) {
                    z1Var.B(d1Var);
                    return;
                }
                try {
                    ScheduledFuture scheduledFuture = ((z1) z1Var).W5;
                    ((z1) z1Var).W5 = null;
                    String str = "Timed out";
                    if (scheduledFuture != null) {
                        try {
                            long abs = Math.abs(scheduledFuture.getDelay(TimeUnit.MILLISECONDS));
                            if (abs > 10) {
                                str = str + " (timeout delayed by " + abs + " ms after scheduled time)";
                            }
                        } catch (Throwable th) {
                            z1Var.A(new c(str));
                            throw th;
                        }
                    }
                    z1Var.A(new c(str + ": " + d1Var));
                } finally {
                    d1Var.cancel(true);
                }
            }
        }
    }

    private static final class c extends TimeoutException {
        private c(String str) {
            super(str);
        }

        public synchronized Throwable fillInStackTrace() {
            setStackTrace(new StackTraceElement[0]);
            return this;
        }
    }

    private z1(d1<V> d1Var) {
        this.V5 = (d1) Preconditions.checkNotNull(d1Var);
    }

    static <V> d1<V> Q(d1<V> d1Var, long j7, TimeUnit timeUnit, ScheduledExecutorService scheduledExecutorService) {
        z1 z1Var = new z1(d1Var);
        b bVar = new b(z1Var);
        z1Var.W5 = scheduledExecutorService.schedule(bVar, j7, timeUnit);
        d1Var.addListener(bVar, k1.d());
        return z1Var;
    }

    /* access modifiers changed from: protected */
    @Override // com.google.common.util.concurrent.c
    public void m() {
        v(this.V5);
        ScheduledFuture<?> scheduledFuture = this.W5;
        if (scheduledFuture != null) {
            scheduledFuture.cancel(false);
        }
        this.V5 = null;
        this.W5 = null;
    }

    /* access modifiers changed from: protected */
    @Override // com.google.common.util.concurrent.c
    public String w() {
        d1<V> d1Var = this.V5;
        ScheduledFuture<?> scheduledFuture = this.W5;
        if (d1Var == null) {
            return null;
        }
        String str = "inputFuture=[" + d1Var + "]";
        if (scheduledFuture == null) {
            return str;
        }
        long delay = scheduledFuture.getDelay(TimeUnit.MILLISECONDS);
        if (delay <= 0) {
            return str;
        }
        return str + ", remaining delay=[" + delay + " ms]";
    }
}
