package com.google.crypto.tink.aead.subtle;

import com.google.crypto.tink.subtle.b0;
import com.google.crypto.tink.subtle.d1;
import com.google.crypto.tink.subtle.e1;
import com.google.crypto.tink.subtle.q0;
import java.security.GeneralSecurityException;
import java.security.spec.AlgorithmParameterSpec;
import javax.crypto.Cipher;
import javax.crypto.SecretKey;
import javax.crypto.spec.GCMParameterSpec;
import javax.crypto.spec.IvParameterSpec;
import javax.crypto.spec.SecretKeySpec;

@n0.a
public final class c implements com.google.crypto.tink.a {

    /* renamed from: b  reason: collision with root package name */
    private static final ThreadLocal<Cipher> f12407b = new a();

    /* renamed from: c  reason: collision with root package name */
    private static final int f12408c = 12;

    /* renamed from: d  reason: collision with root package name */
    private static final int f12409d = 16;

    /* renamed from: a  reason: collision with root package name */
    private final SecretKey f12410a;

    class a extends ThreadLocal<Cipher> {
        a() {
        }

        /* access modifiers changed from: protected */
        /* renamed from: a */
        public Cipher initialValue() {
            try {
                return b0.f13367g.h("AES/GCM-SIV/NoPadding");
            } catch (GeneralSecurityException e7) {
                throw new IllegalStateException(e7);
            }
        }
    }

    public c(byte[] bArr) throws GeneralSecurityException {
        e1.a(bArr.length);
        this.f12410a = new SecretKeySpec(bArr, "AES");
    }

    private static AlgorithmParameterSpec c(byte[] bArr) throws GeneralSecurityException {
        return d(bArr, 0, bArr.length);
    }

    private static AlgorithmParameterSpec d(byte[] bArr, int i7, int i8) throws GeneralSecurityException {
        try {
            Class.forName("javax.crypto.spec.GCMParameterSpec");
            return new GCMParameterSpec(128, bArr, i7, i8);
        } catch (ClassNotFoundException unused) {
            if (d1.d()) {
                return new IvParameterSpec(bArr, i7, i8);
            }
            throw new GeneralSecurityException("cannot use AES-GCM: javax.crypto.spec.GCMParameterSpec not found");
        }
    }

    @Override // com.google.crypto.tink.a
    public byte[] a(byte[] bArr, byte[] bArr2) throws GeneralSecurityException {
        if (bArr.length <= 2147483619) {
            byte[] bArr3 = new byte[(bArr.length + 12 + 16)];
            byte[] c7 = q0.c(12);
            System.arraycopy(c7, 0, bArr3, 0, 12);
            AlgorithmParameterSpec c8 = c(c7);
            ThreadLocal<Cipher> threadLocal = f12407b;
            threadLocal.get().init(1, this.f12410a, c8);
            if (!(bArr2 == null || bArr2.length == 0)) {
                threadLocal.get().updateAAD(bArr2);
            }
            int doFinal = threadLocal.get().doFinal(bArr, 0, bArr.length, bArr3, 12);
            if (doFinal == bArr.length + 16) {
                return bArr3;
            }
            throw new GeneralSecurityException(String.format("encryption failed; GCM tag must be %s bytes, but got only %s bytes", 16, Integer.valueOf(doFinal - bArr.length)));
        }
        throw new GeneralSecurityException("plaintext too long");
    }

    @Override // com.google.crypto.tink.a
    public byte[] b(byte[] bArr, byte[] bArr2) throws GeneralSecurityException {
        if (bArr.length >= 28) {
            AlgorithmParameterSpec d7 = d(bArr, 0, 12);
            ThreadLocal<Cipher> threadLocal = f12407b;
            threadLocal.get().init(2, this.f12410a, d7);
            if (!(bArr2 == null || bArr2.length == 0)) {
                threadLocal.get().updateAAD(bArr2);
            }
            return threadLocal.get().doFinal(bArr, 12, bArr.length - 12);
        }
        throw new GeneralSecurityException("ciphertext too short");
    }
}
