package com.google.crypto.tink.hybrid.subtle;

import java.math.BigInteger;
import java.security.GeneralSecurityException;
import java.security.KeyPair;
import java.security.KeyPairGenerator;
import java.security.NoSuchAlgorithmException;
import java.security.SecureRandom;

class a {

    /* renamed from: a  reason: collision with root package name */
    static final byte[] f12467a = new byte[0];

    /* renamed from: b  reason: collision with root package name */
    static final int f12468b = 2048;

    private a() {
    }

    static int a(BigInteger bigInteger) {
        return (bigInteger.bitLength() + 7) / 8;
    }

    static byte[] b(BigInteger bigInteger, int i7) {
        byte[] byteArray = bigInteger.toByteArray();
        if (byteArray.length == i7) {
            return byteArray;
        }
        byte[] bArr = new byte[i7];
        if (byteArray.length == i7 + 1) {
            if (byteArray[0] == 0) {
                System.arraycopy(byteArray, 1, bArr, 0, i7);
            } else {
                throw new IllegalArgumentException("Value is one-byte longer than the expected size, but its first byte is not 0");
            }
        } else if (byteArray.length < i7) {
            System.arraycopy(byteArray, 0, bArr, i7 - byteArray.length, byteArray.length);
        } else {
            throw new IllegalArgumentException(String.format("Value has invalid length, must be of length at most (%d + 1), but got %d", Integer.valueOf(i7), Integer.valueOf(byteArray.length)));
        }
        return bArr;
    }

    static KeyPair c(int i7) {
        try {
            KeyPairGenerator instance = KeyPairGenerator.getInstance("RSA");
            instance.initialize(i7);
            return instance.generateKeyPair();
        } catch (NoSuchAlgorithmException e7) {
            throw new IllegalStateException("No support for RSA algorithm.", e7);
        }
    }

    static byte[] d(BigInteger bigInteger) {
        int a8 = a(bigInteger);
        SecureRandom secureRandom = new SecureRandom();
        while (true) {
            BigInteger bigInteger2 = new BigInteger(bigInteger.bitLength(), secureRandom);
            if (bigInteger2.signum() > 0 && bigInteger2.compareTo(bigInteger) < 0) {
                return b(bigInteger2, a8);
            }
        }
    }

    static void e(BigInteger bigInteger) throws GeneralSecurityException {
        if (bigInteger.bitLength() < 2048) {
            throw new GeneralSecurityException(String.format("RSA key must be of at least size %d bits, but got %d", 2048, Integer.valueOf(bigInteger.bitLength())));
        }
    }
}
