package com.google.crypto.tink.integration.android;

import android.security.keystore.KeyGenParameterSpec;
import android.util.Log;
import com.google.crypto.tink.subtle.e1;
import com.google.crypto.tink.subtle.q0;
import com.google.crypto.tink.v;
import java.io.IOException;
import java.security.GeneralSecurityException;
import java.security.KeyStore;
import java.security.KeyStoreException;
import java.util.Arrays;
import java.util.Locale;
import javax.crypto.KeyGenerator;

public final class c implements v {

    /* renamed from: c  reason: collision with root package name */
    private static final String f12496c = "c";

    /* renamed from: d  reason: collision with root package name */
    private static final int f12497d = 20;

    /* renamed from: e  reason: collision with root package name */
    public static final String f12498e = "android-keystore://";

    /* renamed from: a  reason: collision with root package name */
    private final String f12499a;
    @f4.a("this")

    /* renamed from: b  reason: collision with root package name */
    private KeyStore f12500b;

    public static final class b {

        /* renamed from: a  reason: collision with root package name */
        String f12501a = null;

        /* renamed from: b  reason: collision with root package name */
        KeyStore f12502b = null;

        public b() {
            if (c.j()) {
                try {
                    KeyStore instance = KeyStore.getInstance("AndroidKeyStore");
                    this.f12502b = instance;
                    instance.load(null);
                } catch (IOException | GeneralSecurityException e7) {
                    throw new IllegalStateException(e7);
                }
            } else {
                throw new IllegalStateException("need Android Keystore on Android M or newer");
            }
        }

        public c a() {
            return new c(this);
        }

        public b b(KeyStore keyStore) {
            if (keyStore != null) {
                this.f12502b = keyStore;
                return this;
            }
            throw new IllegalArgumentException("val cannot be null");
        }

        public b c(String str) {
            if (str == null || !str.toLowerCase(Locale.US).startsWith(c.f12498e)) {
                throw new IllegalArgumentException("val must start with android-keystore://");
            }
            this.f12501a = str;
            return this;
        }
    }

    public c() throws GeneralSecurityException {
        this(new b());
    }

    public static void g(String str) throws GeneralSecurityException {
        if (!new c().i(str)) {
            String d7 = e1.d(f12498e, str);
            KeyGenerator instance = KeyGenerator.getInstance("AES", "AndroidKeyStore");
            instance.init(new KeyGenParameterSpec.Builder(d7, 3).setKeySize(256).setBlockModes(com.google.android.gms.stats.a.K).setEncryptionPaddings("NoPadding").build());
            instance.generateKey();
            return;
        }
        throw new IllegalArgumentException(String.format("cannot generate a new key %s because it already exists; please delete it with deleteKey() and try again", str));
    }

    public static com.google.crypto.tink.a h(String str) throws GeneralSecurityException, IOException {
        c cVar = new c();
        if (!cVar.i(str)) {
            Log.w(f12496c, String.format("key URI %s doesn't exist, generating a new one", str));
            g(str);
        }
        return cVar.c(str);
    }

    /* access modifiers changed from: private */
    public static boolean j() {
        return true;
    }

    private static com.google.crypto.tink.a k(com.google.crypto.tink.a aVar) throws GeneralSecurityException {
        byte[] c7 = q0.c(10);
        byte[] bArr = new byte[0];
        if (Arrays.equals(c7, aVar.b(aVar.a(c7, bArr), bArr))) {
            return aVar;
        }
        throw new KeyStoreException("cannot use Android Keystore: encryption/decryption of non-empty message and empty aad returns an incorrect result");
    }

    @Override // com.google.crypto.tink.v
    public synchronized boolean a(String str) {
        String str2 = this.f12499a;
        boolean z7 = true;
        if (str2 != null && str2.equals(str)) {
            return true;
        }
        if (this.f12499a != null || !str.toLowerCase(Locale.US).startsWith(f12498e)) {
            z7 = false;
        }
        return z7;
    }

    @Override // com.google.crypto.tink.v
    public v b() throws GeneralSecurityException {
        return new c();
    }

    @Override // com.google.crypto.tink.v
    public synchronized com.google.crypto.tink.a c(String str) throws GeneralSecurityException {
        String str2 = this.f12499a;
        if (str2 != null) {
            if (!str2.equals(str)) {
                throw new GeneralSecurityException(String.format("this client is bound to %s, cannot load keys bound to %s", this.f12499a, str));
            }
        }
        return k(new b(e1.d(f12498e, str), this.f12500b));
    }

    @Override // com.google.crypto.tink.v
    public v d(String str) throws GeneralSecurityException {
        return new c();
    }

    public synchronized void f(String str) throws GeneralSecurityException {
        this.f12500b.deleteEntry(e1.d(f12498e, str));
    }

    /* access modifiers changed from: package-private */
    public synchronized boolean i(String str) throws GeneralSecurityException {
        String str2;
        try {
        } catch (NullPointerException unused) {
            Log.w(f12496c, "Keystore is temporarily unavailable, wait 20ms, reinitialize Keystore and try again.");
            try {
                Thread.sleep(20);
                KeyStore instance = KeyStore.getInstance("AndroidKeyStore");
                this.f12500b = instance;
                instance.load(null);
            } catch (IOException e7) {
                throw new GeneralSecurityException(e7);
            } catch (InterruptedException unused2) {
            }
            return this.f12500b.containsAlias(str2);
        }
        return this.f12500b.containsAlias(e1.d(f12498e, str));
    }

    private c(b bVar) {
        this.f12499a = bVar.f12501a;
        this.f12500b = bVar.f12502b;
    }

    @Deprecated
    public c(String str) {
        this(new b().c(str));
    }
}
