package com.google.crypto.tink;

import androidx.core.app.NotificationCompat;
import com.google.crypto.tink.proto.a4;
import com.google.crypto.tink.proto.b4;
import com.google.crypto.tink.proto.o4;
import com.google.crypto.tink.proto.t3;
import com.google.crypto.tink.proto.v2;
import com.google.crypto.tink.proto.v3;
import com.google.crypto.tink.shaded.protobuf.m;
import com.google.crypto.tink.subtle.h;
import java.io.ByteArrayInputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.nio.charset.Charset;
import java.nio.file.Path;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

public final class k implements t {

    /* renamed from: e  reason: collision with root package name */
    private static final Charset f12508e = Charset.forName("UTF-8");

    /* renamed from: a  reason: collision with root package name */
    private final InputStream f12509a;

    /* renamed from: b  reason: collision with root package name */
    private final JSONObject f12510b;

    /* renamed from: c  reason: collision with root package name */
    private final boolean f12511c;

    /* renamed from: d  reason: collision with root package name */
    private boolean f12512d = false;

    private k(InputStream inputStream, boolean z7) {
        this.f12509a = inputStream;
        this.f12511c = z7;
        this.f12510b = null;
    }

    private v2 b(JSONObject jSONObject) throws JSONException {
        k(jSONObject);
        return (v2) v2.y2().T1(m.x(this.f12512d ? h.j(jSONObject.getString("encryptedKeyset")) : h.a(jSONObject.getString("encryptedKeyset")))).V1(j(jSONObject.getJSONObject("keysetInfo"))).build();
    }

    private static t3.c c(String str) throws JSONException {
        if (str.equals("SYMMETRIC")) {
            return t3.c.SYMMETRIC;
        }
        if (str.equals("ASYMMETRIC_PRIVATE")) {
            return t3.c.ASYMMETRIC_PRIVATE;
        }
        if (str.equals("ASYMMETRIC_PUBLIC")) {
            return t3.c.ASYMMETRIC_PUBLIC;
        }
        if (str.equals("REMOTE")) {
            return t3.c.REMOTE;
        }
        throw new JSONException("unknown key material type: " + str);
    }

    private static o4 d(String str) throws JSONException {
        if (str.equals("TINK")) {
            return o4.TINK;
        }
        if (str.equals("RAW")) {
            return o4.RAW;
        }
        if (str.equals("LEGACY")) {
            return o4.LEGACY;
        }
        if (str.equals("CRUNCHY")) {
            return o4.CRUNCHY;
        }
        throw new JSONException("unknown output prefix type: " + str);
    }

    private static v3 e(String str) throws JSONException {
        if (str.equals("ENABLED")) {
            return v3.ENABLED;
        }
        if (str.equals("DISABLED")) {
            return v3.DISABLED;
        }
        throw new JSONException("unknown status: " + str);
    }

    private t3 f(JSONObject jSONObject) throws JSONException {
        m(jSONObject);
        return (t3) t3.B2().V1(jSONObject.getString("typeUrl")).X1(m.x(this.f12512d ? h.j(jSONObject.getString("value")) : h.a(jSONObject.getString("value")))).T1(c(jSONObject.getString("keyMaterialType"))).build();
    }

    private a4.c g(JSONObject jSONObject) throws JSONException {
        l(jSONObject);
        return (a4.c) a4.c.G2().a2(e(jSONObject.getString(NotificationCompat.CATEGORY_STATUS))).X1(jSONObject.getInt("keyId")).Y1(d(jSONObject.getString("outputPrefixType"))).W1(f(jSONObject.getJSONObject("keyData"))).build();
    }

    private static b4.c h(JSONObject jSONObject) throws JSONException {
        return (b4.c) b4.c.F2().X1(e(jSONObject.getString(NotificationCompat.CATEGORY_STATUS))).U1(jSONObject.getInt("keyId")).V1(d(jSONObject.getString("outputPrefixType"))).Z1(jSONObject.getString("typeUrl")).build();
    }

    private a4 i(JSONObject jSONObject) throws JSONException {
        n(jSONObject);
        a4.b G2 = a4.G2();
        if (jSONObject.has("primaryKeyId")) {
            G2.a2(jSONObject.getInt("primaryKeyId"));
        }
        JSONArray jSONArray = jSONObject.getJSONArray("key");
        for (int i7 = 0; i7 < jSONArray.length(); i7++) {
            G2.U1(g(jSONArray.getJSONObject(i7)));
        }
        return (a4) G2.build();
    }

    private static b4 j(JSONObject jSONObject) throws JSONException {
        b4.b G2 = b4.G2();
        if (jSONObject.has("primaryKeyId")) {
            G2.a2(jSONObject.getInt("primaryKeyId"));
        }
        if (jSONObject.has("keyInfo")) {
            JSONArray jSONArray = jSONObject.getJSONArray("keyInfo");
            for (int i7 = 0; i7 < jSONArray.length(); i7++) {
                G2.U1(h(jSONArray.getJSONObject(i7)));
            }
        }
        return (b4) G2.build();
    }

    private static void k(JSONObject jSONObject) throws JSONException {
        if (!jSONObject.has("encryptedKeyset")) {
            throw new JSONException("invalid encrypted keyset");
        }
    }

    private static void l(JSONObject jSONObject) throws JSONException {
        if (!jSONObject.has("keyData") || !jSONObject.has(NotificationCompat.CATEGORY_STATUS) || !jSONObject.has("keyId") || !jSONObject.has("outputPrefixType")) {
            throw new JSONException("invalid key");
        }
    }

    private static void m(JSONObject jSONObject) throws JSONException {
        if (!jSONObject.has("typeUrl") || !jSONObject.has("value") || !jSONObject.has("keyMaterialType")) {
            throw new JSONException("invalid keyData");
        }
    }

    private static void n(JSONObject jSONObject) throws JSONException {
        if (!jSONObject.has("key") || jSONObject.getJSONArray("key").length() == 0) {
            throw new JSONException("invalid keyset");
        }
    }

    public static k o(byte[] bArr) {
        return new k(new ByteArrayInputStream(bArr), true);
    }

    public static k p(File file) throws IOException {
        return new k(new FileInputStream(file), true);
    }

    public static t q(InputStream inputStream) throws IOException {
        return new k(inputStream, false);
    }

    public static k r(JSONObject jSONObject) {
        return new k(jSONObject);
    }

    public static k s(String str) throws IOException {
        return p(new File(str));
    }

    public static k t(Path path) throws IOException {
        return p(path.toFile());
    }

    public static k u(String str) {
        return new k(new ByteArrayInputStream(str.getBytes(f12508e)), true);
    }

    @Override // com.google.crypto.tink.t
    public v2 a() throws IOException {
        try {
            JSONObject jSONObject = this.f12510b;
            if (jSONObject != null) {
                v2 b7 = b(jSONObject);
                InputStream inputStream = this.f12509a;
                if (inputStream != null && this.f12511c) {
                    inputStream.close();
                }
                return b7;
            }
            v2 b8 = b(new JSONObject(new String(i0.c(this.f12509a), f12508e)));
            InputStream inputStream2 = this.f12509a;
            if (inputStream2 != null && this.f12511c) {
                inputStream2.close();
            }
            return b8;
        } catch (JSONException e7) {
            throw new IOException(e7);
        } catch (Throwable th) {
            InputStream inputStream3 = this.f12509a;
            if (inputStream3 != null && this.f12511c) {
                inputStream3.close();
            }
            throw th;
        }
    }

    @Override // com.google.crypto.tink.t
    public a4 read() throws IOException {
        try {
            JSONObject jSONObject = this.f12510b;
            if (jSONObject != null) {
                a4 i7 = i(jSONObject);
                InputStream inputStream = this.f12509a;
                if (inputStream != null && this.f12511c) {
                    inputStream.close();
                }
                return i7;
            }
            a4 i8 = i(new JSONObject(new String(i0.c(this.f12509a), f12508e)));
            InputStream inputStream2 = this.f12509a;
            if (inputStream2 != null && this.f12511c) {
                inputStream2.close();
            }
            return i8;
        } catch (JSONException e7) {
            throw new IOException(e7);
        } catch (Throwable th) {
            InputStream inputStream3 = this.f12509a;
            if (inputStream3 != null && this.f12511c) {
                inputStream3.close();
            }
            throw th;
        }
    }

    public k v() {
        this.f12512d = true;
        return this;
    }

    private k(JSONObject jSONObject) {
        this.f12510b = jSONObject;
        this.f12509a = null;
        this.f12511c = false;
    }
}
