package com.google.crypto.tink.mac;

import com.google.crypto.tink.g0;
import com.google.crypto.tink.o;
import com.google.crypto.tink.p;
import com.google.crypto.tink.proto.g3;
import com.google.crypto.tink.proto.h3;
import com.google.crypto.tink.proto.k3;
import com.google.crypto.tink.proto.t3;
import com.google.crypto.tink.proto.x2;
import com.google.crypto.tink.shaded.protobuf.h0;
import com.google.crypto.tink.shaded.protobuf.m;
import com.google.crypto.tink.shaded.protobuf.v;
import com.google.crypto.tink.subtle.e1;
import com.google.crypto.tink.subtle.o0;
import com.google.crypto.tink.subtle.p0;
import com.google.crypto.tink.subtle.q0;
import com.google.crypto.tink.x;
import java.io.IOException;
import java.io.InputStream;
import java.security.GeneralSecurityException;
import javax.crypto.spec.SecretKeySpec;

public final class b extends p<g3> {

    /* renamed from: d  reason: collision with root package name */
    private static final int f12520d = 16;

    /* renamed from: e  reason: collision with root package name */
    private static final int f12521e = 10;

    class a extends p.b<x, g3> {
        a(Class cls) {
            super(cls);
        }

        /* renamed from: c */
        public x a(g3 g3Var) throws GeneralSecurityException {
            x2 h7 = g3Var.getParams().h();
            SecretKeySpec secretKeySpec = new SecretKeySpec(g3Var.b().H0(), "HMAC");
            int r7 = g3Var.getParams().r();
            int i7 = c.f12523a[h7.ordinal()];
            if (i7 == 1) {
                return new p0(new o0("HMACSHA1", secretKeySpec), r7);
            }
            if (i7 == 2) {
                return new p0(new o0("HMACSHA256", secretKeySpec), r7);
            }
            if (i7 == 3) {
                return new p0(new o0("HMACSHA512", secretKeySpec), r7);
            }
            throw new GeneralSecurityException("unknown hash");
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: com.google.crypto.tink.mac.b$b  reason: collision with other inner class name */
    public class C0186b extends p.a<h3, g3> {
        C0186b(Class cls) {
            super(cls);
        }

        /* renamed from: f */
        public g3 a(h3 h3Var) throws GeneralSecurityException {
            return (g3) g3.B2().X1(b.this.e()).W1(h3Var.getParams()).U1(m.x(q0.c(h3Var.c()))).build();
        }

        /* renamed from: g */
        public g3 b(h3 h3Var, InputStream inputStream) throws GeneralSecurityException {
            e1.j(h3Var.getVersion(), b.this.e());
            byte[] bArr = new byte[h3Var.c()];
            try {
                if (inputStream.read(bArr) == h3Var.c()) {
                    return (g3) g3.B2().X1(b.this.e()).W1(h3Var.getParams()).U1(m.x(bArr)).build();
                }
                throw new GeneralSecurityException("Not enough pseudorandomness given");
            } catch (IOException e7) {
                throw new GeneralSecurityException("Reading pseudorandomness failed", e7);
            }
        }

        /* renamed from: h */
        public h3 d(m mVar) throws h0 {
            return h3.G2(mVar, v.d());
        }

        /* renamed from: i */
        public void e(h3 h3Var) throws GeneralSecurityException {
            if (h3Var.c() >= 16) {
                b.t(h3Var.getParams());
                return;
            }
            throw new GeneralSecurityException("key too short");
        }
    }

    /* access modifiers changed from: package-private */
    public static /* synthetic */ class c {

        /* renamed from: a  reason: collision with root package name */
        static final /* synthetic */ int[] f12523a;

        /* JADX WARNING: Can't wrap try/catch for region: R(6:0|1|2|3|4|(3:5|6|8)) */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0012 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:5:0x001d */
        static {
            int[] iArr = new int[x2.values().length];
            f12523a = iArr;
            iArr[x2.SHA1.ordinal()] = 1;
            f12523a[x2.SHA256.ordinal()] = 2;
            try {
                f12523a[x2.SHA512.ordinal()] = 3;
            } catch (NoSuchFieldError unused) {
            }
        }
    }

    public b() {
        super(g3.class, new a(x.class));
    }

    private static o l(int i7, int i8, x2 x2Var) {
        return o.a(new b().c(), ((h3) h3.B2().W1((k3) k3.x2().S1(x2Var).U1(i8).build()).U1(i7).build()).toByteArray(), o.b.TINK);
    }

    public static final o m() {
        return l(32, 16, x2.SHA256);
    }

    public static final o n() {
        return l(32, 32, x2.SHA256);
    }

    public static final o o() {
        return l(64, 32, x2.SHA512);
    }

    public static final o p() {
        return l(64, 64, x2.SHA512);
    }

    public static void r(boolean z7) throws GeneralSecurityException {
        g0.L(new b(), z7);
    }

    /* access modifiers changed from: private */
    public static void t(k3 k3Var) throws GeneralSecurityException {
        if (k3Var.r() >= 10) {
            int i7 = c.f12523a[k3Var.h().ordinal()];
            if (i7 != 1) {
                if (i7 != 2) {
                    if (i7 != 3) {
                        throw new GeneralSecurityException("unknown hash type");
                    } else if (k3Var.r() > 64) {
                        throw new GeneralSecurityException("tag size too big");
                    }
                } else if (k3Var.r() > 32) {
                    throw new GeneralSecurityException("tag size too big");
                }
            } else if (k3Var.r() > 20) {
                throw new GeneralSecurityException("tag size too big");
            }
        } else {
            throw new GeneralSecurityException("tag size too small");
        }
    }

    @Override // com.google.crypto.tink.p
    public String c() {
        return "type.googleapis.com/google.crypto.tink.HmacKey";
    }

    @Override // com.google.crypto.tink.p
    public int e() {
        return 0;
    }

    /* Return type fixed from 'com.google.crypto.tink.p$a<com.google.crypto.tink.proto.h3, com.google.crypto.tink.proto.g3>' to match base method */
    @Override // com.google.crypto.tink.p
    public p.a<?, g3> f() {
        return new C0186b(h3.class);
    }

    @Override // com.google.crypto.tink.p
    public t3.c g() {
        return t3.c.SYMMETRIC;
    }

    /* renamed from: q */
    public g3 h(m mVar) throws h0 {
        return g3.G2(mVar, v.d());
    }

    /* renamed from: s */
    public void j(g3 g3Var) throws GeneralSecurityException {
        e1.j(g3Var.getVersion(), e());
        if (g3Var.b().size() >= 16) {
            t(g3Var.getParams());
            return;
        }
        throw new GeneralSecurityException("key too short");
    }
}
