package com.google.crypto.tink;

import com.google.crypto.tink.proto.t3;
import com.google.crypto.tink.shaded.protobuf.h0;
import com.google.crypto.tink.shaded.protobuf.m;
import com.google.crypto.tink.shaded.protobuf.y0;
import java.io.InputStream;
import java.security.GeneralSecurityException;
import java.util.Collections;
import java.util.HashMap;
import java.util.Map;
import java.util.Set;

@n0.a
public abstract class p<KeyProtoT extends y0> {

    /* renamed from: a  reason: collision with root package name */
    private final Class<KeyProtoT> f12547a;

    /* renamed from: b  reason: collision with root package name */
    private final Map<Class<?>, b<?, KeyProtoT>> f12548b;

    /* renamed from: c  reason: collision with root package name */
    private final Class<?> f12549c;

    public static abstract class a<KeyFormatProtoT extends y0, KeyT> {

        /* renamed from: a  reason: collision with root package name */
        private final Class<KeyFormatProtoT> f12550a;

        public a(Class<KeyFormatProtoT> cls) {
            this.f12550a = cls;
        }

        public abstract KeyT a(KeyFormatProtoT keyformatprotot) throws GeneralSecurityException;

        public KeyT b(KeyFormatProtoT keyformatprotot, InputStream inputStream) throws GeneralSecurityException {
            throw new GeneralSecurityException("deriveKey not implemented for key of type " + this.f12550a.toString());
        }

        public final Class<KeyFormatProtoT> c() {
            return this.f12550a;
        }

        public abstract KeyFormatProtoT d(m mVar) throws h0;

        public abstract void e(KeyFormatProtoT keyformatprotot) throws GeneralSecurityException;
    }

    /* access modifiers changed from: protected */
    public static abstract class b<PrimitiveT, KeyT> {

        /* renamed from: a  reason: collision with root package name */
        private final Class<PrimitiveT> f12551a;

        public b(Class<PrimitiveT> cls) {
            this.f12551a = cls;
        }

        public abstract PrimitiveT a(KeyT keyt) throws GeneralSecurityException;

        /* access modifiers changed from: package-private */
        public final Class<PrimitiveT> b() {
            return this.f12551a;
        }
    }

    @SafeVarargs
    protected p(Class<KeyProtoT> cls, b<?, KeyProtoT>... bVarArr) {
        this.f12547a = cls;
        HashMap hashMap = new HashMap();
        for (b<?, KeyProtoT> bVar : bVarArr) {
            if (!hashMap.containsKey(bVar.b())) {
                hashMap.put(bVar.b(), bVar);
            } else {
                throw new IllegalArgumentException("KeyTypeManager constructed with duplicate factories for primitive " + bVar.b().getCanonicalName());
            }
        }
        this.f12549c = bVarArr.length > 0 ? bVarArr[0].b() : Void.class;
        this.f12548b = Collections.unmodifiableMap(hashMap);
    }

    /* access modifiers changed from: package-private */
    public final Class<?> a() {
        return this.f12549c;
    }

    public final Class<KeyProtoT> b() {
        return this.f12547a;
    }

    public abstract String c();

    public final <P> P d(KeyProtoT keyprotot, Class<P> cls) throws GeneralSecurityException {
        b<?, KeyProtoT> bVar = this.f12548b.get(cls);
        if (bVar != null) {
            return (P) bVar.a(keyprotot);
        }
        throw new IllegalArgumentException("Requested primitive class " + cls.getCanonicalName() + " not supported.");
    }

    public abstract int e();

    public a<?, KeyProtoT> f() {
        throw new UnsupportedOperationException("Creating keys is not supported.");
    }

    public abstract t3.c g();

    public abstract KeyProtoT h(m mVar) throws h0;

    public final Set<Class<?>> i() {
        return this.f12548b.keySet();
    }

    public abstract void j(KeyProtoT keyprotot) throws GeneralSecurityException;
}
