package com.google.crypto.tink.prf;

import com.google.crypto.tink.g0;
import com.google.crypto.tink.o;
import com.google.crypto.tink.p;
import com.google.crypto.tink.proto.n3;
import com.google.crypto.tink.proto.o3;
import com.google.crypto.tink.proto.r3;
import com.google.crypto.tink.proto.t3;
import com.google.crypto.tink.proto.x2;
import com.google.crypto.tink.shaded.protobuf.h0;
import com.google.crypto.tink.shaded.protobuf.m;
import com.google.crypto.tink.shaded.protobuf.v;
import com.google.crypto.tink.subtle.e1;
import com.google.crypto.tink.subtle.o0;
import com.google.crypto.tink.subtle.q0;
import java.io.IOException;
import java.io.InputStream;
import java.security.GeneralSecurityException;
import javax.crypto.spec.SecretKeySpec;

public final class c extends p<n3> {

    /* renamed from: d  reason: collision with root package name */
    private static final int f12558d = 16;

    class a extends p.b<d, n3> {
        a(Class cls) {
            super(cls);
        }

        /* renamed from: c */
        public d a(n3 n3Var) throws GeneralSecurityException {
            x2 h7 = n3Var.getParams().h();
            SecretKeySpec secretKeySpec = new SecretKeySpec(n3Var.b().H0(), "HMAC");
            int i7 = C0189c.f12560a[h7.ordinal()];
            if (i7 == 1) {
                return new o0("HMACSHA1", secretKeySpec);
            }
            if (i7 == 2) {
                return new o0("HMACSHA256", secretKeySpec);
            }
            if (i7 == 3) {
                return new o0("HMACSHA512", secretKeySpec);
            }
            throw new GeneralSecurityException("unknown hash");
        }
    }

    class b extends p.a<o3, n3> {
        b(Class cls) {
            super(cls);
        }

        /* renamed from: f */
        public n3 a(o3 o3Var) {
            return (n3) n3.B2().X1(c.this.e()).W1(o3Var.getParams()).U1(m.x(q0.c(o3Var.c()))).build();
        }

        /* renamed from: g */
        public n3 b(o3 o3Var, InputStream inputStream) throws GeneralSecurityException {
            e1.j(o3Var.getVersion(), c.this.e());
            byte[] bArr = new byte[o3Var.c()];
            try {
                if (inputStream.read(bArr) == o3Var.c()) {
                    return (n3) n3.B2().X1(c.this.e()).W1(o3Var.getParams()).U1(m.x(bArr)).build();
                }
                throw new GeneralSecurityException("Not enough pseudorandomness given");
            } catch (IOException e7) {
                throw new GeneralSecurityException("Reading pseudorandomness failed", e7);
            }
        }

        /* renamed from: h */
        public o3 d(m mVar) throws h0 {
            return o3.G2(mVar, v.d());
        }

        /* renamed from: i */
        public void e(o3 o3Var) throws GeneralSecurityException {
            if (o3Var.c() >= 16) {
                c.r(o3Var.getParams());
                return;
            }
            throw new GeneralSecurityException("key too short");
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: com.google.crypto.tink.prf.c$c  reason: collision with other inner class name */
    public static /* synthetic */ class C0189c {

        /* renamed from: a  reason: collision with root package name */
        static final /* synthetic */ int[] f12560a;

        /* JADX WARNING: Can't wrap try/catch for region: R(6:0|1|2|3|4|(3:5|6|8)) */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0012 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:5:0x001d */
        static {
            int[] iArr = new int[x2.values().length];
            f12560a = iArr;
            iArr[x2.SHA1.ordinal()] = 1;
            f12560a[x2.SHA256.ordinal()] = 2;
            try {
                f12560a[x2.SHA512.ordinal()] = 3;
            } catch (NoSuchFieldError unused) {
            }
        }
    }

    public c() {
        super(n3.class, new a(d.class));
    }

    private static o l(int i7, x2 x2Var) {
        return o.a(new c().c(), ((o3) o3.B2().W1((r3) r3.u2().R1(x2Var).build()).U1(i7).build()).toByteArray(), o.b.RAW);
    }

    public static final o m() {
        return l(32, x2.SHA256);
    }

    public static final o n() {
        return l(64, x2.SHA512);
    }

    public static void p(boolean z7) throws GeneralSecurityException {
        g0.L(new c(), z7);
    }

    /* access modifiers changed from: private */
    public static void r(r3 r3Var) throws GeneralSecurityException {
        if (r3Var.h() != x2.SHA1 && r3Var.h() != x2.SHA256 && r3Var.h() != x2.SHA512) {
            throw new GeneralSecurityException("unknown hash type");
        }
    }

    @Override // com.google.crypto.tink.p
    public String c() {
        return "type.googleapis.com/google.crypto.tink.HmacPrfKey";
    }

    @Override // com.google.crypto.tink.p
    public int e() {
        return 0;
    }

    /* Return type fixed from 'com.google.crypto.tink.p$a<com.google.crypto.tink.proto.o3, com.google.crypto.tink.proto.n3>' to match base method */
    @Override // com.google.crypto.tink.p
    public p.a<?, n3> f() {
        return new b(o3.class);
    }

    @Override // com.google.crypto.tink.p
    public t3.c g() {
        return t3.c.SYMMETRIC;
    }

    /* renamed from: o */
    public n3 h(m mVar) throws h0 {
        return n3.G2(mVar, v.d());
    }

    /* renamed from: q */
    public void j(n3 n3Var) throws GeneralSecurityException {
        e1.j(n3Var.getVersion(), e());
        if (n3Var.b().size() >= 16) {
            r(n3Var.getParams());
            return;
        }
        throw new GeneralSecurityException("key too short");
    }
}
