package com.google.crypto.tink;

import com.google.crypto.tink.proto.a4;
import com.google.crypto.tink.proto.b4;
import com.google.crypto.tink.proto.t3;
import com.google.crypto.tink.proto.v2;
import com.google.crypto.tink.proto.w3;
import com.google.crypto.tink.shaded.protobuf.h0;
import com.google.crypto.tink.shaded.protobuf.m;
import com.google.crypto.tink.shaded.protobuf.v;
import java.io.IOException;
import java.security.GeneralSecurityException;

public final class r {

    /* renamed from: a  reason: collision with root package name */
    private final a4 f12684a;

    private r(a4 a4Var) {
        this.f12684a = a4Var;
    }

    public static void a(v2 v2Var) throws GeneralSecurityException {
        if (v2Var == null || v2Var.V().size() == 0) {
            throw new GeneralSecurityException("empty keyset");
        }
    }

    public static void b(a4 a4Var) throws GeneralSecurityException {
        if (a4Var == null || a4Var.o0() <= 0) {
            throw new GeneralSecurityException("empty keyset");
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:3:0x000e  */
    private static void c(a4 a4Var) throws GeneralSecurityException {
        for (a4.c cVar : a4Var.O()) {
            if (cVar.g0().C0() == t3.c.UNKNOWN_KEYMATERIAL || cVar.g0().C0() == t3.c.SYMMETRIC || cVar.g0().C0() == t3.c.ASYMMETRIC_PRIVATE) {
                throw new GeneralSecurityException(String.format("keyset contains key material of type %s for type url %s", cVar.g0().C0(), cVar.g0().e()));
            }
            while (r4.hasNext()) {
            }
        }
    }

    private static t3 d(t3 t3Var) throws GeneralSecurityException {
        if (t3Var.C0() == t3.c.ASYMMETRIC_PRIVATE) {
            t3 B = g0.B(t3Var.e(), t3Var.getValue());
            s(B);
            return B;
        }
        throw new GeneralSecurityException("The keyset contains a non-private key");
    }

    private static a4 e(v2 v2Var, a aVar) throws GeneralSecurityException {
        try {
            a4 T2 = a4.T2(aVar.b(v2Var.V().H0(), new byte[0]), v.d());
            b(T2);
            return T2;
        } catch (h0 unused) {
            throw new GeneralSecurityException("invalid keyset, corrupted key material");
        }
    }

    private static v2 f(a4 a4Var, a aVar) throws GeneralSecurityException {
        byte[] a8 = aVar.a(a4Var.toByteArray(), new byte[0]);
        try {
            if (a4.T2(aVar.b(a8, new byte[0]), v.d()).equals(a4Var)) {
                return (v2) v2.y2().T1(m.x(a8)).V1(i0.b(a4Var)).build();
            }
            throw new GeneralSecurityException("cannot encrypt keyset");
        } catch (h0 unused) {
            throw new GeneralSecurityException("invalid keyset, corrupted key material");
        }
    }

    static final r g(a4 a4Var) throws GeneralSecurityException {
        b(a4Var);
        return new r(a4Var);
    }

    public static final r h(o oVar) throws GeneralSecurityException {
        return s.p().n(oVar.d()).h();
    }

    @Deprecated
    public static final r i(w3 w3Var) throws GeneralSecurityException {
        return s.p().n(w3Var).h();
    }

    private <B, P> P n(Class<P> cls, Class<B> cls2) throws GeneralSecurityException {
        return (P) g0.S(g0.z(this, cls2), cls);
    }

    public static final r p(t tVar, a aVar) throws GeneralSecurityException, IOException {
        v2 a8 = tVar.a();
        a(a8);
        return new r(e(a8, aVar));
    }

    public static final r q(t tVar) throws GeneralSecurityException, IOException {
        try {
            a4 read = tVar.read();
            c(read);
            return g(read);
        } catch (h0 unused) {
            throw new GeneralSecurityException("invalid keyset");
        }
    }

    public static final r r(byte[] bArr) throws GeneralSecurityException {
        try {
            a4 T2 = a4.T2(bArr, v.d());
            c(T2);
            return g(T2);
        } catch (h0 unused) {
            throw new GeneralSecurityException("invalid keyset");
        }
    }

    private static void s(t3 t3Var) throws GeneralSecurityException {
        g0.o(t3Var);
    }

    /* access modifiers changed from: package-private */
    public a4 j() {
        return this.f12684a;
    }

    public b4 k() {
        return i0.b(this.f12684a);
    }

    public <P> P l(m<P> mVar, Class<P> cls) throws GeneralSecurityException {
        if (mVar != null) {
            return (P) g0.R(g0.y(this, mVar, cls));
        }
        throw new IllegalArgumentException("customKeyManager must be non-null.");
    }

    public <P> P m(Class<P> cls) throws GeneralSecurityException {
        Class<?> j7 = g0.j(cls);
        if (j7 != null) {
            return (P) n(cls, j7);
        }
        throw new GeneralSecurityException("No wrapper found for " + cls.getName());
    }

    public r o() throws GeneralSecurityException {
        if (this.f12684a != null) {
            a4.b G2 = a4.G2();
            for (a4.c cVar : this.f12684a.O()) {
                G2.U1((a4.c) ((a4.c.a) a4.c.G2().M1(cVar)).W1(d(cVar.g0())).build());
            }
            G2.a2(this.f12684a.A());
            return new r((a4) G2.build());
        }
        throw new GeneralSecurityException("cleartext keyset is not available");
    }

    public void t(u uVar, a aVar) throws GeneralSecurityException, IOException {
        uVar.b(f(this.f12684a, aVar));
    }

    public String toString() {
        return k().toString();
    }

    public void u(u uVar) throws GeneralSecurityException, IOException {
        c(this.f12684a);
        uVar.a(this.f12684a);
    }
}
