package com.google.crypto.tink.shaded.protobuf;

import com.google.crypto.tink.shaded.protobuf.m;
import java.io.IOException;
import java.io.InputStream;
import java.io.InvalidObjectException;
import java.io.ObjectInputStream;
import java.io.OutputStream;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.nio.InvalidMarkException;
import java.nio.charset.Charset;
import java.util.Collections;
import java.util.List;

/* access modifiers changed from: package-private */
public final class h1 extends m.i {
    private final ByteBuffer V5;

    class a extends InputStream {

        /* renamed from: f  reason: collision with root package name */
        private final ByteBuffer f12973f;

        a() {
            this.f12973f = h1.this.V5.slice();
        }

        @Override // java.io.InputStream
        public int available() throws IOException {
            return this.f12973f.remaining();
        }

        public void mark(int i7) {
            this.f12973f.mark();
        }

        public boolean markSupported() {
            return true;
        }

        @Override // java.io.InputStream
        public int read() throws IOException {
            if (!this.f12973f.hasRemaining()) {
                return -1;
            }
            return this.f12973f.get() & 255;
        }

        @Override // java.io.InputStream
        public void reset() throws IOException {
            try {
                this.f12973f.reset();
            } catch (InvalidMarkException e7) {
                throw new IOException(e7);
            }
        }

        @Override // java.io.InputStream
        public int read(byte[] bArr, int i7, int i8) throws IOException {
            if (!this.f12973f.hasRemaining()) {
                return -1;
            }
            int min = Math.min(i8, this.f12973f.remaining());
            this.f12973f.get(bArr, i7, min);
            return min;
        }
    }

    h1(ByteBuffer byteBuffer) {
        g0.e(byteBuffer, "buffer");
        this.V5 = byteBuffer.slice().order(ByteOrder.nativeOrder());
    }

    private void q1(ObjectInputStream objectInputStream) throws IOException {
        throw new InvalidObjectException("NioByteString instances are not to be serialized directly");
    }

    private ByteBuffer s1(int i7, int i8) {
        if (i7 < this.V5.position() || i8 > this.V5.limit() || i7 > i8) {
            throw new IllegalArgumentException(String.format("Invalid indices [%d, %d]", Integer.valueOf(i7), Integer.valueOf(i8)));
        }
        ByteBuffer slice = this.V5.slice();
        slice.position(i7 - this.V5.position());
        slice.limit(i8 - this.V5.position());
        return slice;
    }

    private Object t1() {
        return m.u(this.V5.slice());
    }

    @Override // com.google.crypto.tink.shaded.protobuf.m
    public m D0(int i7, int i8) {
        try {
            return new h1(s1(i7, i8));
        } catch (ArrayIndexOutOfBoundsException e7) {
            throw e7;
        } catch (IndexOutOfBoundsException e8) {
            throw new ArrayIndexOutOfBoundsException(e8.getMessage());
        }
    }

    @Override // com.google.crypto.tink.shaded.protobuf.m
    public void L(ByteBuffer byteBuffer) {
        byteBuffer.put(this.V5.slice());
    }

    /* access modifiers changed from: protected */
    @Override // com.google.crypto.tink.shaded.protobuf.m
    public String Q0(Charset charset) {
        int i7;
        int i8;
        byte[] bArr;
        if (this.V5.hasArray()) {
            bArr = this.V5.array();
            i8 = this.V5.arrayOffset() + this.V5.position();
            i7 = this.V5.remaining();
        } else {
            bArr = H0();
            i7 = bArr.length;
            i8 = 0;
        }
        return new String(bArr, i8, i7, charset);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.crypto.tink.shaded.protobuf.m
    public void R(byte[] bArr, int i7, int i8, int i9) {
        ByteBuffer slice = this.V5.slice();
        slice.position(i7);
        slice.get(bArr, i8, i9);
    }

    @Override // com.google.crypto.tink.shaded.protobuf.m
    public byte X(int i7) {
        return k(i7);
    }

    @Override // com.google.crypto.tink.shaded.protobuf.m
    public boolean Z() {
        return f2.s(this.V5);
    }

    @Override // com.google.crypto.tink.shaded.protobuf.m
    public ByteBuffer c() {
        return this.V5.asReadOnlyBuffer();
    }

    @Override // com.google.crypto.tink.shaded.protobuf.m
    public n d0() {
        return n.o(this.V5, true);
    }

    @Override // com.google.crypto.tink.shaded.protobuf.m
    public List<ByteBuffer> e() {
        return Collections.singletonList(c());
    }

    @Override // com.google.crypto.tink.shaded.protobuf.m
    public InputStream e0() {
        return new a();
    }

    @Override // com.google.crypto.tink.shaded.protobuf.m
    public boolean equals(Object obj) {
        ByteBuffer byteBuffer;
        ByteBuffer c7;
        if (obj == this) {
            return true;
        }
        if (!(obj instanceof m)) {
            return false;
        }
        m mVar = (m) obj;
        if (size() != mVar.size()) {
            return false;
        }
        if (size() == 0) {
            return true;
        }
        if (obj instanceof h1) {
            byteBuffer = this.V5;
            c7 = ((h1) obj).V5;
        } else if (obj instanceof s1) {
            return obj.equals(this);
        } else {
            byteBuffer = this.V5;
            c7 = mVar.c();
        }
        return byteBuffer.equals(c7);
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.crypto.tink.shaded.protobuf.m
    public void f1(l lVar) throws IOException {
        lVar.W(this.V5.slice());
    }

    @Override // com.google.crypto.tink.shaded.protobuf.m
    public void i1(OutputStream outputStream) throws IOException {
        outputStream.write(H0());
    }

    @Override // com.google.crypto.tink.shaded.protobuf.m
    public byte k(int i7) {
        try {
            return this.V5.get(i7);
        } catch (ArrayIndexOutOfBoundsException e7) {
            throw e7;
        } catch (IndexOutOfBoundsException e8) {
            throw new ArrayIndexOutOfBoundsException(e8.getMessage());
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.google.crypto.tink.shaded.protobuf.m
    public int k0(int i7, int i8, int i9) {
        for (int i10 = i8; i10 < i8 + i9; i10++) {
            i7 = (i7 * 31) + this.V5.get(i10);
        }
        return i7;
    }

    /* access modifiers changed from: protected */
    @Override // com.google.crypto.tink.shaded.protobuf.m
    public int l0(int i7, int i8, int i9) {
        return f2.v(i7, this.V5, i8, i9 + i8);
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.crypto.tink.shaded.protobuf.m
    public void l1(OutputStream outputStream, int i7, int i8) throws IOException {
        if (this.V5.hasArray()) {
            outputStream.write(this.V5.array(), this.V5.arrayOffset() + this.V5.position() + i7, i8);
            return;
        }
        k.h(s1(i7, i8 + i7), outputStream);
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.crypto.tink.shaded.protobuf.m.i
    public boolean n1(m mVar, int i7, int i8) {
        return D0(0, i8).equals(mVar.D0(i7, i8 + i7));
    }

    @Override // com.google.crypto.tink.shaded.protobuf.m
    public int size() {
        return this.V5.remaining();
    }
}
