package com.google.crypto.tink.signature;

import com.google.crypto.tink.d0;
import com.google.crypto.tink.e0;
import com.google.crypto.tink.g0;
import com.google.crypto.tink.o;
import com.google.crypto.tink.p;
import com.google.crypto.tink.proto.s4;
import com.google.crypto.tink.proto.t3;
import com.google.crypto.tink.proto.u4;
import com.google.crypto.tink.proto.w4;
import com.google.crypto.tink.proto.x2;
import com.google.crypto.tink.proto.y4;
import com.google.crypto.tink.shaded.protobuf.h0;
import com.google.crypto.tink.shaded.protobuf.m;
import com.google.crypto.tink.shaded.protobuf.v;
import com.google.crypto.tink.subtle.b0;
import com.google.crypto.tink.subtle.e1;
import com.google.crypto.tink.subtle.s0;
import com.google.crypto.tink.subtle.t0;
import java.math.BigInteger;
import java.nio.charset.Charset;
import java.security.GeneralSecurityException;
import java.security.KeyFactory;
import java.security.KeyPair;
import java.security.KeyPairGenerator;
import java.security.interfaces.RSAPrivateCrtKey;
import java.security.interfaces.RSAPublicKey;
import java.security.spec.RSAKeyGenParameterSpec;
import java.security.spec.RSAPrivateCrtKeySpec;
import java.security.spec.RSAPublicKeySpec;

public final class i extends d0<w4, y4> {

    /* renamed from: e  reason: collision with root package name */
    private static final byte[] f13254e = "Tink and Wycheproof.".getBytes(Charset.forName("UTF-8"));

    class a extends p.b<e0, w4> {
        a(Class cls) {
            super(cls);
        }

        /* renamed from: c */
        public e0 a(w4 w4Var) throws GeneralSecurityException {
            KeyFactory h7 = b0.f13373m.h("RSA");
            s0 s0Var = new s0((RSAPrivateCrtKey) h7.generatePrivate(new RSAPrivateCrtKeySpec(new BigInteger(1, w4Var.f().t().H0()), new BigInteger(1, w4Var.f().q().H0()), new BigInteger(1, w4Var.l().H0()), new BigInteger(1, w4Var.B().H0()), new BigInteger(1, w4Var.o().H0()), new BigInteger(1, w4Var.w().H0()), new BigInteger(1, w4Var.y().H0()), new BigInteger(1, w4Var.F().H0()))), m.c(w4Var.f().getParams().u()));
            try {
                new t0((RSAPublicKey) h7.generatePublic(new RSAPublicKeySpec(new BigInteger(1, w4Var.f().t().H0()), new BigInteger(1, w4Var.f().q().H0()))), m.c(w4Var.f().getParams().u())).a(s0Var.a(i.f13254e), i.f13254e);
                return s0Var;
            } catch (GeneralSecurityException e7) {
                throw new RuntimeException("Security bug: signing with private key followed by verifying with public key failed" + e7);
            }
        }
    }

    class b extends p.a<s4, w4> {
        b(Class cls) {
            super(cls);
        }

        /* renamed from: f */
        public w4 a(s4 s4Var) throws GeneralSecurityException {
            u4 params = s4Var.getParams();
            KeyPairGenerator h7 = b0.f13372l.h("RSA");
            h7.initialize(new RSAKeyGenParameterSpec(s4Var.E(), new BigInteger(1, s4Var.getPublicExponent().H0())));
            KeyPair generateKeyPair = h7.generateKeyPair();
            RSAPublicKey rSAPublicKey = (RSAPublicKey) generateKeyPair.getPublic();
            RSAPrivateCrtKey rSAPrivateCrtKey = (RSAPrivateCrtKey) generateKeyPair.getPrivate();
            return (w4) w4.Q2().h2(i.this.e()).f2((y4) y4.E2().Z1(i.this.e()).Y1(params).V1(m.x(rSAPublicKey.getPublicExponent().toByteArray())).W1(m.x(rSAPublicKey.getModulus().toByteArray())).build()).a2(m.x(rSAPrivateCrtKey.getPrivateExponent().toByteArray())).d2(m.x(rSAPrivateCrtKey.getPrimeP().toByteArray())).g2(m.x(rSAPrivateCrtKey.getPrimeQ().toByteArray())).b2(m.x(rSAPrivateCrtKey.getPrimeExponentP().toByteArray())).c2(m.x(rSAPrivateCrtKey.getPrimeExponentQ().toByteArray())).Z1(m.x(rSAPrivateCrtKey.getCrtCoefficient().toByteArray())).build();
        }

        /* renamed from: g */
        public s4 d(m mVar) throws h0 {
            return s4.G2(mVar, v.d());
        }

        /* renamed from: h */
        public void e(s4 s4Var) throws GeneralSecurityException {
            m.e(s4Var.getParams());
            e1.f(s4Var.E());
            e1.g(new BigInteger(1, s4Var.getPublicExponent().H0()));
        }
    }

    i() {
        super(w4.class, y4.class, new a(e0.class));
    }

    private static o n(x2 x2Var, int i7, BigInteger bigInteger, o.b bVar) {
        return o.a(new i().c(), ((s4) s4.B2().W1((u4) u4.u2().R1(x2Var).build()).U1(i7).X1(m.x(bigInteger.toByteArray())).build()).toByteArray(), bVar);
    }

    public static final o q() {
        return n(x2.SHA256, 3072, RSAKeyGenParameterSpec.F4, o.b.RAW);
    }

    public static final o r() {
        return n(x2.SHA512, 4096, RSAKeyGenParameterSpec.F4, o.b.RAW);
    }

    public static void s(boolean z7) throws GeneralSecurityException {
        g0.I(new i(), new j(), z7);
    }

    public static final o t() {
        return n(x2.SHA256, 3072, RSAKeyGenParameterSpec.F4, o.b.TINK);
    }

    public static final o u() {
        return n(x2.SHA512, 4096, RSAKeyGenParameterSpec.F4, o.b.TINK);
    }

    @Override // com.google.crypto.tink.p
    public String c() {
        return "type.googleapis.com/google.crypto.tink.RsaSsaPkcs1PrivateKey";
    }

    @Override // com.google.crypto.tink.p
    public int e() {
        return 0;
    }

    @Override // com.google.crypto.tink.p
    public p.a<s4, w4> f() {
        return new b(s4.class);
    }

    @Override // com.google.crypto.tink.p
    public t3.c g() {
        return t3.c.ASYMMETRIC_PRIVATE;
    }

    /* renamed from: o */
    public y4 k(w4 w4Var) throws GeneralSecurityException {
        return w4Var.f();
    }

    /* renamed from: p */
    public w4 h(m mVar) throws h0 {
        return w4.V2(mVar, v.d());
    }

    /* renamed from: v */
    public void j(w4 w4Var) throws GeneralSecurityException {
        e1.j(w4Var.getVersion(), e());
        e1.f(new BigInteger(1, w4Var.f().t().H0()).bitLength());
        e1.g(new BigInteger(1, w4Var.f().q().H0()));
        m.e(w4Var.f().getParams());
    }
}
