package com.google.crypto.tink.signature;

import com.google.crypto.tink.d0;
import com.google.crypto.tink.e0;
import com.google.crypto.tink.g0;
import com.google.crypto.tink.o;
import com.google.crypto.tink.p;
import com.google.crypto.tink.proto.b5;
import com.google.crypto.tink.proto.d5;
import com.google.crypto.tink.proto.f5;
import com.google.crypto.tink.proto.h5;
import com.google.crypto.tink.proto.t3;
import com.google.crypto.tink.proto.x2;
import com.google.crypto.tink.shaded.protobuf.h0;
import com.google.crypto.tink.shaded.protobuf.m;
import com.google.crypto.tink.shaded.protobuf.v;
import com.google.crypto.tink.subtle.b0;
import com.google.crypto.tink.subtle.e1;
import com.google.crypto.tink.subtle.u0;
import com.google.crypto.tink.subtle.v0;
import java.math.BigInteger;
import java.nio.charset.Charset;
import java.security.GeneralSecurityException;
import java.security.KeyFactory;
import java.security.KeyPair;
import java.security.KeyPairGenerator;
import java.security.interfaces.RSAPrivateCrtKey;
import java.security.interfaces.RSAPublicKey;
import java.security.spec.RSAKeyGenParameterSpec;
import java.security.spec.RSAPrivateCrtKeySpec;
import java.security.spec.RSAPublicKeySpec;

public final class k extends d0<f5, h5> {

    /* renamed from: e  reason: collision with root package name */
    private static final byte[] f13256e = "Tink and Wycheproof.".getBytes(Charset.forName("UTF-8"));

    class a extends p.b<e0, f5> {
        a(Class cls) {
            super(cls);
        }

        /* renamed from: c */
        public e0 a(f5 f5Var) throws GeneralSecurityException {
            KeyFactory h7 = b0.f13373m.h("RSA");
            d5 params = f5Var.f().getParams();
            u0 u0Var = new u0((RSAPrivateCrtKey) h7.generatePrivate(new RSAPrivateCrtKeySpec(new BigInteger(1, f5Var.f().t().H0()), new BigInteger(1, f5Var.f().q().H0()), new BigInteger(1, f5Var.l().H0()), new BigInteger(1, f5Var.B().H0()), new BigInteger(1, f5Var.o().H0()), new BigInteger(1, f5Var.w().H0()), new BigInteger(1, f5Var.y().H0()), new BigInteger(1, f5Var.F().H0()))), m.c(params.G0()), m.c(params.c0()), params.I0());
            try {
                new v0((RSAPublicKey) h7.generatePublic(new RSAPublicKeySpec(new BigInteger(1, f5Var.f().t().H0()), new BigInteger(1, f5Var.f().q().H0()))), m.c(params.G0()), m.c(params.c0()), params.I0()).a(u0Var.a(k.f13256e), k.f13256e);
                return u0Var;
            } catch (GeneralSecurityException e7) {
                throw new RuntimeException("Security bug: signing with private key followed by verifying with public key failed" + e7);
            }
        }
    }

    class b extends p.a<b5, f5> {
        b(Class cls) {
            super(cls);
        }

        /* renamed from: f */
        public f5 a(b5 b5Var) throws GeneralSecurityException {
            d5 params = b5Var.getParams();
            e1.f(b5Var.E());
            e1.h(m.c(params.G0()));
            KeyPairGenerator h7 = b0.f13372l.h("RSA");
            h7.initialize(new RSAKeyGenParameterSpec(b5Var.E(), new BigInteger(1, b5Var.getPublicExponent().H0())));
            KeyPair generateKeyPair = h7.generateKeyPair();
            RSAPublicKey rSAPublicKey = (RSAPublicKey) generateKeyPair.getPublic();
            RSAPrivateCrtKey rSAPrivateCrtKey = (RSAPrivateCrtKey) generateKeyPair.getPrivate();
            return (f5) f5.Q2().h2(k.this.e()).f2((h5) h5.E2().Z1(k.this.e()).Y1(params).V1(m.x(rSAPublicKey.getPublicExponent().toByteArray())).W1(m.x(rSAPublicKey.getModulus().toByteArray())).build()).a2(m.x(rSAPrivateCrtKey.getPrivateExponent().toByteArray())).d2(m.x(rSAPrivateCrtKey.getPrimeP().toByteArray())).g2(m.x(rSAPrivateCrtKey.getPrimeQ().toByteArray())).b2(m.x(rSAPrivateCrtKey.getPrimeExponentP().toByteArray())).c2(m.x(rSAPrivateCrtKey.getPrimeExponentQ().toByteArray())).Z1(m.x(rSAPrivateCrtKey.getCrtCoefficient().toByteArray())).build();
        }

        /* renamed from: g */
        public b5 d(m mVar) throws h0 {
            return b5.G2(mVar, v.d());
        }

        /* renamed from: h */
        public void e(b5 b5Var) throws GeneralSecurityException {
            m.f(b5Var.getParams());
            e1.f(b5Var.E());
            e1.g(new BigInteger(1, b5Var.getPublicExponent().H0()));
        }
    }

    k() {
        super(f5.class, h5.class, new a(e0.class));
    }

    private static o n(x2 x2Var, x2 x2Var2, int i7, int i8, BigInteger bigInteger, o.b bVar) {
        return o.a(new k().c(), ((b5) b5.B2().W1((d5) d5.B2().W1(x2Var).T1(x2Var2).V1(i7).build()).U1(i8).X1(m.x(bigInteger.toByteArray())).build()).toByteArray(), bVar);
    }

    public static final o q() {
        x2 x2Var = x2.SHA256;
        return n(x2Var, x2Var, 32, 3072, RSAKeyGenParameterSpec.F4, o.b.RAW);
    }

    public static final o r() {
        x2 x2Var = x2.SHA512;
        return n(x2Var, x2Var, 64, 4096, RSAKeyGenParameterSpec.F4, o.b.RAW);
    }

    public static void s(boolean z7) throws GeneralSecurityException {
        g0.I(new k(), new l(), z7);
    }

    public static final o t() {
        x2 x2Var = x2.SHA256;
        return n(x2Var, x2Var, 32, 3072, RSAKeyGenParameterSpec.F4, o.b.TINK);
    }

    public static final o u() {
        x2 x2Var = x2.SHA512;
        return n(x2Var, x2Var, 64, 4096, RSAKeyGenParameterSpec.F4, o.b.TINK);
    }

    @Override // com.google.crypto.tink.p
    public String c() {
        return "type.googleapis.com/google.crypto.tink.RsaSsaPssPrivateKey";
    }

    @Override // com.google.crypto.tink.p
    public int e() {
        return 0;
    }

    @Override // com.google.crypto.tink.p
    public p.a<b5, f5> f() {
        return new b(b5.class);
    }

    @Override // com.google.crypto.tink.p
    public t3.c g() {
        return t3.c.ASYMMETRIC_PRIVATE;
    }

    /* renamed from: o */
    public h5 k(f5 f5Var) throws GeneralSecurityException {
        return f5Var.f();
    }

    /* renamed from: p */
    public f5 h(m mVar) throws h0 {
        return f5.V2(mVar, v.d());
    }

    /* renamed from: v */
    public void j(f5 f5Var) throws GeneralSecurityException {
        e1.j(f5Var.getVersion(), e());
        e1.f(new BigInteger(1, f5Var.f().t().H0()).bitLength());
        e1.g(new BigInteger(1, f5Var.f().q().H0()));
        m.f(f5Var.f().getParams());
    }
}
