package com.google.crypto.tink.signature;

import com.google.crypto.tink.proto.d5;
import com.google.crypto.tink.proto.t1;
import com.google.crypto.tink.proto.u2;
import com.google.crypto.tink.proto.u4;
import com.google.crypto.tink.proto.x2;
import com.google.crypto.tink.proto.z1;
import com.google.crypto.tink.subtle.d0;
import com.google.crypto.tink.subtle.z;
import java.security.GeneralSecurityException;

/* access modifiers changed from: package-private */
public final class m {

    /* renamed from: a  reason: collision with root package name */
    static final String f13258a = "Invalid ECDSA parameters";

    /* access modifiers changed from: package-private */
    public static /* synthetic */ class a {

        /* renamed from: a  reason: collision with root package name */
        static final /* synthetic */ int[] f13259a;

        /* renamed from: b  reason: collision with root package name */
        static final /* synthetic */ int[] f13260b;

        /* renamed from: c  reason: collision with root package name */
        static final /* synthetic */ int[] f13261c;

        /* JADX WARNING: Can't wrap try/catch for region: R(20:0|(2:1|2)|3|(2:5|6)|7|9|10|11|13|14|15|16|17|18|19|21|22|23|24|26) */
        /* JADX WARNING: Can't wrap try/catch for region: R(22:0|1|2|3|5|6|7|9|10|11|13|14|15|16|17|18|19|21|22|23|24|26) */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:15:0x0039 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:17:0x0043 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:23:0x005e */
        static {
            int[] iArr = new int[x2.values().length];
            f13261c = iArr;
            try {
                iArr[x2.SHA256.ordinal()] = 1;
            } catch (NoSuchFieldError unused) {
            }
            try {
                f13261c[x2.SHA384.ordinal()] = 2;
            } catch (NoSuchFieldError unused2) {
            }
            try {
                f13261c[x2.SHA512.ordinal()] = 3;
            } catch (NoSuchFieldError unused3) {
            }
            int[] iArr2 = new int[u2.values().length];
            f13260b = iArr2;
            iArr2[u2.NIST_P256.ordinal()] = 1;
            f13260b[u2.NIST_P384.ordinal()] = 2;
            f13260b[u2.NIST_P521.ordinal()] = 3;
            int[] iArr3 = new int[z1.values().length];
            f13259a = iArr3;
            iArr3[z1.DER.ordinal()] = 1;
            try {
                f13259a[z1.IEEE_P1363.ordinal()] = 2;
            } catch (NoSuchFieldError unused4) {
            }
        }
    }

    m() {
    }

    public static z.b a(u2 u2Var) throws GeneralSecurityException {
        int i7 = a.f13260b[u2Var.ordinal()];
        if (i7 == 1) {
            return z.b.NIST_P256;
        }
        if (i7 == 2) {
            return z.b.NIST_P384;
        }
        if (i7 == 3) {
            return z.b.NIST_P521;
        }
        throw new GeneralSecurityException("unknown curve type: " + u2Var.name());
    }

    public static z.c b(z1 z1Var) throws GeneralSecurityException {
        int i7 = a.f13259a[z1Var.ordinal()];
        if (i7 == 1) {
            return z.c.DER;
        }
        if (i7 == 2) {
            return z.c.IEEE_P1363;
        }
        throw new GeneralSecurityException("unknown ECDSA encoding: " + z1Var.name());
    }

    public static d0.a c(x2 x2Var) throws GeneralSecurityException {
        int i7 = a.f13261c[x2Var.ordinal()];
        if (i7 == 1) {
            return d0.a.SHA256;
        }
        if (i7 == 2) {
            return d0.a.SHA384;
        }
        if (i7 == 3) {
            return d0.a.SHA512;
        }
        throw new GeneralSecurityException("unsupported hash type: " + x2Var.name());
    }

    public static void d(t1 t1Var) throws GeneralSecurityException {
        z1 e12 = t1Var.e1();
        x2 u7 = t1Var.u();
        u2 T = t1Var.T();
        int i7 = a.f13259a[e12.ordinal()];
        if (i7 == 1 || i7 == 2) {
            int i8 = a.f13260b[T.ordinal()];
            if (i8 != 1) {
                if (i8 != 2) {
                    if (i8 != 3) {
                        throw new GeneralSecurityException(f13258a);
                    } else if (u7 != x2.SHA512) {
                        throw new GeneralSecurityException(f13258a);
                    }
                } else if (u7 != x2.SHA384 && u7 != x2.SHA512) {
                    throw new GeneralSecurityException(f13258a);
                }
            } else if (u7 != x2.SHA256) {
                throw new GeneralSecurityException(f13258a);
            }
        } else {
            throw new GeneralSecurityException("unsupported signature encoding");
        }
    }

    public static void e(u4 u4Var) throws GeneralSecurityException {
        c(u4Var.u());
    }

    public static void f(d5 d5Var) throws GeneralSecurityException {
        c(d5Var.G0());
        if (d5Var.G0() != d5Var.c0()) {
            throw new GeneralSecurityException("MGF1 hash is different from signature hash");
        } else if (d5Var.I0() < 0) {
            throw new GeneralSecurityException("salt length is negative");
        }
    }
}
