package com.google.crypto.tink.signature;

import com.google.crypto.tink.proto.a4;
import com.google.crypto.tink.proto.d5;
import com.google.crypto.tink.proto.h5;
import com.google.crypto.tink.proto.o4;
import com.google.crypto.tink.proto.t1;
import com.google.crypto.tink.proto.t3;
import com.google.crypto.tink.proto.u2;
import com.google.crypto.tink.proto.u4;
import com.google.crypto.tink.proto.v2;
import com.google.crypto.tink.proto.v3;
import com.google.crypto.tink.proto.x1;
import com.google.crypto.tink.proto.x2;
import com.google.crypto.tink.proto.y4;
import com.google.crypto.tink.proto.z1;
import com.google.crypto.tink.shaded.protobuf.m;
import com.google.crypto.tink.subtle.d0;
import com.google.crypto.tink.subtle.l0;
import com.google.crypto.tink.subtle.q0;
import com.google.crypto.tink.t;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.StringReader;
import java.security.Key;
import java.security.interfaces.ECPublicKey;
import java.security.interfaces.RSAPublicKey;
import java.util.ArrayList;
import java.util.List;

public final class p implements t {

    /* renamed from: a  reason: collision with root package name */
    private List<c> f13285a;

    /* access modifiers changed from: package-private */
    public static /* synthetic */ class a {

        /* renamed from: a  reason: collision with root package name */
        static final /* synthetic */ int[] f13286a;

        /* JADX WARNING: Can't wrap try/catch for region: R(6:0|1|2|3|4|(3:5|6|8)) */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0012 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:5:0x001d */
        static {
            int[] iArr = new int[d0.a.values().length];
            f13286a = iArr;
            iArr[d0.a.SHA256.ordinal()] = 1;
            f13286a[d0.a.SHA384.ordinal()] = 2;
            try {
                f13286a[d0.a.SHA512.ordinal()] = 3;
            } catch (NoSuchFieldError unused) {
            }
        }
    }

    public static final class b {

        /* renamed from: a  reason: collision with root package name */
        private List<c> f13287a = new ArrayList();

        b() {
        }

        public b a(String str, l0 l0Var) {
            c cVar = new c(null);
            cVar.f13288a = new BufferedReader(new StringReader(str));
            cVar.f13289b = l0Var;
            this.f13287a.add(cVar);
            return this;
        }

        public t b() {
            return new p(this.f13287a);
        }
    }

    private static final class c {

        /* renamed from: a  reason: collision with root package name */
        BufferedReader f13288a;

        /* renamed from: b  reason: collision with root package name */
        l0 f13289b;

        private c() {
        }

        /* synthetic */ c(a aVar) {
            this();
        }
    }

    p(List<c> list) {
        this.f13285a = list;
    }

    private static t3 b(l0 l0Var, ECPublicKey eCPublicKey) throws IOException {
        if (l0Var.f13504g.equals("ECDSA")) {
            return (t3) t3.B2().V1(new b().c()).X1(((x1) x1.E2().X1(new b().e()).W1((t1) t1.C2().X1(f(l0Var)).T1(d(l0Var)).V1(z1.DER).build()).Y1(m.x(eCPublicKey.getW().getAffineX().toByteArray())).Z1(m.x(eCPublicKey.getW().getAffineY().toByteArray())).build()).toByteString()).T1(t3.c.ASYMMETRIC_PUBLIC).build();
        }
        throw new IOException("unsupported EC signature algorithm: " + l0Var.f13504g);
    }

    private static t3 c(l0 l0Var, RSAPublicKey rSAPublicKey) throws IOException {
        com.google.crypto.tink.shaded.protobuf.a aVar;
        t3.b B2;
        String c7;
        if (l0Var.f13504g.equals("RSASSA-PKCS1-v1_5")) {
            aVar = (y4) y4.E2().Z1(new j().e()).Y1((u4) u4.u2().R1(f(l0Var)).build()).V1(m.x(rSAPublicKey.getPublicExponent().toByteArray())).W1(m.x(rSAPublicKey.getModulus().toByteArray())).build();
            B2 = t3.B2();
            c7 = new j().c();
        } else if (l0Var.f13504g.equals("RSASSA-PSS")) {
            aVar = (h5) h5.E2().Z1(new l().e()).Y1((d5) d5.B2().W1(f(l0Var)).T1(f(l0Var)).V1(e(l0Var)).build()).V1(m.x(rSAPublicKey.getPublicExponent().toByteArray())).W1(m.x(rSAPublicKey.getModulus().toByteArray())).build();
            B2 = t3.B2();
            c7 = new l().c();
        } else {
            throw new IOException("unsupported RSA signature algorithm: " + l0Var.f13504g);
        }
        return (t3) B2.V1(c7).X1(aVar.toByteString()).T1(t3.c.ASYMMETRIC_PUBLIC).build();
    }

    private static u2 d(l0 l0Var) {
        int i7 = l0Var.f13505p;
        if (i7 == 256) {
            return u2.NIST_P256;
        }
        if (i7 == 384) {
            return u2.NIST_P384;
        }
        if (i7 == 521) {
            return u2.NIST_P521;
        }
        throw new IllegalArgumentException("unsupported curve for key size: " + l0Var.f13505p);
    }

    private static int e(l0 l0Var) {
        int i7 = a.f13286a[l0Var.f13506x.ordinal()];
        if (i7 == 1) {
            return 32;
        }
        if (i7 == 2) {
            return 48;
        }
        if (i7 == 3) {
            return 64;
        }
        throw new IllegalArgumentException("unsupported hash type: " + l0Var.f13506x.name());
    }

    private static x2 f(l0 l0Var) {
        int i7 = a.f13286a[l0Var.f13506x.ordinal()];
        if (i7 == 1) {
            return x2.SHA256;
        }
        if (i7 == 2) {
            return x2.SHA384;
        }
        if (i7 == 3) {
            return x2.SHA512;
        }
        throw new IllegalArgumentException("unsupported hash type: " + l0Var.f13506x.name());
    }

    public static b g() {
        return new b();
    }

    private static a4.c h(BufferedReader bufferedReader, l0 l0Var) throws IOException {
        t3 t3Var;
        Key c7 = l0Var.c(bufferedReader);
        if (c7 == null) {
            return null;
        }
        if (c7 instanceof RSAPublicKey) {
            t3Var = c(l0Var, (RSAPublicKey) c7);
        } else if (!(c7 instanceof ECPublicKey)) {
            return null;
        } else {
            t3Var = b(l0Var, (ECPublicKey) c7);
        }
        return (a4.c) a4.c.G2().W1(t3Var).a2(v3.ENABLED).Y1(o4.RAW).X1(q0.d()).build();
    }

    @Override // com.google.crypto.tink.t
    public v2 a() throws IOException {
        throw new UnsupportedOperationException();
    }

    @Override // com.google.crypto.tink.t
    public a4 read() throws IOException {
        a4.b G2 = a4.G2();
        for (c cVar : this.f13285a) {
            while (true) {
                a4.c h7 = h(cVar.f13288a, cVar.f13289b);
                if (h7 != null) {
                    G2.U1(h7);
                }
            }
        }
        if (G2.o0() != 0) {
            G2.a2(G2.J(0).x());
            return (a4) G2.build();
        }
        throw new IOException("cannot find any key");
    }
}
