package com.google.crypto.tink.streamingaead;

import com.google.crypto.tink.g0;
import com.google.crypto.tink.h0;
import com.google.crypto.tink.o;
import com.google.crypto.tink.p;
import com.google.crypto.tink.proto.o0;
import com.google.crypto.tink.proto.p0;
import com.google.crypto.tink.proto.s0;
import com.google.crypto.tink.proto.t3;
import com.google.crypto.tink.proto.x2;
import com.google.crypto.tink.shaded.protobuf.m;
import com.google.crypto.tink.shaded.protobuf.v;
import com.google.crypto.tink.subtle.d;
import com.google.crypto.tink.subtle.e1;
import com.google.crypto.tink.subtle.q0;
import java.io.IOException;
import java.io.InputStream;
import java.security.GeneralSecurityException;

public final class b extends p<o0> {

    /* renamed from: d  reason: collision with root package name */
    private static final int f13294d = 7;

    /* renamed from: e  reason: collision with root package name */
    private static final int f13295e = 16;

    class a extends p.b<h0, o0> {
        a(Class cls) {
            super(cls);
        }

        /* renamed from: c */
        public h0 a(o0 o0Var) throws GeneralSecurityException {
            return new d(o0Var.b().H0(), j.a(o0Var.getParams().k()), o0Var.getParams().v(), o0Var.getParams().D(), 0);
        }
    }

    /* renamed from: com.google.crypto.tink.streamingaead.b$b  reason: collision with other inner class name */
    class C0196b extends p.a<p0, o0> {
        C0196b(Class cls) {
            super(cls);
        }

        /* renamed from: f */
        public o0 a(p0 p0Var) throws GeneralSecurityException {
            return (o0) o0.B2().U1(m.x(q0.c(p0Var.c()))).W1(p0Var.getParams()).X1(b.this.e()).build();
        }

        /* renamed from: g */
        public o0 b(p0 p0Var, InputStream inputStream) throws GeneralSecurityException {
            e1.j(p0Var.getVersion(), b.this.e());
            byte[] bArr = new byte[p0Var.c()];
            try {
                if (inputStream.read(bArr) == p0Var.c()) {
                    return (o0) o0.B2().U1(m.x(bArr)).W1(p0Var.getParams()).X1(b.this.e()).build();
                }
                throw new GeneralSecurityException("Not enough pseudorandomness given");
            } catch (IOException e7) {
                throw new GeneralSecurityException("Reading pseudorandomness failed", e7);
            }
        }

        /* renamed from: h */
        public p0 d(m mVar) throws com.google.crypto.tink.shaded.protobuf.h0 {
            return p0.G2(mVar, v.d());
        }

        /* renamed from: i */
        public void e(p0 p0Var) throws GeneralSecurityException {
            if (p0Var.c() >= 16) {
                b.t(p0Var.getParams());
                return;
            }
            throw new GeneralSecurityException("key_size must be at least 16 bytes");
        }
    }

    b() {
        super(o0.class, new a(h0.class));
    }

    public static final o l() {
        return p(16, x2.SHA256, 16, 1048576);
    }

    public static final o m() {
        return p(16, x2.SHA256, 16, 4096);
    }

    public static final o n() {
        return p(32, x2.SHA256, 32, 1048576);
    }

    public static final o o() {
        return p(32, x2.SHA256, 32, 4096);
    }

    private static o p(int i7, x2 x2Var, int i8, int i9) {
        return o.a(new b().c(), ((p0) p0.B2().U1(i7).W1((s0) s0.A2().T1(i9).U1(i8).V1(x2Var).build()).build()).toByteArray(), o.b.RAW);
    }

    public static void r(boolean z7) throws GeneralSecurityException {
        g0.L(new b(), z7);
    }

    /* access modifiers changed from: private */
    public static void t(s0 s0Var) throws GeneralSecurityException {
        e1.a(s0Var.v());
        if (s0Var.k() == x2.UNKNOWN_HASH) {
            throw new GeneralSecurityException("unknown HKDF hash type");
        } else if (s0Var.D() < s0Var.v() + 7 + 16 + 2) {
            throw new GeneralSecurityException("ciphertext_segment_size must be at least (derived_key_size + NONCE_PREFIX_IN_BYTES + TAG_SIZE_IN_BYTES + 2)");
        }
    }

    @Override // com.google.crypto.tink.p
    public String c() {
        return "type.googleapis.com/google.crypto.tink.AesGcmHkdfStreamingKey";
    }

    @Override // com.google.crypto.tink.p
    public int e() {
        return 0;
    }

    /* Return type fixed from 'com.google.crypto.tink.p$a<com.google.crypto.tink.proto.p0, com.google.crypto.tink.proto.o0>' to match base method */
    @Override // com.google.crypto.tink.p
    public p.a<?, o0> f() {
        return new C0196b(p0.class);
    }

    @Override // com.google.crypto.tink.p
    public t3.c g() {
        return t3.c.SYMMETRIC;
    }

    /* renamed from: q */
    public o0 h(m mVar) throws com.google.crypto.tink.shaded.protobuf.h0 {
        return o0.G2(mVar, v.d());
    }

    /* renamed from: s */
    public void j(o0 o0Var) throws GeneralSecurityException {
        e1.j(o0Var.getVersion(), e());
        t(o0Var.getParams());
    }
}
