package com.google.crypto.tink.subtle;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.nio.channels.ReadableByteChannel;
import java.nio.channels.SeekableByteChannel;
import java.nio.channels.WritableByteChannel;
import java.security.GeneralSecurityException;
import java.security.InvalidAlgorithmParameterException;
import java.util.Arrays;
import javax.crypto.Cipher;
import javax.crypto.Mac;
import javax.crypto.spec.IvParameterSpec;
import javax.crypto.spec.SecretKeySpec;

public final class a extends k0 {

    /* renamed from: i  reason: collision with root package name */
    private static final int f13323i = 16;

    /* renamed from: j  reason: collision with root package name */
    private static final int f13324j = 7;

    /* renamed from: k  reason: collision with root package name */
    private static final int f13325k = 32;

    /* renamed from: a  reason: collision with root package name */
    private final int f13326a;

    /* renamed from: b  reason: collision with root package name */
    private final String f13327b;

    /* renamed from: c  reason: collision with root package name */
    private final int f13328c;

    /* renamed from: d  reason: collision with root package name */
    private final int f13329d;

    /* renamed from: e  reason: collision with root package name */
    private final int f13330e;

    /* renamed from: f  reason: collision with root package name */
    private final int f13331f;

    /* renamed from: g  reason: collision with root package name */
    private final String f13332g;

    /* renamed from: h  reason: collision with root package name */
    private final byte[] f13333h;

    /* access modifiers changed from: package-private */
    /* renamed from: com.google.crypto.tink.subtle.a$a  reason: collision with other inner class name */
    public class C0197a implements w0 {

        /* renamed from: g  reason: collision with root package name */
        static final /* synthetic */ boolean f13334g = false;

        /* renamed from: a  reason: collision with root package name */
        private SecretKeySpec f13335a;

        /* renamed from: b  reason: collision with root package name */
        private SecretKeySpec f13336b;

        /* renamed from: c  reason: collision with root package name */
        private Cipher f13337c;

        /* renamed from: d  reason: collision with root package name */
        private Mac f13338d;

        /* renamed from: e  reason: collision with root package name */
        private byte[] f13339e;

        C0197a() {
        }

        @Override // com.google.crypto.tink.subtle.w0
        public synchronized void a(ByteBuffer byteBuffer, byte[] bArr) throws GeneralSecurityException {
            if (byteBuffer.remaining() != a.this.i()) {
                throw new InvalidAlgorithmParameterException("Invalid header length");
            } else if (byteBuffer.get() == a.this.i()) {
                this.f13339e = new byte[7];
                byte[] bArr2 = new byte[a.this.f13326a];
                byteBuffer.get(bArr2);
                byteBuffer.get(this.f13339e);
                byte[] y7 = a.this.y(bArr2, bArr);
                this.f13335a = a.this.z(y7);
                this.f13336b = a.this.x(y7);
                this.f13337c = a.w();
                this.f13338d = a.this.C();
            } else {
                throw new GeneralSecurityException("Invalid ciphertext");
            }
        }

        @Override // com.google.crypto.tink.subtle.w0
        public synchronized void b(ByteBuffer byteBuffer, int i7, boolean z7, ByteBuffer byteBuffer2) throws GeneralSecurityException {
            int position = byteBuffer.position();
            byte[] F = a.this.F(this.f13339e, (long) i7, z7);
            int remaining = byteBuffer.remaining();
            if (remaining >= a.this.f13328c) {
                int i8 = position + (remaining - a.this.f13328c);
                ByteBuffer duplicate = byteBuffer.duplicate();
                duplicate.limit(i8);
                ByteBuffer duplicate2 = byteBuffer.duplicate();
                duplicate2.position(i8);
                this.f13338d.init(this.f13336b);
                this.f13338d.update(F);
                this.f13338d.update(duplicate);
                byte[] copyOf = Arrays.copyOf(this.f13338d.doFinal(), a.this.f13328c);
                byte[] bArr = new byte[a.this.f13328c];
                duplicate2.get(bArr);
                if (i.e(bArr, copyOf)) {
                    byteBuffer.limit(i8);
                    this.f13337c.init(1, this.f13335a, new IvParameterSpec(F));
                    this.f13337c.doFinal(byteBuffer, byteBuffer2);
                } else {
                    throw new GeneralSecurityException("Tag mismatch");
                }
            } else {
                throw new GeneralSecurityException("Ciphertext too short");
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class b implements x0 {

        /* renamed from: a  reason: collision with root package name */
        private final SecretKeySpec f13341a;

        /* renamed from: b  reason: collision with root package name */
        private final SecretKeySpec f13342b;

        /* renamed from: c  reason: collision with root package name */
        private final Cipher f13343c = a.w();

        /* renamed from: d  reason: collision with root package name */
        private final Mac f13344d;

        /* renamed from: e  reason: collision with root package name */
        private final byte[] f13345e;

        /* renamed from: f  reason: collision with root package name */
        private ByteBuffer f13346f;

        /* renamed from: g  reason: collision with root package name */
        private long f13347g = 0;

        public b(byte[] bArr) throws GeneralSecurityException {
            this.f13344d = a.this.C();
            this.f13347g = 0;
            byte[] H = a.this.H();
            byte[] G = a.this.G();
            this.f13345e = G;
            ByteBuffer allocate = ByteBuffer.allocate(a.this.i());
            this.f13346f = allocate;
            allocate.put((byte) a.this.i());
            this.f13346f.put(H);
            this.f13346f.put(G);
            this.f13346f.flip();
            byte[] y7 = a.this.y(H, bArr);
            this.f13341a = a.this.z(y7);
            this.f13342b = a.this.x(y7);
        }

        @Override // com.google.crypto.tink.subtle.x0
        public synchronized void a(ByteBuffer byteBuffer, boolean z7, ByteBuffer byteBuffer2) throws GeneralSecurityException {
            int position = byteBuffer2.position();
            byte[] F = a.this.F(this.f13345e, this.f13347g, z7);
            this.f13343c.init(1, this.f13341a, new IvParameterSpec(F));
            this.f13347g++;
            this.f13343c.doFinal(byteBuffer, byteBuffer2);
            ByteBuffer duplicate = byteBuffer2.duplicate();
            duplicate.flip();
            duplicate.position(position);
            this.f13344d.init(this.f13342b);
            this.f13344d.update(F);
            this.f13344d.update(duplicate);
            byteBuffer2.put(this.f13344d.doFinal(), 0, a.this.f13328c);
        }

        @Override // com.google.crypto.tink.subtle.x0
        public synchronized void b(ByteBuffer byteBuffer, ByteBuffer byteBuffer2, boolean z7, ByteBuffer byteBuffer3) throws GeneralSecurityException {
            int position = byteBuffer3.position();
            byte[] F = a.this.F(this.f13345e, this.f13347g, z7);
            this.f13343c.init(1, this.f13341a, new IvParameterSpec(F));
            this.f13347g++;
            this.f13343c.update(byteBuffer, byteBuffer3);
            this.f13343c.doFinal(byteBuffer2, byteBuffer3);
            ByteBuffer duplicate = byteBuffer3.duplicate();
            duplicate.flip();
            duplicate.position(position);
            this.f13344d.init(this.f13342b);
            this.f13344d.update(F);
            this.f13344d.update(duplicate);
            byteBuffer3.put(this.f13344d.doFinal(), 0, a.this.f13328c);
        }

        @Override // com.google.crypto.tink.subtle.x0
        public ByteBuffer c() {
            return this.f13346f.asReadOnlyBuffer();
        }
    }

    public a(byte[] bArr, String str, int i7, String str2, int i8, int i9, int i10) throws InvalidAlgorithmParameterException {
        I(bArr.length, i7, str2, i8, i9, i10);
        this.f13333h = Arrays.copyOf(bArr, bArr.length);
        this.f13332g = str;
        this.f13326a = i7;
        this.f13327b = str2;
        this.f13328c = i8;
        this.f13329d = i9;
        this.f13331f = i10;
        this.f13330e = i9 - i8;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private Mac C() throws GeneralSecurityException {
        return b0.f13368h.h(this.f13327b);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private byte[] F(byte[] bArr, long j7, boolean z7) throws GeneralSecurityException {
        ByteBuffer allocate = ByteBuffer.allocate(16);
        allocate.order(ByteOrder.BIG_ENDIAN);
        allocate.put(bArr);
        d1.f(allocate, j7);
        allocate.put(z7 ? (byte) 1 : 0);
        allocate.putInt(0);
        return allocate.array();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private byte[] G() {
        return q0.c(7);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private byte[] H() {
        return q0.c(this.f13326a);
    }

    private static void I(int i7, int i8, String str, int i9, int i10, int i11) throws InvalidAlgorithmParameterException {
        if (i7 < 16 || i7 < i8) {
            throw new InvalidAlgorithmParameterException("ikm too short, must be >= " + Math.max(16, i8));
        }
        e1.a(i8);
        if (i9 < 10) {
            throw new InvalidAlgorithmParameterException("tag size too small " + i9);
        } else if ((str.equals("HmacSha1") && i9 > 20) || ((str.equals("HmacSha256") && i9 > 32) || (str.equals("HmacSha512") && i9 > 64))) {
            throw new InvalidAlgorithmParameterException("tag size too big");
        } else if (((((i10 - i11) - i9) - i8) - 7) - 1 <= 0) {
            throw new InvalidAlgorithmParameterException("ciphertextSegmentSize too small");
        }
    }

    /* access modifiers changed from: private */
    public static Cipher w() throws GeneralSecurityException {
        return b0.f13367g.h("AES/CTR/NoPadding");
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private SecretKeySpec x(byte[] bArr) throws GeneralSecurityException {
        return new SecretKeySpec(bArr, this.f13326a, 32, this.f13327b);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private byte[] y(byte[] bArr, byte[] bArr2) throws GeneralSecurityException {
        return g0.b(this.f13332g, this.f13333h, bArr, bArr2, this.f13326a + 32);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private SecretKeySpec z(byte[] bArr) throws GeneralSecurityException {
        return new SecretKeySpec(bArr, 0, this.f13326a, "AES");
    }

    public long A(long j7) {
        long f7 = j7 + ((long) f());
        int i7 = this.f13330e;
        long j8 = (f7 / ((long) i7)) * ((long) this.f13329d);
        long j9 = f7 % ((long) i7);
        return j9 > 0 ? j8 + j9 + ((long) this.f13328c) : j8;
    }

    public int B() {
        return this.f13331f;
    }

    /* renamed from: D */
    public C0197a k() throws GeneralSecurityException {
        return new C0197a();
    }

    /* renamed from: E */
    public b l(byte[] bArr) throws GeneralSecurityException {
        return new b(bArr);
    }

    @Override // com.google.crypto.tink.h0, com.google.crypto.tink.subtle.k0
    public /* bridge */ /* synthetic */ ReadableByteChannel a(ReadableByteChannel readableByteChannel, byte[] bArr) throws GeneralSecurityException, IOException {
        return super.a(readableByteChannel, bArr);
    }

    @Override // com.google.crypto.tink.h0, com.google.crypto.tink.subtle.k0
    public /* bridge */ /* synthetic */ OutputStream b(OutputStream outputStream, byte[] bArr) throws GeneralSecurityException, IOException {
        return super.b(outputStream, bArr);
    }

    @Override // com.google.crypto.tink.h0, com.google.crypto.tink.subtle.k0
    public /* bridge */ /* synthetic */ WritableByteChannel c(WritableByteChannel writableByteChannel, byte[] bArr) throws GeneralSecurityException, IOException {
        return super.c(writableByteChannel, bArr);
    }

    @Override // com.google.crypto.tink.h0, com.google.crypto.tink.subtle.k0
    public /* bridge */ /* synthetic */ SeekableByteChannel d(SeekableByteChannel seekableByteChannel, byte[] bArr) throws GeneralSecurityException, IOException {
        return super.d(seekableByteChannel, bArr);
    }

    @Override // com.google.crypto.tink.h0, com.google.crypto.tink.subtle.k0
    public /* bridge */ /* synthetic */ InputStream e(InputStream inputStream, byte[] bArr) throws GeneralSecurityException, IOException {
        return super.e(inputStream, bArr);
    }

    @Override // com.google.crypto.tink.subtle.k0
    public int f() {
        return i() + this.f13331f;
    }

    @Override // com.google.crypto.tink.subtle.k0
    public int g() {
        return this.f13328c;
    }

    @Override // com.google.crypto.tink.subtle.k0
    public int h() {
        return this.f13329d;
    }

    @Override // com.google.crypto.tink.subtle.k0
    public int i() {
        return this.f13326a + 1 + 7;
    }

    @Override // com.google.crypto.tink.subtle.k0
    public int j() {
        return this.f13330e;
    }
}
