package com.google.crypto.tink.subtle;

import java.io.IOException;
import java.nio.ByteBuffer;
import java.nio.channels.ClosedChannelException;
import java.nio.channels.WritableByteChannel;
import java.security.GeneralSecurityException;

/* access modifiers changed from: package-private */
public class a1 implements WritableByteChannel {
    boolean C1 = true;

    /* renamed from: f  reason: collision with root package name */
    private WritableByteChannel f13352f;

    /* renamed from: g  reason: collision with root package name */
    private x0 f13353g;

    /* renamed from: p  reason: collision with root package name */
    ByteBuffer f13354p;

    /* renamed from: x  reason: collision with root package name */
    ByteBuffer f13355x;

    /* renamed from: y  reason: collision with root package name */
    private int f13356y;

    public a1(k0 k0Var, WritableByteChannel writableByteChannel, byte[] bArr) throws GeneralSecurityException, IOException {
        this.f13352f = writableByteChannel;
        this.f13353g = k0Var.l(bArr);
        int j7 = k0Var.j();
        this.f13356y = j7;
        ByteBuffer allocate = ByteBuffer.allocate(j7);
        this.f13354p = allocate;
        allocate.limit(this.f13356y - k0Var.f());
        ByteBuffer allocate2 = ByteBuffer.allocate(k0Var.h());
        this.f13355x = allocate2;
        allocate2.put(this.f13353g.c());
        this.f13355x.flip();
        writableByteChannel.write(this.f13355x);
    }

    @Override // java.io.Closeable, java.lang.AutoCloseable, java.nio.channels.Channel
    public synchronized void close() throws IOException {
        if (this.C1) {
            while (this.f13355x.remaining() > 0) {
                if (this.f13352f.write(this.f13355x) <= 0) {
                    throw new IOException("Failed to write ciphertext before closing");
                }
            }
            try {
                this.f13355x.clear();
                this.f13354p.flip();
                this.f13353g.a(this.f13354p, true, this.f13355x);
                this.f13355x.flip();
                while (this.f13355x.remaining() > 0) {
                    if (this.f13352f.write(this.f13355x) <= 0) {
                        throw new IOException("Failed to write ciphertext before closing");
                    }
                }
                this.f13352f.close();
                this.C1 = false;
            } catch (GeneralSecurityException e7) {
                throw new IOException(e7);
            }
        }
    }

    public boolean isOpen() {
        return this.C1;
    }

    @Override // java.nio.channels.WritableByteChannel
    public synchronized int write(ByteBuffer byteBuffer) throws IOException {
        int position;
        if (this.C1) {
            if (this.f13355x.remaining() > 0) {
                this.f13352f.write(this.f13355x);
            }
            position = byteBuffer.position();
            while (true) {
                if (byteBuffer.remaining() <= this.f13354p.remaining()) {
                    this.f13354p.put(byteBuffer);
                    break;
                } else if (this.f13355x.remaining() > 0) {
                    break;
                } else {
                    int remaining = this.f13354p.remaining();
                    ByteBuffer slice = byteBuffer.slice();
                    slice.limit(remaining);
                    byteBuffer.position(byteBuffer.position() + remaining);
                    try {
                        this.f13354p.flip();
                        this.f13355x.clear();
                        if (slice.remaining() != 0) {
                            this.f13353g.b(this.f13354p, slice, false, this.f13355x);
                        } else {
                            this.f13353g.a(this.f13354p, false, this.f13355x);
                        }
                        this.f13355x.flip();
                        this.f13352f.write(this.f13355x);
                        this.f13354p.clear();
                        this.f13354p.limit(this.f13356y);
                    } catch (GeneralSecurityException e7) {
                        throw new IOException(e7);
                    }
                }
            }
        } else {
            throw new ClosedChannelException();
        }
        return byteBuffer.position() - position;
    }
}
