package com.google.crypto.tink.subtle;

import com.google.android.gms.security.a;
import com.google.crypto.tink.subtle.c0;
import java.security.GeneralSecurityException;
import java.security.KeyFactory;
import java.security.KeyPairGenerator;
import java.security.MessageDigest;
import java.security.Provider;
import java.security.Security;
import java.security.Signature;
import java.util.ArrayList;
import java.util.List;
import java.util.logging.Logger;
import javax.crypto.Cipher;
import javax.crypto.KeyAgreement;
import javax.crypto.Mac;

public final class b0<T_WRAPPER extends c0<T_ENGINE>, T_ENGINE> {

    /* renamed from: d  reason: collision with root package name */
    private static final Logger f13364d = Logger.getLogger(b0.class.getName());

    /* renamed from: e  reason: collision with root package name */
    private static final List<Provider> f13365e = (d1.d() ? i(a.f6626d, "AndroidOpenSSL") : new ArrayList<>());

    /* renamed from: f  reason: collision with root package name */
    private static final boolean f13366f = true;

    /* renamed from: g  reason: collision with root package name */
    public static final b0<c0.a, Cipher> f13367g = new b0<>(new c0.a());

    /* renamed from: h  reason: collision with root package name */
    public static final b0<c0.e, Mac> f13368h = new b0<>(new c0.e());

    /* renamed from: i  reason: collision with root package name */
    public static final b0<c0.g, Signature> f13369i = new b0<>(new c0.g());

    /* renamed from: j  reason: collision with root package name */
    public static final b0<c0.f, MessageDigest> f13370j = new b0<>(new c0.f());

    /* renamed from: k  reason: collision with root package name */
    public static final b0<c0.b, KeyAgreement> f13371k = new b0<>(new c0.b());

    /* renamed from: l  reason: collision with root package name */
    public static final b0<c0.d, KeyPairGenerator> f13372l = new b0<>(new c0.d());

    /* renamed from: m  reason: collision with root package name */
    public static final b0<c0.c, KeyFactory> f13373m = new b0<>(new c0.c());

    /* renamed from: a  reason: collision with root package name */
    private T_WRAPPER f13374a;

    /* renamed from: b  reason: collision with root package name */
    private List<Provider> f13375b;

    /* renamed from: c  reason: collision with root package name */
    private boolean f13376c;

    public b0(T_WRAPPER t_wrapper) {
        this.f13374a = t_wrapper;
        this.f13375b = f13365e;
        this.f13376c = true;
    }

    public static final b0<c0.a, Cipher> a(boolean z7, String... strArr) {
        return new b0<>(new c0.a(), i(strArr), z7);
    }

    public static final b0<c0.b, KeyAgreement> b(boolean z7, String... strArr) {
        return new b0<>(new c0.b(), i(strArr), z7);
    }

    public static final b0<c0.c, KeyFactory> c(boolean z7, String... strArr) {
        return new b0<>(new c0.c(), i(strArr), z7);
    }

    public static final b0<c0.d, KeyPairGenerator> d(boolean z7, String... strArr) {
        return new b0<>(new c0.d(), i(strArr), z7);
    }

    public static final b0<c0.e, Mac> e(boolean z7, String... strArr) {
        return new b0<>(new c0.e(), i(strArr), z7);
    }

    public static final b0<c0.f, MessageDigest> f(boolean z7, String... strArr) {
        return new b0<>(new c0.f(), i(strArr), z7);
    }

    public static final b0<c0.g, Signature> g(boolean z7, String... strArr) {
        return new b0<>(new c0.g(), i(strArr), z7);
    }

    public static List<Provider> i(String... strArr) {
        ArrayList arrayList = new ArrayList();
        for (String str : strArr) {
            Provider provider = Security.getProvider(str);
            if (provider != null) {
                arrayList.add(provider);
            } else {
                f13364d.info(String.format("Provider %s not available", str));
            }
        }
        return arrayList;
    }

    public T_ENGINE h(String str) throws GeneralSecurityException {
        Exception exc = null;
        for (Provider provider : this.f13375b) {
            try {
                return (T_ENGINE) this.f13374a.a(str, provider);
            } catch (Exception e7) {
                if (exc == null) {
                    exc = e7;
                }
            }
        }
        if (this.f13376c) {
            return (T_ENGINE) this.f13374a.a(str, null);
        }
        throw new GeneralSecurityException("No good Provider found.", exc);
    }

    public b0(T_WRAPPER t_wrapper, List<Provider> list) {
        this.f13374a = t_wrapper;
        this.f13375b = list;
        this.f13376c = true;
    }

    public b0(T_WRAPPER t_wrapper, List<Provider> list, boolean z7) {
        this.f13374a = t_wrapper;
        this.f13375b = list;
        this.f13376c = z7;
    }
}
