package com.google.crypto.tink.subtle;

import java.security.GeneralSecurityException;
import java.util.Arrays;
import javax.crypto.AEADBadTagException;
import javax.crypto.BadPaddingException;
import javax.crypto.Cipher;
import javax.crypto.IllegalBlockSizeException;
import javax.crypto.spec.IvParameterSpec;
import javax.crypto.spec.SecretKeySpec;

public final class c implements com.google.crypto.tink.a {

    /* renamed from: e  reason: collision with root package name */
    private static final ThreadLocal<Cipher> f13382e = new a();

    /* renamed from: f  reason: collision with root package name */
    private static final ThreadLocal<Cipher> f13383f = new b();

    /* renamed from: g  reason: collision with root package name */
    static final int f13384g = 16;

    /* renamed from: h  reason: collision with root package name */
    static final int f13385h = 16;

    /* renamed from: i  reason: collision with root package name */
    static final /* synthetic */ boolean f13386i = false;

    /* renamed from: a  reason: collision with root package name */
    private final byte[] f13387a;

    /* renamed from: b  reason: collision with root package name */
    private final byte[] f13388b;

    /* renamed from: c  reason: collision with root package name */
    private final SecretKeySpec f13389c;

    /* renamed from: d  reason: collision with root package name */
    private final int f13390d;

    class a extends ThreadLocal<Cipher> {
        a() {
        }

        /* access modifiers changed from: protected */
        /* renamed from: a */
        public Cipher initialValue() {
            try {
                return b0.f13367g.h("AES/ECB/NOPADDING");
            } catch (GeneralSecurityException e7) {
                throw new IllegalStateException(e7);
            }
        }
    }

    class b extends ThreadLocal<Cipher> {
        b() {
        }

        /* access modifiers changed from: protected */
        /* renamed from: a */
        public Cipher initialValue() {
            try {
                return b0.f13367g.h("AES/CTR/NOPADDING");
            } catch (GeneralSecurityException e7) {
                throw new IllegalStateException(e7);
            }
        }
    }

    public c(byte[] bArr, int i7) throws GeneralSecurityException {
        if (i7 == 12 || i7 == 16) {
            this.f13390d = i7;
            e1.a(bArr.length);
            SecretKeySpec secretKeySpec = new SecretKeySpec(bArr, "AES");
            this.f13389c = secretKeySpec;
            Cipher cipher = f13382e.get();
            cipher.init(1, secretKeySpec);
            byte[] c7 = c(cipher.doFinal(new byte[16]));
            this.f13387a = c7;
            this.f13388b = c(c7);
            return;
        }
        throw new IllegalArgumentException("IV size should be either 12 or 16 bytes");
    }

    private static byte[] c(byte[] bArr) {
        byte[] bArr2 = new byte[16];
        int i7 = 0;
        int i8 = 0;
        while (i8 < 15) {
            int i9 = i8 + 1;
            bArr2[i8] = (byte) (((bArr[i8] << 1) ^ ((bArr[i9] & 255) >>> 7)) & 255);
            i8 = i9;
        }
        int i10 = bArr[15] << 1;
        if ((bArr[0] & 128) != 0) {
            i7 = 135;
        }
        bArr2[15] = (byte) (i10 ^ i7);
        return bArr2;
    }

    private byte[] d(Cipher cipher, int i7, byte[] bArr, int i8, int i9) throws IllegalBlockSizeException, BadPaddingException {
        byte[] bArr2 = new byte[16];
        bArr2[15] = (byte) i7;
        if (i9 == 0) {
            return cipher.doFinal(f(bArr2, this.f13387a));
        }
        byte[] doFinal = cipher.doFinal(bArr2);
        int i10 = 0;
        while (i9 - i10 > 16) {
            for (int i11 = 0; i11 < 16; i11++) {
                doFinal[i11] = (byte) (doFinal[i11] ^ bArr[(i8 + i10) + i11]);
            }
            doFinal = cipher.doFinal(doFinal);
            i10 += 16;
        }
        return cipher.doFinal(f(doFinal, e(Arrays.copyOfRange(bArr, i10 + i8, i8 + i9))));
    }

    private byte[] e(byte[] bArr) {
        if (bArr.length == 16) {
            return f(bArr, this.f13387a);
        }
        byte[] copyOf = Arrays.copyOf(this.f13388b, 16);
        for (int i7 = 0; i7 < bArr.length; i7++) {
            copyOf[i7] = (byte) (copyOf[i7] ^ bArr[i7]);
        }
        copyOf[bArr.length] = (byte) (copyOf[bArr.length] ^ 128);
        return copyOf;
    }

    private static byte[] f(byte[] bArr, byte[] bArr2) {
        int length = bArr.length;
        byte[] bArr3 = new byte[length];
        for (int i7 = 0; i7 < length; i7++) {
            bArr3[i7] = (byte) (bArr[i7] ^ bArr2[i7]);
        }
        return bArr3;
    }

    @Override // com.google.crypto.tink.a
    public byte[] a(byte[] bArr, byte[] bArr2) throws GeneralSecurityException {
        int length = bArr.length;
        int i7 = this.f13390d;
        if (length <= (Integer.MAX_VALUE - i7) - 16) {
            byte[] bArr3 = new byte[(bArr.length + i7 + 16)];
            byte[] c7 = q0.c(i7);
            System.arraycopy(c7, 0, bArr3, 0, this.f13390d);
            Cipher cipher = f13382e.get();
            cipher.init(1, this.f13389c);
            byte[] d7 = d(cipher, 0, c7, 0, c7.length);
            byte[] bArr4 = bArr2 == null ? new byte[0] : bArr2;
            byte[] d8 = d(cipher, 1, bArr4, 0, bArr4.length);
            Cipher cipher2 = f13383f.get();
            cipher2.init(1, this.f13389c, new IvParameterSpec(d7));
            cipher2.doFinal(bArr, 0, bArr.length, bArr3, this.f13390d);
            byte[] d9 = d(cipher, 2, bArr3, this.f13390d, bArr.length);
            int length2 = bArr.length + this.f13390d;
            for (int i8 = 0; i8 < 16; i8++) {
                bArr3[length2 + i8] = (byte) ((d8[i8] ^ d7[i8]) ^ d9[i8]);
            }
            return bArr3;
        }
        throw new GeneralSecurityException("plaintext too long");
    }

    @Override // com.google.crypto.tink.a
    public byte[] b(byte[] bArr, byte[] bArr2) throws GeneralSecurityException {
        int length = (bArr.length - this.f13390d) - 16;
        if (length >= 0) {
            Cipher cipher = f13382e.get();
            cipher.init(1, this.f13389c);
            byte[] d7 = d(cipher, 0, bArr, 0, this.f13390d);
            if (bArr2 == null) {
                bArr2 = new byte[0];
            }
            byte[] d8 = d(cipher, 1, bArr2, 0, bArr2.length);
            byte[] d9 = d(cipher, 2, bArr, this.f13390d, length);
            int length2 = bArr.length - 16;
            byte b7 = 0;
            for (int i7 = 0; i7 < 16; i7++) {
                b7 = (byte) (b7 | (((bArr[length2 + i7] ^ d8[i7]) ^ d7[i7]) ^ d9[i7]));
            }
            if (b7 == 0) {
                Cipher cipher2 = f13383f.get();
                cipher2.init(1, this.f13389c, new IvParameterSpec(d7));
                return cipher2.doFinal(bArr, this.f13390d, length);
            }
            throw new AEADBadTagException("tag mismatch");
        }
        throw new GeneralSecurityException("ciphertext too short");
    }
}
