package com.google.crypto.tink.subtle;

import java.io.IOException;
import java.nio.ByteBuffer;
import java.nio.channels.ClosedChannelException;
import java.nio.channels.NonWritableChannelException;
import java.nio.channels.SeekableByteChannel;
import java.security.GeneralSecurityException;
import java.util.Arrays;

/* access modifiers changed from: package-private */
public class c1 implements SeekableByteChannel {

    /* renamed from: g6  reason: collision with root package name */
    private static final int f13391g6 = 16;
    private final int C1;
    private final int C2;
    private final byte[] U5;
    private final w0 V5;
    private long W5 = 0;
    private long X5;
    private boolean Y5 = false;
    private boolean Z5 = false;

    /* renamed from: a6  reason: collision with root package name */
    private int f13392a6 = -1;

    /* renamed from: b6  reason: collision with root package name */
    private boolean f13393b6;

    /* renamed from: c6  reason: collision with root package name */
    private final int f13394c6;

    /* renamed from: d6  reason: collision with root package name */
    private final int f13395d6;

    /* renamed from: e6  reason: collision with root package name */
    private final int f13396e6;

    /* renamed from: f  reason: collision with root package name */
    private final SeekableByteChannel f13397f;

    /* renamed from: f6  reason: collision with root package name */
    private final int f13398f6;

    /* renamed from: g  reason: collision with root package name */
    private final ByteBuffer f13399g;

    /* renamed from: p  reason: collision with root package name */
    private final ByteBuffer f13400p;

    /* renamed from: x  reason: collision with root package name */
    private final ByteBuffer f13401x;

    /* renamed from: y  reason: collision with root package name */
    private final long f13402y;

    public c1(k0 k0Var, SeekableByteChannel seekableByteChannel, byte[] bArr) throws IOException, GeneralSecurityException {
        this.V5 = k0Var.k();
        this.f13397f = seekableByteChannel;
        this.f13401x = ByteBuffer.allocate(k0Var.i());
        int h7 = k0Var.h();
        this.f13395d6 = h7;
        this.f13399g = ByteBuffer.allocate(h7);
        int j7 = k0Var.j();
        this.f13394c6 = j7;
        this.f13400p = ByteBuffer.allocate(j7 + 16);
        long size = seekableByteChannel.size();
        this.f13402y = size;
        this.U5 = Arrays.copyOf(bArr, bArr.length);
        this.f13393b6 = seekableByteChannel.isOpen();
        int i7 = (int) (size / ((long) h7));
        int i8 = (int) (size % ((long) h7));
        int g7 = k0Var.g();
        if (i8 > 0) {
            this.C1 = i7 + 1;
            if (i8 >= g7) {
                this.C2 = i8;
            } else {
                throw new IOException("Invalid ciphertext size");
            }
        } else {
            this.C1 = i7;
            this.C2 = h7;
        }
        int f7 = k0Var.f();
        this.f13396e6 = f7;
        int i9 = f7 - k0Var.i();
        this.f13398f6 = i9;
        if (i9 >= 0) {
            long j8 = (((long) this.C1) * ((long) g7)) + ((long) f7);
            if (j8 <= size) {
                this.X5 = size - j8;
                return;
            }
            throw new IOException("Ciphertext is too short");
        }
        throw new IOException("Invalid ciphertext offset or header length");
    }

    private int a(long j7) {
        return (int) ((j7 + ((long) this.f13396e6)) / ((long) this.f13394c6));
    }

    private boolean b() {
        return this.Z5 && this.f13392a6 == this.C1 - 1 && this.f13400p.remaining() == 0;
    }

    private boolean d(int i7) throws IOException {
        int i8;
        if (i7 < 0 || i7 >= (i8 = this.C1)) {
            throw new IOException("Invalid position");
        }
        boolean z7 = i7 == i8 - 1;
        if (i7 != this.f13392a6) {
            int i9 = this.f13395d6;
            long j7 = ((long) i7) * ((long) i9);
            if (z7) {
                i9 = this.C2;
            }
            if (i7 == 0) {
                int i10 = this.f13396e6;
                i9 -= i10;
                j7 = (long) i10;
            }
            this.f13397f.position(j7);
            this.f13399g.clear();
            this.f13399g.limit(i9);
            this.f13392a6 = i7;
            this.Z5 = false;
        } else if (this.Z5) {
            return true;
        }
        if (this.f13399g.remaining() > 0) {
            this.f13397f.read(this.f13399g);
        }
        if (this.f13399g.remaining() > 0) {
            return false;
        }
        this.f13399g.flip();
        this.f13400p.clear();
        try {
            this.V5.b(this.f13399g, i7, z7, this.f13400p);
            this.f13400p.flip();
            this.Z5 = true;
            return true;
        } catch (GeneralSecurityException e7) {
            this.f13392a6 = -1;
            throw new IOException("Failed to decrypt", e7);
        }
    }

    private boolean e() throws IOException {
        this.f13397f.position((long) (this.f13401x.position() + this.f13398f6));
        this.f13397f.read(this.f13401x);
        if (this.f13401x.remaining() > 0) {
            return false;
        }
        this.f13401x.flip();
        try {
            this.V5.a(this.f13401x, this.U5);
            this.Y5 = true;
            return true;
        } catch (GeneralSecurityException e7) {
            throw new IOException(e7);
        }
    }

    /* JADX INFO: finally extract failed */
    public synchronized int c(ByteBuffer byteBuffer, long j7) throws IOException {
        int read;
        long position = position();
        try {
            position(j7);
            read = read(byteBuffer);
            position(position);
        } catch (Throwable th) {
            position(position);
            throw th;
        }
        return read;
    }

    @Override // java.io.Closeable, java.lang.AutoCloseable, java.nio.channels.Channel
    public synchronized void close() throws IOException {
        this.f13397f.close();
        this.f13393b6 = false;
    }

    public synchronized long f() throws IOException {
        if (d(this.C1 - 1)) {
        } else {
            throw new IOException("could not verify the size");
        }
        return this.X5;
    }

    public synchronized boolean isOpen() {
        return this.f13393b6;
    }

    @Override // java.nio.channels.SeekableByteChannel
    public synchronized long position() {
        return this.W5;
    }

    @Override // java.nio.channels.SeekableByteChannel, java.nio.channels.ReadableByteChannel
    public synchronized int read(ByteBuffer byteBuffer) throws IOException {
        if (!this.f13393b6) {
            throw new ClosedChannelException();
        } else if (!this.Y5 && !e()) {
            return 0;
        } else {
            int position = byteBuffer.position();
            while (byteBuffer.remaining() > 0) {
                long j7 = this.W5;
                if (j7 < this.X5) {
                    int a8 = a(j7);
                    int i7 = (int) (a8 == 0 ? this.W5 : (this.W5 + ((long) this.f13396e6)) % ((long) this.f13394c6));
                    if (!d(a8)) {
                        break;
                    }
                    this.f13400p.position(i7);
                    if (this.f13400p.remaining() <= byteBuffer.remaining()) {
                        this.W5 += (long) this.f13400p.remaining();
                        byteBuffer.put(this.f13400p);
                    } else {
                        int remaining = byteBuffer.remaining();
                        ByteBuffer duplicate = this.f13400p.duplicate();
                        duplicate.limit(duplicate.position() + remaining);
                        byteBuffer.put(duplicate);
                        this.W5 += (long) remaining;
                        ByteBuffer byteBuffer2 = this.f13400p;
                        byteBuffer2.position(byteBuffer2.position() + remaining);
                    }
                } else {
                    break;
                }
            }
            int position2 = byteBuffer.position() - position;
            if (position2 != 0 || !b()) {
                return position2;
            }
            return -1;
        }
    }

    @Override // java.nio.channels.SeekableByteChannel
    public long size() {
        return this.X5;
    }

    public synchronized String toString() {
        StringBuilder sb;
        String str;
        sb = new StringBuilder();
        try {
            str = "position:" + this.f13397f.position();
        } catch (IOException unused) {
            str = "position: n/a";
        }
        sb.append("StreamingAeadSeekableDecryptingChannel");
        sb.append("\nciphertextChannel");
        sb.append(str);
        sb.append("\nciphertextChannelSize:");
        sb.append(this.f13402y);
        sb.append("\nplaintextSize:");
        sb.append(this.X5);
        sb.append("\nciphertextSegmentSize:");
        sb.append(this.f13395d6);
        sb.append("\nnumberOfSegments:");
        sb.append(this.C1);
        sb.append("\nheaderRead:");
        sb.append(this.Y5);
        sb.append("\nplaintextPosition:");
        sb.append(this.W5);
        sb.append("\nHeader");
        sb.append(" position:");
        sb.append(this.f13401x.position());
        sb.append(" limit:");
        sb.append(this.f13401x.position());
        sb.append("\ncurrentSegmentNr:");
        sb.append(this.f13392a6);
        sb.append("\nciphertextSgement");
        sb.append(" position:");
        sb.append(this.f13399g.position());
        sb.append(" limit:");
        sb.append(this.f13399g.limit());
        sb.append("\nisCurrentSegmentDecrypted:");
        sb.append(this.Z5);
        sb.append("\nplaintextSegment");
        sb.append(" position:");
        sb.append(this.f13400p.position());
        sb.append(" limit:");
        sb.append(this.f13400p.limit());
        return sb.toString();
    }

    @Override // java.nio.channels.SeekableByteChannel
    public SeekableByteChannel truncate(long j7) throws NonWritableChannelException {
        throw new NonWritableChannelException();
    }

    @Override // java.nio.channels.SeekableByteChannel, java.nio.channels.WritableByteChannel
    public int write(ByteBuffer byteBuffer) throws NonWritableChannelException {
        throw new NonWritableChannelException();
    }

    @Override // java.nio.channels.SeekableByteChannel
    public synchronized SeekableByteChannel position(long j7) {
        this.W5 = j7;
        return this;
    }
}
