package com.google.crypto.tink.subtle;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.nio.channels.ReadableByteChannel;
import java.nio.channels.SeekableByteChannel;
import java.nio.channels.WritableByteChannel;
import java.security.GeneralSecurityException;
import java.security.InvalidAlgorithmParameterException;
import java.util.Arrays;
import javax.crypto.Cipher;
import javax.crypto.spec.GCMParameterSpec;
import javax.crypto.spec.SecretKeySpec;

public final class d extends k0 {

    /* renamed from: g  reason: collision with root package name */
    private static final int f13403g = 12;

    /* renamed from: h  reason: collision with root package name */
    private static final int f13404h = 7;

    /* renamed from: i  reason: collision with root package name */
    private static final int f13405i = 16;

    /* renamed from: a  reason: collision with root package name */
    private final int f13406a;

    /* renamed from: b  reason: collision with root package name */
    private final int f13407b;

    /* renamed from: c  reason: collision with root package name */
    private final int f13408c;

    /* renamed from: d  reason: collision with root package name */
    private final int f13409d;

    /* renamed from: e  reason: collision with root package name */
    private final String f13410e;

    /* renamed from: f  reason: collision with root package name */
    private final byte[] f13411f;

    /* access modifiers changed from: package-private */
    public class a implements w0 {

        /* renamed from: a  reason: collision with root package name */
        private SecretKeySpec f13412a;

        /* renamed from: b  reason: collision with root package name */
        private Cipher f13413b;

        /* renamed from: c  reason: collision with root package name */
        private byte[] f13414c;

        a() {
        }

        @Override // com.google.crypto.tink.subtle.w0
        public synchronized void a(ByteBuffer byteBuffer, byte[] bArr) throws GeneralSecurityException {
            if (byteBuffer.remaining() != d.this.i()) {
                throw new InvalidAlgorithmParameterException("Invalid header length");
            } else if (byteBuffer.get() == d.this.i()) {
                this.f13414c = new byte[7];
                byte[] bArr2 = new byte[d.this.f13406a];
                byteBuffer.get(bArr2);
                byteBuffer.get(this.f13414c);
                this.f13412a = d.this.t(bArr2, bArr);
                this.f13413b = d.s();
            } else {
                throw new GeneralSecurityException("Invalid ciphertext");
            }
        }

        @Override // com.google.crypto.tink.subtle.w0
        public synchronized void b(ByteBuffer byteBuffer, int i7, boolean z7, ByteBuffer byteBuffer2) throws GeneralSecurityException {
            this.f13413b.init(2, this.f13412a, d.y(this.f13414c, (long) i7, z7));
            this.f13413b.doFinal(byteBuffer, byteBuffer2);
        }
    }

    /* access modifiers changed from: package-private */
    public class b implements x0 {

        /* renamed from: a  reason: collision with root package name */
        private final SecretKeySpec f13416a;

        /* renamed from: b  reason: collision with root package name */
        private final Cipher f13417b;

        /* renamed from: c  reason: collision with root package name */
        private final byte[] f13418c;

        /* renamed from: d  reason: collision with root package name */
        private final ByteBuffer f13419d;

        /* renamed from: e  reason: collision with root package name */
        private long f13420e;

        public b(byte[] bArr) throws GeneralSecurityException {
            this.f13420e = 0;
            this.f13417b = d.s();
            this.f13420e = 0;
            byte[] A = d.this.A();
            byte[] z7 = d.z();
            this.f13418c = z7;
            ByteBuffer allocate = ByteBuffer.allocate(d.this.i());
            this.f13419d = allocate;
            allocate.put((byte) d.this.i());
            allocate.put(A);
            allocate.put(z7);
            allocate.flip();
            this.f13416a = d.this.t(A, bArr);
        }

        @Override // com.google.crypto.tink.subtle.x0
        public synchronized void a(ByteBuffer byteBuffer, boolean z7, ByteBuffer byteBuffer2) throws GeneralSecurityException {
            this.f13417b.init(1, this.f13416a, d.y(this.f13418c, this.f13420e, z7));
            this.f13420e++;
            this.f13417b.doFinal(byteBuffer, byteBuffer2);
        }

        @Override // com.google.crypto.tink.subtle.x0
        public synchronized void b(ByteBuffer byteBuffer, ByteBuffer byteBuffer2, boolean z7, ByteBuffer byteBuffer3) throws GeneralSecurityException {
            this.f13417b.init(1, this.f13416a, d.y(this.f13418c, this.f13420e, z7));
            this.f13420e++;
            if (byteBuffer2.hasRemaining()) {
                this.f13417b.update(byteBuffer, byteBuffer3);
                this.f13417b.doFinal(byteBuffer2, byteBuffer3);
            } else {
                this.f13417b.doFinal(byteBuffer, byteBuffer3);
            }
        }

        @Override // com.google.crypto.tink.subtle.x0
        public ByteBuffer c() {
            return this.f13419d.asReadOnlyBuffer();
        }
    }

    public d(byte[] bArr, String str, int i7, int i8, int i9) throws InvalidAlgorithmParameterException {
        if (bArr.length < 16 || bArr.length < i7) {
            throw new InvalidAlgorithmParameterException("ikm too short, must be >= " + Math.max(16, i7));
        }
        e1.a(i7);
        if (i8 > i() + i9 + 16) {
            this.f13411f = Arrays.copyOf(bArr, bArr.length);
            this.f13410e = str;
            this.f13406a = i7;
            this.f13407b = i8;
            this.f13409d = i9;
            this.f13408c = i8 - 16;
            return;
        }
        throw new InvalidAlgorithmParameterException("ciphertextSegmentSize too small");
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private byte[] A() {
        return q0.c(this.f13406a);
    }

    /* access modifiers changed from: private */
    public static Cipher s() throws GeneralSecurityException {
        return b0.f13367g.h("AES/GCM/NoPadding");
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private SecretKeySpec t(byte[] bArr, byte[] bArr2) throws GeneralSecurityException {
        return new SecretKeySpec(g0.b(this.f13410e, this.f13411f, bArr, bArr2, this.f13406a), "AES");
    }

    /* access modifiers changed from: private */
    public static GCMParameterSpec y(byte[] bArr, long j7, boolean z7) throws GeneralSecurityException {
        ByteBuffer allocate = ByteBuffer.allocate(12);
        allocate.order(ByteOrder.BIG_ENDIAN);
        allocate.put(bArr);
        d1.f(allocate, j7);
        allocate.put(z7 ? (byte) 1 : 0);
        return new GCMParameterSpec(128, allocate.array());
    }

    /* access modifiers changed from: private */
    public static byte[] z() {
        return q0.c(7);
    }

    @Override // com.google.crypto.tink.h0, com.google.crypto.tink.subtle.k0
    public /* bridge */ /* synthetic */ ReadableByteChannel a(ReadableByteChannel readableByteChannel, byte[] bArr) throws GeneralSecurityException, IOException {
        return super.a(readableByteChannel, bArr);
    }

    @Override // com.google.crypto.tink.h0, com.google.crypto.tink.subtle.k0
    public /* bridge */ /* synthetic */ OutputStream b(OutputStream outputStream, byte[] bArr) throws GeneralSecurityException, IOException {
        return super.b(outputStream, bArr);
    }

    @Override // com.google.crypto.tink.h0, com.google.crypto.tink.subtle.k0
    public /* bridge */ /* synthetic */ WritableByteChannel c(WritableByteChannel writableByteChannel, byte[] bArr) throws GeneralSecurityException, IOException {
        return super.c(writableByteChannel, bArr);
    }

    @Override // com.google.crypto.tink.h0, com.google.crypto.tink.subtle.k0
    public /* bridge */ /* synthetic */ SeekableByteChannel d(SeekableByteChannel seekableByteChannel, byte[] bArr) throws GeneralSecurityException, IOException {
        return super.d(seekableByteChannel, bArr);
    }

    @Override // com.google.crypto.tink.h0, com.google.crypto.tink.subtle.k0
    public /* bridge */ /* synthetic */ InputStream e(InputStream inputStream, byte[] bArr) throws GeneralSecurityException, IOException {
        return super.e(inputStream, bArr);
    }

    @Override // com.google.crypto.tink.subtle.k0
    public int f() {
        return i() + this.f13409d;
    }

    @Override // com.google.crypto.tink.subtle.k0
    public int g() {
        return 16;
    }

    @Override // com.google.crypto.tink.subtle.k0
    public int h() {
        return this.f13407b;
    }

    @Override // com.google.crypto.tink.subtle.k0
    public int i() {
        return this.f13406a + 1 + 7;
    }

    @Override // com.google.crypto.tink.subtle.k0
    public int j() {
        return this.f13408c;
    }

    public long u(long j7) {
        long f7 = j7 + ((long) f());
        int i7 = this.f13408c;
        long j8 = (f7 / ((long) i7)) * ((long) this.f13407b);
        long j9 = f7 % ((long) i7);
        return j9 > 0 ? j8 + j9 + 16 : j8;
    }

    public int v() {
        return this.f13409d;
    }

    /* renamed from: w */
    public a k() throws GeneralSecurityException {
        return new a();
    }

    /* renamed from: x */
    public b l(byte[] bArr) throws GeneralSecurityException {
        return new b(bArr);
    }
}
