package com.google.crypto.tink.subtle;

import android.support.v4.media.session.PlaybackStateCompat;
import com.google.crypto.tink.subtle.d0;
import java.io.File;
import java.io.IOException;
import java.math.BigInteger;
import java.security.GeneralSecurityException;
import java.security.InvalidAlgorithmParameterException;
import java.util.Locale;
import java.util.regex.Pattern;

public final class e1 {

    /* renamed from: a  reason: collision with root package name */
    private static final String f13440a = "type.googleapis.com/";

    /* renamed from: b  reason: collision with root package name */
    private static final int f13441b = 2048;

    /* renamed from: c  reason: collision with root package name */
    private static final String f13442c = "([0-9a-zA-Z\\-\\.\\_~])+";

    /* renamed from: d  reason: collision with root package name */
    private static final Pattern f13443d = Pattern.compile(String.format("^projects/%s/locations/%s/keyRings/%s/cryptoKeys/%s$", f13442c, f13442c, f13442c, f13442c), 2);

    /* renamed from: e  reason: collision with root package name */
    private static final Pattern f13444e = Pattern.compile(String.format("^projects/%s/locations/%s/keyRings/%s/cryptoKeys/%s/cryptoKeyVersions/%s$", f13442c, f13442c, f13442c, f13442c, f13442c), 2);

    static /* synthetic */ class a {

        /* renamed from: a  reason: collision with root package name */
        static final /* synthetic */ int[] f13445a;

        /* JADX WARNING: Can't wrap try/catch for region: R(6:0|1|2|3|4|(3:5|6|8)) */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0012 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:5:0x001d */
        static {
            int[] iArr = new int[d0.a.values().length];
            f13445a = iArr;
            iArr[d0.a.SHA256.ordinal()] = 1;
            f13445a[d0.a.SHA384.ordinal()] = 2;
            try {
                f13445a[d0.a.SHA512.ordinal()] = 3;
            } catch (NoSuchFieldError unused) {
            }
        }
    }

    private e1() {
    }

    public static void a(int i7) throws InvalidAlgorithmParameterException {
        if (i7 != 16 && i7 != 32) {
            throw new InvalidAlgorithmParameterException(String.format("invalid key size %d; only 128-bit and 256-bit AES keys are supported", Integer.valueOf(i7 * 8)));
        }
    }

    public static void b(String str) throws GeneralSecurityException {
        if (f13443d.matcher(str).matches()) {
            return;
        }
        if (f13444e.matcher(str).matches()) {
            throw new GeneralSecurityException("Invalid Google Cloud KMS Key URI. The URI must point to a CryptoKey, not a CryptoKeyVersion");
        }
        throw new GeneralSecurityException("Invalid Google Cloud KMS Key URI. The URI must point to a CryptoKey in the format projects/*/locations/*/keyRings/*/cryptoKeys/*. See https://cloud.google.com/kms/docs/reference/rest/v1/projects.locations.keyRings.cryptoKeys#CryptoKey");
    }

    public static void c(File file) throws IOException {
        if (!file.exists()) {
            throw new IOException(String.format("Error: %s doesn't exist, please choose another file\n", file));
        }
    }

    public static String d(String str, String str2) {
        if (str2.toLowerCase(Locale.US).startsWith(str)) {
            return str2.substring(str.length());
        }
        throw new IllegalArgumentException(String.format("key URI must start with %s", str));
    }

    public static void e(File file) throws IOException {
        if (file.exists()) {
            throw new IOException(String.format("%s exists, please choose another file\n", file));
        }
    }

    public static void f(int i7) throws GeneralSecurityException {
        if (i7 < 2048) {
            throw new GeneralSecurityException(String.format("Modulus size is %d; only modulus size >= 2048-bit is supported", Integer.valueOf(i7)));
        }
    }

    public static void g(BigInteger bigInteger) throws GeneralSecurityException {
        if (!bigInteger.testBit(0)) {
            throw new GeneralSecurityException("Public exponent must be odd.");
        } else if (bigInteger.compareTo(BigInteger.valueOf(PlaybackStateCompat.f387p6)) <= 0) {
            throw new GeneralSecurityException("Public exponent must be greater than 65536.");
        }
    }

    public static void h(d0.a aVar) throws GeneralSecurityException {
        int i7 = a.f13445a[aVar.ordinal()];
        if (i7 != 1 && i7 != 2 && i7 != 3) {
            throw new GeneralSecurityException("Unsupported hash: " + aVar.name());
        }
    }

    public static void i(String str) throws GeneralSecurityException {
        if (!str.startsWith(f13440a)) {
            throw new GeneralSecurityException(String.format("Error: type URL %s is invalid; it must start with %s.\n", str, f13440a));
        } else if (str.length() == 20) {
            throw new GeneralSecurityException(String.format("Error: type URL %s is invalid; it has no message name.\n", str));
        }
    }

    public static void j(int i7, int i8) throws GeneralSecurityException {
        if (i7 < 0 || i7 > i8) {
            throw new GeneralSecurityException(String.format("key has version %d; only keys with version in range [0..%d] are supported", Integer.valueOf(i7), Integer.valueOf(i8)));
        }
    }
}
