package com.google.crypto.tink.subtle;

import com.google.crypto.tink.h;
import java.security.GeneralSecurityException;
import java.security.InvalidKeyException;
import java.util.Arrays;
import java.util.Collection;
import javax.crypto.AEADBadTagException;
import javax.crypto.Cipher;
import javax.crypto.spec.IvParameterSpec;
import javax.crypto.spec.SecretKeySpec;

public final class f implements h {

    /* renamed from: c  reason: collision with root package name */
    private static final Collection<Integer> f13446c = Arrays.asList(64);

    /* renamed from: d  reason: collision with root package name */
    private static final byte[] f13447d = new byte[16];

    /* renamed from: e  reason: collision with root package name */
    private static final byte[] f13448e = {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1};

    /* renamed from: a  reason: collision with root package name */
    private final n0 f13449a;

    /* renamed from: b  reason: collision with root package name */
    private final byte[] f13450b;

    public f(byte[] bArr) throws GeneralSecurityException {
        if (f13446c.contains(Integer.valueOf(bArr.length))) {
            byte[] copyOfRange = Arrays.copyOfRange(bArr, 0, bArr.length / 2);
            this.f13450b = Arrays.copyOfRange(bArr, bArr.length / 2, bArr.length);
            this.f13449a = new n0(copyOfRange);
            return;
        }
        throw new InvalidKeyException("invalid key size: " + bArr.length + " bytes; key must have 64 bytes");
    }

    private byte[] c(byte[]... bArr) throws GeneralSecurityException {
        if (bArr.length == 0) {
            return this.f13449a.a(f13448e, 16);
        }
        byte[] a8 = this.f13449a.a(f13447d, 16);
        for (int i7 = 0; i7 < bArr.length - 1; i7++) {
            byte[] bArr2 = bArr[i7];
            if (bArr2 == null) {
                bArr2 = new byte[0];
            }
            a8 = i.i(g.b(a8), this.f13449a.a(bArr2, 16));
        }
        byte[] bArr3 = bArr[bArr.length - 1];
        return this.f13449a.a(bArr3.length >= 16 ? i.j(bArr3, a8) : i.i(g.a(bArr3), g.b(a8)), 16);
    }

    @Override // com.google.crypto.tink.h
    public byte[] a(byte[] bArr, byte[] bArr2) throws GeneralSecurityException {
        if (bArr.length <= 2147483631) {
            Cipher h7 = b0.f13367g.h("AES/CTR/NoPadding");
            byte[] c7 = c(bArr2, bArr);
            byte[] bArr3 = (byte[]) c7.clone();
            bArr3[8] = (byte) (bArr3[8] & Byte.MAX_VALUE);
            bArr3[12] = (byte) (bArr3[12] & Byte.MAX_VALUE);
            h7.init(1, new SecretKeySpec(this.f13450b, "AES"), new IvParameterSpec(bArr3));
            return i.d(c7, h7.doFinal(bArr));
        }
        throw new GeneralSecurityException("plaintext too long");
    }

    @Override // com.google.crypto.tink.h
    public byte[] b(byte[] bArr, byte[] bArr2) throws GeneralSecurityException {
        if (bArr.length >= 16) {
            Cipher h7 = b0.f13367g.h("AES/CTR/NoPadding");
            byte[] copyOfRange = Arrays.copyOfRange(bArr, 0, 16);
            byte[] bArr3 = (byte[]) copyOfRange.clone();
            bArr3[8] = (byte) (bArr3[8] & Byte.MAX_VALUE);
            bArr3[12] = (byte) (bArr3[12] & Byte.MAX_VALUE);
            h7.init(2, new SecretKeySpec(this.f13450b, "AES"), new IvParameterSpec(bArr3));
            byte[] copyOfRange2 = Arrays.copyOfRange(bArr, 16, bArr.length);
            byte[] doFinal = h7.doFinal(copyOfRange2);
            if (copyOfRange2.length == 0 && doFinal == null && d1.d()) {
                doFinal = new byte[0];
            }
            if (i.e(copyOfRange, c(bArr2, doFinal))) {
                return doFinal;
            }
            throw new AEADBadTagException("Integrity check failed.");
        }
        throw new GeneralSecurityException("Ciphertext too short.");
    }
}
