package com.google.crypto.tink.subtle;

import com.google.crypto.tink.q;
import java.security.GeneralSecurityException;
import java.util.Arrays;
import javax.crypto.BadPaddingException;
import javax.crypto.Cipher;
import javax.crypto.SecretKey;
import javax.crypto.spec.SecretKeySpec;

public class j0 implements q {

    /* renamed from: b  reason: collision with root package name */
    static final int f13481b = 16;

    /* renamed from: c  reason: collision with root package name */
    static final int f13482c = 4096;

    /* renamed from: d  reason: collision with root package name */
    static final int f13483d = 6;

    /* renamed from: e  reason: collision with root package name */
    static final byte[] f13484e = {-90, 89, 89, -90};

    /* renamed from: f  reason: collision with root package name */
    static final /* synthetic */ boolean f13485f = false;

    /* renamed from: a  reason: collision with root package name */
    private final SecretKey f13486a;

    public j0(byte[] bArr) throws GeneralSecurityException {
        if (bArr.length == 16 || bArr.length == 32) {
            this.f13486a = new SecretKeySpec(bArr, "AES");
            return;
        }
        throw new GeneralSecurityException("Unsupported key length");
    }

    private byte[] c(byte[] bArr, byte[] bArr2) throws GeneralSecurityException {
        if (bArr2.length <= 8 || bArr2.length > 2147483631 || bArr.length != 8) {
            throw new GeneralSecurityException("computeW called with invalid parameters");
        }
        int e7 = e(bArr2.length);
        byte[] bArr3 = new byte[e7];
        System.arraycopy(bArr, 0, bArr3, 0, bArr.length);
        System.arraycopy(bArr2, 0, bArr3, 8, bArr2.length);
        int i7 = (e7 / 8) - 1;
        Cipher h7 = b0.f13367g.h("AES/ECB/NoPadding");
        h7.init(1, this.f13486a);
        byte[] bArr4 = new byte[16];
        System.arraycopy(bArr3, 0, bArr4, 0, 8);
        for (int i8 = 0; i8 < 6; i8++) {
            int i9 = 0;
            while (i9 < i7) {
                int i10 = i9 + 1;
                int i11 = i10 * 8;
                System.arraycopy(bArr3, i11, bArr4, 8, 8);
                h7.doFinal(bArr4, 0, 16, bArr4);
                int i12 = (i8 * i7) + i9 + 1;
                for (int i13 = 0; i13 < 4; i13++) {
                    int i14 = 7 - i13;
                    bArr4[i14] = (byte) (bArr4[i14] ^ ((byte) (i12 & 255)));
                    i12 >>>= 8;
                }
                System.arraycopy(bArr4, 8, bArr3, i11, 8);
                i9 = i10;
            }
        }
        System.arraycopy(bArr4, 0, bArr3, 0, 8);
        return bArr3;
    }

    private byte[] d(byte[] bArr) throws GeneralSecurityException {
        if (bArr.length < 24 || bArr.length % 8 != 0) {
            throw new GeneralSecurityException("Incorrect data size");
        }
        byte[] copyOf = Arrays.copyOf(bArr, bArr.length);
        int length = (copyOf.length / 8) - 1;
        Cipher h7 = b0.f13367g.h("AES/ECB/NoPadding");
        h7.init(2, this.f13486a);
        byte[] bArr2 = new byte[16];
        System.arraycopy(copyOf, 0, bArr2, 0, 8);
        for (int i7 = 5; i7 >= 0; i7--) {
            for (int i8 = length - 1; i8 >= 0; i8--) {
                int i9 = (i8 + 1) * 8;
                System.arraycopy(copyOf, i9, bArr2, 8, 8);
                int i10 = (i7 * length) + i8 + 1;
                for (int i11 = 0; i11 < 4; i11++) {
                    int i12 = 7 - i11;
                    bArr2[i12] = (byte) (bArr2[i12] ^ ((byte) (i10 & 255)));
                    i10 >>>= 8;
                }
                h7.doFinal(bArr2, 0, 16, bArr2);
                System.arraycopy(bArr2, 8, copyOf, i9, 8);
            }
        }
        System.arraycopy(bArr2, 0, copyOf, 0, 8);
        return copyOf;
    }

    private int e(int i7) {
        return i7 + (7 - ((i7 + 7) % 8)) + 8;
    }

    @Override // com.google.crypto.tink.q
    public byte[] a(byte[] bArr) throws GeneralSecurityException {
        if (bArr.length < 16) {
            throw new GeneralSecurityException("Key size of key to wrap too small");
        } else if (bArr.length <= 4096) {
            byte[] bArr2 = new byte[8];
            byte[] bArr3 = f13484e;
            System.arraycopy(bArr3, 0, bArr2, 0, bArr3.length);
            for (int i7 = 0; i7 < 4; i7++) {
                bArr2[i7 + 4] = (byte) ((bArr.length >> ((3 - i7) * 8)) & 255);
            }
            return c(bArr2, bArr);
        } else {
            throw new GeneralSecurityException("Key size of key to wrap too large");
        }
    }

    @Override // com.google.crypto.tink.q
    public byte[] b(byte[] bArr) throws GeneralSecurityException {
        int i7;
        if (bArr.length < e(16)) {
            throw new GeneralSecurityException("Wrapped key size is too small");
        } else if (bArr.length > e(4096)) {
            throw new GeneralSecurityException("Wrapped key size is too large");
        } else if (bArr.length % 8 == 0) {
            byte[] d7 = d(bArr);
            boolean z7 = true;
            boolean z8 = false;
            int i8 = 0;
            while (true) {
                if (i8 >= 4) {
                    break;
                }
                if (f13484e[i8] != d7[i8]) {
                    z7 = false;
                }
                i8++;
            }
            int i9 = 0;
            for (i7 = 4; i7 < 8; i7++) {
                i9 = (i9 << 8) + (d7[i7] & 255);
            }
            if (e(i9) == d7.length) {
                for (int i10 = i9 + 8; i10 < d7.length; i10++) {
                    if (d7[i10] != 0) {
                        z7 = false;
                    }
                }
                z8 = z7;
            }
            if (z8) {
                return Arrays.copyOfRange(d7, 8, i9 + 8);
            }
            throw new BadPaddingException("Invalid padding");
        } else {
            throw new GeneralSecurityException("Wrapped key size must be a multiple of 8 bytes");
        }
    }
}
