package com.google.crypto.tink.subtle;

import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.nio.IntBuffer;
import java.security.GeneralSecurityException;
import java.security.InvalidKeyException;

/* access modifiers changed from: package-private */
public abstract class k implements i0 {

    /* renamed from: c  reason: collision with root package name */
    public static final int f13487c = 16;

    /* renamed from: d  reason: collision with root package name */
    public static final int f13488d = 64;

    /* renamed from: e  reason: collision with root package name */
    public static final int f13489e = 8;

    /* renamed from: f  reason: collision with root package name */
    public static final int f13490f = 32;

    /* renamed from: g  reason: collision with root package name */
    private static final int[] f13491g = m(new byte[]{101, 120, 112, 97, 110, 100, 32, 51, 50, 45, 98, 121, 116, 101, 32, 107});

    /* renamed from: a  reason: collision with root package name */
    int[] f13492a;

    /* renamed from: b  reason: collision with root package name */
    private final int f13493b;

    k(byte[] bArr, int i7) throws InvalidKeyException {
        if (bArr.length == 32) {
            this.f13492a = m(bArr);
            this.f13493b = i7;
            return;
        }
        throw new InvalidKeyException("The key length in bytes must be 32.");
    }

    private void h(byte[] bArr, ByteBuffer byteBuffer, ByteBuffer byteBuffer2) throws GeneralSecurityException {
        int remaining = byteBuffer2.remaining();
        int i7 = (remaining / 64) + 1;
        for (int i8 = 0; i8 < i7; i8++) {
            ByteBuffer c7 = c(bArr, this.f13493b + i8);
            if (i8 == i7 - 1) {
                i.g(byteBuffer, byteBuffer2, c7, remaining % 64);
            } else {
                i.g(byteBuffer, byteBuffer2, c7, 64);
            }
        }
    }

    static void i(int[] iArr, int i7, int i8, int i9, int i10) {
        int i11 = iArr[i7] + iArr[i8];
        iArr[i7] = i11;
        int j7 = j(i11 ^ iArr[i10], 16);
        iArr[i10] = j7;
        int i12 = iArr[i9] + j7;
        iArr[i9] = i12;
        int j8 = j(iArr[i8] ^ i12, 12);
        iArr[i8] = j8;
        int i13 = iArr[i7] + j8;
        iArr[i7] = i13;
        int j9 = j(iArr[i10] ^ i13, 8);
        iArr[i10] = j9;
        int i14 = iArr[i9] + j9;
        iArr[i9] = i14;
        iArr[i8] = j(iArr[i8] ^ i14, 7);
    }

    private static int j(int i7, int i8) {
        return (i7 >>> (-i8)) | (i7 << i8);
    }

    static void k(int[] iArr, int[] iArr2) {
        int[] iArr3 = f13491g;
        System.arraycopy(iArr3, 0, iArr, 0, iArr3.length);
        System.arraycopy(iArr2, 0, iArr, iArr3.length, 8);
    }

    static void l(int[] iArr) {
        for (int i7 = 0; i7 < 10; i7++) {
            i(iArr, 0, 4, 8, 12);
            i(iArr, 1, 5, 9, 13);
            i(iArr, 2, 6, 10, 14);
            i(iArr, 3, 7, 11, 15);
            i(iArr, 0, 5, 10, 15);
            i(iArr, 1, 6, 11, 12);
            i(iArr, 2, 7, 8, 13);
            i(iArr, 3, 4, 9, 14);
        }
    }

    static int[] m(byte[] bArr) {
        IntBuffer asIntBuffer = ByteBuffer.wrap(bArr).order(ByteOrder.LITTLE_ENDIAN).asIntBuffer();
        int[] iArr = new int[asIntBuffer.remaining()];
        asIntBuffer.get(iArr);
        return iArr;
    }

    @Override // com.google.crypto.tink.subtle.i0
    public byte[] a(byte[] bArr) throws GeneralSecurityException {
        if (bArr.length <= Integer.MAX_VALUE - g()) {
            ByteBuffer allocate = ByteBuffer.allocate(g() + bArr.length);
            f(allocate, bArr);
            return allocate.array();
        }
        throw new GeneralSecurityException("plaintext too long");
    }

    @Override // com.google.crypto.tink.subtle.i0
    public byte[] b(byte[] bArr) throws GeneralSecurityException {
        return e(ByteBuffer.wrap(bArr));
    }

    /* access modifiers changed from: package-private */
    public ByteBuffer c(byte[] bArr, int i7) {
        int[] d7 = d(m(bArr), i7);
        int[] iArr = (int[]) d7.clone();
        l(iArr);
        for (int i8 = 0; i8 < d7.length; i8++) {
            d7[i8] = d7[i8] + iArr[i8];
        }
        ByteBuffer order = ByteBuffer.allocate(64).order(ByteOrder.LITTLE_ENDIAN);
        order.asIntBuffer().put(d7, 0, 16);
        return order;
    }

    /* access modifiers changed from: package-private */
    public abstract int[] d(int[] iArr, int i7);

    /* access modifiers changed from: package-private */
    public byte[] e(ByteBuffer byteBuffer) throws GeneralSecurityException {
        if (byteBuffer.remaining() >= g()) {
            byte[] bArr = new byte[g()];
            byteBuffer.get(bArr);
            ByteBuffer allocate = ByteBuffer.allocate(byteBuffer.remaining());
            h(bArr, allocate, byteBuffer);
            return allocate.array();
        }
        throw new GeneralSecurityException("ciphertext too short");
    }

    /* access modifiers changed from: package-private */
    public void f(ByteBuffer byteBuffer, byte[] bArr) throws GeneralSecurityException {
        if (byteBuffer.remaining() - g() >= bArr.length) {
            byte[] c7 = q0.c(g());
            byteBuffer.put(c7);
            h(c7, byteBuffer, ByteBuffer.wrap(bArr));
            return;
        }
        throw new IllegalArgumentException("Given ByteBuffer output is too small");
    }

    /* access modifiers changed from: package-private */
    public abstract int g();
}
