package com.google.crypto.tink.subtle;

import com.google.crypto.tink.subtle.d0;
import java.io.BufferedReader;
import java.io.IOException;
import java.security.GeneralSecurityException;
import java.security.Key;
import java.security.interfaces.ECKey;
import java.security.interfaces.RSAKey;
import java.security.spec.ECParameterSpec;
import java.security.spec.PKCS8EncodedKeySpec;
import java.security.spec.X509EncodedKeySpec;

/* JADX WARN: Init of enum y can be incorrect */
/* JADX WARN: Init of enum C1 can be incorrect */
/* JADX WARN: Init of enum C2 can be incorrect */
/* JADX WARN: Init of enum U5 can be incorrect */
/* JADX WARN: Init of enum V5 can be incorrect */
/* JADX WARN: Init of enum W5 can be incorrect */
/* JADX WARN: Init of enum X5 can be incorrect */
/* JADX WARN: Init of enum Y5 can be incorrect */
/* JADX WARN: Init of enum Z5 can be incorrect */
/* JADX WARN: Init of enum b6 can be incorrect */
public enum l0 {
    RSA_PSS_2048_SHA256("RSA", "RSASSA-PSS", 2048, r15),
    RSA_PSS_3072_SHA256("RSA", "RSASSA-PSS", 3072, r15),
    RSA_PSS_4096_SHA256("RSA", "RSASSA-PSS", 4096, r15),
    RSA_PSS_4096_SHA512("RSA", "RSASSA-PSS", 4096, r3),
    RSA_SIGN_PKCS1_2048_SHA256("RSA", "RSASSA-PKCS1-v1_5", 2048, r15),
    RSA_SIGN_PKCS1_3072_SHA256("RSA", "RSASSA-PKCS1-v1_5", 3072, r15),
    RSA_SIGN_PKCS1_4096_SHA256("RSA", "RSASSA-PKCS1-v1_5", 4096, r15),
    RSA_SIGN_PKCS1_4096_SHA512("RSA", "RSASSA-PKCS1-v1_5", 4096, r3),
    ECDSA_P256_SHA256("EC", "ECDSA", 256, r15),
    ECDSA_P384_SHA384("EC", "ECDSA", 384, d0.a.SHA384),
    ECDSA_P521_SHA512("EC", "ECDSA", 521, r3);
    

    /* renamed from: c6  reason: collision with root package name */
    private static final String f13496c6 = "PUBLIC KEY";

    /* renamed from: d6  reason: collision with root package name */
    private static final String f13497d6 = "PRIVATE KEY";

    /* renamed from: e6  reason: collision with root package name */
    private static final String f13498e6 = "-----BEGIN ";

    /* renamed from: f6  reason: collision with root package name */
    private static final String f13499f6 = "-----END ";

    /* renamed from: g6  reason: collision with root package name */
    private static final String f13500g6 = "-----";

    /* renamed from: f  reason: collision with root package name */
    public final String f13503f;

    /* renamed from: g  reason: collision with root package name */
    public final String f13504g;

    /* renamed from: p  reason: collision with root package name */
    public final int f13505p;

    /* renamed from: x  reason: collision with root package name */
    public final d0.a f13506x;

    static {
        d0.a aVar = d0.a.SHA256;
        d0.a aVar2 = d0.a.SHA512;
    }

    private l0(String str, String str2, int i7, d0.a aVar) {
        this.f13503f = str;
        this.f13504g = str2;
        this.f13505p = i7;
        this.f13506x = aVar;
    }

    private Key a(byte[] bArr) throws GeneralSecurityException {
        return d(b0.f13373m.h(this.f13503f).generatePrivate(new PKCS8EncodedKeySpec(bArr)));
    }

    private Key b(byte[] bArr) throws GeneralSecurityException {
        return d(b0.f13373m.h(this.f13503f).generatePublic(new X509EncodedKeySpec(bArr)));
    }

    private Key d(Key key) throws GeneralSecurityException {
        if (this.f13503f.equals("RSA")) {
            int bitLength = ((RSAKey) key).getModulus().bitLength();
            if (bitLength != this.f13505p) {
                throw new GeneralSecurityException(String.format("invalid RSA key size, want %d got %d", Integer.valueOf(this.f13505p), Integer.valueOf(bitLength)));
            }
        } else {
            ECParameterSpec params = ((ECKey) key).getParams();
            if (z.z(params)) {
                int i7 = z.i(params.getCurve());
                if (i7 != this.f13505p) {
                    throw new GeneralSecurityException(String.format("invalid EC key size, want %d got %d", Integer.valueOf(this.f13505p), Integer.valueOf(i7)));
                }
            } else {
                throw new GeneralSecurityException("unsupport EC spec: " + params.toString());
            }
        }
        return key;
    }

    public Key c(BufferedReader bufferedReader) throws IOException {
        String readLine;
        String substring;
        int indexOf;
        do {
            readLine = bufferedReader.readLine();
            if (readLine == null) {
                break;
            }
        } while (!readLine.startsWith(f13498e6));
        if (readLine == null || (indexOf = (substring = readLine.trim().substring(11)).indexOf(f13500g6)) < 0) {
            return null;
        }
        String substring2 = substring.substring(0, indexOf);
        String str = f13499f6 + substring2 + f13500g6;
        StringBuilder sb = new StringBuilder();
        while (true) {
            String readLine2 = bufferedReader.readLine();
            if (readLine2 != null) {
                if (readLine2.indexOf(":") <= 0) {
                    if (!readLine2.contains(str)) {
                        sb.append(readLine2);
                    }
                }
            }
            try {
                byte[] b7 = h.b(sb.toString(), 0);
                if (substring2.contains(f13496c6)) {
                    return b(b7);
                }
                if (substring2.contains(f13497d6)) {
                    return a(b7);
                }
                return null;
            } catch (IllegalArgumentException | GeneralSecurityException unused) {
            }
        }
    }
}
