package com.google.crypto.tink.subtle;

import com.google.crypto.tink.e0;
import com.google.crypto.tink.subtle.c0;
import com.google.crypto.tink.subtle.d0;
import java.math.BigInteger;
import java.security.GeneralSecurityException;
import java.security.MessageDigest;
import java.security.interfaces.RSAPrivateCrtKey;
import java.security.interfaces.RSAPublicKey;
import java.security.spec.RSAPublicKeySpec;
import javax.crypto.Cipher;
import org.bouncycastle2.crypto.signers.g;

public final class u0 implements e0 {

    /* renamed from: f  reason: collision with root package name */
    private static final String f13570f = "RSA/ECB/NOPADDING";

    /* renamed from: a  reason: collision with root package name */
    private final RSAPrivateCrtKey f13571a;

    /* renamed from: b  reason: collision with root package name */
    private final RSAPublicKey f13572b;

    /* renamed from: c  reason: collision with root package name */
    private final d0.a f13573c;

    /* renamed from: d  reason: collision with root package name */
    private final d0.a f13574d;

    /* renamed from: e  reason: collision with root package name */
    private final int f13575e;

    public u0(RSAPrivateCrtKey rSAPrivateCrtKey, d0.a aVar, d0.a aVar2, int i7) throws GeneralSecurityException {
        e1.h(aVar);
        e1.f(rSAPrivateCrtKey.getModulus().bitLength());
        e1.g(rSAPrivateCrtKey.getPublicExponent());
        this.f13571a = rSAPrivateCrtKey;
        this.f13572b = (RSAPublicKey) b0.f13373m.h("RSA").generatePublic(new RSAPublicKeySpec(rSAPrivateCrtKey.getModulus(), rSAPrivateCrtKey.getPublicExponent()));
        this.f13573c = aVar;
        this.f13574d = aVar2;
        this.f13575e = i7;
    }

    private byte[] b(byte[] bArr, int i7) throws GeneralSecurityException {
        e1.h(this.f13573c);
        MessageDigest h7 = b0.f13370j.h(d1.g(this.f13573c));
        byte[] digest = h7.digest(bArr);
        int digestLength = h7.getDigestLength();
        int i8 = ((i7 - 1) / 8) + 1;
        int i9 = this.f13575e;
        if (i8 >= digestLength + i9 + 2) {
            byte[] c7 = q0.c(i9);
            int i10 = digestLength + 8;
            byte[] bArr2 = new byte[(this.f13575e + i10)];
            System.arraycopy(digest, 0, bArr2, 8, digestLength);
            System.arraycopy(c7, 0, bArr2, i10, c7.length);
            byte[] digest2 = h7.digest(bArr2);
            int i11 = (i8 - digestLength) - 1;
            byte[] bArr3 = new byte[i11];
            int i12 = this.f13575e;
            bArr3[((i8 - i12) - digestLength) - 2] = 1;
            System.arraycopy(c7, 0, bArr3, ((i8 - i12) - digestLength) - 1, c7.length);
            byte[] e7 = d1.e(digest2, i11, this.f13574d);
            byte[] bArr4 = new byte[i11];
            for (int i13 = 0; i13 < i11; i13++) {
                bArr4[i13] = (byte) (bArr3[i13] ^ e7[i13]);
            }
            for (int i14 = 0; ((long) i14) < (((long) i8) * 8) - ((long) i7); i14++) {
                int i15 = i14 / 8;
                bArr4[i15] = (byte) ((~(1 << (7 - (i14 % 8)))) & bArr4[i15]);
            }
            int i16 = digestLength + i11;
            byte[] bArr5 = new byte[(i16 + 1)];
            System.arraycopy(bArr4, 0, bArr5, 0, i11);
            System.arraycopy(digest2, 0, bArr5, i11, digest2.length);
            bArr5[i16] = g.f24121l;
            return bArr5;
        }
        throw new GeneralSecurityException("encoding error");
    }

    private byte[] c(byte[] bArr) throws GeneralSecurityException {
        b0<c0.a, Cipher> b0Var = b0.f13367g;
        Cipher h7 = b0Var.h(f13570f);
        h7.init(2, this.f13571a);
        byte[] doFinal = h7.doFinal(bArr);
        Cipher h8 = b0Var.h(f13570f);
        h8.init(1, this.f13572b);
        if (new BigInteger(1, bArr).equals(new BigInteger(1, h8.doFinal(doFinal)))) {
            return doFinal;
        }
        throw new RuntimeException("Security bug: RSA signature computation error");
    }

    @Override // com.google.crypto.tink.e0
    public byte[] a(byte[] bArr) throws GeneralSecurityException {
        return c(b(bArr, this.f13572b.getModulus().bitLength() - 1));
    }
}
