package com.google.crypto.tink.subtle;

import java.math.BigInteger;
import java.security.GeneralSecurityException;
import java.security.InvalidAlgorithmParameterException;
import java.security.KeyPair;
import java.security.KeyPairGenerator;
import java.security.NoSuchAlgorithmException;
import java.security.PublicKey;
import java.security.interfaces.ECPrivateKey;
import java.security.interfaces.ECPublicKey;
import java.security.spec.ECField;
import java.security.spec.ECFieldFp;
import java.security.spec.ECParameterSpec;
import java.security.spec.ECPoint;
import java.security.spec.ECPrivateKeySpec;
import java.security.spec.ECPublicKeySpec;
import java.security.spec.EllipticCurve;
import java.security.spec.PKCS8EncodedKeySpec;
import java.security.spec.X509EncodedKeySpec;
import java.util.Arrays;
import javax.crypto.KeyAgreement;

public final class z {

    /* access modifiers changed from: package-private */
    public static /* synthetic */ class a {

        /* renamed from: a  reason: collision with root package name */
        static final /* synthetic */ int[] f13622a;

        /* renamed from: b  reason: collision with root package name */
        static final /* synthetic */ int[] f13623b;

        /* JADX WARNING: Can't wrap try/catch for region: R(15:0|(2:1|2)|3|(2:5|6)|7|9|10|11|13|14|15|16|17|18|20) */
        /* JADX WARNING: Can't wrap try/catch for region: R(17:0|1|2|3|5|6|7|9|10|11|13|14|15|16|17|18|20) */
        /* JADX WARNING: Code restructure failed: missing block: B:21:?, code lost:
            return;
         */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:15:0x0039 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:17:0x0043 */
        static {
            int[] iArr = new int[b.values().length];
            f13623b = iArr;
            try {
                iArr[b.NIST_P256.ordinal()] = 1;
            } catch (NoSuchFieldError unused) {
            }
            try {
                f13623b[b.NIST_P384.ordinal()] = 2;
            } catch (NoSuchFieldError unused2) {
            }
            try {
                f13623b[b.NIST_P521.ordinal()] = 3;
            } catch (NoSuchFieldError unused3) {
            }
            int[] iArr2 = new int[d.values().length];
            f13622a = iArr2;
            iArr2[d.UNCOMPRESSED.ordinal()] = 1;
            f13622a[d.DO_NOT_USE_CRUNCHY_UNCOMPRESSED.ordinal()] = 2;
            f13622a[d.COMPRESSED.ordinal()] = 3;
        }
    }

    public enum b {
        NIST_P256,
        NIST_P384,
        NIST_P521
    }

    public enum c {
        IEEE_P1363,
        DER
    }

    public enum d {
        UNCOMPRESSED,
        COMPRESSED,
        DO_NOT_USE_CRUNCHY_UNCOMPRESSED
    }

    public static boolean A(ECParameterSpec eCParameterSpec, ECParameterSpec eCParameterSpec2) {
        return eCParameterSpec.getCurve().equals(eCParameterSpec2.getCurve()) && eCParameterSpec.getGenerator().equals(eCParameterSpec2.getGenerator()) && eCParameterSpec.getOrder().equals(eCParameterSpec2.getOrder()) && eCParameterSpec.getCofactor() == eCParameterSpec2.getCofactor();
    }

    public static boolean B(byte[] bArr) {
        int i7;
        if (bArr.length < 8 || bArr[0] != 48) {
            return false;
        }
        int i8 = bArr[1] & 255;
        if (i8 == 129) {
            i8 = bArr[2] & 255;
            if (i8 < 128) {
                return false;
            }
            i7 = 2;
        } else if (i8 == 128 || i8 > 129) {
            return false;
        } else {
            i7 = 1;
        }
        if (i8 != (bArr.length - 1) - i7) {
            return false;
        }
        int i9 = i7 + 1;
        if (bArr[i9] != 2) {
            return false;
        }
        int i10 = i9 + 1;
        int i11 = bArr[i10] & 255;
        int i12 = i10 + 1 + i11 + 1;
        if (i12 >= bArr.length || i11 == 0) {
            return false;
        }
        int i13 = i7 + 3;
        byte b7 = bArr[i13];
        if ((b7 & 255) >= 128) {
            return false;
        }
        if ((i11 > 1 && b7 == 0 && (bArr[i7 + 4] & 255) < 128) || bArr[i13 + i11] != 2) {
            return false;
        }
        int i14 = bArr[i12] & 255;
        if (i12 + 1 + i14 != bArr.length || i14 == 0) {
            return false;
        }
        byte b8 = bArr[i7 + 5 + i11];
        if ((b8 & 255) >= 128) {
            return false;
        }
        return i14 <= 1 || b8 != 0 || (bArr[(i7 + 6) + i11] & 255) >= 128;
    }

    protected static BigInteger C(BigInteger bigInteger, BigInteger bigInteger2) throws GeneralSecurityException {
        BigInteger bigInteger3;
        if (bigInteger2.signum() == 1) {
            BigInteger mod = bigInteger.mod(bigInteger2);
            BigInteger bigInteger4 = BigInteger.ZERO;
            if (mod.equals(bigInteger4)) {
                return bigInteger4;
            }
            int i7 = 0;
            if (bigInteger2.testBit(0) && bigInteger2.testBit(1)) {
                bigInteger3 = mod.modPow(bigInteger2.add(BigInteger.ONE).shiftRight(2), bigInteger2);
            } else if (!bigInteger2.testBit(0) || bigInteger2.testBit(1)) {
                bigInteger3 = null;
            } else {
                BigInteger bigInteger5 = BigInteger.ONE;
                BigInteger shiftRight = bigInteger2.subtract(bigInteger5).shiftRight(1);
                while (true) {
                    BigInteger mod2 = bigInteger5.multiply(bigInteger5).subtract(mod).mod(bigInteger2);
                    if (mod2.equals(BigInteger.ZERO)) {
                        return bigInteger5;
                    }
                    BigInteger modPow = mod2.modPow(shiftRight, bigInteger2);
                    BigInteger bigInteger6 = BigInteger.ONE;
                    if (modPow.add(bigInteger6).equals(bigInteger2)) {
                        BigInteger shiftRight2 = bigInteger2.add(bigInteger6).shiftRight(1);
                        BigInteger bigInteger7 = bigInteger5;
                        for (int bitLength = shiftRight2.bitLength() - 2; bitLength >= 0; bitLength--) {
                            BigInteger multiply = bigInteger7.multiply(bigInteger6);
                            bigInteger7 = bigInteger7.multiply(bigInteger7).add(bigInteger6.multiply(bigInteger6).mod(bigInteger2).multiply(mod2)).mod(bigInteger2);
                            BigInteger mod3 = multiply.add(multiply).mod(bigInteger2);
                            if (shiftRight2.testBit(bitLength)) {
                                BigInteger mod4 = bigInteger7.multiply(bigInteger5).add(mod3.multiply(mod2)).mod(bigInteger2);
                                bigInteger6 = bigInteger5.multiply(mod3).add(bigInteger7).mod(bigInteger2);
                                bigInteger7 = mod4;
                            } else {
                                bigInteger6 = mod3;
                            }
                        }
                        bigInteger3 = bigInteger7;
                    } else if (modPow.equals(bigInteger6)) {
                        bigInteger5 = bigInteger5.add(bigInteger6);
                        i7++;
                        if (i7 == 128 && !bigInteger2.isProbablePrime(80)) {
                            throw new InvalidAlgorithmParameterException("p is not prime");
                        }
                    } else {
                        throw new InvalidAlgorithmParameterException("p is not prime");
                    }
                }
            }
            if (bigInteger3 == null || bigInteger3.multiply(bigInteger3).mod(bigInteger2).compareTo(mod) == 0) {
                return bigInteger3;
            }
            throw new GeneralSecurityException("Could not find a modular square root");
        }
        throw new InvalidAlgorithmParameterException("p must be positive");
    }

    public static ECPoint D(b bVar, d dVar, byte[] bArr) throws GeneralSecurityException {
        return E(m(bVar).getCurve(), dVar, bArr);
    }

    public static ECPoint E(EllipticCurve ellipticCurve, d dVar, byte[] bArr) throws GeneralSecurityException {
        ECPoint eCPoint;
        int j7 = j(ellipticCurve);
        int i7 = a.f13622a[dVar.ordinal()];
        boolean z7 = false;
        if (i7 != 1) {
            if (i7 != 2) {
                if (i7 == 3) {
                    BigInteger t7 = t(ellipticCurve);
                    if (bArr.length == j7 + 1) {
                        byte b7 = bArr[0];
                        if (b7 != 2) {
                            if (b7 == 3) {
                                z7 = true;
                            } else {
                                throw new GeneralSecurityException("invalid format");
                            }
                        }
                        BigInteger bigInteger = new BigInteger(1, Arrays.copyOfRange(bArr, 1, bArr.length));
                        if (bigInteger.signum() != -1 && bigInteger.compareTo(t7) < 0) {
                            return new ECPoint(bigInteger, y(bigInteger, z7, ellipticCurve));
                        }
                        throw new GeneralSecurityException("x is out of range");
                    }
                    throw new GeneralSecurityException("compressed point has wrong length");
                }
                throw new GeneralSecurityException("invalid format:" + dVar);
            } else if (bArr.length == j7 * 2) {
                eCPoint = new ECPoint(new BigInteger(1, Arrays.copyOfRange(bArr, 0, j7)), new BigInteger(1, Arrays.copyOfRange(bArr, j7, bArr.length)));
            } else {
                throw new GeneralSecurityException("invalid point size");
            }
        } else if (bArr.length != (j7 * 2) + 1) {
            throw new GeneralSecurityException("invalid point size");
        } else if (bArr[0] == 4) {
            int i8 = j7 + 1;
            eCPoint = new ECPoint(new BigInteger(1, Arrays.copyOfRange(bArr, 1, i8)), new BigInteger(1, Arrays.copyOfRange(bArr, i8, bArr.length)));
        } else {
            throw new GeneralSecurityException("invalid point format");
        }
        a(eCPoint, ellipticCurve);
        return eCPoint;
    }

    public static byte[] F(b bVar, d dVar, ECPoint eCPoint) throws GeneralSecurityException {
        return G(m(bVar).getCurve(), dVar, eCPoint);
    }

    public static byte[] G(EllipticCurve ellipticCurve, d dVar, ECPoint eCPoint) throws GeneralSecurityException {
        a(eCPoint, ellipticCurve);
        int j7 = j(ellipticCurve);
        int i7 = a.f13622a[dVar.ordinal()];
        if (i7 != 1) {
            int i8 = 2;
            if (i7 == 2) {
                int i9 = j7 * 2;
                byte[] bArr = new byte[i9];
                byte[] byteArray = eCPoint.getAffineX().toByteArray();
                if (byteArray.length > j7) {
                    byteArray = Arrays.copyOfRange(byteArray, byteArray.length - j7, byteArray.length);
                }
                byte[] byteArray2 = eCPoint.getAffineY().toByteArray();
                if (byteArray2.length > j7) {
                    byteArray2 = Arrays.copyOfRange(byteArray2, byteArray2.length - j7, byteArray2.length);
                }
                System.arraycopy(byteArray2, 0, bArr, i9 - byteArray2.length, byteArray2.length);
                System.arraycopy(byteArray, 0, bArr, j7 - byteArray.length, byteArray.length);
                return bArr;
            } else if (i7 == 3) {
                int i10 = j7 + 1;
                byte[] bArr2 = new byte[i10];
                byte[] byteArray3 = eCPoint.getAffineX().toByteArray();
                System.arraycopy(byteArray3, 0, bArr2, i10 - byteArray3.length, byteArray3.length);
                if (eCPoint.getAffineY().testBit(0)) {
                    i8 = 3;
                }
                bArr2[0] = (byte) i8;
                return bArr2;
            } else {
                throw new GeneralSecurityException("invalid format:" + dVar);
            }
        } else {
            int i11 = (j7 * 2) + 1;
            byte[] bArr3 = new byte[i11];
            byte[] byteArray4 = eCPoint.getAffineX().toByteArray();
            byte[] byteArray5 = eCPoint.getAffineY().toByteArray();
            System.arraycopy(byteArray5, 0, bArr3, i11 - byteArray5.length, byteArray5.length);
            System.arraycopy(byteArray4, 0, bArr3, (j7 + 1) - byteArray4.length, byteArray4.length);
            bArr3[0] = 4;
            return bArr3;
        }
    }

    private static byte[] H(byte[] bArr) {
        int i7 = 0;
        int i8 = 0;
        while (i8 < bArr.length && bArr[i8] == 0) {
            i8++;
        }
        if (i8 == bArr.length) {
            i8 = bArr.length - 1;
        }
        if ((bArr[i8] & 128) == 128) {
            i7 = 1;
        }
        byte[] bArr2 = new byte[((bArr.length - i8) + i7)];
        System.arraycopy(bArr, i8, bArr2, i7, bArr.length - i8);
        return bArr2;
    }

    public static void I(ECPublicKey eCPublicKey, ECPrivateKey eCPrivateKey) throws GeneralSecurityException {
        J(eCPublicKey, eCPrivateKey);
        a(eCPublicKey.getW(), eCPrivateKey.getParams().getCurve());
    }

    static void J(ECPublicKey eCPublicKey, ECPrivateKey eCPrivateKey) throws GeneralSecurityException {
        try {
            if (!A(eCPublicKey.getParams(), eCPrivateKey.getParams())) {
                throw new GeneralSecurityException("invalid public key spec");
            }
        } catch (IllegalArgumentException | NullPointerException e7) {
            throw new GeneralSecurityException(e7.toString());
        }
    }

    private static void K(byte[] bArr, ECPrivateKey eCPrivateKey) throws GeneralSecurityException {
        EllipticCurve curve = eCPrivateKey.getParams().getCurve();
        BigInteger bigInteger = new BigInteger(1, bArr);
        if (bigInteger.signum() == -1 || bigInteger.compareTo(t(curve)) >= 0) {
            throw new GeneralSecurityException("shared secret is out of range");
        }
        y(bigInteger, true, curve);
    }

    static void a(ECPoint eCPoint, EllipticCurve ellipticCurve) throws GeneralSecurityException {
        BigInteger t7 = t(ellipticCurve);
        BigInteger affineX = eCPoint.getAffineX();
        BigInteger affineY = eCPoint.getAffineY();
        if (affineX == null || affineY == null) {
            throw new GeneralSecurityException("point is at infinity");
        } else if (affineX.signum() == -1 || affineX.compareTo(t7) >= 0) {
            throw new GeneralSecurityException("x is out of range");
        } else if (affineY.signum() == -1 || affineY.compareTo(t7) >= 0) {
            throw new GeneralSecurityException("y is out of range");
        } else if (!affineY.multiply(affineY).mod(t7).equals(affineX.multiply(affineX).add(ellipticCurve.getA()).multiply(affineX).add(ellipticCurve.getB()).mod(t7))) {
            throw new GeneralSecurityException("Point is not on curve");
        }
    }

    static void b(ECPublicKey eCPublicKey) throws GeneralSecurityException {
        a(eCPublicKey.getW(), eCPublicKey.getParams().getCurve());
    }

    public static byte[] c(ECPrivateKey eCPrivateKey, ECPublicKey eCPublicKey) throws GeneralSecurityException {
        J(eCPublicKey, eCPrivateKey);
        return d(eCPrivateKey, eCPublicKey.getW());
    }

    public static byte[] d(ECPrivateKey eCPrivateKey, ECPoint eCPoint) throws GeneralSecurityException {
        a(eCPoint, eCPrivateKey.getParams().getCurve());
        PublicKey generatePublic = b0.f13373m.h("EC").generatePublic(new ECPublicKeySpec(eCPoint, eCPrivateKey.getParams()));
        KeyAgreement h7 = b0.f13371k.h("ECDH");
        h7.init(eCPrivateKey);
        try {
            h7.doPhase(generatePublic, true);
            byte[] generateSecret = h7.generateSecret();
            K(generateSecret, eCPrivateKey);
            return generateSecret;
        } catch (IllegalStateException e7) {
            throw new GeneralSecurityException(e7.toString());
        }
    }

    @Deprecated
    public static ECPoint e(EllipticCurve ellipticCurve, d dVar, byte[] bArr) throws GeneralSecurityException {
        return E(ellipticCurve, dVar, bArr);
    }

    public static byte[] f(byte[] bArr, int i7) throws GeneralSecurityException {
        if (B(bArr)) {
            byte[] bArr2 = new byte[i7];
            byte b7 = 1;
            int i8 = ((bArr[1] & 255) >= 128 ? 3 : 2) + 1;
            int i9 = i8 + 1;
            byte b8 = bArr[i8];
            byte b9 = bArr[i9] == 0 ? (byte) 1 : 0;
            System.arraycopy(bArr, i9 + b9, bArr2, ((i7 / 2) - b8) + b9, b8 - b9);
            int i10 = i9 + b8 + 1;
            int i11 = i10 + 1;
            byte b10 = bArr[i10];
            if (bArr[i11] != 0) {
                b7 = 0;
            }
            System.arraycopy(bArr, i11 + b7, bArr2, (i7 - b10) + b7, b10 - b7);
            return bArr2;
        }
        throw new GeneralSecurityException("Invalid DER encoding");
    }

    public static byte[] g(byte[] bArr) throws GeneralSecurityException {
        byte[] bArr2;
        int i7;
        if (bArr.length % 2 != 0 || bArr.length == 0 || bArr.length > 132) {
            throw new GeneralSecurityException("Invalid IEEE_P1363 encoding");
        }
        byte[] H = H(Arrays.copyOf(bArr, bArr.length / 2));
        byte[] H2 = H(Arrays.copyOfRange(bArr, bArr.length / 2, bArr.length));
        int length = H.length + 2 + 1 + 1 + H2.length;
        if (length >= 128) {
            bArr2 = new byte[(length + 3)];
            bArr2[0] = 48;
            bArr2[1] = -127;
            bArr2[2] = (byte) length;
            i7 = 3;
        } else {
            bArr2 = new byte[(length + 2)];
            bArr2[0] = 48;
            bArr2[1] = (byte) length;
            i7 = 2;
        }
        int i8 = i7 + 1;
        bArr2[i7] = 2;
        int i9 = i8 + 1;
        bArr2[i8] = (byte) H.length;
        System.arraycopy(H, 0, bArr2, i9, H.length);
        int length2 = i9 + H.length;
        int i10 = length2 + 1;
        bArr2[length2] = 2;
        bArr2[i10] = (byte) H2.length;
        System.arraycopy(H2, 0, bArr2, i10 + 1, H2.length);
        return bArr2;
    }

    public static int h(EllipticCurve ellipticCurve, d dVar) throws GeneralSecurityException {
        int j7 = j(ellipticCurve);
        int i7 = a.f13622a[dVar.ordinal()];
        if (i7 == 1) {
            return (j7 * 2) + 1;
        }
        if (i7 == 2) {
            return j7 * 2;
        }
        if (i7 == 3) {
            return j7 + 1;
        }
        throw new GeneralSecurityException("unknown EC point format");
    }

    static int i(EllipticCurve ellipticCurve) throws GeneralSecurityException {
        return t(ellipticCurve).subtract(BigInteger.ONE).bitLength();
    }

    public static int j(EllipticCurve ellipticCurve) throws GeneralSecurityException {
        return (i(ellipticCurve) + 7) / 8;
    }

    public static KeyPair k(b bVar) throws GeneralSecurityException {
        return l(m(bVar));
    }

    public static KeyPair l(ECParameterSpec eCParameterSpec) throws GeneralSecurityException {
        KeyPairGenerator h7 = b0.f13372l.h("EC");
        h7.initialize(eCParameterSpec);
        return h7.generateKeyPair();
    }

    public static ECParameterSpec m(b bVar) throws NoSuchAlgorithmException {
        int i7 = a.f13623b[bVar.ordinal()];
        if (i7 == 1) {
            return v();
        }
        if (i7 == 2) {
            return w();
        }
        if (i7 == 3) {
            return x();
        }
        throw new NoSuchAlgorithmException("curve not implemented:" + bVar);
    }

    public static ECPrivateKey n(b bVar, byte[] bArr) throws GeneralSecurityException {
        return (ECPrivateKey) b0.f13373m.h("EC").generatePrivate(new ECPrivateKeySpec(new BigInteger(1, bArr), m(bVar)));
    }

    public static ECPrivateKey o(byte[] bArr) throws GeneralSecurityException {
        return (ECPrivateKey) b0.f13373m.h("EC").generatePrivate(new PKCS8EncodedKeySpec(bArr));
    }

    public static ECPublicKey p(b bVar, d dVar, byte[] bArr) throws GeneralSecurityException {
        return r(m(bVar), dVar, bArr);
    }

    public static ECPublicKey q(b bVar, byte[] bArr, byte[] bArr2) throws GeneralSecurityException {
        ECParameterSpec m7 = m(bVar);
        ECPoint eCPoint = new ECPoint(new BigInteger(1, bArr), new BigInteger(1, bArr2));
        a(eCPoint, m7.getCurve());
        return (ECPublicKey) b0.f13373m.h("EC").generatePublic(new ECPublicKeySpec(eCPoint, m7));
    }

    public static ECPublicKey r(ECParameterSpec eCParameterSpec, d dVar, byte[] bArr) throws GeneralSecurityException {
        return (ECPublicKey) b0.f13373m.h("EC").generatePublic(new ECPublicKeySpec(E(eCParameterSpec.getCurve(), dVar, bArr), eCParameterSpec));
    }

    public static ECPublicKey s(byte[] bArr) throws GeneralSecurityException {
        return (ECPublicKey) b0.f13373m.h("EC").generatePublic(new X509EncodedKeySpec(bArr));
    }

    public static BigInteger t(EllipticCurve ellipticCurve) throws GeneralSecurityException {
        ECField field = ellipticCurve.getField();
        if (field instanceof ECFieldFp) {
            return ((ECFieldFp) field).getP();
        }
        throw new GeneralSecurityException("Only curves over prime order fields are supported");
    }

    private static ECParameterSpec u(String str, String str2, String str3, String str4, String str5) {
        BigInteger bigInteger = new BigInteger(str);
        return new ECParameterSpec(new EllipticCurve(new ECFieldFp(bigInteger), bigInteger.subtract(new BigInteger("3")), new BigInteger(str3, 16)), new ECPoint(new BigInteger(str4, 16), new BigInteger(str5, 16)), new BigInteger(str2), 1);
    }

    public static ECParameterSpec v() {
        return u("115792089210356248762697446949407573530086143415290314195533631308867097853951", "115792089210356248762697446949407573529996955224135760342422259061068512044369", "5ac635d8aa3a93e7b3ebbd55769886bc651d06b0cc53b0f63bce3c3e27d2604b", "6b17d1f2e12c4247f8bce6e563a440f277037d812deb33a0f4a13945d898c296", "4fe342e2fe1a7f9b8ee7eb4a7c0f9e162bce33576b315ececbb6406837bf51f5");
    }

    public static ECParameterSpec w() {
        return u("39402006196394479212279040100143613805079739270465446667948293404245721771496870329047266088258938001861606973112319", "39402006196394479212279040100143613805079739270465446667946905279627659399113263569398956308152294913554433653942643", "b3312fa7e23ee7e4988e056be3f82d19181d9c6efe8141120314088f5013875ac656398d8a2ed19d2a85c8edd3ec2aef", "aa87ca22be8b05378eb1c71ef320ad746e1d3b628ba79b9859f741e082542a385502f25dbf55296c3a545e3872760ab7", "3617de4a96262c6f5d9e98bf9292dc29f8f41dbd289a147ce9da3113b5f0b8c00a60b1ce1d7e819d7a431d7c90ea0e5f");
    }

    public static ECParameterSpec x() {
        return u("6864797660130609714981900799081393217269435300143305409394463459185543183397656052122559640661454554977296311391480858037121987999716643812574028291115057151", "6864797660130609714981900799081393217269435300143305409394463459185543183397655394245057746333217197532963996371363321113864768612440380340372808892707005449", "051953eb9618e1c9a1f929a21a0b68540eea2da725b99b315f3b8b489918ef109e156193951ec7e937b1652c0bd3bb1bf073573df883d2c34f1ef451fd46b503f00", "c6858e06b70404e9cd9e3ecb662395b4429c648139053fb521f828af606b4d3dbaa14b5e77efe75928fe1dc127a2ffa8de3348b3c1856a429bf97e7e31c2e5bd66", "11839296a789a3bc0045c8a5fb42c7d1bd998f54449579b446817afbd17273e662c97ee72995ef42640c550b9013fad0761353c7086a272c24088be94769fd16650");
    }

    public static BigInteger y(BigInteger bigInteger, boolean z7, EllipticCurve ellipticCurve) throws GeneralSecurityException {
        BigInteger t7 = t(ellipticCurve);
        BigInteger C = C(bigInteger.multiply(bigInteger).add(ellipticCurve.getA()).multiply(bigInteger).add(ellipticCurve.getB()).mod(t7), t7);
        return z7 != C.testBit(0) ? t7.subtract(C).mod(t7) : C;
    }

    public static boolean z(ECParameterSpec eCParameterSpec) {
        return A(eCParameterSpec, v()) || A(eCParameterSpec, w()) || A(eCParameterSpec, x());
    }
}
