package com.google.crypto.tink.subtle;

import java.io.FilterInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.nio.ByteBuffer;
import java.security.GeneralSecurityException;
import java.util.Arrays;

/* access modifiers changed from: package-private */
public class z0 extends FilterInputStream {
    private static final int Z5 = 16;
    private boolean C1 = false;
    private boolean C2 = false;
    private final byte[] U5;
    private int V5 = 0;
    private final w0 W5;
    private final int X5;
    private final int Y5;

    /* renamed from: f  reason: collision with root package name */
    private final ByteBuffer f13635f;

    /* renamed from: g  reason: collision with root package name */
    private final ByteBuffer f13636g;

    /* renamed from: p  reason: collision with root package name */
    private final int f13637p;

    /* renamed from: x  reason: collision with root package name */
    private boolean f13638x = false;

    /* renamed from: y  reason: collision with root package name */
    private boolean f13639y = false;

    public z0(k0 k0Var, InputStream inputStream, byte[] bArr) throws GeneralSecurityException, IOException {
        super(inputStream);
        this.W5 = k0Var.k();
        this.f13637p = k0Var.i();
        this.U5 = Arrays.copyOf(bArr, bArr.length);
        int h7 = k0Var.h();
        this.X5 = h7;
        ByteBuffer allocate = ByteBuffer.allocate(h7 + 1);
        this.f13635f = allocate;
        allocate.limit(0);
        this.Y5 = h7 - k0Var.f();
        ByteBuffer allocate2 = ByteBuffer.allocate(k0Var.j() + 16);
        this.f13636g = allocate2;
        allocate2.limit(0);
    }

    private void a() throws IOException {
        byte b7;
        while (!this.f13639y && this.f13635f.remaining() > 0) {
            int read = ((FilterInputStream) this).in.read(this.f13635f.array(), this.f13635f.position(), this.f13635f.remaining());
            if (read > 0) {
                ByteBuffer byteBuffer = this.f13635f;
                byteBuffer.position(byteBuffer.position() + read);
            } else if (read == -1) {
                this.f13639y = true;
            } else if (read == 0) {
                throw new IOException("Could not read bytes from the ciphertext stream");
            }
        }
        if (!this.f13639y) {
            ByteBuffer byteBuffer2 = this.f13635f;
            b7 = byteBuffer2.get(byteBuffer2.position() - 1);
            ByteBuffer byteBuffer3 = this.f13635f;
            byteBuffer3.position(byteBuffer3.position() - 1);
        } else {
            b7 = 0;
        }
        this.f13635f.flip();
        this.f13636g.clear();
        try {
            this.W5.b(this.f13635f, this.V5, this.f13639y, this.f13636g);
            this.V5++;
            this.f13636g.flip();
            this.f13635f.clear();
            if (!this.f13639y) {
                this.f13635f.clear();
                this.f13635f.limit(this.X5 + 1);
                this.f13635f.put(b7);
            }
        } catch (GeneralSecurityException e7) {
            c();
            throw new IOException(e7.getMessage() + "\n" + toString() + "\nsegmentNr:" + this.V5 + " endOfCiphertext:" + this.f13639y, e7);
        }
    }

    private void b() throws IOException {
        if (!this.f13638x) {
            ByteBuffer allocate = ByteBuffer.allocate(this.f13637p);
            while (allocate.remaining() > 0) {
                int read = ((FilterInputStream) this).in.read(allocate.array(), allocate.position(), allocate.remaining());
                if (read == -1) {
                    c();
                    throw new IOException("Ciphertext is too short");
                } else if (read != 0) {
                    allocate.position(allocate.position() + read);
                } else {
                    throw new IOException("Could not read bytes from the ciphertext stream");
                }
            }
            allocate.flip();
            try {
                this.W5.a(allocate, this.U5);
                this.f13638x = true;
            } catch (GeneralSecurityException e7) {
                throw new IOException(e7);
            }
        } else {
            c();
            throw new IOException("Decryption failed.");
        }
    }

    private void c() {
        this.C2 = true;
        this.f13636g.limit(0);
    }

    @Override // java.io.FilterInputStream, java.io.InputStream
    public synchronized int available() {
        return this.f13636g.remaining();
    }

    @Override // java.io.FilterInputStream, java.io.Closeable, java.lang.AutoCloseable, java.io.InputStream
    public synchronized void close() throws IOException {
        super.close();
    }

    public synchronized void mark(int i7) {
    }

    public boolean markSupported() {
        return false;
    }

    @Override // java.io.FilterInputStream, java.io.InputStream
    public int read() throws IOException {
        byte[] bArr = new byte[1];
        int read = read(bArr, 0, 1);
        if (read == 1) {
            return bArr[0] & 255;
        }
        if (read == -1) {
            return read;
        }
        throw new IOException("Reading failed");
    }

    @Override // java.io.FilterInputStream, java.io.InputStream
    public long skip(long j7) throws IOException {
        int read;
        long j8 = (long) this.X5;
        if (j7 <= 0) {
            return 0;
        }
        int min = (int) Math.min(j8, j7);
        byte[] bArr = new byte[min];
        long j9 = j7;
        while (j9 > 0 && (read = read(bArr, 0, (int) Math.min((long) min, j9))) > 0) {
            j9 -= (long) read;
        }
        return j7 - j9;
    }

    public synchronized String toString() {
        return "StreamingAeadDecryptingStream" + "\nsegmentNr:" + this.V5 + "\nciphertextSegmentSize:" + this.X5 + "\nheaderRead:" + this.f13638x + "\nendOfCiphertext:" + this.f13639y + "\nendOfPlaintext:" + this.C1 + "\ndecryptionErrorOccured:" + this.C2 + "\nciphertextSgement" + " position:" + this.f13635f.position() + " limit:" + this.f13635f.limit() + "\nplaintextSegment" + " position:" + this.f13636g.position() + " limit:" + this.f13636g.limit();
    }

    @Override // java.io.FilterInputStream, java.io.InputStream
    public int read(byte[] bArr) throws IOException {
        return read(bArr, 0, bArr.length);
    }

    @Override // java.io.FilterInputStream, java.io.InputStream
    public synchronized int read(byte[] bArr, int i7, int i8) throws IOException {
        if (!this.C2) {
            if (!this.f13638x) {
                b();
                this.f13635f.clear();
                this.f13635f.limit(this.Y5 + 1);
            }
            if (this.C1) {
                return -1;
            }
            int i9 = 0;
            while (true) {
                if (i9 >= i8) {
                    break;
                }
                if (this.f13636g.remaining() == 0) {
                    if (this.f13639y) {
                        this.C1 = true;
                        break;
                    }
                    a();
                }
                int min = Math.min(this.f13636g.remaining(), i8 - i9);
                this.f13636g.get(bArr, i9 + i7, min);
                i9 += min;
            }
            if (i9 != 0 || !this.C1) {
                return i9;
            }
            return -1;
        }
        throw new IOException("Decryption failed.");
    }
}
