package com.google.crypto.tink;

import com.google.crypto.tink.proto.a4;
import com.google.crypto.tink.proto.o4;
import com.google.crypto.tink.proto.v3;
import com.google.crypto.tink.subtle.f0;
import java.security.GeneralSecurityException;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collection;
import java.util.Collections;
import java.util.List;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.ConcurrentMap;

public final class z<P> {

    /* renamed from: a  reason: collision with root package name */
    private final ConcurrentMap<c, List<b<P>>> f13642a = new ConcurrentHashMap();

    /* renamed from: b  reason: collision with root package name */
    private b<P> f13643b;

    /* renamed from: c  reason: collision with root package name */
    private final Class<P> f13644c;

    public static final class b<P> {

        /* renamed from: a  reason: collision with root package name */
        private final P f13645a;

        /* renamed from: b  reason: collision with root package name */
        private final byte[] f13646b;

        /* renamed from: c  reason: collision with root package name */
        private final v3 f13647c;

        /* renamed from: d  reason: collision with root package name */
        private final o4 f13648d;

        /* renamed from: e  reason: collision with root package name */
        private final int f13649e;

        b(P p7, byte[] bArr, v3 v3Var, o4 o4Var, int i7) {
            this.f13645a = p7;
            this.f13646b = Arrays.copyOf(bArr, bArr.length);
            this.f13647c = v3Var;
            this.f13648d = o4Var;
            this.f13649e = i7;
        }

        public final byte[] a() {
            byte[] bArr = this.f13646b;
            if (bArr == null) {
                return null;
            }
            return Arrays.copyOf(bArr, bArr.length);
        }

        public int b() {
            return this.f13649e;
        }

        public o4 c() {
            return this.f13648d;
        }

        public P d() {
            return this.f13645a;
        }

        public v3 e() {
            return this.f13647c;
        }
    }

    /* access modifiers changed from: private */
    public static class c implements Comparable<c> {

        /* renamed from: f  reason: collision with root package name */
        private final byte[] f13650f;

        private c(byte[] bArr) {
            this.f13650f = Arrays.copyOf(bArr, bArr.length);
        }

        /* renamed from: a */
        public int compareTo(c cVar) {
            byte[] bArr = this.f13650f;
            int length = bArr.length;
            byte[] bArr2 = cVar.f13650f;
            if (length != bArr2.length) {
                return bArr.length - bArr2.length;
            }
            int i7 = 0;
            while (true) {
                byte[] bArr3 = this.f13650f;
                if (i7 >= bArr3.length) {
                    return 0;
                }
                byte b7 = bArr3[i7];
                byte b8 = cVar.f13650f[i7];
                if (b7 != b8) {
                    return b7 - b8;
                }
                i7++;
            }
        }

        public boolean equals(Object obj) {
            if (!(obj instanceof c)) {
                return false;
            }
            return Arrays.equals(this.f13650f, ((c) obj).f13650f);
        }

        public int hashCode() {
            return Arrays.hashCode(this.f13650f);
        }

        public String toString() {
            return f0.b(this.f13650f);
        }
    }

    private z(Class<P> cls) {
        this.f13644c = cls;
    }

    public static <P> z<P> h(Class<P> cls) {
        return new z<>(cls);
    }

    public b<P> a(P p7, a4.c cVar) throws GeneralSecurityException {
        if (cVar.m() == v3.ENABLED) {
            b<P> bVar = new b<>(p7, g.a(cVar), cVar.m(), cVar.p(), cVar.x());
            ArrayList arrayList = new ArrayList();
            arrayList.add(bVar);
            c cVar2 = new c(bVar.a());
            List<b<P>> put = this.f13642a.put(cVar2, Collections.unmodifiableList(arrayList));
            if (put != null) {
                ArrayList arrayList2 = new ArrayList();
                arrayList2.addAll(put);
                arrayList2.add(bVar);
                this.f13642a.put(cVar2, Collections.unmodifiableList(arrayList2));
            }
            return bVar;
        }
        throw new GeneralSecurityException("only ENABLED key is allowed");
    }

    public Collection<List<b<P>>> b() {
        return this.f13642a.values();
    }

    public b<P> c() {
        return this.f13643b;
    }

    /* access modifiers changed from: protected */
    public List<b<P>> d(a4.c cVar) throws GeneralSecurityException {
        return e(g.a(cVar));
    }

    public List<b<P>> e(byte[] bArr) {
        List<b<P>> list = this.f13642a.get(new c(bArr));
        return list != null ? list : Collections.emptyList();
    }

    public Class<P> f() {
        return this.f13644c;
    }

    public List<b<P>> g() {
        return e(g.f12431g);
    }

    public void i(b<P> bVar) {
        if (bVar == null) {
            throw new IllegalArgumentException("the primary entry must be non-null");
        } else if (bVar.e() != v3.ENABLED) {
            throw new IllegalArgumentException("the primary entry has to be ENABLED");
        } else if (!e(bVar.a()).isEmpty()) {
            this.f13643b = bVar;
        } else {
            throw new IllegalArgumentException("the primary entry cannot be set to an entry which is not held by this primitive set");
        }
    }
}
