package com.google.firebase.components;

import android.app.Service;
import android.content.ComponentName;
import android.content.Context;
import android.content.pm.PackageManager;
import android.content.pm.ServiceInfo;
import android.os.Bundle;
import android.util.Log;
import androidx.annotation.Nullable;
import androidx.annotation.VisibleForTesting;
import java.lang.reflect.InvocationTargetException;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

public final class i<T> {

    /* renamed from: c  reason: collision with root package name */
    static final String f13700c = "ComponentDiscovery";

    /* renamed from: d  reason: collision with root package name */
    private static final String f13701d = "com.google.firebase.components.ComponentRegistrar";

    /* renamed from: e  reason: collision with root package name */
    private static final String f13702e = "com.google.firebase.components:";

    /* renamed from: a  reason: collision with root package name */
    private final T f13703a;

    /* renamed from: b  reason: collision with root package name */
    private final c<T> f13704b;

    private static class b implements c<Context> {

        /* renamed from: a  reason: collision with root package name */
        private final Class<? extends Service> f13705a;

        private b(Class<? extends Service> cls) {
            this.f13705a = cls;
        }

        private Bundle b(Context context) {
            try {
                PackageManager packageManager = context.getPackageManager();
                if (packageManager == null) {
                    Log.w(i.f13700c, "Context has no PackageManager.");
                    return null;
                }
                ServiceInfo serviceInfo = packageManager.getServiceInfo(new ComponentName(context, this.f13705a), 128);
                if (serviceInfo != null) {
                    return serviceInfo.metaData;
                }
                Log.w(i.f13700c, this.f13705a + " has no service info.");
                return null;
            } catch (PackageManager.NameNotFoundException unused) {
                Log.w(i.f13700c, "Application info not found.");
                return null;
            }
        }

        /* renamed from: c */
        public List<String> a(Context context) {
            Bundle b7 = b(context);
            if (b7 == null) {
                Log.w(i.f13700c, "Could not retrieve metadata, returning empty list of registrars.");
                return Collections.emptyList();
            }
            ArrayList arrayList = new ArrayList();
            for (String str : b7.keySet()) {
                if (i.f13701d.equals(b7.get(str)) && str.startsWith(i.f13702e)) {
                    arrayList.add(str.substring(31));
                }
            }
            return arrayList;
        }
    }

    @VisibleForTesting
    interface c<T> {
        List<String> a(T t7);
    }

    @VisibleForTesting
    i(T t7, c<T> cVar) {
        this.f13703a = t7;
        this.f13704b = cVar;
    }

    public static i<Context> c(Context context, Class<? extends Service> cls) {
        return new i<>(context, new b(cls));
    }

    /* access modifiers changed from: private */
    @Nullable
    public static k d(String str) {
        try {
            Class<?> cls = Class.forName(str);
            if (k.class.isAssignableFrom(cls)) {
                return (k) cls.getDeclaredConstructor(new Class[0]).newInstance(new Object[0]);
            }
            throw new y(String.format("Class %s is not an instance of %s", str, f13701d));
        } catch (ClassNotFoundException unused) {
            Log.w(f13700c, String.format("Class %s is not an found.", str));
            return null;
        } catch (IllegalAccessException e7) {
            throw new y(String.format("Could not instantiate %s.", str), e7);
        } catch (InstantiationException e8) {
            throw new y(String.format("Could not instantiate %s.", str), e8);
        } catch (NoSuchMethodException e9) {
            throw new y(String.format("Could not instantiate %s", str), e9);
        } catch (InvocationTargetException e10) {
            throw new y(String.format("Could not instantiate %s", str), e10);
        }
    }

    @Deprecated
    public List<k> a() {
        ArrayList arrayList = new ArrayList();
        for (String str : this.f13704b.a(this.f13703a)) {
            try {
                k d7 = d(str);
                if (d7 != null) {
                    arrayList.add(d7);
                }
            } catch (y e7) {
                Log.w(f13700c, "Invalid component registrar.", e7);
            }
        }
        return arrayList;
    }

    public List<z0.b<k>> b() {
        ArrayList arrayList = new ArrayList();
        for (String str : this.f13704b.a(this.f13703a)) {
            arrayList.add(h.a(str));
        }
        return arrayList;
    }
}
