package com.google.firebase.components;

import android.util.Log;
import androidx.annotation.RestrictTo;
import androidx.annotation.VisibleForTesting;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collection;
import java.util.Collections;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Set;
import java.util.concurrent.Executor;
import java.util.concurrent.atomic.AtomicReference;
import x0.c;
import x0.d;

public class q extends a implements t0.a {

    /* renamed from: g  reason: collision with root package name */
    private static final z0.b<Set<Object>> f13723g = p.a();

    /* renamed from: a  reason: collision with root package name */
    private final Map<f<?>, z0.b<?>> f13724a;

    /* renamed from: b  reason: collision with root package name */
    private final Map<Class<?>, z0.b<?>> f13725b;

    /* renamed from: c  reason: collision with root package name */
    private final Map<Class<?>, a0<?>> f13726c;

    /* renamed from: d  reason: collision with root package name */
    private final List<z0.b<k>> f13727d;

    /* renamed from: e  reason: collision with root package name */
    private final x f13728e;

    /* renamed from: f  reason: collision with root package name */
    private final AtomicReference<Boolean> f13729f;

    public static final class b {

        /* renamed from: a  reason: collision with root package name */
        private final Executor f13730a;

        /* renamed from: b  reason: collision with root package name */
        private final List<z0.b<k>> f13731b = new ArrayList();

        /* renamed from: c  reason: collision with root package name */
        private final List<f<?>> f13732c = new ArrayList();

        b(Executor executor) {
            this.f13730a = executor;
        }

        static /* synthetic */ k e(k kVar) {
            return kVar;
        }

        public b a(f<?> fVar) {
            this.f13732c.add(fVar);
            return this;
        }

        public b b(k kVar) {
            this.f13731b.add(r.a(kVar));
            return this;
        }

        public b c(Collection<z0.b<k>> collection) {
            this.f13731b.addAll(collection);
            return this;
        }

        public q d() {
            return new q(this.f13730a, this.f13731b, this.f13732c);
        }
    }

    private q(Executor executor, Iterable<z0.b<k>> iterable, Collection<f<?>> collection) {
        this.f13724a = new HashMap();
        this.f13725b = new HashMap();
        this.f13726c = new HashMap();
        this.f13729f = new AtomicReference<>();
        x xVar = new x(executor);
        this.f13728e = xVar;
        ArrayList arrayList = new ArrayList();
        arrayList.add(f.q(xVar, x.class, d.class, c.class));
        arrayList.add(f.q(this, t0.a.class, new Class[0]));
        for (f<?> fVar : collection) {
            if (fVar != null) {
                arrayList.add(fVar);
            }
        }
        this.f13727d = l(iterable);
        h(arrayList);
    }

    public static b g(Executor executor) {
        return new b(executor);
    }

    private void h(List<f<?>> list) {
        ArrayList<Runnable> arrayList = new ArrayList();
        synchronized (this) {
            Iterator<z0.b<k>> it = this.f13727d.iterator();
            while (it.hasNext()) {
                try {
                    k kVar = it.next().get();
                    if (kVar != null) {
                        list.addAll(kVar.getComponents());
                        it.remove();
                    }
                } catch (y e7) {
                    it.remove();
                    Log.w("ComponentDiscovery", "Invalid component registrar.", e7);
                }
            }
            if (this.f13724a.isEmpty()) {
                s.a(list);
            } else {
                ArrayList arrayList2 = new ArrayList(this.f13724a.keySet());
                arrayList2.addAll(list);
                s.a(arrayList2);
            }
            for (f<?> fVar : list) {
                this.f13724a.put(fVar, new z(l.a(this, fVar)));
            }
            arrayList.addAll(s(list));
            arrayList.addAll(t());
            r();
        }
        for (Runnable runnable : arrayList) {
            runnable.run();
        }
        q();
    }

    private void i(Map<f<?>, z0.b<?>> map, boolean z7) {
        for (Map.Entry<f<?>, z0.b<?>> entry : map.entrySet()) {
            f<?> key = entry.getKey();
            z0.b<?> value = entry.getValue();
            if (key.i() || (key.j() && z7)) {
                value.get();
            }
        }
        this.f13728e.e();
    }

    private static <T> List<T> l(Iterable<T> iterable) {
        ArrayList arrayList = new ArrayList();
        for (T t7 : iterable) {
            arrayList.add(t7);
        }
        return arrayList;
    }

    static /* synthetic */ k p(k kVar) {
        return kVar;
    }

    private void q() {
        Boolean bool = this.f13729f.get();
        if (bool != null) {
            i(this.f13724a, bool.booleanValue());
        }
    }

    private void r() {
        Map map;
        Class<?> c7;
        z0.b b7;
        for (f<?> fVar : this.f13724a.keySet()) {
            Iterator<t> it = fVar.c().iterator();
            while (true) {
                if (it.hasNext()) {
                    t next = it.next();
                    if (next.g() && !this.f13726c.containsKey(next.c())) {
                        map = this.f13726c;
                        c7 = next.c();
                        b7 = a0.b(Collections.emptySet());
                    } else if (this.f13725b.containsKey(next.c())) {
                        continue;
                    } else if (next.f()) {
                        throw new b0(String.format("Unsatisfied dependency for component %s: %s", fVar, next.c()));
                    } else if (!next.g()) {
                        map = this.f13725b;
                        c7 = next.c();
                        b7 = f0.b();
                    }
                    map.put(c7, b7);
                }
            }
        }
    }

    private List<Runnable> s(List<f<?>> list) {
        ArrayList arrayList = new ArrayList();
        for (f<?> fVar : list) {
            if (fVar.l()) {
                z0.b<?> bVar = this.f13724a.get(fVar);
                for (Class<? super Object> cls : fVar.e()) {
                    if (!this.f13725b.containsKey(cls)) {
                        this.f13725b.put(cls, bVar);
                    } else {
                        arrayList.add(n.a((f0) this.f13725b.get(cls), bVar));
                    }
                }
            }
        }
        return arrayList;
    }

    private List<Runnable> t() {
        ArrayList arrayList = new ArrayList();
        HashMap hashMap = new HashMap();
        for (Map.Entry<f<?>, z0.b<?>> entry : this.f13724a.entrySet()) {
            f<?> key = entry.getKey();
            if (!key.l()) {
                z0.b<?> value = entry.getValue();
                for (Class<? super Object> cls : key.e()) {
                    if (!hashMap.containsKey(cls)) {
                        hashMap.put(cls, new HashSet());
                    }
                    ((Set) hashMap.get(cls)).add(value);
                }
            }
        }
        for (Map.Entry entry2 : hashMap.entrySet()) {
            if (!this.f13726c.containsKey(entry2.getKey())) {
                this.f13726c.put((Class) entry2.getKey(), a0.b((Collection) entry2.getValue()));
            } else {
                a0<?> a0Var = this.f13726c.get(entry2.getKey());
                for (z0.b bVar : (Set) entry2.getValue()) {
                    arrayList.add(o.a(a0Var, bVar));
                }
            }
        }
        return arrayList;
    }

    private static Iterable<z0.b<k>> u(Iterable<k> iterable) {
        ArrayList arrayList = new ArrayList();
        for (k kVar : iterable) {
            arrayList.add(m.a(kVar));
        }
        return arrayList;
    }

    @Override // com.google.firebase.components.g, com.google.firebase.components.a
    public /* bridge */ /* synthetic */ Object a(Class cls) {
        return super.a(cls);
    }

    @Override // com.google.firebase.components.g
    public synchronized <T> z0.b<T> b(Class<T> cls) {
        g0.c(cls, "Null interface requested.");
        return (z0.b<T>) this.f13725b.get(cls);
    }

    @Override // t0.a
    public void c() {
        synchronized (this) {
            if (!this.f13727d.isEmpty()) {
                h(new ArrayList());
            }
        }
    }

    @Override // com.google.firebase.components.g
    public synchronized <T> z0.b<Set<T>> d(Class<T> cls) {
        a0<?> a0Var = this.f13726c.get(cls);
        if (a0Var != null) {
            return a0Var;
        }
        return (z0.b<Set<T>>) f13723g;
    }

    @Override // com.google.firebase.components.g, com.google.firebase.components.a
    public /* bridge */ /* synthetic */ Set e(Class cls) {
        return super.e(cls);
    }

    @Override // com.google.firebase.components.g
    public <T> z0.a<T> f(Class<T> cls) {
        z0.b<T> b7 = b(cls);
        return b7 == null ? f0.b() : b7 instanceof f0 ? (f0) b7 : f0.f(b7);
    }

    @RestrictTo({RestrictTo.Scope.TESTS})
    @VisibleForTesting
    public void j() {
        for (z0.b<?> bVar : this.f13724a.values()) {
            bVar.get();
        }
    }

    public void k(boolean z7) {
        HashMap hashMap;
        if (androidx.lifecycle.c.a(this.f13729f, null, Boolean.valueOf(z7))) {
            synchronized (this) {
                hashMap = new HashMap(this.f13724a);
            }
            i(hashMap, z7);
        }
    }

    @Deprecated
    public q(Executor executor, Iterable<k> iterable, f<?>... fVarArr) {
        this(executor, u(iterable), Arrays.asList(fVarArr));
    }
}
