package com.google.firebase.iid;

import android.os.Looper;
import android.util.Log;
import androidx.annotation.Keep;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.WorkerThread;
import androidx.work.WorkRequest;
import com.google.android.gms.common.internal.b0;
import com.google.android.gms.tasks.l;
import com.google.android.gms.tasks.o;
import com.google.firebase.e;
import com.google.firebase.heartbeatinfo.k;
import com.google.firebase.iid.a0;
import com.google.firebase.installations.j;
import com.google.firebase.messaging.c;
import com.google.firebase.platforminfo.i;
import e4.g;
import f4.a;
import java.io.IOException;
import java.util.concurrent.CancellationException;
import java.util.concurrent.CountDownLatch;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.Executor;
import java.util.concurrent.ScheduledExecutorService;
import java.util.concurrent.ScheduledThreadPoolExecutor;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.TimeoutException;
import java.util.regex.Pattern;
import x.d0;
import z0.b;

@Deprecated
public class FirebaseInstanceId {

    /* renamed from: h  reason: collision with root package name */
    private static final long f13972h = TimeUnit.HOURS.toSeconds(8);

    /* renamed from: i  reason: collision with root package name */
    private static a0 f13973i;

    /* renamed from: j  reason: collision with root package name */
    private static final Pattern f13974j = Pattern.compile("\\AA[\\w-]{38}\\z");
    @a("FirebaseInstanceId.class")
    @d0

    /* renamed from: k  reason: collision with root package name */
    static ScheduledExecutorService f13975k;
    @d0

    /* renamed from: a  reason: collision with root package name */
    final Executor f13976a;

    /* renamed from: b  reason: collision with root package name */
    private final e f13977b;

    /* renamed from: c  reason: collision with root package name */
    private final t f13978c;

    /* renamed from: d  reason: collision with root package name */
    private final q f13979d;

    /* renamed from: e  reason: collision with root package name */
    private final y f13980e;

    /* renamed from: f  reason: collision with root package name */
    private final j f13981f;
    @a("this")

    /* renamed from: g  reason: collision with root package name */
    private boolean f13982g;

    FirebaseInstanceId(e eVar, t tVar, Executor executor, Executor executor2, b<i> bVar, b<k> bVar2, j jVar) {
        this.f13982g = false;
        if (t.c(eVar) != null) {
            synchronized (FirebaseInstanceId.class) {
                if (f13973i == null) {
                    f13973i = new a0(eVar.l());
                }
            }
            this.f13977b = eVar;
            this.f13978c = tVar;
            this.f13979d = new q(eVar, tVar, bVar, bVar2, jVar);
            this.f13976a = executor2;
            this.f13980e = new y(executor);
            this.f13981f = jVar;
            return;
        }
        throw new IllegalStateException("FirebaseInstanceId failed to initialize, FirebaseApp is missing project ID");
    }

    private static String E(String str) {
        return (str.isEmpty() || str.equalsIgnoreCase(c.f.f14522a) || str.equalsIgnoreCase(c.e.f14518a)) ? "*" : str;
    }

    private void J() {
        if (L(t())) {
            I();
        }
    }

    private <T> T a(l<T> lVar) throws IOException {
        try {
            return (T) o.b(lVar, WorkRequest.DEFAULT_BACKOFF_DELAY_MILLIS, TimeUnit.MILLISECONDS);
        } catch (ExecutionException e7) {
            Throwable cause = e7.getCause();
            if (cause instanceof IOException) {
                if ("INSTANCE_ID_RESET".equals(cause.getMessage())) {
                    this.F();
                }
                throw ((IOException) cause);
            } else if (cause instanceof RuntimeException) {
                throw ((RuntimeException) cause);
            } else {
                throw new IOException(e7);
            }
        } catch (InterruptedException | TimeoutException unused) {
            throw new IOException(q.f14039g);
        }
    }

    private static <T> T b(@NonNull l<T> lVar) throws InterruptedException {
        b0.l(lVar, "Task must not be null");
        CountDownLatch countDownLatch = new CountDownLatch(1);
        lVar.f(k.f14028f, new l(countDownLatch));
        countDownLatch.await(WorkRequest.DEFAULT_BACKOFF_DELAY_MILLIS, TimeUnit.MILLISECONDS);
        return (T) p(lVar);
    }

    private static void d(@NonNull e eVar) {
        b0.h(eVar.q().n(), "Please set your project ID. A valid Firebase project ID is required to communicate with Firebase server APIs: It identifies your project with Google.");
        b0.h(eVar.q().j(), "Please set your Application ID. A valid Firebase App ID is required to communicate with Firebase server APIs: It identifies your application with Firebase.");
        b0.h(eVar.q().i(), "Please set a valid API key. A Firebase API key is required to communicate with Firebase server APIs: It authenticates your project with Google.");
        b0.b(z(eVar.q().j()), "Please set your Application ID. A valid Firebase App ID is required to communicate with Firebase server APIs: It identifies your application with Firebase.Please refer to https://firebase.google.com/support/privacy/init-options.");
        b0.b(y(eVar.q().i()), "Please set a valid API key. A Firebase API key is required to communicate with Firebase server APIs: It authenticates your project with Google.Please refer to https://firebase.google.com/support/privacy/init-options.");
    }

    @r.a
    @d0
    public static synchronized void e() {
        synchronized (FirebaseInstanceId.class) {
            ScheduledExecutorService scheduledExecutorService = f13975k;
            if (scheduledExecutorService != null) {
                scheduledExecutorService.shutdownNow();
            }
            f13975k = null;
            f13973i = null;
        }
    }

    @NonNull
    @Keep
    public static FirebaseInstanceId getInstance(@NonNull e eVar) {
        d(eVar);
        FirebaseInstanceId firebaseInstanceId = (FirebaseInstanceId) eVar.j(FirebaseInstanceId.class);
        b0.l(firebaseInstanceId, "Firebase Instance ID component is not present");
        return firebaseInstanceId;
    }

    @NonNull
    public static FirebaseInstanceId m() {
        return getInstance(e.n());
    }

    private l<r> o(String str, String str2) {
        return o.g(null).p(this.f13976a, new j(this, str, E(str2)));
    }

    private static <T> T p(@NonNull l<T> lVar) {
        if (lVar.v()) {
            return lVar.r();
        }
        if (lVar.t()) {
            throw new CancellationException("Task is already canceled");
        } else if (lVar.u()) {
            throw new IllegalStateException(lVar.q());
        } else {
            throw new IllegalThreadStateException("Firebase Installations getId Task has timed out.");
        }
    }

    private String q() {
        return e.f13890k.equals(this.f13977b.p()) ? "" : this.f13977b.r();
    }

    static boolean v() {
        return Log.isLoggable("FirebaseInstanceId", 3);
    }

    static boolean y(@g String str) {
        return f13974j.matcher(str).matches();
    }

    static boolean z(@g String str) {
        return str.contains(":");
    }

    /* access modifiers changed from: package-private */
    public final /* synthetic */ l B(String str, String str2, String str3, String str4) throws Exception {
        f13973i.j(q(), str, str2, str4, this.f13978c.a());
        return o.g(new s(str3, str4));
    }

    /* access modifiers changed from: package-private */
    public final /* synthetic */ l C(String str, String str2, String str3) {
        return this.f13979d.f(str, str2, str3).x(this.f13976a, new n(this, str2, str3, str));
    }

    /* access modifiers changed from: package-private */
    public final /* synthetic */ l D(String str, String str2, l lVar) throws Exception {
        String l7 = l();
        a0.a u7 = u(str, str2);
        return !L(u7) ? o.g(new s(l7, u7.f13989a)) : this.f13980e.a(str, str2, new m(this, l7, str, str2));
    }

    /* access modifiers changed from: package-private */
    public synchronized void F() {
        f13973i.d();
    }

    @r.a
    @d0
    public void G(boolean z7) {
        throw new IllegalStateException("FirebaseMessaging version not supported. Update to latest version.");
    }

    /* access modifiers changed from: package-private */
    public synchronized void H(boolean z7) {
        this.f13982g = z7;
    }

    /* access modifiers changed from: package-private */
    public synchronized void I() {
        if (!this.f13982g) {
            K(0);
        }
    }

    /* access modifiers changed from: package-private */
    public synchronized void K(long j7) {
        h(new b0(this, Math.min(Math.max(30L, j7 + j7), f13972h)), j7);
        this.f13982g = true;
    }

    /* access modifiers changed from: package-private */
    public boolean L(@Nullable a0.a aVar) {
        return aVar == null || aVar.c(this.f13978c.a());
    }

    /* access modifiers changed from: package-private */
    public String c() throws IOException {
        return s(t.c(this.f13977b), "*");
    }

    @WorkerThread
    @Deprecated
    public void f() throws IOException {
        d(this.f13977b);
        if (Looper.getMainLooper() != Looper.myLooper()) {
            a(this.f13981f.c());
            F();
            return;
        }
        throw new IOException("MAIN_THREAD");
    }

    @WorkerThread
    @Deprecated
    public void g(@NonNull String str, @NonNull String str2) throws IOException {
        d(this.f13977b);
        if (Looper.getMainLooper() != Looper.myLooper()) {
            String E = E(str2);
            a(this.f13979d.c(l(), str, E));
            f13973i.e(q(), str, E);
            return;
        }
        throw new IOException("MAIN_THREAD");
    }

    /* access modifiers changed from: package-private */
    public void h(Runnable runnable, long j7) {
        synchronized (FirebaseInstanceId.class) {
            if (f13975k == null) {
                f13975k = new ScheduledThreadPoolExecutor(1, new com.google.android.gms.common.util.concurrent.b("FirebaseInstanceId"));
            }
            f13975k.schedule(runnable, j7, TimeUnit.SECONDS);
        }
    }

    /* access modifiers changed from: package-private */
    public e i() {
        return this.f13977b;
    }

    public long j() {
        return f13973i.f(this.f13977b.r());
    }

    @NonNull
    @WorkerThread
    @Deprecated
    public String k() {
        d(this.f13977b);
        J();
        return l();
    }

    /* access modifiers changed from: package-private */
    public String l() {
        try {
            f13973i.k(this.f13977b.r());
            return (String) b(this.f13981f.getId());
        } catch (InterruptedException e7) {
            throw new IllegalStateException(e7);
        }
    }

    @NonNull
    @Deprecated
    public l<r> n() {
        d(this.f13977b);
        return o(t.c(this.f13977b), "*");
    }

    @Nullable
    @Deprecated
    public String r() {
        d(this.f13977b);
        a0.a t7 = t();
        if (L(t7)) {
            I();
        }
        return a0.a.b(t7);
    }

    @Deprecated
    @Nullable
    @WorkerThread
    public String s(@NonNull String str, @NonNull String str2) throws IOException {
        d(this.f13977b);
        if (Looper.getMainLooper() != Looper.myLooper()) {
            return ((r) a(o(str, str2))).a();
        }
        throw new IOException("MAIN_THREAD");
    }

    /* access modifiers changed from: package-private */
    @Nullable
    public a0.a t() {
        return u(t.c(this.f13977b), "*");
    }

    /* access modifiers changed from: package-private */
    @Nullable
    @d0
    public a0.a u(String str, String str2) {
        return f13973i.h(q(), str, str2);
    }

    @r.a
    @d0
    public boolean w() {
        throw new IllegalStateException("FirebaseMessaging version not supported. Update to latest version.");
    }

    @d0
    public boolean x() {
        return this.f13978c.g();
    }

    FirebaseInstanceId(e eVar, b<i> bVar, b<k> bVar2, j jVar) {
        this(eVar, new t(eVar.l()), i.b(), i.b(), bVar, bVar2, jVar);
    }
}
