package com.google.firebase.iid;

import android.content.Context;
import android.content.SharedPreferences;
import android.text.TextUtils;
import android.util.Log;
import androidx.annotation.GuardedBy;
import androidx.annotation.Nullable;
import androidx.collection.ArrayMap;
import androidx.core.content.ContextCompat;
import java.io.File;
import java.io.IOException;
import java.util.Map;
import java.util.concurrent.TimeUnit;
import org.json.JSONException;
import org.json.JSONObject;

class a0 {

    /* renamed from: a  reason: collision with root package name */
    final SharedPreferences f13985a;

    /* renamed from: b  reason: collision with root package name */
    final Context f13986b;
    @GuardedBy("this")

    /* renamed from: c  reason: collision with root package name */
    private final Map<String, Long> f13987c = new ArrayMap();

    static class a {

        /* renamed from: d  reason: collision with root package name */
        private static final long f13988d = TimeUnit.DAYS.toMillis(7);

        /* renamed from: a  reason: collision with root package name */
        final String f13989a;

        /* renamed from: b  reason: collision with root package name */
        final String f13990b;

        /* renamed from: c  reason: collision with root package name */
        final long f13991c;

        private a(String str, String str2, long j7) {
            this.f13989a = str;
            this.f13990b = str2;
            this.f13991c = j7;
        }

        static String a(String str, String str2, long j7) {
            try {
                JSONObject jSONObject = new JSONObject();
                jSONObject.put("token", str);
                jSONObject.put("appVersion", str2);
                jSONObject.put("timestamp", j7);
                return jSONObject.toString();
            } catch (JSONException e7) {
                String valueOf = String.valueOf(e7);
                StringBuilder sb = new StringBuilder(valueOf.length() + 24);
                sb.append("Failed to encode token: ");
                sb.append(valueOf);
                Log.w("FirebaseInstanceId", sb.toString());
                return null;
            }
        }

        static String b(@Nullable a aVar) {
            if (aVar == null) {
                return null;
            }
            return aVar.f13989a;
        }

        static a d(String str) {
            if (TextUtils.isEmpty(str)) {
                return null;
            }
            if (!str.startsWith("{")) {
                return new a(str, null, 0);
            }
            try {
                JSONObject jSONObject = new JSONObject(str);
                return new a(jSONObject.getString("token"), jSONObject.getString("appVersion"), jSONObject.getLong("timestamp"));
            } catch (JSONException e7) {
                String valueOf = String.valueOf(e7);
                StringBuilder sb = new StringBuilder(valueOf.length() + 23);
                sb.append("Failed to parse token: ");
                sb.append(valueOf);
                Log.w("FirebaseInstanceId", sb.toString());
                return null;
            }
        }

        /* access modifiers changed from: package-private */
        public boolean c(String str) {
            return System.currentTimeMillis() > this.f13991c + f13988d || !str.equals(this.f13990b);
        }
    }

    public a0(Context context) {
        this.f13986b = context;
        this.f13985a = context.getSharedPreferences("com.google.android.gms.appid", 0);
        a("com.google.android.gms.appid-no-backup");
    }

    private void a(String str) {
        File file = new File(ContextCompat.getNoBackupFilesDir(this.f13986b), "com.google.android.gms.appid-no-backup");
        if (!file.exists()) {
            try {
                if (file.createNewFile() && !i()) {
                    Log.i("FirebaseInstanceId", "App restored, clearing state");
                    d();
                }
            } catch (IOException e7) {
                if (Log.isLoggable("FirebaseInstanceId", 3)) {
                    String valueOf = String.valueOf(e7.getMessage());
                    Log.d("FirebaseInstanceId", valueOf.length() != 0 ? "Error creating file in no backup dir: ".concat(valueOf) : new String("Error creating file in no backup dir: "));
                }
            }
        }
    }

    static String b(String str, String str2) {
        StringBuilder sb = new StringBuilder(String.valueOf(str).length() + 6);
        sb.append(str);
        sb.append("|S|");
        sb.append("cre");
        return sb.toString();
    }

    private String c(String str, String str2, String str3) {
        int length = String.valueOf(str).length();
        StringBuilder sb = new StringBuilder(length + 4 + String.valueOf(str2).length() + String.valueOf(str3).length());
        sb.append(str);
        sb.append("|T|");
        sb.append(str2);
        sb.append("|");
        sb.append(str3);
        return sb.toString();
    }

    private long g(String str) {
        String string = this.f13985a.getString(b(str, "cre"), null);
        if (string == null) {
            return 0;
        }
        try {
            return Long.parseLong(string);
        } catch (NumberFormatException unused) {
            return 0;
        }
    }

    private long l(String str) {
        long currentTimeMillis = System.currentTimeMillis();
        if (this.f13985a.contains(b(str, "cre"))) {
            return g(str);
        }
        SharedPreferences.Editor edit = this.f13985a.edit();
        edit.putString(b(str, "cre"), String.valueOf(currentTimeMillis));
        edit.commit();
        return currentTimeMillis;
    }

    public synchronized void d() {
        this.f13987c.clear();
        this.f13985a.edit().clear().commit();
    }

    public synchronized void e(String str, String str2, String str3) {
        String c7 = c(str, str2, str3);
        SharedPreferences.Editor edit = this.f13985a.edit();
        edit.remove(c7);
        edit.commit();
    }

    public synchronized long f(String str) {
        Long l7 = this.f13987c.get(str);
        if (l7 != null) {
            return l7.longValue();
        }
        return g(str);
    }

    public synchronized a h(String str, String str2, String str3) {
        return a.d(this.f13985a.getString(c(str, str2, str3), null));
    }

    public synchronized boolean i() {
        return this.f13985a.getAll().isEmpty();
    }

    public synchronized void j(String str, String str2, String str3, String str4, String str5) {
        String a8 = a.a(str4, str5, System.currentTimeMillis());
        if (a8 != null) {
            SharedPreferences.Editor edit = this.f13985a.edit();
            edit.putString(c(str, str2, str3), a8);
            edit.commit();
        }
    }

    public synchronized long k(String str) {
        long l7;
        l7 = l(str);
        this.f13987c.put(str, Long.valueOf(l7));
        return l7;
    }
}
