package com.google.firebase.iid;

import android.annotation.SuppressLint;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.os.PowerManager;
import android.util.Log;
import com.google.firebase.e;
import com.google.firebase.iid.a0;
import e4.h;
import java.io.IOException;
import java.util.concurrent.ExecutorService;
import x.d0;

/* access modifiers changed from: package-private */
public class b0 implements Runnable {

    /* renamed from: f  reason: collision with root package name */
    private final long f13993f;

    /* renamed from: g  reason: collision with root package name */
    private final PowerManager.WakeLock f13994g;

    /* renamed from: p  reason: collision with root package name */
    private final FirebaseInstanceId f13995p;
    @d0

    /* renamed from: x  reason: collision with root package name */
    ExecutorService f13996x = i.b();

    @d0
    static class a extends BroadcastReceiver {
        @h

        /* renamed from: a  reason: collision with root package name */
        private b0 f13997a;

        public a(b0 b0Var) {
            this.f13997a = b0Var;
        }

        public void a() {
            if (FirebaseInstanceId.v()) {
                Log.d("FirebaseInstanceId", "Connectivity change received registered");
            }
            this.f13997a.b().registerReceiver(this, new IntentFilter("android.net.conn.CONNECTIVITY_CHANGE"));
        }

        public void onReceive(Context context, Intent intent) {
            b0 b0Var = this.f13997a;
            if (b0Var != null && b0Var.d()) {
                if (FirebaseInstanceId.v()) {
                    Log.d("FirebaseInstanceId", "Connectivity changed. Starting background sync.");
                }
                this.f13997a.f13995p.h(this.f13997a, 0);
                this.f13997a.b().unregisterReceiver(this);
                this.f13997a = null;
            }
        }
    }

    @d0
    b0(FirebaseInstanceId firebaseInstanceId, long j7) {
        this.f13995p = firebaseInstanceId;
        this.f13993f = j7;
        PowerManager.WakeLock newWakeLock = ((PowerManager) b().getSystemService("power")).newWakeLock(1, "fiid-sync");
        this.f13994g = newWakeLock;
        newWakeLock.setReferenceCounted(false);
    }

    private void c(String str) {
        if (e.f13890k.equals(this.f13995p.i().p())) {
            if (Log.isLoggable("FirebaseInstanceId", 3)) {
                String valueOf = String.valueOf(this.f13995p.i().p());
                Log.d("FirebaseInstanceId", valueOf.length() != 0 ? "Invoking onNewToken for app: ".concat(valueOf) : new String("Invoking onNewToken for app: "));
            }
            Intent intent = new Intent("com.google.firebase.messaging.NEW_TOKEN");
            intent.putExtra("token", str);
            new g(b(), this.f13996x).g(intent);
        }
    }

    /* access modifiers changed from: package-private */
    public Context b() {
        return this.f13995p.i().l();
    }

    /* access modifiers changed from: package-private */
    public boolean d() {
        ConnectivityManager connectivityManager = (ConnectivityManager) b().getSystemService("connectivity");
        NetworkInfo activeNetworkInfo = connectivityManager != null ? connectivityManager.getActiveNetworkInfo() : null;
        return activeNetworkInfo != null && activeNetworkInfo.isConnected();
    }

    /* access modifiers changed from: package-private */
    @d0
    public boolean e() throws IOException {
        String str;
        a0.a t7 = this.f13995p.t();
        if (!this.f13995p.L(t7)) {
            return true;
        }
        try {
            String c7 = this.f13995p.c();
            if (c7 == null) {
                Log.e("FirebaseInstanceId", "Token retrieval failed: null");
                return false;
            }
            if (Log.isLoggable("FirebaseInstanceId", 3)) {
                Log.d("FirebaseInstanceId", "Token successfully retrieved");
            }
            if (t7 == null || !c7.equals(t7.f13989a)) {
                c(c7);
            }
            return true;
        } catch (IOException e7) {
            if (q.h(e7.getMessage())) {
                String message = e7.getMessage();
                StringBuilder sb = new StringBuilder(String.valueOf(message).length() + 52);
                sb.append("Token retrieval failed: ");
                sb.append(message);
                sb.append(". Will retry token retrieval");
                str = sb.toString();
            } else if (e7.getMessage() == null) {
                str = "Token retrieval failed without exception message. Will retry token retrieval";
            } else {
                throw e7;
            }
            Log.w("FirebaseInstanceId", str);
            return false;
        } catch (SecurityException unused) {
            str = "Token retrieval failed with SecurityException. Will retry token retrieval";
            Log.w("FirebaseInstanceId", str);
            return false;
        }
    }

    @SuppressLint({"Wakelock"})
    public void run() {
        if (z.c().f(b())) {
            this.f13994g.acquire();
        }
        try {
            this.f13995p.H(true);
            if (!this.f13995p.x()) {
                this.f13995p.H(false);
                if (!z.c().f(b())) {
                    return;
                }
            } else if (!z.c().e(b()) || d()) {
                if (e()) {
                    this.f13995p.H(false);
                } else {
                    this.f13995p.K(this.f13993f);
                }
                if (!z.c().f(b())) {
                    return;
                }
            } else {
                new a(this).a();
                if (!z.c().f(b())) {
                    return;
                }
            }
        } catch (IOException e7) {
            String message = e7.getMessage();
            StringBuilder sb = new StringBuilder(String.valueOf(message).length() + 93);
            sb.append("Topic sync or token retrieval failed on hard failure exceptions: ");
            sb.append(message);
            sb.append(". Won't retry the operation.");
            Log.e("FirebaseInstanceId", sb.toString());
            this.f13995p.H(false);
            if (!z.c().f(b())) {
                return;
            }
        } catch (Throwable th) {
            if (z.c().f(b())) {
                this.f13994g.release();
            }
            throw th;
        }
        this.f13994g.release();
    }
}
