package com.google.firebase.iid;

import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.ServiceConnection;
import android.os.IBinder;
import android.util.Log;
import androidx.annotation.GuardedBy;
import androidx.annotation.Nullable;
import androidx.annotation.VisibleForTesting;
import com.google.android.gms.common.util.concurrent.b;
import com.google.android.gms.tasks.l;
import com.google.android.gms.tasks.m;
import java.util.ArrayDeque;
import java.util.Queue;
import java.util.concurrent.ScheduledExecutorService;
import java.util.concurrent.ScheduledThreadPoolExecutor;
import java.util.concurrent.TimeUnit;

public class h0 implements ServiceConnection {

    /* renamed from: a  reason: collision with root package name */
    private final Context f14016a;

    /* renamed from: b  reason: collision with root package name */
    private final Intent f14017b;

    /* renamed from: c  reason: collision with root package name */
    private final ScheduledExecutorService f14018c;

    /* renamed from: d  reason: collision with root package name */
    private final Queue<a> f14019d;
    @Nullable

    /* renamed from: e  reason: collision with root package name */
    private e0 f14020e;
    @GuardedBy("this")

    /* renamed from: f  reason: collision with root package name */
    private boolean f14021f;

    /* access modifiers changed from: package-private */
    public static class a {

        /* renamed from: a  reason: collision with root package name */
        final Intent f14022a;

        /* renamed from: b  reason: collision with root package name */
        private final m<Void> f14023b = new m<>();

        a(Intent intent) {
            this.f14022a = intent;
        }

        /* access modifiers changed from: package-private */
        public void a(ScheduledExecutorService scheduledExecutorService) {
            c().f(scheduledExecutorService, new g0(scheduledExecutorService.schedule(new f0(this), 9000, TimeUnit.MILLISECONDS)));
        }

        /* access modifiers changed from: package-private */
        public void b() {
            this.f14023b.e(null);
        }

        /* access modifiers changed from: package-private */
        public l<Void> c() {
            return this.f14023b.a();
        }

        /* access modifiers changed from: package-private */
        public final /* synthetic */ void d() {
            String action = this.f14022a.getAction();
            StringBuilder sb = new StringBuilder(String.valueOf(action).length() + 61);
            sb.append("Service took too long to process intent: ");
            sb.append(action);
            sb.append(" App may get closed.");
            Log.w("FirebaseInstanceId", sb.toString());
            b();
        }
    }

    public h0(Context context, String str) {
        this(context, str, new ScheduledThreadPoolExecutor(0, new b("Firebase-FirebaseInstanceIdServiceConnection")));
    }

    @GuardedBy("this")
    private void a() {
        while (!this.f14019d.isEmpty()) {
            this.f14019d.poll().b();
        }
    }

    private synchronized void b() {
        if (Log.isLoggable("FirebaseInstanceId", 3)) {
            Log.d("FirebaseInstanceId", "flush queue called");
        }
        while (!this.f14019d.isEmpty()) {
            if (Log.isLoggable("FirebaseInstanceId", 3)) {
                Log.d("FirebaseInstanceId", "found intent to be delivered");
            }
            e0 e0Var = this.f14020e;
            if (e0Var == null || !e0Var.isBinderAlive()) {
                d();
                return;
            }
            if (Log.isLoggable("FirebaseInstanceId", 3)) {
                Log.d("FirebaseInstanceId", "binder is alive, sending the intent.");
            }
            this.f14020e.b(this.f14019d.poll());
        }
    }

    @GuardedBy("this")
    private void d() {
        if (Log.isLoggable("FirebaseInstanceId", 3)) {
            boolean z7 = this.f14021f;
            StringBuilder sb = new StringBuilder(39);
            sb.append("binder is dead. start connection? ");
            sb.append(!z7);
            Log.d("FirebaseInstanceId", sb.toString());
        }
        if (!this.f14021f) {
            this.f14021f = true;
            try {
                if (!com.google.android.gms.common.stats.a.b().a(this.f14016a, this.f14017b, this, 65)) {
                    Log.e("FirebaseInstanceId", "binding to the service failed");
                    this.f14021f = false;
                    a();
                }
            } catch (SecurityException e7) {
                Log.e("FirebaseInstanceId", "Exception while binding the service", e7);
            }
        }
    }

    public synchronized l<Void> c(Intent intent) {
        a aVar;
        if (Log.isLoggable("FirebaseInstanceId", 3)) {
            Log.d("FirebaseInstanceId", "new intent queued in the bind-strategy delivery");
        }
        aVar = new a(intent);
        aVar.a(this.f14018c);
        this.f14019d.add(aVar);
        b();
        return aVar.c();
    }

    public synchronized void onServiceConnected(ComponentName componentName, IBinder iBinder) {
        if (Log.isLoggable("FirebaseInstanceId", 3)) {
            String valueOf = String.valueOf(componentName);
            StringBuilder sb = new StringBuilder(valueOf.length() + 20);
            sb.append("onServiceConnected: ");
            sb.append(valueOf);
            Log.d("FirebaseInstanceId", sb.toString());
        }
        this.f14021f = false;
        if (!(iBinder instanceof e0)) {
            String valueOf2 = String.valueOf(iBinder);
            StringBuilder sb2 = new StringBuilder(valueOf2.length() + 28);
            sb2.append("Invalid service connection: ");
            sb2.append(valueOf2);
            Log.e("FirebaseInstanceId", sb2.toString());
            a();
            return;
        }
        this.f14020e = (e0) iBinder;
        b();
    }

    public void onServiceDisconnected(ComponentName componentName) {
        if (Log.isLoggable("FirebaseInstanceId", 3)) {
            String valueOf = String.valueOf(componentName);
            StringBuilder sb = new StringBuilder(valueOf.length() + 23);
            sb.append("onServiceDisconnected: ");
            sb.append(valueOf);
            Log.d("FirebaseInstanceId", sb.toString());
        }
        b();
    }

    @VisibleForTesting
    h0(Context context, String str, ScheduledExecutorService scheduledExecutorService) {
        this.f14019d = new ArrayDeque();
        this.f14021f = false;
        Context applicationContext = context.getApplicationContext();
        this.f14016a = applicationContext;
        this.f14017b = new Intent(str).setPackage(applicationContext.getPackageName());
        this.f14018c = scheduledExecutorService;
    }
}
