package com.google.firebase.iid;

import android.os.Build;
import android.os.Bundle;
import android.text.TextUtils;
import android.util.Base64;
import android.util.Log;
import androidx.annotation.AnyThread;
import androidx.annotation.VisibleForTesting;
import com.google.android.gms.cloudmessaging.d;
import com.google.android.gms.tasks.l;
import com.google.firebase.e;
import com.google.firebase.heartbeatinfo.k;
import com.google.firebase.installations.j;
import com.google.firebase.installations.o;
import com.google.firebase.messaging.c;
import com.google.firebase.platforminfo.i;
import java.io.IOException;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.util.concurrent.ExecutionException;
import r.a;
import z0.b;

@a
public class q {
    @a

    /* renamed from: g  reason: collision with root package name */
    public static final String f14039g = "SERVICE_NOT_AVAILABLE";
    @a

    /* renamed from: h  reason: collision with root package name */
    public static final String f14040h = "INTERNAL_SERVER_ERROR";

    /* renamed from: a  reason: collision with root package name */
    private final e f14041a;

    /* renamed from: b  reason: collision with root package name */
    private final t f14042b;

    /* renamed from: c  reason: collision with root package name */
    private final d f14043c;

    /* renamed from: d  reason: collision with root package name */
    private final b<i> f14044d;

    /* renamed from: e  reason: collision with root package name */
    private final b<k> f14045e;

    /* renamed from: f  reason: collision with root package name */
    private final j f14046f;

    @VisibleForTesting
    q(e eVar, t tVar, d dVar, b<i> bVar, b<k> bVar2, j jVar) {
        this.f14041a = eVar;
        this.f14042b = tVar;
        this.f14043c = dVar;
        this.f14044d = bVar;
        this.f14045e = bVar2;
        this.f14046f = jVar;
    }

    private static String a(byte[] bArr) {
        return Base64.encodeToString(bArr, 11);
    }

    private l<String> d(l<Bundle> lVar) {
        return lVar.n(i.a(), new p(this));
    }

    private String e() {
        try {
            return a(MessageDigest.getInstance("SHA-1").digest(this.f14041a.p().getBytes()));
        } catch (NoSuchAlgorithmException unused) {
            return "[HASH-ERROR]";
        }
    }

    @AnyThread
    private String g(Bundle bundle) throws IOException {
        if (bundle != null) {
            String string = bundle.getString("registration_id");
            if (string != null) {
                return string;
            }
            String string2 = bundle.getString("unregistered");
            if (string2 != null) {
                return string2;
            }
            String string3 = bundle.getString(c.f14447d);
            if ("RST".equals(string3)) {
                throw new IOException("INSTANCE_ID_RESET");
            } else if (string3 != null) {
                throw new IOException(string3);
            } else {
                String valueOf = String.valueOf(bundle);
                StringBuilder sb = new StringBuilder(valueOf.length() + 21);
                sb.append("Unexpected response: ");
                sb.append(valueOf);
                Log.w("FirebaseInstanceId", sb.toString(), new Throwable());
                throw new IOException(f14039g);
            }
        } else {
            throw new IOException(f14039g);
        }
    }

    static boolean h(String str) {
        return f14039g.equals(str) || f14040h.equals(str) || "InternalServerError".equals(str);
    }

    private Bundle j(String str, String str2, String str3, Bundle bundle) {
        k.a b7;
        bundle.putString("scope", str3);
        bundle.putString("sender", str2);
        bundle.putString("subtype", str2);
        bundle.putString("appid", str);
        bundle.putString("gmp_app_id", this.f14041a.q().j());
        bundle.putString("gmsv", Integer.toString(this.f14042b.d()));
        bundle.putString("osv", Integer.toString(Build.VERSION.SDK_INT));
        bundle.putString("app_ver", this.f14042b.a());
        bundle.putString("app_ver_name", this.f14042b.b());
        bundle.putString("firebase-app-name-hash", e());
        try {
            String b8 = ((o) com.google.android.gms.tasks.o.a(this.f14046f.b(false))).b();
            if (!TextUtils.isEmpty(b8)) {
                bundle.putString("Goog-Firebase-Installations-Auth", b8);
            } else {
                Log.w("FirebaseInstanceId", "FIS auth token is empty");
            }
        } catch (InterruptedException | ExecutionException e7) {
            Log.e("FirebaseInstanceId", "Failed to get FIS auth token", e7);
        }
        bundle.putString("cliv", "fiid-21.0.1");
        k kVar = this.f14045e.get();
        i iVar = this.f14044d.get();
        if (!(kVar == null || iVar == null || (b7 = kVar.b("fire-iid")) == k.a.NONE)) {
            bundle.putString("Firebase-Client-Log-Type", Integer.toString(b7.a()));
            bundle.putString("Firebase-Client", iVar.a());
        }
        return bundle;
    }

    private l<Bundle> k(String str, String str2, String str3, Bundle bundle) {
        j(str, str2, str3, bundle);
        return this.f14043c.a(bundle);
    }

    public l<?> b(String str) {
        Bundle bundle = new Bundle();
        bundle.putString("iid-operation", "delete");
        bundle.putString("delete", "1");
        return d(k(str, "*", "*", bundle));
    }

    public l<?> c(String str, String str2, String str3) {
        Bundle bundle = new Bundle();
        bundle.putString("delete", "1");
        return d(k(str, str2, str3, bundle));
    }

    public l<String> f(String str, String str2, String str3) {
        return d(k(str, str2, str3, new Bundle()));
    }

    /* access modifiers changed from: package-private */
    public final /* synthetic */ String i(l lVar) throws Exception {
        return g((Bundle) lVar.s(IOException.class));
    }

    @a
    public l<?> l(String str, String str2, String str3) {
        Bundle bundle = new Bundle();
        String valueOf = String.valueOf(str3);
        bundle.putString("gcm.topic", valueOf.length() != 0 ? "/topics/".concat(valueOf) : new String("/topics/"));
        String valueOf2 = String.valueOf(str3);
        return d(k(str, str2, valueOf2.length() != 0 ? "/topics/".concat(valueOf2) : new String("/topics/"), bundle));
    }

    @a
    public l<?> m(String str, String str2, String str3) {
        Bundle bundle = new Bundle();
        String valueOf = String.valueOf(str3);
        bundle.putString("gcm.topic", valueOf.length() != 0 ? "/topics/".concat(valueOf) : new String("/topics/"));
        bundle.putString("delete", "1");
        String valueOf2 = String.valueOf(str3);
        return d(k(str, str2, valueOf2.length() != 0 ? "/topics/".concat(valueOf2) : new String("/topics/"), bundle));
    }

    public q(e eVar, t tVar, b<i> bVar, b<k> bVar2, j jVar) {
        this(eVar, tVar, new d(eVar.l()), bVar, bVar2, jVar);
    }
}
