package com.google.firebase.iid;

import android.app.PendingIntent;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.pm.ResolveInfo;
import android.content.pm.ServiceInfo;
import android.os.Parcelable;
import android.util.Log;
import androidx.annotation.MainThread;
import androidx.annotation.Nullable;
import androidx.annotation.VisibleForTesting;
import com.google.android.gms.cloudmessaging.a;
import java.util.ArrayDeque;
import java.util.Queue;
import r.a;

@a
public class z {

    /* renamed from: e  reason: collision with root package name */
    public static final int f14060e = -1;
    @a

    /* renamed from: f  reason: collision with root package name */
    public static final int f14061f = 500;

    /* renamed from: g  reason: collision with root package name */
    public static final String f14062g = "com.google.firebase.MESSAGING_EVENT";

    /* renamed from: h  reason: collision with root package name */
    private static z f14063h;
    @Nullable
    @f4.a("this")

    /* renamed from: a  reason: collision with root package name */
    private String f14064a = null;

    /* renamed from: b  reason: collision with root package name */
    private Boolean f14065b = null;

    /* renamed from: c  reason: collision with root package name */
    private Boolean f14066c = null;

    /* renamed from: d  reason: collision with root package name */
    private final Queue<Intent> f14067d = new ArrayDeque();

    private z() {
    }

    public static PendingIntent a(Context context, int i7, Intent intent, int i8) {
        return PendingIntent.getBroadcast(context, i7, l(context, f14062g, intent), i8);
    }

    private int b(Context context, Intent intent) {
        ComponentName componentName;
        String g7 = g(context, intent);
        if (g7 != null) {
            if (Log.isLoggable("FirebaseInstanceId", 3)) {
                Log.d("FirebaseInstanceId", g7.length() != 0 ? "Restricting intent to a specific service: ".concat(g7) : new String("Restricting intent to a specific service: "));
            }
            intent.setClassName(context.getPackageName(), g7);
        }
        try {
            if (f(context)) {
                componentName = c0.h(context, intent);
            } else {
                componentName = context.startService(intent);
                Log.d("FirebaseInstanceId", "Missing wake lock permission, service start may be delayed");
            }
            if (componentName != null) {
                return -1;
            }
            Log.e("FirebaseInstanceId", "Error while delivering the message: ServiceIntent not found.");
            return 404;
        } catch (SecurityException e7) {
            Log.e("FirebaseInstanceId", "Error while delivering the message to the serviceIntent", e7);
            return 401;
        } catch (IllegalStateException e8) {
            String valueOf = String.valueOf(e8);
            StringBuilder sb = new StringBuilder(valueOf.length() + 45);
            sb.append("Failed to start service while in background: ");
            sb.append(valueOf);
            Log.e("FirebaseInstanceId", sb.toString());
            return 402;
        }
    }

    @a
    public static synchronized z c() {
        z zVar;
        synchronized (z.class) {
            if (f14063h == null) {
                f14063h = new z();
            }
            zVar = f14063h;
        }
        return zVar;
    }

    @Nullable
    private synchronized String g(Context context, Intent intent) {
        ServiceInfo serviceInfo;
        String str;
        String str2;
        String str3 = this.f14064a;
        if (str3 != null) {
            return str3;
        }
        ResolveInfo resolveService = context.getPackageManager().resolveService(intent, 0);
        if (resolveService == null || (serviceInfo = resolveService.serviceInfo) == null) {
            Log.e("FirebaseInstanceId", "Failed to resolve target intent service, skipping classname enforcement");
            return null;
        } else if (!context.getPackageName().equals(serviceInfo.packageName) || (str = serviceInfo.name) == null) {
            String str4 = serviceInfo.packageName;
            String str5 = serviceInfo.name;
            StringBuilder sb = new StringBuilder(String.valueOf(str4).length() + 94 + String.valueOf(str5).length());
            sb.append("Error resolving target intent service, skipping classname enforcement. Resolved service was: ");
            sb.append(str4);
            sb.append("/");
            sb.append(str5);
            Log.e("FirebaseInstanceId", sb.toString());
            return null;
        } else {
            if (str.startsWith(".")) {
                String valueOf = String.valueOf(context.getPackageName());
                String valueOf2 = String.valueOf(serviceInfo.name);
                str2 = valueOf2.length() != 0 ? valueOf.concat(valueOf2) : new String(valueOf);
            } else {
                str2 = serviceInfo.name;
            }
            this.f14064a = str2;
            return this.f14064a;
        }
    }

    @VisibleForTesting
    public static void h(z zVar) {
        f14063h = zVar;
    }

    @a
    public static void j(Context context, Intent intent) {
        context.sendBroadcast(l(context, f14062g, intent));
    }

    @Nullable
    public static Intent k(Intent intent) {
        Parcelable parcelableExtra = intent.getParcelableExtra(a.b.f4529b);
        if (parcelableExtra instanceof Intent) {
            return (Intent) parcelableExtra;
        }
        return null;
    }

    private static Intent l(Context context, String str, Intent intent) {
        Intent intent2 = new Intent(context, FirebaseInstanceIdReceiver.class);
        intent2.setAction(f14062g);
        intent2.putExtra(a.b.f4529b, intent);
        return intent2;
    }

    @r.a
    @MainThread
    public Intent d() {
        return this.f14067d.poll();
    }

    /* access modifiers changed from: package-private */
    public boolean e(Context context) {
        if (this.f14066c == null) {
            this.f14066c = Boolean.valueOf(context.checkCallingOrSelfPermission("android.permission.ACCESS_NETWORK_STATE") == 0);
        }
        if (!this.f14065b.booleanValue() && Log.isLoggable("FirebaseInstanceId", 3)) {
            Log.d("FirebaseInstanceId", "Missing Permission: android.permission.ACCESS_NETWORK_STATE this should normally be included by the manifest merger, but may needed to be manually added to your manifest");
        }
        return this.f14066c.booleanValue();
    }

    /* access modifiers changed from: package-private */
    public boolean f(Context context) {
        if (this.f14065b == null) {
            this.f14065b = Boolean.valueOf(context.checkCallingOrSelfPermission("android.permission.WAKE_LOCK") == 0);
        }
        if (!this.f14065b.booleanValue() && Log.isLoggable("FirebaseInstanceId", 3)) {
            Log.d("FirebaseInstanceId", "Missing Permission: android.permission.WAKE_LOCK this should normally be included by the manifest merger, but may needed to be manually added to your manifest");
        }
        return this.f14065b.booleanValue();
    }

    @MainThread
    public int i(Context context, Intent intent) {
        if (Log.isLoggable("FirebaseInstanceId", 3)) {
            Log.d("FirebaseInstanceId", "Starting service");
        }
        this.f14067d.offer(intent);
        Intent intent2 = new Intent(f14062g);
        intent2.setPackage(context.getPackageName());
        return b(context, intent2);
    }
}
