package com.google.firebase.installations;

import android.text.TextUtils;
import androidx.annotation.GuardedBy;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.VisibleForTesting;
import com.google.android.gms.common.internal.b0;
import com.google.android.gms.tasks.l;
import com.google.android.gms.tasks.m;
import com.google.android.gms.tasks.o;
import com.google.firebase.e;
import com.google.firebase.heartbeatinfo.k;
import com.google.firebase.installations.k;
import com.google.firebase.installations.remote.d;
import com.google.firebase.installations.remote.f;
import java.io.IOException;
import java.util.ArrayList;
import java.util.HashSet;
import java.util.Iterator;
import java.util.List;
import java.util.Set;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.LinkedBlockingQueue;
import java.util.concurrent.ThreadFactory;
import java.util.concurrent.ThreadPoolExecutor;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.atomic.AtomicInteger;

public class i implements j {

    /* renamed from: m  reason: collision with root package name */
    private static final Object f14090m = new Object();

    /* renamed from: n  reason: collision with root package name */
    private static final String f14091n = "generatefid.lock";

    /* renamed from: o  reason: collision with root package name */
    private static final String f14092o = "CHIME_ANDROID_SDK";

    /* renamed from: p  reason: collision with root package name */
    private static final int f14093p = 0;

    /* renamed from: q  reason: collision with root package name */
    private static final int f14094q = 1;

    /* renamed from: r  reason: collision with root package name */
    private static final long f14095r = 30;

    /* renamed from: s  reason: collision with root package name */
    private static final ThreadFactory f14096s = new a();

    /* renamed from: t  reason: collision with root package name */
    private static final String f14097t = "Please set a valid API key. A Firebase API key is required to communicate with Firebase server APIs: It authenticates your project with Google.Please refer to https://firebase.google.com/support/privacy/init-options.";

    /* renamed from: u  reason: collision with root package name */
    private static final String f14098u = "Please set your Application ID. A valid Firebase App ID is required to communicate with Firebase server APIs: It identifies your application with Firebase.Please refer to https://firebase.google.com/support/privacy/init-options.";

    /* renamed from: v  reason: collision with root package name */
    private static final String f14099v = "Please set your Project ID. A valid Firebase Project ID is required to communicate with Firebase server APIs: It identifies your application with Firebase.Please refer to https://firebase.google.com/support/privacy/init-options.";

    /* renamed from: w  reason: collision with root package name */
    private static final String f14100w = "Installation ID could not be validated with the Firebase servers (maybe it was deleted). Firebase Installations will need to create a new Installation ID and auth token. Please retry your last request.";

    /* renamed from: a  reason: collision with root package name */
    private final e f14101a;

    /* renamed from: b  reason: collision with root package name */
    private final com.google.firebase.installations.remote.c f14102b;

    /* renamed from: c  reason: collision with root package name */
    private final com.google.firebase.installations.local.c f14103c;

    /* renamed from: d  reason: collision with root package name */
    private final s f14104d;

    /* renamed from: e  reason: collision with root package name */
    private final com.google.firebase.installations.local.b f14105e;

    /* renamed from: f  reason: collision with root package name */
    private final q f14106f;

    /* renamed from: g  reason: collision with root package name */
    private final Object f14107g;

    /* renamed from: h  reason: collision with root package name */
    private final ExecutorService f14108h;

    /* renamed from: i  reason: collision with root package name */
    private final ExecutorService f14109i;
    @GuardedBy("this")

    /* renamed from: j  reason: collision with root package name */
    private String f14110j;
    @GuardedBy("FirebaseInstallations.this")

    /* renamed from: k  reason: collision with root package name */
    private Set<a1.a> f14111k;
    @GuardedBy("lock")

    /* renamed from: l  reason: collision with root package name */
    private final List<r> f14112l;

    class a implements ThreadFactory {

        /* renamed from: a  reason: collision with root package name */
        private final AtomicInteger f14113a = new AtomicInteger(1);

        a() {
        }

        public Thread newThread(Runnable runnable) {
            return new Thread(runnable, String.format("firebase-installations-executor-%d", Integer.valueOf(this.f14113a.getAndIncrement())));
        }
    }

    class b implements a1.b {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ a1.a f14114a;

        b(a1.a aVar) {
            this.f14114a = aVar;
        }

        @Override // a1.b
        public void a() {
            synchronized (i.this) {
                i.this.f14111k.remove(this.f14114a);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public static /* synthetic */ class c {

        /* renamed from: a  reason: collision with root package name */
        static final /* synthetic */ int[] f14116a;

        /* renamed from: b  reason: collision with root package name */
        static final /* synthetic */ int[] f14117b;

        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:13:0x0039 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:7:0x001d */
        static {
            int[] iArr = new int[f.b.values().length];
            f14117b = iArr;
            try {
                iArr[f.b.OK.ordinal()] = 1;
            } catch (NoSuchFieldError unused) {
            }
            f14117b[f.b.BAD_CONFIG.ordinal()] = 2;
            try {
                f14117b[f.b.AUTH_ERROR.ordinal()] = 3;
            } catch (NoSuchFieldError unused2) {
            }
            int[] iArr2 = new int[d.b.values().length];
            f14116a = iArr2;
            iArr2[d.b.OK.ordinal()] = 1;
            try {
                f14116a[d.b.BAD_CONFIG.ordinal()] = 2;
            } catch (NoSuchFieldError unused3) {
            }
        }
    }

    i(e eVar, @NonNull z0.b<com.google.firebase.platforminfo.i> bVar, @NonNull z0.b<k> bVar2) {
        this(new ThreadPoolExecutor(0, 1, (long) f14095r, TimeUnit.SECONDS, new LinkedBlockingQueue(), f14096s), eVar, new com.google.firebase.installations.remote.c(eVar.l(), bVar, bVar2), new com.google.firebase.installations.local.c(eVar), s.c(), new com.google.firebase.installations.local.b(eVar), new q());
    }

    private String A(com.google.firebase.installations.local.d dVar) {
        if ((!this.f14101a.p().equals(f14092o) && !this.f14101a.z()) || !dVar.m()) {
            return this.f14106f.a();
        }
        String f7 = this.f14105e.f();
        return TextUtils.isEmpty(f7) ? this.f14106f.a() : f7;
    }

    private com.google.firebase.installations.local.d B(com.google.firebase.installations.local.d dVar) throws k {
        d d7 = this.f14102b.d(m(), dVar.d(), u(), n(), (dVar.d() == null || dVar.d().length() != 11) ? null : this.f14105e.i());
        int i7 = c.f14116a[d7.e().ordinal()];
        if (i7 == 1) {
            return dVar.s(d7.c(), d7.d(), this.f14104d.b(), d7.b().c(), d7.b().d());
        }
        if (i7 == 2) {
            return dVar.q("BAD CONFIG");
        }
        throw new k("Firebase Installations Service is unavailable. Please try again later.", k.a.UNAVAILABLE);
    }

    private void C(Exception exc) {
        synchronized (this.f14107g) {
            Iterator<r> it = this.f14112l.iterator();
            while (it.hasNext()) {
                if (it.next().a(exc)) {
                    it.remove();
                }
            }
        }
    }

    private void D(com.google.firebase.installations.local.d dVar) {
        synchronized (this.f14107g) {
            Iterator<r> it = this.f14112l.iterator();
            while (it.hasNext()) {
                if (it.next().b(dVar)) {
                    it.remove();
                }
            }
        }
    }

    private synchronized void E(String str) {
        this.f14110j = str;
    }

    private synchronized void F(com.google.firebase.installations.local.d dVar, com.google.firebase.installations.local.d dVar2) {
        if (this.f14111k.size() != 0 && !dVar.d().equals(dVar2.d())) {
            for (a1.a aVar : this.f14111k) {
                aVar.a(dVar2.d());
            }
        }
    }

    private l<o> f() {
        m mVar = new m();
        h(new m(this.f14104d, mVar));
        return mVar.a();
    }

    private l<String> g() {
        m mVar = new m();
        h(new n(mVar));
        return mVar.a();
    }

    private void h(r rVar) {
        synchronized (this.f14107g) {
            this.f14112l.add(rVar);
        }
    }

    /* access modifiers changed from: private */
    public Void i() throws k {
        E(null);
        com.google.firebase.installations.local.d r7 = r();
        if (r7.k()) {
            this.f14102b.e(m(), r7.d(), u(), r7.f());
        }
        v(r7.r());
        return null;
    }

    /* access modifiers changed from: private */
    /* JADX WARNING: Removed duplicated region for block: B:16:0x0032  */
    /* JADX WARNING: Removed duplicated region for block: B:19:0x003f  */
    /* JADX WARNING: Removed duplicated region for block: B:21:0x004a  */
    public void j(boolean z7) {
        com.google.firebase.installations.local.d dVar;
        Exception iOException;
        com.google.firebase.installations.local.d r7 = r();
        try {
            if (!r7.i()) {
                if (!r7.l()) {
                    if (!z7) {
                        if (!this.f14104d.f(r7)) {
                            return;
                        }
                    }
                    dVar = l(r7);
                    v(dVar);
                    F(r7, dVar);
                    if (dVar.k()) {
                        E(dVar.d());
                    }
                    if (!dVar.i()) {
                        iOException = new k(k.a.BAD_CONFIG);
                    } else if (dVar.j()) {
                        iOException = new IOException(f14100w);
                    } else {
                        D(dVar);
                        return;
                    }
                    C(iOException);
                }
            }
            dVar = B(r7);
            v(dVar);
            F(r7, dVar);
            if (dVar.k()) {
            }
            if (!dVar.i()) {
            }
            C(iOException);
        } catch (k e7) {
            C(e7);
        }
    }

    /* access modifiers changed from: private */
    public final void k(boolean z7) {
        com.google.firebase.installations.local.d t7 = t();
        if (z7) {
            t7 = t7.p();
        }
        D(t7);
        this.f14109i.execute(h.a(this, z7));
    }

    private com.google.firebase.installations.local.d l(@NonNull com.google.firebase.installations.local.d dVar) throws k {
        f f7 = this.f14102b.f(m(), dVar.d(), u(), dVar.f());
        int i7 = c.f14117b[f7.b().ordinal()];
        if (i7 == 1) {
            return dVar.o(f7.c(), f7.d(), this.f14104d.b());
        }
        if (i7 == 2) {
            return dVar.q("BAD CONFIG");
        }
        if (i7 == 3) {
            E(null);
            return dVar.r();
        }
        throw new k("Firebase Installations Service is unavailable. Please try again later.", k.a.UNAVAILABLE);
    }

    private synchronized String o() {
        return this.f14110j;
    }

    @NonNull
    public static i p() {
        return q(e.n());
    }

    @NonNull
    public static i q(@NonNull e eVar) {
        b0.b(eVar != null, "Null is not a valid value of FirebaseApp.");
        return (i) eVar.j(j.class);
    }

    private com.google.firebase.installations.local.d r() {
        com.google.firebase.installations.local.d d7;
        synchronized (f14090m) {
            d a8 = d.a(this.f14101a.l(), f14091n);
            try {
                d7 = this.f14103c.d();
            } finally {
                if (a8 != null) {
                    a8.b();
                }
            }
        }
        return d7;
    }

    private com.google.firebase.installations.local.d t() {
        com.google.firebase.installations.local.d d7;
        synchronized (f14090m) {
            d a8 = d.a(this.f14101a.l(), f14091n);
            try {
                d7 = this.f14103c.d();
                if (d7.j()) {
                    d7 = this.f14103c.b(d7.t(A(d7)));
                }
            } finally {
                if (a8 != null) {
                    a8.b();
                }
            }
        }
        return d7;
    }

    private void v(com.google.firebase.installations.local.d dVar) {
        synchronized (f14090m) {
            d a8 = d.a(this.f14101a.l(), f14091n);
            try {
                this.f14103c.b(dVar);
            } finally {
                if (a8 != null) {
                    a8.b();
                }
            }
        }
    }

    private void z() {
        b0.h(n(), f14098u);
        b0.h(u(), f14099v);
        b0.h(m(), f14097t);
        b0.b(s.h(n()), f14098u);
        b0.b(s.g(m()), f14097t);
    }

    @Override // com.google.firebase.installations.j
    @NonNull
    public synchronized a1.b a(@NonNull a1.a aVar) {
        this.f14111k.add(aVar);
        return new b(aVar);
    }

    @Override // com.google.firebase.installations.j
    @NonNull
    public l<o> b(boolean z7) {
        z();
        l<o> f7 = f();
        this.f14108h.execute(f.a(this, z7));
        return f7;
    }

    @Override // com.google.firebase.installations.j
    @NonNull
    public l<Void> c() {
        return o.d(this.f14108h, g.a(this));
    }

    @Override // com.google.firebase.installations.j
    @NonNull
    public l<String> getId() {
        z();
        String o7 = o();
        if (o7 != null) {
            return o.g(o7);
        }
        l<String> g7 = g();
        this.f14108h.execute(e.a(this));
        return g7;
    }

    /* access modifiers changed from: package-private */
    @Nullable
    public String m() {
        return this.f14101a.q().i();
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public String n() {
        return this.f14101a.q().j();
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public String s() {
        return this.f14101a.p();
    }

    /* access modifiers changed from: package-private */
    @Nullable
    public String u() {
        return this.f14101a.q().n();
    }

    i(ExecutorService executorService, e eVar, com.google.firebase.installations.remote.c cVar, com.google.firebase.installations.local.c cVar2, s sVar, com.google.firebase.installations.local.b bVar, q qVar) {
        this.f14107g = new Object();
        this.f14111k = new HashSet();
        this.f14112l = new ArrayList();
        this.f14101a = eVar;
        this.f14102b = cVar;
        this.f14103c = cVar2;
        this.f14104d = sVar;
        this.f14105e = bVar;
        this.f14106f = qVar;
        this.f14108h = executorService;
        this.f14109i = new ThreadPoolExecutor(0, 1, (long) f14095r, TimeUnit.SECONDS, new LinkedBlockingQueue(), f14096s);
    }
}
