package com.google.firebase.installations.local;

import android.content.SharedPreferences;
import android.util.Base64;
import android.util.Log;
import androidx.annotation.GuardedBy;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.VisibleForTesting;
import com.google.android.gms.stats.a;
import com.google.common.base.Ascii;
import com.google.firebase.e;
import com.google.firebase.messaging.FirebaseMessaging;
import com.graphisoft.bimxlab.MainActivity;
import java.security.KeyFactory;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.security.PublicKey;
import java.security.spec.InvalidKeySpecException;
import java.security.spec.X509EncodedKeySpec;
import org.json.JSONException;
import org.json.JSONObject;

public class b {

    /* renamed from: c  reason: collision with root package name */
    private static final String f14138c = "com.google.android.gms.appid";

    /* renamed from: d  reason: collision with root package name */
    private static final String f14139d = "|S||P|";

    /* renamed from: e  reason: collision with root package name */
    private static final String f14140e = "|S|id";

    /* renamed from: f  reason: collision with root package name */
    private static final String f14141f = "|T|";

    /* renamed from: g  reason: collision with root package name */
    private static final String f14142g = "|";

    /* renamed from: h  reason: collision with root package name */
    private static final String f14143h = "token";

    /* renamed from: i  reason: collision with root package name */
    private static final String f14144i = "{";

    /* renamed from: j  reason: collision with root package name */
    private static final String[] f14145j = {"*", FirebaseMessaging.f14384g, a.K, ""};
    @GuardedBy("iidPrefs")

    /* renamed from: a  reason: collision with root package name */
    private final SharedPreferences f14146a;

    /* renamed from: b  reason: collision with root package name */
    private final String f14147b;

    @VisibleForTesting
    public b(@NonNull SharedPreferences sharedPreferences, @Nullable String str) {
        this.f14146a = sharedPreferences;
        this.f14147b = str;
    }

    private String a(@NonNull String str, @NonNull String str2) {
        return f14141f + str + f14142g + str2;
    }

    private static String b(e eVar) {
        String m7 = eVar.q().m();
        if (m7 != null) {
            return m7;
        }
        String j7 = eVar.q().j();
        if (!j7.startsWith("1:") && !j7.startsWith("2:")) {
            return j7;
        }
        String[] split = j7.split(":");
        if (split.length != 4) {
            return null;
        }
        String str = split[1];
        if (str.isEmpty()) {
            return null;
        }
        return str;
    }

    @Nullable
    private static String c(@NonNull PublicKey publicKey) {
        try {
            byte[] digest = MessageDigest.getInstance("SHA1").digest(publicKey.getEncoded());
            digest[0] = (byte) (((digest[0] & Ascii.SI) + MainActivity.f15646h) & 255);
            return Base64.encodeToString(digest, 0, 8, 11);
        } catch (NoSuchAlgorithmException unused) {
            Log.w("ContentValues", "Unexpected error, device missing required algorithms");
            return null;
        }
    }

    private String d(String str) {
        try {
            return new JSONObject(str).getString(f14143h);
        } catch (JSONException unused) {
            return null;
        }
    }

    @Nullable
    private PublicKey e(String str) {
        try {
            return KeyFactory.getInstance("RSA").generatePublic(new X509EncodedKeySpec(Base64.decode(str, 8)));
        } catch (IllegalArgumentException | NoSuchAlgorithmException | InvalidKeySpecException e7) {
            Log.w("ContentValues", "Invalid key stored " + e7);
            return null;
        }
    }

    @Nullable
    private String g() {
        String string;
        synchronized (this.f14146a) {
            string = this.f14146a.getString(f14140e, null);
        }
        return string;
    }

    @Nullable
    private String h() {
        synchronized (this.f14146a) {
            String string = this.f14146a.getString(f14139d, null);
            if (string == null) {
                return null;
            }
            PublicKey e7 = e(string);
            if (e7 == null) {
                return null;
            }
            return c(e7);
        }
    }

    @Nullable
    public String f() {
        synchronized (this.f14146a) {
            String g7 = g();
            if (g7 != null) {
                return g7;
            }
            return h();
        }
    }

    @Nullable
    public String i() {
        synchronized (this.f14146a) {
            for (String str : f14145j) {
                String string = this.f14146a.getString(a(this.f14147b, str), null);
                if (string != null && !string.isEmpty()) {
                    if (string.startsWith(f14144i)) {
                        string = d(string);
                    }
                    return string;
                }
            }
            return null;
        }
    }

    public b(@NonNull e eVar) {
        this.f14146a = eVar.l().getSharedPreferences(f14138c, 0);
        this.f14147b = b(eVar);
    }
}
