package com.google.firebase.installations.remote;

import android.content.Context;
import android.content.pm.PackageManager;
import android.text.TextUtils;
import android.util.JsonReader;
import android.util.Log;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import com.google.android.gms.common.internal.b0;
import com.google.firebase.heartbeatinfo.k;
import com.google.firebase.installations.k;
import com.google.firebase.installations.remote.d;
import com.google.firebase.installations.remote.f;
import com.google.firebase.platforminfo.i;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.net.HttpURLConnection;
import java.net.MalformedURLException;
import java.net.URL;
import java.net.URLConnection;
import java.nio.charset.Charset;
import java.util.regex.Pattern;
import java.util.zip.GZIPOutputStream;
import org.json.JSONException;
import org.json.JSONObject;
import x.a;
import x.d0;
import x.n;
import z0.b;

public class c {
    private static final Pattern A = Pattern.compile("[0-9]+s");
    private static final int B = 1;
    private static final Charset C = Charset.forName("UTF-8");
    private static final String D = "a:";
    private static final String E = "Firebase-Installations";
    @d0
    static final String F = "Invalid Expiration Timestamp.";

    /* renamed from: f  reason: collision with root package name */
    private static final String f14315f = "firebaseinstallations.googleapis.com";

    /* renamed from: g  reason: collision with root package name */
    private static final String f14316g = "projects/%s/installations";

    /* renamed from: h  reason: collision with root package name */
    private static final String f14317h = "projects/%s/installations/%s/authTokens:generate";

    /* renamed from: i  reason: collision with root package name */
    private static final String f14318i = "projects/%s/installations/%s";

    /* renamed from: j  reason: collision with root package name */
    private static final String f14319j = "v1";

    /* renamed from: k  reason: collision with root package name */
    private static final String f14320k = "FIS_v2";

    /* renamed from: l  reason: collision with root package name */
    private static final String f14321l = "Content-Type";

    /* renamed from: m  reason: collision with root package name */
    private static final String f14322m = "Accept";

    /* renamed from: n  reason: collision with root package name */
    private static final String f14323n = "application/json";

    /* renamed from: o  reason: collision with root package name */
    private static final String f14324o = "Content-Encoding";

    /* renamed from: p  reason: collision with root package name */
    private static final String f14325p = "gzip";

    /* renamed from: q  reason: collision with root package name */
    private static final String f14326q = "Cache-Control";

    /* renamed from: r  reason: collision with root package name */
    private static final String f14327r = "no-cache";

    /* renamed from: s  reason: collision with root package name */
    private static final String f14328s = "fire-installations-id";

    /* renamed from: t  reason: collision with root package name */
    private static final String f14329t = "x-firebase-client-log-type";

    /* renamed from: u  reason: collision with root package name */
    private static final String f14330u = "x-firebase-client";

    /* renamed from: v  reason: collision with root package name */
    private static final String f14331v = "X-Android-Package";

    /* renamed from: w  reason: collision with root package name */
    private static final String f14332w = "X-Android-Cert";

    /* renamed from: x  reason: collision with root package name */
    private static final String f14333x = "x-goog-fis-android-iid-migration-auth";

    /* renamed from: y  reason: collision with root package name */
    private static final String f14334y = "x-goog-api-key";

    /* renamed from: z  reason: collision with root package name */
    private static final int f14335z = 10000;

    /* renamed from: a  reason: collision with root package name */
    private boolean f14336a;

    /* renamed from: b  reason: collision with root package name */
    private final Context f14337b;

    /* renamed from: c  reason: collision with root package name */
    private final b<i> f14338c;

    /* renamed from: d  reason: collision with root package name */
    private final b<k> f14339d;

    /* renamed from: e  reason: collision with root package name */
    private final e f14340e = new e();

    public c(@NonNull Context context, @NonNull b<i> bVar, @NonNull b<k> bVar2) {
        this.f14337b = context;
        this.f14338c = bVar;
        this.f14339d = bVar2;
    }

    private static String a(@Nullable String str, @NonNull String str2, @NonNull String str3) {
        String str4;
        Object[] objArr = new Object[3];
        objArr[0] = str2;
        objArr[1] = str3;
        if (TextUtils.isEmpty(str)) {
            str4 = "";
        } else {
            str4 = ", " + str;
        }
        objArr[2] = str4;
        return String.format("Firebase options used while communicating with Firebase server APIs: %s, %s%s", objArr);
    }

    private static JSONObject b(@Nullable String str, @NonNull String str2) {
        try {
            JSONObject jSONObject = new JSONObject();
            jSONObject.put("fid", str);
            jSONObject.put("appId", str2);
            jSONObject.put("authVersion", f14320k);
            jSONObject.put("sdkVersion", "a:16.3.5");
            return jSONObject;
        } catch (JSONException e7) {
            throw new IllegalStateException(e7);
        }
    }

    private static JSONObject c() {
        try {
            JSONObject jSONObject = new JSONObject();
            jSONObject.put("sdkVersion", "a:16.3.5");
            JSONObject jSONObject2 = new JSONObject();
            jSONObject2.put("installation", jSONObject);
            return jSONObject2;
        } catch (JSONException e7) {
            throw new IllegalStateException(e7);
        }
    }

    private String g() {
        try {
            Context context = this.f14337b;
            byte[] b7 = a.b(context, context.getPackageName());
            if (b7 != null) {
                return n.c(b7, false);
            }
            Log.e("ContentValues", "Could not get fingerprint hash for package: " + this.f14337b.getPackageName());
            return null;
        } catch (PackageManager.NameNotFoundException e7) {
            Log.e("ContentValues", "No such package: " + this.f14337b.getPackageName(), e7);
            return null;
        }
    }

    private URL h(String str) throws com.google.firebase.installations.k {
        try {
            return new URL(String.format("https://%s/%s/%s", f14315f, f14319j, str));
        } catch (MalformedURLException e7) {
            throw new com.google.firebase.installations.k(e7.getMessage(), k.a.UNAVAILABLE);
        }
    }

    private static byte[] i(JSONObject jSONObject) throws IOException {
        return jSONObject.toString().getBytes("UTF-8");
    }

    private static boolean j(int i7) {
        return i7 >= 200 && i7 < 300;
    }

    private static void k() {
        Log.e(E, "Firebase Installations can not communicate with Firebase server APIs due to invalid configuration. Please update your Firebase initialization process and set valid Firebase options (API key, Project ID, Application ID) when initializing Firebase.");
    }

    private static void l(HttpURLConnection httpURLConnection, @Nullable String str, @NonNull String str2, @NonNull String str3) {
        String p7 = p(httpURLConnection);
        if (!TextUtils.isEmpty(p7)) {
            Log.w(E, p7);
            Log.w(E, a(str, str2, str3));
        }
    }

    private HttpURLConnection m(URL url, String str) throws com.google.firebase.installations.k {
        k.a b7;
        try {
            HttpURLConnection httpURLConnection = (HttpURLConnection) url.openConnection();
            httpURLConnection.setConnectTimeout(f14335z);
            httpURLConnection.setUseCaches(false);
            httpURLConnection.setReadTimeout(f14335z);
            httpURLConnection.addRequestProperty("Content-Type", f14323n);
            httpURLConnection.addRequestProperty("Accept", f14323n);
            httpURLConnection.addRequestProperty("Content-Encoding", f14325p);
            httpURLConnection.addRequestProperty("Cache-Control", f14327r);
            httpURLConnection.addRequestProperty(f14331v, this.f14337b.getPackageName());
            if (!(this.f14339d.get() == null || this.f14338c.get() == null || (b7 = this.f14339d.get().b(f14328s)) == k.a.NONE)) {
                httpURLConnection.addRequestProperty(f14330u, this.f14338c.get().a());
                httpURLConnection.addRequestProperty(f14329t, Integer.toString(b7.a()));
            }
            httpURLConnection.addRequestProperty(f14332w, g());
            httpURLConnection.addRequestProperty(f14334y, str);
            return httpURLConnection;
        } catch (IOException unused) {
            throw new com.google.firebase.installations.k("Firebase Installations Service is unavailable. Please try again later.", k.a.UNAVAILABLE);
        }
    }

    @d0
    static long n(String str) {
        b0.b(A.matcher(str).matches(), F);
        if (str == null || str.length() == 0) {
            return 0;
        }
        return Long.parseLong(str.substring(0, str.length() - 1));
    }

    private d o(HttpURLConnection httpURLConnection) throws AssertionError, IOException {
        InputStream inputStream = httpURLConnection.getInputStream();
        JsonReader jsonReader = new JsonReader(new InputStreamReader(inputStream, C));
        f.a a8 = f.a();
        d.a a9 = d.a();
        jsonReader.beginObject();
        while (jsonReader.hasNext()) {
            String nextName = jsonReader.nextName();
            if (nextName.equals("name")) {
                a9.f(jsonReader.nextString());
            } else if (nextName.equals("fid")) {
                a9.c(jsonReader.nextString());
            } else if (nextName.equals("refreshToken")) {
                a9.d(jsonReader.nextString());
            } else if (nextName.equals("authToken")) {
                jsonReader.beginObject();
                while (jsonReader.hasNext()) {
                    String nextName2 = jsonReader.nextName();
                    if (nextName2.equals("token")) {
                        a8.c(jsonReader.nextString());
                    } else if (nextName2.equals("expiresIn")) {
                        a8.d(n(jsonReader.nextString()));
                    } else {
                        jsonReader.skipValue();
                    }
                }
                a9.b(a8.a());
                jsonReader.endObject();
            } else {
                jsonReader.skipValue();
            }
        }
        jsonReader.endObject();
        jsonReader.close();
        inputStream.close();
        return a9.e(d.b.OK).a();
    }

    /* JADX WARNING: Missing exception handler attribute for start block: B:19:0x004f */
    @Nullable
    private static String p(HttpURLConnection httpURLConnection) {
        BufferedReader bufferedReader;
        InputStream errorStream = httpURLConnection.getErrorStream();
        if (errorStream == null) {
            return null;
        }
        bufferedReader = new BufferedReader(new InputStreamReader(errorStream, C));
        try {
            StringBuilder sb = new StringBuilder();
            while (true) {
                String readLine = bufferedReader.readLine();
                if (readLine == null) {
                    break;
                }
                sb.append(readLine);
                sb.append('\n');
            }
            String format = String.format("Error when communicating with the Firebase Installations server API. HTTP response: [%d %s: %s]", Integer.valueOf(httpURLConnection.getResponseCode()), httpURLConnection.getResponseMessage(), sb);
            try {
                bufferedReader.close();
            } catch (IOException unused) {
            }
            return format;
        } catch (IOException unknown) {
            try {
                bufferedReader.close();
            } catch (IOException unused2) {
            }
            return null;
        } catch (Throwable th) {
            try {
                bufferedReader.close();
            } catch (IOException unused3) {
            }
            throw th;
        }
    }

    private f q(HttpURLConnection httpURLConnection) throws AssertionError, IOException {
        InputStream inputStream = httpURLConnection.getInputStream();
        JsonReader jsonReader = new JsonReader(new InputStreamReader(inputStream, C));
        f.a a8 = f.a();
        jsonReader.beginObject();
        while (jsonReader.hasNext()) {
            String nextName = jsonReader.nextName();
            if (nextName.equals("token")) {
                a8.c(jsonReader.nextString());
            } else if (nextName.equals("expiresIn")) {
                a8.d(n(jsonReader.nextString()));
            } else {
                jsonReader.skipValue();
            }
        }
        jsonReader.endObject();
        jsonReader.close();
        inputStream.close();
        return a8.b(f.b.OK).a();
    }

    private void r(HttpURLConnection httpURLConnection, @Nullable String str, @NonNull String str2) throws IOException {
        t(httpURLConnection, i(b(str, str2)));
    }

    private void s(HttpURLConnection httpURLConnection) throws IOException {
        t(httpURLConnection, i(c()));
    }

    private static void t(URLConnection uRLConnection, byte[] bArr) throws IOException {
        OutputStream outputStream = uRLConnection.getOutputStream();
        if (outputStream != null) {
            GZIPOutputStream gZIPOutputStream = new GZIPOutputStream(outputStream);
            try {
                gZIPOutputStream.write(bArr);
            } finally {
                try {
                    gZIPOutputStream.close();
                    outputStream.close();
                } catch (IOException unused) {
                }
            }
        } else {
            throw new IOException("Cannot send request to FIS servers. No OutputStream available.");
        }
    }

    /* JADX INFO: finally extract failed */
    @NonNull
    public d d(@NonNull String str, @Nullable String str2, @NonNull String str3, @NonNull String str4, @Nullable String str5) throws com.google.firebase.installations.k {
        if (this.f14340e.b()) {
            URL h7 = h(String.format(f14316g, str3));
            for (int i7 = 0; i7 <= 1; i7++) {
                HttpURLConnection m7 = m(h7, str);
                try {
                    m7.setRequestMethod("POST");
                    m7.setDoOutput(true);
                    if (str5 != null) {
                        m7.addRequestProperty(f14333x, str5);
                    }
                    r(m7, str2, str4);
                    int responseCode = m7.getResponseCode();
                    this.f14340e.f(responseCode);
                    if (j(responseCode)) {
                        d o7 = o(m7);
                        m7.disconnect();
                        return o7;
                    }
                    try {
                        l(m7, str4, str, str3);
                        if (responseCode == 429) {
                            throw new com.google.firebase.installations.k("Firebase servers have received too many requests from this client in a short period of time. Please try again later.", k.a.TOO_MANY_REQUESTS);
                        } else if (responseCode < 500 || responseCode >= 600) {
                            k();
                            d a8 = d.a().e(d.b.BAD_CONFIG).a();
                            m7.disconnect();
                            return a8;
                        } else {
                            m7.disconnect();
                        }
                    } catch (IOException | AssertionError unused) {
                    }
                } catch (Throwable th) {
                    m7.disconnect();
                    throw th;
                }
            }
            throw new com.google.firebase.installations.k("Firebase Installations Service is unavailable. Please try again later.", k.a.UNAVAILABLE);
        }
        throw new com.google.firebase.installations.k("Firebase Installations Service is unavailable. Please try again later.", k.a.UNAVAILABLE);
    }

    @NonNull
    public void e(@NonNull String str, @NonNull String str2, @NonNull String str3, @NonNull String str4) throws com.google.firebase.installations.k {
        int i7 = 0;
        URL h7 = h(String.format(f14318i, str3, str2));
        while (i7 <= 1) {
            HttpURLConnection m7 = m(h7, str);
            try {
                m7.setRequestMethod("DELETE");
                m7.addRequestProperty(com.google.common.net.c.f11616n, "FIS_v2 " + str4);
                int responseCode = m7.getResponseCode();
                if (!(responseCode == 200 || responseCode == 401)) {
                    if (responseCode != 404) {
                        l(m7, null, str, str3);
                        if (responseCode == 429) {
                            continue;
                        } else if (responseCode < 500 || responseCode >= 600) {
                            k();
                            throw new com.google.firebase.installations.k("Bad config while trying to delete FID", k.a.BAD_CONFIG);
                        }
                        i7++;
                        m7.disconnect();
                    }
                }
                m7.disconnect();
                return;
            } catch (IOException unused) {
            } catch (Throwable th) {
                m7.disconnect();
                throw th;
            }
        }
        throw new com.google.firebase.installations.k("Firebase Installations Service is unavailable. Please try again later.", k.a.UNAVAILABLE);
    }

    /* JADX INFO: finally extract failed */
    @NonNull
    public f f(@NonNull String str, @NonNull String str2, @NonNull String str3, @NonNull String str4) throws com.google.firebase.installations.k {
        if (this.f14340e.b()) {
            URL h7 = h(String.format(f14317h, str3, str2));
            for (int i7 = 0; i7 <= 1; i7++) {
                HttpURLConnection m7 = m(h7, str);
                try {
                    m7.setRequestMethod("POST");
                    m7.addRequestProperty(com.google.common.net.c.f11616n, "FIS_v2 " + str4);
                    m7.setDoOutput(true);
                    s(m7);
                    int responseCode = m7.getResponseCode();
                    this.f14340e.f(responseCode);
                    if (j(responseCode)) {
                        f q7 = q(m7);
                        m7.disconnect();
                        return q7;
                    }
                    try {
                        l(m7, null, str, str3);
                        if (responseCode != 401) {
                            if (responseCode != 404) {
                                if (responseCode == 429) {
                                    throw new com.google.firebase.installations.k("Firebase servers have received too many requests from this client in a short period of time. Please try again later.", k.a.TOO_MANY_REQUESTS);
                                } else if (responseCode < 500 || responseCode >= 600) {
                                    k();
                                    f a8 = f.a().b(f.b.BAD_CONFIG).a();
                                    m7.disconnect();
                                    return a8;
                                } else {
                                    m7.disconnect();
                                }
                            }
                        }
                        f a9 = f.a().b(f.b.AUTH_ERROR).a();
                        m7.disconnect();
                        return a9;
                    } catch (IOException | AssertionError unused) {
                    }
                } catch (Throwable th) {
                    m7.disconnect();
                    throw th;
                }
            }
            throw new com.google.firebase.installations.k("Firebase Installations Service is unavailable. Please try again later.", k.a.UNAVAILABLE);
        }
        throw new com.google.firebase.installations.k("Firebase Installations Service is unavailable. Please try again later.", k.a.UNAVAILABLE);
    }
}
