package com.google.firebase.messaging;

import android.content.Intent;
import android.os.Bundle;
import android.text.TextUtils;
import android.util.Log;
import androidx.annotation.NonNull;
import androidx.annotation.WorkerThread;
import com.google.android.gms.cloudmessaging.a;
import com.google.firebase.iid.z;
import com.google.firebase.messaging.c;
import java.util.ArrayDeque;
import java.util.Queue;
import java.util.concurrent.ExecutorService;

public class FirebaseMessagingService extends h {

    /* renamed from: f  reason: collision with root package name */
    public static final String f14397f = "com.google.firebase.messaging.RECEIVE_DIRECT_BOOT";

    /* renamed from: g  reason: collision with root package name */
    private static final Queue<String> f14398g = new ArrayDeque(10);

    private boolean j(String str) {
        if (TextUtils.isEmpty(str)) {
            return false;
        }
        Queue<String> queue = f14398g;
        if (!queue.contains(str)) {
            if (queue.size() >= 10) {
                queue.remove();
            }
            queue.add(str);
            return false;
        } else if (!Log.isLoggable(c.f14444a, 3)) {
            return true;
        } else {
            String valueOf = String.valueOf(str);
            Log.d(c.f14444a, valueOf.length() != 0 ? "Received duplicate message: ".concat(valueOf) : new String("Received duplicate message: "));
            return true;
        }
    }

    private void k(Intent intent) {
        Bundle extras = intent.getExtras();
        if (extras == null) {
            extras = new Bundle();
        }
        extras.remove("androidx.content.wakelockid");
        if (z.v(extras)) {
            z zVar = new z(extras);
            ExecutorService d7 = i.d();
            try {
                if (!new d(this, zVar, d7).a()) {
                    if (y.C(intent)) {
                        y.u(intent);
                    }
                } else {
                    return;
                }
            } finally {
                d7.shutdown();
            }
        }
        p(new RemoteMessage(extras));
    }

    private String l(Intent intent) {
        String stringExtra = intent.getStringExtra(c.d.f14509h);
        return stringExtra == null ? intent.getStringExtra(c.d.f14507f) : stringExtra;
    }

    private void m(Intent intent) {
        if (!j(intent.getStringExtra(c.d.f14509h))) {
            t(intent);
        }
    }

    private void n(Intent intent) {
        if (y.C(intent)) {
            y.v(intent);
        }
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    private void t(Intent intent) {
        char c7;
        String stringExtra = intent.getStringExtra(c.d.f14505d);
        if (stringExtra == null) {
            stringExtra = c.e.f14518a;
        }
        switch (stringExtra.hashCode()) {
            case -2062414158:
                if (stringExtra.equals(c.e.f14519b)) {
                    c7 = 1;
                    break;
                }
                c7 = 65535;
                break;
            case 102161:
                if (stringExtra.equals(c.e.f14518a)) {
                    c7 = 0;
                    break;
                }
                c7 = 65535;
                break;
            case 814694033:
                if (stringExtra.equals(c.e.f14521d)) {
                    c7 = 3;
                    break;
                }
                c7 = 65535;
                break;
            case 814800675:
                if (stringExtra.equals(c.e.f14520c)) {
                    c7 = 2;
                    break;
                }
                c7 = 65535;
                break;
            default:
                c7 = 65535;
                break;
        }
        if (c7 == 0) {
            y.w(intent);
            k(intent);
        } else if (c7 == 1) {
            o();
        } else if (c7 == 2) {
            q(intent.getStringExtra(c.d.f14509h));
        } else if (c7 != 3) {
            Log.w(c.f14444a, stringExtra.length() != 0 ? "Received message with unknown type: ".concat(stringExtra) : new String("Received message with unknown type: "));
        } else {
            s(l(intent), new c0(intent.getStringExtra(c.f14447d)));
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.google.firebase.messaging.h
    public Intent c(Intent intent) {
        return z.c().d();
    }

    @Override // com.google.firebase.messaging.h
    public void d(Intent intent) {
        String action = intent.getAction();
        if ("com.google.android.c2dm.intent.RECEIVE".equals(action) || f14397f.equals(action)) {
            m(intent);
        } else if (a.C0045a.f4527b.equals(action)) {
            if (y.C(intent)) {
                y.t(intent);
            }
        } else if ("com.google.firebase.messaging.NEW_TOKEN".equals(action)) {
            r(intent.getStringExtra("token"));
        } else {
            String valueOf = String.valueOf(intent.getAction());
            Log.d(c.f14444a, valueOf.length() != 0 ? "Unknown intent action: ".concat(valueOf) : new String("Unknown intent action: "));
        }
    }

    @Override // com.google.firebase.messaging.h
    public boolean e(Intent intent) {
        if (!a.C0045a.f4526a.equals(intent.getAction())) {
            return false;
        }
        n(intent);
        return true;
    }

    @WorkerThread
    public void o() {
    }

    @WorkerThread
    public void p(@NonNull RemoteMessage remoteMessage) {
    }

    @WorkerThread
    public void q(@NonNull String str) {
    }

    @WorkerThread
    public void r(@NonNull String str) {
    }

    @WorkerThread
    public void s(@NonNull String str, @NonNull Exception exc) {
    }
}
