package com.google.firebase.messaging;

import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.text.TextUtils;
import android.util.Log;
import androidx.annotation.IntRange;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.collection.ArrayMap;
import com.google.android.gms.common.internal.e0;
import com.google.android.gms.common.internal.safeparcel.AbstractSafeParcelable;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable;
import com.google.firebase.messaging.c;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.util.Map;

@SafeParcelable.a(creator = "RemoteMessageCreator")
@SafeParcelable.f({1})
public final class RemoteMessage extends AbstractSafeParcelable {
    public static final int C1 = 2;
    public static final Parcelable.Creator<RemoteMessage> CREATOR = new b0();

    /* renamed from: x  reason: collision with root package name */
    public static final int f14399x = 0;

    /* renamed from: y  reason: collision with root package name */
    public static final int f14400y = 1;
    @SafeParcelable.c(id = 2)

    /* renamed from: f  reason: collision with root package name */
    Bundle f14401f;

    /* renamed from: g  reason: collision with root package name */
    private Map<String, String> f14402g;

    /* renamed from: p  reason: collision with root package name */
    private d f14403p;

    public static class b {

        /* renamed from: a  reason: collision with root package name */
        private final Bundle f14404a;

        /* renamed from: b  reason: collision with root package name */
        private final Map<String, String> f14405b = new ArrayMap();

        public b(@NonNull String str) {
            Bundle bundle = new Bundle();
            this.f14404a = bundle;
            if (TextUtils.isEmpty(str)) {
                String valueOf = String.valueOf(str);
                throw new IllegalArgumentException(valueOf.length() != 0 ? "Invalid to: ".concat(valueOf) : new String("Invalid to: "));
            } else {
                bundle.putString(c.d.f14508g, str);
            }
        }

        @NonNull
        public b a(@NonNull String str, @Nullable String str2) {
            this.f14405b.put(str, str2);
            return this;
        }

        @NonNull
        public RemoteMessage b() {
            Bundle bundle = new Bundle();
            for (Map.Entry<String, String> entry : this.f14405b.entrySet()) {
                bundle.putString(entry.getKey(), entry.getValue());
            }
            bundle.putAll(this.f14404a);
            this.f14404a.remove(c.d.f14503b);
            return new RemoteMessage(bundle);
        }

        @NonNull
        public b c() {
            this.f14405b.clear();
            return this;
        }

        @NonNull
        public b d(@Nullable String str) {
            this.f14404a.putString(c.d.f14506e, str);
            return this;
        }

        @NonNull
        public b e(@NonNull Map<String, String> map) {
            this.f14405b.clear();
            this.f14405b.putAll(map);
            return this;
        }

        @NonNull
        public b f(@NonNull String str) {
            this.f14404a.putString(c.d.f14509h, str);
            return this;
        }

        @NonNull
        public b g(@Nullable String str) {
            this.f14404a.putString(c.d.f14505d, str);
            return this;
        }

        @NonNull
        @e0
        public b h(byte[] bArr) {
            this.f14404a.putByteArray(c.d.f14504c, bArr);
            return this;
        }

        @NonNull
        public b i(@IntRange(from = 0, to = 86400) int i7) {
            this.f14404a.putString(c.d.f14510i, String.valueOf(i7));
            return this;
        }
    }

    @Retention(RetentionPolicy.SOURCE)
    public @interface c {
    }

    public static class d {

        /* renamed from: a  reason: collision with root package name */
        private final String f14406a;

        /* renamed from: b  reason: collision with root package name */
        private final String f14407b;

        /* renamed from: c  reason: collision with root package name */
        private final String[] f14408c;

        /* renamed from: d  reason: collision with root package name */
        private final String f14409d;

        /* renamed from: e  reason: collision with root package name */
        private final String f14410e;

        /* renamed from: f  reason: collision with root package name */
        private final String[] f14411f;

        /* renamed from: g  reason: collision with root package name */
        private final String f14412g;

        /* renamed from: h  reason: collision with root package name */
        private final String f14413h;

        /* renamed from: i  reason: collision with root package name */
        private final String f14414i;

        /* renamed from: j  reason: collision with root package name */
        private final String f14415j;

        /* renamed from: k  reason: collision with root package name */
        private final String f14416k;

        /* renamed from: l  reason: collision with root package name */
        private final String f14417l;

        /* renamed from: m  reason: collision with root package name */
        private final String f14418m;

        /* renamed from: n  reason: collision with root package name */
        private final Uri f14419n;

        /* renamed from: o  reason: collision with root package name */
        private final String f14420o;

        /* renamed from: p  reason: collision with root package name */
        private final Integer f14421p;

        /* renamed from: q  reason: collision with root package name */
        private final Integer f14422q;

        /* renamed from: r  reason: collision with root package name */
        private final Integer f14423r;

        /* renamed from: s  reason: collision with root package name */
        private final int[] f14424s;

        /* renamed from: t  reason: collision with root package name */
        private final Long f14425t;

        /* renamed from: u  reason: collision with root package name */
        private final boolean f14426u;

        /* renamed from: v  reason: collision with root package name */
        private final boolean f14427v;

        /* renamed from: w  reason: collision with root package name */
        private final boolean f14428w;

        /* renamed from: x  reason: collision with root package name */
        private final boolean f14429x;

        /* renamed from: y  reason: collision with root package name */
        private final boolean f14430y;

        /* renamed from: z  reason: collision with root package name */
        private final long[] f14431z;

        private d(z zVar) {
            this.f14406a = zVar.p(c.C0206c.f14482g);
            this.f14407b = zVar.h(c.C0206c.f14482g);
            this.f14408c = p(zVar, c.C0206c.f14482g);
            this.f14409d = zVar.p(c.C0206c.f14483h);
            this.f14410e = zVar.h(c.C0206c.f14483h);
            this.f14411f = p(zVar, c.C0206c.f14483h);
            this.f14412g = zVar.p(c.C0206c.f14484i);
            this.f14414i = zVar.o();
            this.f14415j = zVar.p(c.C0206c.f14486k);
            this.f14416k = zVar.p(c.C0206c.f14487l);
            this.f14417l = zVar.p(c.C0206c.A);
            this.f14418m = zVar.p(c.C0206c.D);
            this.f14419n = zVar.f();
            this.f14413h = zVar.p(c.C0206c.f14485j);
            this.f14420o = zVar.p(c.C0206c.f14488m);
            this.f14421p = zVar.b(c.C0206c.f14491p);
            this.f14422q = zVar.b(c.C0206c.f14496u);
            this.f14423r = zVar.b(c.C0206c.f14495t);
            this.f14426u = zVar.a(c.C0206c.f14490o);
            this.f14427v = zVar.a(c.C0206c.f14489n);
            this.f14428w = zVar.a(c.C0206c.f14492q);
            this.f14429x = zVar.a(c.C0206c.f14493r);
            this.f14430y = zVar.a(c.C0206c.f14494s);
            this.f14425t = zVar.j(c.C0206c.f14499x);
            this.f14424s = zVar.e();
            this.f14431z = zVar.q();
        }

        private static String[] p(z zVar, String str) {
            Object[] g7 = zVar.g(str);
            if (g7 == null) {
                return null;
            }
            String[] strArr = new String[g7.length];
            for (int i7 = 0; i7 < g7.length; i7++) {
                strArr[i7] = String.valueOf(g7[i7]);
            }
            return strArr;
        }

        @Nullable
        public Integer A() {
            return this.f14422q;
        }

        @Nullable
        public String a() {
            return this.f14409d;
        }

        @Nullable
        public String[] b() {
            return this.f14411f;
        }

        @Nullable
        public String c() {
            return this.f14410e;
        }

        @Nullable
        public String d() {
            return this.f14418m;
        }

        @Nullable
        public String e() {
            return this.f14417l;
        }

        @Nullable
        public String f() {
            return this.f14416k;
        }

        public boolean g() {
            return this.f14430y;
        }

        public boolean h() {
            return this.f14428w;
        }

        public boolean i() {
            return this.f14429x;
        }

        @Nullable
        public Long j() {
            return this.f14425t;
        }

        @Nullable
        public String k() {
            return this.f14412g;
        }

        @Nullable
        public Uri l() {
            String str = this.f14413h;
            if (str != null) {
                return Uri.parse(str);
            }
            return null;
        }

        @Nullable
        public int[] m() {
            return this.f14424s;
        }

        @Nullable
        public Uri n() {
            return this.f14419n;
        }

        public boolean o() {
            return this.f14427v;
        }

        @Nullable
        public Integer q() {
            return this.f14423r;
        }

        @Nullable
        public Integer r() {
            return this.f14421p;
        }

        @Nullable
        public String s() {
            return this.f14414i;
        }

        public boolean t() {
            return this.f14426u;
        }

        @Nullable
        public String u() {
            return this.f14415j;
        }

        @Nullable
        public String v() {
            return this.f14420o;
        }

        @Nullable
        public String w() {
            return this.f14406a;
        }

        @Nullable
        public String[] x() {
            return this.f14408c;
        }

        @Nullable
        public String y() {
            return this.f14407b;
        }

        @Nullable
        public long[] z() {
            return this.f14431z;
        }
    }

    @SafeParcelable.b
    public RemoteMessage(@SafeParcelable.e(id = 2) Bundle bundle) {
        this.f14401f = bundle;
    }

    private int N(String str) {
        if ("high".equals(str)) {
            return 1;
        }
        return "normal".equals(str) ? 2 : 0;
    }

    @Nullable
    public String J() {
        return this.f14401f.getString(c.d.f14506e);
    }

    @NonNull
    public Map<String, String> K() {
        if (this.f14402g == null) {
            this.f14402g = c.d.a(this.f14401f);
        }
        return this.f14402g;
    }

    @Nullable
    public String L() {
        return this.f14401f.getString(c.d.f14503b);
    }

    @Nullable
    public String M() {
        String string = this.f14401f.getString(c.d.f14509h);
        return string == null ? this.f14401f.getString(c.d.f14507f) : string;
    }

    @Nullable
    public String O() {
        return this.f14401f.getString(c.d.f14505d);
    }

    @Nullable
    public d S() {
        if (this.f14403p == null && z.v(this.f14401f)) {
            this.f14403p = new d(new z(this.f14401f));
        }
        return this.f14403p;
    }

    public int T() {
        String string = this.f14401f.getString(c.d.f14512k);
        if (string == null) {
            string = this.f14401f.getString(c.d.f14514m);
        }
        return N(string);
    }

    public int U() {
        String string = this.f14401f.getString(c.d.f14513l);
        if (string == null) {
            if ("1".equals(this.f14401f.getString(c.d.f14515n))) {
                return 2;
            }
            string = this.f14401f.getString(c.d.f14514m);
        }
        return N(string);
    }

    @Nullable
    @e0
    public byte[] V() {
        return this.f14401f.getByteArray(c.d.f14504c);
    }

    @Nullable
    public String W() {
        return this.f14401f.getString(c.d.f14517p);
    }

    public long X() {
        Object obj = this.f14401f.get(c.d.f14511j);
        if (obj instanceof Long) {
            return ((Long) obj).longValue();
        }
        if (!(obj instanceof String)) {
            return 0;
        }
        try {
            return Long.parseLong((String) obj);
        } catch (NumberFormatException unused) {
            String valueOf = String.valueOf(obj);
            StringBuilder sb = new StringBuilder(valueOf.length() + 19);
            sb.append("Invalid sent time: ");
            sb.append(valueOf);
            Log.w(c.f14444a, sb.toString());
            return 0;
        }
    }

    @Nullable
    public String Y() {
        return this.f14401f.getString(c.d.f14508g);
    }

    public int b0() {
        Object obj = this.f14401f.get(c.d.f14510i);
        if (obj instanceof Integer) {
            return ((Integer) obj).intValue();
        }
        if (!(obj instanceof String)) {
            return 0;
        }
        try {
            return Integer.parseInt((String) obj);
        } catch (NumberFormatException unused) {
            String valueOf = String.valueOf(obj);
            StringBuilder sb = new StringBuilder(valueOf.length() + 13);
            sb.append("Invalid TTL: ");
            sb.append(valueOf);
            Log.w(c.f14444a, sb.toString());
            return 0;
        }
    }

    /* access modifiers changed from: package-private */
    public void c0(Intent intent) {
        intent.putExtras(this.f14401f);
    }

    @r.a
    public Intent d0() {
        Intent intent = new Intent();
        intent.putExtras(this.f14401f);
        return intent;
    }

    public void writeToParcel(@NonNull Parcel parcel, int i7) {
        b0.c(this, parcel, i7);
    }
}
