package com.google.firebase.messaging;

import android.annotation.TargetApi;
import android.app.NotificationChannel;
import android.app.NotificationManager;
import android.app.PendingIntent;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.pm.ApplicationInfo;
import android.content.pm.PackageManager;
import android.content.res.Resources;
import android.graphics.Color;
import android.media.RingtoneManager;
import android.net.Uri;
import android.os.Bundle;
import android.os.SystemClock;
import android.text.TextUtils;
import android.util.Log;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.VisibleForTesting;
import androidx.core.app.NotificationCompat;
import androidx.core.content.ContextCompat;
import com.google.android.gms.cloudmessaging.a;
import com.google.firebase.iid.z;
import com.google.firebase.messaging.c;
import java.util.concurrent.atomic.AtomicInteger;

public final class b {

    /* renamed from: a  reason: collision with root package name */
    public static final String f14434a = "com.google.firebase.messaging.default_notification_color";

    /* renamed from: b  reason: collision with root package name */
    public static final String f14435b = "com.google.firebase.messaging.default_notification_icon";

    /* renamed from: c  reason: collision with root package name */
    public static final String f14436c = "com.google.firebase.messaging.default_notification_channel_id";

    /* renamed from: d  reason: collision with root package name */
    public static final String f14437d = "fcm_fallback_notification_channel";

    /* renamed from: e  reason: collision with root package name */
    public static final String f14438e = "fcm_fallback_notification_channel_label";

    /* renamed from: f  reason: collision with root package name */
    private static final AtomicInteger f14439f = new AtomicInteger((int) SystemClock.elapsedRealtime());

    public static class a {

        /* renamed from: a  reason: collision with root package name */
        public final NotificationCompat.Builder f14440a;

        /* renamed from: b  reason: collision with root package name */
        public final String f14441b;

        /* renamed from: c  reason: collision with root package name */
        public final int f14442c = 0;

        a(NotificationCompat.Builder builder, String str, int i7) {
            this.f14440a = builder;
            this.f14441b = str;
        }
    }

    private b() {
    }

    @Nullable
    private static PendingIntent a(Context context, z zVar, String str, PackageManager packageManager) {
        Intent f7 = f(str, zVar, packageManager);
        if (f7 == null) {
            return null;
        }
        f7.addFlags(67108864);
        f7.putExtras(zVar.A());
        PendingIntent activity = PendingIntent.getActivity(context, g(), f7, 1073741824);
        return p(zVar) ? q(context, zVar, activity) : activity;
    }

    @Nullable
    private static PendingIntent b(Context context, z zVar) {
        if (!p(zVar)) {
            return null;
        }
        return c(context, new Intent(a.C0045a.f4527b).putExtras(zVar.z()));
    }

    private static PendingIntent c(Context context, Intent intent) {
        return PendingIntent.getBroadcast(context, g(), new Intent(z.f14062g).setComponent(new ComponentName(context, "com.google.firebase.iid.FirebaseInstanceIdReceiver")).putExtra(a.b.f4529b, intent), 1073741824);
    }

    static a d(Context context, z zVar) {
        Bundle j7 = j(context.getPackageManager(), context.getPackageName());
        return e(context, context.getPackageName(), zVar, k(context, zVar.k(), j7), context.getResources(), context.getPackageManager(), j7);
    }

    public static a e(Context context, String str, z zVar, String str2, Resources resources, PackageManager packageManager, Bundle bundle) {
        NotificationCompat.Builder builder = new NotificationCompat.Builder(context, str2);
        String n7 = zVar.n(resources, str, c.C0206c.f14482g);
        if (!TextUtils.isEmpty(n7)) {
            builder.setContentTitle(n7);
        }
        String n8 = zVar.n(resources, str, c.C0206c.f14483h);
        if (!TextUtils.isEmpty(n8)) {
            builder.setContentText(n8);
            builder.setStyle(new NotificationCompat.BigTextStyle().bigText(n8));
        }
        builder.setSmallIcon(l(packageManager, resources, str, zVar.p(c.C0206c.f14484i), bundle));
        Uri m7 = m(str, zVar, resources);
        if (m7 != null) {
            builder.setSound(m7);
        }
        builder.setContentIntent(a(context, zVar, str, packageManager));
        PendingIntent b7 = b(context, zVar);
        if (b7 != null) {
            builder.setDeleteIntent(b7);
        }
        Integer h7 = h(context, zVar.p(c.C0206c.f14487l), bundle);
        if (h7 != null) {
            builder.setColor(h7.intValue());
        }
        builder.setAutoCancel(!zVar.a(c.C0206c.f14490o));
        builder.setLocalOnly(zVar.a(c.C0206c.f14489n));
        String p7 = zVar.p(c.C0206c.f14488m);
        if (p7 != null) {
            builder.setTicker(p7);
        }
        Integer m8 = zVar.m();
        if (m8 != null) {
            builder.setPriority(m8.intValue());
        }
        Integer r7 = zVar.r();
        if (r7 != null) {
            builder.setVisibility(r7.intValue());
        }
        Integer l7 = zVar.l();
        if (l7 != null) {
            builder.setNumber(l7.intValue());
        }
        Long j7 = zVar.j(c.C0206c.f14499x);
        if (j7 != null) {
            builder.setShowWhen(true);
            builder.setWhen(j7.longValue());
        }
        long[] q7 = zVar.q();
        if (q7 != null) {
            builder.setVibrate(q7);
        }
        int[] e7 = zVar.e();
        if (e7 != null) {
            builder.setLights(e7[0], e7[1], e7[2]);
        }
        builder.setDefaults(i(zVar));
        return new a(builder, n(zVar), 0);
    }

    private static Intent f(String str, z zVar, PackageManager packageManager) {
        String p7 = zVar.p(c.C0206c.A);
        if (!TextUtils.isEmpty(p7)) {
            Intent intent = new Intent(p7);
            intent.setPackage(str);
            intent.setFlags(268435456);
            return intent;
        }
        Uri f7 = zVar.f();
        if (f7 != null) {
            Intent intent2 = new Intent("android.intent.action.VIEW");
            intent2.setPackage(str);
            intent2.setData(f7);
            return intent2;
        }
        Intent launchIntentForPackage = packageManager.getLaunchIntentForPackage(str);
        if (launchIntentForPackage == null) {
            Log.w(c.f14444a, "No activity found to launch app");
        }
        return launchIntentForPackage;
    }

    private static int g() {
        return f14439f.incrementAndGet();
    }

    private static Integer h(Context context, String str, Bundle bundle) {
        if (!TextUtils.isEmpty(str)) {
            try {
                return Integer.valueOf(Color.parseColor(str));
            } catch (IllegalArgumentException unused) {
                StringBuilder sb = new StringBuilder(String.valueOf(str).length() + 56);
                sb.append("Color is invalid: ");
                sb.append(str);
                sb.append(". Notification will use default color.");
                Log.w(c.f14444a, sb.toString());
            }
        }
        int i7 = bundle.getInt(f14434a, 0);
        if (i7 == 0) {
            return null;
        }
        try {
            return Integer.valueOf(ContextCompat.getColor(context, i7));
        } catch (Resources.NotFoundException unused2) {
            Log.w(c.f14444a, "Cannot find the color resource referenced in AndroidManifest.");
            return null;
        }
    }

    private static int i(z zVar) {
        boolean a8 = zVar.a(c.C0206c.f14492q);
        if (zVar.a(c.C0206c.f14493r)) {
            a8 = (a8 ? 1 : 0) | true;
        }
        if (!zVar.a(c.C0206c.f14494s)) {
            int i7 = a8 ? 1 : 0;
            int i8 = a8 ? 1 : 0;
            int i9 = a8 ? 1 : 0;
            return i7;
        }
        int i10 = a8 ? 1 : 0;
        char c7 = a8 ? 1 : 0;
        return i10 | 4;
    }

    private static Bundle j(PackageManager packageManager, String str) {
        Bundle bundle;
        try {
            ApplicationInfo applicationInfo = packageManager.getApplicationInfo(str, 128);
            if (!(applicationInfo == null || (bundle = applicationInfo.metaData) == null)) {
                return bundle;
            }
        } catch (PackageManager.NameNotFoundException e7) {
            String valueOf = String.valueOf(e7);
            StringBuilder sb = new StringBuilder(valueOf.length() + 35);
            sb.append("Couldn't get own application info: ");
            sb.append(valueOf);
            Log.w(c.f14444a, sb.toString());
        }
        return Bundle.EMPTY;
    }

    @TargetApi(26)
    @VisibleForTesting
    public static String k(Context context, String str, Bundle bundle) {
        String str2;
        String str3;
        try {
            if (context.getPackageManager().getApplicationInfo(context.getPackageName(), 0).targetSdkVersion >= 26) {
                NotificationManager notificationManager = (NotificationManager) context.getSystemService(NotificationManager.class);
                if (!TextUtils.isEmpty(str)) {
                    if (notificationManager.getNotificationChannel(str) != null) {
                        return str;
                    }
                    StringBuilder sb = new StringBuilder(String.valueOf(str).length() + 122);
                    sb.append("Notification Channel requested (");
                    sb.append(str);
                    sb.append(") has not been created by the app. Manifest configuration, or default, value will be used.");
                    Log.w(c.f14444a, sb.toString());
                }
                String string = bundle.getString(f14436c);
                if (TextUtils.isEmpty(string)) {
                    str2 = "Missing Default Notification Channel metadata in AndroidManifest. Default value will be used.";
                } else if (notificationManager.getNotificationChannel(string) != null) {
                    return string;
                } else {
                    str2 = "Notification Channel set in AndroidManifest.xml has not been created by the app. Default value will be used.";
                }
                Log.w(c.f14444a, str2);
                if (notificationManager.getNotificationChannel(f14437d) == null) {
                    int identifier = context.getResources().getIdentifier(f14438e, "string", context.getPackageName());
                    if (identifier == 0) {
                        Log.e(c.f14444a, "String resource \"fcm_fallback_notification_channel_label\" is not found. Using default string channel name.");
                        str3 = "Misc";
                    } else {
                        str3 = context.getString(identifier);
                    }
                    notificationManager.createNotificationChannel(new NotificationChannel(f14437d, str3, 3));
                }
                return f14437d;
            }
        } catch (PackageManager.NameNotFoundException unused) {
        }
        return null;
    }

    private static int l(PackageManager packageManager, Resources resources, String str, String str2, Bundle bundle) {
        if (!TextUtils.isEmpty(str2)) {
            int identifier = resources.getIdentifier(str2, "drawable", str);
            if (identifier != 0 && o(resources, identifier)) {
                return identifier;
            }
            int identifier2 = resources.getIdentifier(str2, "mipmap", str);
            if (identifier2 != 0 && o(resources, identifier2)) {
                return identifier2;
            }
            StringBuilder sb = new StringBuilder(String.valueOf(str2).length() + 61);
            sb.append("Icon resource ");
            sb.append(str2);
            sb.append(" not found. Notification will use default icon.");
            Log.w(c.f14444a, sb.toString());
        }
        int i7 = bundle.getInt(f14435b, 0);
        if (i7 == 0 || !o(resources, i7)) {
            try {
                i7 = packageManager.getApplicationInfo(str, 0).icon;
            } catch (PackageManager.NameNotFoundException e7) {
                String valueOf = String.valueOf(e7);
                StringBuilder sb2 = new StringBuilder(valueOf.length() + 35);
                sb2.append("Couldn't get own application info: ");
                sb2.append(valueOf);
                Log.w(c.f14444a, sb2.toString());
            }
        }
        if (i7 == 0) {
            return 17301651;
        }
        if (!o(resources, i7)) {
            return 17301651;
        }
        return i7;
    }

    private static Uri m(String str, z zVar, Resources resources) {
        String o7 = zVar.o();
        if (TextUtils.isEmpty(o7)) {
            return null;
        }
        if ("default".equals(o7) || resources.getIdentifier(o7, "raw", str) == 0) {
            return RingtoneManager.getDefaultUri(2);
        }
        StringBuilder sb = new StringBuilder(String.valueOf(str).length() + 24 + String.valueOf(o7).length());
        sb.append("android.resource://");
        sb.append(str);
        sb.append("/raw/");
        sb.append(o7);
        return Uri.parse(sb.toString());
    }

    private static String n(z zVar) {
        String p7 = zVar.p(c.C0206c.f14486k);
        if (!TextUtils.isEmpty(p7)) {
            return p7;
        }
        long uptimeMillis = SystemClock.uptimeMillis();
        StringBuilder sb = new StringBuilder(37);
        sb.append("FCM-Notification:");
        sb.append(uptimeMillis);
        return sb.toString();
    }

    @TargetApi(26)
    private static boolean o(Resources resources, int i7) {
        return true;
    }

    static boolean p(@NonNull z zVar) {
        return zVar.a(c.a.f14449b);
    }

    private static PendingIntent q(Context context, z zVar, PendingIntent pendingIntent) {
        return c(context, new Intent(a.C0045a.f4526a).putExtras(zVar.z()).putExtra(a.b.f4528a, pendingIntent));
    }
}
