package com.google.firebase.messaging;

import android.app.ActivityManager;
import android.app.KeyguardManager;
import android.app.NotificationManager;
import android.content.Context;
import android.graphics.Bitmap;
import android.os.Process;
import android.os.SystemClock;
import android.util.Log;
import androidx.annotation.Nullable;
import androidx.core.app.NotificationCompat;
import com.google.android.gms.tasks.o;
import com.google.firebase.messaging.b;
import com.google.firebase.messaging.c;
import java.util.Iterator;
import java.util.List;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.Executor;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.TimeoutException;
import x.v;

class d {

    /* renamed from: a  reason: collision with root package name */
    private final Executor f14546a;

    /* renamed from: b  reason: collision with root package name */
    private final Context f14547b;

    /* renamed from: c  reason: collision with root package name */
    private final z f14548c;

    public d(Context context, z zVar, Executor executor) {
        this.f14546a = executor;
        this.f14547b = context;
        this.f14548c = zVar;
    }

    private boolean b() {
        if (((KeyguardManager) this.f14547b.getSystemService("keyguard")).inKeyguardRestrictedInputMode()) {
            return false;
        }
        if (!v.j()) {
            SystemClock.sleep(10);
        }
        int myPid = Process.myPid();
        List<ActivityManager.RunningAppProcessInfo> runningAppProcesses = ((ActivityManager) this.f14547b.getSystemService("activity")).getRunningAppProcesses();
        if (runningAppProcesses != null) {
            Iterator<ActivityManager.RunningAppProcessInfo> it = runningAppProcesses.iterator();
            while (true) {
                if (!it.hasNext()) {
                    break;
                }
                ActivityManager.RunningAppProcessInfo next = it.next();
                if (next.pid == myPid) {
                    if (next.importance == 100) {
                        return true;
                    }
                }
            }
        }
        return false;
    }

    private void c(b.a aVar) {
        if (Log.isLoggable(c.f14444a, 3)) {
            Log.d(c.f14444a, "Showing notification");
        }
        ((NotificationManager) this.f14547b.getSystemService("notification")).notify(aVar.f14441b, aVar.f14442c, aVar.f14440a.build());
    }

    @Nullable
    private w d() {
        w c7 = w.c(this.f14548c.p(c.C0206c.f14485j));
        if (c7 != null) {
            c7.e(this.f14546a);
        }
        return c7;
    }

    private void e(NotificationCompat.Builder builder, @Nullable w wVar) {
        if (wVar != null) {
            try {
                Bitmap bitmap = (Bitmap) o.b(wVar.d(), 5, TimeUnit.SECONDS);
                builder.setLargeIcon(bitmap);
                builder.setStyle(new NotificationCompat.BigPictureStyle().bigPicture(bitmap).bigLargeIcon(null));
            } catch (ExecutionException e7) {
                String valueOf = String.valueOf(e7.getCause());
                StringBuilder sb = new StringBuilder(valueOf.length() + 26);
                sb.append("Failed to download image: ");
                sb.append(valueOf);
                Log.w(c.f14444a, sb.toString());
            } catch (InterruptedException unused) {
                Log.w(c.f14444a, "Interrupted while downloading image, showing notification without it");
                wVar.close();
                Thread.currentThread().interrupt();
            } catch (TimeoutException unused2) {
                Log.w(c.f14444a, "Failed to download image in time, showing notification without it");
                wVar.close();
            }
        }
    }

    /* access modifiers changed from: package-private */
    public boolean a() {
        if (this.f14548c.a(c.C0206c.f14481f)) {
            return true;
        }
        if (b()) {
            return false;
        }
        w d7 = d();
        b.a d8 = b.d(this.f14547b, this.f14548c);
        e(d8.f14440a, d7);
        c(d8);
        return true;
    }
}
