package com.google.firebase.messaging;

import android.content.SharedPreferences;
import android.text.TextUtils;
import android.util.Log;
import androidx.annotation.GuardedBy;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.WorkerThread;
import java.util.ArrayDeque;
import java.util.Iterator;
import java.util.concurrent.Executor;

/* access modifiers changed from: package-private */
public final class e0 {

    /* renamed from: a  reason: collision with root package name */
    private final SharedPreferences f14553a;

    /* renamed from: b  reason: collision with root package name */
    private final String f14554b;

    /* renamed from: c  reason: collision with root package name */
    private final String f14555c;
    @GuardedBy("internalQueue")

    /* renamed from: d  reason: collision with root package name */
    private final ArrayDeque<String> f14556d = new ArrayDeque<>();

    /* renamed from: e  reason: collision with root package name */
    private final Executor f14557e;
    @GuardedBy("internalQueue")

    /* renamed from: f  reason: collision with root package name */
    private boolean f14558f = false;

    private e0(SharedPreferences sharedPreferences, String str, String str2, Executor executor) {
        this.f14553a = sharedPreferences;
        this.f14554b = "topic_operation_queue";
        this.f14555c = ",";
        this.f14557e = executor;
    }

    @GuardedBy("internalQueue")
    private boolean c(boolean z7) {
        if (!z7 || this.f14558f) {
            return z7;
        }
        j();
        return true;
    }

    @WorkerThread
    static e0 d(SharedPreferences sharedPreferences, String str, String str2, Executor executor) {
        e0 e0Var = new e0(sharedPreferences, "topic_operation_queue", ",", executor);
        e0Var.e();
        return e0Var;
    }

    @WorkerThread
    private void e() {
        synchronized (this.f14556d) {
            this.f14556d.clear();
            String string = this.f14553a.getString(this.f14554b, "");
            if (!TextUtils.isEmpty(string)) {
                if (string.contains(this.f14555c)) {
                    String[] split = string.split(this.f14555c, -1);
                    int length = split.length;
                    if (length == 0) {
                        Log.e(c.f14444a, "Corrupted queue. Please check the queue contents and item separator provided");
                    }
                    for (String str : split) {
                        if (!TextUtils.isEmpty(str)) {
                            this.f14556d.add(str);
                        }
                    }
                }
            }
        }
    }

    /* access modifiers changed from: private */
    @WorkerThread
    /* renamed from: i */
    public void b() {
        synchronized (this.f14556d) {
            this.f14553a.edit().putString(this.f14554b, h()).commit();
        }
    }

    private void j() {
        this.f14557e.execute(new d0(this));
    }

    public boolean a(@NonNull String str) {
        boolean add;
        if (TextUtils.isEmpty(str) || str.contains(this.f14555c)) {
            return false;
        }
        synchronized (this.f14556d) {
            add = this.f14556d.add(str);
            c(add);
        }
        return add;
    }

    @Nullable
    public String f() {
        String peek;
        synchronized (this.f14556d) {
            peek = this.f14556d.peek();
        }
        return peek;
    }

    public boolean g(@Nullable Object obj) {
        boolean remove;
        synchronized (this.f14556d) {
            remove = this.f14556d.remove(obj);
            c(remove);
        }
        return remove;
    }

    @NonNull
    @GuardedBy("internalQueue")
    public String h() {
        StringBuilder sb = new StringBuilder();
        Iterator<String> it = this.f14556d.iterator();
        while (it.hasNext()) {
            sb.append(it.next());
            sb.append(this.f14555c);
        }
        return sb.toString();
    }
}
