package com.google.firebase.messaging;

import android.text.TextUtils;
import android.util.Log;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import com.google.android.gms.common.internal.z;
import java.util.regex.Pattern;

/* access modifiers changed from: package-private */
public final class f0 {

    /* renamed from: d  reason: collision with root package name */
    private static final Pattern f14560d = Pattern.compile("[a-zA-Z0-9-_.~%]{1,900}");

    /* renamed from: a  reason: collision with root package name */
    private final String f14561a;

    /* renamed from: b  reason: collision with root package name */
    private final String f14562b;

    /* renamed from: c  reason: collision with root package name */
    private final String f14563c;

    private f0(String str, String str2) {
        this.f14561a = d(str2, str);
        this.f14562b = str;
        StringBuilder sb = new StringBuilder(String.valueOf(str).length() + 1 + String.valueOf(str2).length());
        sb.append(str);
        sb.append("!");
        sb.append(str2);
        this.f14563c = sb.toString();
    }

    @Nullable
    static f0 a(String str) {
        if (TextUtils.isEmpty(str)) {
            return null;
        }
        String[] split = str.split("!", -1);
        if (split.length != 2) {
            return null;
        }
        return new f0(split[0], split[1]);
    }

    @NonNull
    private static String d(String str, String str2) {
        if (str != null && str.startsWith("/topics/")) {
            Log.w(c.f14444a, String.format("Format /topics/topic-name is deprecated. Only 'topic-name' should be used in %s.", str2));
            str = str.substring(8);
        }
        if (str != null && f14560d.matcher(str).matches()) {
            return str;
        }
        throw new IllegalArgumentException(String.format("Invalid topic name: %s does not match the allowed format %s.", str, "[a-zA-Z0-9-_.~%]{1,900}"));
    }

    public static f0 f(@NonNull String str) {
        return new f0("S", str);
    }

    public static f0 g(@NonNull String str) {
        return new f0("U", str);
    }

    public String b() {
        return this.f14562b;
    }

    public String c() {
        return this.f14561a;
    }

    public String e() {
        return this.f14563c;
    }

    public boolean equals(@Nullable Object obj) {
        if (!(obj instanceof f0)) {
            return false;
        }
        f0 f0Var = (f0) obj;
        return this.f14561a.equals(f0Var.f14561a) && this.f14562b.equals(f0Var.f14562b);
    }

    public int hashCode() {
        return z.b(this.f14562b, this.f14561a);
    }
}
