package com.google.firebase.messaging;

import android.content.Context;
import android.util.Log;
import androidx.annotation.GuardedBy;
import androidx.annotation.NonNull;
import androidx.annotation.VisibleForTesting;
import androidx.annotation.WorkerThread;
import androidx.collection.ArrayMap;
import com.google.android.gms.tasks.l;
import com.google.android.gms.tasks.m;
import com.google.android.gms.tasks.o;
import com.google.firebase.e;
import com.google.firebase.heartbeatinfo.k;
import com.google.firebase.iid.FirebaseInstanceId;
import com.google.firebase.iid.q;
import com.google.firebase.iid.r;
import com.google.firebase.iid.t;
import com.google.firebase.installations.j;
import com.google.firebase.platforminfo.i;
import java.io.IOException;
import java.util.ArrayDeque;
import java.util.Map;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.ScheduledExecutorService;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.TimeoutException;
import z0.b;

/* access modifiers changed from: package-private */
public class i0 {

    /* renamed from: i  reason: collision with root package name */
    private static final long f14581i = TimeUnit.HOURS.toSeconds(8);

    /* renamed from: a  reason: collision with root package name */
    private final FirebaseInstanceId f14582a;

    /* renamed from: b  reason: collision with root package name */
    private final Context f14583b;

    /* renamed from: c  reason: collision with root package name */
    private final t f14584c;

    /* renamed from: d  reason: collision with root package name */
    private final q f14585d;
    @GuardedBy("pendingOperations")

    /* renamed from: e  reason: collision with root package name */
    private final Map<String, ArrayDeque<m<Void>>> f14586e = new ArrayMap();

    /* renamed from: f  reason: collision with root package name */
    private final ScheduledExecutorService f14587f;
    @GuardedBy("this")

    /* renamed from: g  reason: collision with root package name */
    private boolean f14588g = false;

    /* renamed from: h  reason: collision with root package name */
    private final g0 f14589h;

    private i0(FirebaseInstanceId firebaseInstanceId, t tVar, g0 g0Var, q qVar, Context context, @NonNull ScheduledExecutorService scheduledExecutorService) {
        this.f14582a = firebaseInstanceId;
        this.f14584c = tVar;
        this.f14589h = g0Var;
        this.f14585d = qVar;
        this.f14583b = context;
        this.f14587f = scheduledExecutorService;
    }

    private void a(f0 f0Var, m<Void> mVar) {
        ArrayDeque<m<Void>> arrayDeque;
        synchronized (this.f14586e) {
            String e7 = f0Var.e();
            if (this.f14586e.containsKey(e7)) {
                arrayDeque = this.f14586e.get(e7);
            } else {
                ArrayDeque<m<Void>> arrayDeque2 = new ArrayDeque<>();
                this.f14586e.put(e7, arrayDeque2);
                arrayDeque = arrayDeque2;
            }
            arrayDeque.add(mVar);
        }
    }

    @WorkerThread
    private static <T> T b(l<T> lVar) throws IOException {
        try {
            return (T) o.b(lVar, 30, TimeUnit.SECONDS);
        } catch (ExecutionException e7) {
            Throwable cause = e7.getCause();
            if (cause instanceof IOException) {
                throw ((IOException) cause);
            } else if (cause instanceof RuntimeException) {
                throw ((RuntimeException) cause);
            } else {
                throw new IOException(e7);
            }
        } catch (InterruptedException | TimeoutException e8) {
            throw new IOException(q.f14039g, e8);
        }
    }

    @WorkerThread
    private void c(String str) throws IOException {
        r rVar = (r) b(this.f14582a.n());
        b(this.f14585d.l(rVar.getId(), rVar.a(), str));
    }

    @WorkerThread
    private void d(String str) throws IOException {
        r rVar = (r) b(this.f14582a.n());
        b(this.f14585d.m(rVar.getId(), rVar.a(), str));
    }

    static l<i0> e(e eVar, FirebaseInstanceId firebaseInstanceId, t tVar, b<i> bVar, b<k> bVar2, j jVar, Context context, @NonNull ScheduledExecutorService scheduledExecutorService) {
        return f(firebaseInstanceId, tVar, new q(eVar, tVar, bVar, bVar2, jVar), context, scheduledExecutorService);
    }

    @VisibleForTesting
    static l<i0> f(FirebaseInstanceId firebaseInstanceId, t tVar, q qVar, Context context, @NonNull ScheduledExecutorService scheduledExecutorService) {
        return o.d(scheduledExecutorService, new h0(context, scheduledExecutorService, firebaseInstanceId, tVar, qVar));
    }

    static boolean h() {
        return Log.isLoggable(c.f14444a, 3);
    }

    static final /* synthetic */ i0 j(Context context, ScheduledExecutorService scheduledExecutorService, FirebaseInstanceId firebaseInstanceId, t tVar, q qVar) throws Exception {
        return new i0(firebaseInstanceId, tVar, g0.b(context, scheduledExecutorService), qVar, context, scheduledExecutorService);
    }

    private void k(f0 f0Var) {
        synchronized (this.f14586e) {
            String e7 = f0Var.e();
            if (this.f14586e.containsKey(e7)) {
                ArrayDeque<m<Void>> arrayDeque = this.f14586e.get(e7);
                m<Void> poll = arrayDeque.poll();
                if (poll != null) {
                    poll.c(null);
                }
                if (arrayDeque.isEmpty()) {
                    this.f14586e.remove(e7);
                }
            }
        }
    }

    private void p() {
        if (!i()) {
            t(0);
        }
    }

    /* access modifiers changed from: package-private */
    public boolean g() {
        return this.f14589h.c() != null;
    }

    /* access modifiers changed from: package-private */
    public synchronized boolean i() {
        return this.f14588g;
    }

    /* access modifiers changed from: package-private */
    /* JADX WARNING: Removed duplicated region for block: B:16:0x002e  */
    /* JADX WARNING: Removed duplicated region for block: B:24:0x008a  */
    @WorkerThread
    public boolean l(f0 f0Var) throws IOException {
        String sb;
        char c7;
        String sb2;
        try {
            String b7 = f0Var.b();
            int hashCode = b7.hashCode();
            if (hashCode != 83) {
                if (hashCode == 85 && b7.equals("U")) {
                    c7 = 1;
                    if (c7 == 0) {
                        c(f0Var.c());
                        if (h()) {
                            String c8 = f0Var.c();
                            StringBuilder sb3 = new StringBuilder(String.valueOf(c8).length() + 31);
                            sb3.append("Subscribe to topic: ");
                            sb3.append(c8);
                            sb3.append(" succeeded.");
                            sb2 = sb3.toString();
                        }
                        return true;
                    } else if (c7 != 1) {
                        if (h()) {
                            String valueOf = String.valueOf(f0Var);
                            StringBuilder sb4 = new StringBuilder(valueOf.length() + 24);
                            sb4.append("Unknown topic operation");
                            sb4.append(valueOf);
                            sb4.append(".");
                            sb2 = sb4.toString();
                        }
                        return true;
                    } else {
                        d(f0Var.c());
                        if (h()) {
                            String c9 = f0Var.c();
                            StringBuilder sb5 = new StringBuilder(String.valueOf(c9).length() + 35);
                            sb5.append("Unsubscribe from topic: ");
                            sb5.append(c9);
                            sb5.append(" succeeded.");
                            sb2 = sb5.toString();
                        }
                        return true;
                    }
                    Log.d(c.f14444a, sb2);
                    return true;
                }
            } else if (b7.equals("S")) {
                c7 = 0;
                if (c7 == 0) {
                }
                Log.d(c.f14444a, sb2);
                return true;
            }
            c7 = 65535;
            if (c7 == 0) {
            }
            Log.d(c.f14444a, sb2);
            return true;
        } catch (IOException e7) {
            if (q.f14039g.equals(e7.getMessage()) || q.f14040h.equals(e7.getMessage())) {
                String message = e7.getMessage();
                StringBuilder sb6 = new StringBuilder(String.valueOf(message).length() + 53);
                sb6.append("Topic operation failed: ");
                sb6.append(message);
                sb6.append(". Will retry Topic operation.");
                sb = sb6.toString();
            } else if (e7.getMessage() == null) {
                sb = "Topic operation failed without exception message. Will retry Topic operation.";
            } else {
                throw e7;
            }
            Log.e(c.f14444a, sb);
            return false;
        }
    }

    /* access modifiers changed from: package-private */
    public void m(Runnable runnable, long j7) {
        this.f14587f.schedule(runnable, j7, TimeUnit.SECONDS);
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public l<Void> n(f0 f0Var) {
        this.f14589h.a(f0Var);
        m<Void> mVar = new m<>();
        a(f0Var, mVar);
        return mVar.a();
    }

    /* access modifiers changed from: package-private */
    public synchronized void o(boolean z7) {
        this.f14588g = z7;
    }

    /* access modifiers changed from: package-private */
    public void q() {
        if (g()) {
            p();
        }
    }

    /* access modifiers changed from: package-private */
    public l<Void> r(String str) {
        l<Void> n7 = n(f0.f(str));
        q();
        return n7;
    }

    /* access modifiers changed from: package-private */
    /* JADX WARNING: Code restructure failed: missing block: B:11:0x001e, code lost:
        if (l(r0) != false) goto L_0x0022;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:12:0x0020, code lost:
        return false;
     */
    @WorkerThread
    public boolean s() throws IOException {
        f0 c7;
        while (true) {
            synchronized (this) {
                c7 = this.f14589h.c();
                if (c7 == null) {
                    if (h()) {
                        Log.d(c.f14444a, "topic sync succeeded");
                    }
                    return true;
                }
            }
            this.f14589h.e(c7);
            k(c7);
        }
    }

    /* access modifiers changed from: package-private */
    public void t(long j7) {
        m(new j0(this, this.f14583b, this.f14584c, Math.min(Math.max(30L, j7 + j7), f14581i)), j7);
        o(true);
    }

    /* access modifiers changed from: package-private */
    public l<Void> u(String str) {
        l<Void> n7 = n(f0.g(str));
        q();
        return n7;
    }
}
