package com.google.firebase.messaging;

import android.annotation.SuppressLint;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.os.PowerManager;
import android.util.Log;
import androidx.annotation.GuardedBy;
import androidx.annotation.Nullable;
import androidx.annotation.VisibleForTesting;
import com.google.firebase.iid.t;
import java.io.IOException;

/* access modifiers changed from: package-private */
public class j0 implements Runnable {
    private static final Object C1 = new Object();
    @GuardedBy("TOPIC_SYNC_TASK_LOCK")
    private static Boolean C2;
    @GuardedBy("TOPIC_SYNC_TASK_LOCK")
    private static Boolean U5;

    /* renamed from: f  reason: collision with root package name */
    private final Context f14592f;

    /* renamed from: g  reason: collision with root package name */
    private final t f14593g;

    /* renamed from: p  reason: collision with root package name */
    private final PowerManager.WakeLock f14594p;

    /* renamed from: x  reason: collision with root package name */
    private final i0 f14595x;

    /* renamed from: y  reason: collision with root package name */
    private final long f14596y;

    @VisibleForTesting
    class a extends BroadcastReceiver {
        @Nullable
        @GuardedBy("this")

        /* renamed from: a  reason: collision with root package name */
        private j0 f14597a;

        public a(j0 j0Var) {
            this.f14597a = j0Var;
        }

        public void a() {
            if (j0.j()) {
                Log.d(c.f14444a, "Connectivity change received registered");
            }
            j0.this.f14592f.registerReceiver(this, new IntentFilter("android.net.conn.CONNECTIVITY_CHANGE"));
        }

        public synchronized void onReceive(Context context, Intent intent) {
            j0 j0Var = this.f14597a;
            if (j0Var != null) {
                if (j0Var.i()) {
                    if (j0.j()) {
                        Log.d(c.f14444a, "Connectivity changed. Starting background sync.");
                    }
                    this.f14597a.f14595x.m(this.f14597a, 0);
                    context.unregisterReceiver(this);
                    this.f14597a = null;
                }
            }
        }
    }

    j0(i0 i0Var, Context context, t tVar, long j7) {
        this.f14595x = i0Var;
        this.f14592f = context;
        this.f14596y = j7;
        this.f14593g = tVar;
        this.f14594p = ((PowerManager) context.getSystemService("power")).newWakeLock(1, c.f14445b);
    }

    private static String e(String str) {
        StringBuilder sb = new StringBuilder(str.length() + 142);
        sb.append("Missing Permission: ");
        sb.append(str);
        sb.append(". This permission should normally be included by the manifest merger, but may needed to be manually added to your manifest");
        return sb.toString();
    }

    private static boolean f(Context context) {
        boolean booleanValue;
        synchronized (C1) {
            Boolean bool = U5;
            Boolean valueOf = Boolean.valueOf(bool == null ? g(context, "android.permission.ACCESS_NETWORK_STATE", bool) : bool.booleanValue());
            U5 = valueOf;
            booleanValue = valueOf.booleanValue();
        }
        return booleanValue;
    }

    private static boolean g(Context context, String str, Boolean bool) {
        if (bool != null) {
            return bool.booleanValue();
        }
        boolean z7 = context.checkCallingOrSelfPermission(str) == 0;
        if (z7 || !Log.isLoggable(c.f14444a, 3)) {
            return z7;
        }
        Log.d(c.f14444a, e(str));
        return false;
    }

    private static boolean h(Context context) {
        boolean booleanValue;
        synchronized (C1) {
            Boolean bool = C2;
            Boolean valueOf = Boolean.valueOf(bool == null ? g(context, "android.permission.WAKE_LOCK", bool) : bool.booleanValue());
            C2 = valueOf;
            booleanValue = valueOf.booleanValue();
        }
        return booleanValue;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private synchronized boolean i() {
        ConnectivityManager connectivityManager = (ConnectivityManager) this.f14592f.getSystemService("connectivity");
        NetworkInfo activeNetworkInfo = connectivityManager != null ? connectivityManager.getActiveNetworkInfo() : null;
        return activeNetworkInfo != null && activeNetworkInfo.isConnected();
    }

    /* access modifiers changed from: private */
    public static boolean j() {
        return Log.isLoggable(c.f14444a, 3);
    }

    @SuppressLint({"Wakelock"})
    public void run() {
        if (h(this.f14592f)) {
            this.f14594p.acquire(c.f14446c);
        }
        try {
            this.f14595x.o(true);
            if (!this.f14593g.g()) {
                this.f14595x.o(false);
                if (h(this.f14592f)) {
                    try {
                        this.f14594p.release();
                    } catch (RuntimeException unused) {
                        Log.i(c.f14444a, "TopicsSyncTask's wakelock was already released due to timeout.");
                    }
                }
            } else if (!f(this.f14592f) || i()) {
                if (this.f14595x.s()) {
                    this.f14595x.o(false);
                } else {
                    this.f14595x.t(this.f14596y);
                }
                if (h(this.f14592f)) {
                    try {
                        this.f14594p.release();
                    } catch (RuntimeException unused2) {
                        Log.i(c.f14444a, "TopicsSyncTask's wakelock was already released due to timeout.");
                    }
                }
            } else {
                new a(this).a();
                if (h(this.f14592f)) {
                    try {
                        this.f14594p.release();
                    } catch (RuntimeException unused3) {
                        Log.i(c.f14444a, "TopicsSyncTask's wakelock was already released due to timeout.");
                    }
                }
            }
        } catch (IOException e7) {
            String valueOf = String.valueOf(e7.getMessage());
            Log.e(c.f14444a, valueOf.length() != 0 ? "Failed to sync topics. Won't retry sync. ".concat(valueOf) : new String("Failed to sync topics. Won't retry sync. "));
            this.f14595x.o(false);
            if (h(this.f14592f)) {
                try {
                    this.f14594p.release();
                } catch (RuntimeException unused4) {
                    Log.i(c.f14444a, "TopicsSyncTask's wakelock was already released due to timeout.");
                }
            }
        } catch (Throwable th) {
            if (h(this.f14592f)) {
                try {
                    this.f14594p.release();
                } catch (RuntimeException unused5) {
                    Log.i(c.f14444a, "TopicsSyncTask's wakelock was already released due to timeout.");
                }
            }
            throw th;
        }
    }
}
