package com.google.firebase.messaging;

import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.text.TextUtils;
import android.util.Log;
import androidx.annotation.Nullable;
import com.google.android.gms.common.internal.b0;
import com.google.android.gms.internal.firebase_messaging.g;
import com.google.android.gms.internal.firebase_messaging.h;
import com.google.android.gms.internal.firebase_messaging.o;
import com.google.android.gms.tasks.l;
import java.io.Closeable;
import java.io.IOException;
import java.io.InputStream;
import java.net.MalformedURLException;
import java.net.URL;
import java.net.URLConnection;
import java.util.concurrent.Executor;

/* access modifiers changed from: package-private */
public class w implements Closeable {

    /* renamed from: f  reason: collision with root package name */
    private final URL f14614f;
    @Nullable

    /* renamed from: g  reason: collision with root package name */
    private l<Bitmap> f14615g;
    @Nullable

    /* renamed from: p  reason: collision with root package name */
    private volatile InputStream f14616p;

    private w(URL url) {
        this.f14614f = url;
    }

    private byte[] b() throws IOException {
        URLConnection openConnection = this.f14614f.openConnection();
        if (openConnection.getContentLength() <= 1048576) {
            InputStream inputStream = openConnection.getInputStream();
            try {
                this.f14616p = inputStream;
                byte[] a8 = g.a(g.b(inputStream, 1048577));
                if (inputStream != null) {
                    inputStream.close();
                }
                if (Log.isLoggable(c.f14444a, 2)) {
                    String valueOf = String.valueOf(this.f14614f);
                    StringBuilder sb = new StringBuilder(valueOf.length() + 34);
                    sb.append("Downloaded ");
                    sb.append(a8.length);
                    sb.append(" bytes from ");
                    sb.append(valueOf);
                    Log.v(c.f14444a, sb.toString());
                }
                if (a8.length <= 1048576) {
                    return a8;
                }
                throw new IOException("Image exceeds max size of 1048576");
            } catch (Throwable th) {
                o.a(th, th);
            }
        } else {
            throw new IOException("Content-Length exceeds max size of 1048576");
        }
        throw th;
    }

    @Nullable
    public static w c(String str) {
        if (TextUtils.isEmpty(str)) {
            return null;
        }
        try {
            return new w(new URL(str));
        } catch (MalformedURLException unused) {
            String valueOf = String.valueOf(str);
            Log.w(c.f14444a, valueOf.length() != 0 ? "Not downloading image, bad URL: ".concat(valueOf) : new String("Not downloading image, bad URL: "));
            return null;
        }
    }

    public Bitmap a() throws IOException {
        String valueOf = String.valueOf(this.f14614f);
        StringBuilder sb = new StringBuilder(valueOf.length() + 22);
        sb.append("Starting download of: ");
        sb.append(valueOf);
        Log.i(c.f14444a, sb.toString());
        byte[] b7 = b();
        Bitmap decodeByteArray = BitmapFactory.decodeByteArray(b7, 0, b7.length);
        if (decodeByteArray != null) {
            if (Log.isLoggable(c.f14444a, 3)) {
                String valueOf2 = String.valueOf(this.f14614f);
                StringBuilder sb2 = new StringBuilder(valueOf2.length() + 31);
                sb2.append("Successfully downloaded image: ");
                sb2.append(valueOf2);
                Log.d(c.f14444a, sb2.toString());
            }
            return decodeByteArray;
        }
        String valueOf3 = String.valueOf(this.f14614f);
        StringBuilder sb3 = new StringBuilder(valueOf3.length() + 24);
        sb3.append("Failed to decode image: ");
        sb3.append(valueOf3);
        throw new IOException(sb3.toString());
    }

    @Override // java.io.Closeable, java.lang.AutoCloseable
    public void close() {
        try {
            h.a(this.f14616p);
        } catch (NullPointerException e7) {
            Log.e(c.f14444a, "Failed to close the image download stream.", e7);
        }
    }

    public l<Bitmap> d() {
        return (l) b0.k(this.f14615g);
    }

    public void e(Executor executor) {
        this.f14615g = com.google.android.gms.tasks.o.d(executor, new v(this));
    }
}
