package com.google.firebase.messaging;

import android.content.Context;
import android.content.Intent;
import android.content.SharedPreferences;
import android.content.pm.ApplicationInfo;
import android.content.pm.PackageManager;
import android.os.Bundle;
import android.text.TextUtils;
import android.util.Log;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.VisibleForTesting;
import com.google.android.datatransport.d;
import com.google.android.datatransport.h;
import com.google.android.datatransport.i;
import com.google.firebase.encoders.a;
import com.google.firebase.encoders.json.e;
import com.google.firebase.iid.FirebaseInstanceId;
import com.google.firebase.messaging.c;
import com.google.firebase.messaging.u;

public class y {

    /* renamed from: a  reason: collision with root package name */
    private static final a f14618a = new e().b(u.b.class, new u.c()).b(u.class, new u.a()).g();

    private static void A(Intent intent) {
        if (intent != null) {
            if ("1".equals(intent.getStringExtra(c.a.f14454g))) {
                r0.a aVar = (r0.a) com.google.firebase.e.n().j(r0.a.class);
                if (Log.isLoggable(c.f14444a, 3)) {
                    Log.d(c.f14444a, "Received event with track-conversion=true. Setting user property and reengagement event");
                }
                if (aVar != null) {
                    String stringExtra = intent.getStringExtra(c.a.f14450c);
                    aVar.h(c.f.f14522a, c.f.f14538q, stringExtra);
                    Bundle bundle = new Bundle();
                    bundle.putString(c.f.f14523b, "Firebase");
                    bundle.putString(c.f.f14524c, "notification");
                    bundle.putString(c.f.f14527f, stringExtra);
                    aVar.c(c.f.f14522a, c.f.f14533l, bundle);
                    return;
                }
                Log.w(c.f14444a, "Unable to set user property for conversion tracking:  analytics library is missing");
            } else if (Log.isLoggable(c.f14444a, 3)) {
                Log.d(c.f14444a, "Received event with track-conversion=false. Do not set user property");
            }
        }
    }

    public static boolean B(Intent intent) {
        if (intent == null || s(intent)) {
            return false;
        }
        return a();
    }

    public static boolean C(Intent intent) {
        if (intent == null || s(intent)) {
            return false;
        }
        return "1".equals(intent.getStringExtra(c.a.f14449b));
    }

    static boolean a() {
        ApplicationInfo applicationInfo;
        Bundle bundle;
        try {
            com.google.firebase.e.n();
            Context l7 = com.google.firebase.e.n().l();
            SharedPreferences sharedPreferences = l7.getSharedPreferences("com.google.firebase.messaging", 0);
            if (sharedPreferences.contains("export_to_big_query")) {
                return sharedPreferences.getBoolean("export_to_big_query", false);
            }
            try {
                PackageManager packageManager = l7.getPackageManager();
                if (!(packageManager == null || (applicationInfo = packageManager.getApplicationInfo(l7.getPackageName(), 128)) == null || (bundle = applicationInfo.metaData) == null || !bundle.containsKey("delivery_metrics_exported_to_big_query_enabled"))) {
                    return applicationInfo.metaData.getBoolean("delivery_metrics_exported_to_big_query_enabled", false);
                }
            } catch (PackageManager.NameNotFoundException unused) {
            }
            return false;
        } catch (IllegalStateException unused2) {
            Log.i(c.f14444a, "FirebaseApp has not being initialized. Device might be in direct boot mode. Skip exporting delivery metrics to Big Query");
            return false;
        }
    }

    @Nullable
    static String b(Intent intent) {
        return intent.getStringExtra(c.d.f14506e);
    }

    @Nullable
    static String c(Intent intent) {
        return intent.getStringExtra(c.a.f14450c);
    }

    @Nullable
    static String d(Intent intent) {
        return intent.getStringExtra(c.a.f14451d);
    }

    @NonNull
    static String e() {
        return FirebaseInstanceId.getInstance(com.google.firebase.e.n()).k();
    }

    @Nullable
    static String f(Intent intent) {
        return intent.getStringExtra(c.a.f14457j);
    }

    @Nullable
    static String g(Intent intent) {
        String stringExtra = intent.getStringExtra(c.d.f14509h);
        return stringExtra == null ? intent.getStringExtra(c.d.f14507f) : stringExtra;
    }

    @Nullable
    static String h(Intent intent) {
        return intent.getStringExtra(c.a.f14456i);
    }

    @NonNull
    private static int i(String str) {
        if ("high".equals(str)) {
            return 1;
        }
        return "normal".equals(str) ? 2 : 0;
    }

    @Nullable
    static String j(Intent intent) {
        return intent.getStringExtra(c.a.f14452e);
    }

    @NonNull
    @c.b.AbstractC0205b
    static String k(Intent intent) {
        return (intent.getExtras() == null || !z.v(intent.getExtras())) ? c.b.AbstractC0205b.f14474a0 : c.b.AbstractC0205b.f14475b0;
    }

    @NonNull
    static String l(Intent intent) {
        return (intent.getExtras() == null || !z.v(intent.getExtras())) ? c.f.a.f14539c0 : c.f.a.f14540d0;
    }

    @NonNull
    static String m() {
        return com.google.firebase.e.n().l().getPackageName();
    }

    @NonNull
    static int n(Intent intent) {
        String stringExtra = intent.getStringExtra(c.d.f14513l);
        if (stringExtra == null) {
            if ("1".equals(intent.getStringExtra(c.d.f14515n))) {
                return 2;
            }
            stringExtra = intent.getStringExtra(c.d.f14514m);
        }
        return i(stringExtra);
    }

    @Nullable
    static String o() {
        com.google.firebase.e n7 = com.google.firebase.e.n();
        String m7 = n7.q().m();
        if (m7 != null) {
            return m7;
        }
        String j7 = n7.q().j();
        if (!j7.startsWith("1:")) {
            return j7;
        }
        String[] split = j7.split(":");
        if (split.length < 2) {
            return null;
        }
        String str = split[1];
        if (str.isEmpty()) {
            return null;
        }
        return str;
    }

    @Nullable
    static String p(Intent intent) {
        String stringExtra = intent.getStringExtra(c.d.f14503b);
        if (stringExtra == null || !stringExtra.startsWith("/topics/")) {
            return null;
        }
        return stringExtra;
    }

    @NonNull
    static int q(Intent intent) {
        Object obj = intent.getExtras().get(c.d.f14510i);
        if (obj instanceof Integer) {
            return ((Integer) obj).intValue();
        }
        if (!(obj instanceof String)) {
            return 0;
        }
        try {
            return Integer.parseInt((String) obj);
        } catch (NumberFormatException unused) {
            String valueOf = String.valueOf(obj);
            StringBuilder sb = new StringBuilder(valueOf.length() + 13);
            sb.append("Invalid TTL: ");
            sb.append(valueOf);
            Log.w(c.f14444a, sb.toString());
            return 0;
        }
    }

    @Nullable
    static String r(Intent intent) {
        if (intent.hasExtra(c.a.f14453f)) {
            return intent.getStringExtra(c.a.f14453f);
        }
        return null;
    }

    private static boolean s(Intent intent) {
        return FirebaseMessagingService.f14397f.equals(intent.getAction());
    }

    public static void t(Intent intent) {
        y(c.f.f14536o, intent);
    }

    public static void u(Intent intent) {
        y(c.f.f14537p, intent);
    }

    public static void v(Intent intent) {
        A(intent);
        y(c.f.f14535n, intent);
    }

    public static void w(Intent intent) {
        if (C(intent)) {
            y(c.f.f14534m, intent);
        }
        if (B(intent)) {
            i h7 = FirebaseMessaging.h();
            if (h7 != null) {
                x(c.b.a.Z, intent, h7.b(c.b.f14472o, String.class, com.google.android.datatransport.c.b("json"), x.f14617a));
            } else {
                Log.e(c.f14444a, "TransportFactory is null. Skip exporting message delivery metrics to Big Query");
            }
        }
    }

    private static void x(@c.b.a String str, Intent intent, h<String> hVar) {
        try {
            hVar.a(d.g(f14618a.b(new u.b(new u(c.b.a.Z, intent)))));
        } catch (com.google.firebase.encoders.c unused) {
            Log.d(c.f14444a, "Failed to encode big query analytics payload. Skip sending");
        }
    }

    @VisibleForTesting
    static void y(String str, Intent intent) {
        Bundle bundle = new Bundle();
        String c7 = c(intent);
        if (c7 != null) {
            bundle.putString("_nmid", c7);
        }
        String d7 = d(intent);
        if (d7 != null) {
            bundle.putString(c.f.f14528g, d7);
        }
        String h7 = h(intent);
        if (!TextUtils.isEmpty(h7)) {
            bundle.putString(c.f.f14525d, h7);
        }
        String f7 = f(intent);
        if (!TextUtils.isEmpty(f7)) {
            bundle.putString(c.f.f14531j, f7);
        }
        String p7 = p(intent);
        if (p7 != null) {
            bundle.putString(c.f.f14526e, p7);
        }
        String j7 = j(intent);
        if (j7 != null) {
            try {
                bundle.putInt(c.f.f14529h, Integer.parseInt(j7));
            } catch (NumberFormatException e7) {
                Log.w(c.f14444a, "Error while parsing timestamp in GCM event", e7);
            }
        }
        String r7 = r(intent);
        if (r7 != null) {
            try {
                bundle.putInt(c.f.f14530i, Integer.parseInt(r7));
            } catch (NumberFormatException e8) {
                Log.w(c.f14444a, "Error while parsing use_device_time in GCM event", e8);
            }
        }
        String l7 = l(intent);
        if (c.f.f14534m.equals(str) || c.f.f14537p.equals(str)) {
            bundle.putString(c.f.f14532k, l7);
        }
        if (Log.isLoggable(c.f14444a, 3)) {
            String valueOf = String.valueOf(bundle);
            StringBuilder sb = new StringBuilder(str.length() + 37 + valueOf.length());
            sb.append("Logging to scion event=");
            sb.append(str);
            sb.append(" scionPayload=");
            sb.append(valueOf);
            Log.d(c.f14444a, sb.toString());
        }
        r0.a aVar = (r0.a) com.google.firebase.e.n().j(r0.a.class);
        if (aVar != null) {
            aVar.c(c.f.f14522a, str, bundle);
        } else {
            Log.w(c.f14444a, "Unable to log event: analytics library is missing");
        }
    }

    static void z(boolean z7) {
        com.google.firebase.e.n().l().getSharedPreferences("com.google.firebase.messaging", 0).edit().putBoolean("export_to_big_query", z7).apply();
    }
}
