package com.google.firebase.messaging;

import android.content.res.Resources;
import android.graphics.Color;
import android.net.Uri;
import android.os.Bundle;
import android.text.TextUtils;
import android.util.Log;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import com.google.firebase.messaging.c;
import java.util.Arrays;
import java.util.MissingFormatArgumentException;
import org.json.JSONArray;
import org.json.JSONException;

public class z {
    @NonNull

    /* renamed from: a  reason: collision with root package name */
    private final Bundle f14619a;

    public z(@NonNull Bundle bundle) {
        if (bundle != null) {
            this.f14619a = new Bundle(bundle);
            return;
        }
        throw new NullPointerException(c.f.a.f14539c0);
    }

    private static String B(String str) {
        return str.startsWith(c.C0206c.f14477b) ? str.substring(6) : str;
    }

    private static int d(String str) {
        int parseColor = Color.parseColor(str);
        if (parseColor != -16777216) {
            return parseColor;
        }
        throw new IllegalArgumentException("Transparent color is invalid");
    }

    private static boolean t(String str) {
        return str.startsWith(c.a.f14448a) || str.equals(c.d.f14503b);
    }

    public static boolean v(Bundle bundle) {
        return "1".equals(bundle.getString(c.C0206c.f14479d)) || "1".equals(bundle.getString(x(c.C0206c.f14479d)));
    }

    private static boolean w(String str) {
        return str.startsWith(c.d.f14516o) || str.startsWith(c.C0206c.f14477b) || str.startsWith(c.C0206c.f14478c);
    }

    private static String x(String str) {
        return !str.startsWith(c.C0206c.f14477b) ? str : str.replace(c.C0206c.f14477b, c.C0206c.f14478c);
    }

    private String y(String str) {
        if (!this.f14619a.containsKey(str) && str.startsWith(c.C0206c.f14477b)) {
            String x7 = x(str);
            if (this.f14619a.containsKey(x7)) {
                return x7;
            }
        }
        return str;
    }

    public Bundle A() {
        Bundle bundle = new Bundle(this.f14619a);
        for (String str : this.f14619a.keySet()) {
            if (w(str)) {
                bundle.remove(str);
            }
        }
        return bundle;
    }

    public boolean a(String str) {
        String p7 = p(str);
        return "1".equals(p7) || Boolean.parseBoolean(p7);
    }

    public Integer b(String str) {
        String p7 = p(str);
        if (TextUtils.isEmpty(p7)) {
            return null;
        }
        try {
            return Integer.valueOf(Integer.parseInt(p7));
        } catch (NumberFormatException unused) {
            String B = B(str);
            StringBuilder sb = new StringBuilder(String.valueOf(B).length() + 38 + String.valueOf(p7).length());
            sb.append("Couldn't parse value of ");
            sb.append(B);
            sb.append("(");
            sb.append(p7);
            sb.append(") into an int");
            Log.w("NotificationParams", sb.toString());
            return null;
        }
    }

    @Nullable
    public JSONArray c(String str) {
        String p7 = p(str);
        if (TextUtils.isEmpty(p7)) {
            return null;
        }
        try {
            return new JSONArray(p7);
        } catch (JSONException unused) {
            String B = B(str);
            StringBuilder sb = new StringBuilder(String.valueOf(B).length() + 50 + String.valueOf(p7).length());
            sb.append("Malformed JSON for key ");
            sb.append(B);
            sb.append(": ");
            sb.append(p7);
            sb.append(", falling back to default");
            Log.w("NotificationParams", sb.toString());
            return null;
        }
    }

    /* access modifiers changed from: package-private */
    @Nullable
    public int[] e() {
        String str;
        JSONArray c7 = c(c.C0206c.f14498w);
        if (c7 == null) {
            return null;
        }
        int[] iArr = new int[3];
        try {
            if (c7.length() == 3) {
                iArr[0] = d(c7.optString(0));
                iArr[1] = c7.optInt(1);
                iArr[2] = c7.optInt(2);
                return iArr;
            }
            throw new JSONException("lightSettings don't have all three fields");
        } catch (JSONException unused) {
            String valueOf = String.valueOf(c7);
            StringBuilder sb = new StringBuilder(valueOf.length() + 58);
            sb.append("LightSettings is invalid: ");
            sb.append(valueOf);
            sb.append(". Skipping setting LightSettings");
            str = sb.toString();
            Log.w("NotificationParams", str);
            return null;
        } catch (IllegalArgumentException e7) {
            String valueOf2 = String.valueOf(c7);
            String message = e7.getMessage();
            StringBuilder sb2 = new StringBuilder(valueOf2.length() + 60 + String.valueOf(message).length());
            sb2.append("LightSettings is invalid: ");
            sb2.append(valueOf2);
            sb2.append(". ");
            sb2.append(message);
            sb2.append(". Skipping setting LightSettings");
            str = sb2.toString();
            Log.w("NotificationParams", str);
            return null;
        }
    }

    @Nullable
    public Uri f() {
        String p7 = p(c.C0206c.C);
        if (TextUtils.isEmpty(p7)) {
            p7 = p(c.C0206c.B);
        }
        if (!TextUtils.isEmpty(p7)) {
            return Uri.parse(p7);
        }
        return null;
    }

    @Nullable
    public Object[] g(String str) {
        JSONArray c7 = c(String.valueOf(str).concat(c.C0206c.F));
        if (c7 == null) {
            return null;
        }
        int length = c7.length();
        String[] strArr = new String[length];
        for (int i7 = 0; i7 < length; i7++) {
            strArr[i7] = c7.optString(i7);
        }
        return strArr;
    }

    @Nullable
    public String h(String str) {
        return p(String.valueOf(str).concat(c.C0206c.E));
    }

    @Nullable
    public String i(Resources resources, String str, String str2) {
        String h7 = h(str2);
        if (TextUtils.isEmpty(h7)) {
            return null;
        }
        int identifier = resources.getIdentifier(h7, "string", str);
        if (identifier == 0) {
            String B = B(String.valueOf(str2).concat(c.C0206c.E));
            StringBuilder sb = new StringBuilder(String.valueOf(B).length() + 49 + String.valueOf(str2).length());
            sb.append(B);
            sb.append(" resource not found: ");
            sb.append(str2);
            sb.append(" Default value will be used.");
            Log.w("NotificationParams", sb.toString());
            return null;
        }
        Object[] g7 = g(str2);
        if (g7 == null) {
            return resources.getString(identifier);
        }
        try {
            return resources.getString(identifier, g7);
        } catch (MissingFormatArgumentException e7) {
            String B2 = B(str2);
            String arrays = Arrays.toString(g7);
            StringBuilder sb2 = new StringBuilder(String.valueOf(B2).length() + 58 + String.valueOf(arrays).length());
            sb2.append("Missing format argument for ");
            sb2.append(B2);
            sb2.append(": ");
            sb2.append(arrays);
            sb2.append(" Default value will be used.");
            Log.w("NotificationParams", sb2.toString(), e7);
            return null;
        }
    }

    public Long j(String str) {
        String p7 = p(str);
        if (TextUtils.isEmpty(p7)) {
            return null;
        }
        try {
            return Long.valueOf(Long.parseLong(p7));
        } catch (NumberFormatException unused) {
            String B = B(str);
            StringBuilder sb = new StringBuilder(String.valueOf(B).length() + 38 + String.valueOf(p7).length());
            sb.append("Couldn't parse value of ");
            sb.append(B);
            sb.append("(");
            sb.append(p7);
            sb.append(") into a long");
            Log.w("NotificationParams", sb.toString());
            return null;
        }
    }

    public String k() {
        return p(c.C0206c.D);
    }

    /* access modifiers changed from: package-private */
    @Nullable
    public Integer l() {
        Integer b7 = b(c.C0206c.f14495t);
        if (b7 == null) {
            return null;
        }
        if (b7.intValue() >= 0) {
            return b7;
        }
        String valueOf = String.valueOf(b7);
        StringBuilder sb = new StringBuilder(valueOf.length() + 67);
        sb.append("notificationCount is invalid: ");
        sb.append(valueOf);
        sb.append(". Skipping setting notificationCount.");
        Log.w(c.f14444a, sb.toString());
        return null;
    }

    /* access modifiers changed from: package-private */
    @Nullable
    public Integer m() {
        Integer b7 = b(c.C0206c.f14491p);
        if (b7 == null) {
            return null;
        }
        if (b7.intValue() >= -2 && b7.intValue() <= 2) {
            return b7;
        }
        String valueOf = String.valueOf(b7);
        StringBuilder sb = new StringBuilder(valueOf.length() + 72);
        sb.append("notificationPriority is invalid ");
        sb.append(valueOf);
        sb.append(". Skipping setting notificationPriority.");
        Log.w(c.f14444a, sb.toString());
        return null;
    }

    public String n(Resources resources, String str, String str2) {
        String p7 = p(str2);
        return !TextUtils.isEmpty(p7) ? p7 : i(resources, str, str2);
    }

    @Nullable
    public String o() {
        String p7 = p(c.C0206c.f14500y);
        return TextUtils.isEmpty(p7) ? p(c.C0206c.f14501z) : p7;
    }

    public String p(String str) {
        return this.f14619a.getString(y(str));
    }

    @Nullable
    public long[] q() {
        JSONArray c7 = c(c.C0206c.f14497v);
        if (c7 == null) {
            return null;
        }
        try {
            if (c7.length() > 1) {
                int length = c7.length();
                long[] jArr = new long[length];
                for (int i7 = 0; i7 < length; i7++) {
                    jArr[i7] = c7.optLong(i7);
                }
                return jArr;
            }
            throw new JSONException("vibrateTimings have invalid length");
        } catch (NumberFormatException | JSONException unused) {
            String valueOf = String.valueOf(c7);
            StringBuilder sb = new StringBuilder(valueOf.length() + 74);
            sb.append("User defined vibrateTimings is invalid: ");
            sb.append(valueOf);
            sb.append(". Skipping setting vibrateTimings.");
            Log.w("NotificationParams", sb.toString());
            return null;
        }
    }

    /* access modifiers changed from: package-private */
    public Integer r() {
        Integer b7 = b(c.C0206c.f14496u);
        if (b7 == null) {
            return null;
        }
        if (b7.intValue() >= -1 && b7.intValue() <= 1) {
            return b7;
        }
        String valueOf = String.valueOf(b7);
        StringBuilder sb = new StringBuilder(valueOf.length() + 53);
        sb.append("visibility is invalid: ");
        sb.append(valueOf);
        sb.append(". Skipping setting visibility.");
        Log.w("NotificationParams", sb.toString());
        return null;
    }

    public boolean s() {
        return !TextUtils.isEmpty(p(c.C0206c.f14485j));
    }

    public boolean u() {
        return a(c.C0206c.f14479d);
    }

    public Bundle z() {
        Bundle bundle = new Bundle(this.f14619a);
        for (String str : this.f14619a.keySet()) {
            if (!t(str)) {
                bundle.remove(str);
            }
        }
        return bundle;
    }
}
