package com.google.protobuf;

import com.google.protobuf.u;
import java.io.IOException;
import java.io.InputStream;
import java.io.InvalidObjectException;
import java.io.ObjectInputStream;
import java.io.OutputStream;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.nio.InvalidMarkException;
import java.nio.charset.Charset;
import java.util.Collections;
import java.util.List;

/* access modifiers changed from: package-private */
public final class z2 extends u.i {
    private final ByteBuffer X5;

    class a extends InputStream {

        /* renamed from: f  reason: collision with root package name */
        private final ByteBuffer f15549f;

        a() {
            this.f15549f = z2.this.X5.slice();
        }

        @Override // java.io.InputStream
        public int available() throws IOException {
            return this.f15549f.remaining();
        }

        public void mark(int i7) {
            u1.d(this.f15549f);
        }

        public boolean markSupported() {
            return true;
        }

        @Override // java.io.InputStream
        public int read() throws IOException {
            if (!this.f15549f.hasRemaining()) {
                return -1;
            }
            return this.f15549f.get() & 255;
        }

        @Override // java.io.InputStream
        public void reset() throws IOException {
            try {
                u1.f(this.f15549f);
            } catch (InvalidMarkException e7) {
                throw new IOException(e7);
            }
        }

        @Override // java.io.InputStream
        public int read(byte[] bArr, int i7, int i8) throws IOException {
            if (!this.f15549f.hasRemaining()) {
                return -1;
            }
            int min = Math.min(i8, this.f15549f.remaining());
            this.f15549f.get(bArr, i7, min);
            return min;
        }
    }

    z2(ByteBuffer byteBuffer) {
        r1.e(byteBuffer, "buffer");
        this.X5 = byteBuffer.slice().order(ByteOrder.nativeOrder());
    }

    private ByteBuffer A1(int i7, int i8) {
        if (i7 < this.X5.position() || i8 > this.X5.limit() || i7 > i8) {
            throw new IllegalArgumentException(String.format("Invalid indices [%d, %d]", Integer.valueOf(i7), Integer.valueOf(i8)));
        }
        ByteBuffer slice = this.X5.slice();
        u1.e(slice, i7 - this.X5.position());
        u1.c(slice, i8 - this.X5.position());
        return slice;
    }

    private Object B1() {
        return u.u(this.X5.slice());
    }

    private void y1(ObjectInputStream objectInputStream) throws IOException {
        throw new InvalidObjectException("NioByteString instances are not to be serialized directly");
    }

    @Override // com.google.protobuf.u
    public void L(ByteBuffer byteBuffer) {
        byteBuffer.put(this.X5.slice());
    }

    @Override // com.google.protobuf.u
    public u P0(int i7, int i8) {
        try {
            return new z2(A1(i7, i8));
        } catch (ArrayIndexOutOfBoundsException e7) {
            throw e7;
        } catch (IndexOutOfBoundsException e8) {
            throw new ArrayIndexOutOfBoundsException(e8.getMessage());
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.google.protobuf.u
    public void R(byte[] bArr, int i7, int i8, int i9) {
        ByteBuffer slice = this.X5.slice();
        u1.e(slice, i7);
        slice.get(bArr, i8, i9);
    }

    @Override // com.google.protobuf.u
    public byte b0(int i7) {
        return k(i7);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.protobuf.u
    public String b1(Charset charset) {
        int i7;
        int i8;
        byte[] bArr;
        if (this.X5.hasArray()) {
            bArr = this.X5.array();
            i8 = this.X5.arrayOffset() + this.X5.position();
            i7 = this.X5.remaining();
        } else {
            bArr = Q0();
            i7 = bArr.length;
            i8 = 0;
        }
        return new String(bArr, i8, i7, charset);
    }

    @Override // com.google.protobuf.u
    public ByteBuffer c() {
        return this.X5.asReadOnlyBuffer();
    }

    @Override // com.google.protobuf.u
    public List<ByteBuffer> e() {
        return Collections.singletonList(c());
    }

    @Override // com.google.protobuf.u
    public boolean e0() {
        return t4.s(this.X5);
    }

    @Override // com.google.protobuf.u
    public boolean equals(Object obj) {
        ByteBuffer byteBuffer;
        ByteBuffer c7;
        if (obj == this) {
            return true;
        }
        if (!(obj instanceof u)) {
            return false;
        }
        u uVar = (u) obj;
        if (size() != uVar.size()) {
            return false;
        }
        if (size() == 0) {
            return true;
        }
        if (obj instanceof z2) {
            byteBuffer = this.X5;
            c7 = ((z2) obj).X5;
        } else if (obj instanceof m3) {
            return obj.equals(this);
        } else {
            byteBuffer = this.X5;
            c7 = uVar.c();
        }
        return byteBuffer.equals(c7);
    }

    @Override // com.google.protobuf.u
    public byte k(int i7) {
        try {
            return this.X5.get(i7);
        } catch (ArrayIndexOutOfBoundsException e7) {
            throw e7;
        } catch (IndexOutOfBoundsException e8) {
            throw new ArrayIndexOutOfBoundsException(e8.getMessage());
        }
    }

    @Override // com.google.protobuf.u
    public z k0() {
        return z.p(this.X5, true);
    }

    @Override // com.google.protobuf.u
    public InputStream l0() {
        return new a();
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.protobuf.u
    public void m1(t tVar) throws IOException {
        tVar.W(this.X5.slice());
    }

    @Override // com.google.protobuf.u
    public void n1(OutputStream outputStream) throws IOException {
        outputStream.write(Q0());
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.protobuf.u
    public void q1(OutputStream outputStream, int i7, int i8) throws IOException {
        if (this.X5.hasArray()) {
            outputStream.write(this.X5.array(), this.X5.arrayOffset() + this.X5.position() + i7, i8);
            return;
        }
        s.h(A1(i7, i8 + i7), outputStream);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.protobuf.u
    public int r0(int i7, int i8, int i9) {
        for (int i10 = i8; i10 < i8 + i9; i10++) {
            i7 = (i7 * 31) + this.X5.get(i10);
        }
        return i7;
    }

    @Override // com.google.protobuf.u
    public int size() {
        return this.X5.remaining();
    }

    /* access modifiers changed from: protected */
    @Override // com.google.protobuf.u
    public int t0(int i7, int i8, int i9) {
        return t4.v(i7, this.X5, i8, i9 + i8);
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.protobuf.u.i
    public boolean t1(u uVar, int i7, int i8) {
        return P0(0, i8).equals(uVar.P0(i7, i8 + i7));
    }
}
