package com.graphisoft.bimx.portalserverprotocol;

import android.util.Base64;
import android.util.Log;
import androidx.annotation.Keep;
import java.io.BufferedReader;
import java.io.ByteArrayInputStream;
import java.io.InputStreamReader;
import java.security.Key;
import java.security.KeyFactory;
import java.security.PrivateKey;
import java.security.PublicKey;
import java.security.spec.PKCS8EncodedKeySpec;
import java.security.spec.X509EncodedKeySpec;
import javax.crypto.Cipher;
import org.bouncycastle2.crypto.modes.b;
import org.bouncycastle2.crypto.paddings.d;
import org.bouncycastle2.crypto.paddings.e;
import org.bouncycastle2.crypto.params.k0;
import org.bouncycastle2.crypto.params.n0;

public class TicketDecrypt {

    /* renamed from: a  reason: collision with root package name */
    private static final String f15594a = "TicketDecrypt";

    private static byte[] a(byte[] bArr, PrivateKey privateKey) {
        try {
            Cipher instance = Cipher.getInstance("RSA/ECB/OAEPWithSHA1AndMGF1Padding");
            instance.init(2, privateKey);
            return instance.doFinal(bArr);
        } catch (Throwable th) {
            th.printStackTrace();
            Log.e(f15594a, "SignatureHelper::decryptRSA () - Exception: " + th.getMessage());
            return null;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:42:0x00f5 A[SYNTHETIC, Splitter:B:42:0x00f5] */
    private static Key b(String str, boolean z7) {
        Throwable th;
        ByteArrayInputStream byteArrayInputStream;
        String readLine;
        try {
            byteArrayInputStream = new ByteArrayInputStream(str.getBytes("UTF-8"));
            try {
                BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(byteArrayInputStream));
                StringBuffer stringBuffer = new StringBuffer();
                boolean z8 = false;
                while (true) {
                    readLine = bufferedReader.readLine();
                    if (readLine == null) {
                        break;
                    } else if (readLine.indexOf("-----BEGIN") == 0) {
                        z8 = true;
                    } else if (readLine.indexOf("-----END") == 0) {
                        break;
                    } else if (z8) {
                        stringBuffer.append(readLine.trim());
                    }
                }
                if (readLine == null) {
                    Log.e(f15594a, "SignatureHelper::getPublicKeyFromX509PEM () - Invalid public key PEM format!");
                    try {
                        byteArrayInputStream.close();
                    } catch (Throwable th2) {
                        th2.printStackTrace();
                        Log.e(f15594a, "SignatureHelper::getPublicKeyFromX509PEM () - Cannot close input stream! Exception: " + th2.getMessage());
                    }
                    return null;
                }
                byte[] decode = Base64.decode(stringBuffer.toString().getBytes("utf-8"), 2);
                if (z7) {
                    PrivateKey generatePrivate = KeyFactory.getInstance("RSA").generatePrivate(new PKCS8EncodedKeySpec(decode));
                    try {
                        byteArrayInputStream.close();
                    } catch (Throwable th3) {
                        th3.printStackTrace();
                        Log.e(f15594a, "SignatureHelper::getPublicKeyFromX509PEM () - Cannot close input stream! Exception: " + th3.getMessage());
                    }
                    return generatePrivate;
                }
                PublicKey generatePublic = KeyFactory.getInstance("RSA").generatePublic(new X509EncodedKeySpec(decode));
                try {
                    byteArrayInputStream.close();
                } catch (Throwable th4) {
                    th4.printStackTrace();
                    Log.e(f15594a, "SignatureHelper::getPublicKeyFromX509PEM () - Cannot close input stream! Exception: " + th4.getMessage());
                }
                return generatePublic;
            } catch (Throwable th5) {
                th = th5;
                try {
                    th.printStackTrace();
                    Log.e(f15594a, "SignatureHelper::getPublicKeyFromX509PEM () - Exception: " + th.getMessage());
                    if (byteArrayInputStream != null) {
                        try {
                            byteArrayInputStream.close();
                        } catch (Throwable th6) {
                            th6.printStackTrace();
                            Log.e(f15594a, "SignatureHelper::getPublicKeyFromX509PEM () - Cannot close input stream! Exception: " + th6.getMessage());
                        }
                    }
                    return null;
                } catch (Throwable th7) {
                    th7.printStackTrace();
                    Log.e(f15594a, "SignatureHelper::getPublicKeyFromX509PEM () - Cannot close input stream! Exception: " + th7.getMessage());
                }
            }
        } catch (Throwable th8) {
            th = th8;
            byteArrayInputStream = null;
            th.printStackTrace();
            Log.e(f15594a, "SignatureHelper::getPublicKeyFromX509PEM () - Exception: " + th.getMessage());
            if (byteArrayInputStream != null) {
            }
            return null;
        }
        throw th;
    }

    @Keep
    public static byte[] decryptAESTicket(byte[] bArr, byte[] bArr2, byte[] bArr3) {
        try {
            n0 n0Var = new n0(new k0(bArr), bArr2);
            e eVar = new e(new b(new org.bouncycastle2.crypto.engines.b()), new d());
            eVar.f(false, n0Var);
            byte[] bArr4 = new byte[eVar.c(bArr3.length)];
            int h7 = eVar.h(bArr3, 0, bArr3.length, bArr4, 0);
            int a8 = h7 + eVar.a(bArr4, h7);
            byte[] bArr5 = new byte[a8];
            System.arraycopy(bArr4, 0, bArr5, 0, a8);
            return bArr5;
        } catch (Throwable th) {
            th.printStackTrace();
            Log.e(f15594a, "SignatureHelper::decryptAESTicket () - Exception: " + th.getMessage());
            return new byte[0];
        }
    }

    @Keep
    public static byte[] decryptRSAEnvelope(byte[] bArr, String str) {
        try {
            PrivateKey privateKey = (PrivateKey) b(str, true);
            return privateKey == null ? new byte[0] : a(bArr, privateKey);
        } catch (Throwable th) {
            th.printStackTrace();
            Log.e(f15594a, "SignatureHelper::decryptRSAEnvelope () - Exception: " + th.getMessage());
            return new byte[0];
        }
    }
}
