package com.graphisoft.bimx.twmail;

import android.util.Base64;
import android.util.Log;
import androidx.annotation.Keep;
import java.io.BufferedReader;
import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.InputStreamReader;
import java.security.Key;
import java.security.KeyFactory;
import java.security.PrivateKey;
import java.security.PublicKey;
import java.security.SecureRandom;
import java.security.spec.PKCS8EncodedKeySpec;
import java.security.spec.X509EncodedKeySpec;
import javax.crypto.Cipher;

public class TWMSessionImpl {

    /* renamed from: a  reason: collision with root package name */
    private static final String f15595a = "TWMSessionImpl";

    private static byte[] a(byte[] bArr, PublicKey publicKey) {
        try {
            Cipher instance = Cipher.getInstance("RSA/ECB/PKCS1Padding");
            instance.init(1, publicKey);
            return instance.doFinal(bArr);
        } catch (Throwable th) {
            th.printStackTrace();
            Log.e(f15595a, "SignatureHelper::encryptRSA () - Exception: " + th.getMessage());
            return null;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:42:0x00f5 A[SYNTHETIC, Splitter:B:42:0x00f5] */
    private static Key b(String str, boolean z7) {
        Throwable th;
        ByteArrayInputStream byteArrayInputStream;
        String readLine;
        try {
            byteArrayInputStream = new ByteArrayInputStream(str.getBytes("UTF-8"));
            try {
                BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(byteArrayInputStream));
                StringBuffer stringBuffer = new StringBuffer();
                boolean z8 = false;
                while (true) {
                    readLine = bufferedReader.readLine();
                    if (readLine == null) {
                        break;
                    } else if (readLine.indexOf("-----BEGIN") == 0) {
                        z8 = true;
                    } else if (readLine.indexOf("-----END") == 0) {
                        break;
                    } else if (z8) {
                        stringBuffer.append(readLine.trim());
                    }
                }
                if (readLine == null) {
                    Log.e(f15595a, "SignatureHelper::getPublicKeyFromX509PEM () - Invalid public key PEM format!");
                    try {
                        byteArrayInputStream.close();
                    } catch (Throwable th2) {
                        th2.printStackTrace();
                        Log.e(f15595a, "SignatureHelper::getPublicKeyFromX509PEM () - Cannot close input stream! Exception: " + th2.getMessage());
                    }
                    return null;
                }
                byte[] decode = Base64.decode(stringBuffer.toString().getBytes("utf-8"), 2);
                if (z7) {
                    PrivateKey generatePrivate = KeyFactory.getInstance("RSA").generatePrivate(new PKCS8EncodedKeySpec(decode));
                    try {
                        byteArrayInputStream.close();
                    } catch (Throwable th3) {
                        th3.printStackTrace();
                        Log.e(f15595a, "SignatureHelper::getPublicKeyFromX509PEM () - Cannot close input stream! Exception: " + th3.getMessage());
                    }
                    return generatePrivate;
                }
                PublicKey generatePublic = KeyFactory.getInstance("RSA").generatePublic(new X509EncodedKeySpec(decode));
                try {
                    byteArrayInputStream.close();
                } catch (Throwable th4) {
                    th4.printStackTrace();
                    Log.e(f15595a, "SignatureHelper::getPublicKeyFromX509PEM () - Cannot close input stream! Exception: " + th4.getMessage());
                }
                return generatePublic;
            } catch (Throwable th5) {
                th = th5;
                try {
                    th.printStackTrace();
                    Log.e(f15595a, "SignatureHelper::getPublicKeyFromX509PEM () - Exception: " + th.getMessage());
                    if (byteArrayInputStream != null) {
                        try {
                            byteArrayInputStream.close();
                        } catch (Throwable th6) {
                            th6.printStackTrace();
                            Log.e(f15595a, "SignatureHelper::getPublicKeyFromX509PEM () - Cannot close input stream! Exception: " + th6.getMessage());
                        }
                    }
                    return null;
                } catch (Throwable th7) {
                    th7.printStackTrace();
                    Log.e(f15595a, "SignatureHelper::getPublicKeyFromX509PEM () - Cannot close input stream! Exception: " + th7.getMessage());
                }
            }
        } catch (Throwable th8) {
            th = th8;
            byteArrayInputStream = null;
            th.printStackTrace();
            Log.e(f15595a, "SignatureHelper::getPublicKeyFromX509PEM () - Exception: " + th.getMessage());
            if (byteArrayInputStream != null) {
            }
            return null;
        }
        throw th;
    }

    @Keep
    public static String encryptRSAPassword(String str, String str2) {
        if (str != null) {
            try {
                if (!str.isEmpty()) {
                    if (str2 != null) {
                        if (!str2.isEmpty()) {
                            PublicKey publicKey = (PublicKey) b(str2, false);
                            if (publicKey == null) {
                                return new String();
                            }
                            byte[] bArr = new byte[6];
                            new SecureRandom().nextBytes(bArr);
                            String encodeToString = Base64.encodeToString(bArr, 2);
                            if (encodeToString.length() != 8) {
                                return new String();
                            }
                            byte[] bytes = str.getBytes("UTF-8");
                            byte[] bytes2 = encodeToString.getBytes("UTF-8");
                            ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
                            byteArrayOutputStream.write(bytes, 0, bytes.length);
                            byteArrayOutputStream.write(bytes2, 0, bytes2.length);
                            byteArrayOutputStream.flush();
                            byte[] a8 = a(byteArrayOutputStream.toByteArray(), publicKey);
                            if (a8 != null) {
                                if (a8.length > 0) {
                                    return Base64.encodeToString(a8, 2);
                                }
                            }
                            return new String();
                        }
                    }
                    return new String();
                }
            } catch (Throwable th) {
                th.printStackTrace();
                Log.e(f15595a, "SignatureHelper::encryptRSAPassword () - Exception: " + th.getMessage());
                return new String();
            }
        }
        return new String();
    }
}
