package com.graphisoft.bimxlab;

import android.app.Application;
import android.view.View;
import androidx.fragment.app.FragmentManager;
import androidx.navigation.fragment.FragmentKt;
import androidx.navigation.fragment.NavHostFragment;
import com.google.firebase.messaging.c;
import com.graphisoft.bimx.connector.AppInitConnector;
import com.graphisoft.bimx.connector.DocumentsWatcherConnector;
import com.graphisoft.bimx.connector.ExtensionsConnector;
import com.graphisoft.bimx.connector.LicenseManagerConnector;
import com.graphisoft.bimx.connector.ModelBrowserDataConnector;
import com.graphisoft.bimx.connector.NetLoggerConnector;
import com.graphisoft.bimx.connector.OpenUrlConnector;
import com.graphisoft.bimx.connector.PushNotificationConnector;
import com.graphisoft.bimx.connector.TestConfig;
import com.graphisoft.bimx.connector.UserPreferencesConnector;
import com.graphisoft.bimx.connector.contentspecification.ContentSpecification;
import com.graphisoft.bimx.connector.data.MessageComposerUser;
import com.graphisoft.bimx.connector.data.ModelID;
import com.graphisoft.bimx.connector.data.OpenUrlPasswordAlertResult;
import com.graphisoft.bimx.connector.dataaddresses.DataAddress;
import com.graphisoft.bimx.connector.enums.OpenUrlNavigationErrorType;
import com.graphisoft.bimx.connector.enums.OperationResultCode;
import com.graphisoft.bimx.connector.enums.TicketValidityKind;
import com.graphisoft.bimx.connector.handles.CppObjectHandle;
import com.graphisoft.bimx.connector.handles.Extension;
import com.graphisoft.bimx.connector.handles.ExtensionManagerHandle;
import com.graphisoft.bimx.connector.handles.HyperModelList;
import com.graphisoft.bimx.connector.handles.LicenseHandle;
import com.graphisoft.bimx.connector.handles.OpenUrlControllerHandle;
import com.graphisoft.bimx.connector.handles.PushNotificationClientHandle;
import com.graphisoft.bimx.connector.handles.SessionListHandle;
import com.graphisoft.bimx.connector.handles.UserPreferencesStorageHandle;
import com.graphisoft.bimxlab.viewer2D.fragment.Viewer2DFragment;
import com.graphisoft.bimxlab.viewer3D.fragment.Viewer3DFragment;
import j1.d5;
import j1.g1;
import j1.k1;
import j1.p4;
import j1.q4;
import j1.r4;
import java.io.BufferedInputStream;
import java.io.File;
import java.io.FileOutputStream;
import java.net.URI;
import java.util.ArrayList;
import java.util.UUID;
import java.util.function.BiConsumer;
import java.util.function.BiFunction;
import java.util.function.Consumer;
import java.util.zip.ZipEntry;
import java.util.zip.ZipInputStream;
import kotlin.coroutines.jvm.internal.o;
import kotlin.e1;
import kotlin.jvm.internal.k1;
import kotlin.jvm.internal.l0;
import kotlin.jvm.internal.n0;
import kotlin.jvm.internal.w;
import kotlin.l2;
import kotlin.text.b0;
import kotlinx.coroutines.l;
import kotlinx.coroutines.m2;
import kotlinx.coroutines.t0;
import org.greenrobot.eventbus.EventBus;
import r2.c;
import r4.p;

public final class BIMxApplication extends Application {

    /* renamed from: z */
    public static final a f15596z = new a(null);

    /* renamed from: a */
    private MainActivity f15597a;

    /* renamed from: b */
    private boolean f15598b = true;

    /* renamed from: c */
    private boolean f15599c;

    /* renamed from: d */
    public CppObjectHandle f15600d;

    /* renamed from: e */
    public UserPreferencesStorageHandle f15601e;

    /* renamed from: f */
    public DataAddress f15602f;

    /* renamed from: g */
    public LicenseHandle f15603g;

    /* renamed from: h */
    public ExtensionManagerHandle f15604h;

    /* renamed from: i */
    public SessionListHandle f15605i;

    /* renamed from: j */
    public PushNotificationClientHandle f15606j;

    /* renamed from: k */
    private int f15607k;

    /* renamed from: l */
    private UUID f15608l;

    /* renamed from: m */
    private ArrayList<MessageComposerUser> f15609m;

    /* renamed from: n */
    public OpenUrlControllerHandle f15610n;

    /* renamed from: o */
    private ContentSpecification f15611o;

    /* renamed from: p */
    private final Consumer<ContentSpecification> f15612p = new a(this);

    /* renamed from: q */
    private BiConsumer<OpenUrlNavigationErrorType, String> f15613q = new b(this);

    /* renamed from: r */
    private final Runnable f15614r = new c(this);

    /* renamed from: s */
    private final Consumer<String> f15615s = new d(this);

    /* renamed from: t */
    private final Consumer<String> f15616t = new e(this);

    /* renamed from: u */
    private final e f15617u = new e();

    /* renamed from: v */
    private final BiConsumer<TicketValidityKind, String> f15618v = new f();

    /* renamed from: w */
    private final BiFunction<String, ModelID, OpenUrlPasswordAlertResult> f15619w = new g(this);

    /* renamed from: x */
    private final BiConsumer<OperationResultCode, Integer> f15620x = new h();

    /* renamed from: y */
    private final Consumer<Integer> f15621y = new i();

    public static final class a {
        private a() {
        }

        public /* synthetic */ a(w wVar) {
            this();
        }
    }

    public static final class b extends o implements p<t0, kotlin.coroutines.d<? super l2>, Object> {

        /* renamed from: f */
        int f15622f;

        /* renamed from: g */
        final /* synthetic */ OperationResultCode f15623g;

        /* renamed from: p */
        final /* synthetic */ Integer f15624p;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        b(OperationResultCode operationResultCode, Integer num, kotlin.coroutines.d<? super b> dVar) {
            super(2, dVar);
            this.f15623g = operationResultCode;
            this.f15624p = num;
        }

        @Override // kotlin.coroutines.jvm.internal.a
        public final kotlin.coroutines.d<l2> create(Object obj, kotlin.coroutines.d<?> dVar) {
            return new b(this.f15623g, this.f15624p, dVar);
        }

        @Override // kotlin.coroutines.jvm.internal.a
        public final Object invokeSuspend(Object obj) {
            Object unused = kotlin.coroutines.intrinsics.d.h();
            if (this.f15622f == 0) {
                e1.n(obj);
                EventBus eventBus = EventBus.getDefault();
                OperationResultCode operationResultCode = this.f15623g;
                l0.o(operationResultCode, "resultCode");
                Integer num = this.f15624p;
                l0.o(num, "remainingImportsInProgress");
                eventBus.post(new g1(operationResultCode, num.intValue()));
                return l2.f19890a;
            }
            throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
        }

        public final Object invoke(t0 t0Var, kotlin.coroutines.d<? super l2> dVar) {
            return ((b) create(t0Var, dVar)).invokeSuspend(l2.f19890a);
        }
    }

    public static final class c extends o implements p<t0, kotlin.coroutines.d<? super l2>, Object> {

        /* renamed from: f */
        int f15625f;

        /* renamed from: g */
        final /* synthetic */ Integer f15626g;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        c(Integer num, kotlin.coroutines.d<? super c> dVar) {
            super(2, dVar);
            this.f15626g = num;
        }

        @Override // kotlin.coroutines.jvm.internal.a
        public final kotlin.coroutines.d<l2> create(Object obj, kotlin.coroutines.d<?> dVar) {
            return new c(this.f15626g, dVar);
        }

        @Override // kotlin.coroutines.jvm.internal.a
        public final Object invokeSuspend(Object obj) {
            Object unused = kotlin.coroutines.intrinsics.d.h();
            if (this.f15625f == 0) {
                e1.n(obj);
                EventBus eventBus = EventBus.getDefault();
                Integer num = this.f15626g;
                l0.o(num, "remainingImportsInProgress");
                eventBus.post(new k1(num.intValue()));
                return l2.f19890a;
            }
            throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
        }

        public final Object invoke(t0 t0Var, kotlin.coroutines.d<? super l2> dVar) {
            return ((c) create(t0Var, dVar)).invokeSuspend(l2.f19890a);
        }
    }

    public static final class d extends o implements p<t0, kotlin.coroutines.d<? super l2>, Object> {

        /* renamed from: f */
        int f15627f;

        /* renamed from: g */
        final /* synthetic */ String f15628g;

        /* renamed from: p */
        final /* synthetic */ BIMxApplication f15629p;

        public static final class a extends o implements p<t0, kotlin.coroutines.d<? super l2>, Object> {

            /* renamed from: f */
            int f15630f;

            /* renamed from: g */
            final /* synthetic */ Extension f15631g;

            /* JADX INFO: super call moved to the top of the method (can break code semantics) */
            a(Extension extension, kotlin.coroutines.d<? super a> dVar) {
                super(2, dVar);
                this.f15631g = extension;
            }

            @Override // kotlin.coroutines.jvm.internal.a
            public final kotlin.coroutines.d<l2> create(Object obj, kotlin.coroutines.d<?> dVar) {
                return new a(this.f15631g, dVar);
            }

            @Override // kotlin.coroutines.jvm.internal.a
            public final Object invokeSuspend(Object obj) {
                Object unused = kotlin.coroutines.intrinsics.d.h();
                if (this.f15630f == 0) {
                    e1.n(obj);
                    if (this.f15631g != null) {
                        EventBus.getDefault().post(new q4(ExtensionsConnector.INSTANCE.nameOf(this.f15631g)));
                    } else {
                        EventBus.getDefault().post(new r4());
                    }
                    return l2.f19890a;
                }
                throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
            }

            public final Object invoke(t0 t0Var, kotlin.coroutines.d<? super l2> dVar) {
                return ((a) create(t0Var, dVar)).invokeSuspend(l2.f19890a);
            }
        }

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        d(String str, BIMxApplication bIMxApplication, kotlin.coroutines.d<? super d> dVar) {
            super(2, dVar);
            this.f15628g = str;
            this.f15629p = bIMxApplication;
        }

        public static final void A(Extension extension, String str) {
            m2 unused = l.f(m.b(), null, null, new a(extension, null), 3, null);
        }

        public static final void B(Extension extension, String str) {
        }

        @Override // kotlin.coroutines.jvm.internal.a
        public final kotlin.coroutines.d<l2> create(Object obj, kotlin.coroutines.d<?> dVar) {
            return new d(this.f15628g, this.f15629p, dVar);
        }

        /* JADX WARNING: Code restructure failed: missing block: B:14:0x007d, code lost:
            if (kotlin.text.b0.u2(r7, "ftp", false, 2, null) != false) goto L_0x007f;
         */
        @Override // kotlin.coroutines.jvm.internal.a
        public final Object invokeSuspend(Object obj) {
            FragmentManager supportFragmentManager;
            Object unused = kotlin.coroutines.intrinsics.d.h();
            if (this.f15627f == 0) {
                e1.n(obj);
                URI create = URI.create(this.f15628g);
                ExtensionsConnector extensionsConnector = ExtensionsConnector.INSTANCE;
                l2 l2Var = null;
                if (extensionsConnector.isExtensionInstallEnabled(this.f15629p.r(), this.f15629p.n())) {
                    if (create != null) {
                        extensionsConnector.loadExtensionAtUrl(create, this.f15629p.n(), true, new k());
                        l2Var = l2.f19890a;
                    }
                    if (l2Var == null) {
                        EventBus.getDefault().post(new p4());
                    }
                } else if (create != null) {
                    BIMxApplication bIMxApplication = this.f15629p;
                    extensionsConnector.loadExtensionAtUrl(create, bIMxApplication.n(), false, new l());
                    if (create.getScheme() != null) {
                        String scheme = create.getScheme();
                        l0.o(scheme, "it.getScheme()");
                        if (!(b0.u2(scheme, "http", false, 2, null))) {
                            String scheme2 = create.getScheme();
                            l0.o(scheme2, "it.getScheme()");
                        }
                        MainActivity t7 = bIMxApplication.t();
                        if (!(t7 == null || (supportFragmentManager = t7.getSupportFragmentManager()) == null)) {
                            com.graphisoft.bimxlab.utils.manager.a aVar = com.graphisoft.bimxlab.utils.manager.a.f17786a;
                            l0.o(supportFragmentManager, "it");
                            aVar.g(supportFragmentManager, i1.c.EXTENSION);
                        }
                    }
                }
                return l2.f19890a;
            }
            throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
        }

        public final Object invoke(t0 t0Var, kotlin.coroutines.d<? super l2> dVar) {
            return ((d) create(t0Var, dVar)).invokeSuspend(l2.f19890a);
        }
    }

    public static final class e implements OpenUrlConnector.NetLogExternalLinkOpenedCallBack {
        e() {
        }

        @Override // com.graphisoft.bimx.connector.OpenUrlConnector.NetLogExternalLinkOpenedCallBack
        public void apply(int i7, int i8, boolean z7) {
            NetLoggerConnector.INSTANCE.externalLinkOpenedNumOf3Ds(i7, i8, z7, "");
        }
    }

    public static final class f extends o implements p<t0, kotlin.coroutines.d<? super l2>, Object> {
        final /* synthetic */ MainActivity C1;
        final /* synthetic */ OpenUrlPasswordAlertResult C2;

        /* renamed from: f */
        int f15632f;

        /* renamed from: g */
        final /* synthetic */ BIMxApplication f15633g;

        /* renamed from: p */
        final /* synthetic */ String f15634p;

        /* renamed from: x */
        final /* synthetic */ ModelID f15635x;

        /* renamed from: y */
        final /* synthetic */ k1.a f15636y;

        public static final class a extends n0 implements r4.a<l2> {

            /* renamed from: f */
            final /* synthetic */ k1.a f15637f;

            /* renamed from: g */
            final /* synthetic */ ModelID f15638g;

            /* renamed from: p */
            final /* synthetic */ MainActivity f15639p;

            /* JADX INFO: super call moved to the top of the method (can break code semantics) */
            a(k1.a aVar, ModelID modelID, MainActivity mainActivity) {
                super(0);
                this.f15637f = aVar;
                this.f15638g = modelID;
                this.f15639p = mainActivity;
            }

            @Override // r4.a
            public final void invoke() {
                this.f15637f.f19810f = false;
                ModelBrowserDataConnector modelBrowserDataConnector = ModelBrowserDataConnector.INSTANCE;
                ModelID modelID = this.f15638g;
                l0.o(modelID, "modelId");
                modelBrowserDataConnector.cancelDownloadOrUpdateOfModel(modelID, this.f15639p.y());
            }
        }

        public static final class b extends n0 implements r4.l<String, l2> {

            /* renamed from: f */
            final /* synthetic */ OpenUrlPasswordAlertResult f15640f;

            /* renamed from: g */
            final /* synthetic */ k1.a f15641g;

            /* JADX INFO: super call moved to the top of the method (can break code semantics) */
            b(OpenUrlPasswordAlertResult openUrlPasswordAlertResult, k1.a aVar) {
                super(1);
                this.f15640f = openUrlPasswordAlertResult;
                this.f15641g = aVar;
            }

            public final void c(String str) {
                l0.p(str, "it");
                this.f15640f.setUsePassword(true);
                this.f15640f.setPassword(str);
                this.f15641g.f19810f = false;
            }

            @Override // r4.l
            public /* bridge */ /* synthetic */ l2 invoke(String str) {
                c(str);
                return l2.f19890a;
            }
        }

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        f(BIMxApplication bIMxApplication, String str, ModelID modelID, k1.a aVar, MainActivity mainActivity, OpenUrlPasswordAlertResult openUrlPasswordAlertResult, kotlin.coroutines.d<? super f> dVar) {
            super(2, dVar);
            this.f15633g = bIMxApplication;
            this.f15634p = str;
            this.f15635x = modelID;
            this.f15636y = aVar;
            this.C1 = mainActivity;
            this.C2 = openUrlPasswordAlertResult;
        }

        @Override // kotlin.coroutines.jvm.internal.a
        public final kotlin.coroutines.d<l2> create(Object obj, kotlin.coroutines.d<?> dVar) {
            return new f(this.f15633g, this.f15634p, this.f15635x, this.f15636y, this.C1, this.C2, dVar);
        }

        @Override // kotlin.coroutines.jvm.internal.a
        public final Object invokeSuspend(Object obj) {
            Object unused = kotlin.coroutines.intrinsics.d.h();
            if (this.f15632f == 0) {
                e1.n(obj);
                c.a aVar = r2.c.f25157j;
                MainActivity t7 = this.f15633g.t();
                FragmentManager supportFragmentManager = t7 != null ? t7.getSupportFragmentManager() : null;
                a aVar2 = new a(this.f15636y, this.f15635x, this.C1);
                b bVar = new b(this.C2, this.f15636y);
                String str = this.f15634p;
                l0.o(str, "modelName");
                ModelID modelID = this.f15635x;
                l0.o(modelID, "modelId");
                aVar.a(supportFragmentManager, aVar2, bVar, str, modelID);
                return l2.f19890a;
            }
            throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
        }

        public final Object invoke(t0 t0Var, kotlin.coroutines.d<? super l2> dVar) {
            return ((f) create(t0Var, dVar)).invokeSuspend(l2.f19890a);
        }
    }

    public static final class g extends o implements p<t0, kotlin.coroutines.d<? super l2>, Object> {

        /* renamed from: f */
        int f15642f;

        /* renamed from: g */
        final /* synthetic */ TicketValidityKind f15643g;

        /* renamed from: p */
        final /* synthetic */ String f15644p;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        g(TicketValidityKind ticketValidityKind, String str, kotlin.coroutines.d<? super g> dVar) {
            super(2, dVar);
            this.f15643g = ticketValidityKind;
            this.f15644p = str;
        }

        @Override // kotlin.coroutines.jvm.internal.a
        public final kotlin.coroutines.d<l2> create(Object obj, kotlin.coroutines.d<?> dVar) {
            return new g(this.f15643g, this.f15644p, dVar);
        }

        @Override // kotlin.coroutines.jvm.internal.a
        public final Object invokeSuspend(Object obj) {
            Object unused = kotlin.coroutines.intrinsics.d.h();
            if (this.f15642f == 0) {
                e1.n(obj);
                EventBus.getDefault().post(new d5(this.f15643g, this.f15644p));
                return l2.f19890a;
            }
            throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
        }

        public final Object invoke(t0 t0Var, kotlin.coroutines.d<? super l2> dVar) {
            return ((g) create(t0Var, dVar)).invokeSuspend(l2.f19890a);
        }
    }

    static {
        System.loadLibrary("NativeBIMx");
    }

    public static final void A(OperationResultCode operationResultCode, Integer num) {
        m2 unused = l.f(m.b(), null, null, new b(operationResultCode, num, null), 3, null);
    }

    public static final void B(Integer num) {
        m2 unused = l.f(m.b(), null, null, new c(num, null), 3, null);
    }

    public static final void C(BIMxApplication bIMxApplication, String str) {
        l0.p(bIMxApplication, "this$0");
        l0.p(str, "it");
        m2 unused = l.f(m.b(), null, null, new d(str, bIMxApplication, null), 3, null);
    }

    public static final void D(BIMxApplication bIMxApplication, ContentSpecification contentSpecification) {
        l0.p(bIMxApplication, "this$0");
        System.out.print((Object) contentSpecification.toString());
        bIMxApplication.f15611o = contentSpecification;
        bIMxApplication.E();
    }

    public static final void F(k1.h hVar, FragmentManager fragmentManager, BIMxApplication bIMxApplication) {
        l0.p(hVar, "$frg");
        l0.p(fragmentManager, "$it");
        l0.p(bIMxApplication, "this$0");
        com.graphisoft.bimxlab.utils.manager.b bVar = com.graphisoft.bimxlab.utils.manager.b.f17800a;
        T t7 = hVar.f19817f;
        l0.m(t7);
        bVar.H(FragmentKt.findNavController(t7), fragmentManager, bIMxApplication.f15611o);
        bIMxApplication.f15611o = null;
    }

    public static final void G(BIMxApplication bIMxApplication, OpenUrlNavigationErrorType openUrlNavigationErrorType, String str) {
        l0.p(bIMxApplication, "this$0");
        MainActivity mainActivity = bIMxApplication.f15597a;
        if (mainActivity != null) {
            l0.o(openUrlNavigationErrorType, "errorType");
            mainActivity.O(openUrlNavigationErrorType, str);
        }
    }

    public static final OpenUrlPasswordAlertResult H(BIMxApplication bIMxApplication, String str, ModelID modelID) {
        l0.p(bIMxApplication, "this$0");
        OpenUrlPasswordAlertResult openUrlPasswordAlertResult = new OpenUrlPasswordAlertResult();
        MainActivity mainActivity = bIMxApplication.f15597a;
        if (mainActivity != null) {
            k1.a aVar = new k1.a();
            aVar.f19810f = true;
            m2 unused = l.f(m.b(), null, null, new f(bIMxApplication, str, modelID, aVar, mainActivity, openUrlPasswordAlertResult, null), 3, null);
            while (aVar.f19810f) {
                Thread.sleep(500);
            }
        }
        return openUrlPasswordAlertResult;
    }

    public static final void W(TicketValidityKind ticketValidityKind, String str) {
        l0.p(ticketValidityKind, "kind");
        l0.p(str, "modelName");
        m2 unused = l.f(m.b(), null, null, new g(ticketValidityKind, str, null), 3, null);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:37:0x00a8, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:38:0x00a9, code lost:
        kotlin.io.c.a(r5, r9);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:39:0x00ac, code lost:
        throw r0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:47:0x00cb, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:48:0x00cc, code lost:
        kotlin.io.c.a(r1, r9);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:49:0x00cf, code lost:
        throw r0;
     */
    private final void X() {
        ZipEntry zipEntry;
        File file = new File(new File(getFilesDir(), "tzdata").getCanonicalPath());
        if (!file.exists()) {
            file.mkdirs();
        }
        ZipInputStream zipInputStream = new ZipInputStream(new BufferedInputStream(getAssets().open("tzdata.zip")));
        byte[] bArr = new byte[8192];
        ZipEntry zipEntry2 = null;
        while (true) {
            ZipEntry nextEntry = zipInputStream.getNextEntry();
            if (nextEntry != null) {
                l0.o(nextEntry, "nextEntry");
                zipEntry2 = nextEntry;
            } else {
                nextEntry = null;
            }
            if (nextEntry != null) {
                if (zipEntry2 == null) {
                    l0.S("entry");
                    zipEntry = null;
                } else {
                    zipEntry = zipEntry2;
                }
                File file2 = new File(file, zipEntry.getName());
                String canonicalPath = file2.getCanonicalPath();
                l0.o(canonicalPath, "file.canonicalPath");
                String path = file.getPath();
                l0.o(path, "rootFolder.path");
                if (b0.u2(canonicalPath, path, false, 2, null)) {
                    File parentFile = zipEntry2.isDirectory() ? file2 : file2.getParentFile();
                    if (!parentFile.isDirectory()) {
                        parentFile.mkdirs();
                    }
                    if (!zipEntry2.isDirectory()) {
                        FileOutputStream fileOutputStream = new FileOutputStream(file2);
                        while (true) {
                            int read = zipInputStream.read(bArr);
                            if (read == -1) {
                                l2 l2Var = l2.f19890a;
                                kotlin.io.c.a(fileOutputStream, null);
                                break;
                            }
                            fileOutputStream.write(bArr, 0, read);
                        }
                    }
                } else {
                    throw new SecurityException("The canonical path is not under the expected directory");
                }
            } else {
                l2 l2Var2 = l2.f19890a;
                kotlin.io.c.a(zipInputStream, null);
                AppInitConnector appInitConnector = AppInitConnector.INSTANCE;
                String absolutePath = file.getAbsolutePath();
                l0.o(absolutePath, "rootFolder.absolutePath");
                appInitConnector.installTzdata(absolutePath);
                return;
            }
        }
    }

    public static final void k(BIMxApplication bIMxApplication, String str) {
        Runnable v7;
        l0.p(bIMxApplication, "this$0");
        l0.p(str, "it");
        MainActivity mainActivity = bIMxApplication.f15597a;
        if (mainActivity != null && (v7 = mainActivity.v()) != null) {
            v7.run();
        }
    }

    public static final void l(BIMxApplication bIMxApplication) {
        Runnable w7;
        l0.p(bIMxApplication, "this$0");
        MainActivity mainActivity = bIMxApplication.f15597a;
        if (mainActivity != null && (w7 = mainActivity.w()) != null) {
            w7.run();
        }
    }

    public final void E() {
        MainActivity mainActivity;
        FragmentManager supportFragmentManager;
        T t7;
        View view;
        T t8;
        if (this.f15611o != null && (mainActivity = this.f15597a) != null && (supportFragmentManager = mainActivity.getSupportFragmentManager()) != null && (t7 = (T) com.graphisoft.bimxlab.utils.manager.b.f17800a.h(supportFragmentManager)) != null) {
            k1.h hVar = new k1.h();
            hVar.f19817f = t7;
            if ((t7 instanceof NavHostFragment) && (t8 = (T) t7.getChildFragmentManager().getPrimaryNavigationFragment()) != null) {
                hVar.f19817f = t8;
            }
            T t9 = hVar.f19817f;
            T t10 = null;
            T t11 = t9 instanceof Viewer2DFragment ? t9 : null;
            if (t11 != null) {
                t11.g0();
            }
            T t12 = hVar.f19817f;
            if (t12 instanceof Viewer3DFragment) {
                t10 = t12;
            }
            if (t10 != null) {
                t10.T0();
            }
            T t13 = hVar.f19817f;
            if (t13 != null && (view = t13.getView()) != null) {
                view.post(new j(hVar, supportFragmentManager, this));
            }
        }
    }

    public final void I(int i7) {
        this.f15607k = i7;
    }

    public final void J(ExtensionManagerHandle extensionManagerHandle) {
        l0.p(extensionManagerHandle, "<set-?>");
        this.f15604h = extensionManagerHandle;
    }

    public final void K(boolean z7) {
        this.f15599c = z7;
    }

    public final void L(boolean z7) {
        this.f15598b = z7;
    }

    public final void M(DataAddress dataAddress) {
        l0.p(dataAddress, "<set-?>");
        this.f15602f = dataAddress;
    }

    public final void N(LicenseHandle licenseHandle) {
        l0.p(licenseHandle, "<set-?>");
        this.f15603g = licenseHandle;
    }

    public final void O(CppObjectHandle cppObjectHandle) {
        l0.p(cppObjectHandle, "<set-?>");
        this.f15600d = cppObjectHandle;
    }

    public final void P(MainActivity mainActivity) {
        this.f15597a = mainActivity;
    }

    public final void Q(OpenUrlControllerHandle openUrlControllerHandle) {
        l0.p(openUrlControllerHandle, "<set-?>");
        this.f15610n = openUrlControllerHandle;
    }

    public final void R(PushNotificationClientHandle pushNotificationClientHandle) {
        l0.p(pushNotificationClientHandle, "<set-?>");
        this.f15606j = pushNotificationClientHandle;
    }

    public final void S(ArrayList<MessageComposerUser> arrayList) {
        this.f15609m = arrayList;
    }

    public final void T(UUID uuid) {
        this.f15608l = uuid;
    }

    public final void U(SessionListHandle sessionListHandle) {
        l0.p(sessionListHandle, "<set-?>");
        this.f15605i = sessionListHandle;
    }

    public final void V(UserPreferencesStorageHandle userPreferencesStorageHandle) {
        l0.p(userPreferencesStorageHandle, "<set-?>");
        this.f15601e = userPreferencesStorageHandle;
    }

    public final int m() {
        return this.f15607k;
    }

    public final ExtensionManagerHandle n() {
        ExtensionManagerHandle extensionManagerHandle = this.f15604h;
        if (extensionManagerHandle != null) {
            return extensionManagerHandle;
        }
        l0.S("extensionManagerHandle");
        return null;
    }

    public final boolean o() {
        return this.f15599c;
    }

    public void onCreate() {
        super.onCreate();
        AppInitConnector appInitConnector = AppInitConnector.INSTANCE;
        O(appInitConnector.createLogger());
        V(UserPreferencesConnector.INSTANCE.createUserPreferencesStorageHandle());
        w1.b.f26034a.b(z());
        U(appInitConnector.loadSessionList(30));
        LicenseManagerConnector licenseManagerConnector = LicenseManagerConnector.INSTANCE;
        String packageName = getPackageName();
        l0.o(packageName, c.b.f14469l);
        N(licenseManagerConnector.createLicenseHandleWithBundleID(packageName, y(), this.f15618v));
        if (TestConfig.INSTANCE.clearStoreKeychain()) {
            licenseManagerConnector.clearSubscription(r());
        }
        ExtensionsConnector extensionsConnector = ExtensionsConnector.INSTANCE;
        J(extensionsConnector.createManager(z()));
        extensionsConnector.loadInstalledExtensions(r(), n());
        HyperModelList createEmptyModelListForDocumentsArea = DocumentsWatcherConnector.INSTANCE.createEmptyModelListForDocumentsArea(r());
        M(new DataAddress(createEmptyModelListForDocumentsArea));
        R(PushNotificationConnector.INSTANCE.createClient(createEmptyModelListForDocumentsArea, y()));
        ModelBrowserDataConnector.INSTANCE.refreshModelList(q(), true);
        Q(OpenUrlConnector.INSTANCE.createOpenUrlController(q().getHyperModelListId(), this.f15619w, this.f15612p, this.f15613q, this.f15614r, this.f15615s, this.f15616t, this.f15617u, this.f15621y, this.f15620x));
        l1.a aVar = new l1.a(this);
        if (!aVar.c()) {
            X();
            aVar.f(true);
        }
    }

    public final boolean p() {
        return this.f15598b;
    }

    public final DataAddress q() {
        DataAddress dataAddress = this.f15602f;
        if (dataAddress != null) {
            return dataAddress;
        }
        l0.S("hyperModelListAddress");
        return null;
    }

    public final LicenseHandle r() {
        LicenseHandle licenseHandle = this.f15603g;
        if (licenseHandle != null) {
            return licenseHandle;
        }
        l0.S("licenseHandle");
        return null;
    }

    public final CppObjectHandle s() {
        CppObjectHandle cppObjectHandle = this.f15600d;
        if (cppObjectHandle != null) {
            return cppObjectHandle;
        }
        l0.S("logger");
        return null;
    }

    public final MainActivity t() {
        return this.f15597a;
    }

    public final OpenUrlControllerHandle u() {
        OpenUrlControllerHandle openUrlControllerHandle = this.f15610n;
        if (openUrlControllerHandle != null) {
            return openUrlControllerHandle;
        }
        l0.S("openUrlControllerHandle");
        return null;
    }

    public final PushNotificationClientHandle v() {
        PushNotificationClientHandle pushNotificationClientHandle = this.f15606j;
        if (pushNotificationClientHandle != null) {
            return pushNotificationClientHandle;
        }
        l0.S("pushNotificationHandle");
        return null;
    }

    public final ArrayList<MessageComposerUser> w() {
        return this.f15609m;
    }

    public final UUID x() {
        return this.f15608l;
    }

    public final SessionListHandle y() {
        SessionListHandle sessionListHandle = this.f15605i;
        if (sessionListHandle != null) {
            return sessionListHandle;
        }
        l0.S("sessionListHandle");
        return null;
    }

    public final UserPreferencesStorageHandle z() {
        UserPreferencesStorageHandle userPreferencesStorageHandle = this.f15601e;
        if (userPreferencesStorageHandle != null) {
            return userPreferencesStorageHandle;
        }
        l0.S("userPreferencesStorageHandle");
        return null;
    }
}
