package com.graphisoft.bimxlab.base;

import android.animation.Animator;
import android.animation.ObjectAnimator;
import android.animation.ValueAnimator;
import android.app.Activity;
import android.content.ClipData;
import android.content.ClipboardManager;
import android.content.ContentResolver;
import android.content.Context;
import android.content.ContextWrapper;
import android.content.Intent;
import android.content.res.Configuration;
import android.content.res.Resources;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.ImageDecoder;
import android.graphics.Paint;
import android.graphics.PointF;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.drawable.Drawable;
import android.net.Uri;
import android.os.Build;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Parcelable;
import android.text.SpannableString;
import android.text.SpannableStringBuilder;
import android.text.style.StrikethroughSpan;
import android.text.style.URLSpan;
import android.util.SizeF;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewTreeObserver;
import android.view.Window;
import android.view.inputmethod.InputMethodManager;
import android.widget.ProgressBar;
import android.widget.TextView;
import android.widget.Toast;
import androidx.core.app.NotificationCompat;
import androidx.core.content.ContextCompat;
import androidx.fragment.app.Fragment;
import androidx.recyclerview.widget.RecyclerView;
import androidx.viewpager.widget.ViewPager;
import com.android.billingclient.api.SkuDetails;
import com.graphisoft.bimx.connector.data.FormattedUserName;
import com.graphisoft.bimx.connector.data.UnmergedMarker;
import com.graphisoft.bimxlab.BuildConfig;
import com.graphisoft.bimxlab.s;
import java.io.IOException;
import java.net.URI;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Calendar;
import java.util.Locale;
import kotlin.collections.g0;
import kotlin.collections.p;
import kotlin.collections.y;
import kotlin.collections.z;
import kotlin.jvm.internal.l0;
import kotlin.jvm.internal.n0;
import kotlin.jvm.internal.s1;
import kotlin.l2;
import kotlin.sequences.m;
import kotlin.sequences.t;
import kotlin.text.b0;
import r4.r;

public final class ExtensionsKt {

    public static final class a implements ViewTreeObserver.OnGlobalLayoutListener {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ View f15743a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ r4.a<l2> f15744b;

        public a(View view, r4.a<l2> aVar) {
            this.f15743a = view;
            this.f15744b = aVar;
        }

        public void onGlobalLayout() {
            if (this.f15743a.getMeasuredWidth() > 0 && this.f15743a.getMeasuredHeight() > 0) {
                this.f15743a.getViewTreeObserver().removeOnGlobalLayoutListener(this);
                this.f15744b.invoke();
            }
        }
    }

    public static final class b implements Animator.AnimatorListener {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ r4.a f15745f;

        public b(r4.a aVar) {
            this.f15745f = aVar;
        }

        public void onAnimationCancel(@a7.d Animator animator) {
            l0.q(animator, "animator");
        }

        public void onAnimationEnd(@a7.d Animator animator) {
            l0.q(animator, "animator");
            this.f15745f.invoke();
        }

        public void onAnimationRepeat(@a7.d Animator animator) {
            l0.q(animator, "animator");
        }

        public void onAnimationStart(@a7.d Animator animator) {
            l0.q(animator, "animator");
        }
    }

    /* access modifiers changed from: package-private */
    public static final class c extends n0 implements r4.a<l2> {

        /* renamed from: f  reason: collision with root package name */
        public static final c f15746f = new c();

        c() {
            super(0);
        }

        @Override // r4.a
        public final void invoke() {
        }
    }

    public static final class d implements Animator.AnimatorListener {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ r4.a f15747f;

        public d(r4.a aVar) {
            this.f15747f = aVar;
        }

        public void onAnimationCancel(@a7.d Animator animator) {
            l0.q(animator, "animator");
        }

        public void onAnimationEnd(@a7.d Animator animator) {
            l0.q(animator, "animator");
            this.f15747f.invoke();
        }

        public void onAnimationRepeat(@a7.d Animator animator) {
            l0.q(animator, "animator");
        }

        public void onAnimationStart(@a7.d Animator animator) {
            l0.q(animator, "animator");
        }
    }

    static final class e extends n0 implements r4.a<l2> {

        /* renamed from: f  reason: collision with root package name */
        public static final e f15748f = new e();

        e() {
            super(0);
        }

        @Override // r4.a
        public final void invoke() {
        }
    }

    public static final class f implements View.OnAttachStateChangeListener {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ RecyclerView f15749a;

        f(RecyclerView recyclerView) {
            this.f15749a = recyclerView;
        }

        public void onViewAttachedToWindow(@a7.d View view) {
            l0.p(view, "v");
        }

        public void onViewDetachedFromWindow(@a7.d View view) {
            l0.p(view, "v");
            this.f15749a.setAdapter(null);
        }
    }

    public static final class g implements View.OnAttachStateChangeListener {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ RecyclerView f15750a;

        g(RecyclerView recyclerView) {
            this.f15750a = recyclerView;
        }

        public void onViewAttachedToWindow(@a7.d View view) {
            l0.p(view, "p0");
        }

        public void onViewDetachedFromWindow(@a7.d View view) {
            l0.p(view, "p0");
            this.f15750a.setLayoutManager(null);
        }
    }

    @a7.e
    public static final View A(@a7.d ViewPager viewPager) {
        l0.p(viewPager, "<this>");
        int childCount = viewPager.getChildCount();
        for (int i7 = 0; i7 < childCount; i7++) {
            View childAt = viewPager.getChildAt(i7);
            l0.o(childAt, "getChildAt(i)");
            ViewGroup.LayoutParams layoutParams = childAt.getLayoutParams();
            if (layoutParams == null) {
                throw new NullPointerException("null cannot be cast to non-null type androidx.viewpager.widget.ViewPager.LayoutParams");
            } else if (!((ViewPager.LayoutParams) layoutParams).isDecor) {
                return childAt;
            }
        }
        return null;
    }

    @a7.d
    public static final String B(@a7.e Context context) {
        String str = Build.MANUFACTURER;
        String str2 = Build.MODEL;
        l0.o(str2, "model");
        Locale locale = Locale.ROOT;
        String lowerCase = str2.toLowerCase(locale);
        l0.o(lowerCase, "this as java.lang.String).toLowerCase(Locale.ROOT)");
        l0.o(str, "manufacturer");
        String lowerCase2 = str.toLowerCase(locale);
        l0.o(lowerCase2, "this as java.lang.String).toLowerCase(Locale.ROOT)");
        if (b0.u2(lowerCase, lowerCase2, false, 2, null)) {
            return l(str2);
        }
        return l(str) + ' ' + str2;
    }

    @a7.d
    public static final String C(@a7.e String str) {
        String host = new URI(str).getHost();
        l0.o(host, "uri.host");
        if (!(b0.u2(host, "www.", false, 2, null))) {
            return host;
        }
        String substring = host.substring(4);
        l0.o(substring, "this as java.lang.String).substring(startIndex)");
        return substring;
    }

    @a7.d
    public static final SpannableStringBuilder D(@a7.d ArrayList<FormattedUserName> arrayList) {
        l0.p(arrayList, "relevantFormattedUserNames");
        String str = "";
        int i7 = 0;
        int i8 = 0;
        for (T t7 : arrayList) {
            int i9 = i8 + 1;
            if (i8 < 0) {
                y.X();
            }
            str = str + t7.getName();
            if (i8 < arrayList.size() - 1) {
                str = str + ", ";
            }
            i8 = i9;
        }
        SpannableStringBuilder spannableStringBuilder = new SpannableStringBuilder(str);
        for (T t8 : arrayList) {
            if (t8.isStrikeout()) {
                spannableStringBuilder.setSpan(new StrikethroughSpan(), i7, t8.getName().length() + i7, 33);
            }
            i7 += t8.getName().length() + 2;
        }
        return spannableStringBuilder;
    }

    @a7.d
    public static final RectF E(@a7.d RectF rectF, @a7.d SizeF sizeF) {
        l0.p(rectF, "<this>");
        l0.p(sizeF, "size");
        return new RectF(rectF.left / sizeF.getWidth(), rectF.top / sizeF.getHeight(), rectF.right / sizeF.getWidth(), rectF.bottom / sizeF.getHeight());
    }

    @a7.d
    public static final Rect F(@a7.d View view) {
        Window window;
        View decorView;
        l0.p(view, "<this>");
        Rect rect = new Rect();
        view.getGlobalVisibleRect(rect);
        Activity t7 = t(view.getContext());
        if (!(t7 == null || (window = t7.getWindow()) == null || (decorView = window.getDecorView()) == null)) {
            int[] iArr = new int[2];
            View findViewById = decorView.findViewById(16908290);
            if (!(findViewById instanceof View)) {
                findViewById = null;
            }
            if (findViewById != null) {
                findViewById.getLocationInWindow(iArr);
            }
            rect.top -= p.Xh(iArr);
            rect.bottom -= p.Xh(iArr);
            rect.left -= p.oc(iArr);
            rect.right -= p.oc(iArr);
        }
        return rect;
    }

    public static final void G(@a7.d ArrayList<r3.a> arrayList, @a7.d m<? extends View> mVar, @a7.d r<? super View, ? super Integer, ? super Integer, ? super Integer, l2> rVar, int i7) {
        int i8;
        l0.p(arrayList, "dMarkers");
        l0.p(mVar, "views");
        l0.p(rVar, "postAction");
        for (T t7 : arrayList) {
            for (com.graphisoft.bimxlab.viewer2D.view.b bVar : t.u(mVar, com.graphisoft.bimxlab.viewer2D.view.b.class)) {
                ArrayList<UnmergedMarker> d7 = t7.d();
                ArrayList arrayList2 = new ArrayList(z.Z(d7, 10));
                for (T t8 : d7) {
                    arrayList2.add(t8.getGuid().toString() + t8.getPosition());
                }
                String str = bVar.getMarker().getGuid().toString() + bVar.getMarker().getPosition();
                if (arrayList2.contains(str)) {
                    bVar.setPosition(t7.b());
                    bVar.setTag(t7);
                    if (l0.g(g0.w2(arrayList2), str)) {
                        bVar.setTag(t7);
                        i8 = 0;
                    } else {
                        bVar.setTag(null);
                        i8 = 4;
                    }
                    bVar.setVisibility(i8);
                    rVar.invoke(bVar, Integer.valueOf((int) bVar.getPosition().x), Integer.valueOf((int) bVar.getPosition().y), Integer.valueOf(i7));
                }
            }
        }
    }

    public static final void H(@a7.d View view) {
        l0.p(view, "<this>");
        Object systemService = view.getContext().getSystemService("input_method");
        if (systemService != null) {
            ((InputMethodManager) systemService).hideSoftInputFromWindow(view.getWindowToken(), 0);
            return;
        }
        throw new NullPointerException("null cannot be cast to non-null type android.view.inputmethod.InputMethodManager");
    }

    public static final void I(@a7.d Fragment fragment) {
        l0.p(fragment, "<this>");
        View view = fragment.getView();
        if (view != null) {
            H(view);
        }
    }

    public static final void J(@a7.d ProgressBar progressBar, @a7.d r4.a<l2> aVar) {
        l0.p(progressBar, "<this>");
        l0.p(aVar, "completion");
        progressBar.setIndeterminate(false);
        progressBar.setProgress(0);
        ObjectAnimator.ofInt(progressBar, NotificationCompat.CATEGORY_PROGRESS, 100).setDuration(1500L).start();
        new Handler(Looper.getMainLooper()).postDelayed(new d(aVar), 1600);
    }

    /* access modifiers changed from: private */
    public static final void K(r4.a aVar) {
        l0.p(aVar, "$completion");
        aVar.invoke();
    }

    public static final void L(@a7.d ProgressBar progressBar) {
        l0.p(progressBar, "<this>");
        progressBar.setProgress(0);
        progressBar.setIndeterminate(true);
        e0(progressBar);
    }

    public static final boolean M(@a7.d RectF rectF) {
        l0.p(rectF, "<this>");
        float f7 = rectF.left;
        return ((double) f7) < 0.001d && ((double) rectF.top) < 0.001d && ((double) (f7 + rectF.width())) > 0.999d && ((double) (rectF.top + rectF.height())) > 0.999d;
    }

    public static final boolean N(@a7.e Context context) {
        Resources resources;
        Configuration configuration;
        return (context == null || (resources = context.getResources()) == null || (configuration = resources.getConfiguration()) == null || configuration.orientation != 2) ? false : true;
    }

    public static final boolean O(@a7.e Context context) {
        Resources resources;
        Configuration configuration;
        return (context == null || (resources = context.getResources()) == null || (configuration = resources.getConfiguration()) == null || configuration.orientation != 1) ? false : true;
    }

    public static final boolean P(@a7.d RectF rectF) {
        l0.p(rectF, "<this>");
        float f7 = rectF.left;
        return ((double) f7) > 0.025d || ((double) rectF.top) > 0.025d || ((double) (f7 + rectF.width())) < 0.975d || ((double) (rectF.top + rectF.height())) < 0.975d;
    }

    public static final boolean Q(@a7.e Context context) {
        return context != null && context.getResources().getConfiguration().smallestScreenWidthDp >= 600;
    }

    public static final /* synthetic */ <T extends Parcelable> T R(Intent intent, String str) {
        l0.p(intent, "<this>");
        l0.p(str, "key");
        if (Build.VERSION.SDK_INT >= 33) {
            l0.y(4, "T");
            return (T) ((Parcelable) a.a(intent, str, Parcelable.class));
        }
        T t7 = (T) intent.getParcelableExtra(str);
        l0.y(2, "T");
        return t7;
    }

    public static final /* synthetic */ <T extends Parcelable> T S(Bundle bundle, String str) {
        l0.p(bundle, "<this>");
        l0.p(str, "key");
        if (Build.VERSION.SDK_INT >= 33) {
            l0.y(4, "T");
            return (T) ((Parcelable) b.a(bundle, str, Parcelable.class));
        }
        T t7 = (T) bundle.getParcelable(str);
        l0.y(2, "T");
        return t7;
    }

    public static final float T(@a7.d SkuDetails skuDetails) {
        l0.p(skuDetails, "<this>");
        return ((float) skuDetails.l()) / 1000000.0f;
    }

    public static final void U(@a7.e RecyclerView recyclerView) {
        if (recyclerView != null) {
            recyclerView.addOnAttachStateChangeListener(new f(recyclerView));
        }
    }

    public static final void V(@a7.e RecyclerView recyclerView) {
        if (recyclerView != null) {
            recyclerView.addOnAttachStateChangeListener(new g(recyclerView));
        }
    }

    public static final void W(@a7.d TextView textView) {
        l0.p(textView, "<this>");
        SpannableString spannableString = new SpannableString(textView.getText());
        Object[] spans = spannableString.getSpans(0, spannableString.length(), URLSpan.class);
        l0.o(spans, "spannable.getSpans(0, sp…gth, URLSpan::class.java)");
        URLSpan[] uRLSpanArr = (URLSpan[]) spans;
        for (URLSpan uRLSpan : uRLSpanArr) {
            spannableString.setSpan(new ExtensionsKt$removeLinksUnderline$1(uRLSpan.getURL()), spannableString.getSpanStart(uRLSpan), spannableString.getSpanEnd(uRLSpan), 0);
        }
        textView.setText(spannableString);
    }

    public static final void X(@a7.e View view) {
        Context context;
        if (view != null) {
            view.requestFocus();
        }
        InputMethodManager inputMethodManager = null;
        Object systemService = (view == null || (context = view.getContext()) == null) ? null : context.getSystemService("input_method");
        if (systemService instanceof InputMethodManager) {
            inputMethodManager = (InputMethodManager) systemService;
        }
        if (inputMethodManager != null) {
            inputMethodManager.showSoftInput(view, 1);
        }
    }

    @a7.d
    public static final Bitmap Y(@a7.d View view, boolean z7) {
        int i7;
        Bitmap.Config config;
        int i8;
        l0.p(view, "<this>");
        if (z7) {
            i7 = view.getWidth();
            i8 = view.getHeight();
            config = Bitmap.Config.RGB_565;
        } else {
            i7 = view.getWidth();
            i8 = view.getHeight();
            config = Bitmap.Config.ARGB_8888;
        }
        Bitmap createBitmap = Bitmap.createBitmap(i7, i8, config);
        Canvas canvas = new Canvas(createBitmap);
        Drawable background = view.getBackground();
        if (background != null) {
            background.draw(canvas);
        } else {
            canvas.drawColor(-1);
        }
        view.draw(canvas);
        l0.o(createBitmap, "bitmap");
        return createBitmap;
    }

    public static /* synthetic */ Bitmap Z(View view, boolean z7, int i7, Object obj) {
        if ((i7 & 1) != 0) {
            z7 = false;
        }
        return Y(view, z7);
    }

    @a7.d
    public static final String a0(@a7.e Calendar calendar) {
        if (calendar == null) {
            return "N/A";
        }
        Calendar instance = Calendar.getInstance();
        String format = ((calendar.get(1) == instance.get(1) && calendar.get(2) == instance.get(2) && calendar.get(5) == instance.get(5)) ? new SimpleDateFormat("HH:mm", Locale.getDefault()) : new SimpleDateFormat("yyyy. MM. dd.", Locale.getDefault())).format(calendar.getTime());
        l0.o(format, "sdf.format(this.time)");
        return format;
    }

    public static final int b0(@a7.d Resources resources) {
        l0.p(resources, "<this>");
        return resources.getDimensionPixelSize(s.f.V1);
    }

    public static final void c0(@a7.e View view) {
        if (view != null) {
            view.setVisibility(8);
        }
    }

    public static final void d(@a7.d View view, @a7.d r4.a<l2> aVar) {
        l0.p(view, "<this>");
        l0.p(aVar, "f");
        view.getViewTreeObserver().addOnGlobalLayoutListener(new a(view, aVar));
    }

    public static final void d0(@a7.e View view) {
        if (view != null) {
            view.setVisibility(4);
        }
    }

    public static final void e(@a7.d View view, int i7, int i8, @a7.d r4.a<l2> aVar) {
        l0.p(view, "<this>");
        l0.p(aVar, "postAction");
        ValueAnimator ofInt = ValueAnimator.ofInt(i7, i8);
        ofInt.addUpdateListener(new e(view));
        l0.o(ofInt, "anim");
        ofInt.addListener(new b(aVar));
        ofInt.setDuration((long) view.getResources().getInteger(s.i.f17206b));
        ofInt.start();
    }

    public static final void e0(@a7.e View view) {
        if (view != null) {
            view.setVisibility(0);
        }
    }

    public static /* synthetic */ void f(View view, int i7, int i8, r4.a aVar, int i9, Object obj) {
        if ((i9 & 4) != 0) {
            aVar = c.f15746f;
        }
        e(view, i7, i8, aVar);
    }

    /* access modifiers changed from: private */
    public static final void g(View view, ValueAnimator valueAnimator) {
        l0.p(view, "$this_animateHeight");
        l0.p(valueAnimator, "valueAnimator");
        Object animatedValue = valueAnimator.getAnimatedValue();
        if (animatedValue != null) {
            int intValue = ((Integer) animatedValue).intValue();
            ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
            if (layoutParams != null) {
                layoutParams.height = intValue;
            }
            view.requestLayout();
            return;
        }
        throw new NullPointerException("null cannot be cast to non-null type kotlin.Int");
    }

    public static final void h(@a7.d View view, int i7, int i8, @a7.d r4.a<l2> aVar) {
        l0.p(view, "<this>");
        l0.p(aVar, "postAction");
        ValueAnimator ofInt = ValueAnimator.ofInt(i7, i8);
        ofInt.addUpdateListener(new c(view));
        l0.o(ofInt, "anim");
        ofInt.addListener(new d(aVar));
        ofInt.setDuration((long) view.getResources().getInteger(s.i.f17206b));
        ofInt.start();
    }

    public static /* synthetic */ void i(View view, int i7, int i8, r4.a aVar, int i9, Object obj) {
        if ((i9 & 4) != 0) {
            aVar = e.f15748f;
        }
        h(view, i7, i8, aVar);
    }

    /* access modifiers changed from: private */
    public static final void j(View view, ValueAnimator valueAnimator) {
        l0.p(view, "$this_animateWidth");
        l0.p(valueAnimator, "valueAnimator");
        Object animatedValue = valueAnimator.getAnimatedValue();
        if (animatedValue != null) {
            int intValue = ((Integer) animatedValue).intValue();
            ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
            if (layoutParams != null) {
                layoutParams.width = intValue;
            }
            view.requestLayout();
            return;
        }
        throw new NullPointerException("null cannot be cast to non-null type kotlin.Int");
    }

    @a7.d
    public static final String k(long j7, @a7.d Resources resources) {
        String str;
        l0.p(resources, "resources");
        double d7 = (double) j7;
        int log10 = (int) (Math.log10(d7) / ((double) 3));
        double pow = d7 / Math.pow(10.0d, ((double) log10) * 3.0d);
        String string = resources.getString(s.n.I1);
        l0.o(string, "resources.getString(R.string.FileSize_GByte)");
        if (log10 == 0) {
            string = resources.getString(s.n.H1);
            str = "resources.getString(R.string.FileSize_Byte)";
        } else if (log10 != 1) {
            if (log10 == 2) {
                string = resources.getString(s.n.K1);
                str = "resources.getString(R.string.FileSize_MByte)";
            }
            s1 s1Var = s1.f19859a;
            String format = String.format("%.1f", Arrays.copyOf(new Object[]{Double.valueOf(pow)}, 1));
            l0.o(format, "format(format, *args)");
            return format + ' ' + string;
        } else {
            string = resources.getString(s.n.J1);
            str = "resources.getString(R.string.FileSize_KByte)";
        }
        l0.o(string, str);
        s1 s1Var2 = s1.f19859a;
        String format2 = String.format("%.1f", Arrays.copyOf(new Object[]{Double.valueOf(pow)}, 1));
        l0.o(format2, "format(format, *args)");
        return format2 + ' ' + string;
    }

    @a7.d
    public static final String l(@a7.d String str) {
        String str2;
        l0.p(str, "<this>");
        if (!(str.length() > 0)) {
            return str;
        }
        StringBuilder sb = new StringBuilder();
        char charAt = str.charAt(0);
        if (Character.isLowerCase(charAt)) {
            Locale locale = Locale.getDefault();
            l0.o(locale, "getDefault()");
            str2 = kotlin.text.d.v(charAt, locale);
        } else {
            str2 = String.valueOf(charAt);
        }
        sb.append((Object) str2);
        String substring = str.substring(1);
        l0.o(substring, "this as java.lang.String).substring(startIndex)");
        sb.append(substring);
        return sb.toString();
    }

    @a7.e
    public static final Bitmap m(@a7.d Bitmap bitmap, @a7.d Bitmap bitmap2) {
        l0.p(bitmap, "c");
        l0.p(bitmap2, "s");
        Bitmap createBitmap = Bitmap.createBitmap(bitmap.getWidth(), bitmap.getHeight(), Bitmap.Config.ARGB_8888);
        Canvas canvas = new Canvas(createBitmap);
        canvas.drawBitmap(bitmap, 0.0f, 0.0f, (Paint) null);
        canvas.drawBitmap(bitmap2, 0.0f, (float) (bitmap.getHeight() - bitmap2.getHeight()), (Paint) null);
        return createBitmap;
    }

    public static final int n(@a7.d Resources resources) {
        l0.p(resources, "<this>");
        return resources.getDimensionPixelSize(s.f.f16921u);
    }

    public static final void o(@a7.d String str, @a7.d Context context) {
        l0.p(str, "<this>");
        l0.p(context, "context");
        ClipboardManager clipboardManager = (ClipboardManager) ContextCompat.getSystemService(context, ClipboardManager.class);
        ClipData newPlainText = ClipData.newPlainText("", str);
        if (clipboardManager != null) {
            clipboardManager.setPrimaryClip(newPlainText);
        }
        Toast.makeText(context, s.n.D5, 0).show();
    }

    @a7.d
    public static final String p(@a7.e Calendar calendar) {
        if (calendar == null) {
            return "";
        }
        String format = new SimpleDateFormat("yyyy. MM. dd. HH:mm", Locale.getDefault()).format(calendar.getTime());
        l0.o(format, "sdf.format(this.time)");
        return format;
    }

    @a7.e
    public static final ArrayList<r3.a> q(@a7.d Resources resources, @a7.d ArrayList<UnmergedMarker> arrayList, @a7.d ArrayList<r3.a> arrayList2, @a7.e Float f7) {
        l0.p(resources, "resources");
        l0.p(arrayList, "markers");
        l0.p(arrayList2, "displayedMarkers");
        ArrayList<r3.a> arrayList3 = new ArrayList<>();
        float dimensionPixelSize = ((float) resources.getDimensionPixelSize(s.f.f16907p0)) / (f7 != null ? f7.floatValue() : 1.0f);
        for (T t7 : arrayList) {
            boolean z7 = false;
            for (T t8 : arrayList3) {
                if (!z7 && t8.a(t7, dimensionPixelSize)) {
                    z7 = true;
                }
            }
            if (!z7) {
                arrayList3.add(new r3.a(t7));
            }
        }
        if (!l0.g(arrayList2, arrayList3)) {
            return arrayList3;
        }
        return null;
    }

    public static /* synthetic */ ArrayList r(Resources resources, ArrayList arrayList, ArrayList arrayList2, Float f7, int i7, Object obj) {
        if ((i7 & 8) != 0) {
            f7 = null;
        }
        return q(resources, arrayList, arrayList2, f7);
    }

    public static final double s(@a7.d PointF pointF, @a7.d PointF pointF2) {
        l0.p(pointF, "<this>");
        l0.p(pointF2, "otherPosition");
        double d7 = (double) 2.0f;
        return Math.sqrt(((double) ((float) Math.pow((double) (pointF.x - pointF2.x), d7))) + ((double) ((float) Math.pow((double) (pointF.y - pointF2.y), d7))));
    }

    @a7.e
    public static final Activity t(@a7.e Context context) {
        while (context instanceof ContextWrapper) {
            if (context instanceof Activity) {
                return (Activity) context;
            }
            context = ((ContextWrapper) context).getBaseContext();
        }
        return null;
    }

    public static final int u(@a7.e Context context) {
        Activity t7;
        Window window;
        View decorView;
        View view = null;
        View findViewById = (context == null || (t7 = t(context)) == null || (window = t7.getWindow()) == null || (decorView = window.getDecorView()) == null) ? null : decorView.findViewById(16908290);
        if (findViewById instanceof View) {
            view = findViewById;
        }
        if (view != null) {
            return view.getHeight();
        }
        return 0;
    }

    public static final int v(@a7.e Context context) {
        Activity t7;
        Window window;
        View decorView;
        View view = null;
        View findViewById = (context == null || (t7 = t(context)) == null || (window = t7.getWindow()) == null || (decorView = window.getDecorView()) == null) ? null : decorView.findViewById(16908290);
        if (findViewById instanceof View) {
            view = findViewById;
        }
        if (view != null) {
            return view.getWidth();
        }
        return 0;
    }

    @a7.d
    public static final String w() {
        String str = Build.VERSION.RELEASE;
        int i7 = Build.VERSION.SDK_INT;
        return i7 + " (" + str + ')';
    }

    @a7.d
    public static final String x() {
        return BuildConfig.VERSION_NAME;
    }

    @a7.e
    public static final Bitmap y(@a7.e Uri uri, @a7.d ContentResolver contentResolver) {
        l0.p(contentResolver, "contentResolver");
        if (uri == null) {
            return null;
        }
        ImageDecoder.Source createSource = ImageDecoder.createSource(contentResolver, uri);
        l0.o(createSource, "createSource(contentResolver, this)");
        try {
            return ImageDecoder.decodeBitmap(createSource);
        } catch (IOException unused) {
            return null;
        }
    }

    @a7.d
    public static final Bitmap z(@a7.d Bitmap bitmap, @a7.d Context context, @a7.d RectF rectF) {
        l0.p(bitmap, "<this>");
        l0.p(context, "context");
        l0.p(rectF, "rectF");
        Bitmap copy = bitmap.copy(Bitmap.Config.ARGB_8888, true);
        Paint paint = new Paint();
        paint.setColor(ContextCompat.getColor(context, s.e.S));
        paint.setStyle(Paint.Style.FILL);
        rectF.set(rectF.left * ((float) copy.getWidth()), rectF.bottom * ((float) copy.getHeight()), rectF.right * ((float) copy.getWidth()), rectF.top * ((float) copy.getHeight()));
        new Canvas(copy).drawRect(rectF, paint);
        l0.o(copy, "copiedBitmap");
        return copy;
    }
}
