package com.graphisoft.bimxlab.utils.manager;

import android.annotation.SuppressLint;
import android.app.Activity;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.pm.PackageManager;
import android.content.res.Resources;
import android.net.Uri;
import android.provider.MediaStore;
import androidx.core.net.MailTo;
import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentActivity;
import androidx.fragment.app.FragmentManager;
import androidx.navigation.NavController;
import androidx.navigation.NavOptions;
import com.google.android.gms.common.internal.w;
import com.graphisoft.bimx.connector.LicenseManagerConnector;
import com.graphisoft.bimx.connector.MainNavigationDataConnector;
import com.graphisoft.bimx.connector.NetLoggerConnector;
import com.graphisoft.bimx.connector.PubItem3dRoadshowEngineConnector;
import com.graphisoft.bimx.connector.contentspecification.ContentSpecification;
import com.graphisoft.bimx.connector.contentspecification.IndexContentSpec;
import com.graphisoft.bimx.connector.contentspecification.PubItem2dPageContentSpec;
import com.graphisoft.bimx.connector.contentspecification.PubItem3dContentSpec;
import com.graphisoft.bimx.connector.data.GraphicsEnvInfo;
import com.graphisoft.bimx.connector.dataaddresses.DataAddress;
import com.graphisoft.bimx.connector.dataaddresses.HyperModelDataAddress;
import com.graphisoft.bimx.connector.dataaddresses.PublisherItemDataAddress;
import com.graphisoft.bimx.connector.dataaddresses.PublisherItemPageDataAddress;
import com.graphisoft.bimx.connector.enums.ExtensionMenuItemPresentationStyle;
import com.graphisoft.bimxlab.MainActivity;
import com.graphisoft.bimxlab.VR.model.VRFragmentData;
import com.graphisoft.bimxlab.base.ExtensionsKt;
import com.graphisoft.bimxlab.base.enums.NavigatorTransitionStyle;
import com.graphisoft.bimxlab.base.model.FragmentData;
import com.graphisoft.bimxlab.base.view.LoadingView;
import com.graphisoft.bimxlab.conversion.model.fragmentData.ConversionFragmentData;
import com.graphisoft.bimxlab.elementPopup.model.ElementPopUpFragmentData;
import com.graphisoft.bimxlab.indexBrowser.model.IndexBrowserFragmentData;
import com.graphisoft.bimxlab.linkPopup.model.LinkPopUpFragmentData;
import com.graphisoft.bimxlab.m;
import com.graphisoft.bimxlab.markerPopup.model.MarkerPopUpFragmentData;
import com.graphisoft.bimxlab.measure.model.MeasureScaleSelectorFragmentData;
import com.graphisoft.bimxlab.moreOptions.model.MoreOptionsFragmentData;
import com.graphisoft.bimxlab.s;
import com.graphisoft.bimxlab.selectionPopup.model.SelectionPopUpFragmentData;
import com.graphisoft.bimxlab.ticketDialog.model.TicketDialogFragmentData;
import com.graphisoft.bimxlab.urlPopUp.model.UrlPopUpFragmentData;
import com.graphisoft.bimxlab.utils.manager.navigation.NavigationProcess;
import com.graphisoft.bimxlab.viewer2D.fragment.Viewer2DFragment;
import com.graphisoft.bimxlab.viewer2D.model.Viewer2DFragmentData;
import com.graphisoft.bimxlab.viewer3D.fragment.Viewer3DFragment;
import com.graphisoft.bimxlab.viewer3D.model.Viewer3DFragmentData;
import com.graphisoft.bimxlab.zonePopup.model.ElementInfoPopUpFragmentData;
import j1.e3;
import j1.f3;
import j1.j0;
import j1.p0;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Locale;
import java.util.Map;
import java.util.UUID;
import kotlin.collections.g0;
import kotlin.coroutines.jvm.internal.o;
import kotlin.e1;
import kotlin.jvm.internal.k1;
import kotlin.jvm.internal.l0;
import kotlin.jvm.internal.n0;
import kotlin.l2;
import kotlinx.coroutines.l;
import kotlinx.coroutines.m2;
import kotlinx.coroutines.t0;
import org.greenrobot.eventbus.EventBus;
import r4.p;

public final class b {
    @a7.d

    /* renamed from: a  reason: collision with root package name */
    public static final b f17800a = new b();
    @a7.d

    /* renamed from: b  reason: collision with root package name */
    private static ArrayList<FragmentData> f17801b = new ArrayList<>();

    /* renamed from: c  reason: collision with root package name */
    private static boolean f17802c = true;
    @a7.e

    /* renamed from: d  reason: collision with root package name */
    private static String f17803d;
    @a7.e

    /* renamed from: e  reason: collision with root package name */
    private static String f17804e;
    @a7.d

    /* renamed from: f  reason: collision with root package name */
    private static final NavOptions f17805f = new NavOptions.Builder().setEnterAnim(s.a.f16776c).setExitAnim(s.a.f16779f).setPopEnterAnim(s.a.f16775b).setPopExitAnim(s.a.f16780g).build();

    public /* synthetic */ class a {

        /* renamed from: a  reason: collision with root package name */
        public static final /* synthetic */ int[] f17806a;

        static {
            int[] iArr = new int[ExtensionMenuItemPresentationStyle.values().length];
            iArr[ExtensionMenuItemPresentationStyle.Modal.ordinal()] = 1;
            f17806a = iArr;
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: com.graphisoft.bimxlab.utils.manager.b$b  reason: collision with other inner class name */
    public static final class C0248b extends n0 implements r4.a<l2> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ Viewer3DFragment f17807f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ NavController f17808g;

        /* renamed from: p  reason: collision with root package name */
        final /* synthetic */ Viewer2DFragmentData f17809p;

        /* access modifiers changed from: package-private */
        @kotlin.coroutines.jvm.internal.f(c = "com.graphisoft.bimxlab.utils.manager.NavigationManager$navigateTo2DWith$3$1$1", f = "NavigationManager.kt", i = {}, l = {}, m = "invokeSuspend", n = {}, s = {})
        /* renamed from: com.graphisoft.bimxlab.utils.manager.b$b$a */
        public static final class a extends o implements p<t0, kotlin.coroutines.d<? super l2>, Object> {

            /* renamed from: f  reason: collision with root package name */
            int f17810f;

            /* renamed from: g  reason: collision with root package name */
            final /* synthetic */ Viewer3DFragment f17811g;

            /* renamed from: p  reason: collision with root package name */
            final /* synthetic */ NavController f17812p;

            /* renamed from: x  reason: collision with root package name */
            final /* synthetic */ Viewer2DFragmentData f17813x;

            /* JADX INFO: super call moved to the top of the method (can break code semantics) */
            a(Viewer3DFragment viewer3DFragment, NavController navController, Viewer2DFragmentData viewer2DFragmentData, kotlin.coroutines.d<? super a> dVar) {
                super(2, dVar);
                this.f17811g = viewer3DFragment;
                this.f17812p = navController;
                this.f17813x = viewer2DFragmentData;
            }

            @Override // kotlin.coroutines.jvm.internal.a
            @a7.d
            public final kotlin.coroutines.d<l2> create(@a7.e Object obj, @a7.d kotlin.coroutines.d<?> dVar) {
                return new a(this.f17811g, this.f17812p, this.f17813x, dVar);
            }

            @Override // kotlin.coroutines.jvm.internal.a
            @a7.e
            public final Object invokeSuspend(@a7.d Object obj) {
                Object unused = kotlin.coroutines.intrinsics.d.h();
                if (this.f17810f == 0) {
                    e1.n(obj);
                    FragmentActivity activity = this.f17811g.getActivity();
                    MainActivity mainActivity = activity instanceof MainActivity ? (MainActivity) activity : null;
                    if (mainActivity != null) {
                        Resources resources = this.f17811g.getResources();
                        l0.o(resources, "fragment3d.resources");
                        mainActivity.e0(resources);
                    }
                    b.f17800a.T(this.f17812p, this.f17813x);
                    return l2.f19890a;
                }
                throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
            }

            @a7.e
            public final Object invoke(@a7.d t0 t0Var, @a7.e kotlin.coroutines.d<? super l2> dVar) {
                return ((a) create(t0Var, dVar)).invokeSuspend(l2.f19890a);
            }
        }

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        C0248b(Viewer3DFragment viewer3DFragment, NavController navController, Viewer2DFragmentData viewer2DFragmentData) {
            super(0);
            this.f17807f = viewer3DFragment;
            this.f17808g = navController;
            this.f17809p = viewer2DFragmentData;
        }

        @Override // r4.a
        public final void invoke() {
            m2 unused = l.f(m.b(), null, null, new a(this.f17807f, this.f17808g, this.f17809p, null), 3, null);
        }
    }

    /* access modifiers changed from: package-private */
    public static final class c extends n0 implements r4.a<l2> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ MainActivity f17814f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ FragmentManager f17815g;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        c(MainActivity mainActivity, FragmentManager fragmentManager) {
            super(0);
            this.f17814f = mainActivity;
            this.f17815g = fragmentManager;
        }

        @Override // r4.a
        public final void invoke() {
            a aVar = a.f17786a;
            Resources resources = this.f17814f.getResources();
            l0.o(resources, "activity.resources");
            aVar.e(resources, this.f17815g);
        }
    }

    /* access modifiers changed from: package-private */
    public static final class d extends n0 implements r4.a<l2> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ MainActivity f17816f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ FragmentManager f17817g;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        d(MainActivity mainActivity, FragmentManager fragmentManager) {
            super(0);
            this.f17816f = mainActivity;
            this.f17817g = fragmentManager;
        }

        @Override // r4.a
        public final void invoke() {
            a aVar = a.f17786a;
            Resources resources = this.f17816f.getResources();
            l0.o(resources, "activity.resources");
            aVar.d(resources, this.f17817g);
        }
    }

    /* access modifiers changed from: package-private */
    public static final class e extends n0 implements r4.a<l2> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ FragmentManager f17818f;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        e(FragmentManager fragmentManager) {
            super(0);
            this.f17818f = fragmentManager;
        }

        @Override // r4.a
        public final void invoke() {
            a.f17786a.g(this.f17818f, i1.c.STREAMING);
        }
    }

    /* access modifiers changed from: package-private */
    @kotlin.coroutines.jvm.internal.f(c = "com.graphisoft.bimxlab.utils.manager.NavigationManager$navigateTo3DWith$1$1$4", f = "NavigationManager.kt", i = {}, l = {}, m = "invokeSuspend", n = {}, s = {})
    public static final class f extends o implements p<t0, kotlin.coroutines.d<? super l2>, Object> {

        /* renamed from: f  reason: collision with root package name */
        int f17819f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ MainActivity f17820g;

        /* renamed from: p  reason: collision with root package name */
        final /* synthetic */ k1.h<r4.a<l2>> f17821p;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        f(MainActivity mainActivity, k1.h<r4.a<l2>> hVar, kotlin.coroutines.d<? super f> dVar) {
            super(2, dVar);
            this.f17820g = mainActivity;
            this.f17821p = hVar;
        }

        @Override // kotlin.coroutines.jvm.internal.a
        @a7.d
        public final kotlin.coroutines.d<l2> create(@a7.e Object obj, @a7.d kotlin.coroutines.d<?> dVar) {
            return new f(this.f17820g, this.f17821p, dVar);
        }

        @Override // kotlin.coroutines.jvm.internal.a
        @a7.e
        public final Object invokeSuspend(@a7.d Object obj) {
            Object unused = kotlin.coroutines.intrinsics.d.h();
            if (this.f17819f == 0) {
                e1.n(obj);
                MainActivity.s(this.f17820g, false, null, 3, null);
                EventBus.getDefault().post(new p0());
                this.f17821p.f19817f.invoke();
                return l2.f19890a;
            }
            throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
        }

        @a7.e
        public final Object invoke(@a7.d t0 t0Var, @a7.e kotlin.coroutines.d<? super l2> dVar) {
            return ((f) create(t0Var, dVar)).invokeSuspend(l2.f19890a);
        }
    }

    /* access modifiers changed from: package-private */
    @kotlin.coroutines.jvm.internal.f(c = "com.graphisoft.bimxlab.utils.manager.NavigationManager$navigateTo3DWith$3", f = "NavigationManager.kt", i = {}, l = {}, m = "invokeSuspend", n = {}, s = {})
    public static final class g extends o implements p<t0, kotlin.coroutines.d<? super l2>, Object> {

        /* renamed from: f  reason: collision with root package name */
        int f17822f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ Fragment f17823g;

        /* renamed from: p  reason: collision with root package name */
        final /* synthetic */ MainActivity f17824p;

        /* renamed from: x  reason: collision with root package name */
        final /* synthetic */ NavController f17825x;

        /* renamed from: y  reason: collision with root package name */
        final /* synthetic */ Viewer3DFragmentData f17826y;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        g(Fragment fragment, MainActivity mainActivity, NavController navController, Viewer3DFragmentData viewer3DFragmentData, kotlin.coroutines.d<? super g> dVar) {
            super(2, dVar);
            this.f17823g = fragment;
            this.f17824p = mainActivity;
            this.f17825x = navController;
            this.f17826y = viewer3DFragmentData;
        }

        @Override // kotlin.coroutines.jvm.internal.a
        @a7.d
        public final kotlin.coroutines.d<l2> create(@a7.e Object obj, @a7.d kotlin.coroutines.d<?> dVar) {
            return new g(this.f17823g, this.f17824p, this.f17825x, this.f17826y, dVar);
        }

        @Override // kotlin.coroutines.jvm.internal.a
        @a7.e
        public final Object invokeSuspend(@a7.d Object obj) {
            MainActivity mainActivity;
            Object unused = kotlin.coroutines.intrinsics.d.h();
            if (this.f17822f == 0) {
                e1.n(obj);
                Fragment fragment = this.f17823g;
                PublisherItemPageDataAddress publisherItemPageDataAddress = null;
                Viewer2DFragment viewer2DFragment = fragment instanceof Viewer2DFragment ? (Viewer2DFragment) fragment : null;
                if (viewer2DFragment != null) {
                    Viewer3DFragmentData viewer3DFragmentData = this.f17826y;
                    q3.b H = viewer2DFragment.H();
                    if (H != null) {
                        publisherItemPageDataAddress = H.a();
                    }
                    viewer3DFragmentData.n(publisherItemPageDataAddress);
                    viewer3DFragmentData.o(viewer2DFragment.D());
                }
                if (!(this.f17823g instanceof Viewer3DFragment)) {
                    MainActivity mainActivity2 = this.f17824p;
                    boolean z7 = false;
                    if (mainActivity2 != null && mainActivity2.I()) {
                        z7 = true;
                    }
                    if (!z7 && (mainActivity = this.f17824p) != null) {
                        MainActivity.d0(mainActivity, true, null, LoadingView.a.Loading3d, 2, null);
                    }
                }
                b.f17800a.U(this.f17825x, this.f17826y);
                return l2.f19890a;
            }
            throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
        }

        @a7.e
        public final Object invoke(@a7.d t0 t0Var, @a7.e kotlin.coroutines.d<? super l2> dVar) {
            return ((g) create(t0Var, dVar)).invokeSuspend(l2.f19890a);
        }
    }

    /* access modifiers changed from: package-private */
    @kotlin.coroutines.jvm.internal.f(c = "com.graphisoft.bimxlab.utils.manager.NavigationManager$navigateToIndexBrowserWith$1", f = "NavigationManager.kt", i = {}, l = {}, m = "invokeSuspend", n = {}, s = {})
    public static final class h extends o implements p<t0, kotlin.coroutines.d<? super l2>, Object> {

        /* renamed from: f  reason: collision with root package name */
        int f17827f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ NavController f17828g;

        /* renamed from: p  reason: collision with root package name */
        final /* synthetic */ IndexBrowserFragmentData f17829p;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        h(NavController navController, IndexBrowserFragmentData indexBrowserFragmentData, kotlin.coroutines.d<? super h> dVar) {
            super(2, dVar);
            this.f17828g = navController;
            this.f17829p = indexBrowserFragmentData;
        }

        @Override // kotlin.coroutines.jvm.internal.a
        @a7.d
        public final kotlin.coroutines.d<l2> create(@a7.e Object obj, @a7.d kotlin.coroutines.d<?> dVar) {
            return new h(this.f17828g, this.f17829p, dVar);
        }

        @Override // kotlin.coroutines.jvm.internal.a
        @a7.e
        public final Object invokeSuspend(@a7.d Object obj) {
            Object unused = kotlin.coroutines.intrinsics.d.h();
            if (this.f17827f == 0) {
                e1.n(obj);
                b.f17800a.R(this.f17828g, this.f17829p);
                return l2.f19890a;
            }
            throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
        }

        @a7.e
        public final Object invoke(@a7.d t0 t0Var, @a7.e kotlin.coroutines.d<? super l2> dVar) {
            return ((h) create(t0Var, dVar)).invokeSuspend(l2.f19890a);
        }
    }

    /* access modifiers changed from: package-private */
    public static final class i extends n0 implements r4.a<l2> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ NavController f17830f;

        /* renamed from: g  reason: collision with root package name */
        final /* synthetic */ FragmentManager f17831g;

        /* renamed from: p  reason: collision with root package name */
        final /* synthetic */ FragmentData f17832p;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        i(NavController navController, FragmentManager fragmentManager, FragmentData fragmentData) {
            super(0);
            this.f17830f = navController;
            this.f17831g = fragmentManager;
            this.f17832p = fragmentData;
        }

        @Override // r4.a
        public final void invoke() {
            b.f17800a.I(this.f17830f, this.f17831g, this.f17832p);
        }
    }

    private b() {
    }

    public static /* synthetic */ void M(b bVar, Context context, String str, String str2, int i7, Object obj) {
        if ((i7 & 2) != 0) {
            str = null;
        }
        if ((i7 & 4) != 0) {
            str2 = null;
        }
        bVar.L(context, str, str2);
    }

    private final void Q(FragmentData fragmentData, NavController navController, FragmentManager fragmentManager) {
        f17801b.remove(fragmentData);
        EventBus.getDefault().post(new f3(new i(navController, fragmentManager, fragmentData)));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void R(NavController navController, IndexBrowserFragmentData indexBrowserFragmentData) {
        navController.navigate(com.graphisoft.bimxlab.modelBrowser.fragment.d.f16468a.h(indexBrowserFragmentData), (NavOptions) null);
    }

    private final void S(NavController navController, VRFragmentData vRFragmentData) {
        navController.navigate(com.graphisoft.bimxlab.viewer3D.fragment.m.f18279a.m(vRFragmentData), (NavOptions) null);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void T(NavController navController, Viewer2DFragmentData viewer2DFragmentData) {
        navController.navigate(com.graphisoft.bimxlab.viewer2D.fragment.f.f17980a.j(viewer2DFragmentData), (NavOptions) null);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void U(NavController navController, Viewer3DFragmentData viewer3DFragmentData) {
        navController.navigate(com.graphisoft.bimxlab.viewer3D.fragment.m.f18279a.l(viewer3DFragmentData), (NavOptions) null);
    }

    private final void n(NavController navController, FragmentManager fragmentManager, Viewer2DFragmentData viewer2DFragmentData) {
        com.graphisoft.bimxlab.viewer3D.viewModel.g m02;
        Viewer3DFragmentData N;
        ContentSpecification c7;
        DataAddress address;
        Fragment h7 = h(fragmentManager);
        PubItem2dPageContentSpec pubItem2dPageContentSpec = null;
        Viewer2DFragment viewer2DFragment = h7 instanceof Viewer2DFragment ? (Viewer2DFragment) h7 : null;
        if (viewer2DFragment != null) {
            viewer2DFragment.a0(viewer2DFragmentData);
            return;
        }
        NavigationProcess g7 = viewer2DFragmentData.g();
        if ((g7 != null ? g7.b() : null) == NavigatorTransitionStyle.FANCY) {
            Fragment h8 = h(fragmentManager);
            Viewer3DFragment viewer3DFragment = h8 instanceof Viewer3DFragment ? (Viewer3DFragment) h8 : null;
            if (!(viewer3DFragment == null || (m02 = viewer3DFragment.m0()) == null || (N = m02.N()) == null || (c7 = N.c()) == null || (address = c7.getAddress()) == null || (!(!new HyperModelDataAddress(address, ((PublisherItemDataAddress) address).getHyperModelId()).representsSupersetDataComparedTo(viewer2DFragmentData.c().getAddress())) && MainNavigationDataConnector.INSTANCE.hasGhostableDrawing(viewer2DFragmentData.j().getAddress())))) {
                f17800a.T(navController, viewer2DFragmentData);
                return;
            }
        }
        Fragment h9 = h(fragmentManager);
        Viewer3DFragment viewer3DFragment2 = h9 instanceof Viewer3DFragment ? (Viewer3DFragment) h9 : null;
        if (viewer3DFragment2 != null) {
            EventBus.getDefault().post(new j0());
            viewer3DFragment2.m0().K0(new C0248b(viewer3DFragment2, navController, viewer2DFragmentData));
            ContentSpecification c8 = viewer2DFragmentData.c();
            if (c8 instanceof PubItem2dPageContentSpec) {
                pubItem2dPageContentSpec = (PubItem2dPageContentSpec) c8;
            }
            if (pubItem2dPageContentSpec != null) {
                viewer3DFragment2.m0().U0(pubItem2dPageContentSpec);
                return;
            }
            return;
        }
        T(navController, viewer2DFragmentData);
    }

    /* JADX WARNING: Removed duplicated region for block: B:28:0x0075  */
    private final void o(NavController navController, FragmentManager fragmentManager, Viewer3DFragmentData viewer3DFragmentData) {
        T t7;
        Fragment h7 = h(fragmentManager);
        Viewer3DFragment viewer3DFragment = null;
        FragmentActivity activity = h7 != null ? h7.getActivity() : null;
        MainActivity mainActivity = activity instanceof MainActivity ? (MainActivity) activity : null;
        if (mainActivity != null) {
            DataAddress address = viewer3DFragmentData.c().getAddress();
            PublisherItemDataAddress publisherItemDataAddress = address instanceof PublisherItemDataAddress ? (PublisherItemDataAddress) address : null;
            if (publisherItemDataAddress != null) {
                k1.h hVar = new k1.h();
                MainNavigationDataConnector mainNavigationDataConnector = MainNavigationDataConnector.INSTANCE;
                if (!mainNavigationDataConnector.hasPubItem3dBoundingBox(publisherItemDataAddress)) {
                    t7 = (T) new c(mainActivity, fragmentManager);
                } else if (mainNavigationDataConnector.isPubItem3dBoundingBoxInvalid(publisherItemDataAddress)) {
                    NetLoggerConnector.INSTANCE.flurryLogEvent("BIMxEmptyModel3DOpened", new HashMap<>());
                    t7 = (T) new d(mainActivity, fragmentManager);
                } else {
                    if (!LicenseManagerConnector.INSTANCE.isModelLicensed(publisherItemDataAddress, mainActivity.z()) && PubItem3dRoadshowEngineConnector.INSTANCE.willOpenInStreamingMode(publisherItemDataAddress)) {
                        t7 = (T) new e(fragmentManager);
                    }
                    if (hVar.f19817f != null) {
                        m2 unused = l.f(m.b(), null, null, new f(mainActivity, hVar, null), 3, null);
                        return;
                    }
                }
                hVar.f19817f = t7;
                if (hVar.f19817f != null) {
                }
            }
        }
        EventBus.getDefault().post(new j0());
        if (h7 instanceof Viewer3DFragment) {
            viewer3DFragment = (Viewer3DFragment) h7;
        }
        if (viewer3DFragment == null || !l0.g(viewer3DFragmentData.j().getAddress().getHyperModelId().toString(), String.valueOf(f17804e))) {
            m2 unused2 = l.f(m.b(), null, null, new g(h7, mainActivity, navController, viewer3DFragmentData, null), 3, null);
            return;
        }
        if (!l0.g(viewer3DFragment.m0().N().j().getAddress().getPublisherItemId(), viewer3DFragmentData.j().getAddress().getPublisherItemId())) {
            boolean z7 = false;
            if (mainActivity != null && mainActivity.I()) {
                z7 = true;
            }
            if (!z7 && mainActivity != null) {
                MainActivity.d0(mainActivity, true, null, LoadingView.a.Loading3d, 2, null);
            }
        }
        viewer3DFragment.L0(viewer3DFragmentData);
    }

    private final void v(NavController navController, IndexBrowserFragmentData indexBrowserFragmentData) {
        m2 unused = l.f(m.b(), null, null, new h(navController, indexBrowserFragmentData, null), 3, null);
    }

    public final void A(@a7.d NavController navController) {
        l0.p(navController, "navController");
        navController.navigate(com.graphisoft.bimxlab.VR.fragment.i.f15728a.f(), (NavOptions) null);
    }

    public final void B(@a7.d NavController navController, @a7.d SelectionPopUpFragmentData selectionPopUpFragmentData) {
        l0.p(navController, "navController");
        l0.p(selectionPopUpFragmentData, "fragmentData");
        navController.navigate(com.graphisoft.bimxlab.viewer3D.fragment.m.f18279a.f(selectionPopUpFragmentData), (NavOptions) null);
    }

    public final void C(@a7.d NavController navController, @a7.d Resources resources, @a7.d FragmentManager fragmentManager, @a7.d MainActivity mainActivity) {
        l0.p(navController, "navController");
        l0.p(resources, "resources");
        l0.p(fragmentManager, "fragmentManager");
        l0.p(mainActivity, "activity");
        if (com.google.android.gms.common.e.v().j(mainActivity) != 0 || !c.f17833a.F()) {
            a.f17786a.K(resources, fragmentManager);
            return;
        }
        MainActivity.d0(mainActivity, false, null, null, 6, null);
        navController.navigate(s.h.f17029e);
    }

    public final void D(@a7.d NavController navController, @a7.d TicketDialogFragmentData ticketDialogFragmentData) {
        l0.p(navController, "navController");
        l0.p(ticketDialogFragmentData, "fragmentData");
        navController.navigate(com.graphisoft.bimxlab.modelBrowser.fragment.d.f16468a.g(ticketDialogFragmentData), (NavOptions) null);
    }

    public final void E(@a7.d NavController navController, @a7.d UrlPopUpFragmentData urlPopUpFragmentData) {
        l0.p(navController, "navController");
        l0.p(urlPopUpFragmentData, "fragmentData");
        ExtensionMenuItemPresentationStyle n7 = urlPopUpFragmentData.n();
        navController.navigate((n7 == null ? -1 : a.f17806a[n7.ordinal()]) == 1 ? com.graphisoft.bimxlab.viewer3D.fragment.m.f18279a.h(urlPopUpFragmentData) : com.graphisoft.bimxlab.viewer3D.fragment.m.f18279a.g(urlPopUpFragmentData), (NavOptions) null);
    }

    public final void F(@a7.d NavController navController, @a7.d VRFragmentData vRFragmentData) {
        l0.p(navController, "navController");
        l0.p(vRFragmentData, "fragmentData");
        S(navController, vRFragmentData);
    }

    public final void G(@a7.d NavController navController, @a7.d ElementInfoPopUpFragmentData elementInfoPopUpFragmentData) {
        l0.p(navController, "navController");
        l0.p(elementInfoPopUpFragmentData, "fragmentData");
        navController.navigate(com.graphisoft.bimxlab.viewer2D.fragment.f.f17980a.h(elementInfoPopUpFragmentData), (NavOptions) null);
    }

    public final void H(@a7.d NavController navController, @a7.d FragmentManager fragmentManager, @a7.e ContentSpecification contentSpecification) {
        FragmentData indexBrowserFragmentData;
        l0.p(navController, "navController");
        l0.p(fragmentManager, "fragmentManager");
        if (contentSpecification instanceof PubItem3dContentSpec) {
            indexBrowserFragmentData = new Viewer3DFragmentData(null, null, null, (PubItem3dContentSpec) contentSpecification, new NavigationProcess(contentSpecification), 7, null);
        } else if (contentSpecification instanceof PubItem2dPageContentSpec) {
            I(navController, fragmentManager, new Viewer2DFragmentData((PubItem2dPageContentSpec) contentSpecification, null, new NavigationProcess(contentSpecification)));
            return;
        } else if (contentSpecification instanceof IndexContentSpec) {
            indexBrowserFragmentData = new IndexBrowserFragmentData((IndexContentSpec) contentSpecification, null, 2, null);
        } else {
            return;
        }
        I(navController, fragmentManager, indexBrowserFragmentData);
    }

    public final void I(@a7.d NavController navController, @a7.d FragmentManager fragmentManager, @a7.d FragmentData fragmentData) {
        l0.p(navController, "navController");
        l0.p(fragmentManager, "fragmentManager");
        l0.p(fragmentData, "fragmentData");
        if (fragmentData instanceof Viewer2DFragmentData) {
            n(navController, fragmentManager, (Viewer2DFragmentData) fragmentData);
        } else if (fragmentData instanceof Viewer3DFragmentData) {
            o(navController, fragmentManager, (Viewer3DFragmentData) fragmentData);
        } else if (fragmentData instanceof IndexBrowserFragmentData) {
            v(navController, (IndexBrowserFragmentData) fragmentData);
        }
        EventBus.getDefault().post(new e3());
    }

    public final boolean J() {
        return !f17801b.isEmpty();
    }

    public final void K(@a7.e Context context) {
        Activity activity = context instanceof Activity ? (Activity) context : null;
        if (activity != null) {
            Intent intent = new Intent("android.settings.APPLICATION_DETAILS_SETTINGS");
            intent.setData(Uri.fromParts("package", activity.getPackageName(), null));
            activity.startActivity(intent);
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:13:0x0059, code lost:
        if (r6 == null) goto L_0x005b;
     */
    @SuppressLint({"IntentReset"})
    public final void L(@a7.e Context context, @a7.e String str, @a7.e String str2) {
        String str3;
        String str4;
        ComponentName resolveActivity;
        String str5;
        if (context != null) {
            Resources resources = context.getResources();
            String string = resources.getString(s.n.f17442t1);
            l0.o(string, "resources.getString(R.string.Feedback_Email)");
            String x7 = ExtensionsKt.x();
            String string2 = resources.getString(s.n.D1, x7);
            l0.o(string2, "resources.getString(R.st…back_Subject, appVersion)");
            if (str != null) {
                if (str.length() == 0) {
                    str5 = resources.getString(s.n.f17458v1);
                    l0.o(str5, "resources.getString(R.string.Feedback_Hint)");
                } else {
                    str5 = str;
                }
                str3 = str5 + resources.getString(s.n.E1);
            }
            str3 = resources.getString(s.n.B1);
            l0.o(str3, "resources.getString(R.st…eBody_ReviewStarterLines)");
            if (str2 == null || (str4 = resources.getString(s.n.A1, str2)) == null) {
                str4 = "";
            }
            String string3 = resources.getString(s.n.C1, ExtensionsKt.w(), Locale.getDefault());
            l0.o(string3, "resources.getString(R.st…n(), Locale.getDefault())");
            String string4 = resources.getString(s.n.f17474x1, ExtensionsKt.B(context));
            l0.o(string4, "resources.getString(R.st… context.getDeviceName())");
            String string5 = resources.getString(s.n.f17466w1, x7);
            l0.o(string5, "resources.getString(R.st…y_AppVersion, appVersion)");
            String string6 = resources.getString(s.n.f17490z1, w1.b.f26034a.e());
            l0.o(string6, "resources.getString(R.st…Logger.getFlurryUserID())");
            String string7 = resources.getString(s.n.f17482y1, NetLoggerConnector.INSTANCE.getFirstStartId());
            l0.o(string7, "resources.getString(R.st…nector.getFirstStartId())");
            GraphicsEnvInfo gPUInformation = PubItem3dRoadshowEngineConnector.INSTANCE.getGPUInformation();
            String string8 = resources.getString(s.n.f17450u1);
            l0.o(string8, "resources.getString(R.st…Feedback_GraphicsDevices)");
            String str6 = g0.h3(gPUInformation.getDevices(), "\n", null, null, 0, null, null, 62, null);
            String str7 = "\n";
            for (Iterator<Map.Entry<String, String>> it = gPUInformation.getPlatformInfo().entrySet().iterator(); it.hasNext(); it = it) {
                Map.Entry<String, String> next = it.next();
                str7 = str7 + next.getKey() + ": " + next.getValue() + '\n';
            }
            String str8 = str3 + str4 + string3 + string4 + string5 + string6 + string7 + string8 + str6 + str7;
            Intent intent = new Intent("android.intent.action.SEND");
            intent.putExtra("android.intent.extra.EMAIL", new String[]{string});
            intent.putExtra("android.intent.extra.SUBJECT", string2);
            intent.putExtra("android.intent.extra.TEXT", str8);
            Intent intent2 = new Intent("android.intent.action.SENDTO");
            intent2.setData(Uri.parse(MailTo.MAILTO_SCHEME));
            intent.setSelector(intent2);
            PackageManager packageManager = context.getPackageManager();
            if (!(packageManager == null || (resolveActivity = intent.resolveActivity(packageManager)) == null)) {
                l0.o(resolveActivity, "resolveActivity(it)");
                context.startActivity(intent);
            }
        }
    }

    public final void N(@a7.e Context context) {
        String packageName;
        if (context != null && (packageName = context.getPackageName()) != null) {
            b bVar = f17800a;
            bVar.O(context, "http://play.google.com/store/apps/details?id=" + packageName);
        }
    }

    public final void O(@a7.e Context context, @a7.d String str) {
        l0.p(str, w.f5341a);
        Intent intent = new Intent("android.intent.action.VIEW", Uri.parse(str));
        intent.addFlags(268435456);
        if (context != null) {
            context.startActivity(intent);
        }
    }

    public final void P(@a7.d Fragment fragment, int i7) {
        Resources resources;
        l0.p(fragment, "fragment");
        Intent intent = new Intent("android.intent.action.GET_CONTENT");
        intent.setType("image/*");
        Intent intent2 = new Intent("android.intent.action.PICK", MediaStore.Images.Media.EXTERNAL_CONTENT_URI);
        intent2.setType("image/*");
        Context context = fragment.getContext();
        Intent createChooser = Intent.createChooser(intent, (context == null || (resources = context.getResources()) == null) ? null : resources.getString(s.n.M8));
        createChooser.putExtra("android.intent.extra.INITIAL_INTENTS", new Intent[]{intent2});
        fragment.startActivityForResult(createChooser, i7);
    }

    public final void V() {
        f17801b = new ArrayList<>();
        EventBus.getDefault().post(new e3());
    }

    public final void W(@a7.e String str) {
        f17804e = str;
    }

    public final void X(@a7.e String str) {
        f17803d = str;
    }

    public final void Y(@a7.d ArrayList<FragmentData> arrayList) {
        l0.p(arrayList, "<set-?>");
        f17801b = arrayList;
    }

    public final void Z(boolean z7) {
        f17802c = z7;
    }

    public final void a0(@a7.e Context context, @a7.e String str, @a7.e String str2, @a7.d Uri uri) {
        l0.p(uri, "uri");
        Intent intent = new Intent();
        intent.setAction("android.intent.action.SEND");
        intent.putExtra("android.intent.extra.SUBJECT", str);
        intent.putExtra("android.intent.extra.TEXT", str2);
        intent.putExtra("android.intent.extra.STREAM", uri);
        intent.setType("image/jpeg");
        if (context != null) {
            context.startActivity(Intent.createChooser(intent, context.getResources().getString(s.n.f17319d6)));
        }
    }

    public final void d(@a7.d FragmentData fragmentData) {
        ContentSpecification c7;
        l0.p(fragmentData, "fragmentData");
        FragmentData fragmentData2 = (FragmentData) g0.q3(f17801b);
        UUID uuid = null;
        DataAddress address = (fragmentData2 == null || (c7 = fragmentData2.c()) == null) ? null : c7.getAddress();
        PublisherItemDataAddress publisherItemDataAddress = address instanceof PublisherItemDataAddress ? (PublisherItemDataAddress) address : null;
        UUID publisherItemId = publisherItemDataAddress != null ? publisherItemDataAddress.getPublisherItemId() : null;
        if (f17802c) {
            DataAddress address2 = fragmentData.c().getAddress();
            PublisherItemDataAddress publisherItemDataAddress2 = address2 instanceof PublisherItemDataAddress ? (PublisherItemDataAddress) address2 : null;
            if (publisherItemDataAddress2 != null) {
                uuid = publisherItemDataAddress2.getPublisherItemId();
            }
            if (!l0.g(uuid, publisherItemId)) {
                f17801b.add(fragmentData);
                EventBus.getDefault().post(new e3());
            }
        }
    }

    @a7.d
    public final NavigationProcess e(@a7.d ContentSpecification contentSpecification) {
        l0.p(contentSpecification, "content");
        return new NavigationProcess(contentSpecification);
    }

    @a7.e
    public final String f() {
        return f17804e;
    }

    @a7.e
    public final String g() {
        return f17803d;
    }

    @a7.e
    public final Fragment h(@a7.d FragmentManager fragmentManager) {
        l0.p(fragmentManager, "fragmentManager");
        List<Fragment> fragments = fragmentManager.getFragments();
        l0.o(fragments, "fragmentManager.fragments");
        return (Fragment) g0.q3(fragments);
    }

    @a7.d
    public final ArrayList<FragmentData> i() {
        return f17801b;
    }

    public final boolean j() {
        return f17802c;
    }

    public final void k(@a7.d NavController navController, @a7.d FragmentManager fragmentManager) {
        l0.p(navController, "navController");
        l0.p(fragmentManager, "fragmentManager");
        if (f17801b.isEmpty()) {
            EventBus.getDefault().post(new e3());
            return;
        }
        f17802c = false;
        Q((FragmentData) g0.k3(f17801b), navController, fragmentManager);
    }

    public final void l(@a7.d NavController navController) {
        l0.p(navController, "navController");
        navController.navigate(com.graphisoft.bimxlab.modelBrowser.fragment.d.f16468a.f(), (NavOptions) null);
    }

    public final void m(@a7.d NavController navController, @a7.d Viewer2DFragmentData viewer2DFragmentData) {
        l0.p(navController, "navController");
        l0.p(viewer2DFragmentData, "fragmentData");
        navController.navigate(com.graphisoft.bimxlab.indexBrowser.fragment.e.f16087a.c(viewer2DFragmentData), f17805f);
    }

    public final void p(@a7.d Activity activity) {
        l0.p(activity, "activity");
        Intent type = new Intent().setType("*/*");
        l0.o(type, "Intent().setType(\"*/*\")");
        type.setAction("android.intent.action.GET_CONTENT");
        type.addCategory("android.intent.category.OPENABLE");
        activity.startActivityForResult(Intent.createChooser(type, null), MainActivity.f15646h);
    }

    public final void q(@a7.d Activity activity) {
        l0.p(activity, "activity");
        String string = activity.getResources().getString(s.n.f17358i5);
        l0.o(string, "activity.resources.getSt…utton_ImportFromSite_Url)");
        Intent intent = new Intent("android.intent.action.VIEW", Uri.parse(string));
        intent.setFlags(268435456);
        activity.startActivity(intent);
    }

    public final void r(@a7.d NavController navController, @a7.d ConversionFragmentData conversionFragmentData) {
        l0.p(navController, "navController");
        l0.p(conversionFragmentData, "fragmentData");
        navController.navigate(com.graphisoft.bimxlab.modelBrowser.fragment.d.f16468a.d(conversionFragmentData), f17805f);
    }

    public final void s(@a7.d NavController navController, @a7.d ElementPopUpFragmentData elementPopUpFragmentData) {
        l0.p(navController, "navController");
        l0.p(elementPopUpFragmentData, "fragmentData");
        navController.navigate(com.graphisoft.bimxlab.viewer2D.fragment.f.f17980a.c(elementPopUpFragmentData), (NavOptions) null);
    }

    public final void t(@a7.d NavController navController) {
        l0.p(navController, "navController");
        navController.navigate(s.h.f17021d);
    }

    public final void u(@a7.d NavController navController, @a7.d IndexBrowserFragmentData indexBrowserFragmentData) {
        l0.p(navController, "navController");
        l0.p(indexBrowserFragmentData, "fragmentData");
        navController.navigate(com.graphisoft.bimxlab.modelBrowser.fragment.d.f16468a.c(indexBrowserFragmentData), f17805f);
    }

    public final void w(@a7.d NavController navController, @a7.d LinkPopUpFragmentData linkPopUpFragmentData) {
        l0.p(navController, "navController");
        l0.p(linkPopUpFragmentData, "fragmentData");
        navController.navigate(com.graphisoft.bimxlab.viewer2D.fragment.f.f17980a.d(linkPopUpFragmentData), (NavOptions) null);
    }

    public final void x(@a7.d NavController navController, @a7.d MarkerPopUpFragmentData markerPopUpFragmentData) {
        l0.p(navController, "navController");
        l0.p(markerPopUpFragmentData, "fragmentData");
        navController.navigate(com.graphisoft.bimxlab.viewer2D.fragment.f.f17980a.e(markerPopUpFragmentData), (NavOptions) null);
    }

    public final void y(@a7.d NavController navController, @a7.d MeasureScaleSelectorFragmentData measureScaleSelectorFragmentData) {
        l0.p(navController, "navController");
        l0.p(measureScaleSelectorFragmentData, "fragmentData");
        navController.navigate(com.graphisoft.bimxlab.viewer2D.fragment.f.f17980a.f(measureScaleSelectorFragmentData), (NavOptions) null);
    }

    public final void z(@a7.d NavController navController, @a7.d MoreOptionsFragmentData moreOptionsFragmentData) {
        l0.p(navController, "navController");
        l0.p(moreOptionsFragmentData, "fragmentData");
        navController.navigate(com.graphisoft.bimxlab.modelBrowser.fragment.d.f16468a.e(moreOptionsFragmentData), f17805f);
    }
}
