package com.makeramen.roundedimageview;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Bitmap;
import android.graphics.ColorFilter;
import android.graphics.Shader;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.LayerDrawable;
import android.net.Uri;
import android.util.AttributeSet;
import android.util.Log;
import android.widget.ImageView;
import androidx.annotation.ColorInt;
import androidx.annotation.DimenRes;
import androidx.annotation.DrawableRes;
import com.makeramen.roundedimageview.c;

public class RoundedImageView extends ImageView {

    /* renamed from: p  reason: collision with root package name */
    private static final int f18458p = -2;

    /* renamed from: q  reason: collision with root package name */
    private static final int f18459q = 0;

    /* renamed from: r  reason: collision with root package name */
    private static final int f18460r = 1;

    /* renamed from: s  reason: collision with root package name */
    private static final int f18461s = 2;

    /* renamed from: t  reason: collision with root package name */
    public static final String f18462t = "RoundedImageView";

    /* renamed from: u  reason: collision with root package name */
    public static final float f18463u = 0.0f;

    /* renamed from: v  reason: collision with root package name */
    public static final float f18464v = 0.0f;

    /* renamed from: w  reason: collision with root package name */
    public static final Shader.TileMode f18465w = Shader.TileMode.CLAMP;

    /* renamed from: x  reason: collision with root package name */
    private static final ImageView.ScaleType[] f18466x = {ImageView.ScaleType.MATRIX, ImageView.ScaleType.FIT_XY, ImageView.ScaleType.FIT_START, ImageView.ScaleType.FIT_CENTER, ImageView.ScaleType.FIT_END, ImageView.ScaleType.CENTER, ImageView.ScaleType.CENTER_CROP, ImageView.ScaleType.CENTER_INSIDE};

    /* renamed from: y  reason: collision with root package name */
    static final /* synthetic */ boolean f18467y = false;

    /* renamed from: a  reason: collision with root package name */
    private final float[] f18468a;

    /* renamed from: b  reason: collision with root package name */
    private Drawable f18469b;

    /* renamed from: c  reason: collision with root package name */
    private ColorStateList f18470c;

    /* renamed from: d  reason: collision with root package name */
    private float f18471d;

    /* renamed from: e  reason: collision with root package name */
    private ColorFilter f18472e;

    /* renamed from: f  reason: collision with root package name */
    private boolean f18473f;

    /* renamed from: g  reason: collision with root package name */
    private Drawable f18474g;

    /* renamed from: h  reason: collision with root package name */
    private boolean f18475h;

    /* renamed from: i  reason: collision with root package name */
    private boolean f18476i;

    /* renamed from: j  reason: collision with root package name */
    private boolean f18477j;

    /* renamed from: k  reason: collision with root package name */
    private int f18478k;

    /* renamed from: l  reason: collision with root package name */
    private int f18479l;

    /* renamed from: m  reason: collision with root package name */
    private ImageView.ScaleType f18480m;

    /* renamed from: n  reason: collision with root package name */
    private Shader.TileMode f18481n;

    /* renamed from: o  reason: collision with root package name */
    private Shader.TileMode f18482o;

    /* access modifiers changed from: package-private */
    public static /* synthetic */ class a {

        /* renamed from: a  reason: collision with root package name */
        static final /* synthetic */ int[] f18483a;

        /* JADX WARNING: Can't wrap try/catch for region: R(14:0|1|2|3|4|5|6|7|8|9|10|11|12|(3:13|14|16)) */
        /* JADX WARNING: Can't wrap try/catch for region: R(16:0|1|2|3|4|5|6|7|8|9|10|11|12|13|14|16) */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:11:0x003e */
        /* JADX WARNING: Missing exception handler attribute for start block: B:13:0x0049 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0012 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:5:0x001d */
        /* JADX WARNING: Missing exception handler attribute for start block: B:7:0x0028 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:9:0x0033 */
        static {
            int[] iArr = new int[ImageView.ScaleType.values().length];
            f18483a = iArr;
            iArr[ImageView.ScaleType.CENTER.ordinal()] = 1;
            f18483a[ImageView.ScaleType.CENTER_CROP.ordinal()] = 2;
            f18483a[ImageView.ScaleType.CENTER_INSIDE.ordinal()] = 3;
            f18483a[ImageView.ScaleType.FIT_CENTER.ordinal()] = 4;
            f18483a[ImageView.ScaleType.FIT_START.ordinal()] = 5;
            f18483a[ImageView.ScaleType.FIT_END.ordinal()] = 6;
            try {
                f18483a[ImageView.ScaleType.FIT_XY.ordinal()] = 7;
            } catch (NoSuchFieldError unused) {
            }
        }
    }

    public RoundedImageView(Context context) {
        super(context);
        this.f18468a = new float[]{0.0f, 0.0f, 0.0f, 0.0f};
        this.f18470c = ColorStateList.valueOf(-16777216);
        this.f18471d = 0.0f;
        this.f18472e = null;
        this.f18473f = false;
        this.f18475h = false;
        this.f18476i = false;
        this.f18477j = false;
        Shader.TileMode tileMode = f18465w;
        this.f18481n = tileMode;
        this.f18482o = tileMode;
    }

    private void a() {
        Drawable drawable = this.f18474g;
        if (drawable != null && this.f18473f) {
            Drawable mutate = drawable.mutate();
            this.f18474g = mutate;
            if (this.f18475h) {
                mutate.setColorFilter(this.f18472e);
            }
        }
    }

    private static Shader.TileMode f(int i7) {
        if (i7 == 0) {
            return Shader.TileMode.CLAMP;
        }
        if (i7 == 1) {
            return Shader.TileMode.REPEAT;
        }
        if (i7 != 2) {
            return null;
        }
        return Shader.TileMode.MIRROR;
    }

    private Drawable g() {
        Resources resources = getResources();
        Drawable drawable = null;
        if (resources == null) {
            return null;
        }
        int i7 = this.f18479l;
        if (i7 != 0) {
            try {
                drawable = resources.getDrawable(i7);
            } catch (Exception e7) {
                Log.w(f18462t, "Unable to find resource: " + this.f18479l, e7);
                this.f18479l = 0;
            }
        }
        return d.e(drawable);
    }

    private Drawable h() {
        Resources resources = getResources();
        Drawable drawable = null;
        if (resources == null) {
            return null;
        }
        int i7 = this.f18478k;
        if (i7 != 0) {
            try {
                drawable = resources.getDrawable(i7);
            } catch (Exception e7) {
                Log.w(f18462t, "Unable to find resource: " + this.f18478k, e7);
                this.f18478k = 0;
            }
        }
        return d.e(drawable);
    }

    private void l(Drawable drawable, ImageView.ScaleType scaleType) {
        if (drawable != null) {
            if (drawable instanceof d) {
                d dVar = (d) drawable;
                dVar.z(scaleType).u(this.f18471d).t(this.f18470c).y(this.f18476i).A(this.f18481n).B(this.f18482o);
                float[] fArr = this.f18468a;
                if (fArr != null) {
                    dVar.w(fArr[0], fArr[1], fArr[2], fArr[3]);
                }
                a();
            } else if (drawable instanceof LayerDrawable) {
                LayerDrawable layerDrawable = (LayerDrawable) drawable;
                int numberOfLayers = layerDrawable.getNumberOfLayers();
                for (int i7 = 0; i7 < numberOfLayers; i7++) {
                    l(layerDrawable.getDrawable(i7), scaleType);
                }
            }
        }
    }

    private void m(boolean z7) {
        if (this.f18477j) {
            if (z7) {
                this.f18469b = d.e(this.f18469b);
            }
            l(this.f18469b, ImageView.ScaleType.FIT_XY);
        }
    }

    private void n() {
        l(this.f18474g, this.f18480m);
    }

    public float b(int i7) {
        return this.f18468a[i7];
    }

    public boolean c() {
        return this.f18476i;
    }

    public void d(boolean z7) {
        if (this.f18477j != z7) {
            this.f18477j = z7;
            m(true);
            invalidate();
        }
    }

    /* access modifiers changed from: protected */
    public void drawableStateChanged() {
        super.drawableStateChanged();
        invalidate();
    }

    public boolean e() {
        return this.f18477j;
    }

    @ColorInt
    public int getBorderColor() {
        return this.f18470c.getDefaultColor();
    }

    public ColorStateList getBorderColors() {
        return this.f18470c;
    }

    public float getBorderWidth() {
        return this.f18471d;
    }

    public float getCornerRadius() {
        return getMaxCornerRadius();
    }

    public float getMaxCornerRadius() {
        float f7 = 0.0f;
        for (float f8 : this.f18468a) {
            f7 = Math.max(f8, f7);
        }
        return f7;
    }

    public ImageView.ScaleType getScaleType() {
        return this.f18480m;
    }

    public Shader.TileMode getTileModeX() {
        return this.f18481n;
    }

    public Shader.TileMode getTileModeY() {
        return this.f18482o;
    }

    public void i(float f7, float f8, float f9, float f10) {
        float[] fArr = this.f18468a;
        if (fArr[0] != f7 || fArr[1] != f8 || fArr[2] != f10 || fArr[3] != f9) {
            fArr[0] = f7;
            fArr[1] = f8;
            fArr[3] = f9;
            fArr[2] = f10;
            n();
            m(false);
            invalidate();
        }
    }

    public void j(int i7, float f7) {
        float[] fArr = this.f18468a;
        if (fArr[i7] != f7) {
            fArr[i7] = f7;
            n();
            m(false);
            invalidate();
        }
    }

    public void k(int i7, @DimenRes int i8) {
        j(i7, (float) getResources().getDimensionPixelSize(i8));
    }

    public void setBackground(Drawable drawable) {
        setBackgroundDrawable(drawable);
    }

    public void setBackgroundColor(int i7) {
        ColorDrawable colorDrawable = new ColorDrawable(i7);
        this.f18469b = colorDrawable;
        setBackgroundDrawable(colorDrawable);
    }

    @Deprecated
    public void setBackgroundDrawable(Drawable drawable) {
        this.f18469b = drawable;
        m(true);
        super.setBackgroundDrawable(this.f18469b);
    }

    public void setBackgroundResource(@DrawableRes int i7) {
        if (this.f18479l != i7) {
            this.f18479l = i7;
            Drawable g7 = g();
            this.f18469b = g7;
            setBackgroundDrawable(g7);
        }
    }

    public void setBorderColor(@ColorInt int i7) {
        setBorderColor(ColorStateList.valueOf(i7));
    }

    public void setBorderWidth(float f7) {
        if (this.f18471d != f7) {
            this.f18471d = f7;
            n();
            m(false);
            invalidate();
        }
    }

    @Override // android.widget.ImageView
    public void setColorFilter(ColorFilter colorFilter) {
        if (this.f18472e != colorFilter) {
            this.f18472e = colorFilter;
            this.f18475h = true;
            this.f18473f = true;
            a();
            invalidate();
        }
    }

    public void setCornerRadius(float f7) {
        i(f7, f7, f7, f7);
    }

    public void setCornerRadiusDimen(@DimenRes int i7) {
        float dimension = getResources().getDimension(i7);
        i(dimension, dimension, dimension, dimension);
    }

    public void setImageBitmap(Bitmap bitmap) {
        this.f18478k = 0;
        this.f18474g = d.d(bitmap);
        n();
        super.setImageDrawable(this.f18474g);
    }

    public void setImageDrawable(Drawable drawable) {
        this.f18478k = 0;
        this.f18474g = d.e(drawable);
        n();
        super.setImageDrawable(this.f18474g);
    }

    public void setImageResource(@DrawableRes int i7) {
        if (this.f18478k != i7) {
            this.f18478k = i7;
            this.f18474g = h();
            n();
            super.setImageDrawable(this.f18474g);
        }
    }

    public void setImageURI(Uri uri) {
        super.setImageURI(uri);
        setImageDrawable(getDrawable());
    }

    public void setOval(boolean z7) {
        this.f18476i = z7;
        n();
        m(false);
        invalidate();
    }

    public void setScaleType(ImageView.ScaleType scaleType) {
        if (this.f18480m != scaleType) {
            this.f18480m = scaleType;
            switch (a.f18483a[scaleType.ordinal()]) {
                case 1:
                case 2:
                case 3:
                case 4:
                case 5:
                case 6:
                case 7:
                    scaleType = ImageView.ScaleType.FIT_XY;
                    break;
            }
            super.setScaleType(scaleType);
            n();
            m(false);
            invalidate();
        }
    }

    public void setTileModeX(Shader.TileMode tileMode) {
        if (this.f18481n != tileMode) {
            this.f18481n = tileMode;
            n();
            m(false);
            invalidate();
        }
    }

    public void setTileModeY(Shader.TileMode tileMode) {
        if (this.f18482o != tileMode) {
            this.f18482o = tileMode;
            n();
            m(false);
            invalidate();
        }
    }

    public RoundedImageView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public void setBorderColor(ColorStateList colorStateList) {
        if (!this.f18470c.equals(colorStateList)) {
            if (colorStateList == null) {
                colorStateList = ColorStateList.valueOf(-16777216);
            }
            this.f18470c = colorStateList;
            n();
            m(false);
            if (this.f18471d > 0.0f) {
                invalidate();
            }
        }
    }

    public void setBorderWidth(@DimenRes int i7) {
        setBorderWidth(getResources().getDimension(i7));
    }

    public RoundedImageView(Context context, AttributeSet attributeSet, int i7) {
        super(context, attributeSet, i7);
        float[] fArr = {0.0f, 0.0f, 0.0f, 0.0f};
        this.f18468a = fArr;
        this.f18470c = ColorStateList.valueOf(-16777216);
        this.f18471d = 0.0f;
        this.f18472e = null;
        this.f18473f = false;
        this.f18475h = false;
        this.f18476i = false;
        this.f18477j = false;
        Shader.TileMode tileMode = f18465w;
        this.f18481n = tileMode;
        this.f18482o = tileMode;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, c.d.f18519a, i7, 0);
        int i8 = obtainStyledAttributes.getInt(c.d.f18520b, -1);
        setScaleType(i8 >= 0 ? f18466x[i8] : ImageView.ScaleType.FIT_CENTER);
        float dimensionPixelSize = (float) obtainStyledAttributes.getDimensionPixelSize(c.d.f18523e, -1);
        fArr[0] = (float) obtainStyledAttributes.getDimensionPixelSize(c.d.f18526h, -1);
        fArr[1] = (float) obtainStyledAttributes.getDimensionPixelSize(c.d.f18527i, -1);
        fArr[2] = (float) obtainStyledAttributes.getDimensionPixelSize(c.d.f18525g, -1);
        fArr[3] = (float) obtainStyledAttributes.getDimensionPixelSize(c.d.f18524f, -1);
        int length = fArr.length;
        boolean z7 = false;
        for (int i9 = 0; i9 < length; i9++) {
            float[] fArr2 = this.f18468a;
            if (fArr2[i9] < 0.0f) {
                fArr2[i9] = 0.0f;
            } else {
                z7 = true;
            }
        }
        if (!z7) {
            dimensionPixelSize = dimensionPixelSize < 0.0f ? 0.0f : dimensionPixelSize;
            int length2 = this.f18468a.length;
            for (int i10 = 0; i10 < length2; i10++) {
                this.f18468a[i10] = dimensionPixelSize;
            }
        }
        float dimensionPixelSize2 = (float) obtainStyledAttributes.getDimensionPixelSize(c.d.f18522d, -1);
        this.f18471d = dimensionPixelSize2;
        if (dimensionPixelSize2 < 0.0f) {
            this.f18471d = 0.0f;
        }
        ColorStateList colorStateList = obtainStyledAttributes.getColorStateList(c.d.f18521c);
        this.f18470c = colorStateList;
        if (colorStateList == null) {
            this.f18470c = ColorStateList.valueOf(-16777216);
        }
        this.f18477j = obtainStyledAttributes.getBoolean(c.d.f18528j, false);
        this.f18476i = obtainStyledAttributes.getBoolean(c.d.f18529k, false);
        int i11 = obtainStyledAttributes.getInt(c.d.f18530l, -2);
        if (i11 != -2) {
            setTileModeX(f(i11));
            setTileModeY(f(i11));
        }
        int i12 = obtainStyledAttributes.getInt(c.d.f18531m, -2);
        if (i12 != -2) {
            setTileModeX(f(i12));
        }
        int i13 = obtainStyledAttributes.getInt(c.d.f18532n, -2);
        if (i13 != -2) {
            setTileModeY(f(i13));
        }
        n();
        m(true);
        if (this.f18477j) {
            super.setBackgroundDrawable(this.f18469b);
        }
        obtainStyledAttributes.recycle();
    }
}
