package in.uncod.android.bypass;

import android.content.Context;
import android.graphics.drawable.Drawable;
import android.text.SpannableStringBuilder;
import android.text.TextUtils;
import android.text.style.ImageSpan;
import android.text.style.LeadingMarginSpan;
import android.text.style.QuoteSpan;
import android.text.style.RelativeSizeSpan;
import android.text.style.StrikethroughSpan;
import android.text.style.StyleSpan;
import android.text.style.TypefaceSpan;
import android.text.style.URLSpan;
import android.util.DisplayMetrics;
import android.util.Patterns;
import android.util.TypedValue;
import androidx.core.net.MailTo;
import in.uncod.android.bypass.Element;
import in.uncod.android.bypass.style.HorizontalLineSpan;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

public class Bypass {
    private final int mBlockQuoteIndent;
    private final int mCodeBlockIndent;
    private final int mHruleSize;
    private final int mHruleTopBottomPadding;
    private final int mListItemIndent;
    private final Options mOptions;
    private final Map<Element, Integer> mOrderedListNumber;

    /* access modifiers changed from: package-private */
    /* renamed from: in.uncod.android.bypass.Bypass$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {
        static final /* synthetic */ int[] $SwitchMap$in$uncod$android$bypass$Element$Type;

        /* JADX WARNING: Can't wrap try/catch for region: R(32:0|1|2|3|4|5|6|7|8|9|10|11|12|13|14|15|16|17|18|19|20|21|22|23|24|25|26|27|28|29|30|32) */
        /* JADX WARNING: Code restructure failed: missing block: B:33:?, code lost:
            return;
         */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:11:0x003e */
        /* JADX WARNING: Missing exception handler attribute for start block: B:13:0x0049 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:15:0x0054 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:17:0x0060 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:19:0x006c */
        /* JADX WARNING: Missing exception handler attribute for start block: B:21:0x0078 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:23:0x0084 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:25:0x0090 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:27:0x009c */
        /* JADX WARNING: Missing exception handler attribute for start block: B:29:0x00a8 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0012 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:5:0x001d */
        /* JADX WARNING: Missing exception handler attribute for start block: B:7:0x0028 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:9:0x0033 */
        static {
            int[] iArr = new int[Element.Type.values().length];
            $SwitchMap$in$uncod$android$bypass$Element$Type = iArr;
            iArr[Element.Type.LIST.ordinal()] = 1;
            $SwitchMap$in$uncod$android$bypass$Element$Type[Element.Type.LINEBREAK.ordinal()] = 2;
            $SwitchMap$in$uncod$android$bypass$Element$Type[Element.Type.LIST_ITEM.ordinal()] = 3;
            $SwitchMap$in$uncod$android$bypass$Element$Type[Element.Type.AUTOLINK.ordinal()] = 4;
            $SwitchMap$in$uncod$android$bypass$Element$Type[Element.Type.HRULE.ordinal()] = 5;
            $SwitchMap$in$uncod$android$bypass$Element$Type[Element.Type.IMAGE.ordinal()] = 6;
            $SwitchMap$in$uncod$android$bypass$Element$Type[Element.Type.HEADER.ordinal()] = 7;
            $SwitchMap$in$uncod$android$bypass$Element$Type[Element.Type.EMPHASIS.ordinal()] = 8;
            $SwitchMap$in$uncod$android$bypass$Element$Type[Element.Type.DOUBLE_EMPHASIS.ordinal()] = 9;
            $SwitchMap$in$uncod$android$bypass$Element$Type[Element.Type.TRIPLE_EMPHASIS.ordinal()] = 10;
            $SwitchMap$in$uncod$android$bypass$Element$Type[Element.Type.BLOCK_CODE.ordinal()] = 11;
            $SwitchMap$in$uncod$android$bypass$Element$Type[Element.Type.CODE_SPAN.ordinal()] = 12;
            $SwitchMap$in$uncod$android$bypass$Element$Type[Element.Type.LINK.ordinal()] = 13;
            $SwitchMap$in$uncod$android$bypass$Element$Type[Element.Type.BLOCK_QUOTE.ordinal()] = 14;
            $SwitchMap$in$uncod$android$bypass$Element$Type[Element.Type.STRIKETHROUGH.ordinal()] = 15;
        }
    }

    public interface ImageGetter {
        Drawable getDrawable(String str);
    }

    public static final class Options {
        private int mBlockQuoteColor = -16776961;
        private float mBlockQuoteIndentSize = 10.0f;
        private int mBlockQuoteIndentUnit = 1;
        private float mCodeBlockIndentSize = 10.0f;
        private int mCodeBlockIndentUnit = 1;
        private float[] mHeaderSizes = {1.5f, 1.4f, 1.3f, 1.2f, 1.1f, 1.0f};
        private int mHruleColor = -7829368;
        private float mHruleSize = 1.0f;
        private int mHruleUnit = 1;
        private float mListItemIndentSize = 10.0f;
        private int mListItemIndentUnit = 1;
        private String mUnorderedListItem = "•";

        public Options setBlockQuoteColor(int i7) {
            this.mBlockQuoteColor = i7;
            return this;
        }

        public Options setBlockQuoteIndentSize(int i7, float f7) {
            this.mBlockQuoteIndentUnit = i7;
            this.mBlockQuoteIndentSize = f7;
            return this;
        }

        public Options setCodeBlockIndentSize(int i7, float f7) {
            this.mCodeBlockIndentUnit = i7;
            this.mCodeBlockIndentSize = f7;
            return this;
        }

        public Options setHeaderSizes(float[] fArr) {
            if (fArr == null) {
                throw new IllegalArgumentException("headerSizes must not be null");
            } else if (fArr.length == 6) {
                this.mHeaderSizes = fArr;
                return this;
            } else {
                throw new IllegalArgumentException("headerSizes must have 6 elements (h1 through h6)");
            }
        }

        public Options setHruleColor(int i7) {
            this.mHruleColor = i7;
            return this;
        }

        public Options setHruleSize(int i7, float f7) {
            this.mHruleUnit = i7;
            this.mHruleSize = f7;
            return this;
        }

        public Options setListItemIndentSize(int i7, float f7) {
            this.mListItemIndentUnit = i7;
            this.mListItemIndentSize = f7;
            return this;
        }

        public Options setUnorderedListItem(String str) {
            this.mUnorderedListItem = str;
            return this;
        }
    }

    static {
        System.loadLibrary("bypass");
    }

    @Deprecated
    public Bypass() {
        this.mOrderedListNumber = new ConcurrentHashMap();
        this.mOptions = new Options();
        this.mListItemIndent = 20;
        this.mBlockQuoteIndent = 10;
        this.mCodeBlockIndent = 10;
        this.mHruleSize = 2;
        this.mHruleTopBottomPadding = 20;
    }

    private native Document processMarkdown(String str);

    /* JADX WARNING: Code restructure failed: missing block: B:52:0x0144, code lost:
        if (r12.getParent().getType() == in.uncod.android.bypass.Element.Type.LIST_ITEM) goto L_0x0130;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:62:0x016d, code lost:
        if (r12.children[r12.size() - 1].isBlockElement() != false) goto L_0x01a8;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:73:0x018f, code lost:
        if (r12.getParent().getType() == r13) goto L_0x01a8;
     */
    private CharSequence recurseElement(Element element, int i7, int i8, ImageGetter imageGetter) {
        boolean z7;
        Object uRLSpan;
        Object imageSpan;
        String str;
        String attribute;
        Element.Type type = element.getType();
        if (type != Element.Type.LIST || (attribute = element.getAttribute("flags")) == null) {
            z7 = false;
        } else {
            z7 = (Integer.parseInt(attribute) & 1) != 0;
            if (z7) {
                this.mOrderedListNumber.put(element, 1);
            }
        }
        int size = element.size();
        CharSequence[] charSequenceArr = new CharSequence[size];
        for (int i9 = 0; i9 < size; i9++) {
            charSequenceArr[i9] = recurseElement(element.children[i9], i9, size, imageGetter);
        }
        if (z7) {
            this.mOrderedListNumber.remove(this);
        }
        CharSequence concat = TextUtils.concat(charSequenceArr);
        ReverseSpannableStringBuilder reverseSpannableStringBuilder = new ReverseSpannableStringBuilder();
        String text = element.getText();
        if (!(element.size() != 0 || element.getParent() == null || element.getParent().getType() == Element.Type.BLOCK_CODE)) {
            text = text.replace('\n', ' ');
        }
        Drawable drawable = (type != Element.Type.IMAGE || imageGetter == null || TextUtils.isEmpty(element.getAttribute("link"))) ? null : imageGetter.getDrawable(element.getAttribute("link"));
        int[] iArr = AnonymousClass1.$SwitchMap$in$uncod$android$bypass$Element$Type;
        switch (iArr[type.ordinal()]) {
            case 1:
                if (element.getParent() != null) {
                    break;
                }
                break;
            case 2:
                reverseSpannableStringBuilder.append((CharSequence) "\n");
                break;
            case 3:
                reverseSpannableStringBuilder.append((CharSequence) " ");
                if (this.mOrderedListNumber.containsKey(element.getParent())) {
                    int intValue = this.mOrderedListNumber.get(element.getParent()).intValue();
                    reverseSpannableStringBuilder.append((CharSequence) (Integer.toString(intValue) + "."));
                    this.mOrderedListNumber.put(element.getParent(), Integer.valueOf(intValue + 1));
                } else {
                    reverseSpannableStringBuilder.append((CharSequence) this.mOptions.mUnorderedListItem);
                }
                str = "  ";
                reverseSpannableStringBuilder.append((CharSequence) str);
                break;
            case 4:
                str = element.getAttribute("link");
                reverseSpannableStringBuilder.append((CharSequence) str);
                break;
            case 5:
                str = "-";
                reverseSpannableStringBuilder.append((CharSequence) str);
                break;
            case 6:
                if (drawable == null) {
                    String attribute2 = element.getAttribute("alt");
                    if (TextUtils.isEmpty(attribute2)) {
                        attribute2 = element.getAttribute("title");
                    }
                    if (!TextUtils.isEmpty(attribute2)) {
                        str = "[" + attribute2 + "]";
                    }
                } else {
                    str = "￼";
                }
                reverseSpannableStringBuilder.append((CharSequence) str);
                break;
        }
        reverseSpannableStringBuilder.append((CharSequence) text);
        reverseSpannableStringBuilder.append(concat);
        if (element.getParent() != null || i7 < i8 - 1) {
            Element.Type type2 = Element.Type.LIST_ITEM;
            if (type == type2) {
                if (element.size() != 0) {
                }
            } else if (element.isBlockElement() && type != Element.Type.BLOCK_QUOTE) {
                if (type == Element.Type.LIST) {
                    if (element.getParent() != null) {
                    }
                } else if (element.getParent() == null || element.getParent().getType() != type2) {
                    reverseSpannableStringBuilder.append((CharSequence) "\n\n");
                }
            }
            reverseSpannableStringBuilder.append((CharSequence) "\n");
        }
        int i10 = iArr[type.ordinal()];
        if (i10 != 1) {
            switch (i10) {
                case 4:
                case 13:
                    String attribute3 = element.getAttribute("link");
                    if (!TextUtils.isEmpty(attribute3) && Patterns.EMAIL_ADDRESS.matcher(attribute3).matches()) {
                        attribute3 = MailTo.MAILTO_SCHEME + attribute3;
                    }
                    uRLSpan = new URLSpan(attribute3);
                    setSpan(reverseSpannableStringBuilder, uRLSpan);
                    break;
                case 5:
                    uRLSpan = new HorizontalLineSpan(this.mOptions.mHruleColor, this.mHruleSize, this.mHruleTopBottomPadding);
                    setSpan(reverseSpannableStringBuilder, uRLSpan);
                    break;
                case 6:
                    if (drawable != null) {
                        imageSpan = new ImageSpan(drawable);
                        setSpan(reverseSpannableStringBuilder, imageSpan);
                        break;
                    }
                    break;
                case 7:
                    setSpan(reverseSpannableStringBuilder, new RelativeSizeSpan(this.mOptions.mHeaderSizes[Integer.parseInt(element.getAttribute("level")) - 1]));
                    imageSpan = new StyleSpan(1);
                    setSpan(reverseSpannableStringBuilder, imageSpan);
                    break;
                case 8:
                    imageSpan = new StyleSpan(2);
                    setSpan(reverseSpannableStringBuilder, imageSpan);
                    break;
                case 9:
                    imageSpan = new StyleSpan(1);
                    setSpan(reverseSpannableStringBuilder, imageSpan);
                    break;
                case 10:
                    imageSpan = new StyleSpan(3);
                    setSpan(reverseSpannableStringBuilder, imageSpan);
                    break;
                case 11:
                    setSpan(reverseSpannableStringBuilder, new LeadingMarginSpan.Standard(this.mCodeBlockIndent));
                    imageSpan = new TypefaceSpan("monospace");
                    setSpan(reverseSpannableStringBuilder, imageSpan);
                    break;
                case 12:
                    imageSpan = new TypefaceSpan("monospace");
                    setSpan(reverseSpannableStringBuilder, imageSpan);
                    break;
                case 14:
                    setBlockSpan(reverseSpannableStringBuilder, new LeadingMarginSpan.Standard(this.mBlockQuoteIndent));
                    setBlockSpan(reverseSpannableStringBuilder, new QuoteSpan(this.mOptions.mBlockQuoteColor));
                    setBlockSpan(reverseSpannableStringBuilder, new LeadingMarginSpan.Standard(this.mBlockQuoteIndent));
                    setBlockSpan(reverseSpannableStringBuilder, new StyleSpan(2));
                    break;
                case 15:
                    imageSpan = new StrikethroughSpan();
                    setSpan(reverseSpannableStringBuilder, imageSpan);
                    break;
            }
        } else {
            setBlockSpan(reverseSpannableStringBuilder, new LeadingMarginSpan.Standard(this.mListItemIndent));
        }
        return reverseSpannableStringBuilder;
    }

    private static void setBlockSpan(SpannableStringBuilder spannableStringBuilder, Object obj) {
        spannableStringBuilder.setSpan(obj, 0, Math.max(0, spannableStringBuilder.length() - 1), 33);
    }

    private static void setSpan(SpannableStringBuilder spannableStringBuilder, Object obj) {
        spannableStringBuilder.setSpan(obj, 0, spannableStringBuilder.length(), 33);
    }

    public CharSequence markdownToSpannable(String str) {
        return markdownToSpannable(str, null);
    }

    public Bypass(Context context) {
        this(context, new Options());
    }

    public CharSequence markdownToSpannable(String str, ImageGetter imageGetter) {
        Document processMarkdown = processMarkdown(str);
        int elementCount = processMarkdown.getElementCount();
        CharSequence[] charSequenceArr = new CharSequence[elementCount];
        for (int i7 = 0; i7 < elementCount; i7++) {
            charSequenceArr[i7] = recurseElement(processMarkdown.getElement(i7), i7, elementCount, imageGetter);
        }
        return TextUtils.concat(charSequenceArr);
    }

    public Bypass(Context context, Options options) {
        this.mOrderedListNumber = new ConcurrentHashMap();
        this.mOptions = options;
        DisplayMetrics displayMetrics = context.getResources().getDisplayMetrics();
        this.mListItemIndent = (int) TypedValue.applyDimension(options.mListItemIndentUnit, options.mListItemIndentSize, displayMetrics);
        this.mBlockQuoteIndent = (int) TypedValue.applyDimension(options.mBlockQuoteIndentUnit, options.mBlockQuoteIndentSize, displayMetrics);
        this.mCodeBlockIndent = (int) TypedValue.applyDimension(options.mCodeBlockIndentUnit, options.mCodeBlockIndentSize, displayMetrics);
        this.mHruleSize = (int) TypedValue.applyDimension(options.mHruleUnit, options.mHruleSize, displayMetrics);
        this.mHruleTopBottomPadding = ((int) displayMetrics.density) * 10;
    }
}
