package kotlin.collections;

import a7.d;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;
import java.util.Comparator;
import java.util.Iterator;
import java.util.List;
import java.util.SortedSet;
import java.util.TreeSet;
import kotlin.b1;
import kotlin.g1;
import kotlin.internal.f;
import kotlin.jvm.internal.l0;
import kotlin.k;
import kotlin.l;
import kotlin.t0;
import q4.h;

/* access modifiers changed from: package-private */
public class f0 extends e0 {
    @d
    public static <R> List<R> a1(@d Iterable<?> iterable, @d Class<R> cls) {
        l0.p(iterable, "<this>");
        l0.p(cls, "klass");
        return (List) b1(iterable, new ArrayList(), cls);
    }

    @d
    public static final <C extends Collection<? super R>, R> C b1(@d Iterable<?> iterable, @d C c7, @d Class<R> cls) {
        l0.p(iterable, "<this>");
        l0.p(c7, "destination");
        l0.p(cls, "klass");
        for (Object obj : iterable) {
            if (cls.isInstance(obj)) {
                c7.add(obj);
            }
        }
        return c7;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r1v3, resolved type: java.lang.Comparable */
    /* JADX WARN: Multi-variable type inference failed */
    @k(message = "Use maxByOrNull instead.", replaceWith = @b1(expression = "this.maxByOrNull(selector)", imports = {}))
    @l(errorSince = "1.5", hiddenSince = "1.6", warningSince = "1.4")
    public static final /* synthetic */ <T, R extends Comparable<? super R>> T f1(Iterable<? extends T> iterable, r4.l<? super T, ? extends R> lVar) {
        l0.p(iterable, "<this>");
        l0.p(lVar, "selector");
        Iterator<? extends T> it = iterable.iterator();
        if (!it.hasNext()) {
            return null;
        }
        Object obj = (Object) it.next();
        if (it.hasNext()) {
            Comparable comparable = (Comparable) lVar.invoke(obj);
            do {
                Object obj2 = (Object) it.next();
                Comparable comparable2 = (Comparable) lVar.invoke(obj2);
                int compareTo = comparable.compareTo(comparable2);
                Comparable comparable3 = comparable;
                if (compareTo < 0) {
                    obj = (Object) obj2;
                    comparable3 = comparable2;
                }
                comparable = comparable3;
            } while (it.hasNext());
        }
        return (T) obj;
    }

    @k(message = "Use maxWithOrNull instead.", replaceWith = @b1(expression = "this.maxWithOrNull(comparator)", imports = {}))
    @l(errorSince = "1.5", hiddenSince = "1.6", warningSince = "1.4")
    public static final /* synthetic */ Object g1(Iterable iterable, Comparator comparator) {
        l0.p(iterable, "<this>");
        l0.p(comparator, "comparator");
        return g0.Q3(iterable, comparator);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r1v3, resolved type: java.lang.Comparable */
    /* JADX WARN: Multi-variable type inference failed */
    @k(message = "Use minByOrNull instead.", replaceWith = @b1(expression = "this.minByOrNull(selector)", imports = {}))
    @l(errorSince = "1.5", hiddenSince = "1.6", warningSince = "1.4")
    public static final /* synthetic */ <T, R extends Comparable<? super R>> T k1(Iterable<? extends T> iterable, r4.l<? super T, ? extends R> lVar) {
        l0.p(iterable, "<this>");
        l0.p(lVar, "selector");
        Iterator<? extends T> it = iterable.iterator();
        if (!it.hasNext()) {
            return null;
        }
        Object obj = (Object) it.next();
        if (it.hasNext()) {
            Comparable comparable = (Comparable) lVar.invoke(obj);
            do {
                Object obj2 = (Object) it.next();
                Comparable comparable2 = (Comparable) lVar.invoke(obj2);
                int compareTo = comparable.compareTo(comparable2);
                Comparable comparable3 = comparable;
                if (compareTo > 0) {
                    obj = (Object) obj2;
                    comparable3 = comparable2;
                }
                comparable = comparable3;
            } while (it.hasNext());
        }
        return (T) obj;
    }

    @k(message = "Use minWithOrNull instead.", replaceWith = @b1(expression = "this.minWithOrNull(comparator)", imports = {}))
    @l(errorSince = "1.5", hiddenSince = "1.6", warningSince = "1.4")
    public static final /* synthetic */ Object l1(Iterable iterable, Comparator comparator) {
        l0.p(iterable, "<this>");
        l0.p(comparator, "comparator");
        return g0.i4(iterable, comparator);
    }

    public static <T> void m1(@d List<T> list) {
        l0.p(list, "<this>");
        Collections.reverse(list);
    }

    @g1(version = "1.4")
    @h(name = "sumOfBigDecimal")
    @t0
    @f
    private static final <T> BigDecimal n1(Iterable<? extends T> iterable, r4.l<? super T, ? extends BigDecimal> lVar) {
        l0.p(iterable, "<this>");
        l0.p(lVar, "selector");
        BigDecimal valueOf = BigDecimal.valueOf(0L);
        l0.o(valueOf, "valueOf(this.toLong())");
        Iterator<? extends T> it = iterable.iterator();
        while (it.hasNext()) {
            valueOf = valueOf.add((BigDecimal) lVar.invoke((Object) it.next()));
            l0.o(valueOf, "this.add(other)");
        }
        return valueOf;
    }

    @g1(version = "1.4")
    @h(name = "sumOfBigInteger")
    @t0
    @f
    private static final <T> BigInteger o1(Iterable<? extends T> iterable, r4.l<? super T, ? extends BigInteger> lVar) {
        l0.p(iterable, "<this>");
        l0.p(lVar, "selector");
        BigInteger valueOf = BigInteger.valueOf(0);
        l0.o(valueOf, "valueOf(this.toLong())");
        Iterator<? extends T> it = iterable.iterator();
        while (it.hasNext()) {
            valueOf = valueOf.add((BigInteger) lVar.invoke((Object) it.next()));
            l0.o(valueOf, "this.add(other)");
        }
        return valueOf;
    }

    @d
    public static final <T extends Comparable<? super T>> SortedSet<T> p1(@d Iterable<? extends T> iterable) {
        l0.p(iterable, "<this>");
        return (SortedSet) g0.L5(iterable, new TreeSet());
    }

    @d
    public static final <T> SortedSet<T> q1(@d Iterable<? extends T> iterable, @d Comparator<? super T> comparator) {
        l0.p(iterable, "<this>");
        l0.p(comparator, "comparator");
        return (SortedSet) g0.L5(iterable, new TreeSet(comparator));
    }
}
