package kotlinx.coroutines.scheduling;

import androidx.work.WorkRequest;
import java.io.Closeable;
import java.util.ArrayList;
import java.util.concurrent.Executor;
import java.util.concurrent.RejectedExecutionException;
import java.util.concurrent.atomic.AtomicIntegerFieldUpdater;
import java.util.concurrent.atomic.AtomicLongFieldUpdater;
import java.util.concurrent.locks.LockSupport;
import kotlin.jvm.internal.w;
import kotlin.l2;
import kotlin.random.f;
import kotlin.ranges.q;
import kotlinx.coroutines.internal.l0;
import kotlinx.coroutines.internal.q0;
import kotlinx.coroutines.y0;
import q4.e;

public final class a implements Executor, Closeable {
    @a7.d
    public static final C0340a U5 = new C0340a(null);
    private static final /* synthetic */ AtomicLongFieldUpdater V5 = AtomicLongFieldUpdater.newUpdater(a.class, "parkedWorkersStack");
    static final /* synthetic */ AtomicLongFieldUpdater W5 = AtomicLongFieldUpdater.newUpdater(a.class, "controlState");
    private static final /* synthetic */ AtomicIntegerFieldUpdater X5 = AtomicIntegerFieldUpdater.newUpdater(a.class, "_isTerminated");
    @a7.d
    @e
    public static final q0 Y5 = new q0("NOT_IN_STACK");
    private static final int Z5 = -1;

    /* renamed from: a6  reason: collision with root package name */
    private static final int f21896a6 = 0;

    /* renamed from: b6  reason: collision with root package name */
    private static final int f21897b6 = 1;

    /* renamed from: c6  reason: collision with root package name */
    private static final int f21898c6 = 21;

    /* renamed from: d6  reason: collision with root package name */
    private static final long f21899d6 = 2097151;

    /* renamed from: e6  reason: collision with root package name */
    private static final long f21900e6 = 4398044413952L;

    /* renamed from: f6  reason: collision with root package name */
    private static final int f21901f6 = 42;

    /* renamed from: g6  reason: collision with root package name */
    private static final long f21902g6 = 9223367638808264704L;

    /* renamed from: h6  reason: collision with root package name */
    public static final int f21903h6 = 1;

    /* renamed from: i6  reason: collision with root package name */
    public static final int f21904i6 = 2097150;

    /* renamed from: j6  reason: collision with root package name */
    private static final long f21905j6 = 2097151;

    /* renamed from: k6  reason: collision with root package name */
    private static final long f21906k6 = -2097152;

    /* renamed from: l6  reason: collision with root package name */
    private static final long f21907l6 = 2097152;
    @a7.d
    @e
    public final f C1;
    @a7.d
    @e
    public final l0<c> C2;
    @a7.d
    private volatile /* synthetic */ int _isTerminated;
    @a7.d
    volatile /* synthetic */ long controlState;
    @e

    /* renamed from: f  reason: collision with root package name */
    public final int f21908f;
    @e

    /* renamed from: g  reason: collision with root package name */
    public final int f21909g;
    @e

    /* renamed from: p  reason: collision with root package name */
    public final long f21910p;
    @a7.d
    private volatile /* synthetic */ long parkedWorkersStack;
    @a7.d
    @e

    /* renamed from: x  reason: collision with root package name */
    public final String f21911x;
    @a7.d
    @e

    /* renamed from: y  reason: collision with root package name */
    public final f f21912y;

    /* renamed from: kotlinx.coroutines.scheduling.a$a  reason: collision with other inner class name */
    public static final class C0340a {
        private C0340a() {
        }

        public /* synthetic */ C0340a(w wVar) {
            this();
        }
    }

    public /* synthetic */ class b {

        /* renamed from: a  reason: collision with root package name */
        public static final /* synthetic */ int[] f21913a;

        static {
            int[] iArr = new int[d.values().length];
            iArr[d.PARKING.ordinal()] = 1;
            iArr[d.BLOCKING.ordinal()] = 2;
            iArr[d.CPU_ACQUIRED.ordinal()] = 3;
            iArr[d.DORMANT.ordinal()] = 4;
            iArr[d.TERMINATED.ordinal()] = 5;
            f21913a = iArr;
        }
    }

    public final class c extends Thread {
        static final /* synthetic */ AtomicIntegerFieldUpdater U5 = AtomicIntegerFieldUpdater.newUpdater(c.class, "workerCtl");
        @e
        public boolean C1;
        @a7.d
        @e

        /* renamed from: f  reason: collision with root package name */
        public final q f21914f;
        @a7.d
        @e

        /* renamed from: g  reason: collision with root package name */
        public d f21915g;
        private volatile int indexInArray;
        @a7.e
        private volatile Object nextParkedWorker;

        /* renamed from: p  reason: collision with root package name */
        private long f21916p;
        @a7.d
        volatile /* synthetic */ int workerCtl;

        /* renamed from: x  reason: collision with root package name */
        private long f21917x;

        /* renamed from: y  reason: collision with root package name */
        private int f21918y;

        /* JADX WARN: Incorrect args count in method signature: ()V */
        private c() {
            setDaemon(true);
            this.f21914f = new q();
            this.f21915g = d.DORMANT;
            this.workerCtl = 0;
            this.nextParkedWorker = a.Y5;
            this.f21918y = f.f19930f.m();
        }

        private final void b(int i7) {
            if (i7 != 0) {
                a.W5.addAndGet(a.this, a.f21906k6);
                if (this.f21915g != d.TERMINATED) {
                    this.f21915g = d.DORMANT;
                }
            }
        }

        private final void c(int i7) {
            if (i7 != 0 && t(d.BLOCKING)) {
                a.this.D();
            }
        }

        private final void d(k kVar) {
            int j7 = kVar.f21940g.j();
            j(j7);
            c(j7);
            a.this.z(kVar);
            b(j7);
        }

        private final k e(boolean z7) {
            k n7;
            k n8;
            if (z7) {
                boolean z8 = l(a.this.f21908f * 2) == 0;
                if (z8 && (n8 = n()) != null) {
                    return n8;
                }
                k h7 = this.f21914f.h();
                if (h7 != null) {
                    return h7;
                }
                if (!z8 && (n7 = n()) != null) {
                    return n7;
                }
            } else {
                k n9 = n();
                if (n9 != null) {
                    return n9;
                }
            }
            return u(false);
        }

        private final void j(int i7) {
            this.f21916p = 0;
            if (this.f21915g == d.PARKING) {
                this.f21915g = d.BLOCKING;
            }
        }

        private final boolean k() {
            return this.nextParkedWorker != a.Y5;
        }

        private final void m() {
            if (this.f21916p == 0) {
                this.f21916p = System.nanoTime() + a.this.f21910p;
            }
            LockSupport.parkNanos(a.this.f21910p);
            if (System.nanoTime() - this.f21916p >= 0) {
                this.f21916p = 0;
                v();
            }
        }

        private final k n() {
            f fVar;
            if (l(2) == 0) {
                k kVar = (k) a.this.f21912y.g();
                if (kVar != null) {
                    return kVar;
                }
                fVar = a.this.C1;
            } else {
                k kVar2 = (k) a.this.C1.g();
                if (kVar2 != null) {
                    return kVar2;
                }
                fVar = a.this.f21912y;
            }
            return (k) fVar.g();
        }

        private final void o() {
            loop0:
            while (true) {
                boolean z7 = false;
                while (!a.this.isTerminated() && this.f21915g != d.TERMINATED) {
                    k f7 = f(this.C1);
                    if (f7 != null) {
                        this.f21917x = 0;
                        d(f7);
                    } else {
                        this.C1 = false;
                        if (this.f21917x == 0) {
                            s();
                        } else if (!z7) {
                            z7 = true;
                        } else {
                            t(d.PARKING);
                            Thread.interrupted();
                            LockSupport.parkNanos(this.f21917x);
                            this.f21917x = 0;
                        }
                    }
                }
            }
            t(d.TERMINATED);
        }

        private final boolean r() {
            boolean z7;
            if (this.f21915g == d.CPU_ACQUIRED) {
                return true;
            }
            a aVar = a.this;
            while (true) {
                long j7 = aVar.controlState;
                if (((int) ((a.f21902g6 & j7) >> 42)) != 0) {
                    if (a.W5.compareAndSet(aVar, j7, j7 - 4398046511104L)) {
                        z7 = true;
                        break;
                    }
                } else {
                    z7 = false;
                    break;
                }
            }
            if (!z7) {
                return false;
            }
            this.f21915g = d.CPU_ACQUIRED;
            return true;
        }

        private final void s() {
            if (!k()) {
                a.this.t(this);
                return;
            }
            this.workerCtl = -1;
            while (k() && this.workerCtl == -1 && !a.this.isTerminated() && this.f21915g != d.TERMINATED) {
                t(d.PARKING);
                Thread.interrupted();
                m();
            }
        }

        private final k u(boolean z7) {
            int i7 = (int) (a.this.controlState & 2097151);
            if (i7 < 2) {
                return null;
            }
            int l7 = l(i7);
            a aVar = a.this;
            int i8 = 0;
            long j7 = Long.MAX_VALUE;
            while (i8 < i7) {
                i8++;
                l7++;
                if (l7 > i7) {
                    l7 = 1;
                }
                c b7 = aVar.C2.b(l7);
                if (!(b7 == null || b7 == this)) {
                    q qVar = this.f21914f;
                    q qVar2 = b7.f21914f;
                    long k7 = z7 ? qVar.k(qVar2) : qVar.l(qVar2);
                    if (k7 == -1) {
                        return this.f21914f.h();
                    }
                    if (k7 > 0) {
                        j7 = Math.min(j7, k7);
                    }
                }
            }
            if (j7 == Long.MAX_VALUE) {
                j7 = 0;
            }
            this.f21917x = j7;
            return null;
        }

        private final void v() {
            a aVar = a.this;
            synchronized (aVar.C2) {
                if (!aVar.isTerminated()) {
                    if (((int) (aVar.controlState & 2097151)) > aVar.f21908f) {
                        if (U5.compareAndSet(this, -1, 1)) {
                            int g7 = g();
                            p(0);
                            aVar.x(this, g7, 0);
                            int andDecrement = (int) (a.W5.getAndDecrement(aVar) & 2097151);
                            if (andDecrement != g7) {
                                c b7 = aVar.C2.b(andDecrement);
                                kotlin.jvm.internal.l0.m(b7);
                                c cVar = b7;
                                aVar.C2.c(g7, cVar);
                                cVar.p(g7);
                                aVar.x(cVar, andDecrement, g7);
                            }
                            aVar.C2.c(andDecrement, null);
                            l2 l2Var = l2.f19890a;
                            this.f21915g = d.TERMINATED;
                        }
                    }
                }
            }
        }

        @a7.e
        public final k f(boolean z7) {
            k kVar;
            if (r()) {
                return e(z7);
            }
            if (!z7 || (kVar = this.f21914f.h()) == null) {
                kVar = (k) a.this.C1.g();
            }
            return kVar == null ? u(true) : kVar;
        }

        public final int g() {
            return this.indexInArray;
        }

        @a7.e
        public final Object h() {
            return this.nextParkedWorker;
        }

        @a7.d
        public final a i() {
            return a.this;
        }

        public final int l(int i7) {
            int i8 = this.f21918y;
            int i9 = i8 ^ (i8 << 13);
            int i10 = i9 ^ (i9 >> 17);
            int i11 = i10 ^ (i10 << 5);
            this.f21918y = i11;
            int i12 = i7 - 1;
            return (i12 & i7) == 0 ? i12 & i11 : (Integer.MAX_VALUE & i11) % i7;
        }

        public final void p(int i7) {
            StringBuilder sb = new StringBuilder();
            sb.append(a.this.f21911x);
            sb.append("-worker-");
            sb.append(i7 == 0 ? "TERMINATED" : String.valueOf(i7));
            setName(sb.toString());
            this.indexInArray = i7;
        }

        public final void q(@a7.e Object obj) {
            this.nextParkedWorker = obj;
        }

        public void run() {
            o();
        }

        public final boolean t(@a7.d d dVar) {
            d dVar2 = this.f21915g;
            boolean z7 = dVar2 == d.CPU_ACQUIRED;
            if (z7) {
                a.W5.addAndGet(a.this, 4398046511104L);
            }
            if (dVar2 != dVar) {
                this.f21915g = dVar;
            }
            return z7;
        }

        public c(int i7) {
            this();
            p(i7);
        }
    }

    public enum d {
        CPU_ACQUIRED,
        BLOCKING,
        PARKING,
        DORMANT,
        TERMINATED
    }

    public a(int i7, int i8, long j7, @a7.d String str) {
        this.f21908f = i7;
        this.f21909g = i8;
        this.f21910p = j7;
        this.f21911x = str;
        boolean z7 = true;
        if (i7 >= 1) {
            if (i8 >= i7) {
                if (i8 <= 2097150) {
                    if (j7 <= 0 ? false : z7) {
                        this.f21912y = new f();
                        this.C1 = new f();
                        this.parkedWorkersStack = 0;
                        this.C2 = new l0<>(i7 + 1);
                        this.controlState = ((long) i7) << 42;
                        this._isTerminated = 0;
                        return;
                    }
                    throw new IllegalArgumentException(("Idle worker keep alive time " + j7 + " must be positive").toString());
                }
                throw new IllegalArgumentException(("Max pool size " + i8 + " should not exceed maximal supported number of threads 2097150").toString());
            }
            throw new IllegalArgumentException(("Max pool size " + i8 + " should be greater than or equals to core pool size " + i7).toString());
        }
        throw new IllegalArgumentException(("Core pool size " + i7 + " should be at least 1").toString());
    }

    private final void B(boolean z7) {
        long addAndGet = W5.addAndGet(this, 2097152);
        if (!z7 && !L() && !J(addAndGet)) {
            L();
        }
    }

    private final k G(c cVar, k kVar, boolean z7) {
        if (cVar == null || cVar.f21915g == d.TERMINATED) {
            return kVar;
        }
        if (kVar.f21940g.j() == 0 && cVar.f21915g == d.BLOCKING) {
            return kVar;
        }
        cVar.C1 = true;
        return cVar.f21914f.a(kVar, z7);
    }

    private final boolean I() {
        long j7;
        do {
            j7 = this.controlState;
            if (((int) ((f21902g6 & j7) >> 42)) == 0) {
                return false;
            }
        } while (!W5.compareAndSet(this, j7, j7 - 4398046511104L));
        return true;
    }

    private final boolean J(long j7) {
        if (q.n(((int) (2097151 & j7)) - ((int) ((j7 & f21900e6) >> 21)), 0) < this.f21908f) {
            int d7 = d();
            if (d7 == 1 && this.f21908f > 1) {
                d();
            }
            if (d7 > 0) {
                return true;
            }
        }
        return false;
    }

    static /* synthetic */ boolean K(a aVar, long j7, int i7, Object obj) {
        if ((i7 & 1) != 0) {
            j7 = aVar.controlState;
        }
        return aVar.J(j7);
    }

    private final boolean L() {
        c r7;
        do {
            r7 = r();
            if (r7 == null) {
                return false;
            }
        } while (!c.U5.compareAndSet(r7, -1, 0));
        LockSupport.unpark(r7);
        return true;
    }

    private final boolean a(k kVar) {
        boolean z7 = true;
        if (kVar.f21940g.j() != 1) {
            z7 = false;
        }
        return (z7 ? this.C1 : this.f21912y).a(kVar);
    }

    private final int c(long j7) {
        return (int) ((j7 & f21900e6) >> 21);
    }

    private final int d() {
        synchronized (this.C2) {
            if (isTerminated()) {
                return -1;
            }
            long j7 = this.controlState;
            int i7 = (int) (j7 & 2097151);
            boolean z7 = false;
            int i8 = q.n(i7 - ((int) ((j7 & f21900e6) >> 21)), 0);
            if (i8 >= this.f21908f) {
                return 0;
            }
            if (i7 >= this.f21909g) {
                return 0;
            }
            int i9 = ((int) (this.controlState & 2097151)) + 1;
            if (i9 > 0 && this.C2.b(i9) == null) {
                c cVar = new c(i9);
                this.C2.c(i9, cVar);
                if (i9 == ((int) (2097151 & W5.incrementAndGet(this)))) {
                    z7 = true;
                }
                if (z7) {
                    cVar.start();
                    return i8 + 1;
                }
                throw new IllegalArgumentException("Failed requirement.".toString());
            }
            throw new IllegalArgumentException("Failed requirement.".toString());
        }
    }

    private final int f(long j7) {
        return (int) (j7 & 2097151);
    }

    private final c g() {
        Thread currentThread = Thread.currentThread();
        c cVar = currentThread instanceof c ? (c) currentThread : null;
        if (cVar != null && kotlin.jvm.internal.l0.g(a.this, this)) {
            return cVar;
        }
        return null;
    }

    private final void h() {
        W5.addAndGet(this, f21906k6);
    }

    private final int i() {
        return (int) (W5.getAndDecrement(this) & 2097151);
    }

    public static /* synthetic */ void k(a aVar, Runnable runnable, l lVar, boolean z7, int i7, Object obj) {
        if ((i7 & 2) != 0) {
            lVar = o.f21951i;
        }
        if ((i7 & 4) != 0) {
            z7 = false;
        }
        aVar.j(runnable, lVar, z7);
    }

    private final int l() {
        return (int) ((this.controlState & f21902g6) >> 42);
    }

    private final int m() {
        return (int) (this.controlState & 2097151);
    }

    private final long n() {
        return W5.addAndGet(this, 2097152);
    }

    private final int o() {
        return (int) (W5.incrementAndGet(this) & 2097151);
    }

    private final int p(c cVar) {
        Object h7 = cVar.h();
        while (h7 != Y5) {
            if (h7 == null) {
                return 0;
            }
            c cVar2 = (c) h7;
            int g7 = cVar2.g();
            if (g7 != 0) {
                return g7;
            }
            h7 = cVar2.h();
        }
        return -1;
    }

    private final c r() {
        while (true) {
            long j7 = this.parkedWorkersStack;
            c b7 = this.C2.b((int) (2097151 & j7));
            if (b7 == null) {
                return null;
            }
            long j8 = (2097152 + j7) & f21906k6;
            int p7 = p(b7);
            if (p7 >= 0 && V5.compareAndSet(this, j7, ((long) p7) | j8)) {
                b7.q(Y5);
                return b7;
            }
        }
    }

    private final long y() {
        return W5.addAndGet(this, 4398046511104L);
    }

    public final void A(long j7) {
        int i7;
        if (X5.compareAndSet(this, 0, 1)) {
            c g7 = g();
            synchronized (this.C2) {
                i7 = (int) (this.controlState & 2097151);
            }
            if (1 <= i7) {
                int i8 = 1;
                while (true) {
                    int i9 = i8 + 1;
                    c b7 = this.C2.b(i8);
                    kotlin.jvm.internal.l0.m(b7);
                    c cVar = b7;
                    if (cVar != g7) {
                        while (cVar.isAlive()) {
                            LockSupport.unpark(cVar);
                            cVar.join(j7);
                        }
                        cVar.f21914f.g(this.C1);
                    }
                    if (i8 == i7) {
                        break;
                    }
                    i8 = i9;
                }
            }
            this.C1.b();
            this.f21912y.b();
            while (true) {
                k f7 = g7 == null ? null : g7.f(true);
                if (f7 == null && (f7 = (k) this.f21912y.g()) == null && (f7 = (k) this.C1.g()) == null) {
                    break;
                }
                z(f7);
            }
            if (g7 != null) {
                g7.t(d.TERMINATED);
            }
            this.parkedWorkersStack = 0;
            this.controlState = 0;
        }
    }

    public final void D() {
        if (!L() && !K(this, 0, 1, null)) {
            L();
        }
    }

    public final int b(long j7) {
        return (int) ((j7 & f21902g6) >> 42);
    }

    @Override // java.io.Closeable, java.lang.AutoCloseable
    public void close() {
        A(WorkRequest.MIN_BACKOFF_MILLIS);
    }

    @a7.d
    public final k e(@a7.d Runnable runnable, @a7.d l lVar) {
        long a8 = o.f21948f.a();
        if (!(runnable instanceof k)) {
            return new n(runnable, a8, lVar);
        }
        k kVar = (k) runnable;
        kVar.f21939f = a8;
        kVar.f21940g = lVar;
        return kVar;
    }

    public void execute(@a7.d Runnable runnable) {
        k(this, runnable, null, false, 6, null);
    }

    /* JADX WARN: Type inference failed for: r0v1, types: [boolean, int] */
    /* JADX WARNING: Unknown variable types count: 1 */
    public final boolean isTerminated() {
        return this._isTerminated;
    }

    public final void j(@a7.d Runnable runnable, @a7.d l lVar, boolean z7) {
        kotlinx.coroutines.b b7 = kotlinx.coroutines.c.b();
        if (b7 != null) {
            b7.e();
        }
        k e7 = e(runnable, lVar);
        c g7 = g();
        k G = G(g7, e7, z7);
        if (G == null || a(G)) {
            boolean z8 = z7 && g7 != null;
            if (e7.f21940g.j() != 0) {
                B(z8);
            } else if (!z8) {
                D();
            }
        } else {
            throw new RejectedExecutionException(kotlin.jvm.internal.l0.C(this.f21911x, " was terminated"));
        }
    }

    public final boolean t(@a7.d c cVar) {
        long j7;
        long j8;
        int g7;
        if (cVar.h() != Y5) {
            return false;
        }
        do {
            j7 = this.parkedWorkersStack;
            j8 = (2097152 + j7) & f21906k6;
            g7 = cVar.g();
            cVar.q(this.C2.b((int) (2097151 & j7)));
        } while (!V5.compareAndSet(this, j7, j8 | ((long) g7)));
        return true;
    }

    @a7.d
    public String toString() {
        char c7;
        StringBuilder sb;
        ArrayList arrayList = new ArrayList();
        int a8 = this.C2.a();
        int i7 = 0;
        int i8 = 0;
        int i9 = 0;
        int i10 = 0;
        int i11 = 0;
        int i12 = 1;
        while (i12 < a8) {
            int i13 = i12 + 1;
            c b7 = this.C2.b(i12);
            if (b7 != null) {
                int f7 = b7.f21914f.f();
                int i14 = b.f21913a[b7.f21915g.ordinal()];
                if (i14 != 1) {
                    if (i14 == 2) {
                        i8++;
                        sb = new StringBuilder();
                        sb.append(f7);
                        c7 = 'b';
                    } else if (i14 == 3) {
                        i7++;
                        sb = new StringBuilder();
                        sb.append(f7);
                        c7 = 'c';
                    } else if (i14 == 4) {
                        i10++;
                        if (f7 > 0) {
                            sb = new StringBuilder();
                            sb.append(f7);
                            c7 = 'd';
                        }
                    } else if (i14 == 5) {
                        i11++;
                    }
                    sb.append(c7);
                    arrayList.add(sb.toString());
                } else {
                    i9++;
                }
            }
            i12 = i13;
        }
        long j7 = this.controlState;
        return this.f21911x + '@' + y0.b(this) + "[Pool Size {core = " + this.f21908f + ", max = " + this.f21909g + "}, Worker States {CPU = " + i7 + ", blocking = " + i8 + ", parked = " + i9 + ", dormant = " + i10 + ", terminated = " + i11 + "}, running workers queues = " + arrayList + ", global CPU queue size = " + this.f21912y.c() + ", global blocking queue size = " + this.C1.c() + ", Control State {created workers= " + ((int) (2097151 & j7)) + ", blocking tasks = " + ((int) ((f21900e6 & j7) >> 21)) + ", CPUs acquired = " + (this.f21908f - ((int) ((f21902g6 & j7) >> 42))) + "}]";
    }

    public final void x(@a7.d c cVar, int i7, int i8) {
        while (true) {
            long j7 = this.parkedWorkersStack;
            int i9 = (int) (2097151 & j7);
            long j8 = (2097152 + j7) & f21906k6;
            if (i9 == i7) {
                i9 = i8 == 0 ? p(cVar) : i8;
            }
            if (i9 >= 0 && V5.compareAndSet(this, j7, j8 | ((long) i9))) {
                return;
            }
        }
    }

    public final void z(@a7.d k kVar) {
        kotlinx.coroutines.b b7;
        try {
            kVar.run();
            b7 = kotlinx.coroutines.c.b();
            if (b7 == null) {
                return;
            }
        } catch (Throwable th) {
            kotlinx.coroutines.b b8 = kotlinx.coroutines.c.b();
            if (b8 != null) {
                b8.f();
            }
            throw th;
        }
        b7.f();
    }

    /* JADX INFO: this call moved to the top of the method (can break code semantics) */
    public /* synthetic */ a(int i7, int i8, long j7, String str, int i9, w wVar) {
        this(i7, i8, (i9 & 4) != 0 ? o.f21947e : j7, (i9 & 8) != 0 ? o.f21943a : str);
    }
}
