package org.bouncycastle2.asn1;

import java.io.ByteArrayInputStream;
import java.io.EOFException;
import java.io.FilterInputStream;
import java.io.IOException;
import java.io.InputStream;
import kotlinx.coroutines.scheduling.r;
import w5.b;

public class e extends FilterInputStream implements m1 {

    /* renamed from: f  reason: collision with root package name */
    private final int f22363f;

    /* renamed from: g  reason: collision with root package name */
    private final boolean f22364g;

    public e(InputStream inputStream) {
        this(inputStream, Integer.MAX_VALUE);
    }

    static z0 d(int i7, byte[] bArr) {
        switch (i7) {
            case 1:
                return new k0(bArr);
            case 2:
                return new w0(bArr);
            case 3:
                byte b7 = bArr[0];
                byte[] bArr2 = new byte[(bArr.length - 1)];
                System.arraycopy(bArr, 1, bArr2, 0, bArr.length - 1);
                return new j0(bArr2, b7);
            case 4:
                return new b1(bArr);
            case 5:
                return x0.f22731x;
            case 6:
                return new a1(bArr);
            case 7:
            case 8:
            case 9:
            case 11:
            case 13:
            case 14:
            case 15:
            case 16:
            case 17:
            case 21:
            case 25:
            case 29:
            default:
                return new q1(false, i7, bArr);
            case 10:
                return new p0(bArr);
            case 12:
                return new o1(bArr);
            case 18:
                return new y0(bArr);
            case 19:
                return new e1(bArr);
            case 20:
                return new k1(bArr);
            case 22:
                return new v0(bArr);
            case 23:
                return new n1(bArr);
            case 24:
                return new u0(bArr);
            case 26:
                return new r1(bArr);
            case 27:
                return new t0(bArr);
            case 28:
                return new p1(bArr);
            case 30:
                return new i0(bArr);
        }
    }

    static int g(InputStream inputStream, int i7) throws IOException {
        int read = inputStream.read();
        if (read < 0) {
            throw new EOFException("EOF found when length expected");
        } else if (read == 128) {
            return -1;
        } else {
            if (read <= 127) {
                return read;
            }
            int i8 = read & r.f21961c;
            if (i8 <= 4) {
                int i9 = 0;
                for (int i10 = 0; i10 < i8; i10++) {
                    int read2 = inputStream.read();
                    if (read2 >= 0) {
                        i9 = (i9 << 8) + read2;
                    } else {
                        throw new EOFException("EOF found reading length");
                    }
                }
                if (i9 < 0) {
                    throw new IOException("corrupted stream - negative length found");
                } else if (i9 < i7) {
                    return i9;
                } else {
                    throw new IOException("corrupted stream - out of bounds length found");
                }
            } else {
                throw new IOException("DER length more than 4 bytes: " + i8);
            }
        }
    }

    static int i(InputStream inputStream, int i7) throws IOException {
        int i8 = i7 & 31;
        if (i8 != 31) {
            return i8;
        }
        int read = inputStream.read();
        if ((read & r.f21961c) != 0) {
            int i9 = 0;
            while (read >= 0 && (read & 128) != 0) {
                i9 = ((read & r.f21961c) | i9) << 7;
                read = inputStream.read();
            }
            if (read >= 0) {
                return i9 | (read & r.f21961c);
            }
            throw new EOFException("EOF found inside tag value.");
        }
        throw new IOException("corrupted stream - invalid high tag number found");
    }

    /* access modifiers changed from: package-private */
    public d a(s1 s1Var) throws IOException {
        return new e(s1Var).b();
    }

    /* access modifiers changed from: package-private */
    public d b() throws IOException {
        d dVar = new d();
        while (true) {
            z0 h7 = h();
            if (h7 == null) {
                return dVar;
            }
            dVar.a(h7);
        }
    }

    /* access modifiers changed from: protected */
    public z0 c(int i7, int i8, int i9) throws IOException {
        boolean z7 = (i7 & 32) != 0;
        s1 s1Var = new s1(this, i9);
        return (i7 & 64) != 0 ? new h0(z7, i8, s1Var.c()) : (i7 & 128) != 0 ? new f0(i7, i8, s1Var).d() : z7 ? i8 != 4 ? i8 != 8 ? i8 != 16 ? i8 != 17 ? new q1(true, i8, s1Var.c()) : s0.c(a(s1Var), false) : this.f22364g ? new v1(s1Var.c()) : s0.a(a(s1Var)) : new q0(a(s1Var)) : new v(a(s1Var).f22458a) : d(i8, s1Var.c());
    }

    /* access modifiers changed from: protected */
    public void e(byte[] bArr) throws IOException {
        if (b.f(this, bArr) != bArr.length) {
            throw new EOFException("EOF encountered in middle of object");
        }
    }

    /* access modifiers changed from: protected */
    public int f() throws IOException {
        return g(this, this.f22363f);
    }

    public z0 h() throws IOException {
        int read = read();
        if (read > 0) {
            int i7 = i(this, read);
            boolean z7 = (read & 32) != 0;
            int f7 = f();
            if (f7 >= 0) {
                return c(read, i7, f7);
            }
            if (z7) {
                t1 t1Var = new t1(this);
                if ((read & 64) != 0) {
                    return new u(i7, new q(t1Var, this.f22363f)).d();
                }
                if ((read & 128) != 0) {
                    return new f0(read, i7, t1Var).d();
                }
                q qVar = new q(t1Var, this.f22363f);
                if (i7 == 4) {
                    return new y(qVar).d();
                }
                if (i7 == 8) {
                    return new r0(qVar).d();
                }
                if (i7 == 16) {
                    return new b0(qVar).d();
                }
                if (i7 == 17) {
                    return new d0(qVar).d();
                }
                throw new IOException("unknown BER object encountered");
            }
            throw new IOException("indefinite length primitive encoding encountered");
        } else if (read != 0) {
            return null;
        } else {
            throw new IOException("unexpected end-of-contents marker");
        }
    }

    public e(InputStream inputStream, int i7) {
        this(inputStream, i7, false);
    }

    public e(InputStream inputStream, int i7, boolean z7) {
        super(inputStream);
        this.f22363f = i7;
        this.f22364g = z7;
    }

    public e(byte[] bArr) {
        this(new ByteArrayInputStream(bArr), bArr.length);
    }

    public e(byte[] bArr, boolean z7) {
        this(new ByteArrayInputStream(bArr), bArr.length, z7);
    }
}
