package org.bouncycastle2.asn1;

import java.io.IOException;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.SimpleTimeZone;
import java.util.TimeZone;

public class u0 extends g {

    /* renamed from: p  reason: collision with root package name */
    String f22717p;

    public u0(String str) {
        this.f22717p = str;
        try {
            o();
        } catch (ParseException e7) {
            throw new IllegalArgumentException("invalid date string: " + e7.getMessage());
        }
    }

    private String m() {
        String str;
        TimeZone timeZone = TimeZone.getDefault();
        int rawOffset = timeZone.getRawOffset();
        if (rawOffset < 0) {
            rawOffset = -rawOffset;
            str = "-";
        } else {
            str = "+";
        }
        int i7 = rawOffset / 3600000;
        int i8 = (rawOffset - (((i7 * 60) * 60) * 1000)) / 60000;
        try {
            if (timeZone.useDaylightTime() && timeZone.inDaylightTime(o())) {
                i7 += str.equals("+") ? 1 : -1;
            }
        } catch (ParseException unused) {
        }
        return "GMT" + str + n(i7) + ":" + n(i8);
    }

    private String n(int i7) {
        if (i7 >= 10) {
            return Integer.toString(i7);
        }
        return "0" + i7;
    }

    public static u0 p(Object obj) {
        if (obj == null || (obj instanceof u0)) {
            return (u0) obj;
        }
        if (obj instanceof i) {
            return new u0(((i) obj).o());
        }
        throw new IllegalArgumentException("illegal object in getInstance: " + obj.getClass().getName());
    }

    public static u0 q(r rVar, boolean z7) {
        return p(rVar.o());
    }

    private byte[] r() {
        char[] charArray = this.f22717p.toCharArray();
        byte[] bArr = new byte[charArray.length];
        for (int i7 = 0; i7 != charArray.length; i7++) {
            bArr[i7] = (byte) charArray[i7];
        }
        return bArr;
    }

    private boolean u() {
        return this.f22717p.indexOf(46) == 14;
    }

    @Override // org.bouncycastle2.asn1.c, org.bouncycastle2.asn1.z0, org.bouncycastle2.asn1.g
    public int hashCode() {
        return this.f22717p.hashCode();
    }

    /* access modifiers changed from: package-private */
    @Override // org.bouncycastle2.asn1.z0, org.bouncycastle2.asn1.g
    public void j(d1 d1Var) throws IOException {
        d1Var.b(24, r());
    }

    /* access modifiers changed from: package-private */
    @Override // org.bouncycastle2.asn1.g
    public boolean k(z0 z0Var) {
        if (!(z0Var instanceof u0)) {
            return false;
        }
        return this.f22717p.equals(((u0) z0Var).f22717p);
    }

    /* JADX WARNING: Removed duplicated region for block: B:24:0x008a  */
    public Date o() throws ParseException {
        SimpleDateFormat simpleDateFormat;
        SimpleTimeZone simpleTimeZone;
        String str = this.f22717p;
        if (str.endsWith("Z")) {
            simpleDateFormat = u() ? new SimpleDateFormat("yyyyMMddHHmmss.SSS'Z'") : new SimpleDateFormat("yyyyMMddHHmmss'Z'");
            simpleTimeZone = new SimpleTimeZone(0, "Z");
        } else if (this.f22717p.indexOf(45) > 0 || this.f22717p.indexOf(43) > 0) {
            str = s();
            simpleDateFormat = u() ? new SimpleDateFormat("yyyyMMddHHmmss.SSSz") : new SimpleDateFormat("yyyyMMddHHmmssz");
            simpleTimeZone = new SimpleTimeZone(0, "Z");
        } else {
            simpleDateFormat = u() ? new SimpleDateFormat("yyyyMMddHHmmss.SSS") : new SimpleDateFormat("yyyyMMddHHmmss");
            simpleDateFormat.setTimeZone(new SimpleTimeZone(0, TimeZone.getDefault().getID()));
            if (u()) {
                String substring = str.substring(14);
                int i7 = 1;
                while (i7 < substring.length() && '0' <= (r5 = substring.charAt(i7)) && r5 <= '9') {
                    i7++;
                }
                if (i7 - 1 > 3) {
                    str = String.valueOf(str.substring(0, 14)) + (String.valueOf(substring.substring(0, 4)) + substring.substring(i7));
                }
            }
            return simpleDateFormat.parse(str);
        }
        simpleDateFormat.setTimeZone(simpleTimeZone);
        if (u()) {
        }
        return simpleDateFormat.parse(str);
    }

    public String s() {
        String str = this.f22717p;
        if (str.charAt(str.length() - 1) == 'Z') {
            String str2 = this.f22717p;
            return String.valueOf(str2.substring(0, str2.length() - 1)) + "GMT+00:00";
        }
        int length = this.f22717p.length() - 5;
        char charAt = this.f22717p.charAt(length);
        if (charAt == '-' || charAt == '+') {
            StringBuilder sb = new StringBuilder(String.valueOf(this.f22717p.substring(0, length)));
            sb.append("GMT");
            int i7 = length + 3;
            sb.append(this.f22717p.substring(length, i7));
            sb.append(":");
            sb.append(this.f22717p.substring(i7));
            return sb.toString();
        }
        int length2 = this.f22717p.length() - 3;
        char charAt2 = this.f22717p.charAt(length2);
        if (charAt2 == '-' || charAt2 == '+') {
            return String.valueOf(this.f22717p.substring(0, length2)) + "GMT" + this.f22717p.substring(length2) + ":00";
        }
        return String.valueOf(this.f22717p) + m();
    }

    public String t() {
        return this.f22717p;
    }

    public u0(Date date) {
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyyMMddHHmmss'Z'");
        simpleDateFormat.setTimeZone(new SimpleTimeZone(0, "Z"));
        this.f22717p = simpleDateFormat.format(date);
    }

    u0(byte[] bArr) {
        int length = bArr.length;
        char[] cArr = new char[length];
        for (int i7 = 0; i7 != length; i7++) {
            cArr[i7] = (char) (bArr[i7] & 255);
        }
        this.f22717p = new String(cArr);
    }
}
