package org.bouncycastle2.asn1.x509;

import java.util.StringTokenizer;
import org.bouncycastle2.asn1.a1;
import org.bouncycastle2.asn1.b;
import org.bouncycastle2.asn1.b1;
import org.bouncycastle2.asn1.c;
import org.bouncycastle2.asn1.i;
import org.bouncycastle2.asn1.l1;
import org.bouncycastle2.asn1.m;
import org.bouncycastle2.asn1.n0;
import org.bouncycastle2.asn1.r;
import org.bouncycastle2.asn1.v0;
import org.bouncycastle2.asn1.z0;
import v5.d;

public class w extends c implements b {
    public static final int C1 = 1;
    public static final int C2 = 2;
    public static final int U5 = 3;
    public static final int V5 = 4;
    public static final int W5 = 5;
    public static final int X5 = 6;
    public static final int Y5 = 7;
    public static final int Z5 = 8;

    /* renamed from: y  reason: collision with root package name */
    public static final int f22925y = 0;

    /* renamed from: p  reason: collision with root package name */
    n0 f22926p;

    /* renamed from: x  reason: collision with root package name */
    int f22927x;

    public w(int i7, String str) {
        n0 n0Var;
        this.f22927x = i7;
        if (i7 == 1 || i7 == 2 || i7 == 6) {
            n0Var = new v0(str);
        } else if (i7 == 8) {
            n0Var = new a1(str);
        } else if (i7 == 4) {
            n0Var = new b1(str);
        } else if (i7 == 7) {
            byte[] r7 = r(str);
            if (r7 != null) {
                this.f22926p = new b1(r7);
                return;
            }
            throw new IllegalArgumentException("IP Address is invalid");
        } else {
            throw new IllegalArgumentException("can't process String for tag: " + i7);
        }
        this.f22926p = n0Var;
    }

    private void j(int[] iArr, byte[] bArr, int i7) {
        for (int i8 = 0; i8 != iArr.length; i8++) {
            int i9 = i8 * 2;
            int i10 = iArr[i8];
            bArr[i9 + i7] = (byte) (i10 >> 8);
            bArr[i9 + 1 + i7] = (byte) i10;
        }
    }

    public static w k(Object obj) {
        if (obj == null || (obj instanceof w)) {
            return (w) obj;
        }
        if (obj instanceof r) {
            r rVar = (r) obj;
            int e7 = rVar.e();
            switch (e7) {
                case 0:
                    return new w(e7, m.o(rVar, false));
                case 1:
                    return new w(e7, v0.n(rVar, false));
                case 2:
                    return new w(e7, v0.n(rVar, false));
                case 3:
                    throw new IllegalArgumentException("unknown tag: " + e7);
                case 4:
                    return new w(e7, b1.r(rVar, true));
                case 5:
                    return new w(e7, m.o(rVar, false));
                case 6:
                    return new w(e7, v0.n(rVar, false));
                case 7:
                    return new w(e7, i.n(rVar, false));
                case 8:
                    return new w(e7, a1.o(rVar, false));
            }
        }
        throw new IllegalArgumentException("unknown object in getInstance: " + obj.getClass().getName());
    }

    public static w l(r rVar, boolean z7) {
        return k(r.n(rVar, true));
    }

    private void n(String str, byte[] bArr, int i7) {
        StringTokenizer stringTokenizer = new StringTokenizer(str, "./");
        int i8 = 0;
        while (stringTokenizer.hasMoreTokens()) {
            bArr[i8 + i7] = (byte) Integer.parseInt(stringTokenizer.nextToken());
            i8++;
        }
    }

    private void o(String str, byte[] bArr, int i7) {
        int parseInt = Integer.parseInt(str);
        for (int i8 = 0; i8 != parseInt; i8++) {
            int i9 = (i8 / 8) + i7;
            bArr[i9] = (byte) (bArr[i9] | (1 << (i8 % 8)));
        }
    }

    private int[] p(String str) {
        StringTokenizer stringTokenizer = new StringTokenizer(str, ":", true);
        int[] iArr = new int[8];
        if (str.charAt(0) == ':' && str.charAt(1) == ':') {
            stringTokenizer.nextToken();
        }
        int i7 = -1;
        int i8 = 0;
        while (stringTokenizer.hasMoreTokens()) {
            String nextToken = stringTokenizer.nextToken();
            if (nextToken.equals(":")) {
                iArr[i8] = 0;
                i7 = i8;
                i8++;
            } else if (nextToken.indexOf(46) < 0) {
                int i9 = i8 + 1;
                iArr[i8] = Integer.parseInt(nextToken, 16);
                if (stringTokenizer.hasMoreTokens()) {
                    stringTokenizer.nextToken();
                }
                i8 = i9;
            } else {
                StringTokenizer stringTokenizer2 = new StringTokenizer(nextToken, ".");
                int i10 = i8 + 1;
                iArr[i8] = (Integer.parseInt(stringTokenizer2.nextToken()) << 8) | Integer.parseInt(stringTokenizer2.nextToken());
                i8 = i10 + 1;
                iArr[i10] = Integer.parseInt(stringTokenizer2.nextToken()) | (Integer.parseInt(stringTokenizer2.nextToken()) << 8);
            }
        }
        if (i8 != 8) {
            int i11 = i8 - i7;
            int i12 = 8 - i11;
            System.arraycopy(iArr, i7, iArr, i12, i11);
            while (i7 != i12) {
                iArr[i7] = 0;
                i7++;
            }
        }
        return iArr;
    }

    private int[] q(String str) {
        int[] iArr = new int[8];
        int parseInt = Integer.parseInt(str);
        for (int i7 = 0; i7 != parseInt; i7++) {
            int i8 = i7 / 16;
            iArr[i8] = iArr[i8] | (1 << (i7 % 16));
        }
        return iArr;
    }

    private byte[] r(String str) {
        if (d.f(str) || d.e(str)) {
            int indexOf = str.indexOf(47);
            if (indexOf < 0) {
                byte[] bArr = new byte[16];
                j(p(str), bArr, 0);
                return bArr;
            }
            byte[] bArr2 = new byte[32];
            j(p(str.substring(0, indexOf)), bArr2, 0);
            String substring = str.substring(indexOf + 1);
            j(substring.indexOf(58) > 0 ? p(substring) : q(substring), bArr2, 16);
            return bArr2;
        } else if (!d.d(str) && !d.c(str)) {
            return null;
        } else {
            int indexOf2 = str.indexOf(47);
            if (indexOf2 < 0) {
                byte[] bArr3 = new byte[4];
                n(str, bArr3, 0);
                return bArr3;
            }
            byte[] bArr4 = new byte[8];
            n(str.substring(0, indexOf2), bArr4, 0);
            String substring2 = str.substring(indexOf2 + 1);
            if (substring2.indexOf(46) > 0) {
                n(substring2, bArr4, 4);
            } else {
                o(substring2, bArr4, 4);
            }
            return bArr4;
        }
    }

    public int e() {
        return this.f22927x;
    }

    @Override // org.bouncycastle2.asn1.c
    public z0 i() {
        return this.f22927x == 4 ? new l1(true, this.f22927x, this.f22926p) : new l1(false, this.f22927x, this.f22926p);
    }

    public n0 m() {
        return this.f22926p;
    }

    public String toString() {
        String str;
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append(this.f22927x);
        stringBuffer.append(": ");
        int i7 = this.f22927x;
        if (!(i7 == 1 || i7 == 2)) {
            if (i7 == 4) {
                str = b1.q(this.f22926p).toString();
            } else if (i7 != 6) {
                str = this.f22926p.toString();
            }
            stringBuffer.append(str);
            return stringBuffer.toString();
        }
        str = v0.m(this.f22926p).b();
        stringBuffer.append(str);
        return stringBuffer.toString();
    }

    public w(int i7, c cVar) {
        this.f22926p = cVar;
        this.f22927x = i7;
    }

    public w(z0 z0Var, int i7) {
        this.f22926p = z0Var;
        this.f22927x = i7;
    }

    public w(b1 b1Var) {
        this.f22926p = b1Var;
        this.f22927x = 4;
    }
}
