package org.bouncycastle2.crypto.engines;

import com.google.common.base.Ascii;
import com.google.common.primitives.q;
import java.lang.reflect.Array;
import org.bouncycastle2.bcpg.y;
import org.bouncycastle2.crypto.e;
import org.bouncycastle2.crypto.i;
import org.bouncycastle2.crypto.l;
import org.bouncycastle2.crypto.params.k0;
import org.bouncycastle2.crypto.signers.f;
import org.bouncycastle2.crypto.signers.g;

public class a implements e {

    /* renamed from: h  reason: collision with root package name */
    private static final byte[] f23421h;

    /* renamed from: i  reason: collision with root package name */
    private static final byte[] f23422i;

    /* renamed from: j  reason: collision with root package name */
    private static final int[] f23423j = {1, 2, 4, 8, 16, 32, 64, 128, 27, 54, 108, 216, 171, 77, 154, 47, 94, f.f24108j, 99, 198, 151, 53, y.f23178d5, 212, 179, 125, 250, 239, 197, 145};

    /* renamed from: k  reason: collision with root package name */
    private static final int[] f23424k;

    /* renamed from: l  reason: collision with root package name */
    private static final int[] f23425l;

    /* renamed from: m  reason: collision with root package name */
    private static final int f23426m = -2139062144;

    /* renamed from: n  reason: collision with root package name */
    private static final int f23427n = 2139062143;

    /* renamed from: o  reason: collision with root package name */
    private static final int f23428o = 27;

    /* renamed from: p  reason: collision with root package name */
    private static final int f23429p = 16;

    /* renamed from: a  reason: collision with root package name */
    private int f23430a;

    /* renamed from: b  reason: collision with root package name */
    private int[][] f23431b = null;

    /* renamed from: c  reason: collision with root package name */
    private int f23432c;

    /* renamed from: d  reason: collision with root package name */
    private int f23433d;

    /* renamed from: e  reason: collision with root package name */
    private int f23434e;

    /* renamed from: f  reason: collision with root package name */
    private int f23435f;

    /* renamed from: g  reason: collision with root package name */
    private boolean f23436g;

    static {
        byte[] bArr = new byte[256];
        bArr[0] = 99;
        bArr[1] = 124;
        bArr[2] = 119;
        bArr[3] = 123;
        bArr[4] = -14;
        bArr[5] = 107;
        bArr[6] = 111;
        bArr[7] = -59;
        bArr[8] = 48;
        bArr[9] = 1;
        bArr[10] = 103;
        bArr[11] = 43;
        bArr[12] = -2;
        bArr[13] = -41;
        bArr[14] = -85;
        bArr[15] = 118;
        bArr[16] = -54;
        bArr[17] = -126;
        bArr[18] = -55;
        bArr[19] = 125;
        bArr[20] = -6;
        bArr[21] = 89;
        bArr[22] = 71;
        bArr[23] = -16;
        bArr[24] = -83;
        bArr[25] = -44;
        bArr[26] = -94;
        bArr[27] = -81;
        bArr[28] = -100;
        bArr[29] = -92;
        bArr[30] = 114;
        bArr[31] = -64;
        bArr[32] = -73;
        bArr[33] = -3;
        bArr[34] = -109;
        bArr[35] = 38;
        bArr[36] = 54;
        bArr[37] = 63;
        bArr[38] = -9;
        bArr[39] = -52;
        bArr[40] = 52;
        bArr[41] = -91;
        bArr[42] = -27;
        bArr[43] = -15;
        bArr[44] = 113;
        bArr[45] = -40;
        bArr[46] = 49;
        bArr[47] = Ascii.NAK;
        bArr[48] = 4;
        bArr[49] = -57;
        bArr[50] = 35;
        bArr[51] = -61;
        bArr[52] = Ascii.CAN;
        bArr[53] = -106;
        bArr[54] = 5;
        bArr[55] = -102;
        bArr[56] = 7;
        bArr[57] = Ascii.DC2;
        bArr[58] = Byte.MIN_VALUE;
        bArr[59] = -30;
        bArr[60] = -21;
        bArr[61] = 39;
        bArr[62] = -78;
        bArr[63] = 117;
        bArr[64] = 9;
        bArr[65] = -125;
        bArr[66] = 44;
        bArr[67] = Ascii.SUB;
        bArr[68] = Ascii.ESC;
        bArr[69] = 110;
        bArr[70] = 90;
        bArr[71] = -96;
        bArr[72] = 82;
        bArr[73] = 59;
        bArr[74] = -42;
        bArr[75] = -77;
        bArr[76] = 41;
        bArr[77] = -29;
        bArr[78] = 47;
        bArr[79] = -124;
        bArr[80] = 83;
        bArr[81] = -47;
        bArr[83] = -19;
        bArr[84] = 32;
        bArr[85] = -4;
        bArr[86] = -79;
        bArr[87] = 91;
        bArr[88] = 106;
        bArr[89] = -53;
        bArr[90] = -66;
        bArr[91] = 57;
        bArr[92] = 74;
        bArr[93] = 76;
        bArr[94] = 88;
        bArr[95] = -49;
        bArr[96] = -48;
        bArr[97] = -17;
        bArr[98] = -86;
        bArr[99] = -5;
        bArr[100] = 67;
        bArr[101] = 77;
        bArr[102] = 51;
        bArr[103] = -123;
        bArr[104] = 69;
        bArr[105] = -7;
        bArr[106] = 2;
        bArr[107] = Byte.MAX_VALUE;
        bArr[108] = 80;
        bArr[109] = 60;
        bArr[110] = -97;
        bArr[111] = -88;
        bArr[112] = 81;
        bArr[113] = -93;
        bArr[114] = q.f11858a;
        bArr[115] = -113;
        bArr[116] = -110;
        bArr[117] = -99;
        bArr[118] = 56;
        bArr[119] = -11;
        bArr[120] = g.f24121l;
        bArr[121] = -74;
        bArr[122] = -38;
        bArr[123] = 33;
        bArr[124] = 16;
        bArr[125] = -1;
        bArr[126] = -13;
        bArr[127] = -46;
        bArr[128] = -51;
        bArr[129] = Ascii.FF;
        bArr[130] = 19;
        bArr[131] = -20;
        bArr[132] = 95;
        bArr[133] = -105;
        bArr[134] = 68;
        bArr[135] = Ascii.ETB;
        bArr[136] = -60;
        bArr[137] = -89;
        bArr[138] = 126;
        bArr[139] = 61;
        bArr[140] = 100;
        bArr[141] = 93;
        bArr[142] = Ascii.EM;
        bArr[143] = 115;
        bArr[144] = 96;
        bArr[145] = -127;
        bArr[146] = 79;
        bArr[147] = -36;
        bArr[148] = 34;
        bArr[149] = 42;
        bArr[150] = -112;
        bArr[151] = -120;
        bArr[152] = 70;
        bArr[153] = -18;
        bArr[154] = -72;
        bArr[155] = Ascii.DC4;
        bArr[156] = -34;
        bArr[157] = 94;
        bArr[158] = Ascii.VT;
        bArr[159] = -37;
        bArr[160] = -32;
        bArr[161] = 50;
        bArr[162] = 58;
        bArr[163] = 10;
        bArr[164] = 73;
        bArr[165] = 6;
        bArr[166] = 36;
        bArr[167] = 92;
        bArr[168] = -62;
        bArr[169] = -45;
        bArr[170] = -84;
        bArr[171] = 98;
        bArr[172] = -111;
        bArr[173] = -107;
        bArr[174] = -28;
        bArr[175] = 121;
        bArr[176] = -25;
        bArr[177] = -56;
        bArr[178] = 55;
        bArr[179] = 109;
        bArr[180] = -115;
        bArr[181] = -43;
        bArr[182] = 78;
        bArr[183] = -87;
        bArr[184] = 108;
        bArr[185] = 86;
        bArr[186] = -12;
        bArr[187] = -22;
        bArr[188] = 101;
        bArr[189] = 122;
        bArr[190] = -82;
        bArr[191] = 8;
        bArr[192] = -70;
        bArr[193] = 120;
        bArr[194] = 37;
        bArr[195] = 46;
        bArr[196] = Ascii.FS;
        bArr[197] = -90;
        bArr[198] = -76;
        bArr[199] = -58;
        bArr[200] = -24;
        bArr[201] = -35;
        bArr[202] = 116;
        bArr[203] = Ascii.US;
        bArr[204] = 75;
        bArr[205] = -67;
        bArr[206] = -117;
        bArr[207] = -118;
        bArr[208] = 112;
        bArr[209] = 62;
        bArr[210] = -75;
        bArr[211] = 102;
        bArr[212] = 72;
        bArr[213] = 3;
        bArr[214] = -10;
        bArr[215] = Ascii.SO;
        bArr[216] = 97;
        bArr[217] = 53;
        bArr[218] = 87;
        bArr[219] = -71;
        bArr[220] = -122;
        bArr[221] = -63;
        bArr[222] = Ascii.GS;
        bArr[223] = -98;
        bArr[224] = -31;
        bArr[225] = -8;
        bArr[226] = -104;
        bArr[227] = 17;
        bArr[228] = 105;
        bArr[229] = -39;
        bArr[230] = -114;
        bArr[231] = -108;
        bArr[232] = -101;
        bArr[233] = Ascii.RS;
        bArr[234] = -121;
        bArr[235] = -23;
        bArr[236] = -50;
        bArr[237] = 85;
        bArr[238] = 40;
        bArr[239] = -33;
        bArr[240] = -116;
        bArr[241] = -95;
        bArr[242] = -119;
        bArr[243] = Ascii.CR;
        bArr[244] = -65;
        bArr[245] = -26;
        bArr[246] = 66;
        bArr[247] = 104;
        bArr[248] = 65;
        bArr[249] = -103;
        bArr[250] = 45;
        bArr[251] = Ascii.SI;
        bArr[252] = -80;
        bArr[253] = 84;
        bArr[254] = -69;
        bArr[255] = Ascii.SYN;
        f23421h = bArr;
        byte[] bArr2 = new byte[256];
        bArr2[0] = 82;
        bArr2[1] = 9;
        bArr2[2] = 106;
        bArr2[3] = -43;
        bArr2[4] = 48;
        bArr2[5] = 54;
        bArr2[6] = -91;
        bArr2[7] = 56;
        bArr2[8] = -65;
        bArr2[9] = q.f11858a;
        bArr2[10] = -93;
        bArr2[11] = -98;
        bArr2[12] = -127;
        bArr2[13] = -13;
        bArr2[14] = -41;
        bArr2[15] = -5;
        bArr2[16] = 124;
        bArr2[17] = -29;
        bArr2[18] = 57;
        bArr2[19] = -126;
        bArr2[20] = -101;
        bArr2[21] = 47;
        bArr2[22] = -1;
        bArr2[23] = -121;
        bArr2[24] = 52;
        bArr2[25] = -114;
        bArr2[26] = 67;
        bArr2[27] = 68;
        bArr2[28] = -60;
        bArr2[29] = -34;
        bArr2[30] = -23;
        bArr2[31] = -53;
        bArr2[32] = 84;
        bArr2[33] = 123;
        bArr2[34] = -108;
        bArr2[35] = 50;
        bArr2[36] = -90;
        bArr2[37] = -62;
        bArr2[38] = 35;
        bArr2[39] = 61;
        bArr2[40] = -18;
        bArr2[41] = 76;
        bArr2[42] = -107;
        bArr2[43] = Ascii.VT;
        bArr2[44] = 66;
        bArr2[45] = -6;
        bArr2[46] = -61;
        bArr2[47] = 78;
        bArr2[48] = 8;
        bArr2[49] = 46;
        bArr2[50] = -95;
        bArr2[51] = 102;
        bArr2[52] = 40;
        bArr2[53] = -39;
        bArr2[54] = 36;
        bArr2[55] = -78;
        bArr2[56] = 118;
        bArr2[57] = 91;
        bArr2[58] = -94;
        bArr2[59] = 73;
        bArr2[60] = 109;
        bArr2[61] = -117;
        bArr2[62] = -47;
        bArr2[63] = 37;
        bArr2[64] = 114;
        bArr2[65] = -8;
        bArr2[66] = -10;
        bArr2[67] = 100;
        bArr2[68] = -122;
        bArr2[69] = 104;
        bArr2[70] = -104;
        bArr2[71] = Ascii.SYN;
        bArr2[72] = -44;
        bArr2[73] = -92;
        bArr2[74] = 92;
        bArr2[75] = -52;
        bArr2[76] = 93;
        bArr2[77] = 101;
        bArr2[78] = -74;
        bArr2[79] = -110;
        bArr2[80] = 108;
        bArr2[81] = 112;
        bArr2[82] = 72;
        bArr2[83] = 80;
        bArr2[84] = -3;
        bArr2[85] = -19;
        bArr2[86] = -71;
        bArr2[87] = -38;
        bArr2[88] = 94;
        bArr2[89] = Ascii.NAK;
        bArr2[90] = 70;
        bArr2[91] = 87;
        bArr2[92] = -89;
        bArr2[93] = -115;
        bArr2[94] = -99;
        bArr2[95] = -124;
        bArr2[96] = -112;
        bArr2[97] = -40;
        bArr2[98] = -85;
        bArr2[100] = -116;
        bArr2[101] = g.f24121l;
        bArr2[102] = -45;
        bArr2[103] = 10;
        bArr2[104] = -9;
        bArr2[105] = -28;
        bArr2[106] = 88;
        bArr2[107] = 5;
        bArr2[108] = -72;
        bArr2[109] = -77;
        bArr2[110] = 69;
        bArr2[111] = 6;
        bArr2[112] = -48;
        bArr2[113] = 44;
        bArr2[114] = Ascii.RS;
        bArr2[115] = -113;
        bArr2[116] = -54;
        bArr2[117] = 63;
        bArr2[118] = Ascii.SI;
        bArr2[119] = 2;
        bArr2[120] = -63;
        bArr2[121] = -81;
        bArr2[122] = -67;
        bArr2[123] = 3;
        bArr2[124] = 1;
        bArr2[125] = 19;
        bArr2[126] = -118;
        bArr2[127] = 107;
        bArr2[128] = 58;
        bArr2[129] = -111;
        bArr2[130] = 17;
        bArr2[131] = 65;
        bArr2[132] = 79;
        bArr2[133] = 103;
        bArr2[134] = -36;
        bArr2[135] = -22;
        bArr2[136] = -105;
        bArr2[137] = -14;
        bArr2[138] = -49;
        bArr2[139] = -50;
        bArr2[140] = -16;
        bArr2[141] = -76;
        bArr2[142] = -26;
        bArr2[143] = 115;
        bArr2[144] = -106;
        bArr2[145] = -84;
        bArr2[146] = 116;
        bArr2[147] = 34;
        bArr2[148] = -25;
        bArr2[149] = -83;
        bArr2[150] = 53;
        bArr2[151] = -123;
        bArr2[152] = -30;
        bArr2[153] = -7;
        bArr2[154] = 55;
        bArr2[155] = -24;
        bArr2[156] = Ascii.FS;
        bArr2[157] = 117;
        bArr2[158] = -33;
        bArr2[159] = 110;
        bArr2[160] = 71;
        bArr2[161] = -15;
        bArr2[162] = Ascii.SUB;
        bArr2[163] = 113;
        bArr2[164] = Ascii.GS;
        bArr2[165] = 41;
        bArr2[166] = -59;
        bArr2[167] = -119;
        bArr2[168] = 111;
        bArr2[169] = -73;
        bArr2[170] = 98;
        bArr2[171] = Ascii.SO;
        bArr2[172] = -86;
        bArr2[173] = Ascii.CAN;
        bArr2[174] = -66;
        bArr2[175] = Ascii.ESC;
        bArr2[176] = -4;
        bArr2[177] = 86;
        bArr2[178] = 62;
        bArr2[179] = 75;
        bArr2[180] = -58;
        bArr2[181] = -46;
        bArr2[182] = 121;
        bArr2[183] = 32;
        bArr2[184] = -102;
        bArr2[185] = -37;
        bArr2[186] = -64;
        bArr2[187] = -2;
        bArr2[188] = 120;
        bArr2[189] = -51;
        bArr2[190] = 90;
        bArr2[191] = -12;
        bArr2[192] = Ascii.US;
        bArr2[193] = -35;
        bArr2[194] = -88;
        bArr2[195] = 51;
        bArr2[196] = -120;
        bArr2[197] = 7;
        bArr2[198] = -57;
        bArr2[199] = 49;
        bArr2[200] = -79;
        bArr2[201] = Ascii.DC2;
        bArr2[202] = 16;
        bArr2[203] = 89;
        bArr2[204] = 39;
        bArr2[205] = Byte.MIN_VALUE;
        bArr2[206] = -20;
        bArr2[207] = 95;
        bArr2[208] = 96;
        bArr2[209] = 81;
        bArr2[210] = Byte.MAX_VALUE;
        bArr2[211] = -87;
        bArr2[212] = Ascii.EM;
        bArr2[213] = -75;
        bArr2[214] = 74;
        bArr2[215] = Ascii.CR;
        bArr2[216] = 45;
        bArr2[217] = -27;
        bArr2[218] = 122;
        bArr2[219] = -97;
        bArr2[220] = -109;
        bArr2[221] = -55;
        bArr2[222] = -100;
        bArr2[223] = -17;
        bArr2[224] = -96;
        bArr2[225] = -32;
        bArr2[226] = 59;
        bArr2[227] = 77;
        bArr2[228] = -82;
        bArr2[229] = 42;
        bArr2[230] = -11;
        bArr2[231] = -80;
        bArr2[232] = -56;
        bArr2[233] = -21;
        bArr2[234] = -69;
        bArr2[235] = 60;
        bArr2[236] = -125;
        bArr2[237] = 83;
        bArr2[238] = -103;
        bArr2[239] = 97;
        bArr2[240] = Ascii.ETB;
        bArr2[241] = 43;
        bArr2[242] = 4;
        bArr2[243] = 126;
        bArr2[244] = -70;
        bArr2[245] = 119;
        bArr2[246] = -42;
        bArr2[247] = 38;
        bArr2[248] = -31;
        bArr2[249] = 105;
        bArr2[250] = Ascii.DC4;
        bArr2[251] = 99;
        bArr2[252] = 85;
        bArr2[253] = 33;
        bArr2[254] = Ascii.FF;
        bArr2[255] = 125;
        f23422i = bArr2;
        int[] iArr = new int[256];
        iArr[0] = -1520213050;
        iArr[1] = -2072216328;
        iArr[2] = -1720223762;
        iArr[3] = -1921287178;
        iArr[4] = 234025727;
        iArr[5] = -1117033514;
        iArr[6] = -1318096930;
        iArr[7] = 1422247313;
        iArr[8] = 1345335392;
        iArr[9] = 50397442;
        iArr[10] = -1452841010;
        iArr[11] = 2099981142;
        iArr[12] = 436141799;
        iArr[13] = 1658312629;
        iArr[14] = -424957107;
        iArr[15] = -1703512340;
        iArr[16] = 1170918031;
        iArr[17] = -1652391393;
        iArr[18] = 1086966153;
        iArr[19] = -2021818886;
        iArr[20] = 368769775;
        iArr[21] = -346465870;
        iArr[22] = -918075506;
        iArr[23] = 200339707;
        iArr[24] = -324162239;
        iArr[25] = 1742001331;
        iArr[26] = -39673249;
        iArr[27] = -357585083;
        iArr[28] = -1080255453;
        iArr[29] = -140204973;
        iArr[30] = -1770884380;
        iArr[31] = 1539358875;
        iArr[32] = -1028147339;
        iArr[33] = 486407649;
        iArr[34] = -1366060227;
        iArr[35] = 1780885068;
        iArr[36] = 1513502316;
        iArr[37] = 1094664062;
        iArr[38] = 49805301;
        iArr[39] = 1338821763;
        iArr[40] = 1546925160;
        iArr[41] = -190470831;
        iArr[42] = 887481809;
        iArr[43] = 150073849;
        iArr[44] = -1821281822;
        iArr[45] = 1943591083;
        iArr[46] = 1395732834;
        iArr[47] = 1058346282;
        iArr[48] = 201589768;
        iArr[49] = 1388824469;
        iArr[50] = 1696801606;
        iArr[51] = 1589887901;
        iArr[52] = 672667696;
        iArr[53] = -1583966665;
        iArr[54] = 251987210;
        iArr[55] = -1248159185;
        iArr[56] = 151455502;
        iArr[57] = 907153956;
        iArr[58] = -1686077413;
        iArr[59] = 1038279391;
        iArr[60] = 652995533;
        iArr[61] = 1764173646;
        iArr[62] = -843926913;
        iArr[63] = -1619692054;
        iArr[64] = 453576978;
        iArr[65] = -1635548387;
        iArr[66] = 1949051992;
        iArr[67] = 773462580;
        iArr[68] = 756751158;
        iArr[69] = -1301385508;
        iArr[70] = -296068428;
        iArr[71] = -73359269;
        iArr[72] = -162377052;
        iArr[73] = 1295727478;
        iArr[74] = 1641469623;
        iArr[75] = -827083907;
        iArr[76] = 2066295122;
        iArr[77] = 1055122397;
        iArr[78] = 1898917726;
        iArr[79] = -1752923117;
        iArr[80] = -179088474;
        iArr[81] = 1758581177;
        iArr[83] = 753790401;
        iArr[84] = 1612718144;
        iArr[85] = 536673507;
        iArr[86] = -927878791;
        iArr[87] = -312779850;
        iArr[88] = -1100322092;
        iArr[89] = 1187761037;
        iArr[90] = -641810841;
        iArr[91] = 1262041458;
        iArr[92] = -565556588;
        iArr[93] = -733197160;
        iArr[94] = -396863312;
        iArr[95] = 1255133061;
        iArr[96] = 1808847035;
        iArr[97] = 720367557;
        iArr[98] = -441800113;
        iArr[99] = 385612781;
        iArr[100] = -985447546;
        iArr[101] = -682799718;
        iArr[102] = 1429418854;
        iArr[103] = -1803188975;
        iArr[104] = -817543798;
        iArr[105] = 284817897;
        iArr[106] = 100794884;
        iArr[107] = -2122350594;
        iArr[108] = -263171936;
        iArr[109] = 1144798328;
        iArr[110] = -1163944155;
        iArr[111] = -475486133;
        iArr[112] = -212774494;
        iArr[113] = -22830243;
        iArr[114] = -1069531008;
        iArr[115] = -1970303227;
        iArr[116] = -1382903233;
        iArr[117] = -1130521311;
        iArr[118] = 1211644016;
        iArr[119] = 83228145;
        iArr[120] = -541279133;
        iArr[121] = -1044990345;
        iArr[122] = 1977277103;
        iArr[123] = 1663115586;
        iArr[124] = 806359072;
        iArr[125] = 452984805;
        iArr[126] = 250868733;
        iArr[127] = 1842533055;
        iArr[128] = 1288555905;
        iArr[129] = 336333848;
        iArr[130] = 890442534;
        iArr[131] = 804056259;
        iArr[132] = -513843266;
        iArr[133] = -1567123659;
        iArr[134] = -867941240;
        iArr[135] = 957814574;
        iArr[136] = 1472513171;
        iArr[137] = -223893675;
        iArr[138] = -2105639172;
        iArr[139] = 1195195770;
        iArr[140] = -1402706744;
        iArr[141] = -413311558;
        iArr[142] = 723065138;
        iArr[143] = -1787595802;
        iArr[144] = -1604296512;
        iArr[145] = -1736343271;
        iArr[146] = -783331426;
        iArr[147] = 2145180835;
        iArr[148] = 1713513028;
        iArr[149] = 2116692564;
        iArr[150] = -1416589253;
        iArr[151] = -2088204277;
        iArr[152] = -901364084;
        iArr[153] = 703524551;
        iArr[154] = -742868885;
        iArr[155] = 1007948840;
        iArr[156] = 2044649127;
        iArr[157] = -497131844;
        iArr[158] = 487262998;
        iArr[159] = 1994120109;
        iArr[160] = 1004593371;
        iArr[161] = 1446130276;
        iArr[162] = 1312438900;
        iArr[163] = 503974420;
        iArr[164] = -615954030;
        iArr[165] = 168166924;
        iArr[166] = 1814307912;
        iArr[167] = -463709000;
        iArr[168] = 1573044895;
        iArr[169] = 1859376061;
        iArr[170] = -273896381;
        iArr[171] = -1503501628;
        iArr[172] = -1466855111;
        iArr[173] = -1533700815;
        iArr[174] = 937747667;
        iArr[175] = -1954973198;
        iArr[176] = 854058965;
        iArr[177] = 1137232011;
        iArr[178] = 1496790894;
        iArr[179] = -1217565222;
        iArr[180] = -1936880383;
        iArr[181] = 1691735473;
        iArr[182] = -766620004;
        iArr[183] = -525751991;
        iArr[184] = -1267962664;
        iArr[185] = -95005012;
        iArr[186] = 133494003;
        iArr[187] = 636152527;
        iArr[188] = -1352309302;
        iArr[189] = -1904575756;
        iArr[190] = -374428089;
        iArr[191] = 403179536;
        iArr[192] = -709182865;
        iArr[193] = -2005370640;
        iArr[194] = 1864705354;
        iArr[195] = 1915629148;
        iArr[196] = 605822008;
        iArr[197] = -240736681;
        iArr[198] = -944458637;
        iArr[199] = 1371981463;
        iArr[200] = 602466507;
        iArr[201] = 2094914977;
        iArr[202] = -1670089496;
        iArr[203] = 555687742;
        iArr[204] = -582268010;
        iArr[205] = -591544991;
        iArr[206] = -2037675251;
        iArr[207] = -2054518257;
        iArr[208] = -1871679264;
        iArr[209] = 1111375484;
        iArr[210] = -994724495;
        iArr[211] = -1436129588;
        iArr[212] = -666351472;
        iArr[213] = 84083462;
        iArr[214] = 32962295;
        iArr[215] = 302911004;
        iArr[216] = -1553899070;
        iArr[217] = 1597322602;
        iArr[218] = -111716434;
        iArr[219] = -793134743;
        iArr[220] = -1853454825;
        iArr[221] = 1489093017;
        iArr[222] = 656219450;
        iArr[223] = -1180787161;
        iArr[224] = 954327513;
        iArr[225] = 335083755;
        iArr[226] = -1281845205;
        iArr[227] = 856756514;
        iArr[228] = -1150719534;
        iArr[229] = 1893325225;
        iArr[230] = -1987146233;
        iArr[231] = -1483434957;
        iArr[232] = -1231316179;
        iArr[233] = 572399164;
        iArr[234] = -1836611819;
        iArr[235] = 552200649;
        iArr[236] = 1238290055;
        iArr[237] = -11184726;
        iArr[238] = 2015897680;
        iArr[239] = 2061492133;
        iArr[240] = -1886614525;
        iArr[241] = -123625127;
        iArr[242] = -2138470135;
        iArr[243] = 386731290;
        iArr[244] = -624967835;
        iArr[245] = 837215959;
        iArr[246] = -968736124;
        iArr[247] = -1201116976;
        iArr[248] = -1019133566;
        iArr[249] = -1332111063;
        iArr[250] = 1999449434;
        iArr[251] = 286199582;
        iArr[252] = -877612933;
        iArr[253] = -61582168;
        iArr[254] = -692339859;
        iArr[255] = 974525996;
        f23424k = iArr;
        int[] iArr2 = new int[256];
        iArr2[0] = 1353184337;
        iArr2[1] = 1399144830;
        iArr2[2] = -1012656358;
        iArr2[3] = -1772214470;
        iArr2[4] = -882136261;
        iArr2[5] = -247096033;
        iArr2[6] = -1420232020;
        iArr2[7] = -1828461749;
        iArr2[8] = 1442459680;
        iArr2[9] = -160598355;
        iArr2[10] = -1854485368;
        iArr2[11] = 625738485;
        iArr2[12] = -52959921;
        iArr2[13] = -674551099;
        iArr2[14] = -2143013594;
        iArr2[15] = -1885117771;
        iArr2[16] = 1230680542;
        iArr2[17] = 1729870373;
        iArr2[18] = -1743852987;
        iArr2[19] = -507445667;
        iArr2[20] = 41234371;
        iArr2[21] = 317738113;
        iArr2[22] = -1550367091;
        iArr2[23] = -956705941;
        iArr2[24] = -413167869;
        iArr2[25] = -1784901099;
        iArr2[26] = -344298049;
        iArr2[27] = -631680363;
        iArr2[28] = 763608788;
        iArr2[29] = -752782248;
        iArr2[30] = 694804553;
        iArr2[31] = 1154009486;
        iArr2[32] = 1787413109;
        iArr2[33] = 2021232372;
        iArr2[34] = 1799248025;
        iArr2[35] = -579749593;
        iArr2[36] = -1236278850;
        iArr2[37] = 397248752;
        iArr2[38] = 1722556617;
        iArr2[39] = -1271214467;
        iArr2[40] = 407560035;
        iArr2[41] = -2110711067;
        iArr2[42] = 1613975959;
        iArr2[43] = 1165972322;
        iArr2[44] = -529046351;
        iArr2[45] = -2068943941;
        iArr2[46] = 480281086;
        iArr2[47] = -1809118983;
        iArr2[48] = 1483229296;
        iArr2[49] = 436028815;
        iArr2[50] = -2022908268;
        iArr2[51] = -1208452270;
        iArr2[52] = 601060267;
        iArr2[53] = -503166094;
        iArr2[54] = 1468997603;
        iArr2[55] = 715871590;
        iArr2[56] = 120122290;
        iArr2[57] = 63092015;
        iArr2[58] = -1703164538;
        iArr2[59] = -1526188077;
        iArr2[60] = -226023376;
        iArr2[61] = -1297760477;
        iArr2[62] = -1167457534;
        iArr2[63] = 1552029421;
        iArr2[64] = 723308426;
        iArr2[65] = -1833666137;
        iArr2[66] = -252573709;
        iArr2[67] = -1578997426;
        iArr2[68] = -839591323;
        iArr2[69] = -708967162;
        iArr2[70] = 526529745;
        iArr2[71] = -1963022652;
        iArr2[72] = -1655493068;
        iArr2[73] = -1604979806;
        iArr2[74] = 853641733;
        iArr2[75] = 1978398372;
        iArr2[76] = 971801355;
        iArr2[77] = -1427152832;
        iArr2[78] = 111112542;
        iArr2[79] = 1360031421;
        iArr2[80] = -108388034;
        iArr2[81] = 1023860118;
        iArr2[82] = -1375387939;
        iArr2[83] = 1186850381;
        iArr2[84] = -1249028975;
        iArr2[85] = 90031217;
        iArr2[86] = 1876166148;
        iArr2[87] = -15380384;
        iArr2[88] = 620468249;
        iArr2[89] = -1746289194;
        iArr2[90] = -868007799;
        iArr2[91] = 2006899047;
        iArr2[92] = -1119688528;
        iArr2[93] = -2004121337;
        iArr2[94] = 945494503;
        iArr2[95] = -605108103;
        iArr2[96] = 1191869601;
        iArr2[97] = -384875908;
        iArr2[98] = -920746760;
        iArr2[100] = -2088337399;
        iArr2[101] = 1223502642;
        iArr2[102] = -1401941730;
        iArr2[103] = 1316117100;
        iArr2[104] = -67170563;
        iArr2[105] = 1446544655;
        iArr2[106] = 517320253;
        iArr2[107] = 658058550;
        iArr2[108] = 1691946762;
        iArr2[109] = 564550760;
        iArr2[110] = -783000677;
        iArr2[111] = 976107044;
        iArr2[112] = -1318647284;
        iArr2[113] = 266819475;
        iArr2[114] = -761860428;
        iArr2[115] = -1634624741;
        iArr2[116] = 1338359936;
        iArr2[117] = -1574904735;
        iArr2[118] = 1766553434;
        iArr2[119] = 370807324;
        iArr2[120] = 179999714;
        iArr2[121] = -450191168;
        iArr2[122] = 1138762300;
        iArr2[123] = 488053522;
        iArr2[124] = 185403662;
        iArr2[125] = -1379431438;
        iArr2[126] = -1180125651;
        iArr2[127] = -928440812;
        iArr2[128] = -2061897385;
        iArr2[129] = 1275557295;
        iArr2[130] = -1143105042;
        iArr2[131] = -44007517;
        iArr2[132] = -1624899081;
        iArr2[133] = -1124765092;
        iArr2[134] = -985962940;
        iArr2[135] = 880737115;
        iArr2[136] = 1982415755;
        iArr2[137] = -590994485;
        iArr2[138] = 1761406390;
        iArr2[139] = 1676797112;
        iArr2[140] = -891538985;
        iArr2[141] = 277177154;
        iArr2[142] = 1076008723;
        iArr2[143] = 538035844;
        iArr2[144] = 2099530373;
        iArr2[145] = -130171950;
        iArr2[146] = 288553390;
        iArr2[147] = 1839278535;
        iArr2[148] = 1261411869;
        iArr2[149] = -214912292;
        iArr2[150] = -330136051;
        iArr2[151] = -790380169;
        iArr2[152] = 1813426987;
        iArr2[153] = -1715900247;
        iArr2[154] = -95906799;
        iArr2[155] = 577038663;
        iArr2[156] = -997393240;
        iArr2[157] = 440397984;
        iArr2[158] = -668172970;
        iArr2[159] = -275762398;
        iArr2[160] = -951170681;
        iArr2[161] = -1043253031;
        iArr2[162] = -22885748;
        iArr2[163] = 906744984;
        iArr2[164] = -813566554;
        iArr2[165] = 685669029;
        iArr2[166] = 646887386;
        iArr2[167] = -1530942145;
        iArr2[168] = -459458004;
        iArr2[169] = 227702864;
        iArr2[170] = -1681105046;
        iArr2[171] = 1648787028;
        iArr2[172] = -1038905866;
        iArr2[173] = -390539120;
        iArr2[174] = 1593260334;
        iArr2[175] = -173030526;
        iArr2[176] = -1098883681;
        iArr2[177] = 2090061929;
        iArr2[178] = -1456614033;
        iArr2[179] = -1290656305;
        iArr2[180] = 999926984;
        iArr2[181] = -1484974064;
        iArr2[182] = 1852021992;
        iArr2[183] = 2075868123;
        iArr2[184] = 158869197;
        iArr2[185] = -199730834;
        iArr2[186] = 28809964;
        iArr2[187] = -1466282109;
        iArr2[188] = 1701746150;
        iArr2[189] = 2129067946;
        iArr2[190] = 147831841;
        iArr2[191] = -420997649;
        iArr2[192] = -644094022;
        iArr2[193] = -835293366;
        iArr2[194] = -737566742;
        iArr2[195] = -696471511;
        iArr2[196] = -1347247055;
        iArr2[197] = 824393514;
        iArr2[198] = 815048134;
        iArr2[199] = -1067015627;
        iArr2[200] = 935087732;
        iArr2[201] = -1496677636;
        iArr2[202] = -1328508704;
        iArr2[203] = 366520115;
        iArr2[204] = 1251476721;
        iArr2[205] = -136647615;
        iArr2[206] = 240176511;
        iArr2[207] = 804688151;
        iArr2[208] = -1915335306;
        iArr2[209] = 1303441219;
        iArr2[210] = 1414376140;
        iArr2[211] = -553347356;
        iArr2[212] = -474623586;
        iArr2[213] = 461924940;
        iArr2[214] = -1205916479;
        iArr2[215] = 2136040774;
        iArr2[216] = 82468509;
        iArr2[217] = 1563790337;
        iArr2[218] = 1937016826;
        iArr2[219] = 776014843;
        iArr2[220] = 1511876531;
        iArr2[221] = 1389550482;
        iArr2[222] = 861278441;
        iArr2[223] = 323475053;
        iArr2[224] = -1939744870;
        iArr2[225] = 2047648055;
        iArr2[226] = -1911228327;
        iArr2[227] = -1992551445;
        iArr2[228] = -299390514;
        iArr2[229] = 902390199;
        iArr2[230] = -303751967;
        iArr2[231] = 1018251130;
        iArr2[232] = 1507840668;
        iArr2[233] = 1064563285;
        iArr2[234] = 2043548696;
        iArr2[235] = -1086863501;
        iArr2[236] = -355600557;
        iArr2[237] = 1537932639;
        iArr2[238] = 342834655;
        iArr2[239] = -2032450440;
        iArr2[240] = -2114736182;
        iArr2[241] = 1053059257;
        iArr2[242] = 741614648;
        iArr2[243] = 1598071746;
        iArr2[244] = 1925389590;
        iArr2[245] = 203809468;
        iArr2[246] = -1958134744;
        iArr2[247] = 1100287487;
        iArr2[248] = 1895934009;
        iArr2[249] = -558691320;
        iArr2[250] = -1662733096;
        iArr2[251] = -1866377628;
        iArr2[252] = 1636092795;
        iArr2[253] = 1890988757;
        iArr2[254] = 1952214088;
        iArr2[255] = 1113045200;
        f23425l = iArr2;
    }

    private int e(int i7) {
        return ((f23427n & i7) << 1) ^ (((i7 & f23426m) >>> 7) * 27);
    }

    private void f(int[][] iArr) {
        int i7 = this.f23432c;
        int i8 = this.f23430a;
        int[] iArr2 = iArr[i8];
        this.f23432c = i7 ^ iArr2[0];
        this.f23433d ^= iArr2[1];
        this.f23434e ^= iArr2[2];
        this.f23435f ^= iArr2[3];
        int i9 = i8 - 1;
        while (true) {
            int[] iArr3 = f23425l;
            int i10 = this.f23432c & 255;
            if (i9 <= 1) {
                int k7 = (((iArr3[i10] ^ k(iArr3[(this.f23435f >> 8) & 255], 24)) ^ k(iArr3[(this.f23434e >> 16) & 255], 16)) ^ k(iArr3[(this.f23433d >> 24) & 255], 8)) ^ iArr[i9][0];
                int k8 = (((iArr3[this.f23433d & 255] ^ k(iArr3[(this.f23432c >> 8) & 255], 24)) ^ k(iArr3[(this.f23435f >> 16) & 255], 16)) ^ k(iArr3[(this.f23434e >> 24) & 255], 8)) ^ iArr[i9][1];
                int k9 = (((iArr3[this.f23434e & 255] ^ k(iArr3[(this.f23433d >> 8) & 255], 24)) ^ k(iArr3[(this.f23432c >> 16) & 255], 16)) ^ k(iArr3[(this.f23435f >> 24) & 255], 8)) ^ iArr[i9][2];
                int k10 = iArr[i9][3] ^ (k(iArr3[(this.f23432c >> 24) & 255], 8) ^ ((iArr3[this.f23435f & 255] ^ k(iArr3[(this.f23434e >> 8) & 255], 24)) ^ k(iArr3[(this.f23433d >> 16) & 255], 16)));
                byte[] bArr = f23422i;
                int i11 = (((bArr[k7 & 255] & 255) ^ ((bArr[(k10 >> 8) & 255] & 255) << 8)) ^ ((bArr[(k9 >> 16) & 255] & 255) << 16)) ^ (bArr[(k8 >> 24) & 255] << Ascii.CAN);
                int[] iArr4 = iArr[0];
                this.f23432c = iArr4[0] ^ i11;
                this.f23433d = ((((bArr[k8 & 255] & 255) ^ ((bArr[(k7 >> 8) & 255] & 255) << 8)) ^ ((bArr[(k10 >> 16) & 255] & 255) << 16)) ^ (bArr[(k9 >> 24) & 255] << Ascii.CAN)) ^ iArr4[1];
                this.f23434e = ((((bArr[k9 & 255] & 255) ^ ((bArr[(k8 >> 8) & 255] & 255) << 8)) ^ ((bArr[(k7 >> 16) & 255] & 255) << 16)) ^ (bArr[(k10 >> 24) & 255] << Ascii.CAN)) ^ iArr4[2];
                this.f23435f = ((((bArr[(k8 >> 16) & 255] & 255) << 16) ^ ((bArr[k10 & 255] & 255) ^ ((bArr[(k9 >> 8) & 255] & 255) << 8))) ^ (bArr[(k7 >> 24) & 255] << Ascii.CAN)) ^ iArr4[3];
                return;
            }
            int k11 = (((iArr3[i10] ^ k(iArr3[(this.f23435f >> 8) & 255], 24)) ^ k(iArr3[(this.f23434e >> 16) & 255], 16)) ^ k(iArr3[(this.f23433d >> 24) & 255], 8)) ^ iArr[i9][0];
            int k12 = (((iArr3[this.f23433d & 255] ^ k(iArr3[(this.f23432c >> 8) & 255], 24)) ^ k(iArr3[(this.f23435f >> 16) & 255], 16)) ^ k(iArr3[(this.f23434e >> 24) & 255], 8)) ^ iArr[i9][1];
            int k13 = (((iArr3[this.f23434e & 255] ^ k(iArr3[(this.f23433d >> 8) & 255], 24)) ^ k(iArr3[(this.f23432c >> 16) & 255], 16)) ^ k(iArr3[(this.f23435f >> 24) & 255], 8)) ^ iArr[i9][2];
            int i12 = i9 - 1;
            int k14 = iArr[i9][3] ^ (((iArr3[this.f23435f & 255] ^ k(iArr3[(this.f23434e >> 8) & 255], 24)) ^ k(iArr3[(this.f23433d >> 16) & 255], 16)) ^ k(iArr3[(this.f23432c >> 24) & 255], 8));
            this.f23432c = (((iArr3[k11 & 255] ^ k(iArr3[(k14 >> 8) & 255], 24)) ^ k(iArr3[(k13 >> 16) & 255], 16)) ^ k(iArr3[(k12 >> 24) & 255], 8)) ^ iArr[i12][0];
            this.f23433d = (((iArr3[k12 & 255] ^ k(iArr3[(k11 >> 8) & 255], 24)) ^ k(iArr3[(k14 >> 16) & 255], 16)) ^ k(iArr3[(k13 >> 24) & 255], 8)) ^ iArr[i12][1];
            this.f23434e = (((iArr3[k13 & 255] ^ k(iArr3[(k12 >> 8) & 255], 24)) ^ k(iArr3[(k11 >> 16) & 255], 16)) ^ k(iArr3[(k14 >> 24) & 255], 8)) ^ iArr[i12][2];
            int k15 = (k(iArr3[(k12 >> 16) & 255], 16) ^ (iArr3[k14 & 255] ^ k(iArr3[(k13 >> 8) & 255], 24))) ^ k(iArr3[(k11 >> 24) & 255], 8);
            i9 = i12 - 1;
            this.f23435f = k15 ^ iArr[i12][3];
        }
    }

    private void g(int[][] iArr) {
        int i7 = this.f23432c;
        int[] iArr2 = iArr[0];
        this.f23432c = i7 ^ iArr2[0];
        this.f23433d ^= iArr2[1];
        this.f23434e ^= iArr2[2];
        this.f23435f ^= iArr2[3];
        int i8 = 1;
        while (i8 < this.f23430a - 1) {
            int[] iArr3 = f23424k;
            int k7 = (((iArr3[this.f23432c & 255] ^ k(iArr3[(this.f23433d >> 8) & 255], 24)) ^ k(iArr3[(this.f23434e >> 16) & 255], 16)) ^ k(iArr3[(this.f23435f >> 24) & 255], 8)) ^ iArr[i8][0];
            int k8 = (((iArr3[this.f23433d & 255] ^ k(iArr3[(this.f23434e >> 8) & 255], 24)) ^ k(iArr3[(this.f23435f >> 16) & 255], 16)) ^ k(iArr3[(this.f23432c >> 24) & 255], 8)) ^ iArr[i8][1];
            int k9 = (((iArr3[this.f23434e & 255] ^ k(iArr3[(this.f23435f >> 8) & 255], 24)) ^ k(iArr3[(this.f23432c >> 16) & 255], 16)) ^ k(iArr3[(this.f23433d >> 24) & 255], 8)) ^ iArr[i8][2];
            int i9 = i8 + 1;
            int k10 = iArr[i8][3] ^ (((iArr3[this.f23435f & 255] ^ k(iArr3[(this.f23432c >> 8) & 255], 24)) ^ k(iArr3[(this.f23433d >> 16) & 255], 16)) ^ k(iArr3[(this.f23434e >> 24) & 255], 8));
            this.f23432c = (((iArr3[k7 & 255] ^ k(iArr3[(k8 >> 8) & 255], 24)) ^ k(iArr3[(k9 >> 16) & 255], 16)) ^ k(iArr3[(k10 >> 24) & 255], 8)) ^ iArr[i9][0];
            this.f23433d = (((iArr3[k8 & 255] ^ k(iArr3[(k9 >> 8) & 255], 24)) ^ k(iArr3[(k10 >> 16) & 255], 16)) ^ k(iArr3[(k7 >> 24) & 255], 8)) ^ iArr[i9][1];
            this.f23434e = (((iArr3[k9 & 255] ^ k(iArr3[(k10 >> 8) & 255], 24)) ^ k(iArr3[(k7 >> 16) & 255], 16)) ^ k(iArr3[(k8 >> 24) & 255], 8)) ^ iArr[i9][2];
            this.f23435f = (((iArr3[k10 & 255] ^ k(iArr3[(k7 >> 8) & 255], 24)) ^ k(iArr3[(k8 >> 16) & 255], 16)) ^ k(iArr3[(k9 >> 24) & 255], 8)) ^ iArr[i9][3];
            i8 = i9 + 1;
        }
        int[] iArr4 = f23424k;
        int k11 = (((iArr4[this.f23432c & 255] ^ k(iArr4[(this.f23433d >> 8) & 255], 24)) ^ k(iArr4[(this.f23434e >> 16) & 255], 16)) ^ k(iArr4[(this.f23435f >> 24) & 255], 8)) ^ iArr[i8][0];
        int k12 = (((iArr4[this.f23433d & 255] ^ k(iArr4[(this.f23434e >> 8) & 255], 24)) ^ k(iArr4[(this.f23435f >> 16) & 255], 16)) ^ k(iArr4[(this.f23432c >> 24) & 255], 8)) ^ iArr[i8][1];
        int k13 = (((iArr4[this.f23434e & 255] ^ k(iArr4[(this.f23435f >> 8) & 255], 24)) ^ k(iArr4[(this.f23432c >> 16) & 255], 16)) ^ k(iArr4[(this.f23433d >> 24) & 255], 8)) ^ iArr[i8][2];
        int i10 = i8 + 1;
        int k14 = iArr[i8][3] ^ (k(iArr4[(this.f23434e >> 24) & 255], 8) ^ ((iArr4[this.f23435f & 255] ^ k(iArr4[(this.f23432c >> 8) & 255], 24)) ^ k(iArr4[(this.f23433d >> 16) & 255], 16)));
        byte[] bArr = f23421h;
        int[] iArr5 = iArr[i10];
        this.f23432c = iArr5[0] ^ ((((bArr[k11 & 255] & 255) ^ ((bArr[(k12 >> 8) & 255] & 255) << 8)) ^ ((bArr[(k13 >> 16) & 255] & 255) << 16)) ^ (bArr[(k14 >> 24) & 255] << Ascii.CAN));
        this.f23433d = ((((bArr[k12 & 255] & 255) ^ ((bArr[(k13 >> 8) & 255] & 255) << 8)) ^ ((bArr[(k14 >> 16) & 255] & 255) << 16)) ^ (bArr[(k11 >> 24) & 255] << Ascii.CAN)) ^ iArr5[1];
        this.f23434e = ((((bArr[k13 & 255] & 255) ^ ((bArr[(k14 >> 8) & 255] & 255) << 8)) ^ ((bArr[(k11 >> 16) & 255] & 255) << 16)) ^ (bArr[(k12 >> 24) & 255] << Ascii.CAN)) ^ iArr5[2];
        this.f23435f = ((((bArr[k14 & 255] & 255) ^ ((bArr[(k11 >> 8) & 255] & 255) << 8)) ^ ((bArr[(k12 >> 16) & 255] & 255) << 16)) ^ (bArr[(k13 >> 24) & 255] << Ascii.CAN)) ^ iArr5[3];
    }

    private int[][] h(byte[] bArr, boolean z7) {
        int length = bArr.length / 4;
        if ((length == 4 || length == 6 || length == 8) && length * 4 == bArr.length) {
            int i7 = length + 6;
            this.f23430a = i7;
            int[] iArr = new int[2];
            iArr[1] = 4;
            iArr[0] = i7 + 1;
            int[][] iArr2 = (int[][]) Array.newInstance(Integer.TYPE, iArr);
            int i8 = 0;
            int i9 = 0;
            while (i8 < bArr.length) {
                iArr2[i9 >> 2][i9 & 3] = (bArr[i8] & 255) | ((bArr[i8 + 1] & 255) << 8) | ((bArr[i8 + 2] & 255) << 16) | (bArr[i8 + 3] << Ascii.CAN);
                i8 += 4;
                i9++;
            }
            int i10 = (this.f23430a + 1) << 2;
            for (int i11 = length; i11 < i10; i11++) {
                int i12 = i11 - 1;
                int i13 = iArr2[i12 >> 2][i12 & 3];
                int i14 = i11 % length;
                if (i14 == 0) {
                    i13 = l(k(i13, 8)) ^ f23423j[(i11 / length) - 1];
                } else if (length > 6 && i14 == 4) {
                    i13 = l(i13);
                }
                int i15 = i11 - length;
                iArr2[i11 >> 2][i11 & 3] = i13 ^ iArr2[i15 >> 2][i15 & 3];
            }
            if (!z7) {
                for (int i16 = 1; i16 < this.f23430a; i16++) {
                    for (int i17 = 0; i17 < 4; i17++) {
                        int[] iArr3 = iArr2[i16];
                        iArr3[i17] = i(iArr3[i17]);
                    }
                }
            }
            return iArr2;
        }
        throw new IllegalArgumentException("Key length not 128/192/256 bits.");
    }

    private int i(int i7) {
        int e7 = e(i7);
        int e8 = e(e7);
        int e9 = e(e8);
        int i8 = i7 ^ e9;
        int k7 = k(e7 ^ i8, 8);
        return k(i8, 24) ^ ((k7 ^ (e9 ^ (e7 ^ e8))) ^ k(e8 ^ i8, 16));
    }

    private void j(byte[] bArr, int i7) {
        int i8 = i7 + 1;
        int i9 = this.f23432c;
        bArr[i7] = (byte) i9;
        int i10 = i8 + 1;
        bArr[i8] = (byte) (i9 >> 8);
        int i11 = i10 + 1;
        bArr[i10] = (byte) (i9 >> 16);
        int i12 = i11 + 1;
        bArr[i11] = (byte) (i9 >> 24);
        int i13 = i12 + 1;
        int i14 = this.f23433d;
        bArr[i12] = (byte) i14;
        int i15 = i13 + 1;
        bArr[i13] = (byte) (i14 >> 8);
        int i16 = i15 + 1;
        bArr[i15] = (byte) (i14 >> 16);
        int i17 = i16 + 1;
        bArr[i16] = (byte) (i14 >> 24);
        int i18 = i17 + 1;
        int i19 = this.f23434e;
        bArr[i17] = (byte) i19;
        int i20 = i18 + 1;
        bArr[i18] = (byte) (i19 >> 8);
        int i21 = i20 + 1;
        bArr[i20] = (byte) (i19 >> 16);
        int i22 = i21 + 1;
        bArr[i21] = (byte) (i19 >> 24);
        int i23 = i22 + 1;
        int i24 = this.f23435f;
        bArr[i22] = (byte) i24;
        int i25 = i23 + 1;
        bArr[i23] = (byte) (i24 >> 8);
        bArr[i25] = (byte) (i24 >> 16);
        bArr[i25 + 1] = (byte) (i24 >> 24);
    }

    private int k(int i7, int i8) {
        return (i7 >>> i8) | (i7 << (-i8));
    }

    private int l(int i7) {
        byte[] bArr = f23421h;
        return (bArr[(i7 >> 24) & 255] << Ascii.CAN) | (bArr[i7 & 255] & 255) | ((bArr[(i7 >> 8) & 255] & 255) << 8) | ((bArr[(i7 >> 16) & 255] & 255) << 16);
    }

    private void m(byte[] bArr, int i7) {
        int i8 = i7 + 1;
        int i9 = i8 + 1;
        int i10 = (bArr[i7] & 255) | ((bArr[i8] & 255) << 8);
        int i11 = i9 + 1;
        int i12 = i10 | ((bArr[i9] & 255) << 16);
        int i13 = i11 + 1;
        this.f23432c = i12 | (bArr[i11] << Ascii.CAN);
        int i14 = i13 + 1;
        int i15 = i14 + 1;
        int i16 = i15 + 1;
        int i17 = ((bArr[i14] & 255) << 8) | (bArr[i13] & 255) | ((bArr[i15] & 255) << 16);
        int i18 = i16 + 1;
        this.f23433d = i17 | (bArr[i16] << Ascii.CAN);
        int i19 = i18 + 1;
        int i20 = i19 + 1;
        int i21 = i20 + 1;
        int i22 = ((bArr[i19] & 255) << 8) | (bArr[i18] & 255) | ((bArr[i20] & 255) << 16);
        int i23 = i21 + 1;
        this.f23434e = i22 | (bArr[i21] << Ascii.CAN);
        int i24 = i23 + 1;
        int i25 = i24 + 1;
        int i26 = ((bArr[i24] & 255) << 8) | (bArr[i23] & 255);
        this.f23435f = (bArr[i25 + 1] << Ascii.CAN) | i26 | ((bArr[i25] & 255) << 16);
    }

    @Override // org.bouncycastle2.crypto.e
    public void a(boolean z7, i iVar) {
        if (iVar instanceof k0) {
            this.f23431b = h(((k0) iVar).a(), z7);
            this.f23436g = z7;
            return;
        }
        throw new IllegalArgumentException("invalid parameter passed to AES init - " + iVar.getClass().getName());
    }

    @Override // org.bouncycastle2.crypto.e
    public String b() {
        return "AES";
    }

    @Override // org.bouncycastle2.crypto.e
    public int c(byte[] bArr, int i7, byte[] bArr2, int i8) {
        if (this.f23431b == null) {
            throw new IllegalStateException("AES engine not initialised");
        } else if (i7 + 16 > bArr.length) {
            throw new l("input buffer too short");
        } else if (i8 + 16 <= bArr2.length) {
            boolean z7 = this.f23436g;
            m(bArr, i7);
            int[][] iArr = this.f23431b;
            if (z7) {
                g(iArr);
            } else {
                f(iArr);
            }
            j(bArr2, i8);
            return 16;
        } else {
            throw new l("output buffer too short");
        }
    }

    @Override // org.bouncycastle2.crypto.e
    public int d() {
        return 16;
    }

    @Override // org.bouncycastle2.crypto.e
    public void reset() {
    }
}
