package org.bouncycastle2.crypto.engines;

import com.google.common.base.Ascii;
import com.google.common.primitives.q;
import java.lang.reflect.Array;
import org.bouncycastle2.bcpg.y;
import org.bouncycastle2.crypto.e;
import org.bouncycastle2.crypto.i;
import org.bouncycastle2.crypto.l;
import org.bouncycastle2.crypto.params.k0;
import org.bouncycastle2.crypto.signers.f;
import org.bouncycastle2.crypto.signers.g;

public class b implements e {

    /* renamed from: h  reason: collision with root package name */
    private static final byte[] f23441h;

    /* renamed from: i  reason: collision with root package name */
    private static final byte[] f23442i;

    /* renamed from: j  reason: collision with root package name */
    private static final int[] f23443j = {1, 2, 4, 8, 16, 32, 64, 128, 27, 54, 108, 216, 171, 77, 154, 47, 94, f.f24108j, 99, 198, 151, 53, y.f23178d5, 212, 179, 125, 250, 239, 197, 145};

    /* renamed from: k  reason: collision with root package name */
    private static final int[] f23444k;

    /* renamed from: l  reason: collision with root package name */
    private static final int[] f23445l;

    /* renamed from: m  reason: collision with root package name */
    private static final int[] f23446m;

    /* renamed from: n  reason: collision with root package name */
    private static final int[] f23447n;

    /* renamed from: o  reason: collision with root package name */
    private static final int[] f23448o;

    /* renamed from: p  reason: collision with root package name */
    private static final int[] f23449p;

    /* renamed from: q  reason: collision with root package name */
    private static final int[] f23450q;

    /* renamed from: r  reason: collision with root package name */
    private static final int[] f23451r;

    /* renamed from: s  reason: collision with root package name */
    private static final int f23452s = -2139062144;

    /* renamed from: t  reason: collision with root package name */
    private static final int f23453t = 2139062143;

    /* renamed from: u  reason: collision with root package name */
    private static final int f23454u = 27;

    /* renamed from: v  reason: collision with root package name */
    private static final int f23455v = 16;

    /* renamed from: a  reason: collision with root package name */
    private int f23456a;

    /* renamed from: b  reason: collision with root package name */
    private int[][] f23457b = null;

    /* renamed from: c  reason: collision with root package name */
    private int f23458c;

    /* renamed from: d  reason: collision with root package name */
    private int f23459d;

    /* renamed from: e  reason: collision with root package name */
    private int f23460e;

    /* renamed from: f  reason: collision with root package name */
    private int f23461f;

    /* renamed from: g  reason: collision with root package name */
    private boolean f23462g;

    static {
        byte[] bArr = new byte[256];
        bArr[0] = 99;
        bArr[1] = 124;
        bArr[2] = 119;
        bArr[3] = 123;
        bArr[4] = -14;
        bArr[5] = 107;
        bArr[6] = 111;
        bArr[7] = -59;
        bArr[8] = 48;
        bArr[9] = 1;
        bArr[10] = 103;
        bArr[11] = 43;
        bArr[12] = -2;
        bArr[13] = -41;
        bArr[14] = -85;
        bArr[15] = 118;
        bArr[16] = -54;
        bArr[17] = -126;
        bArr[18] = -55;
        bArr[19] = 125;
        bArr[20] = -6;
        bArr[21] = 89;
        bArr[22] = 71;
        bArr[23] = -16;
        bArr[24] = -83;
        bArr[25] = -44;
        bArr[26] = -94;
        bArr[27] = -81;
        bArr[28] = -100;
        bArr[29] = -92;
        bArr[30] = 114;
        bArr[31] = -64;
        bArr[32] = -73;
        bArr[33] = -3;
        bArr[34] = -109;
        bArr[35] = 38;
        bArr[36] = 54;
        bArr[37] = 63;
        bArr[38] = -9;
        bArr[39] = -52;
        bArr[40] = 52;
        bArr[41] = -91;
        bArr[42] = -27;
        bArr[43] = -15;
        bArr[44] = 113;
        bArr[45] = -40;
        bArr[46] = 49;
        bArr[47] = Ascii.NAK;
        bArr[48] = 4;
        bArr[49] = -57;
        bArr[50] = 35;
        bArr[51] = -61;
        bArr[52] = Ascii.CAN;
        bArr[53] = -106;
        bArr[54] = 5;
        bArr[55] = -102;
        bArr[56] = 7;
        bArr[57] = Ascii.DC2;
        bArr[58] = Byte.MIN_VALUE;
        bArr[59] = -30;
        bArr[60] = -21;
        bArr[61] = 39;
        bArr[62] = -78;
        bArr[63] = 117;
        bArr[64] = 9;
        bArr[65] = -125;
        bArr[66] = 44;
        bArr[67] = Ascii.SUB;
        bArr[68] = Ascii.ESC;
        bArr[69] = 110;
        bArr[70] = 90;
        bArr[71] = -96;
        bArr[72] = 82;
        bArr[73] = 59;
        bArr[74] = -42;
        bArr[75] = -77;
        bArr[76] = 41;
        bArr[77] = -29;
        bArr[78] = 47;
        bArr[79] = -124;
        bArr[80] = 83;
        bArr[81] = -47;
        bArr[83] = -19;
        bArr[84] = 32;
        bArr[85] = -4;
        bArr[86] = -79;
        bArr[87] = 91;
        bArr[88] = 106;
        bArr[89] = -53;
        bArr[90] = -66;
        bArr[91] = 57;
        bArr[92] = 74;
        bArr[93] = 76;
        bArr[94] = 88;
        bArr[95] = -49;
        bArr[96] = -48;
        bArr[97] = -17;
        bArr[98] = -86;
        bArr[99] = -5;
        bArr[100] = 67;
        bArr[101] = 77;
        bArr[102] = 51;
        bArr[103] = -123;
        bArr[104] = 69;
        bArr[105] = -7;
        bArr[106] = 2;
        bArr[107] = Byte.MAX_VALUE;
        bArr[108] = 80;
        bArr[109] = 60;
        bArr[110] = -97;
        bArr[111] = -88;
        bArr[112] = 81;
        bArr[113] = -93;
        bArr[114] = q.f11858a;
        bArr[115] = -113;
        bArr[116] = -110;
        bArr[117] = -99;
        bArr[118] = 56;
        bArr[119] = -11;
        bArr[120] = g.f24121l;
        bArr[121] = -74;
        bArr[122] = -38;
        bArr[123] = 33;
        bArr[124] = 16;
        bArr[125] = -1;
        bArr[126] = -13;
        bArr[127] = -46;
        bArr[128] = -51;
        bArr[129] = Ascii.FF;
        bArr[130] = 19;
        bArr[131] = -20;
        bArr[132] = 95;
        bArr[133] = -105;
        bArr[134] = 68;
        bArr[135] = Ascii.ETB;
        bArr[136] = -60;
        bArr[137] = -89;
        bArr[138] = 126;
        bArr[139] = 61;
        bArr[140] = 100;
        bArr[141] = 93;
        bArr[142] = Ascii.EM;
        bArr[143] = 115;
        bArr[144] = 96;
        bArr[145] = -127;
        bArr[146] = 79;
        bArr[147] = -36;
        bArr[148] = 34;
        bArr[149] = 42;
        bArr[150] = -112;
        bArr[151] = -120;
        bArr[152] = 70;
        bArr[153] = -18;
        bArr[154] = -72;
        bArr[155] = Ascii.DC4;
        bArr[156] = -34;
        bArr[157] = 94;
        bArr[158] = Ascii.VT;
        bArr[159] = -37;
        bArr[160] = -32;
        bArr[161] = 50;
        bArr[162] = 58;
        bArr[163] = 10;
        bArr[164] = 73;
        bArr[165] = 6;
        bArr[166] = 36;
        bArr[167] = 92;
        bArr[168] = -62;
        bArr[169] = -45;
        bArr[170] = -84;
        bArr[171] = 98;
        bArr[172] = -111;
        bArr[173] = -107;
        bArr[174] = -28;
        bArr[175] = 121;
        bArr[176] = -25;
        bArr[177] = -56;
        bArr[178] = 55;
        bArr[179] = 109;
        bArr[180] = -115;
        bArr[181] = -43;
        bArr[182] = 78;
        bArr[183] = -87;
        bArr[184] = 108;
        bArr[185] = 86;
        bArr[186] = -12;
        bArr[187] = -22;
        bArr[188] = 101;
        bArr[189] = 122;
        bArr[190] = -82;
        bArr[191] = 8;
        bArr[192] = -70;
        bArr[193] = 120;
        bArr[194] = 37;
        bArr[195] = 46;
        bArr[196] = Ascii.FS;
        bArr[197] = -90;
        bArr[198] = -76;
        bArr[199] = -58;
        bArr[200] = -24;
        bArr[201] = -35;
        bArr[202] = 116;
        bArr[203] = Ascii.US;
        bArr[204] = 75;
        bArr[205] = -67;
        bArr[206] = -117;
        bArr[207] = -118;
        bArr[208] = 112;
        bArr[209] = 62;
        bArr[210] = -75;
        bArr[211] = 102;
        bArr[212] = 72;
        bArr[213] = 3;
        bArr[214] = -10;
        bArr[215] = Ascii.SO;
        bArr[216] = 97;
        bArr[217] = 53;
        bArr[218] = 87;
        bArr[219] = -71;
        bArr[220] = -122;
        bArr[221] = -63;
        bArr[222] = Ascii.GS;
        bArr[223] = -98;
        bArr[224] = -31;
        bArr[225] = -8;
        bArr[226] = -104;
        bArr[227] = 17;
        bArr[228] = 105;
        bArr[229] = -39;
        bArr[230] = -114;
        bArr[231] = -108;
        bArr[232] = -101;
        bArr[233] = Ascii.RS;
        bArr[234] = -121;
        bArr[235] = -23;
        bArr[236] = -50;
        bArr[237] = 85;
        bArr[238] = 40;
        bArr[239] = -33;
        bArr[240] = -116;
        bArr[241] = -95;
        bArr[242] = -119;
        bArr[243] = Ascii.CR;
        bArr[244] = -65;
        bArr[245] = -26;
        bArr[246] = 66;
        bArr[247] = 104;
        bArr[248] = 65;
        bArr[249] = -103;
        bArr[250] = 45;
        bArr[251] = Ascii.SI;
        bArr[252] = -80;
        bArr[253] = 84;
        bArr[254] = -69;
        bArr[255] = Ascii.SYN;
        f23441h = bArr;
        byte[] bArr2 = new byte[256];
        bArr2[0] = 82;
        bArr2[1] = 9;
        bArr2[2] = 106;
        bArr2[3] = -43;
        bArr2[4] = 48;
        bArr2[5] = 54;
        bArr2[6] = -91;
        bArr2[7] = 56;
        bArr2[8] = -65;
        bArr2[9] = q.f11858a;
        bArr2[10] = -93;
        bArr2[11] = -98;
        bArr2[12] = -127;
        bArr2[13] = -13;
        bArr2[14] = -41;
        bArr2[15] = -5;
        bArr2[16] = 124;
        bArr2[17] = -29;
        bArr2[18] = 57;
        bArr2[19] = -126;
        bArr2[20] = -101;
        bArr2[21] = 47;
        bArr2[22] = -1;
        bArr2[23] = -121;
        bArr2[24] = 52;
        bArr2[25] = -114;
        bArr2[26] = 67;
        bArr2[27] = 68;
        bArr2[28] = -60;
        bArr2[29] = -34;
        bArr2[30] = -23;
        bArr2[31] = -53;
        bArr2[32] = 84;
        bArr2[33] = 123;
        bArr2[34] = -108;
        bArr2[35] = 50;
        bArr2[36] = -90;
        bArr2[37] = -62;
        bArr2[38] = 35;
        bArr2[39] = 61;
        bArr2[40] = -18;
        bArr2[41] = 76;
        bArr2[42] = -107;
        bArr2[43] = Ascii.VT;
        bArr2[44] = 66;
        bArr2[45] = -6;
        bArr2[46] = -61;
        bArr2[47] = 78;
        bArr2[48] = 8;
        bArr2[49] = 46;
        bArr2[50] = -95;
        bArr2[51] = 102;
        bArr2[52] = 40;
        bArr2[53] = -39;
        bArr2[54] = 36;
        bArr2[55] = -78;
        bArr2[56] = 118;
        bArr2[57] = 91;
        bArr2[58] = -94;
        bArr2[59] = 73;
        bArr2[60] = 109;
        bArr2[61] = -117;
        bArr2[62] = -47;
        bArr2[63] = 37;
        bArr2[64] = 114;
        bArr2[65] = -8;
        bArr2[66] = -10;
        bArr2[67] = 100;
        bArr2[68] = -122;
        bArr2[69] = 104;
        bArr2[70] = -104;
        bArr2[71] = Ascii.SYN;
        bArr2[72] = -44;
        bArr2[73] = -92;
        bArr2[74] = 92;
        bArr2[75] = -52;
        bArr2[76] = 93;
        bArr2[77] = 101;
        bArr2[78] = -74;
        bArr2[79] = -110;
        bArr2[80] = 108;
        bArr2[81] = 112;
        bArr2[82] = 72;
        bArr2[83] = 80;
        bArr2[84] = -3;
        bArr2[85] = -19;
        bArr2[86] = -71;
        bArr2[87] = -38;
        bArr2[88] = 94;
        bArr2[89] = Ascii.NAK;
        bArr2[90] = 70;
        bArr2[91] = 87;
        bArr2[92] = -89;
        bArr2[93] = -115;
        bArr2[94] = -99;
        bArr2[95] = -124;
        bArr2[96] = -112;
        bArr2[97] = -40;
        bArr2[98] = -85;
        bArr2[100] = -116;
        bArr2[101] = g.f24121l;
        bArr2[102] = -45;
        bArr2[103] = 10;
        bArr2[104] = -9;
        bArr2[105] = -28;
        bArr2[106] = 88;
        bArr2[107] = 5;
        bArr2[108] = -72;
        bArr2[109] = -77;
        bArr2[110] = 69;
        bArr2[111] = 6;
        bArr2[112] = -48;
        bArr2[113] = 44;
        bArr2[114] = Ascii.RS;
        bArr2[115] = -113;
        bArr2[116] = -54;
        bArr2[117] = 63;
        bArr2[118] = Ascii.SI;
        bArr2[119] = 2;
        bArr2[120] = -63;
        bArr2[121] = -81;
        bArr2[122] = -67;
        bArr2[123] = 3;
        bArr2[124] = 1;
        bArr2[125] = 19;
        bArr2[126] = -118;
        bArr2[127] = 107;
        bArr2[128] = 58;
        bArr2[129] = -111;
        bArr2[130] = 17;
        bArr2[131] = 65;
        bArr2[132] = 79;
        bArr2[133] = 103;
        bArr2[134] = -36;
        bArr2[135] = -22;
        bArr2[136] = -105;
        bArr2[137] = -14;
        bArr2[138] = -49;
        bArr2[139] = -50;
        bArr2[140] = -16;
        bArr2[141] = -76;
        bArr2[142] = -26;
        bArr2[143] = 115;
        bArr2[144] = -106;
        bArr2[145] = -84;
        bArr2[146] = 116;
        bArr2[147] = 34;
        bArr2[148] = -25;
        bArr2[149] = -83;
        bArr2[150] = 53;
        bArr2[151] = -123;
        bArr2[152] = -30;
        bArr2[153] = -7;
        bArr2[154] = 55;
        bArr2[155] = -24;
        bArr2[156] = Ascii.FS;
        bArr2[157] = 117;
        bArr2[158] = -33;
        bArr2[159] = 110;
        bArr2[160] = 71;
        bArr2[161] = -15;
        bArr2[162] = Ascii.SUB;
        bArr2[163] = 113;
        bArr2[164] = Ascii.GS;
        bArr2[165] = 41;
        bArr2[166] = -59;
        bArr2[167] = -119;
        bArr2[168] = 111;
        bArr2[169] = -73;
        bArr2[170] = 98;
        bArr2[171] = Ascii.SO;
        bArr2[172] = -86;
        bArr2[173] = Ascii.CAN;
        bArr2[174] = -66;
        bArr2[175] = Ascii.ESC;
        bArr2[176] = -4;
        bArr2[177] = 86;
        bArr2[178] = 62;
        bArr2[179] = 75;
        bArr2[180] = -58;
        bArr2[181] = -46;
        bArr2[182] = 121;
        bArr2[183] = 32;
        bArr2[184] = -102;
        bArr2[185] = -37;
        bArr2[186] = -64;
        bArr2[187] = -2;
        bArr2[188] = 120;
        bArr2[189] = -51;
        bArr2[190] = 90;
        bArr2[191] = -12;
        bArr2[192] = Ascii.US;
        bArr2[193] = -35;
        bArr2[194] = -88;
        bArr2[195] = 51;
        bArr2[196] = -120;
        bArr2[197] = 7;
        bArr2[198] = -57;
        bArr2[199] = 49;
        bArr2[200] = -79;
        bArr2[201] = Ascii.DC2;
        bArr2[202] = 16;
        bArr2[203] = 89;
        bArr2[204] = 39;
        bArr2[205] = Byte.MIN_VALUE;
        bArr2[206] = -20;
        bArr2[207] = 95;
        bArr2[208] = 96;
        bArr2[209] = 81;
        bArr2[210] = Byte.MAX_VALUE;
        bArr2[211] = -87;
        bArr2[212] = Ascii.EM;
        bArr2[213] = -75;
        bArr2[214] = 74;
        bArr2[215] = Ascii.CR;
        bArr2[216] = 45;
        bArr2[217] = -27;
        bArr2[218] = 122;
        bArr2[219] = -97;
        bArr2[220] = -109;
        bArr2[221] = -55;
        bArr2[222] = -100;
        bArr2[223] = -17;
        bArr2[224] = -96;
        bArr2[225] = -32;
        bArr2[226] = 59;
        bArr2[227] = 77;
        bArr2[228] = -82;
        bArr2[229] = 42;
        bArr2[230] = -11;
        bArr2[231] = -80;
        bArr2[232] = -56;
        bArr2[233] = -21;
        bArr2[234] = -69;
        bArr2[235] = 60;
        bArr2[236] = -125;
        bArr2[237] = 83;
        bArr2[238] = -103;
        bArr2[239] = 97;
        bArr2[240] = Ascii.ETB;
        bArr2[241] = 43;
        bArr2[242] = 4;
        bArr2[243] = 126;
        bArr2[244] = -70;
        bArr2[245] = 119;
        bArr2[246] = -42;
        bArr2[247] = 38;
        bArr2[248] = -31;
        bArr2[249] = 105;
        bArr2[250] = Ascii.DC4;
        bArr2[251] = 99;
        bArr2[252] = 85;
        bArr2[253] = 33;
        bArr2[254] = Ascii.FF;
        bArr2[255] = 125;
        f23442i = bArr2;
        int[] iArr = new int[256];
        iArr[0] = -1520213050;
        iArr[1] = -2072216328;
        iArr[2] = -1720223762;
        iArr[3] = -1921287178;
        iArr[4] = 234025727;
        iArr[5] = -1117033514;
        iArr[6] = -1318096930;
        iArr[7] = 1422247313;
        iArr[8] = 1345335392;
        iArr[9] = 50397442;
        iArr[10] = -1452841010;
        iArr[11] = 2099981142;
        iArr[12] = 436141799;
        iArr[13] = 1658312629;
        iArr[14] = -424957107;
        iArr[15] = -1703512340;
        iArr[16] = 1170918031;
        iArr[17] = -1652391393;
        iArr[18] = 1086966153;
        iArr[19] = -2021818886;
        iArr[20] = 368769775;
        iArr[21] = -346465870;
        iArr[22] = -918075506;
        iArr[23] = 200339707;
        iArr[24] = -324162239;
        iArr[25] = 1742001331;
        iArr[26] = -39673249;
        iArr[27] = -357585083;
        iArr[28] = -1080255453;
        iArr[29] = -140204973;
        iArr[30] = -1770884380;
        iArr[31] = 1539358875;
        iArr[32] = -1028147339;
        iArr[33] = 486407649;
        iArr[34] = -1366060227;
        iArr[35] = 1780885068;
        iArr[36] = 1513502316;
        iArr[37] = 1094664062;
        iArr[38] = 49805301;
        iArr[39] = 1338821763;
        iArr[40] = 1546925160;
        iArr[41] = -190470831;
        iArr[42] = 887481809;
        iArr[43] = 150073849;
        iArr[44] = -1821281822;
        iArr[45] = 1943591083;
        iArr[46] = 1395732834;
        iArr[47] = 1058346282;
        iArr[48] = 201589768;
        iArr[49] = 1388824469;
        iArr[50] = 1696801606;
        iArr[51] = 1589887901;
        iArr[52] = 672667696;
        iArr[53] = -1583966665;
        iArr[54] = 251987210;
        iArr[55] = -1248159185;
        iArr[56] = 151455502;
        iArr[57] = 907153956;
        iArr[58] = -1686077413;
        iArr[59] = 1038279391;
        iArr[60] = 652995533;
        iArr[61] = 1764173646;
        iArr[62] = -843926913;
        iArr[63] = -1619692054;
        iArr[64] = 453576978;
        iArr[65] = -1635548387;
        iArr[66] = 1949051992;
        iArr[67] = 773462580;
        iArr[68] = 756751158;
        iArr[69] = -1301385508;
        iArr[70] = -296068428;
        iArr[71] = -73359269;
        iArr[72] = -162377052;
        iArr[73] = 1295727478;
        iArr[74] = 1641469623;
        iArr[75] = -827083907;
        iArr[76] = 2066295122;
        iArr[77] = 1055122397;
        iArr[78] = 1898917726;
        iArr[79] = -1752923117;
        iArr[80] = -179088474;
        iArr[81] = 1758581177;
        iArr[83] = 753790401;
        iArr[84] = 1612718144;
        iArr[85] = 536673507;
        iArr[86] = -927878791;
        iArr[87] = -312779850;
        iArr[88] = -1100322092;
        iArr[89] = 1187761037;
        iArr[90] = -641810841;
        iArr[91] = 1262041458;
        iArr[92] = -565556588;
        iArr[93] = -733197160;
        iArr[94] = -396863312;
        iArr[95] = 1255133061;
        iArr[96] = 1808847035;
        iArr[97] = 720367557;
        iArr[98] = -441800113;
        iArr[99] = 385612781;
        iArr[100] = -985447546;
        iArr[101] = -682799718;
        iArr[102] = 1429418854;
        iArr[103] = -1803188975;
        iArr[104] = -817543798;
        iArr[105] = 284817897;
        iArr[106] = 100794884;
        iArr[107] = -2122350594;
        iArr[108] = -263171936;
        iArr[109] = 1144798328;
        iArr[110] = -1163944155;
        iArr[111] = -475486133;
        iArr[112] = -212774494;
        iArr[113] = -22830243;
        iArr[114] = -1069531008;
        iArr[115] = -1970303227;
        iArr[116] = -1382903233;
        iArr[117] = -1130521311;
        iArr[118] = 1211644016;
        iArr[119] = 83228145;
        iArr[120] = -541279133;
        iArr[121] = -1044990345;
        iArr[122] = 1977277103;
        iArr[123] = 1663115586;
        iArr[124] = 806359072;
        iArr[125] = 452984805;
        iArr[126] = 250868733;
        iArr[127] = 1842533055;
        iArr[128] = 1288555905;
        iArr[129] = 336333848;
        iArr[130] = 890442534;
        iArr[131] = 804056259;
        iArr[132] = -513843266;
        iArr[133] = -1567123659;
        iArr[134] = -867941240;
        iArr[135] = 957814574;
        iArr[136] = 1472513171;
        iArr[137] = -223893675;
        iArr[138] = -2105639172;
        iArr[139] = 1195195770;
        iArr[140] = -1402706744;
        iArr[141] = -413311558;
        iArr[142] = 723065138;
        iArr[143] = -1787595802;
        iArr[144] = -1604296512;
        iArr[145] = -1736343271;
        iArr[146] = -783331426;
        iArr[147] = 2145180835;
        iArr[148] = 1713513028;
        iArr[149] = 2116692564;
        iArr[150] = -1416589253;
        iArr[151] = -2088204277;
        iArr[152] = -901364084;
        iArr[153] = 703524551;
        iArr[154] = -742868885;
        iArr[155] = 1007948840;
        iArr[156] = 2044649127;
        iArr[157] = -497131844;
        iArr[158] = 487262998;
        iArr[159] = 1994120109;
        iArr[160] = 1004593371;
        iArr[161] = 1446130276;
        iArr[162] = 1312438900;
        iArr[163] = 503974420;
        iArr[164] = -615954030;
        iArr[165] = 168166924;
        iArr[166] = 1814307912;
        iArr[167] = -463709000;
        iArr[168] = 1573044895;
        iArr[169] = 1859376061;
        iArr[170] = -273896381;
        iArr[171] = -1503501628;
        iArr[172] = -1466855111;
        iArr[173] = -1533700815;
        iArr[174] = 937747667;
        iArr[175] = -1954973198;
        iArr[176] = 854058965;
        iArr[177] = 1137232011;
        iArr[178] = 1496790894;
        iArr[179] = -1217565222;
        iArr[180] = -1936880383;
        iArr[181] = 1691735473;
        iArr[182] = -766620004;
        iArr[183] = -525751991;
        iArr[184] = -1267962664;
        iArr[185] = -95005012;
        iArr[186] = 133494003;
        iArr[187] = 636152527;
        iArr[188] = -1352309302;
        iArr[189] = -1904575756;
        iArr[190] = -374428089;
        iArr[191] = 403179536;
        iArr[192] = -709182865;
        iArr[193] = -2005370640;
        iArr[194] = 1864705354;
        iArr[195] = 1915629148;
        iArr[196] = 605822008;
        iArr[197] = -240736681;
        iArr[198] = -944458637;
        iArr[199] = 1371981463;
        iArr[200] = 602466507;
        iArr[201] = 2094914977;
        iArr[202] = -1670089496;
        iArr[203] = 555687742;
        iArr[204] = -582268010;
        iArr[205] = -591544991;
        iArr[206] = -2037675251;
        iArr[207] = -2054518257;
        iArr[208] = -1871679264;
        iArr[209] = 1111375484;
        iArr[210] = -994724495;
        iArr[211] = -1436129588;
        iArr[212] = -666351472;
        iArr[213] = 84083462;
        iArr[214] = 32962295;
        iArr[215] = 302911004;
        iArr[216] = -1553899070;
        iArr[217] = 1597322602;
        iArr[218] = -111716434;
        iArr[219] = -793134743;
        iArr[220] = -1853454825;
        iArr[221] = 1489093017;
        iArr[222] = 656219450;
        iArr[223] = -1180787161;
        iArr[224] = 954327513;
        iArr[225] = 335083755;
        iArr[226] = -1281845205;
        iArr[227] = 856756514;
        iArr[228] = -1150719534;
        iArr[229] = 1893325225;
        iArr[230] = -1987146233;
        iArr[231] = -1483434957;
        iArr[232] = -1231316179;
        iArr[233] = 572399164;
        iArr[234] = -1836611819;
        iArr[235] = 552200649;
        iArr[236] = 1238290055;
        iArr[237] = -11184726;
        iArr[238] = 2015897680;
        iArr[239] = 2061492133;
        iArr[240] = -1886614525;
        iArr[241] = -123625127;
        iArr[242] = -2138470135;
        iArr[243] = 386731290;
        iArr[244] = -624967835;
        iArr[245] = 837215959;
        iArr[246] = -968736124;
        iArr[247] = -1201116976;
        iArr[248] = -1019133566;
        iArr[249] = -1332111063;
        iArr[250] = 1999449434;
        iArr[251] = 286199582;
        iArr[252] = -877612933;
        iArr[253] = -61582168;
        iArr[254] = -692339859;
        iArr[255] = 974525996;
        f23444k = iArr;
        int[] iArr2 = new int[256];
        iArr2[0] = 1667483301;
        iArr2[1] = 2088564868;
        iArr2[2] = 2004348569;
        iArr2[3] = 2071721613;
        iArr2[4] = -218956019;
        iArr2[5] = 1802229437;
        iArr2[6] = 1869602481;
        iArr2[7] = -976907948;
        iArr2[8] = 808476752;
        iArr2[9] = 16843267;
        iArr2[10] = 1734856361;
        iArr2[11] = 724260477;
        iArr2[12] = -16849127;
        iArr2[13] = -673729182;
        iArr2[14] = -1414836762;
        iArr2[15] = 1987505306;
        iArr2[16] = -892694715;
        iArr2[17] = -2105401443;
        iArr2[18] = -909539008;
        iArr2[19] = 2105408135;
        iArr2[20] = -84218091;
        iArr2[21] = 1499050731;
        iArr2[22] = 1195871945;
        iArr2[23] = -252642549;
        iArr2[24] = -1381154324;
        iArr2[25] = -724257945;
        iArr2[26] = -1566416899;
        iArr2[27] = -1347467798;
        iArr2[28] = -1667488833;
        iArr2[29] = -1532734473;
        iArr2[30] = 1920132246;
        iArr2[31] = -1061119141;
        iArr2[32] = -1212713534;
        iArr2[33] = -33693412;
        iArr2[34] = -1819066962;
        iArr2[35] = 640044138;
        iArr2[36] = 909536346;
        iArr2[37] = 1061125697;
        iArr2[38] = -134744830;
        iArr2[39] = -859012273;
        iArr2[40] = 875849820;
        iArr2[41] = -1515892236;
        iArr2[42] = -437923532;
        iArr2[43] = -235800312;
        iArr2[44] = 1903288979;
        iArr2[45] = -656888973;
        iArr2[46] = 825320019;
        iArr2[47] = 353708607;
        iArr2[48] = 67373068;
        iArr2[49] = -943221422;
        iArr2[50] = 589514341;
        iArr2[51] = -1010590370;
        iArr2[52] = 404238376;
        iArr2[53] = -1768540255;
        iArr2[54] = 84216335;
        iArr2[55] = -1701171275;
        iArr2[56] = 117902857;
        iArr2[57] = 303178806;
        iArr2[58] = -2139087973;
        iArr2[59] = -488448195;
        iArr2[60] = -336868058;
        iArr2[61] = 656887401;
        iArr2[62] = -1296924723;
        iArr2[63] = 1970662047;
        iArr2[64] = 151589403;
        iArr2[65] = -2088559202;
        iArr2[66] = 741103732;
        iArr2[67] = 437924910;
        iArr2[68] = 454768173;
        iArr2[69] = 1852759218;
        iArr2[70] = 1515893998;
        iArr2[71] = -1600103429;
        iArr2[72] = 1381147894;
        iArr2[73] = 993752653;
        iArr2[74] = -690571423;
        iArr2[75] = -1280082482;
        iArr2[76] = 690573947;
        iArr2[77] = -471605954;
        iArr2[78] = 791633521;
        iArr2[79] = -2071719017;
        iArr2[80] = 1397991157;
        iArr2[81] = -774784664;
        iArr2[83] = -303185620;
        iArr2[84] = 538984544;
        iArr2[85] = -50535649;
        iArr2[86] = -1313769016;
        iArr2[87] = 1532737261;
        iArr2[88] = 1785386174;
        iArr2[89] = -875852474;
        iArr2[90] = -1094817831;
        iArr2[91] = 960066123;
        iArr2[92] = 1246401758;
        iArr2[93] = 1280088276;
        iArr2[94] = 1482207464;
        iArr2[95] = -808483510;
        iArr2[96] = -791626901;
        iArr2[97] = -269499094;
        iArr2[98] = -1431679003;
        iArr2[99] = -67375850;
        iArr2[100] = 1128498885;
        iArr2[101] = 1296931543;
        iArr2[102] = 859006549;
        iArr2[103] = -2054876780;
        iArr2[104] = 1162185423;
        iArr2[105] = -101062384;
        iArr2[106] = 33686534;
        iArr2[107] = 2139094657;
        iArr2[108] = 1347461360;
        iArr2[109] = 1010595908;
        iArr2[110] = -1616960070;
        iArr2[111] = -1465365533;
        iArr2[112] = 1364304627;
        iArr2[113] = -1549574658;
        iArr2[114] = 1077969088;
        iArr2[115] = -1886452342;
        iArr2[116] = -1835909203;
        iArr2[117] = -1650646596;
        iArr2[118] = 943222856;
        iArr2[119] = -168431356;
        iArr2[120] = -1128504353;
        iArr2[121] = -1229555775;
        iArr2[122] = -623202443;
        iArr2[123] = 555827811;
        iArr2[124] = 269492272;
        iArr2[125] = -6886;
        iArr2[126] = -202113778;
        iArr2[127] = -757940371;
        iArr2[128] = -842170036;
        iArr2[129] = 202119188;
        iArr2[130] = 320022069;
        iArr2[131] = -320027857;
        iArr2[132] = 1600110305;
        iArr2[133] = -1751698014;
        iArr2[134] = 1145342156;
        iArr2[135] = 387395129;
        iArr2[136] = -993750185;
        iArr2[137] = -1482205710;
        iArr2[138] = 2122251394;
        iArr2[139] = 1027439175;
        iArr2[140] = 1684326572;
        iArr2[141] = 1566423783;
        iArr2[142] = 421081643;
        iArr2[143] = 1936975509;
        iArr2[144] = 1616953504;
        iArr2[145] = -2122245736;
        iArr2[146] = 1330618065;
        iArr2[147] = -589520001;
        iArr2[148] = 572671078;
        iArr2[149] = 707417214;
        iArr2[150] = -1869595733;
        iArr2[151] = -2004350077;
        iArr2[152] = 1179028682;
        iArr2[153] = -286341335;
        iArr2[154] = -1195873325;
        iArr2[155] = 336865340;
        iArr2[156] = -555833479;
        iArr2[157] = 1583267042;
        iArr2[158] = 185275933;
        iArr2[159] = -606360202;
        iArr2[160] = -522134725;
        iArr2[161] = 842163286;
        iArr2[162] = 976909390;
        iArr2[163] = 168432670;
        iArr2[164] = 1229558491;
        iArr2[165] = 101059594;
        iArr2[166] = 606357612;
        iArr2[167] = 1549580516;
        iArr2[168] = -1027432611;
        iArr2[169] = -741098130;
        iArr2[170] = -1397996561;
        iArr2[171] = 1650640038;
        iArr2[172] = -1852753496;
        iArr2[173] = -1785384540;
        iArr2[174] = -454765769;
        iArr2[175] = 2038035083;
        iArr2[176] = -404237006;
        iArr2[177] = -926381245;
        iArr2[178] = 926379609;
        iArr2[179] = 1835915959;
        iArr2[180] = -1920138868;
        iArr2[181] = -707415708;
        iArr2[182] = 1313774802;
        iArr2[183] = -1448523296;
        iArr2[184] = 1819072692;
        iArr2[185] = 1448520954;
        iArr2[186] = -185273593;
        iArr2[187] = -353710299;
        iArr2[188] = 1701169839;
        iArr2[189] = 2054878350;
        iArr2[190] = -1364310039;
        iArr2[191] = 134746136;
        iArr2[192] = -1162186795;
        iArr2[193] = 2021191816;
        iArr2[194] = 623200879;
        iArr2[195] = 774790258;
        iArr2[196] = 471611428;
        iArr2[197] = -1499047951;
        iArr2[198] = -1263242297;
        iArr2[199] = -960063663;
        iArr2[200] = -387396829;
        iArr2[201] = -572677764;
        iArr2[202] = 1953818780;
        iArr2[203] = 522141217;
        iArr2[204] = 1263245021;
        iArr2[205] = -1111662116;
        iArr2[206] = -1953821306;
        iArr2[207] = -1970663547;
        iArr2[208] = 1886445712;
        iArr2[209] = 1044282434;
        iArr2[210] = -1246400060;
        iArr2[211] = 1718013098;
        iArr2[212] = 1212715224;
        iArr2[213] = 50529797;
        iArr2[214] = -151587071;
        iArr2[215] = 235805714;
        iArr2[216] = 1633796771;
        iArr2[217] = 892693087;
        iArr2[218] = 1465364217;
        iArr2[219] = -1179031088;
        iArr2[220] = -2038032495;
        iArr2[221] = -1044276904;
        iArr2[222] = 488454695;
        iArr2[223] = -1633802311;
        iArr2[224] = -505292488;
        iArr2[225] = -117904621;
        iArr2[226] = -1734857805;
        iArr2[227] = 286335539;
        iArr2[228] = 1768542907;
        iArr2[229] = -640046736;
        iArr2[230] = -1903294583;
        iArr2[231] = -1802226777;
        iArr2[232] = -1684329034;
        iArr2[233] = 505297954;
        iArr2[234] = -2021190254;
        iArr2[235] = -370554592;
        iArr2[236] = -825325751;
        iArr2[237] = 1431677695;
        iArr2[238] = 673730680;
        iArr2[239] = -538991238;
        iArr2[240] = -1936981105;
        iArr2[241] = -1583261192;
        iArr2[242] = -1987507840;
        iArr2[243] = 218962455;
        iArr2[244] = -1077975590;
        iArr2[245] = -421079247;
        iArr2[246] = 1111655622;
        iArr2[247] = 1751699640;
        iArr2[248] = 1094812355;
        iArr2[249] = -1718015568;
        iArr2[250] = 757946999;
        iArr2[251] = 252648977;
        iArr2[252] = -1330611253;
        iArr2[253] = 1414834428;
        iArr2[254] = -1145344554;
        iArr2[255] = 370551866;
        f23445l = iArr2;
        int[] iArr3 = new int[256];
        iArr3[0] = 1673962851;
        iArr3[1] = 2096661628;
        iArr3[2] = 2012125559;
        iArr3[3] = 2079755643;
        iArr3[4] = -218165774;
        iArr3[5] = 1809235307;
        iArr3[6] = 1876865391;
        iArr3[7] = -980331323;
        iArr3[8] = 811618352;
        iArr3[9] = 16909057;
        iArr3[10] = 1741597031;
        iArr3[11] = 727088427;
        iArr3[12] = -18408962;
        iArr3[13] = -675978537;
        iArr3[14] = -1420958037;
        iArr3[15] = 1995217526;
        iArr3[16] = -896580150;
        iArr3[17] = -2111857278;
        iArr3[18] = -913751863;
        iArr3[19] = 2113570685;
        iArr3[20] = -84994566;
        iArr3[21] = 1504897881;
        iArr3[22] = 1200539975;
        iArr3[23] = -251982864;
        iArr3[24] = -1388188499;
        iArr3[25] = -726439980;
        iArr3[26] = -1570767454;
        iArr3[27] = -1354372433;
        iArr3[28] = -1675378788;
        iArr3[29] = -1538000988;
        iArr3[30] = 1927583346;
        iArr3[31] = -1063560256;
        iArr3[32] = -1217019209;
        iArr3[33] = -35578627;
        iArr3[34] = -1824674157;
        iArr3[35] = 642542118;
        iArr3[36] = 913070646;
        iArr3[37] = 1065238847;
        iArr3[38] = -134937865;
        iArr3[39] = -863809588;
        iArr3[40] = 879254580;
        iArr3[41] = -1521355611;
        iArr3[42] = -439274267;
        iArr3[43] = -235337487;
        iArr3[44] = 1910674289;
        iArr3[45] = -659852328;
        iArr3[46] = 828527409;
        iArr3[47] = 355090197;
        iArr3[48] = 67636228;
        iArr3[49] = -946515257;
        iArr3[50] = 591815971;
        iArr3[51] = -1013096765;
        iArr3[52] = 405809176;
        iArr3[53] = -1774739050;
        iArr3[54] = 84545285;
        iArr3[55] = -1708149350;
        iArr3[56] = 118360327;
        iArr3[57] = 304363026;
        iArr3[58] = -2145674368;
        iArr3[59] = -488686110;
        iArr3[60] = -338876693;
        iArr3[61] = 659450151;
        iArr3[62] = -1300247118;
        iArr3[63] = 1978310517;
        iArr3[64] = 152181513;
        iArr3[65] = -2095210877;
        iArr3[66] = 743994412;
        iArr3[67] = 439627290;
        iArr3[68] = 456535323;
        iArr3[69] = 1859957358;
        iArr3[70] = 1521806938;
        iArr3[71] = -1604584544;
        iArr3[72] = 1386542674;
        iArr3[73] = 997608763;
        iArr3[74] = -692624938;
        iArr3[75] = -1283600717;
        iArr3[76] = 693271337;
        iArr3[77] = -472039709;
        iArr3[78] = 794718511;
        iArr3[79] = -2079090812;
        iArr3[80] = 1403450707;
        iArr3[81] = -776378159;
        iArr3[83] = -306107155;
        iArr3[84] = 541089824;
        iArr3[85] = -52224004;
        iArr3[86] = -1317418831;
        iArr3[87] = 1538714971;
        iArr3[88] = 1792327274;
        iArr3[89] = -879933749;
        iArr3[90] = -1100490306;
        iArr3[91] = 963791673;
        iArr3[92] = 1251270218;
        iArr3[93] = 1285084236;
        iArr3[94] = 1487988824;
        iArr3[95] = -813348145;
        iArr3[96] = -793023536;
        iArr3[97] = -272291089;
        iArr3[98] = -1437604438;
        iArr3[99] = -68348165;
        iArr3[100] = 1132905795;
        iArr3[101] = 1301993293;
        iArr3[102] = 862344499;
        iArr3[103] = -2062445435;
        iArr3[104] = 1166724933;
        iArr3[105] = -102166279;
        iArr3[106] = 33818114;
        iArr3[107] = 2147385727;
        iArr3[108] = 1352724560;
        iArr3[109] = 1014514748;
        iArr3[110] = -1624917345;
        iArr3[111] = -1471421528;
        iArr3[112] = 1369633617;
        iArr3[113] = -1554121053;
        iArr3[114] = 1082179648;
        iArr3[115] = -1895462257;
        iArr3[116] = -1841320558;
        iArr3[117] = -1658733411;
        iArr3[118] = 946882616;
        iArr3[119] = -168753931;
        iArr3[120] = -1134305348;
        iArr3[121] = -1233665610;
        iArr3[122] = -626035238;
        iArr3[123] = 557998881;
        iArr3[124] = 270544912;
        iArr3[125] = -1762561;
        iArr3[126] = -201519373;
        iArr3[127] = -759206446;
        iArr3[128] = -847164211;
        iArr3[129] = 202904588;
        iArr3[130] = 321271059;
        iArr3[131] = -322752532;
        iArr3[132] = 1606345055;
        iArr3[133] = -1758092649;
        iArr3[134] = 1149815876;
        iArr3[135] = 388905239;
        iArr3[136] = -996976700;
        iArr3[137] = -1487539545;
        iArr3[138] = 2130477694;
        iArr3[139] = 1031423805;
        iArr3[140] = 1690872932;
        iArr3[141] = 1572530013;
        iArr3[142] = 422718233;
        iArr3[143] = 1944491379;
        iArr3[144] = 1623236704;
        iArr3[145] = -2129028991;
        iArr3[146] = 1335808335;
        iArr3[147] = -593264676;
        iArr3[148] = 574907938;
        iArr3[149] = 710180394;
        iArr3[150] = -1875137648;
        iArr3[151] = -2012511352;
        iArr3[152] = 1183631942;
        iArr3[153] = -288937490;
        iArr3[154] = -1200893000;
        iArr3[155] = 338181140;
        iArr3[156] = -559449634;
        iArr3[157] = 1589437022;
        iArr3[158] = 185998603;
        iArr3[159] = -609388837;
        iArr3[160] = -522503200;
        iArr3[161] = 845436466;
        iArr3[162] = 980700730;
        iArr3[163] = 169090570;
        iArr3[164] = 1234361161;
        iArr3[165] = 101452294;
        iArr3[166] = 608726052;
        iArr3[167] = 1555620956;
        iArr3[168] = -1029743166;
        iArr3[169] = -742560045;
        iArr3[170] = -1404833876;
        iArr3[171] = 1657054818;
        iArr3[172] = -1858492271;
        iArr3[173] = -1791908715;
        iArr3[174] = -455919644;
        iArr3[175] = 2045938553;
        iArr3[176] = -405458201;
        iArr3[177] = -930397240;
        iArr3[178] = 929978679;
        iArr3[179] = 1843050349;
        iArr3[180] = -1929278323;
        iArr3[181] = -709794603;
        iArr3[182] = 1318900302;
        iArr3[183] = -1454776151;
        iArr3[184] = 1826141292;
        iArr3[185] = 1454176854;
        iArr3[186] = -185399308;
        iArr3[187] = -355523094;
        iArr3[188] = 1707781989;
        iArr3[189] = 2062847610;
        iArr3[190] = -1371018834;
        iArr3[191] = 135272456;
        iArr3[192] = -1167075910;
        iArr3[193] = 2029029496;
        iArr3[194] = 625635109;
        iArr3[195] = 777810478;
        iArr3[196] = 473441308;
        iArr3[197] = -1504185946;
        iArr3[198] = -1267480652;
        iArr3[199] = -963161658;
        iArr3[200] = -389340184;
        iArr3[201] = -576619299;
        iArr3[202] = 1961401460;
        iArr3[203] = 524165407;
        iArr3[204] = 1268178251;
        iArr3[205] = -1117659971;
        iArr3[206] = -1962047861;
        iArr3[207] = -1978694262;
        iArr3[208] = 1893765232;
        iArr3[209] = 1048330814;
        iArr3[210] = -1250835275;
        iArr3[211] = 1724688998;
        iArr3[212] = 1217452104;
        iArr3[213] = 50726147;
        iArr3[214] = -151584266;
        iArr3[215] = 236720654;
        iArr3[216] = 1640145761;
        iArr3[217] = 896163637;
        iArr3[218] = 1471084887;
        iArr3[219] = -1184247623;
        iArr3[220] = -2045275770;
        iArr3[221] = -1046914879;
        iArr3[222] = 490350365;
        iArr3[223] = -1641563746;
        iArr3[224] = -505857823;
        iArr3[225] = -118811656;
        iArr3[226] = -1741966440;
        iArr3[227] = 287453969;
        iArr3[228] = 1775418217;
        iArr3[229] = -643206951;
        iArr3[230] = -1912108658;
        iArr3[231] = -1808554092;
        iArr3[232] = -1691502949;
        iArr3[233] = 507257374;
        iArr3[234] = -2028629369;
        iArr3[235] = -372694807;
        iArr3[236] = -829994546;
        iArr3[237] = 1437269845;
        iArr3[238] = 676362280;
        iArr3[239] = -542803233;
        iArr3[240] = -1945923700;
        iArr3[241] = -1587939167;
        iArr3[242] = -1995865975;
        iArr3[243] = 219813645;
        iArr3[244] = -1083843905;
        iArr3[245] = -422104602;
        iArr3[246] = 1115997762;
        iArr3[247] = 1758509160;
        iArr3[248] = 1099088705;
        iArr3[249] = -1725321063;
        iArr3[250] = 760903469;
        iArr3[251] = 253628687;
        iArr3[252] = -1334064208;
        iArr3[253] = 1420360788;
        iArr3[254] = -1150429509;
        iArr3[255] = 371997206;
        f23446m = iArr3;
        int[] iArr4 = new int[256];
        iArr4[0] = -962239645;
        iArr4[1] = -125535108;
        iArr4[2] = -291932297;
        iArr4[3] = -158499973;
        iArr4[4] = -15863054;
        iArr4[5] = -692229269;
        iArr4[6] = -558796945;
        iArr4[7] = -1856715323;
        iArr4[8] = 1615867952;
        iArr4[9] = 33751297;
        iArr4[10] = -827758745;
        iArr4[11] = 1451043627;
        iArr4[12] = -417726722;
        iArr4[13] = -1251813417;
        iArr4[14] = 1306962859;
        iArr4[15] = -325421450;
        iArr4[16] = -1891251510;
        iArr4[17] = 530416258;
        iArr4[18] = -1992242743;
        iArr4[19] = -91783811;
        iArr4[20] = -283772166;
        iArr4[21] = -1293199015;
        iArr4[22] = -1899411641;
        iArr4[23] = -83103504;
        iArr4[24] = 1106029997;
        iArr4[25] = -1285040940;
        iArr4[26] = 1610457762;
        iArr4[27] = 1173008303;
        iArr4[28] = 599760028;
        iArr4[29] = 1408738468;
        iArr4[30] = -459902350;
        iArr4[31] = -1688485696;
        iArr4[32] = 1975695287;
        iArr4[33] = -518193667;
        iArr4[34] = 1034851219;
        iArr4[35] = 1282024998;
        iArr4[36] = 1817851446;
        iArr4[37] = 2118205247;
        iArr4[38] = -184354825;
        iArr4[39] = -2091922228;
        iArr4[40] = 1750873140;
        iArr4[41] = 1374987685;
        iArr4[42] = -785062427;
        iArr4[43] = -116854287;
        iArr4[44] = -493653647;
        iArr4[45] = -1418471208;
        iArr4[46] = 1649619249;
        iArr4[47] = 708777237;
        iArr4[48] = 135005188;
        iArr4[49] = -1789737017;
        iArr4[50] = 1181033251;
        iArr4[51] = -1654733885;
        iArr4[52] = 807933976;
        iArr4[53] = 933336726;
        iArr4[54] = 168756485;
        iArr4[55] = 800430746;
        iArr4[56] = 235472647;
        iArr4[57] = 607523346;
        iArr4[58] = 463175808;
        iArr4[59] = -549592350;
        iArr4[60] = -853087253;
        iArr4[61] = 1315514151;
        iArr4[62] = 2144187058;
        iArr4[63] = -358648459;
        iArr4[64] = 303761673;
        iArr4[65] = 496927619;
        iArr4[66] = 1484008492;
        iArr4[67] = 875436570;
        iArr4[68] = 908925723;
        iArr4[69] = -592286098;
        iArr4[70] = -1259447718;
        iArr4[71] = 1543217312;
        iArr4[72] = -1527360942;
        iArr4[73] = 1984772923;
        iArr4[74] = -1218324778;
        iArr4[75] = 2110698419;
        iArr4[76] = 1383803177;
        iArr4[77] = -583080989;
        iArr4[78] = 1584475951;
        iArr4[79] = 328696964;
        iArr4[80] = -1493871789;
        iArr4[81] = -1184312879;
        iArr4[83] = -1054020115;
        iArr4[84] = 1080041504;
        iArr4[85] = -484442884;
        iArr4[86] = 2043195825;
        iArr4[87] = -1225958565;
        iArr4[88] = -725718422;
        iArr4[89] = -1924740149;
        iArr4[90] = 1742323390;
        iArr4[91] = 1917532473;
        iArr4[92] = -1797371318;
        iArr4[93] = -1730917300;
        iArr4[94] = -1326950312;
        iArr4[95] = -2058694705;
        iArr4[96] = -1150562096;
        iArr4[97] = -987041809;
        iArr4[98] = 1340451498;
        iArr4[99] = -317260805;
        iArr4[100] = -2033892541;
        iArr4[101] = -1697166003;
        iArr4[102] = 1716859699;
        iArr4[103] = 294946181;
        iArr4[104] = -1966127803;
        iArr4[105] = -384763399;
        iArr4[106] = 67502594;
        iArr4[107] = -25067649;
        iArr4[108] = -1594863536;
        iArr4[109] = 2017737788;
        iArr4[110] = 632987551;
        iArr4[111] = 1273211048;
        iArr4[112] = -1561112239;
        iArr4[113] = 1576969123;
        iArr4[114] = -2134884288;
        iArr4[115] = 92966799;
        iArr4[116] = 1068339858;
        iArr4[117] = 566009245;
        iArr4[118] = 1883781176;
        iArr4[119] = -251333131;
        iArr4[120] = 1675607228;
        iArr4[121] = 2009183926;
        iArr4[122] = -1351230758;
        iArr4[123] = 1113792801;
        iArr4[124] = 540020752;
        iArr4[125] = -451215361;
        iArr4[126] = -49351693;
        iArr4[127] = -1083321646;
        iArr4[128] = -2125673011;
        iArr4[129] = 403966988;
        iArr4[130] = 641012499;
        iArr4[131] = -1020269332;
        iArr4[132] = -1092526241;
        iArr4[133] = 899848087;
        iArr4[134] = -1999879100;
        iArr4[135] = 775493399;
        iArr4[136] = -1822964540;
        iArr4[137] = 1441965991;
        iArr4[138] = -58556802;
        iArr4[139] = 2051489085;
        iArr4[140] = -928226204;
        iArr4[141] = -1159242403;
        iArr4[142] = 841685273;
        iArr4[143] = -426413197;
        iArr4[144] = -1063231392;
        iArr4[145] = 429425025;
        iArr4[146] = -1630449841;
        iArr4[147] = -1551901476;
        iArr4[148] = 1147544098;
        iArr4[149] = 1417554474;
        iArr4[150] = 1001099408;
        iArr4[151] = 193169544;
        iArr4[152] = -1932900794;
        iArr4[153] = -953553170;
        iArr4[154] = 1809037496;
        iArr4[155] = 675025940;
        iArr4[156] = -1485185314;
        iArr4[157] = -1126015394;
        iArr4[158] = 371002123;
        iArr4[159] = -1384719397;
        iArr4[160] = -616832800;
        iArr4[161] = 1683370546;
        iArr4[162] = 1951283770;
        iArr4[163] = 337512970;
        iArr4[164] = -1831122615;
        iArr4[165] = 201983494;
        iArr4[166] = 1215046692;
        iArr4[167] = -1192993700;
        iArr4[168] = -1621245246;
        iArr4[169] = -1116810285;
        iArr4[170] = 1139780780;
        iArr4[171] = -995728798;
        iArr4[172] = 967348625;
        iArr4[173] = 832869781;
        iArr4[174] = -751311644;
        iArr4[175] = -225740423;
        iArr4[176] = -718084121;
        iArr4[177] = -1958491960;
        iArr4[178] = 1851340599;
        iArr4[179] = -625513107;
        iArr4[180] = 25988493;
        iArr4[181] = -1318791723;
        iArr4[182] = -1663938994;
        iArr4[183] = 1239460265;
        iArr4[184] = -659264404;
        iArr4[185] = -1392880042;
        iArr4[186] = -217582348;
        iArr4[187] = -819598614;
        iArr4[188] = -894474907;
        iArr4[189] = -191989126;
        iArr4[190] = 1206496942;
        iArr4[191] = 270010376;
        iArr4[192] = 1876277946;
        iArr4[193] = -259491720;
        iArr4[194] = 1248797989;
        iArr4[195] = 1550986798;
        iArr4[196] = 941890588;
        iArr4[197] = 1475454630;
        iArr4[198] = 1942467764;
        iArr4[199] = -1756248378;
        iArr4[200] = -886839064;
        iArr4[201] = -1585652259;
        iArr4[202] = -392399756;
        iArr4[203] = 1042358047;
        iArr4[204] = -1763882165;
        iArr4[205] = 1641856445;
        iArr4[206] = 226921355;
        iArr4[207] = 260409994;
        iArr4[208] = -527404944;
        iArr4[209] = 2084716094;
        iArr4[210] = 1908716981;
        iArr4[211] = -861247898;
        iArr4[212] = -1864873912;
        iArr4[213] = 100991747;
        iArr4[214] = -150866186;
        iArr4[215] = 470945294;
        iArr4[216] = -1029480095;
        iArr4[217] = 1784624437;
        iArr4[218] = -1359390889;
        iArr4[219] = 1775286713;
        iArr4[220] = 395413126;
        iArr4[221] = -1722236479;
        iArr4[222] = 975641885;
        iArr4[223] = 666476190;
        iArr4[224] = -650583583;
        iArr4[225] = -351012616;
        iArr4[226] = 733190296;
        iArr4[227] = 573772049;
        iArr4[228] = -759469719;
        iArr4[229] = -1452221991;
        iArr4[230] = 126455438;
        iArr4[231] = 866620564;
        iArr4[232] = 766942107;
        iArr4[233] = 1008868894;
        iArr4[234] = 361924487;
        iArr4[235] = -920589847;
        iArr4[236] = -2025206066;
        iArr4[237] = -1426107051;
        iArr4[238] = 1350051880;
        iArr4[239] = -1518673953;
        iArr4[240] = 59739276;
        iArr4[241] = 1509466529;
        iArr4[242] = 159418761;
        iArr4[243] = 437718285;
        iArr4[244] = 1708834751;
        iArr4[245] = -684595482;
        iArr4[246] = -2067381694;
        iArr4[247] = -793221016;
        iArr4[248] = -2101132991;
        iArr4[249] = 699439513;
        iArr4[250] = 1517759789;
        iArr4[251] = 504434447;
        iArr4[252] = 2076946608;
        iArr4[253] = -1459858348;
        iArr4[254] = 1842789307;
        iArr4[255] = 742004246;
        f23447n = iArr4;
        int[] iArr5 = new int[256];
        iArr5[0] = 1353184337;
        iArr5[1] = 1399144830;
        iArr5[2] = -1012656358;
        iArr5[3] = -1772214470;
        iArr5[4] = -882136261;
        iArr5[5] = -247096033;
        iArr5[6] = -1420232020;
        iArr5[7] = -1828461749;
        iArr5[8] = 1442459680;
        iArr5[9] = -160598355;
        iArr5[10] = -1854485368;
        iArr5[11] = 625738485;
        iArr5[12] = -52959921;
        iArr5[13] = -674551099;
        iArr5[14] = -2143013594;
        iArr5[15] = -1885117771;
        iArr5[16] = 1230680542;
        iArr5[17] = 1729870373;
        iArr5[18] = -1743852987;
        iArr5[19] = -507445667;
        iArr5[20] = 41234371;
        iArr5[21] = 317738113;
        iArr5[22] = -1550367091;
        iArr5[23] = -956705941;
        iArr5[24] = -413167869;
        iArr5[25] = -1784901099;
        iArr5[26] = -344298049;
        iArr5[27] = -631680363;
        iArr5[28] = 763608788;
        iArr5[29] = -752782248;
        iArr5[30] = 694804553;
        iArr5[31] = 1154009486;
        iArr5[32] = 1787413109;
        iArr5[33] = 2021232372;
        iArr5[34] = 1799248025;
        iArr5[35] = -579749593;
        iArr5[36] = -1236278850;
        iArr5[37] = 397248752;
        iArr5[38] = 1722556617;
        iArr5[39] = -1271214467;
        iArr5[40] = 407560035;
        iArr5[41] = -2110711067;
        iArr5[42] = 1613975959;
        iArr5[43] = 1165972322;
        iArr5[44] = -529046351;
        iArr5[45] = -2068943941;
        iArr5[46] = 480281086;
        iArr5[47] = -1809118983;
        iArr5[48] = 1483229296;
        iArr5[49] = 436028815;
        iArr5[50] = -2022908268;
        iArr5[51] = -1208452270;
        iArr5[52] = 601060267;
        iArr5[53] = -503166094;
        iArr5[54] = 1468997603;
        iArr5[55] = 715871590;
        iArr5[56] = 120122290;
        iArr5[57] = 63092015;
        iArr5[58] = -1703164538;
        iArr5[59] = -1526188077;
        iArr5[60] = -226023376;
        iArr5[61] = -1297760477;
        iArr5[62] = -1167457534;
        iArr5[63] = 1552029421;
        iArr5[64] = 723308426;
        iArr5[65] = -1833666137;
        iArr5[66] = -252573709;
        iArr5[67] = -1578997426;
        iArr5[68] = -839591323;
        iArr5[69] = -708967162;
        iArr5[70] = 526529745;
        iArr5[71] = -1963022652;
        iArr5[72] = -1655493068;
        iArr5[73] = -1604979806;
        iArr5[74] = 853641733;
        iArr5[75] = 1978398372;
        iArr5[76] = 971801355;
        iArr5[77] = -1427152832;
        iArr5[78] = 111112542;
        iArr5[79] = 1360031421;
        iArr5[80] = -108388034;
        iArr5[81] = 1023860118;
        iArr5[82] = -1375387939;
        iArr5[83] = 1186850381;
        iArr5[84] = -1249028975;
        iArr5[85] = 90031217;
        iArr5[86] = 1876166148;
        iArr5[87] = -15380384;
        iArr5[88] = 620468249;
        iArr5[89] = -1746289194;
        iArr5[90] = -868007799;
        iArr5[91] = 2006899047;
        iArr5[92] = -1119688528;
        iArr5[93] = -2004121337;
        iArr5[94] = 945494503;
        iArr5[95] = -605108103;
        iArr5[96] = 1191869601;
        iArr5[97] = -384875908;
        iArr5[98] = -920746760;
        iArr5[100] = -2088337399;
        iArr5[101] = 1223502642;
        iArr5[102] = -1401941730;
        iArr5[103] = 1316117100;
        iArr5[104] = -67170563;
        iArr5[105] = 1446544655;
        iArr5[106] = 517320253;
        iArr5[107] = 658058550;
        iArr5[108] = 1691946762;
        iArr5[109] = 564550760;
        iArr5[110] = -783000677;
        iArr5[111] = 976107044;
        iArr5[112] = -1318647284;
        iArr5[113] = 266819475;
        iArr5[114] = -761860428;
        iArr5[115] = -1634624741;
        iArr5[116] = 1338359936;
        iArr5[117] = -1574904735;
        iArr5[118] = 1766553434;
        iArr5[119] = 370807324;
        iArr5[120] = 179999714;
        iArr5[121] = -450191168;
        iArr5[122] = 1138762300;
        iArr5[123] = 488053522;
        iArr5[124] = 185403662;
        iArr5[125] = -1379431438;
        iArr5[126] = -1180125651;
        iArr5[127] = -928440812;
        iArr5[128] = -2061897385;
        iArr5[129] = 1275557295;
        iArr5[130] = -1143105042;
        iArr5[131] = -44007517;
        iArr5[132] = -1624899081;
        iArr5[133] = -1124765092;
        iArr5[134] = -985962940;
        iArr5[135] = 880737115;
        iArr5[136] = 1982415755;
        iArr5[137] = -590994485;
        iArr5[138] = 1761406390;
        iArr5[139] = 1676797112;
        iArr5[140] = -891538985;
        iArr5[141] = 277177154;
        iArr5[142] = 1076008723;
        iArr5[143] = 538035844;
        iArr5[144] = 2099530373;
        iArr5[145] = -130171950;
        iArr5[146] = 288553390;
        iArr5[147] = 1839278535;
        iArr5[148] = 1261411869;
        iArr5[149] = -214912292;
        iArr5[150] = -330136051;
        iArr5[151] = -790380169;
        iArr5[152] = 1813426987;
        iArr5[153] = -1715900247;
        iArr5[154] = -95906799;
        iArr5[155] = 577038663;
        iArr5[156] = -997393240;
        iArr5[157] = 440397984;
        iArr5[158] = -668172970;
        iArr5[159] = -275762398;
        iArr5[160] = -951170681;
        iArr5[161] = -1043253031;
        iArr5[162] = -22885748;
        iArr5[163] = 906744984;
        iArr5[164] = -813566554;
        iArr5[165] = 685669029;
        iArr5[166] = 646887386;
        iArr5[167] = -1530942145;
        iArr5[168] = -459458004;
        iArr5[169] = 227702864;
        iArr5[170] = -1681105046;
        iArr5[171] = 1648787028;
        iArr5[172] = -1038905866;
        iArr5[173] = -390539120;
        iArr5[174] = 1593260334;
        iArr5[175] = -173030526;
        iArr5[176] = -1098883681;
        iArr5[177] = 2090061929;
        iArr5[178] = -1456614033;
        iArr5[179] = -1290656305;
        iArr5[180] = 999926984;
        iArr5[181] = -1484974064;
        iArr5[182] = 1852021992;
        iArr5[183] = 2075868123;
        iArr5[184] = 158869197;
        iArr5[185] = -199730834;
        iArr5[186] = 28809964;
        iArr5[187] = -1466282109;
        iArr5[188] = 1701746150;
        iArr5[189] = 2129067946;
        iArr5[190] = 147831841;
        iArr5[191] = -420997649;
        iArr5[192] = -644094022;
        iArr5[193] = -835293366;
        iArr5[194] = -737566742;
        iArr5[195] = -696471511;
        iArr5[196] = -1347247055;
        iArr5[197] = 824393514;
        iArr5[198] = 815048134;
        iArr5[199] = -1067015627;
        iArr5[200] = 935087732;
        iArr5[201] = -1496677636;
        iArr5[202] = -1328508704;
        iArr5[203] = 366520115;
        iArr5[204] = 1251476721;
        iArr5[205] = -136647615;
        iArr5[206] = 240176511;
        iArr5[207] = 804688151;
        iArr5[208] = -1915335306;
        iArr5[209] = 1303441219;
        iArr5[210] = 1414376140;
        iArr5[211] = -553347356;
        iArr5[212] = -474623586;
        iArr5[213] = 461924940;
        iArr5[214] = -1205916479;
        iArr5[215] = 2136040774;
        iArr5[216] = 82468509;
        iArr5[217] = 1563790337;
        iArr5[218] = 1937016826;
        iArr5[219] = 776014843;
        iArr5[220] = 1511876531;
        iArr5[221] = 1389550482;
        iArr5[222] = 861278441;
        iArr5[223] = 323475053;
        iArr5[224] = -1939744870;
        iArr5[225] = 2047648055;
        iArr5[226] = -1911228327;
        iArr5[227] = -1992551445;
        iArr5[228] = -299390514;
        iArr5[229] = 902390199;
        iArr5[230] = -303751967;
        iArr5[231] = 1018251130;
        iArr5[232] = 1507840668;
        iArr5[233] = 1064563285;
        iArr5[234] = 2043548696;
        iArr5[235] = -1086863501;
        iArr5[236] = -355600557;
        iArr5[237] = 1537932639;
        iArr5[238] = 342834655;
        iArr5[239] = -2032450440;
        iArr5[240] = -2114736182;
        iArr5[241] = 1053059257;
        iArr5[242] = 741614648;
        iArr5[243] = 1598071746;
        iArr5[244] = 1925389590;
        iArr5[245] = 203809468;
        iArr5[246] = -1958134744;
        iArr5[247] = 1100287487;
        iArr5[248] = 1895934009;
        iArr5[249] = -558691320;
        iArr5[250] = -1662733096;
        iArr5[251] = -1866377628;
        iArr5[252] = 1636092795;
        iArr5[253] = 1890988757;
        iArr5[254] = 1952214088;
        iArr5[255] = 1113045200;
        f23448o = iArr5;
        int[] iArr6 = new int[256];
        iArr6[0] = -1477160624;
        iArr6[1] = 1698790995;
        iArr6[2] = -1541989693;
        iArr6[3] = 1579629206;
        iArr6[4] = 1806384075;
        iArr6[5] = 1167925233;
        iArr6[6] = 1492823211;
        iArr6[7] = 65227667;
        iArr6[8] = -97509291;
        iArr6[9] = 1836494326;
        iArr6[10] = 1993115793;
        iArr6[11] = 1275262245;
        iArr6[12] = -672837636;
        iArr6[13] = -886389289;
        iArr6[14] = 1144333952;
        iArr6[15] = -1553812081;
        iArr6[16] = 1521606217;
        iArr6[17] = 465184103;
        iArr6[18] = 250234264;
        iArr6[19] = -1057071647;
        iArr6[20] = 1966064386;
        iArr6[21] = -263421678;
        iArr6[22] = -1756983901;
        iArr6[23] = -103584826;
        iArr6[24] = 1603208167;
        iArr6[25] = -1668147819;
        iArr6[26] = 2054012907;
        iArr6[27] = 1498584538;
        iArr6[28] = -2084645843;
        iArr6[29] = 561273043;
        iArr6[30] = 1776306473;
        iArr6[31] = -926314940;
        iArr6[32] = -1983744662;
        iArr6[33] = 2039411832;
        iArr6[34] = 1045993835;
        iArr6[35] = 1907959773;
        iArr6[36] = 1340194486;
        iArr6[37] = -1383534569;
        iArr6[38] = -1407137434;
        iArr6[39] = 986611124;
        iArr6[40] = 1256153880;
        iArr6[41] = 823846274;
        iArr6[42] = 860985184;
        iArr6[43] = 2136171077;
        iArr6[44] = 2003087840;
        iArr6[45] = -1368671356;
        iArr6[46] = -1602093540;
        iArr6[47] = 722008468;
        iArr6[48] = 1749577816;
        iArr6[49] = -45773031;
        iArr6[50] = 1826526343;
        iArr6[51] = -126135625;
        iArr6[52] = -747394269;
        iArr6[53] = 38499042;
        iArr6[54] = -1893735593;
        iArr6[55] = -1420466646;
        iArr6[56] = 686535175;
        iArr6[57] = -1028313341;
        iArr6[58] = 2076542618;
        iArr6[59] = 137876389;
        iArr6[60] = -2027409166;
        iArr6[61] = -1514200142;
        iArr6[62] = 1778582202;
        iArr6[63] = -2112426660;
        iArr6[64] = 483363371;
        iArr6[65] = -1267095662;
        iArr6[66] = -234359824;
        iArr6[67] = -496415071;
        iArr6[68] = -187013683;
        iArr6[69] = -1106966827;
        iArr6[70] = 1647628575;
        iArr6[71] = -22625142;
        iArr6[72] = 1395537053;
        iArr6[73] = 1442030240;
        iArr6[74] = -511048398;
        iArr6[75] = -336157579;
        iArr6[76] = -326956231;
        iArr6[77] = -278904662;
        iArr6[78] = -1619960314;
        iArr6[79] = 275692881;
        iArr6[80] = -1977532679;
        iArr6[81] = 115185213;
        iArr6[82] = 88006062;
        iArr6[83] = -1108980410;
        iArr6[84] = -1923837515;
        iArr6[85] = 1573155077;
        iArr6[86] = -737803153;
        iArr6[87] = 357589247;
        iArr6[88] = -73918172;
        iArr6[89] = -373434729;
        iArr6[90] = 1128303052;
        iArr6[91] = -1629919369;
        iArr6[92] = 1122545853;
        iArr6[93] = -1953953912;
        iArr6[94] = 1528424248;
        iArr6[95] = -288851493;
        iArr6[96] = 175939911;
        iArr6[97] = 256015593;
        iArr6[98] = 512030921;
        iArr6[100] = -2038429309;
        iArr6[101] = -315936184;
        iArr6[102] = 1880170156;
        iArr6[103] = 1918528590;
        iArr6[104] = -15794693;
        iArr6[105] = 948244310;
        iArr6[106] = -710001378;
        iArr6[107] = 959264295;
        iArr6[108] = -653325724;
        iArr6[109] = -1503893471;
        iArr6[110] = 1415289809;
        iArr6[111] = 775300154;
        iArr6[112] = 1728711857;
        iArr6[113] = -413691121;
        iArr6[114] = -1762741038;
        iArr6[115] = -1852105826;
        iArr6[116] = -977239985;
        iArr6[117] = 551313826;
        iArr6[118] = 1266113129;
        iArr6[119] = 437394454;
        iArr6[120] = -1164713462;
        iArr6[121] = 715178213;
        iArr6[122] = -534627261;
        iArr6[123] = 387650077;
        iArr6[124] = 218697227;
        iArr6[125] = -947129683;
        iArr6[126] = -1464455751;
        iArr6[127] = -1457646392;
        iArr6[128] = 435246981;
        iArr6[129] = 125153100;
        iArr6[130] = -577114437;
        iArr6[131] = 1618977789;
        iArr6[132] = 637663135;
        iArr6[133] = -177054532;
        iArr6[134] = 996558021;
        iArr6[135] = 2130402100;
        iArr6[136] = 692292470;
        iArr6[137] = -970732580;
        iArr6[138] = -51530136;
        iArr6[139] = -236668829;
        iArr6[140] = -600713270;
        iArr6[141] = -2057092592;
        iArr6[142] = 580326208;
        iArr6[143] = 298222624;
        iArr6[144] = 608863613;
        iArr6[145] = 1035719416;
        iArr6[146] = 855223825;
        iArr6[147] = -1591097491;
        iArr6[148] = 798891339;
        iArr6[149] = 817028339;
        iArr6[150] = 1384517100;
        iArr6[151] = -473860144;
        iArr6[152] = 380840812;
        iArr6[153] = -1183798887;
        iArr6[154] = 1217663482;
        iArr6[155] = 1693009698;
        iArr6[156] = -1929598780;
        iArr6[157] = 1072734234;
        iArr6[158] = 746411736;
        iArr6[159] = -1875696913;
        iArr6[160] = 1313441735;
        iArr6[161] = -784803391;
        iArr6[162] = -1563783938;
        iArr6[163] = 198481974;
        iArr6[164] = -2114607409;
        iArr6[165] = -562387672;
        iArr6[166] = -1900553690;
        iArr6[167] = -1079165020;
        iArr6[168] = -1657131804;
        iArr6[169] = -1837608947;
        iArr6[170] = -866162021;
        iArr6[171] = 1182684258;
        iArr6[172] = 328070850;
        iArr6[173] = -1193766680;
        iArr6[174] = -147247522;
        iArr6[175] = -1346141451;
        iArr6[176] = -2141347906;
        iArr6[177] = -1815058052;
        iArr6[178] = 768962473;
        iArr6[179] = 304467891;
        iArr6[180] = -1716729797;
        iArr6[181] = 2098729127;
        iArr6[182] = 1671227502;
        iArr6[183] = -1153705093;
        iArr6[184] = 2015808777;
        iArr6[185] = 408514292;
        iArr6[186] = -1214583807;
        iArr6[187] = -1706064984;
        iArr6[188] = 1855317605;
        iArr6[189] = -419452290;
        iArr6[190] = -809754360;
        iArr6[191] = -401215514;
        iArr6[192] = -1679312167;
        iArr6[193] = 913263310;
        iArr6[194] = 161475284;
        iArr6[195] = 2091919830;
        iArr6[196] = -1297862225;
        iArr6[197] = 591342129;
        iArr6[198] = -1801075152;
        iArr6[199] = 1721906624;
        iArr6[200] = -1135709129;
        iArr6[201] = -897385306;
        iArr6[202] = -795811664;
        iArr6[203] = -660131051;
        iArr6[204] = -1744506550;
        iArr6[205] = -622050825;
        iArr6[206] = 1355644686;
        iArr6[207] = -158263505;
        iArr6[208] = -699566451;
        iArr6[209] = -1326496947;
        iArr6[210] = 1303039060;
        iArr6[211] = 76997855;
        iArr6[212] = -1244553501;
        iArr6[213] = -2006299621;
        iArr6[214] = 523026872;
        iArr6[215] = 1365591679;
        iArr6[216] = -362898172;
        iArr6[217] = 898367837;
        iArr6[218] = 1955068531;
        iArr6[219] = 1091304238;
        iArr6[220] = 493335386;
        iArr6[221] = -757362094;
        iArr6[222] = 1443948851;
        iArr6[223] = 1205234963;
        iArr6[224] = 1641519756;
        iArr6[225] = 211892090;
        iArr6[226] = 351820174;
        iArr6[227] = 1007938441;
        iArr6[228] = 665439982;
        iArr6[229] = -916342987;
        iArr6[230] = -451091987;
        iArr6[231] = -1320715716;
        iArr6[232] = -539845543;
        iArr6[233] = 1945261375;
        iArr6[234] = -837543815;
        iArr6[235] = 935818175;
        iArr6[236] = -839429142;
        iArr6[237] = -1426235557;
        iArr6[238] = 1866325780;
        iArr6[239] = -616269690;
        iArr6[240] = -206583167;
        iArr6[241] = -999769794;
        iArr6[242] = 874788908;
        iArr6[243] = 1084473951;
        iArr6[244] = -1021503886;
        iArr6[245] = 635616268;
        iArr6[246] = 1228679307;
        iArr6[247] = -1794244799;
        iArr6[248] = 27801969;
        iArr6[249] = -1291056930;
        iArr6[250] = -457910116;
        iArr6[251] = -1051302768;
        iArr6[252] = -2067039391;
        iArr6[253] = -1238182544;
        iArr6[254] = 1550600308;
        iArr6[255] = 1471729730;
        f23449p = iArr6;
        int[] iArr7 = new int[256];
        iArr7[0] = -195997529;
        iArr7[1] = 1098797925;
        iArr7[2] = 387629988;
        iArr7[3] = 658151006;
        iArr7[4] = -1422144661;
        iArr7[5] = -1658851003;
        iArr7[6] = -89347240;
        iArr7[7] = -481586429;
        iArr7[8] = 807425530;
        iArr7[9] = 1991112301;
        iArr7[10] = -863465098;
        iArr7[11] = 49620300;
        iArr7[12] = -447742761;
        iArr7[13] = 717608907;
        iArr7[14] = 891715652;
        iArr7[15] = 1656065955;
        iArr7[16] = -1310832294;
        iArr7[17] = -1171953893;
        iArr7[18] = -364537842;
        iArr7[19] = -27401792;
        iArr7[20] = 801309301;
        iArr7[21] = 1283527408;
        iArr7[22] = 1183687575;
        iArr7[23] = -747911431;
        iArr7[24] = -1895569569;
        iArr7[25] = -1844079204;
        iArr7[26] = 1841294202;
        iArr7[27] = 1385552473;
        iArr7[28] = -1093390973;
        iArr7[29] = 1951978273;
        iArr7[30] = -532076183;
        iArr7[31] = -913423160;
        iArr7[32] = -1032492407;
        iArr7[33] = -1896580999;
        iArr7[34] = 1486449470;
        iArr7[35] = -1188569743;
        iArr7[36] = -507595185;
        iArr7[37] = -1997531219;
        iArr7[38] = 550069932;
        iArr7[39] = -830622662;
        iArr7[40] = -547153846;
        iArr7[41] = 451248689;
        iArr7[42] = 1368875059;
        iArr7[43] = 1398949247;
        iArr7[44] = 1689378935;
        iArr7[45] = 1807451310;
        iArr7[46] = -2114052960;
        iArr7[47] = 150574123;
        iArr7[48] = 1215322216;
        iArr7[49] = 1167006205;
        iArr7[50] = -560691348;
        iArr7[51] = 2069018616;
        iArr7[52] = 1940595667;
        iArr7[53] = 1265820162;
        iArr7[54] = 534992783;
        iArr7[55] = 1432758955;
        iArr7[56] = -340654296;
        iArr7[57] = -1255210046;
        iArr7[58] = -981034373;
        iArr7[59] = 936617224;
        iArr7[60] = 674296455;
        iArr7[61] = -1088179547;
        iArr7[62] = 50510442;
        iArr7[63] = 384654466;
        iArr7[64] = -813028580;
        iArr7[65] = 2041025204;
        iArr7[66] = 133427442;
        iArr7[67] = 1766760930;
        iArr7[68] = -630862348;
        iArr7[69] = 84334014;
        iArr7[70] = 886120290;
        iArr7[71] = -1497068802;
        iArr7[72] = 775200083;
        iArr7[73] = -207445931;
        iArr7[74] = -1979370783;
        iArr7[75] = -156994069;
        iArr7[76] = -2096416276;
        iArr7[77] = 1614850799;
        iArr7[78] = 1901987487;
        iArr7[79] = 1857900816;
        iArr7[80] = 557775242;
        iArr7[81] = -577356538;
        iArr7[82] = 1054715397;
        iArr7[83] = -431143235;
        iArr7[84] = 1418835341;
        iArr7[85] = -999226019;
        iArr7[86] = 100954068;
        iArr7[87] = 1348534037;
        iArr7[88] = -1743182597;
        iArr7[89] = -1110009879;
        iArr7[90] = 1082772547;
        iArr7[91] = -647530594;
        iArr7[92] = -391070398;
        iArr7[93] = -1995994997;
        iArr7[94] = 434583643;
        iArr7[95] = -931537938;
        iArr7[96] = 2090944266;
        iArr7[97] = 1115482383;
        iArr7[98] = -2064070370;
        iArr7[100] = -2146860154;
        iArr7[101] = 724715757;
        iArr7[102] = 287222896;
        iArr7[103] = 1517047410;
        iArr7[104] = 251526143;
        iArr7[105] = -2062592456;
        iArr7[106] = -1371726123;
        iArr7[107] = 758523705;
        iArr7[108] = 252339417;
        iArr7[109] = 1550328230;
        iArr7[110] = 1536938324;
        iArr7[111] = 908343854;
        iArr7[112] = 168604007;
        iArr7[113] = 1469255655;
        iArr7[114] = -290139498;
        iArr7[115] = -1692688751;
        iArr7[116] = -1065332795;
        iArr7[117] = -597581280;
        iArr7[118] = 2002413899;
        iArr7[119] = 303830554;
        iArr7[120] = -1813902662;
        iArr7[121] = -1597971158;
        iArr7[122] = 574374880;
        iArr7[123] = 454171927;
        iArr7[124] = 151915277;
        iArr7[125] = -1947030073;
        iArr7[126] = -1238517336;
        iArr7[127] = 504678569;
        iArr7[128] = -245922535;
        iArr7[129] = 1974422535;
        iArr7[130] = -1712407587;
        iArr7[131] = 2141453664;
        iArr7[132] = 33005350;
        iArr7[133] = 1918680309;
        iArr7[134] = 1715782971;
        iArr7[135] = -77908866;
        iArr7[136] = 1133213225;
        iArr7[137] = 600562886;
        iArr7[138] = -306812676;
        iArr7[139] = -457677839;
        iArr7[140] = 836225756;
        iArr7[141] = 1665273989;
        iArr7[142] = -1760346078;
        iArr7[143] = -964419567;
        iArr7[144] = 1250262308;
        iArr7[145] = -1143801795;
        iArr7[146] = -106032846;
        iArr7[147] = 700935585;
        iArr7[148] = -1642247377;
        iArr7[149] = -1294142672;
        iArr7[150] = -2045907886;
        iArr7[151] = -1049112349;
        iArr7[152] = -1288999914;
        iArr7[153] = 1890163129;
        iArr7[154] = -1810761144;
        iArr7[155] = -381214108;
        iArr7[156] = -56048500;
        iArr7[157] = -257942977;
        iArr7[158] = 2102843436;
        iArr7[159] = 857927568;
        iArr7[160] = 1233635150;
        iArr7[161] = 953795025;
        iArr7[162] = -896729438;
        iArr7[163] = -728222197;
        iArr7[164] = -173617279;
        iArr7[165] = 2057644254;
        iArr7[166] = -1210440050;
        iArr7[167] = -1388337985;
        iArr7[168] = 976020637;
        iArr7[169] = 2018512274;
        iArr7[170] = 1600822220;
        iArr7[171] = 2119459398;
        iArr7[172] = -1913208301;
        iArr7[173] = -661591880;
        iArr7[174] = 959340279;
        iArr7[175] = -1014827601;
        iArr7[176] = 1570750080;
        iArr7[177] = -798393197;
        iArr7[178] = -714102483;
        iArr7[179] = 634368786;
        iArr7[180] = -1396163687;
        iArr7[181] = 403744637;
        iArr7[182] = -1662488989;
        iArr7[183] = 1004239803;
        iArr7[184] = 650971512;
        iArr7[185] = 1500443672;
        iArr7[186] = -1695809097;
        iArr7[187] = 1334028442;
        iArr7[188] = -1780062866;
        iArr7[189] = -5603610;
        iArr7[190] = -1138685745;
        iArr7[191] = 368043752;
        iArr7[192] = -407184997;
        iArr7[193] = 1867173430;
        iArr7[194] = -1612000247;
        iArr7[195] = -1339435396;
        iArr7[196] = -1540247630;
        iArr7[197] = 1059729699;
        iArr7[198] = -1513738092;
        iArr7[199] = -1573535642;
        iArr7[200] = 1316239292;
        iArr7[201] = -2097371446;
        iArr7[202] = -1864322864;
        iArr7[203] = -1489824296;
        iArr7[204] = 82922136;
        iArr7[205] = -331221030;
        iArr7[206] = -847311280;
        iArr7[207] = -1860751370;
        iArr7[208] = 1299615190;
        iArr7[209] = -280801872;
        iArr7[210] = -1429449651;
        iArr7[211] = -1763385596;
        iArr7[212] = -778116171;
        iArr7[213] = 1783372680;
        iArr7[214] = 750893087;
        iArr7[215] = 1699118929;
        iArr7[216] = 1587348714;
        iArr7[217] = -1946067659;
        iArr7[218] = -2013629580;
        iArr7[219] = 201010753;
        iArr7[220] = 1739807261;
        iArr7[221] = -611167534;
        iArr7[222] = 283718486;
        iArr7[223] = -697494713;
        iArr7[224] = -677737375;
        iArr7[225] = -1590199796;
        iArr7[226] = -128348652;
        iArr7[227] = 334203196;
        iArr7[228] = -1446056409;
        iArr7[229] = 1639396809;
        iArr7[230] = 484568549;
        iArr7[231] = 1199193265;
        iArr7[232] = -761505313;
        iArr7[233] = -229294221;
        iArr7[234] = 337148366;
        iArr7[235] = -948715721;
        iArr7[236] = -145495347;
        iArr7[237] = -44082262;
        iArr7[238] = 1038029935;
        iArr7[239] = 1148749531;
        iArr7[240] = -1345682957;
        iArr7[241] = 1756970692;
        iArr7[242] = 607661108;
        iArr7[243] = -1547542720;
        iArr7[244] = 488010435;
        iArr7[245] = -490992603;
        iArr7[246] = 1009290057;
        iArr7[247] = 234832277;
        iArr7[248] = -1472630527;
        iArr7[249] = 201907891;
        iArr7[250] = -1260872476;
        iArr7[251] = 1449431233;
        iArr7[252] = -881106556;
        iArr7[253] = 852848822;
        iArr7[254] = 1816687708;
        iArr7[255] = -1194311081;
        f23450q = iArr7;
        int[] iArr8 = new int[256];
        iArr8[0] = 1364240372;
        iArr8[1] = 2119394625;
        iArr8[2] = 449029143;
        iArr8[3] = 982933031;
        iArr8[4] = 1003187115;
        iArr8[5] = 535905693;
        iArr8[6] = -1398056710;
        iArr8[7] = 1267925987;
        iArr8[8] = 542505520;
        iArr8[9] = -1376359050;
        iArr8[10] = -2003732788;
        iArr8[11] = -182105086;
        iArr8[12] = 1341970405;
        iArr8[13] = -975713494;
        iArr8[14] = 645940277;
        iArr8[15] = -1248877726;
        iArr8[16] = -565617999;
        iArr8[17] = 627514298;
        iArr8[18] = 1167593194;
        iArr8[19] = 1575076094;
        iArr8[20] = -1023249105;
        iArr8[21] = -2129465268;
        iArr8[22] = -1918658746;
        iArr8[23] = 1808202195;
        iArr8[24] = 65494927;
        iArr8[25] = 362126482;
        iArr8[26] = -1075086739;
        iArr8[27] = -1780852398;
        iArr8[28] = -735214658;
        iArr8[29] = 1490231668;
        iArr8[30] = 1227450848;
        iArr8[31] = -1908094775;
        iArr8[32] = 1969916354;
        iArr8[33] = -193431154;
        iArr8[34] = -1721024936;
        iArr8[35] = 668823993;
        iArr8[36] = -1095348255;
        iArr8[37] = -266883704;
        iArr8[38] = -916018144;
        iArr8[39] = 2108963534;
        iArr8[40] = 1662536415;
        iArr8[41] = -444452582;
        iArr8[42] = -1755303087;
        iArr8[43] = 1648721747;
        iArr8[44] = -1310689436;
        iArr8[45] = -1148932501;
        iArr8[46] = -31678335;
        iArr8[47] = -107730168;
        iArr8[48] = 1884842056;
        iArr8[49] = -1894122171;
        iArr8[50] = -1803064098;
        iArr8[51] = 1387788411;
        iArr8[52] = -1423715469;
        iArr8[53] = 1927414347;
        iArr8[54] = -480800993;
        iArr8[55] = 1714072405;
        iArr8[56] = -1308153621;
        iArr8[57] = 788775605;
        iArr8[58] = -2036696123;
        iArr8[59] = -744159177;
        iArr8[60] = 821200680;
        iArr8[61] = 598910399;
        iArr8[62] = 45771267;
        iArr8[63] = -312704490;
        iArr8[64] = -1976886065;
        iArr8[65] = -1483557767;
        iArr8[66] = -202313209;
        iArr8[67] = 1319232105;
        iArr8[68] = 1707996378;
        iArr8[69] = 114671109;
        iArr8[70] = -786472396;
        iArr8[71] = -997523802;
        iArr8[72] = 882725678;
        iArr8[73] = -1566550541;
        iArr8[74] = 87220618;
        iArr8[75] = -1535775754;
        iArr8[76] = 188345475;
        iArr8[77] = 1084944224;
        iArr8[78] = 1577492337;
        iArr8[79] = -1118760850;
        iArr8[80] = 1056541217;
        iArr8[81] = -1774385443;
        iArr8[82] = -575797954;
        iArr8[83] = 1296481766;
        iArr8[84] = -1850372780;
        iArr8[85] = 1896177092;
        iArr8[86] = 74437638;
        iArr8[87] = 1627329872;
        iArr8[88] = 421854104;
        iArr8[89] = -694687299;
        iArr8[90] = -1983102144;
        iArr8[91] = 1735892697;
        iArr8[92] = -1329773848;
        iArr8[93] = 126389129;
        iArr8[94] = -415737063;
        iArr8[95] = 2044456648;
        iArr8[96] = -1589179780;
        iArr8[97] = 2095648578;
        iArr8[98] = -121037180;
        iArr8[100] = 159614592;
        iArr8[101] = 843640107;
        iArr8[102] = 514617361;
        iArr8[103] = 1817080410;
        iArr8[104] = -33816818;
        iArr8[105] = 257308805;
        iArr8[106] = 1025430958;
        iArr8[107] = 908540205;
        iArr8[108] = 174381327;
        iArr8[109] = 1747035740;
        iArr8[110] = -1680780197;
        iArr8[111] = 607792694;
        iArr8[112] = 212952842;
        iArr8[113] = -1827674281;
        iArr8[114] = -1261267218;
        iArr8[115] = 463376795;
        iArr8[116] = -2142255680;
        iArr8[117] = 1638015196;
        iArr8[118] = 1516850039;
        iArr8[119] = 471210514;
        iArr8[120] = -502613357;
        iArr8[121] = -1058723168;
        iArr8[122] = 1011081250;
        iArr8[123] = 303896347;
        iArr8[124] = 235605257;
        iArr8[125] = -223492213;
        iArr8[126] = 767142070;
        iArr8[127] = 348694814;
        iArr8[128] = 1468340721;
        iArr8[129] = -1353971851;
        iArr8[130] = -289677927;
        iArr8[131] = -1543675777;
        iArr8[132] = -140564991;
        iArr8[133] = 1555887474;
        iArr8[134] = 1153776486;
        iArr8[135] = 1530167035;
        iArr8[136] = -1955190461;
        iArr8[137] = -874723805;
        iArr8[138] = -1234633491;
        iArr8[139] = -1201409564;
        iArr8[140] = -674571215;
        iArr8[141] = 1108378979;
        iArr8[142] = 322970263;
        iArr8[143] = -2078273082;
        iArr8[144] = -2055396278;
        iArr8[145] = -755483205;
        iArr8[146] = -1374604551;
        iArr8[147] = -949116631;
        iArr8[148] = 491466654;
        iArr8[149] = -588042062;
        iArr8[150] = 233591430;
        iArr8[151] = 2010178497;
        iArr8[152] = 728503987;
        iArr8[153] = -1449543312;
        iArr8[154] = 301615252;
        iArr8[155] = 1193436393;
        iArr8[156] = -1463513860;
        iArr8[157] = -1608892432;
        iArr8[158] = 1457007741;
        iArr8[159] = 586125363;
        iArr8[160] = -2016981431;
        iArr8[161] = -641609416;
        iArr8[162] = -1929469238;
        iArr8[163] = -1741288492;
        iArr8[164] = -1496350219;
        iArr8[165] = -1524048262;
        iArr8[166] = -635007305;
        iArr8[167] = 1067761581;
        iArr8[168] = 753179962;
        iArr8[169] = 1343066744;
        iArr8[170] = 1788595295;
        iArr8[171] = 1415726718;
        iArr8[172] = -155053171;
        iArr8[173] = -1863796520;
        iArr8[174] = 777975609;
        iArr8[175] = -2097827901;
        iArr8[176] = -1614905251;
        iArr8[177] = 1769771984;
        iArr8[178] = 1873358293;
        iArr8[179] = -810347995;
        iArr8[180] = -935618132;
        iArr8[181] = 279411992;
        iArr8[182] = -395418724;
        iArr8[183] = -612648133;
        iArr8[184] = -855017434;
        iArr8[185] = 1861490777;
        iArr8[186] = -335431782;
        iArr8[187] = -2086102449;
        iArr8[188] = -429560171;
        iArr8[189] = -1434523905;
        iArr8[190] = 554225596;
        iArr8[191] = -270079979;
        iArr8[192] = -1160143897;
        iArr8[193] = 1255028335;
        iArr8[194] = -355202657;
        iArr8[195] = 701922480;
        iArr8[196] = 833598116;
        iArr8[197] = 707863359;
        iArr8[198] = -969894747;
        iArr8[199] = 901801634;
        iArr8[200] = 1949809742;
        iArr8[201] = -56178046;
        iArr8[202] = -525283184;
        iArr8[203] = 857069735;
        iArr8[204] = -246769660;
        iArr8[205] = 1106762476;
        iArr8[206] = 2131644621;
        iArr8[207] = 389019281;
        iArr8[208] = 1989006925;
        iArr8[209] = 1129165039;
        iArr8[210] = -866890326;
        iArr8[211] = -455146346;
        iArr8[212] = -1629243951;
        iArr8[213] = 1276872810;
        iArr8[214] = -1044898004;
        iArr8[215] = 1182749029;
        iArr8[216] = -1660622242;
        iArr8[217] = 22885772;
        iArr8[218] = -93096825;
        iArr8[219] = -80854773;
        iArr8[220] = -1285939865;
        iArr8[221] = -1840065829;
        iArr8[222] = -382511600;
        iArr8[223] = 1829980118;
        iArr8[224] = -1702075945;
        iArr8[225] = 930745505;
        iArr8[226] = 1502483704;
        iArr8[227] = -343327725;
        iArr8[228] = -823253079;
        iArr8[229] = -1221211807;
        iArr8[230] = -504503012;
        iArr8[231] = 2050797895;
        iArr8[232] = -1671831598;
        iArr8[233] = 1430221810;
        iArr8[234] = 410635796;
        iArr8[235] = 1941911495;
        iArr8[236] = 1407897079;
        iArr8[237] = 1599843069;
        iArr8[238] = -552308931;
        iArr8[239] = 2022103876;
        iArr8[240] = -897453137;
        iArr8[241] = -1187068824;
        iArr8[242] = 942421028;
        iArr8[243] = -1033944925;
        iArr8[244] = 376619805;
        iArr8[245] = -1140054558;
        iArr8[246] = 680216892;
        iArr8[247] = -12479219;
        iArr8[248] = 963707304;
        iArr8[249] = 148812556;
        iArr8[250] = -660806476;
        iArr8[251] = 1687208278;
        iArr8[252] = 2069988555;
        iArr8[253] = -714033614;
        iArr8[254] = 1215585388;
        iArr8[255] = -800958536;
        f23451r = iArr8;
    }

    private int e(int i7) {
        return ((f23453t & i7) << 1) ^ (((i7 & f23452s) >>> 7) * 27);
    }

    private void f(int[][] iArr) {
        int i7 = this.f23458c;
        int i8 = this.f23456a;
        int[] iArr2 = iArr[i8];
        char c7 = 0;
        this.f23458c = i7 ^ iArr2[0];
        int i9 = 1;
        this.f23459d ^= iArr2[1];
        this.f23460e ^= iArr2[2];
        char c8 = 3;
        this.f23461f ^= iArr2[3];
        int i10 = i8 - 1;
        while (true) {
            int[] iArr3 = f23448o;
            int i11 = this.f23458c;
            if (i10 <= i9) {
                int i12 = iArr3[i11 & 255];
                int[] iArr4 = f23449p;
                int i13 = this.f23461f;
                int i14 = i12 ^ iArr4[(i13 >> 8) & 255];
                int[] iArr5 = f23450q;
                int i15 = this.f23460e;
                int i16 = i14 ^ iArr5[(i15 >> 16) & 255];
                int[] iArr6 = f23451r;
                int i17 = this.f23459d;
                int[] iArr7 = iArr[i10];
                int i18 = (i16 ^ iArr6[(i17 >> 24) & 255]) ^ iArr7[c7];
                int i19 = (((iArr4[(i11 >> 8) & 255] ^ iArr3[i17 & 255]) ^ iArr5[(i13 >> 16) & 255]) ^ iArr6[(i15 >> 24) & 255]) ^ iArr7[i9];
                int i20 = (((iArr4[(i17 >> 8) & 255] ^ iArr3[i15 & 255]) ^ iArr5[(i11 >> 16) & 255]) ^ iArr6[(i13 >> 24) & 255]) ^ iArr7[2];
                int i21 = (((iArr3[i13 & 255] ^ iArr4[(i15 >> 8) & 255]) ^ iArr5[(i17 >> 16) & 255]) ^ iArr6[(i11 >> 24) & 255]) ^ iArr7[c8];
                byte[] bArr = f23442i;
                int[] iArr8 = iArr[0];
                this.f23458c = ((((bArr[i18 & 255] & 255) ^ ((bArr[(i21 >> 8) & 255] & 255) << 8)) ^ ((bArr[(i20 >> 16) & 255] & 255) << 16)) ^ (bArr[(i19 >> 24) & 255] << Ascii.CAN)) ^ iArr8[0];
                this.f23459d = ((((bArr[i19 & 255] & 255) ^ ((bArr[(i18 >> 8) & 255] & 255) << 8)) ^ ((bArr[(i21 >> 16) & 255] & 255) << 16)) ^ (bArr[(i20 >> 24) & 255] << Ascii.CAN)) ^ iArr8[1];
                this.f23460e = ((((bArr[i20 & 255] & 255) ^ ((bArr[(i19 >> 8) & 255] & 255) << 8)) ^ ((bArr[(i18 >> 16) & 255] & 255) << 16)) ^ (bArr[(i21 >> 24) & 255] << Ascii.CAN)) ^ iArr8[2];
                this.f23461f = ((((bArr[i21 & 255] & 255) ^ ((bArr[(i20 >> 8) & 255] & 255) << 8)) ^ ((bArr[(i19 >> 16) & 255] & 255) << 16)) ^ (bArr[(i18 >> 24) & 255] << Ascii.CAN)) ^ iArr8[c8];
                return;
            }
            int i22 = iArr3[i11 & 255];
            int[] iArr9 = f23449p;
            int i23 = this.f23461f;
            int i24 = i22 ^ iArr9[(i23 >> 8) & 255];
            int[] iArr10 = f23450q;
            int i25 = this.f23460e;
            int i26 = i24 ^ iArr10[(i25 >> 16) & 255];
            int[] iArr11 = f23451r;
            int i27 = this.f23459d;
            int i28 = i26 ^ iArr11[(i27 >> 24) & 255];
            int[] iArr12 = iArr[i10];
            int i29 = i28 ^ iArr12[0];
            int i30 = (((iArr3[i27 & 255] ^ iArr9[(i11 >> 8) & 255]) ^ iArr10[(i23 >> 16) & 255]) ^ iArr11[(i25 >> 24) & 255]) ^ iArr12[1];
            int i31 = (((iArr9[(i27 >> 8) & 255] ^ iArr3[i25 & 255]) ^ iArr10[(i11 >> 16) & 255]) ^ iArr11[(i23 >> 24) & 255]) ^ iArr12[2];
            int i32 = i10 - 1;
            int i33 = (iArr11[(i11 >> 24) & 255] ^ ((iArr3[i23 & 255] ^ iArr9[(i25 >> 8) & 255]) ^ iArr10[(i27 >> 16) & 255])) ^ iArr12[3];
            int i34 = ((iArr3[i29 & 255] ^ iArr9[(i33 >> 8) & 255]) ^ iArr10[(i31 >> 16) & 255]) ^ iArr11[(i30 >> 24) & 255];
            int[] iArr13 = iArr[i32];
            this.f23458c = i34 ^ iArr13[0];
            this.f23459d = (((iArr3[i30 & 255] ^ iArr9[(i29 >> 8) & 255]) ^ iArr10[(i33 >> 16) & 255]) ^ iArr11[(i31 >> 24) & 255]) ^ iArr13[1];
            this.f23460e = (((iArr3[i31 & 255] ^ iArr9[(i30 >> 8) & 255]) ^ iArr10[(i29 >> 16) & 255]) ^ iArr11[(i33 >> 24) & 255]) ^ iArr13[2];
            i10 = i32 - 1;
            this.f23461f = (((iArr3[i33 & 255] ^ iArr9[(i31 >> 8) & 255]) ^ iArr10[(i30 >> 16) & 255]) ^ iArr11[(i29 >> 24) & 255]) ^ iArr13[3];
            c8 = 3;
            c7 = 0;
            i9 = 1;
        }
    }

    private void g(int[][] iArr) {
        int i7 = this.f23458c;
        char c7 = 0;
        int[] iArr2 = iArr[0];
        this.f23458c = i7 ^ iArr2[0];
        int i8 = 1;
        this.f23459d ^= iArr2[1];
        this.f23460e ^= iArr2[2];
        this.f23461f ^= iArr2[3];
        int i9 = 1;
        while (i9 < this.f23456a - i8) {
            int[] iArr3 = f23444k;
            int i10 = this.f23458c;
            int i11 = iArr3[i10 & 255];
            int[] iArr4 = f23445l;
            int i12 = this.f23459d;
            int i13 = i11 ^ iArr4[(i12 >> 8) & 255];
            int[] iArr5 = f23446m;
            int i14 = this.f23460e;
            int i15 = i13 ^ iArr5[(i14 >> 16) & 255];
            int[] iArr6 = f23447n;
            int i16 = this.f23461f;
            int i17 = i15 ^ iArr6[(i16 >> 24) & 255];
            int[] iArr7 = iArr[i9];
            int i18 = i17 ^ iArr7[0];
            int i19 = (((iArr3[i12 & 255] ^ iArr4[(i14 >> 8) & 255]) ^ iArr5[(i16 >> 16) & 255]) ^ iArr6[(i10 >> 24) & 255]) ^ iArr7[1];
            int i20 = (((iArr3[i14 & 255] ^ iArr4[(i16 >> 8) & 255]) ^ iArr5[(i10 >> 16) & 255]) ^ iArr6[(i12 >> 24) & 255]) ^ iArr7[2];
            int i21 = i9 + 1;
            int i22 = (((iArr4[(i10 >> 8) & 255] ^ iArr3[i16 & 255]) ^ iArr5[(i12 >> 16) & 255]) ^ iArr6[(i14 >> 24) & 255]) ^ iArr7[3];
            int i23 = ((iArr3[i18 & 255] ^ iArr4[(i19 >> 8) & 255]) ^ iArr5[(i20 >> 16) & 255]) ^ iArr6[(i22 >> 24) & 255];
            int[] iArr8 = iArr[i21];
            this.f23458c = i23 ^ iArr8[0];
            this.f23459d = (((iArr3[i19 & 255] ^ iArr4[(i20 >> 8) & 255]) ^ iArr5[(i22 >> 16) & 255]) ^ iArr6[(i18 >> 24) & 255]) ^ iArr8[1];
            this.f23460e = (((iArr3[i20 & 255] ^ iArr4[(i22 >> 8) & 255]) ^ iArr5[(i18 >> 16) & 255]) ^ iArr6[(i19 >> 24) & 255]) ^ iArr8[2];
            i9 = i21 + 1;
            this.f23461f = (((iArr3[i22 & 255] ^ iArr4[(i18 >> 8) & 255]) ^ iArr5[(i19 >> 16) & 255]) ^ iArr6[(i20 >> 24) & 255]) ^ iArr8[3];
            c7 = 0;
            i8 = 1;
        }
        int[] iArr9 = f23444k;
        int i24 = this.f23458c;
        int i25 = iArr9[i24 & 255];
        int[] iArr10 = f23445l;
        int i26 = this.f23459d;
        int i27 = i25 ^ iArr10[(i26 >> 8) & 255];
        int[] iArr11 = f23446m;
        int i28 = this.f23460e;
        int i29 = i27 ^ iArr11[(i28 >> 16) & 255];
        int[] iArr12 = f23447n;
        int i30 = this.f23461f;
        int i31 = i29 ^ iArr12[(i30 >> 24) & 255];
        int[] iArr13 = iArr[i9];
        int i32 = i31 ^ iArr13[c7];
        int i33 = (((iArr9[i26 & 255] ^ iArr10[(i28 >> 8) & 255]) ^ iArr11[(i30 >> 16) & 255]) ^ iArr12[(i24 >> 24) & 255]) ^ iArr13[i8];
        int i34 = (((iArr10[(i30 >> 8) & 255] ^ iArr9[i28 & 255]) ^ iArr11[(i24 >> 16) & 255]) ^ iArr12[(i26 >> 24) & 255]) ^ iArr13[2];
        int i35 = (((iArr9[i30 & 255] ^ iArr10[(i24 >> 8) & 255]) ^ iArr11[(i26 >> 16) & 255]) ^ iArr12[(i28 >> 24) & 255]) ^ iArr13[3];
        byte[] bArr = f23441h;
        int[] iArr14 = iArr[i9 + 1];
        this.f23458c = ((((bArr[i32 & 255] & 255) ^ ((bArr[(i33 >> 8) & 255] & 255) << 8)) ^ ((bArr[(i34 >> 16) & 255] & 255) << 16)) ^ (bArr[(i35 >> 24) & 255] << Ascii.CAN)) ^ iArr14[0];
        this.f23459d = ((((bArr[i33 & 255] & 255) ^ ((bArr[(i34 >> 8) & 255] & 255) << 8)) ^ ((bArr[(i35 >> 16) & 255] & 255) << 16)) ^ (bArr[(i32 >> 24) & 255] << Ascii.CAN)) ^ iArr14[1];
        this.f23460e = iArr14[2] ^ ((((bArr[i34 & 255] & 255) ^ ((bArr[(i35 >> 8) & 255] & 255) << 8)) ^ ((bArr[(i32 >> 16) & 255] & 255) << 16)) ^ (bArr[(i33 >> 24) & 255] << Ascii.CAN));
        this.f23461f = iArr14[3] ^ ((((bArr[(i33 >> 16) & 255] & 255) << 16) ^ ((bArr[i35 & 255] & 255) ^ ((bArr[(i32 >> 8) & 255] & 255) << 8))) ^ (bArr[(i34 >> 24) & 255] << Ascii.CAN));
    }

    private int[][] h(byte[] bArr, boolean z7) {
        int length = bArr.length / 4;
        if ((length == 4 || length == 6 || length == 8) && length * 4 == bArr.length) {
            int i7 = length + 6;
            this.f23456a = i7;
            int[] iArr = new int[2];
            iArr[1] = 4;
            iArr[0] = i7 + 1;
            int[][] iArr2 = (int[][]) Array.newInstance(Integer.TYPE, iArr);
            int i8 = 0;
            int i9 = 0;
            while (i8 < bArr.length) {
                iArr2[i9 >> 2][i9 & 3] = (bArr[i8] & 255) | ((bArr[i8 + 1] & 255) << 8) | ((bArr[i8 + 2] & 255) << 16) | (bArr[i8 + 3] << Ascii.CAN);
                i8 += 4;
                i9++;
            }
            int i10 = (this.f23456a + 1) << 2;
            for (int i11 = length; i11 < i10; i11++) {
                int i12 = i11 - 1;
                int i13 = iArr2[i12 >> 2][i12 & 3];
                int i14 = i11 % length;
                if (i14 == 0) {
                    i13 = l(k(i13, 8)) ^ f23443j[(i11 / length) - 1];
                } else if (length > 6 && i14 == 4) {
                    i13 = l(i13);
                }
                int i15 = i11 - length;
                iArr2[i11 >> 2][i11 & 3] = i13 ^ iArr2[i15 >> 2][i15 & 3];
            }
            if (!z7) {
                for (int i16 = 1; i16 < this.f23456a; i16++) {
                    for (int i17 = 0; i17 < 4; i17++) {
                        int[] iArr3 = iArr2[i16];
                        iArr3[i17] = i(iArr3[i17]);
                    }
                }
            }
            return iArr2;
        }
        throw new IllegalArgumentException("Key length not 128/192/256 bits.");
    }

    private int i(int i7) {
        int e7 = e(i7);
        int e8 = e(e7);
        int e9 = e(e8);
        int i8 = i7 ^ e9;
        int k7 = k(e7 ^ i8, 8);
        return k(i8, 24) ^ ((k7 ^ (e9 ^ (e7 ^ e8))) ^ k(e8 ^ i8, 16));
    }

    private void j(byte[] bArr, int i7) {
        int i8 = i7 + 1;
        int i9 = this.f23458c;
        bArr[i7] = (byte) i9;
        int i10 = i8 + 1;
        bArr[i8] = (byte) (i9 >> 8);
        int i11 = i10 + 1;
        bArr[i10] = (byte) (i9 >> 16);
        int i12 = i11 + 1;
        bArr[i11] = (byte) (i9 >> 24);
        int i13 = i12 + 1;
        int i14 = this.f23459d;
        bArr[i12] = (byte) i14;
        int i15 = i13 + 1;
        bArr[i13] = (byte) (i14 >> 8);
        int i16 = i15 + 1;
        bArr[i15] = (byte) (i14 >> 16);
        int i17 = i16 + 1;
        bArr[i16] = (byte) (i14 >> 24);
        int i18 = i17 + 1;
        int i19 = this.f23460e;
        bArr[i17] = (byte) i19;
        int i20 = i18 + 1;
        bArr[i18] = (byte) (i19 >> 8);
        int i21 = i20 + 1;
        bArr[i20] = (byte) (i19 >> 16);
        int i22 = i21 + 1;
        bArr[i21] = (byte) (i19 >> 24);
        int i23 = i22 + 1;
        int i24 = this.f23461f;
        bArr[i22] = (byte) i24;
        int i25 = i23 + 1;
        bArr[i23] = (byte) (i24 >> 8);
        bArr[i25] = (byte) (i24 >> 16);
        bArr[i25 + 1] = (byte) (i24 >> 24);
    }

    private int k(int i7, int i8) {
        return (i7 >>> i8) | (i7 << (-i8));
    }

    private int l(int i7) {
        byte[] bArr = f23441h;
        return (bArr[(i7 >> 24) & 255] << Ascii.CAN) | (bArr[i7 & 255] & 255) | ((bArr[(i7 >> 8) & 255] & 255) << 8) | ((bArr[(i7 >> 16) & 255] & 255) << 16);
    }

    private void m(byte[] bArr, int i7) {
        int i8 = i7 + 1;
        int i9 = i8 + 1;
        int i10 = (bArr[i7] & 255) | ((bArr[i8] & 255) << 8);
        int i11 = i9 + 1;
        int i12 = i10 | ((bArr[i9] & 255) << 16);
        int i13 = i11 + 1;
        this.f23458c = i12 | (bArr[i11] << Ascii.CAN);
        int i14 = i13 + 1;
        int i15 = i14 + 1;
        int i16 = i15 + 1;
        int i17 = ((bArr[i14] & 255) << 8) | (bArr[i13] & 255) | ((bArr[i15] & 255) << 16);
        int i18 = i16 + 1;
        this.f23459d = i17 | (bArr[i16] << Ascii.CAN);
        int i19 = i18 + 1;
        int i20 = i19 + 1;
        int i21 = i20 + 1;
        int i22 = ((bArr[i19] & 255) << 8) | (bArr[i18] & 255) | ((bArr[i20] & 255) << 16);
        int i23 = i21 + 1;
        this.f23460e = i22 | (bArr[i21] << Ascii.CAN);
        int i24 = i23 + 1;
        int i25 = i24 + 1;
        int i26 = ((bArr[i24] & 255) << 8) | (bArr[i23] & 255);
        this.f23461f = (bArr[i25 + 1] << Ascii.CAN) | i26 | ((bArr[i25] & 255) << 16);
    }

    @Override // org.bouncycastle2.crypto.e
    public void a(boolean z7, i iVar) {
        if (iVar instanceof k0) {
            this.f23457b = h(((k0) iVar).a(), z7);
            this.f23462g = z7;
            return;
        }
        throw new IllegalArgumentException("invalid parameter passed to AES init - " + iVar.getClass().getName());
    }

    @Override // org.bouncycastle2.crypto.e
    public String b() {
        return "AES";
    }

    @Override // org.bouncycastle2.crypto.e
    public int c(byte[] bArr, int i7, byte[] bArr2, int i8) {
        if (this.f23457b == null) {
            throw new IllegalStateException("AES engine not initialised");
        } else if (i7 + 16 > bArr.length) {
            throw new l("input buffer too short");
        } else if (i8 + 16 <= bArr2.length) {
            boolean z7 = this.f23462g;
            m(bArr, i7);
            int[][] iArr = this.f23457b;
            if (z7) {
                g(iArr);
            } else {
                f(iArr);
            }
            j(bArr2, i8);
            return 16;
        } else {
            throw new l("output buffer too short");
        }
    }

    @Override // org.bouncycastle2.crypto.e
    public int d() {
        return 16;
    }

    @Override // org.bouncycastle2.crypto.e
    public void reset() {
    }
}
