package org.bouncycastle2.crypto.engines;

import androidx.core.app.FrameMetricsAggregator;
import com.google.common.base.Ascii;
import com.google.common.primitives.q;
import java.lang.reflect.Array;
import org.bouncycastle2.bcpg.y;
import org.bouncycastle2.crypto.e;
import org.bouncycastle2.crypto.i;
import org.bouncycastle2.crypto.l;
import org.bouncycastle2.crypto.params.k0;
import org.bouncycastle2.crypto.signers.f;
import org.bouncycastle2.crypto.signers.g;

public class e0 implements e {

    /* renamed from: m  reason: collision with root package name */
    private static final int f23506m = 14;

    /* renamed from: n  reason: collision with root package name */
    private static final int f23507n = 64;

    /* renamed from: o  reason: collision with root package name */
    private static final byte[] f23508o;

    /* renamed from: p  reason: collision with root package name */
    private static final byte[] f23509p;

    /* renamed from: q  reason: collision with root package name */
    private static final byte[] f23510q;

    /* renamed from: r  reason: collision with root package name */
    private static final byte[] f23511r;

    /* renamed from: s  reason: collision with root package name */
    private static final int[] f23512s = {1, 2, 4, 8, 16, 32, 64, 128, 27, 54, 108, 216, 171, 77, 154, 47, 94, f.f24108j, 99, 198, 151, 53, y.f23178d5, 212, 179, 125, 250, 239, 197, 145};

    /* renamed from: t  reason: collision with root package name */
    static byte[][] f23513t;

    /* renamed from: u  reason: collision with root package name */
    static byte[][] f23514u;

    /* renamed from: a  reason: collision with root package name */
    private int f23515a;

    /* renamed from: b  reason: collision with root package name */
    private long f23516b;

    /* renamed from: c  reason: collision with root package name */
    private int f23517c;

    /* renamed from: d  reason: collision with root package name */
    private int f23518d;

    /* renamed from: e  reason: collision with root package name */
    private long[][] f23519e;

    /* renamed from: f  reason: collision with root package name */
    private long f23520f;

    /* renamed from: g  reason: collision with root package name */
    private long f23521g;

    /* renamed from: h  reason: collision with root package name */
    private long f23522h;

    /* renamed from: i  reason: collision with root package name */
    private long f23523i;

    /* renamed from: j  reason: collision with root package name */
    private boolean f23524j;

    /* renamed from: k  reason: collision with root package name */
    private byte[] f23525k;

    /* renamed from: l  reason: collision with root package name */
    private byte[] f23526l;

    static {
        byte[] bArr = new byte[256];
        bArr[2] = Ascii.EM;
        bArr[3] = 1;
        bArr[4] = 50;
        bArr[5] = 2;
        bArr[6] = Ascii.SUB;
        bArr[7] = -58;
        bArr[8] = 75;
        bArr[9] = -57;
        bArr[10] = Ascii.ESC;
        bArr[11] = 104;
        bArr[12] = 51;
        bArr[13] = -18;
        bArr[14] = -33;
        bArr[15] = 3;
        bArr[16] = 100;
        bArr[17] = 4;
        bArr[18] = -32;
        bArr[19] = Ascii.SO;
        bArr[20] = 52;
        bArr[21] = -115;
        bArr[22] = -127;
        bArr[23] = -17;
        bArr[24] = 76;
        bArr[25] = 113;
        bArr[26] = 8;
        bArr[27] = -56;
        bArr[28] = -8;
        bArr[29] = 105;
        bArr[30] = Ascii.FS;
        bArr[31] = -63;
        bArr[32] = 125;
        bArr[33] = -62;
        bArr[34] = Ascii.GS;
        bArr[35] = -75;
        bArr[36] = -7;
        bArr[37] = -71;
        bArr[38] = 39;
        bArr[39] = 106;
        bArr[40] = 77;
        bArr[41] = -28;
        bArr[42] = -90;
        bArr[43] = 114;
        bArr[44] = -102;
        bArr[45] = -55;
        bArr[46] = 9;
        bArr[47] = 120;
        bArr[48] = 101;
        bArr[49] = 47;
        bArr[50] = -118;
        bArr[51] = 5;
        bArr[52] = 33;
        bArr[53] = Ascii.SI;
        bArr[54] = -31;
        bArr[55] = 36;
        bArr[56] = Ascii.DC2;
        bArr[57] = -16;
        bArr[58] = -126;
        bArr[59] = 69;
        bArr[60] = 53;
        bArr[61] = -109;
        bArr[62] = -38;
        bArr[63] = -114;
        bArr[64] = -106;
        bArr[65] = -113;
        bArr[66] = -37;
        bArr[67] = -67;
        bArr[68] = 54;
        bArr[69] = -48;
        bArr[70] = -50;
        bArr[71] = -108;
        bArr[72] = 19;
        bArr[73] = 92;
        bArr[74] = -46;
        bArr[75] = -15;
        bArr[76] = q.f11858a;
        bArr[77] = 70;
        bArr[78] = -125;
        bArr[79] = 56;
        bArr[80] = 102;
        bArr[81] = -35;
        bArr[82] = -3;
        bArr[83] = 48;
        bArr[84] = -65;
        bArr[85] = 6;
        bArr[86] = -117;
        bArr[87] = 98;
        bArr[88] = -77;
        bArr[89] = 37;
        bArr[90] = -30;
        bArr[91] = -104;
        bArr[92] = 34;
        bArr[93] = -120;
        bArr[94] = -111;
        bArr[95] = 16;
        bArr[96] = 126;
        bArr[97] = 110;
        bArr[98] = 72;
        bArr[99] = -61;
        bArr[100] = -93;
        bArr[101] = -74;
        bArr[102] = Ascii.RS;
        bArr[103] = 66;
        bArr[104] = 58;
        bArr[105] = 107;
        bArr[106] = 40;
        bArr[107] = 84;
        bArr[108] = -6;
        bArr[109] = -123;
        bArr[110] = 61;
        bArr[111] = -70;
        bArr[112] = 43;
        bArr[113] = 121;
        bArr[114] = 10;
        bArr[115] = Ascii.NAK;
        bArr[116] = -101;
        bArr[117] = -97;
        bArr[118] = 94;
        bArr[119] = -54;
        bArr[120] = 78;
        bArr[121] = -44;
        bArr[122] = -84;
        bArr[123] = -27;
        bArr[124] = -13;
        bArr[125] = 115;
        bArr[126] = -89;
        bArr[127] = 87;
        bArr[128] = -81;
        bArr[129] = 88;
        bArr[130] = -88;
        bArr[131] = 80;
        bArr[132] = -12;
        bArr[133] = -22;
        bArr[134] = -42;
        bArr[135] = 116;
        bArr[136] = 79;
        bArr[137] = -82;
        bArr[138] = -23;
        bArr[139] = -43;
        bArr[140] = -25;
        bArr[141] = -26;
        bArr[142] = -83;
        bArr[143] = -24;
        bArr[144] = 44;
        bArr[145] = -41;
        bArr[146] = 117;
        bArr[147] = 122;
        bArr[148] = -21;
        bArr[149] = Ascii.SYN;
        bArr[150] = Ascii.VT;
        bArr[151] = -11;
        bArr[152] = 89;
        bArr[153] = -53;
        bArr[154] = 95;
        bArr[155] = -80;
        bArr[156] = -100;
        bArr[157] = -87;
        bArr[158] = 81;
        bArr[159] = -96;
        bArr[160] = Byte.MAX_VALUE;
        bArr[161] = Ascii.FF;
        bArr[162] = -10;
        bArr[163] = 111;
        bArr[164] = Ascii.ETB;
        bArr[165] = -60;
        bArr[166] = 73;
        bArr[167] = -20;
        bArr[168] = -40;
        bArr[169] = 67;
        bArr[170] = Ascii.US;
        bArr[171] = 45;
        bArr[172] = -92;
        bArr[173] = 118;
        bArr[174] = 123;
        bArr[175] = -73;
        bArr[176] = -52;
        bArr[177] = -69;
        bArr[178] = 62;
        bArr[179] = 90;
        bArr[180] = -5;
        bArr[181] = 96;
        bArr[182] = -79;
        bArr[183] = -122;
        bArr[184] = 59;
        bArr[185] = 82;
        bArr[186] = -95;
        bArr[187] = 108;
        bArr[188] = -86;
        bArr[189] = 85;
        bArr[190] = 41;
        bArr[191] = -99;
        bArr[192] = -105;
        bArr[193] = -78;
        bArr[194] = -121;
        bArr[195] = -112;
        bArr[196] = 97;
        bArr[197] = -66;
        bArr[198] = -36;
        bArr[199] = -4;
        bArr[200] = g.f24121l;
        bArr[201] = -107;
        bArr[202] = -49;
        bArr[203] = -51;
        bArr[204] = 55;
        bArr[205] = 63;
        bArr[206] = 91;
        bArr[207] = -47;
        bArr[208] = 83;
        bArr[209] = 57;
        bArr[210] = -124;
        bArr[211] = 60;
        bArr[212] = 65;
        bArr[213] = -94;
        bArr[214] = 109;
        bArr[215] = 71;
        bArr[216] = Ascii.DC4;
        bArr[217] = 42;
        bArr[218] = -98;
        bArr[219] = 93;
        bArr[220] = 86;
        bArr[221] = -14;
        bArr[222] = -45;
        bArr[223] = -85;
        bArr[224] = 68;
        bArr[225] = 17;
        bArr[226] = -110;
        bArr[227] = -39;
        bArr[228] = 35;
        bArr[229] = 32;
        bArr[230] = 46;
        bArr[231] = -119;
        bArr[232] = -76;
        bArr[233] = 124;
        bArr[234] = -72;
        bArr[235] = 38;
        bArr[236] = 119;
        bArr[237] = -103;
        bArr[238] = -29;
        bArr[239] = -91;
        bArr[240] = 103;
        bArr[241] = 74;
        bArr[242] = -19;
        bArr[243] = -34;
        bArr[244] = -59;
        bArr[245] = 49;
        bArr[246] = -2;
        bArr[247] = Ascii.CAN;
        bArr[248] = Ascii.CR;
        bArr[249] = 99;
        bArr[250] = -116;
        bArr[251] = Byte.MIN_VALUE;
        bArr[252] = -64;
        bArr[253] = -9;
        bArr[254] = 112;
        bArr[255] = 7;
        f23508o = bArr;
        byte[] bArr2 = new byte[FrameMetricsAggregator.EVERY_DURATION];
        bArr2[1] = 3;
        bArr2[2] = 5;
        bArr2[3] = Ascii.SI;
        bArr2[4] = 17;
        bArr2[5] = 51;
        bArr2[6] = 85;
        bArr2[7] = -1;
        bArr2[8] = Ascii.SUB;
        bArr2[9] = 46;
        bArr2[10] = 114;
        bArr2[11] = -106;
        bArr2[12] = -95;
        bArr2[13] = -8;
        bArr2[14] = 19;
        bArr2[15] = 53;
        bArr2[16] = 95;
        bArr2[17] = -31;
        bArr2[18] = 56;
        bArr2[19] = 72;
        bArr2[20] = -40;
        bArr2[21] = 115;
        bArr2[22] = -107;
        bArr2[23] = -92;
        bArr2[24] = -9;
        bArr2[25] = 2;
        bArr2[26] = 6;
        bArr2[27] = 10;
        bArr2[28] = Ascii.RS;
        bArr2[29] = 34;
        bArr2[30] = 102;
        bArr2[31] = -86;
        bArr2[32] = -27;
        bArr2[33] = 52;
        bArr2[34] = 92;
        bArr2[35] = -28;
        bArr2[36] = 55;
        bArr2[37] = 89;
        bArr2[38] = -21;
        bArr2[39] = 38;
        bArr2[40] = 106;
        bArr2[41] = -66;
        bArr2[42] = -39;
        bArr2[43] = 112;
        bArr2[44] = -112;
        bArr2[45] = -85;
        bArr2[46] = -26;
        bArr2[47] = 49;
        bArr2[48] = 83;
        bArr2[49] = -11;
        bArr2[50] = 4;
        bArr2[51] = Ascii.FF;
        bArr2[52] = Ascii.DC4;
        bArr2[53] = 60;
        bArr2[54] = 68;
        bArr2[55] = -52;
        bArr2[56] = 79;
        bArr2[57] = -47;
        bArr2[58] = 104;
        bArr2[59] = -72;
        bArr2[60] = -45;
        bArr2[61] = 110;
        bArr2[62] = -78;
        bArr2[63] = -51;
        bArr2[64] = 76;
        bArr2[65] = -44;
        bArr2[66] = 103;
        bArr2[67] = -87;
        bArr2[68] = -32;
        bArr2[69] = 59;
        bArr2[70] = 77;
        bArr2[71] = -41;
        bArr2[72] = 98;
        bArr2[73] = -90;
        bArr2[74] = -15;
        bArr2[75] = 8;
        bArr2[76] = Ascii.CAN;
        bArr2[77] = 40;
        bArr2[78] = 120;
        bArr2[79] = -120;
        bArr2[80] = -125;
        bArr2[81] = -98;
        bArr2[82] = -71;
        bArr2[83] = -48;
        bArr2[84] = 107;
        bArr2[85] = -67;
        bArr2[86] = -36;
        bArr2[87] = Byte.MAX_VALUE;
        bArr2[88] = -127;
        bArr2[89] = -104;
        bArr2[90] = -77;
        bArr2[91] = -50;
        bArr2[92] = 73;
        bArr2[93] = -37;
        bArr2[94] = 118;
        bArr2[95] = -102;
        bArr2[96] = -75;
        bArr2[97] = -60;
        bArr2[98] = 87;
        bArr2[99] = -7;
        bArr2[100] = 16;
        bArr2[101] = 48;
        bArr2[102] = 80;
        bArr2[103] = -16;
        bArr2[104] = Ascii.VT;
        bArr2[105] = Ascii.GS;
        bArr2[106] = 39;
        bArr2[107] = 105;
        bArr2[108] = -69;
        bArr2[109] = -42;
        bArr2[110] = 97;
        bArr2[111] = -93;
        bArr2[112] = -2;
        bArr2[113] = Ascii.EM;
        bArr2[114] = 43;
        bArr2[115] = 125;
        bArr2[116] = -121;
        bArr2[117] = -110;
        bArr2[118] = -83;
        bArr2[119] = -20;
        bArr2[120] = 47;
        bArr2[121] = 113;
        bArr2[122] = -109;
        bArr2[123] = -82;
        bArr2[124] = -23;
        bArr2[125] = 32;
        bArr2[126] = 96;
        bArr2[127] = -96;
        bArr2[128] = -5;
        bArr2[129] = Ascii.SYN;
        bArr2[130] = 58;
        bArr2[131] = 78;
        bArr2[132] = -46;
        bArr2[133] = 109;
        bArr2[134] = -73;
        bArr2[135] = -62;
        bArr2[136] = 93;
        bArr2[137] = -25;
        bArr2[138] = 50;
        bArr2[139] = 86;
        bArr2[140] = -6;
        bArr2[141] = Ascii.NAK;
        bArr2[142] = 63;
        bArr2[143] = 65;
        bArr2[144] = -61;
        bArr2[145] = 94;
        bArr2[146] = -30;
        bArr2[147] = 61;
        bArr2[148] = 71;
        bArr2[149] = -55;
        bArr2[150] = q.f11858a;
        bArr2[151] = -64;
        bArr2[152] = 91;
        bArr2[153] = -19;
        bArr2[154] = 44;
        bArr2[155] = 116;
        bArr2[156] = -100;
        bArr2[157] = -65;
        bArr2[158] = -38;
        bArr2[159] = 117;
        bArr2[160] = -97;
        bArr2[161] = -70;
        bArr2[162] = -43;
        bArr2[163] = 100;
        bArr2[164] = -84;
        bArr2[165] = -17;
        bArr2[166] = 42;
        bArr2[167] = 126;
        bArr2[168] = -126;
        bArr2[169] = -99;
        bArr2[170] = g.f24121l;
        bArr2[171] = -33;
        bArr2[172] = 122;
        bArr2[173] = -114;
        bArr2[174] = -119;
        bArr2[175] = Byte.MIN_VALUE;
        bArr2[176] = -101;
        bArr2[177] = -74;
        bArr2[178] = -63;
        bArr2[179] = 88;
        bArr2[180] = -24;
        bArr2[181] = 35;
        bArr2[182] = 101;
        bArr2[183] = -81;
        bArr2[184] = -22;
        bArr2[185] = 37;
        bArr2[186] = 111;
        bArr2[187] = -79;
        bArr2[188] = -56;
        bArr2[189] = 67;
        bArr2[190] = -59;
        bArr2[191] = 84;
        bArr2[192] = -4;
        bArr2[193] = Ascii.US;
        bArr2[194] = 33;
        bArr2[195] = 99;
        bArr2[196] = -91;
        bArr2[197] = -12;
        bArr2[198] = 7;
        bArr2[199] = 9;
        bArr2[200] = Ascii.ESC;
        bArr2[201] = 45;
        bArr2[202] = 119;
        bArr2[203] = -103;
        bArr2[204] = -80;
        bArr2[205] = -53;
        bArr2[206] = 70;
        bArr2[207] = -54;
        bArr2[208] = 69;
        bArr2[209] = -49;
        bArr2[210] = 74;
        bArr2[211] = -34;
        bArr2[212] = 121;
        bArr2[213] = -117;
        bArr2[214] = -122;
        bArr2[215] = -111;
        bArr2[216] = -88;
        bArr2[217] = -29;
        bArr2[218] = 62;
        bArr2[219] = 66;
        bArr2[220] = -58;
        bArr2[221] = 81;
        bArr2[222] = -13;
        bArr2[223] = Ascii.SO;
        bArr2[224] = Ascii.DC2;
        bArr2[225] = 54;
        bArr2[226] = 90;
        bArr2[227] = -18;
        bArr2[228] = 41;
        bArr2[229] = 123;
        bArr2[230] = -115;
        bArr2[231] = -116;
        bArr2[232] = -113;
        bArr2[233] = -118;
        bArr2[234] = -123;
        bArr2[235] = -108;
        bArr2[236] = -89;
        bArr2[237] = -14;
        bArr2[238] = Ascii.CR;
        bArr2[239] = Ascii.ETB;
        bArr2[240] = 57;
        bArr2[241] = 75;
        bArr2[242] = -35;
        bArr2[243] = 124;
        bArr2[244] = -124;
        bArr2[245] = -105;
        bArr2[246] = -94;
        bArr2[247] = -3;
        bArr2[248] = Ascii.FS;
        bArr2[249] = 36;
        bArr2[250] = 108;
        bArr2[251] = -76;
        bArr2[252] = -57;
        bArr2[253] = 82;
        bArr2[254] = -10;
        bArr2[255] = 1;
        bArr2[256] = 3;
        bArr2[257] = 5;
        bArr2[258] = Ascii.SI;
        bArr2[259] = 17;
        bArr2[260] = 51;
        bArr2[261] = 85;
        bArr2[262] = -1;
        bArr2[263] = Ascii.SUB;
        bArr2[264] = 46;
        bArr2[265] = 114;
        bArr2[266] = -106;
        bArr2[267] = -95;
        bArr2[268] = -8;
        bArr2[269] = 19;
        bArr2[270] = 53;
        bArr2[271] = 95;
        bArr2[272] = -31;
        bArr2[273] = 56;
        bArr2[274] = 72;
        bArr2[275] = -40;
        bArr2[276] = 115;
        bArr2[277] = -107;
        bArr2[278] = -92;
        bArr2[279] = -9;
        bArr2[280] = 2;
        bArr2[281] = 6;
        bArr2[282] = 10;
        bArr2[283] = Ascii.RS;
        bArr2[284] = 34;
        bArr2[285] = 102;
        bArr2[286] = -86;
        bArr2[287] = -27;
        bArr2[288] = 52;
        bArr2[289] = 92;
        bArr2[290] = -28;
        bArr2[291] = 55;
        bArr2[292] = 89;
        bArr2[293] = -21;
        bArr2[294] = 38;
        bArr2[295] = 106;
        bArr2[296] = -66;
        bArr2[297] = -39;
        bArr2[298] = 112;
        bArr2[299] = -112;
        bArr2[300] = -85;
        bArr2[301] = -26;
        bArr2[302] = 49;
        bArr2[303] = 83;
        bArr2[304] = -11;
        bArr2[305] = 4;
        bArr2[306] = Ascii.FF;
        bArr2[307] = Ascii.DC4;
        bArr2[308] = 60;
        bArr2[309] = 68;
        bArr2[310] = -52;
        bArr2[311] = 79;
        bArr2[312] = -47;
        bArr2[313] = 104;
        bArr2[314] = -72;
        bArr2[315] = -45;
        bArr2[316] = 110;
        bArr2[317] = -78;
        bArr2[318] = -51;
        bArr2[319] = 76;
        bArr2[320] = -44;
        bArr2[321] = 103;
        bArr2[322] = -87;
        bArr2[323] = -32;
        bArr2[324] = 59;
        bArr2[325] = 77;
        bArr2[326] = -41;
        bArr2[327] = 98;
        bArr2[328] = -90;
        bArr2[329] = -15;
        bArr2[330] = 8;
        bArr2[331] = Ascii.CAN;
        bArr2[332] = 40;
        bArr2[333] = 120;
        bArr2[334] = -120;
        bArr2[335] = -125;
        bArr2[336] = -98;
        bArr2[337] = -71;
        bArr2[338] = -48;
        bArr2[339] = 107;
        bArr2[340] = -67;
        bArr2[341] = -36;
        bArr2[342] = Byte.MAX_VALUE;
        bArr2[343] = -127;
        bArr2[344] = -104;
        bArr2[345] = -77;
        bArr2[346] = -50;
        bArr2[347] = 73;
        bArr2[348] = -37;
        bArr2[349] = 118;
        bArr2[350] = -102;
        bArr2[351] = -75;
        bArr2[352] = -60;
        bArr2[353] = 87;
        bArr2[354] = -7;
        bArr2[355] = 16;
        bArr2[356] = 48;
        bArr2[357] = 80;
        bArr2[358] = -16;
        bArr2[359] = Ascii.VT;
        bArr2[360] = Ascii.GS;
        bArr2[361] = 39;
        bArr2[362] = 105;
        bArr2[363] = -69;
        bArr2[364] = -42;
        bArr2[365] = 97;
        bArr2[366] = -93;
        bArr2[367] = -2;
        bArr2[368] = Ascii.EM;
        bArr2[369] = 43;
        bArr2[370] = 125;
        bArr2[371] = -121;
        bArr2[372] = -110;
        bArr2[373] = -83;
        bArr2[374] = -20;
        bArr2[375] = 47;
        bArr2[376] = 113;
        bArr2[377] = -109;
        bArr2[378] = -82;
        bArr2[379] = -23;
        bArr2[380] = 32;
        bArr2[381] = 96;
        bArr2[382] = -96;
        bArr2[383] = -5;
        bArr2[384] = Ascii.SYN;
        bArr2[385] = 58;
        bArr2[386] = 78;
        bArr2[387] = -46;
        bArr2[388] = 109;
        bArr2[389] = -73;
        bArr2[390] = -62;
        bArr2[391] = 93;
        bArr2[392] = -25;
        bArr2[393] = 50;
        bArr2[394] = 86;
        bArr2[395] = -6;
        bArr2[396] = Ascii.NAK;
        bArr2[397] = 63;
        bArr2[398] = 65;
        bArr2[399] = -61;
        bArr2[400] = 94;
        bArr2[401] = -30;
        bArr2[402] = 61;
        bArr2[403] = 71;
        bArr2[404] = -55;
        bArr2[405] = q.f11858a;
        bArr2[406] = -64;
        bArr2[407] = 91;
        bArr2[408] = -19;
        bArr2[409] = 44;
        bArr2[410] = 116;
        bArr2[411] = -100;
        bArr2[412] = -65;
        bArr2[413] = -38;
        bArr2[414] = 117;
        bArr2[415] = -97;
        bArr2[416] = -70;
        bArr2[417] = -43;
        bArr2[418] = 100;
        bArr2[419] = -84;
        bArr2[420] = -17;
        bArr2[421] = 42;
        bArr2[422] = 126;
        bArr2[423] = -126;
        bArr2[424] = -99;
        bArr2[425] = g.f24121l;
        bArr2[426] = -33;
        bArr2[427] = 122;
        bArr2[428] = -114;
        bArr2[429] = -119;
        bArr2[430] = Byte.MIN_VALUE;
        bArr2[431] = -101;
        bArr2[432] = -74;
        bArr2[433] = -63;
        bArr2[434] = 88;
        bArr2[435] = -24;
        bArr2[436] = 35;
        bArr2[437] = 101;
        bArr2[438] = -81;
        bArr2[439] = -22;
        bArr2[440] = 37;
        bArr2[441] = 111;
        bArr2[442] = -79;
        bArr2[443] = -56;
        bArr2[444] = 67;
        bArr2[445] = -59;
        bArr2[446] = 84;
        bArr2[447] = -4;
        bArr2[448] = Ascii.US;
        bArr2[449] = 33;
        bArr2[450] = 99;
        bArr2[451] = -91;
        bArr2[452] = -12;
        bArr2[453] = 7;
        bArr2[454] = 9;
        bArr2[455] = Ascii.ESC;
        bArr2[456] = 45;
        bArr2[457] = 119;
        bArr2[458] = -103;
        bArr2[459] = -80;
        bArr2[460] = -53;
        bArr2[461] = 70;
        bArr2[462] = -54;
        bArr2[463] = 69;
        bArr2[464] = -49;
        bArr2[465] = 74;
        bArr2[466] = -34;
        bArr2[467] = 121;
        bArr2[468] = -117;
        bArr2[469] = -122;
        bArr2[470] = -111;
        bArr2[471] = -88;
        bArr2[472] = -29;
        bArr2[473] = 62;
        bArr2[474] = 66;
        bArr2[475] = -58;
        bArr2[476] = 81;
        bArr2[477] = -13;
        bArr2[478] = Ascii.SO;
        bArr2[479] = Ascii.DC2;
        bArr2[480] = 54;
        bArr2[481] = 90;
        bArr2[482] = -18;
        bArr2[483] = 41;
        bArr2[484] = 123;
        bArr2[485] = -115;
        bArr2[486] = -116;
        bArr2[487] = -113;
        bArr2[488] = -118;
        bArr2[489] = -123;
        bArr2[490] = -108;
        bArr2[491] = -89;
        bArr2[492] = -14;
        bArr2[493] = Ascii.CR;
        bArr2[494] = Ascii.ETB;
        bArr2[495] = 57;
        bArr2[496] = 75;
        bArr2[497] = -35;
        bArr2[498] = 124;
        bArr2[499] = -124;
        bArr2[500] = -105;
        bArr2[501] = -94;
        bArr2[502] = -3;
        bArr2[503] = Ascii.FS;
        bArr2[504] = 36;
        bArr2[505] = 108;
        bArr2[506] = -76;
        bArr2[507] = -57;
        bArr2[508] = 82;
        bArr2[509] = -10;
        bArr2[510] = 1;
        f23509p = bArr2;
        byte[] bArr3 = new byte[256];
        bArr3[0] = 99;
        bArr3[1] = 124;
        bArr3[2] = 119;
        bArr3[3] = 123;
        bArr3[4] = -14;
        bArr3[5] = 107;
        bArr3[6] = 111;
        bArr3[7] = -59;
        bArr3[8] = 48;
        bArr3[9] = 1;
        bArr3[10] = 103;
        bArr3[11] = 43;
        bArr3[12] = -2;
        bArr3[13] = -41;
        bArr3[14] = -85;
        bArr3[15] = 118;
        bArr3[16] = -54;
        bArr3[17] = -126;
        bArr3[18] = -55;
        bArr3[19] = 125;
        bArr3[20] = -6;
        bArr3[21] = 89;
        bArr3[22] = 71;
        bArr3[23] = -16;
        bArr3[24] = -83;
        bArr3[25] = -44;
        bArr3[26] = -94;
        bArr3[27] = -81;
        bArr3[28] = -100;
        bArr3[29] = -92;
        bArr3[30] = 114;
        bArr3[31] = -64;
        bArr3[32] = -73;
        bArr3[33] = -3;
        bArr3[34] = -109;
        bArr3[35] = 38;
        bArr3[36] = 54;
        bArr3[37] = 63;
        bArr3[38] = -9;
        bArr3[39] = -52;
        bArr3[40] = 52;
        bArr3[41] = -91;
        bArr3[42] = -27;
        bArr3[43] = -15;
        bArr3[44] = 113;
        bArr3[45] = -40;
        bArr3[46] = 49;
        bArr3[47] = Ascii.NAK;
        bArr3[48] = 4;
        bArr3[49] = -57;
        bArr3[50] = 35;
        bArr3[51] = -61;
        bArr3[52] = Ascii.CAN;
        bArr3[53] = -106;
        bArr3[54] = 5;
        bArr3[55] = -102;
        bArr3[56] = 7;
        bArr3[57] = Ascii.DC2;
        bArr3[58] = Byte.MIN_VALUE;
        bArr3[59] = -30;
        bArr3[60] = -21;
        bArr3[61] = 39;
        bArr3[62] = -78;
        bArr3[63] = 117;
        bArr3[64] = 9;
        bArr3[65] = -125;
        bArr3[66] = 44;
        bArr3[67] = Ascii.SUB;
        bArr3[68] = Ascii.ESC;
        bArr3[69] = 110;
        bArr3[70] = 90;
        bArr3[71] = -96;
        bArr3[72] = 82;
        bArr3[73] = 59;
        bArr3[74] = -42;
        bArr3[75] = -77;
        bArr3[76] = 41;
        bArr3[77] = -29;
        bArr3[78] = 47;
        bArr3[79] = -124;
        bArr3[80] = 83;
        bArr3[81] = -47;
        bArr3[83] = -19;
        bArr3[84] = 32;
        bArr3[85] = -4;
        bArr3[86] = -79;
        bArr3[87] = 91;
        bArr3[88] = 106;
        bArr3[89] = -53;
        bArr3[90] = -66;
        bArr3[91] = 57;
        bArr3[92] = 74;
        bArr3[93] = 76;
        bArr3[94] = 88;
        bArr3[95] = -49;
        bArr3[96] = -48;
        bArr3[97] = -17;
        bArr3[98] = -86;
        bArr3[99] = -5;
        bArr3[100] = 67;
        bArr3[101] = 77;
        bArr3[102] = 51;
        bArr3[103] = -123;
        bArr3[104] = 69;
        bArr3[105] = -7;
        bArr3[106] = 2;
        bArr3[107] = Byte.MAX_VALUE;
        bArr3[108] = 80;
        bArr3[109] = 60;
        bArr3[110] = -97;
        bArr3[111] = -88;
        bArr3[112] = 81;
        bArr3[113] = -93;
        bArr3[114] = q.f11858a;
        bArr3[115] = -113;
        bArr3[116] = -110;
        bArr3[117] = -99;
        bArr3[118] = 56;
        bArr3[119] = -11;
        bArr3[120] = g.f24121l;
        bArr3[121] = -74;
        bArr3[122] = -38;
        bArr3[123] = 33;
        bArr3[124] = 16;
        bArr3[125] = -1;
        bArr3[126] = -13;
        bArr3[127] = -46;
        bArr3[128] = -51;
        bArr3[129] = Ascii.FF;
        bArr3[130] = 19;
        bArr3[131] = -20;
        bArr3[132] = 95;
        bArr3[133] = -105;
        bArr3[134] = 68;
        bArr3[135] = Ascii.ETB;
        bArr3[136] = -60;
        bArr3[137] = -89;
        bArr3[138] = 126;
        bArr3[139] = 61;
        bArr3[140] = 100;
        bArr3[141] = 93;
        bArr3[142] = Ascii.EM;
        bArr3[143] = 115;
        bArr3[144] = 96;
        bArr3[145] = -127;
        bArr3[146] = 79;
        bArr3[147] = -36;
        bArr3[148] = 34;
        bArr3[149] = 42;
        bArr3[150] = -112;
        bArr3[151] = -120;
        bArr3[152] = 70;
        bArr3[153] = -18;
        bArr3[154] = -72;
        bArr3[155] = Ascii.DC4;
        bArr3[156] = -34;
        bArr3[157] = 94;
        bArr3[158] = Ascii.VT;
        bArr3[159] = -37;
        bArr3[160] = -32;
        bArr3[161] = 50;
        bArr3[162] = 58;
        bArr3[163] = 10;
        bArr3[164] = 73;
        bArr3[165] = 6;
        bArr3[166] = 36;
        bArr3[167] = 92;
        bArr3[168] = -62;
        bArr3[169] = -45;
        bArr3[170] = -84;
        bArr3[171] = 98;
        bArr3[172] = -111;
        bArr3[173] = -107;
        bArr3[174] = -28;
        bArr3[175] = 121;
        bArr3[176] = -25;
        bArr3[177] = -56;
        bArr3[178] = 55;
        bArr3[179] = 109;
        bArr3[180] = -115;
        bArr3[181] = -43;
        bArr3[182] = 78;
        bArr3[183] = -87;
        bArr3[184] = 108;
        bArr3[185] = 86;
        bArr3[186] = -12;
        bArr3[187] = -22;
        bArr3[188] = 101;
        bArr3[189] = 122;
        bArr3[190] = -82;
        bArr3[191] = 8;
        bArr3[192] = -70;
        bArr3[193] = 120;
        bArr3[194] = 37;
        bArr3[195] = 46;
        bArr3[196] = Ascii.FS;
        bArr3[197] = -90;
        bArr3[198] = -76;
        bArr3[199] = -58;
        bArr3[200] = -24;
        bArr3[201] = -35;
        bArr3[202] = 116;
        bArr3[203] = Ascii.US;
        bArr3[204] = 75;
        bArr3[205] = -67;
        bArr3[206] = -117;
        bArr3[207] = -118;
        bArr3[208] = 112;
        bArr3[209] = 62;
        bArr3[210] = -75;
        bArr3[211] = 102;
        bArr3[212] = 72;
        bArr3[213] = 3;
        bArr3[214] = -10;
        bArr3[215] = Ascii.SO;
        bArr3[216] = 97;
        bArr3[217] = 53;
        bArr3[218] = 87;
        bArr3[219] = -71;
        bArr3[220] = -122;
        bArr3[221] = -63;
        bArr3[222] = Ascii.GS;
        bArr3[223] = -98;
        bArr3[224] = -31;
        bArr3[225] = -8;
        bArr3[226] = -104;
        bArr3[227] = 17;
        bArr3[228] = 105;
        bArr3[229] = -39;
        bArr3[230] = -114;
        bArr3[231] = -108;
        bArr3[232] = -101;
        bArr3[233] = Ascii.RS;
        bArr3[234] = -121;
        bArr3[235] = -23;
        bArr3[236] = -50;
        bArr3[237] = 85;
        bArr3[238] = 40;
        bArr3[239] = -33;
        bArr3[240] = -116;
        bArr3[241] = -95;
        bArr3[242] = -119;
        bArr3[243] = Ascii.CR;
        bArr3[244] = -65;
        bArr3[245] = -26;
        bArr3[246] = 66;
        bArr3[247] = 104;
        bArr3[248] = 65;
        bArr3[249] = -103;
        bArr3[250] = 45;
        bArr3[251] = Ascii.SI;
        bArr3[252] = -80;
        bArr3[253] = 84;
        bArr3[254] = -69;
        bArr3[255] = Ascii.SYN;
        f23510q = bArr3;
        byte[] bArr4 = new byte[256];
        bArr4[0] = 82;
        bArr4[1] = 9;
        bArr4[2] = 106;
        bArr4[3] = -43;
        bArr4[4] = 48;
        bArr4[5] = 54;
        bArr4[6] = -91;
        bArr4[7] = 56;
        bArr4[8] = -65;
        bArr4[9] = q.f11858a;
        bArr4[10] = -93;
        bArr4[11] = -98;
        bArr4[12] = -127;
        bArr4[13] = -13;
        bArr4[14] = -41;
        bArr4[15] = -5;
        bArr4[16] = 124;
        bArr4[17] = -29;
        bArr4[18] = 57;
        bArr4[19] = -126;
        bArr4[20] = -101;
        bArr4[21] = 47;
        bArr4[22] = -1;
        bArr4[23] = -121;
        bArr4[24] = 52;
        bArr4[25] = -114;
        bArr4[26] = 67;
        bArr4[27] = 68;
        bArr4[28] = -60;
        bArr4[29] = -34;
        bArr4[30] = -23;
        bArr4[31] = -53;
        bArr4[32] = 84;
        bArr4[33] = 123;
        bArr4[34] = -108;
        bArr4[35] = 50;
        bArr4[36] = -90;
        bArr4[37] = -62;
        bArr4[38] = 35;
        bArr4[39] = 61;
        bArr4[40] = -18;
        bArr4[41] = 76;
        bArr4[42] = -107;
        bArr4[43] = Ascii.VT;
        bArr4[44] = 66;
        bArr4[45] = -6;
        bArr4[46] = -61;
        bArr4[47] = 78;
        bArr4[48] = 8;
        bArr4[49] = 46;
        bArr4[50] = -95;
        bArr4[51] = 102;
        bArr4[52] = 40;
        bArr4[53] = -39;
        bArr4[54] = 36;
        bArr4[55] = -78;
        bArr4[56] = 118;
        bArr4[57] = 91;
        bArr4[58] = -94;
        bArr4[59] = 73;
        bArr4[60] = 109;
        bArr4[61] = -117;
        bArr4[62] = -47;
        bArr4[63] = 37;
        bArr4[64] = 114;
        bArr4[65] = -8;
        bArr4[66] = -10;
        bArr4[67] = 100;
        bArr4[68] = -122;
        bArr4[69] = 104;
        bArr4[70] = -104;
        bArr4[71] = Ascii.SYN;
        bArr4[72] = -44;
        bArr4[73] = -92;
        bArr4[74] = 92;
        bArr4[75] = -52;
        bArr4[76] = 93;
        bArr4[77] = 101;
        bArr4[78] = -74;
        bArr4[79] = -110;
        bArr4[80] = 108;
        bArr4[81] = 112;
        bArr4[82] = 72;
        bArr4[83] = 80;
        bArr4[84] = -3;
        bArr4[85] = -19;
        bArr4[86] = -71;
        bArr4[87] = -38;
        bArr4[88] = 94;
        bArr4[89] = Ascii.NAK;
        bArr4[90] = 70;
        bArr4[91] = 87;
        bArr4[92] = -89;
        bArr4[93] = -115;
        bArr4[94] = -99;
        bArr4[95] = -124;
        bArr4[96] = -112;
        bArr4[97] = -40;
        bArr4[98] = -85;
        bArr4[100] = -116;
        bArr4[101] = g.f24121l;
        bArr4[102] = -45;
        bArr4[103] = 10;
        bArr4[104] = -9;
        bArr4[105] = -28;
        bArr4[106] = 88;
        bArr4[107] = 5;
        bArr4[108] = -72;
        bArr4[109] = -77;
        bArr4[110] = 69;
        bArr4[111] = 6;
        bArr4[112] = -48;
        bArr4[113] = 44;
        bArr4[114] = Ascii.RS;
        bArr4[115] = -113;
        bArr4[116] = -54;
        bArr4[117] = 63;
        bArr4[118] = Ascii.SI;
        bArr4[119] = 2;
        bArr4[120] = -63;
        bArr4[121] = -81;
        bArr4[122] = -67;
        bArr4[123] = 3;
        bArr4[124] = 1;
        bArr4[125] = 19;
        bArr4[126] = -118;
        bArr4[127] = 107;
        bArr4[128] = 58;
        bArr4[129] = -111;
        bArr4[130] = 17;
        bArr4[131] = 65;
        bArr4[132] = 79;
        bArr4[133] = 103;
        bArr4[134] = -36;
        bArr4[135] = -22;
        bArr4[136] = -105;
        bArr4[137] = -14;
        bArr4[138] = -49;
        bArr4[139] = -50;
        bArr4[140] = -16;
        bArr4[141] = -76;
        bArr4[142] = -26;
        bArr4[143] = 115;
        bArr4[144] = -106;
        bArr4[145] = -84;
        bArr4[146] = 116;
        bArr4[147] = 34;
        bArr4[148] = -25;
        bArr4[149] = -83;
        bArr4[150] = 53;
        bArr4[151] = -123;
        bArr4[152] = -30;
        bArr4[153] = -7;
        bArr4[154] = 55;
        bArr4[155] = -24;
        bArr4[156] = Ascii.FS;
        bArr4[157] = 117;
        bArr4[158] = -33;
        bArr4[159] = 110;
        bArr4[160] = 71;
        bArr4[161] = -15;
        bArr4[162] = Ascii.SUB;
        bArr4[163] = 113;
        bArr4[164] = Ascii.GS;
        bArr4[165] = 41;
        bArr4[166] = -59;
        bArr4[167] = -119;
        bArr4[168] = 111;
        bArr4[169] = -73;
        bArr4[170] = 98;
        bArr4[171] = Ascii.SO;
        bArr4[172] = -86;
        bArr4[173] = Ascii.CAN;
        bArr4[174] = -66;
        bArr4[175] = Ascii.ESC;
        bArr4[176] = -4;
        bArr4[177] = 86;
        bArr4[178] = 62;
        bArr4[179] = 75;
        bArr4[180] = -58;
        bArr4[181] = -46;
        bArr4[182] = 121;
        bArr4[183] = 32;
        bArr4[184] = -102;
        bArr4[185] = -37;
        bArr4[186] = -64;
        bArr4[187] = -2;
        bArr4[188] = 120;
        bArr4[189] = -51;
        bArr4[190] = 90;
        bArr4[191] = -12;
        bArr4[192] = Ascii.US;
        bArr4[193] = -35;
        bArr4[194] = -88;
        bArr4[195] = 51;
        bArr4[196] = -120;
        bArr4[197] = 7;
        bArr4[198] = -57;
        bArr4[199] = 49;
        bArr4[200] = -79;
        bArr4[201] = Ascii.DC2;
        bArr4[202] = 16;
        bArr4[203] = 89;
        bArr4[204] = 39;
        bArr4[205] = Byte.MIN_VALUE;
        bArr4[206] = -20;
        bArr4[207] = 95;
        bArr4[208] = 96;
        bArr4[209] = 81;
        bArr4[210] = Byte.MAX_VALUE;
        bArr4[211] = -87;
        bArr4[212] = Ascii.EM;
        bArr4[213] = -75;
        bArr4[214] = 74;
        bArr4[215] = Ascii.CR;
        bArr4[216] = 45;
        bArr4[217] = -27;
        bArr4[218] = 122;
        bArr4[219] = -97;
        bArr4[220] = -109;
        bArr4[221] = -55;
        bArr4[222] = -100;
        bArr4[223] = -17;
        bArr4[224] = -96;
        bArr4[225] = -32;
        bArr4[226] = 59;
        bArr4[227] = 77;
        bArr4[228] = -82;
        bArr4[229] = 42;
        bArr4[230] = -11;
        bArr4[231] = -80;
        bArr4[232] = -56;
        bArr4[233] = -21;
        bArr4[234] = -69;
        bArr4[235] = 60;
        bArr4[236] = -125;
        bArr4[237] = 83;
        bArr4[238] = -103;
        bArr4[239] = 97;
        bArr4[240] = Ascii.ETB;
        bArr4[241] = 43;
        bArr4[242] = 4;
        bArr4[243] = 126;
        bArr4[244] = -70;
        bArr4[245] = 119;
        bArr4[246] = -42;
        bArr4[247] = 38;
        bArr4[248] = -31;
        bArr4[249] = 105;
        bArr4[250] = Ascii.DC4;
        bArr4[251] = 99;
        bArr4[252] = 85;
        bArr4[253] = 33;
        bArr4[254] = Ascii.FF;
        bArr4[255] = 125;
        f23511r = bArr4;
        byte[] bArr5 = new byte[4];
        bArr5[1] = 8;
        bArr5[2] = 16;
        bArr5[3] = Ascii.CAN;
        byte[] bArr6 = new byte[4];
        bArr6[1] = 8;
        bArr6[2] = 16;
        bArr6[3] = Ascii.CAN;
        byte[] bArr7 = new byte[4];
        bArr7[1] = 8;
        bArr7[2] = 16;
        bArr7[3] = Ascii.CAN;
        byte[] bArr8 = new byte[4];
        bArr8[1] = 8;
        bArr8[2] = 16;
        bArr8[3] = 32;
        byte[] bArr9 = new byte[4];
        bArr9[1] = 8;
        bArr9[2] = Ascii.CAN;
        bArr9[3] = 32;
        f23513t = new byte[][]{bArr5, bArr6, bArr7, bArr8, bArr9};
        byte[] bArr10 = new byte[4];
        bArr10[1] = Ascii.CAN;
        bArr10[2] = 16;
        bArr10[3] = 8;
        byte[] bArr11 = new byte[4];
        bArr11[1] = 32;
        bArr11[2] = Ascii.CAN;
        bArr11[3] = 16;
        byte[] bArr12 = new byte[4];
        bArr12[1] = 40;
        bArr12[2] = 32;
        bArr12[3] = Ascii.CAN;
        byte[] bArr13 = new byte[4];
        bArr13[1] = 48;
        bArr13[2] = 40;
        bArr13[3] = Ascii.CAN;
        byte[] bArr14 = new byte[4];
        bArr14[1] = 56;
        bArr14[2] = 40;
        bArr14[3] = 32;
        f23514u = new byte[][]{bArr10, bArr11, bArr12, bArr13, bArr14};
    }

    public e0() {
        this(128);
    }

    private void e() {
        long j7 = 0;
        long j8 = 0;
        long j9 = 0;
        long j10 = 0;
        for (int i7 = 0; i7 < this.f23515a; i7 += 8) {
            int i8 = (int) ((this.f23520f >> i7) & 255);
            int i9 = (int) ((this.f23521g >> i7) & 255);
            int i10 = (int) ((this.f23522h >> i7) & 255);
            int i11 = (int) ((this.f23523i >> i7) & 255);
            int i12 = -1;
            int i13 = i8 != 0 ? f23508o[i8 & 255] & 255 : -1;
            int i14 = i9 != 0 ? f23508o[i9 & 255] & 255 : -1;
            int i15 = i10 != 0 ? f23508o[i10 & 255] & 255 : -1;
            if (i11 != 0) {
                i12 = f23508o[i11 & 255] & 255;
            }
            j7 |= ((long) ((((s(i13) ^ q(i14)) ^ r(i15)) ^ p(i12)) & 255)) << i7;
            j10 |= ((long) ((((s(i14) ^ q(i15)) ^ r(i12)) ^ p(i13)) & 255)) << i7;
            j8 |= ((long) ((((s(i15) ^ q(i12)) ^ r(i13)) ^ p(i14)) & 255)) << i7;
            j9 = (((long) ((((s(i12) ^ q(i13)) ^ r(i14)) ^ p(i15)) & 255)) << i7) | j9;
        }
        this.f23520f = j7;
        this.f23521g = j10;
        this.f23522h = j8;
        this.f23523i = j9;
    }

    private void f(long[] jArr) {
        this.f23520f ^= jArr[0];
        this.f23521g ^= jArr[1];
        this.f23522h ^= jArr[2];
        this.f23523i ^= jArr[3];
    }

    private void g() {
        long j7 = 0;
        long j8 = 0;
        long j9 = 0;
        long j10 = 0;
        for (int i7 = 0; i7 < this.f23515a; i7 += 8) {
            int i8 = (int) ((this.f23520f >> i7) & 255);
            int i9 = (int) ((this.f23521g >> i7) & 255);
            int i10 = (int) ((this.f23522h >> i7) & 255);
            int i11 = (int) ((this.f23523i >> i7) & 255);
            j7 |= ((long) ((((n(i8) ^ o(i9)) ^ i10) ^ i11) & 255)) << i7;
            j10 |= ((long) ((((n(i9) ^ o(i10)) ^ i11) ^ i8) & 255)) << i7;
            j8 |= ((long) ((((n(i10) ^ o(i11)) ^ i8) ^ i9) & 255)) << i7;
            j9 = (((long) ((((n(i11) ^ o(i8)) ^ i9) ^ i10) & 255)) << i7) | j9;
        }
        this.f23520f = j7;
        this.f23521g = j10;
        this.f23522h = j8;
        this.f23523i = j9;
    }

    private void h(byte[] bArr) {
        this.f23521g = u(this.f23521g, bArr[1]);
        this.f23522h = u(this.f23522h, bArr[2]);
        this.f23523i = u(this.f23523i, bArr[3]);
    }

    private void i(byte[] bArr) {
        this.f23520f = j(this.f23520f, bArr);
        this.f23521g = j(this.f23521g, bArr);
        this.f23522h = j(this.f23522h, bArr);
        this.f23523i = j(this.f23523i, bArr);
    }

    private long j(long j7, byte[] bArr) {
        long j8 = 0;
        for (int i7 = 0; i7 < this.f23515a; i7 += 8) {
            j8 |= ((long) (bArr[(int) ((j7 >> i7) & 255)] & 255)) << i7;
        }
        return j8;
    }

    private void k(long[][] jArr) {
        f(jArr[this.f23517c]);
        i(f23511r);
        h(this.f23526l);
        for (int i7 = this.f23517c - 1; i7 > 0; i7--) {
            f(jArr[i7]);
            e();
            i(f23511r);
            h(this.f23526l);
        }
        f(jArr[0]);
    }

    private void l(long[][] jArr) {
        f(jArr[0]);
        for (int i7 = 1; i7 < this.f23517c; i7++) {
            i(f23510q);
            h(this.f23525k);
            g();
            f(jArr[i7]);
        }
        i(f23510q);
        h(this.f23525k);
        f(jArr[this.f23517c]);
    }

    private long[][] m(byte[] bArr) {
        int i7;
        int i8 = 8;
        int length = bArr.length * 8;
        byte[][] bArr2 = (byte[][]) Array.newInstance(Byte.TYPE, 4, 64);
        long[][] jArr = (long[][]) Array.newInstance(Long.TYPE, 15, 4);
        char c7 = 6;
        int i9 = 4;
        if (length == 128) {
            i7 = 4;
        } else if (length == 160) {
            i7 = 5;
        } else if (length == 192) {
            i7 = 6;
        } else if (length == 224) {
            i7 = 7;
        } else if (length == 256) {
            i7 = 8;
        } else {
            throw new IllegalArgumentException("Key length not 128/160/192/224/256 bits.");
        }
        this.f23517c = length >= this.f23518d ? i7 + 6 : (this.f23515a / 8) + 6;
        int i10 = 0;
        int i11 = 0;
        int i12 = 0;
        while (i11 < bArr.length) {
            bArr2[i11 % 4][i11 / 4] = bArr[i12];
            i11++;
            i12++;
            c7 = c7;
            i8 = 8;
            i9 = i9;
            i10 = i10;
        }
        int i13 = i10;
        int i14 = i13;
        while (i13 < i7 && i14 < (this.f23517c + 1) * (this.f23515a / i8)) {
            int i15 = i10;
            while (i15 < i9) {
                int i16 = this.f23515a;
                long[] jArr2 = jArr[i14 / (i16 / 8)];
                jArr2[i15] = (((long) (bArr2[i15][i13] & 255)) << ((i14 * 8) % i16)) | jArr2[i15];
                i15++;
                i9 = 4;
            }
            i13++;
            i14++;
        }
        int i17 = i10;
        int i18 = i14;
        while (i18 < (this.f23517c + 1) * (this.f23515a / i8)) {
            int i19 = i10;
            int i20 = 4;
            while (i19 < i20) {
                byte[] bArr3 = bArr2[i19];
                i19++;
                bArr3[0] = (byte) (f23510q[bArr2[i19 % 4][i7 - 1] & 255] ^ bArr3[0]);
                i20 = i20;
                i10 = 0;
                i8 = 8;
            }
            byte[] bArr4 = bArr2[i10];
            int i21 = i17 + 1;
            bArr4[i10] = (byte) (f23512s[i17] ^ bArr4[i10]);
            if (i7 <= 6) {
                for (int i22 = 1; i22 < i7; i22++) {
                    for (int i23 = i10; i23 < 4; i23++) {
                        byte[] bArr5 = bArr2[i23];
                        bArr5[i22] = (byte) (bArr5[i22] ^ bArr5[i22 - 1]);
                    }
                }
            } else {
                int i24 = 1;
                int i25 = 4;
                while (i24 < i25) {
                    for (int i26 = 0; i26 < i25; i26++) {
                        byte[] bArr6 = bArr2[i26];
                        bArr6[i24] = (byte) (bArr6[i24] ^ bArr6[i24 - 1]);
                    }
                    i24++;
                    i25 = i25;
                    i10 = 0;
                    i8 = 8;
                }
                int i27 = i10;
                while (i27 < i25) {
                    byte[] bArr7 = bArr2[i27];
                    bArr7[4] = (byte) (bArr7[4] ^ f23510q[bArr7[3] & 255]);
                    i27++;
                    i25 = 4;
                    i10 = 0;
                    i8 = 8;
                }
                int i28 = 5;
                while (i28 < i7) {
                    for (int i29 = 0; i29 < 4; i29++) {
                        byte[] bArr8 = bArr2[i29];
                        bArr8[i28] = (byte) (bArr8[i28] ^ bArr8[i28 - 1]);
                    }
                    i28++;
                    i10 = 0;
                    i8 = 8;
                }
            }
            int i30 = i10;
            while (i30 < i7 && i18 < (this.f23517c + 1) * (this.f23515a / i8)) {
                int i31 = i10;
                while (i31 < 4) {
                    int i32 = this.f23515a;
                    long[] jArr3 = jArr[i18 / (i32 / 8)];
                    jArr3[i31] = (((long) (bArr2[i31][i30] & 255)) << ((i18 * 8) % i32)) | jArr3[i31];
                    i31++;
                    i10 = 0;
                    i8 = 8;
                }
                i30++;
                i18++;
            }
            i17 = i21;
            i10 = 0;
            i8 = 8;
        }
        return jArr;
    }

    private byte n(int i7) {
        if (i7 != 0) {
            return f23509p[(f23508o[i7] & 255) + 25];
        }
        return 0;
    }

    private byte o(int i7) {
        if (i7 != 0) {
            return f23509p[(f23508o[i7] & 255) + 1];
        }
        return 0;
    }

    private byte p(int i7) {
        if (i7 >= 0) {
            return f23509p[i7 + 199];
        }
        return 0;
    }

    private byte q(int i7) {
        if (i7 >= 0) {
            return f23509p[i7 + 104];
        }
        return 0;
    }

    private byte r(int i7) {
        if (i7 >= 0) {
            return f23509p[i7 + 238];
        }
        return 0;
    }

    private byte s(int i7) {
        if (i7 >= 0) {
            return f23509p[i7 + 223];
        }
        return 0;
    }

    private void t(byte[] bArr, int i7) {
        for (int i8 = 0; i8 != this.f23515a; i8 += 8) {
            int i9 = i7 + 1;
            bArr[i7] = (byte) ((int) (this.f23520f >> i8));
            int i10 = i9 + 1;
            bArr[i9] = (byte) ((int) (this.f23521g >> i8));
            int i11 = i10 + 1;
            bArr[i10] = (byte) ((int) (this.f23522h >> i8));
            i7 = i11 + 1;
            bArr[i11] = (byte) ((int) (this.f23523i >> i8));
        }
    }

    private long u(long j7, int i7) {
        return ((j7 << (this.f23515a - i7)) | (j7 >>> i7)) & this.f23516b;
    }

    private void v(byte[] bArr, int i7) {
        int i8 = i7 + 1;
        this.f23520f = (long) (bArr[i7] & 255);
        int i9 = i8 + 1;
        this.f23521g = (long) (bArr[i8] & 255);
        int i10 = i9 + 1;
        this.f23522h = (long) (bArr[i9] & 255);
        int i11 = i10 + 1;
        this.f23523i = (long) (bArr[i10] & 255);
        for (int i12 = 8; i12 != this.f23515a; i12 += 8) {
            int i13 = i11 + 1;
            this.f23520f |= ((long) (bArr[i11] & 255)) << i12;
            int i14 = i13 + 1;
            this.f23521g |= ((long) (bArr[i13] & 255)) << i12;
            int i15 = i14 + 1;
            this.f23522h |= ((long) (bArr[i14] & 255)) << i12;
            i11 = i15 + 1;
            this.f23523i |= ((long) (bArr[i15] & 255)) << i12;
        }
    }

    @Override // org.bouncycastle2.crypto.e
    public void a(boolean z7, i iVar) {
        if (iVar instanceof k0) {
            this.f23519e = m(((k0) iVar).a());
            this.f23524j = z7;
            return;
        }
        throw new IllegalArgumentException("invalid parameter passed to Rijndael init - " + iVar.getClass().getName());
    }

    @Override // org.bouncycastle2.crypto.e
    public String b() {
        return "Rijndael";
    }

    @Override // org.bouncycastle2.crypto.e
    public int c(byte[] bArr, int i7, byte[] bArr2, int i8) {
        if (this.f23519e != null) {
            int i9 = this.f23515a;
            if ((i9 / 2) + i7 > bArr.length) {
                throw new l("input buffer too short");
            } else if ((i9 / 2) + i8 <= bArr2.length) {
                boolean z7 = this.f23524j;
                v(bArr, i7);
                long[][] jArr = this.f23519e;
                if (z7) {
                    l(jArr);
                } else {
                    k(jArr);
                }
                t(bArr2, i8);
                return this.f23515a / 2;
            } else {
                throw new l("output buffer too short");
            }
        } else {
            throw new IllegalStateException("Rijndael engine not initialised");
        }
    }

    @Override // org.bouncycastle2.crypto.e
    public int d() {
        return this.f23515a / 2;
    }

    @Override // org.bouncycastle2.crypto.e
    public void reset() {
    }

    public e0(int i7) {
        if (i7 == 128) {
            this.f23515a = 32;
            this.f23516b = 4294967295L;
            this.f23525k = f23513t[0];
            this.f23526l = f23514u[0];
        } else if (i7 == 160) {
            this.f23515a = 40;
            this.f23516b = 1099511627775L;
            this.f23525k = f23513t[1];
            this.f23526l = f23514u[1];
        } else if (i7 == 192) {
            this.f23515a = 48;
            this.f23516b = 281474976710655L;
            this.f23525k = f23513t[2];
            this.f23526l = f23514u[2];
        } else if (i7 == 224) {
            this.f23515a = 56;
            this.f23516b = 72057594037927935L;
            this.f23525k = f23513t[3];
            this.f23526l = f23514u[3];
        } else if (i7 == 256) {
            this.f23515a = 64;
            this.f23516b = -1;
            this.f23525k = f23513t[4];
            this.f23526l = f23514u[4];
        } else {
            throw new IllegalArgumentException("unknown blocksize to Rijndael");
        }
        this.f23518d = i7;
    }
}
