package org.bouncycastle2.crypto.engines;

import java.security.SecureRandom;
import org.bouncycastle2.crypto.a0;
import org.bouncycastle2.crypto.i;
import org.bouncycastle2.crypto.modes.b;
import org.bouncycastle2.crypto.o;
import org.bouncycastle2.crypto.params.k0;
import org.bouncycastle2.crypto.params.n0;
import org.bouncycastle2.crypto.params.o0;
import org.bouncycastle2.crypto.q;
import v5.a;

public class k implements a0 {

    /* renamed from: h  reason: collision with root package name */
    private static final byte[] f23604h = {74, -35, -94, 44, 121, -24, 33, 5};

    /* renamed from: a  reason: collision with root package name */
    private b f23605a;

    /* renamed from: b  reason: collision with root package name */
    private k0 f23606b;

    /* renamed from: c  reason: collision with root package name */
    private n0 f23607c;

    /* renamed from: d  reason: collision with root package name */
    private byte[] f23608d;

    /* renamed from: e  reason: collision with root package name */
    private boolean f23609e;

    /* renamed from: f  reason: collision with root package name */
    o f23610f = new org.bouncycastle2.crypto.digests.k();

    /* renamed from: g  reason: collision with root package name */
    byte[] f23611g = new byte[20];

    private byte[] e(byte[] bArr) {
        byte[] bArr2 = new byte[8];
        this.f23610f.d(bArr, 0, bArr.length);
        this.f23610f.c(this.f23611g, 0);
        System.arraycopy(this.f23611g, 0, bArr2, 0, 8);
        return bArr2;
    }

    private boolean f(byte[] bArr, byte[] bArr2) {
        return a.f(e(bArr), bArr2);
    }

    private static byte[] g(byte[] bArr) {
        byte[] bArr2 = new byte[bArr.length];
        int i7 = 0;
        while (i7 < bArr.length) {
            int i8 = i7 + 1;
            bArr2[i7] = bArr[bArr.length - i8];
            i7 = i8;
        }
        return bArr2;
    }

    @Override // org.bouncycastle2.crypto.a0
    public void a(boolean z7, i iVar) {
        SecureRandom secureRandom;
        this.f23609e = z7;
        this.f23605a = new b(new j());
        if (iVar instanceof o0) {
            o0 o0Var = (o0) iVar;
            i a8 = o0Var.a();
            SecureRandom b7 = o0Var.b();
            iVar = a8;
            secureRandom = b7;
        } else {
            secureRandom = new SecureRandom();
        }
        if (iVar instanceof k0) {
            this.f23606b = (k0) iVar;
            if (this.f23609e) {
                byte[] bArr = new byte[8];
                this.f23608d = bArr;
                secureRandom.nextBytes(bArr);
                this.f23607c = new n0(this.f23606b, this.f23608d);
            }
        } else if (iVar instanceof n0) {
            n0 n0Var = (n0) iVar;
            this.f23607c = n0Var;
            this.f23608d = n0Var.a();
            this.f23606b = (k0) this.f23607c.b();
            if (this.f23609e) {
                byte[] bArr2 = this.f23608d;
                if (bArr2 == null || bArr2.length != 8) {
                    throw new IllegalArgumentException("IV is not 8 octets");
                }
                return;
            }
            throw new IllegalArgumentException("You should not supply an IV for unwrapping");
        }
    }

    @Override // org.bouncycastle2.crypto.a0
    public String b() {
        return "DESede";
    }

    @Override // org.bouncycastle2.crypto.a0
    public byte[] c(byte[] bArr, int i7, int i8) throws q {
        if (this.f23609e) {
            throw new IllegalStateException("Not set for unwrapping");
        } else if (bArr != null) {
            int d7 = this.f23605a.d();
            if (i8 % d7 == 0) {
                this.f23605a.a(false, new n0(this.f23606b, f23604h));
                byte[] bArr2 = new byte[i8];
                for (int i9 = 0; i9 != i8; i9 += d7) {
                    this.f23605a.c(bArr, i7 + i9, bArr2, i9);
                }
                byte[] g7 = g(bArr2);
                byte[] bArr3 = new byte[8];
                this.f23608d = bArr3;
                int length = g7.length - 8;
                byte[] bArr4 = new byte[length];
                System.arraycopy(g7, 0, bArr3, 0, 8);
                System.arraycopy(g7, 8, bArr4, 0, g7.length - 8);
                n0 n0Var = new n0(this.f23606b, this.f23608d);
                this.f23607c = n0Var;
                this.f23605a.a(false, n0Var);
                byte[] bArr5 = new byte[length];
                for (int i10 = 0; i10 != length; i10 += d7) {
                    this.f23605a.c(bArr4, i10, bArr5, i10);
                }
                int i11 = length - 8;
                byte[] bArr6 = new byte[i11];
                byte[] bArr7 = new byte[8];
                System.arraycopy(bArr5, 0, bArr6, 0, i11);
                System.arraycopy(bArr5, i11, bArr7, 0, 8);
                if (f(bArr6, bArr7)) {
                    return bArr6;
                }
                throw new q("Checksum inside ciphertext is corrupted");
            }
            throw new q("Ciphertext not multiple of " + d7);
        } else {
            throw new q("Null pointer as ciphertext");
        }
    }

    @Override // org.bouncycastle2.crypto.a0
    public byte[] d(byte[] bArr, int i7, int i8) {
        if (this.f23609e) {
            byte[] bArr2 = new byte[i8];
            System.arraycopy(bArr, i7, bArr2, 0, i8);
            byte[] e7 = e(bArr2);
            int length = e7.length + i8;
            byte[] bArr3 = new byte[length];
            System.arraycopy(bArr2, 0, bArr3, 0, i8);
            System.arraycopy(e7, 0, bArr3, i8, e7.length);
            int d7 = this.f23605a.d();
            if (length % d7 == 0) {
                this.f23605a.a(true, this.f23607c);
                byte[] bArr4 = new byte[length];
                for (int i9 = 0; i9 != length; i9 += d7) {
                    this.f23605a.c(bArr3, i9, bArr4, i9);
                }
                byte[] bArr5 = this.f23608d;
                byte[] bArr6 = new byte[(bArr5.length + length)];
                System.arraycopy(bArr5, 0, bArr6, 0, bArr5.length);
                System.arraycopy(bArr4, 0, bArr6, this.f23608d.length, length);
                byte[] g7 = g(bArr6);
                this.f23605a.a(true, new n0(this.f23606b, f23604h));
                for (int i10 = 0; i10 != g7.length; i10 += d7) {
                    this.f23605a.c(g7, i10, g7, i10);
                }
                return g7;
            }
            throw new IllegalStateException("Not multiple of block length");
        }
        throw new IllegalStateException("Not initialized for wrapping");
    }
}
