package org.bouncycastle2.crypto.engines;

import com.google.common.base.Ascii;
import com.google.common.primitives.q;
import org.bouncycastle2.crypto.e;
import org.bouncycastle2.crypto.i;
import org.bouncycastle2.crypto.l;
import org.bouncycastle2.crypto.params.k0;
import org.bouncycastle2.crypto.params.q0;
import org.bouncycastle2.crypto.signers.g;

public class u implements e {

    /* renamed from: c  reason: collision with root package name */
    private static byte[] f23735c = null;

    /* renamed from: d  reason: collision with root package name */
    private static final int f23736d = 8;

    /* renamed from: a  reason: collision with root package name */
    private int[] f23737a;

    /* renamed from: b  reason: collision with root package name */
    private boolean f23738b;

    static {
        byte[] bArr = new byte[256];
        bArr[0] = -39;
        bArr[1] = 120;
        bArr[2] = -7;
        bArr[3] = -60;
        bArr[4] = Ascii.EM;
        bArr[5] = -35;
        bArr[6] = -75;
        bArr[7] = -19;
        bArr[8] = 40;
        bArr[9] = -23;
        bArr[10] = -3;
        bArr[11] = 121;
        bArr[12] = 74;
        bArr[13] = -96;
        bArr[14] = -40;
        bArr[15] = -99;
        bArr[16] = -58;
        bArr[17] = 126;
        bArr[18] = 55;
        bArr[19] = -125;
        bArr[20] = 43;
        bArr[21] = 118;
        bArr[22] = 83;
        bArr[23] = -114;
        bArr[24] = 98;
        bArr[25] = 76;
        bArr[26] = 100;
        bArr[27] = -120;
        bArr[28] = 68;
        bArr[29] = -117;
        bArr[30] = -5;
        bArr[31] = -94;
        bArr[32] = Ascii.ETB;
        bArr[33] = -102;
        bArr[34] = 89;
        bArr[35] = -11;
        bArr[36] = -121;
        bArr[37] = -77;
        bArr[38] = 79;
        bArr[39] = 19;
        bArr[40] = 97;
        bArr[41] = 69;
        bArr[42] = 109;
        bArr[43] = -115;
        bArr[44] = 9;
        bArr[45] = -127;
        bArr[46] = 125;
        bArr[47] = 50;
        bArr[48] = -67;
        bArr[49] = -113;
        bArr[50] = q.f11858a;
        bArr[51] = -21;
        bArr[52] = -122;
        bArr[53] = -73;
        bArr[54] = 123;
        bArr[55] = Ascii.VT;
        bArr[56] = -16;
        bArr[57] = -107;
        bArr[58] = 33;
        bArr[59] = 34;
        bArr[60] = 92;
        bArr[61] = 107;
        bArr[62] = 78;
        bArr[63] = -126;
        bArr[64] = 84;
        bArr[65] = -42;
        bArr[66] = 101;
        bArr[67] = -109;
        bArr[68] = -50;
        bArr[69] = 96;
        bArr[70] = -78;
        bArr[71] = Ascii.FS;
        bArr[72] = 115;
        bArr[73] = 86;
        bArr[74] = -64;
        bArr[75] = Ascii.DC4;
        bArr[76] = -89;
        bArr[77] = -116;
        bArr[78] = -15;
        bArr[79] = -36;
        bArr[80] = Ascii.DC2;
        bArr[81] = 117;
        bArr[82] = -54;
        bArr[83] = Ascii.US;
        bArr[84] = 59;
        bArr[85] = -66;
        bArr[86] = -28;
        bArr[87] = -47;
        bArr[88] = 66;
        bArr[89] = 61;
        bArr[90] = -44;
        bArr[91] = 48;
        bArr[92] = -93;
        bArr[93] = 60;
        bArr[94] = -74;
        bArr[95] = 38;
        bArr[96] = 111;
        bArr[97] = -65;
        bArr[98] = Ascii.SO;
        bArr[99] = -38;
        bArr[100] = 70;
        bArr[101] = 105;
        bArr[102] = 7;
        bArr[103] = 87;
        bArr[104] = 39;
        bArr[105] = -14;
        bArr[106] = Ascii.GS;
        bArr[107] = -101;
        bArr[108] = g.f24121l;
        bArr[109] = -108;
        bArr[110] = 67;
        bArr[111] = 3;
        bArr[112] = -8;
        bArr[113] = 17;
        bArr[114] = -57;
        bArr[115] = -10;
        bArr[116] = -112;
        bArr[117] = -17;
        bArr[118] = 62;
        bArr[119] = -25;
        bArr[120] = 6;
        bArr[121] = -61;
        bArr[122] = -43;
        bArr[123] = 47;
        bArr[124] = -56;
        bArr[125] = 102;
        bArr[126] = Ascii.RS;
        bArr[127] = -41;
        bArr[128] = 8;
        bArr[129] = -24;
        bArr[130] = -22;
        bArr[131] = -34;
        bArr[132] = Byte.MIN_VALUE;
        bArr[133] = 82;
        bArr[134] = -18;
        bArr[135] = -9;
        bArr[136] = -124;
        bArr[137] = -86;
        bArr[138] = 114;
        bArr[139] = -84;
        bArr[140] = 53;
        bArr[141] = 77;
        bArr[142] = 106;
        bArr[143] = 42;
        bArr[144] = -106;
        bArr[145] = Ascii.SUB;
        bArr[146] = -46;
        bArr[147] = 113;
        bArr[148] = 90;
        bArr[149] = Ascii.NAK;
        bArr[150] = 73;
        bArr[151] = 116;
        bArr[152] = 75;
        bArr[153] = -97;
        bArr[154] = -48;
        bArr[155] = 94;
        bArr[156] = 4;
        bArr[157] = Ascii.CAN;
        bArr[158] = -92;
        bArr[159] = -20;
        bArr[160] = -62;
        bArr[161] = -32;
        bArr[162] = 65;
        bArr[163] = 110;
        bArr[164] = Ascii.SI;
        bArr[165] = 81;
        bArr[166] = -53;
        bArr[167] = -52;
        bArr[168] = 36;
        bArr[169] = -111;
        bArr[170] = -81;
        bArr[171] = 80;
        bArr[172] = -95;
        bArr[173] = -12;
        bArr[174] = 112;
        bArr[175] = 57;
        bArr[176] = -103;
        bArr[177] = 124;
        bArr[178] = 58;
        bArr[179] = -123;
        bArr[180] = 35;
        bArr[181] = -72;
        bArr[182] = -76;
        bArr[183] = 122;
        bArr[184] = -4;
        bArr[185] = 2;
        bArr[186] = 54;
        bArr[187] = 91;
        bArr[188] = 37;
        bArr[189] = 85;
        bArr[190] = -105;
        bArr[191] = 49;
        bArr[192] = 45;
        bArr[193] = 93;
        bArr[194] = -6;
        bArr[195] = -104;
        bArr[196] = -29;
        bArr[197] = -118;
        bArr[198] = -110;
        bArr[199] = -82;
        bArr[200] = 5;
        bArr[201] = -33;
        bArr[202] = 41;
        bArr[203] = 16;
        bArr[204] = 103;
        bArr[205] = 108;
        bArr[206] = -70;
        bArr[207] = -55;
        bArr[208] = -45;
        bArr[210] = -26;
        bArr[211] = -49;
        bArr[212] = -31;
        bArr[213] = -98;
        bArr[214] = -88;
        bArr[215] = 44;
        bArr[216] = 99;
        bArr[217] = Ascii.SYN;
        bArr[218] = 1;
        bArr[219] = 63;
        bArr[220] = 88;
        bArr[221] = -30;
        bArr[222] = -119;
        bArr[223] = -87;
        bArr[224] = Ascii.CR;
        bArr[225] = 56;
        bArr[226] = 52;
        bArr[227] = Ascii.ESC;
        bArr[228] = -85;
        bArr[229] = 51;
        bArr[230] = -1;
        bArr[231] = -80;
        bArr[232] = -69;
        bArr[233] = 72;
        bArr[234] = Ascii.FF;
        bArr[235] = 95;
        bArr[236] = -71;
        bArr[237] = -79;
        bArr[238] = -51;
        bArr[239] = 46;
        bArr[240] = -59;
        bArr[241] = -13;
        bArr[242] = -37;
        bArr[243] = 71;
        bArr[244] = -27;
        bArr[245] = -91;
        bArr[246] = -100;
        bArr[247] = 119;
        bArr[248] = 10;
        bArr[249] = -90;
        bArr[250] = 32;
        bArr[251] = 104;
        bArr[252] = -2;
        bArr[253] = Byte.MAX_VALUE;
        bArr[254] = -63;
        bArr[255] = -83;
        f23735c = bArr;
    }

    private void e(byte[] bArr, int i7, byte[] bArr2, int i8) {
        int i9 = ((bArr[i7 + 7] & 255) << 8) + (bArr[i7 + 6] & 255);
        int i10 = ((bArr[i7 + 5] & 255) << 8) + (bArr[i7 + 4] & 255);
        int i11 = ((bArr[i7 + 3] & 255) << 8) + (bArr[i7 + 2] & 255);
        int i12 = ((bArr[i7 + 1] & 255) << 8) + (bArr[i7 + 0] & 255);
        for (int i13 = 60; i13 >= 44; i13 -= 4) {
            i9 = h(i9, 11) - ((((~i10) & i12) + (i11 & i10)) + this.f23737a[i13 + 3]);
            i10 = h(i10, 13) - ((((~i11) & i9) + (i12 & i11)) + this.f23737a[i13 + 2]);
            i11 = h(i11, 14) - ((((~i12) & i10) + (i9 & i12)) + this.f23737a[i13 + 1]);
            i12 = h(i12, 15) - ((((~i9) & i11) + (i10 & i9)) + this.f23737a[i13]);
        }
        int[] iArr = this.f23737a;
        int i14 = i9 - iArr[i10 & 63];
        int i15 = i10 - iArr[i11 & 63];
        int i16 = i11 - iArr[i12 & 63];
        int i17 = i12 - iArr[i14 & 63];
        for (int i18 = 40; i18 >= 20; i18 -= 4) {
            i14 = h(i14, 11) - ((((~i15) & i17) + (i16 & i15)) + this.f23737a[i18 + 3]);
            i15 = h(i15, 13) - ((((~i16) & i14) + (i17 & i16)) + this.f23737a[i18 + 2]);
            i16 = h(i16, 14) - ((((~i17) & i15) + (i14 & i17)) + this.f23737a[i18 + 1]);
            i17 = h(i17, 15) - ((((~i14) & i16) + (i15 & i14)) + this.f23737a[i18]);
        }
        int[] iArr2 = this.f23737a;
        int i19 = i14 - iArr2[i15 & 63];
        int i20 = i15 - iArr2[i16 & 63];
        int i21 = i16 - iArr2[i17 & 63];
        int i22 = i17 - iArr2[i19 & 63];
        for (int i23 = 16; i23 >= 0; i23 -= 4) {
            i19 = h(i19, 11) - ((((~i20) & i22) + (i21 & i20)) + this.f23737a[i23 + 3]);
            i20 = h(i20, 13) - ((((~i21) & i19) + (i22 & i21)) + this.f23737a[i23 + 2]);
            i21 = h(i21, 14) - ((((~i22) & i20) + (i19 & i22)) + this.f23737a[i23 + 1]);
            i22 = h(i22, 15) - ((((~i19) & i21) + (i20 & i19)) + this.f23737a[i23]);
        }
        bArr2[i8 + 0] = (byte) i22;
        bArr2[i8 + 1] = (byte) (i22 >> 8);
        bArr2[i8 + 2] = (byte) i21;
        bArr2[i8 + 3] = (byte) (i21 >> 8);
        bArr2[i8 + 4] = (byte) i20;
        bArr2[i8 + 5] = (byte) (i20 >> 8);
        bArr2[i8 + 6] = (byte) i19;
        bArr2[i8 + 7] = (byte) (i19 >> 8);
    }

    private void f(byte[] bArr, int i7, byte[] bArr2, int i8) {
        int i9 = ((bArr[i7 + 7] & 255) << 8) + (bArr[i7 + 6] & 255);
        int i10 = ((bArr[i7 + 5] & 255) << 8) + (bArr[i7 + 4] & 255);
        int i11 = ((bArr[i7 + 3] & 255) << 8) + (bArr[i7 + 2] & 255);
        int i12 = ((bArr[i7 + 1] & 255) << 8) + (bArr[i7 + 0] & 255);
        for (int i13 = 0; i13 <= 16; i13 += 4) {
            i12 = h(i12 + ((~i9) & i11) + (i10 & i9) + this.f23737a[i13], 1);
            i11 = h(i11 + ((~i12) & i10) + (i9 & i12) + this.f23737a[i13 + 1], 2);
            i10 = h(i10 + ((~i11) & i9) + (i12 & i11) + this.f23737a[i13 + 2], 3);
            i9 = h(i9 + ((~i10) & i12) + (i11 & i10) + this.f23737a[i13 + 3], 5);
        }
        int[] iArr = this.f23737a;
        int i14 = i12 + iArr[i9 & 63];
        int i15 = i11 + iArr[i14 & 63];
        int i16 = i10 + iArr[i15 & 63];
        int i17 = i9 + iArr[i16 & 63];
        for (int i18 = 20; i18 <= 40; i18 += 4) {
            i14 = h(i14 + ((~i17) & i15) + (i16 & i17) + this.f23737a[i18], 1);
            i15 = h(i15 + ((~i14) & i16) + (i17 & i14) + this.f23737a[i18 + 1], 2);
            i16 = h(i16 + ((~i15) & i17) + (i14 & i15) + this.f23737a[i18 + 2], 3);
            i17 = h(i17 + ((~i16) & i14) + (i15 & i16) + this.f23737a[i18 + 3], 5);
        }
        int[] iArr2 = this.f23737a;
        int i19 = i14 + iArr2[i17 & 63];
        int i20 = i15 + iArr2[i19 & 63];
        int i21 = i16 + iArr2[i20 & 63];
        int i22 = i17 + iArr2[i21 & 63];
        for (int i23 = 44; i23 < 64; i23 += 4) {
            i19 = h(i19 + ((~i22) & i20) + (i21 & i22) + this.f23737a[i23], 1);
            i20 = h(i20 + ((~i19) & i21) + (i22 & i19) + this.f23737a[i23 + 1], 2);
            i21 = h(i21 + ((~i20) & i22) + (i19 & i20) + this.f23737a[i23 + 2], 3);
            i22 = h(i22 + ((~i21) & i19) + (i20 & i21) + this.f23737a[i23 + 3], 5);
        }
        bArr2[i8 + 0] = (byte) i19;
        bArr2[i8 + 1] = (byte) (i19 >> 8);
        bArr2[i8 + 2] = (byte) i20;
        bArr2[i8 + 3] = (byte) (i20 >> 8);
        bArr2[i8 + 4] = (byte) i21;
        bArr2[i8 + 5] = (byte) (i21 >> 8);
        bArr2[i8 + 6] = (byte) i22;
        bArr2[i8 + 7] = (byte) (i22 >> 8);
    }

    private int[] g(byte[] bArr, int i7) {
        int[] iArr = new int[128];
        for (int i8 = 0; i8 != bArr.length; i8++) {
            iArr[i8] = bArr[i8] & 255;
        }
        int length = bArr.length;
        if (length < 128) {
            int i9 = iArr[length - 1];
            int i10 = 0;
            while (true) {
                int i11 = i10 + 1;
                i9 = f23735c[(i9 + iArr[i10]) & 255] & 255;
                int i12 = length + 1;
                iArr[length] = i9;
                if (i12 >= 128) {
                    break;
                }
                length = i12;
                i10 = i11;
            }
        }
        int i13 = (i7 + 7) >> 3;
        int i14 = 128 - i13;
        int i15 = f23735c[(255 >> ((-i7) & 7)) & iArr[i14]] & 255;
        iArr[i14] = i15;
        for (int i16 = i14 - 1; i16 >= 0; i16--) {
            i15 = f23735c[i15 ^ iArr[i16 + i13]] & 255;
            iArr[i16] = i15;
        }
        int[] iArr2 = new int[64];
        for (int i17 = 0; i17 != 64; i17++) {
            int i18 = i17 * 2;
            iArr2[i17] = iArr[i18] + (iArr[i18 + 1] << 8);
        }
        return iArr2;
    }

    private int h(int i7, int i8) {
        int i9 = 65535 & i7;
        return (i9 >> (16 - i8)) | (i9 << i8);
    }

    @Override // org.bouncycastle2.crypto.e
    public void a(boolean z7, i iVar) {
        this.f23738b = z7;
        if (iVar instanceof q0) {
            q0 q0Var = (q0) iVar;
            this.f23737a = g(q0Var.b(), q0Var.a());
        } else if (iVar instanceof k0) {
            byte[] a8 = ((k0) iVar).a();
            this.f23737a = g(a8, a8.length * 8);
        } else {
            throw new IllegalArgumentException("invalid parameter passed to RC2 init - " + iVar.getClass().getName());
        }
    }

    @Override // org.bouncycastle2.crypto.e
    public String b() {
        return "RC2";
    }

    @Override // org.bouncycastle2.crypto.e
    public final int c(byte[] bArr, int i7, byte[] bArr2, int i8) {
        if (this.f23737a == null) {
            throw new IllegalStateException("RC2 engine not initialised");
        } else if (i7 + 8 > bArr.length) {
            throw new l("input buffer too short");
        } else if (i8 + 8 > bArr2.length) {
            throw new l("output buffer too short");
        } else if (this.f23738b) {
            f(bArr, i7, bArr2, i8);
            return 8;
        } else {
            e(bArr, i7, bArr2, i8);
            return 8;
        }
    }

    @Override // org.bouncycastle2.crypto.e
    public int d() {
        return 8;
    }

    @Override // org.bouncycastle2.crypto.e
    public void reset() {
    }
}
