package org.bouncycastle2.crypto.engines;

import java.security.SecureRandom;
import org.bouncycastle2.crypto.a0;
import org.bouncycastle2.crypto.digests.k;
import org.bouncycastle2.crypto.i;
import org.bouncycastle2.crypto.modes.b;
import org.bouncycastle2.crypto.o;
import org.bouncycastle2.crypto.params.n0;
import org.bouncycastle2.crypto.params.o0;
import org.bouncycastle2.crypto.q;
import v5.a;

public class v implements a0 {

    /* renamed from: i  reason: collision with root package name */
    private static final byte[] f23739i = {74, -35, -94, 44, 121, -24, 33, 5};

    /* renamed from: a  reason: collision with root package name */
    private b f23740a;

    /* renamed from: b  reason: collision with root package name */
    private i f23741b;

    /* renamed from: c  reason: collision with root package name */
    private n0 f23742c;

    /* renamed from: d  reason: collision with root package name */
    private byte[] f23743d;

    /* renamed from: e  reason: collision with root package name */
    private boolean f23744e;

    /* renamed from: f  reason: collision with root package name */
    private SecureRandom f23745f;

    /* renamed from: g  reason: collision with root package name */
    o f23746g = new k();

    /* renamed from: h  reason: collision with root package name */
    byte[] f23747h = new byte[20];

    private byte[] e(byte[] bArr) {
        byte[] bArr2 = new byte[8];
        this.f23746g.d(bArr, 0, bArr.length);
        this.f23746g.c(this.f23747h, 0);
        System.arraycopy(this.f23747h, 0, bArr2, 0, 8);
        return bArr2;
    }

    private boolean f(byte[] bArr, byte[] bArr2) {
        return a.f(e(bArr), bArr2);
    }

    @Override // org.bouncycastle2.crypto.a0
    public void a(boolean z7, i iVar) {
        this.f23744e = z7;
        this.f23740a = new b(new u());
        if (iVar instanceof o0) {
            o0 o0Var = (o0) iVar;
            this.f23745f = o0Var.b();
            iVar = o0Var.a();
        } else {
            this.f23745f = new SecureRandom();
        }
        if (iVar instanceof n0) {
            n0 n0Var = (n0) iVar;
            this.f23742c = n0Var;
            this.f23743d = n0Var.a();
            this.f23741b = this.f23742c.b();
            if (this.f23744e) {
                byte[] bArr = this.f23743d;
                if (bArr == null || bArr.length != 8) {
                    throw new IllegalArgumentException("IV is not 8 octets");
                }
                return;
            }
            throw new IllegalArgumentException("You should not supply an IV for unwrapping");
        }
        this.f23741b = iVar;
        if (this.f23744e) {
            byte[] bArr2 = new byte[8];
            this.f23743d = bArr2;
            this.f23745f.nextBytes(bArr2);
            this.f23742c = new n0(this.f23741b, this.f23743d);
        }
    }

    @Override // org.bouncycastle2.crypto.a0
    public String b() {
        return "RC2";
    }

    @Override // org.bouncycastle2.crypto.a0
    public byte[] c(byte[] bArr, int i7, int i8) throws q {
        if (this.f23744e) {
            throw new IllegalStateException("Not set for unwrapping");
        } else if (bArr == null) {
            throw new q("Null pointer as ciphertext");
        } else if (i8 % this.f23740a.d() == 0) {
            this.f23740a.a(false, new n0(this.f23741b, f23739i));
            byte[] bArr2 = new byte[i8];
            System.arraycopy(bArr, i7, bArr2, 0, i8);
            for (int i9 = 0; i9 < i8 / this.f23740a.d(); i9++) {
                int d7 = this.f23740a.d() * i9;
                this.f23740a.c(bArr2, d7, bArr2, d7);
            }
            byte[] bArr3 = new byte[i8];
            int i10 = 0;
            while (i10 < i8) {
                int i11 = i10 + 1;
                bArr3[i10] = bArr2[i8 - i11];
                i10 = i11;
            }
            byte[] bArr4 = new byte[8];
            this.f23743d = bArr4;
            int i12 = i8 - 8;
            byte[] bArr5 = new byte[i12];
            System.arraycopy(bArr3, 0, bArr4, 0, 8);
            System.arraycopy(bArr3, 8, bArr5, 0, i12);
            n0 n0Var = new n0(this.f23741b, this.f23743d);
            this.f23742c = n0Var;
            this.f23740a.a(false, n0Var);
            byte[] bArr6 = new byte[i12];
            System.arraycopy(bArr5, 0, bArr6, 0, i12);
            for (int i13 = 0; i13 < i12 / this.f23740a.d(); i13++) {
                int d8 = this.f23740a.d() * i13;
                this.f23740a.c(bArr6, d8, bArr6, d8);
            }
            int i14 = i12 - 8;
            byte[] bArr7 = new byte[i14];
            byte[] bArr8 = new byte[8];
            System.arraycopy(bArr6, 0, bArr7, 0, i14);
            System.arraycopy(bArr6, i14, bArr8, 0, 8);
            if (f(bArr7, bArr8)) {
                byte b7 = bArr7[0];
                if (i14 - ((b7 & 255) + 1) <= 7) {
                    byte[] bArr9 = new byte[b7];
                    System.arraycopy(bArr7, 1, bArr9, 0, b7);
                    return bArr9;
                }
                throw new q("too many pad bytes (" + (i14 - ((bArr7[0] & 255) + 1)) + ")");
            }
            throw new q("Checksum inside ciphertext is corrupted");
        } else {
            throw new q("Ciphertext not multiple of " + this.f23740a.d());
        }
    }

    @Override // org.bouncycastle2.crypto.a0
    public byte[] d(byte[] bArr, int i7, int i8) {
        if (this.f23744e) {
            int i9 = i8 + 1;
            int i10 = i9 % 8;
            int i11 = i10 != 0 ? (8 - i10) + i9 : i9;
            byte[] bArr2 = new byte[i11];
            bArr2[0] = (byte) i8;
            System.arraycopy(bArr, i7, bArr2, 1, i8);
            int i12 = (i11 - i8) - 1;
            byte[] bArr3 = new byte[i12];
            if (i12 > 0) {
                this.f23745f.nextBytes(bArr3);
                System.arraycopy(bArr3, 0, bArr2, i9, i12);
            }
            byte[] e7 = e(bArr2);
            int length = e7.length + i11;
            byte[] bArr4 = new byte[length];
            System.arraycopy(bArr2, 0, bArr4, 0, i11);
            System.arraycopy(e7, 0, bArr4, i11, e7.length);
            byte[] bArr5 = new byte[length];
            System.arraycopy(bArr4, 0, bArr5, 0, length);
            int d7 = length / this.f23740a.d();
            if (length % this.f23740a.d() == 0) {
                this.f23740a.a(true, this.f23742c);
                for (int i13 = 0; i13 < d7; i13++) {
                    int d8 = this.f23740a.d() * i13;
                    this.f23740a.c(bArr5, d8, bArr5, d8);
                }
                byte[] bArr6 = this.f23743d;
                int length2 = bArr6.length + length;
                byte[] bArr7 = new byte[length2];
                System.arraycopy(bArr6, 0, bArr7, 0, bArr6.length);
                System.arraycopy(bArr5, 0, bArr7, this.f23743d.length, length);
                byte[] bArr8 = new byte[length2];
                int i14 = 0;
                while (i14 < length2) {
                    int i15 = i14 + 1;
                    bArr8[i14] = bArr7[length2 - i15];
                    i14 = i15;
                }
                this.f23740a.a(true, new n0(this.f23741b, f23739i));
                for (int i16 = 0; i16 < d7 + 1; i16++) {
                    int d9 = this.f23740a.d() * i16;
                    this.f23740a.c(bArr8, d9, bArr8, d9);
                }
                return bArr8;
            }
            throw new IllegalStateException("Not multiple of block length");
        }
        throw new IllegalStateException("Not initialized for wrapping");
    }
}
