package org.bouncycastle2.jce.provider;

import java.io.IOException;
import java.io.InputStream;
import java.io.PushbackInputStream;
import java.security.cert.CRL;
import java.security.cert.CRLException;
import java.security.cert.CertPath;
import java.security.cert.Certificate;
import java.security.cert.CertificateException;
import java.security.cert.CertificateFactorySpi;
import java.security.cert.CertificateParsingException;
import java.security.cert.X509Certificate;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;
import java.util.List;
import org.bouncycastle2.asn1.e;
import org.bouncycastle2.asn1.m;
import org.bouncycastle2.asn1.n0;
import org.bouncycastle2.asn1.o;
import org.bouncycastle2.asn1.pkcs.u;
import org.bouncycastle2.asn1.r;
import org.bouncycastle2.asn1.x509.x0;

public class a1 extends CertificateFactorySpi {

    /* renamed from: g  reason: collision with root package name */
    private static final e1 f24206g = new e1("CERTIFICATE");

    /* renamed from: h  reason: collision with root package name */
    private static final e1 f24207h = new e1("CRL");

    /* renamed from: a  reason: collision with root package name */
    private o f24208a = null;

    /* renamed from: b  reason: collision with root package name */
    private int f24209b = 0;

    /* renamed from: c  reason: collision with root package name */
    private InputStream f24210c = null;

    /* renamed from: d  reason: collision with root package name */
    private o f24211d = null;

    /* renamed from: e  reason: collision with root package name */
    private int f24212e = 0;

    /* renamed from: f  reason: collision with root package name */
    private InputStream f24213f = null;

    private CRL b() throws CRLException {
        o oVar = this.f24211d;
        if (oVar == null || this.f24212e >= oVar.u()) {
            return null;
        }
        o oVar2 = this.f24211d;
        int i7 = this.f24212e;
        this.f24212e = i7 + 1;
        return a(org.bouncycastle2.asn1.x509.o.j(oVar2.q(i7)));
    }

    private Certificate c() throws CertificateParsingException {
        if (this.f24208a == null) {
            return null;
        }
        while (this.f24209b < this.f24208a.u()) {
            o oVar = this.f24208a;
            int i7 = this.f24209b;
            this.f24209b = i7 + 1;
            n0 q7 = oVar.q(i7);
            if (q7 instanceof m) {
                return new a2(x0.k(q7));
            }
        }
        return null;
    }

    private CRL d(e eVar) throws IOException, CRLException {
        m mVar = (m) eVar.h();
        if (mVar.s() <= 1 || !(mVar.p(0) instanceof org.bouncycastle2.asn1.a1) || !mVar.p(0).equals(org.bouncycastle2.asn1.pkcs.m.Z0)) {
            return a(org.bouncycastle2.asn1.x509.o.j(mVar));
        }
        this.f24211d = new u(m.o((r) mVar.p(1), true)).j();
        return b();
    }

    private Certificate e(e eVar) throws IOException, CertificateParsingException {
        m mVar = (m) eVar.h();
        if (mVar.s() <= 1 || !(mVar.p(0) instanceof org.bouncycastle2.asn1.a1) || !mVar.p(0).equals(org.bouncycastle2.asn1.pkcs.m.Z0)) {
            return new a2(x0.k(mVar));
        }
        this.f24208a = new u(m.o((r) mVar.p(1), true)).k();
        return c();
    }

    private CRL f(InputStream inputStream) throws IOException, CRLException {
        m b7 = f24207h.b(inputStream);
        if (b7 != null) {
            return a(org.bouncycastle2.asn1.x509.o.j(b7));
        }
        return null;
    }

    private Certificate g(InputStream inputStream) throws IOException, CertificateParsingException {
        m b7 = f24206g.b(inputStream);
        if (b7 != null) {
            return new a2(x0.k(b7));
        }
        return null;
    }

    /* access modifiers changed from: protected */
    public CRL a(org.bouncycastle2.asn1.x509.o oVar) throws CRLException {
        return new w1(oVar);
    }

    @Override // java.security.cert.CertificateFactorySpi
    public CRL engineGenerateCRL(InputStream inputStream) throws CRLException {
        InputStream inputStream2 = this.f24213f;
        if (inputStream2 == null || inputStream2 != inputStream) {
            this.f24213f = inputStream;
            this.f24211d = null;
            this.f24212e = 0;
        }
        try {
            o oVar = this.f24211d;
            if (oVar == null) {
                int b7 = o1.b(inputStream);
                PushbackInputStream pushbackInputStream = new PushbackInputStream(inputStream);
                int read = pushbackInputStream.read();
                if (read == -1) {
                    return null;
                }
                pushbackInputStream.unread(read);
                return read != 48 ? f(pushbackInputStream) : d(new e(pushbackInputStream, b7, true));
            } else if (this.f24212e != oVar.u()) {
                return b();
            } else {
                this.f24211d = null;
                this.f24212e = 0;
                return null;
            }
        } catch (CRLException e7) {
            throw e7;
        } catch (Exception e8) {
            throw new CRLException(e8.toString());
        }
    }

    @Override // java.security.cert.CertificateFactorySpi
    public Collection engineGenerateCRLs(InputStream inputStream) throws CRLException {
        ArrayList arrayList = new ArrayList();
        while (true) {
            CRL engineGenerateCRL = engineGenerateCRL(inputStream);
            if (engineGenerateCRL == null) {
                return arrayList;
            }
            arrayList.add(engineGenerateCRL);
        }
    }

    @Override // java.security.cert.CertificateFactorySpi
    public CertPath engineGenerateCertPath(InputStream inputStream) throws CertificateException {
        return engineGenerateCertPath(inputStream, "PkiPath");
    }

    @Override // java.security.cert.CertificateFactorySpi
    public Certificate engineGenerateCertificate(InputStream inputStream) throws CertificateException {
        InputStream inputStream2 = this.f24210c;
        if (inputStream2 == null || inputStream2 != inputStream) {
            this.f24210c = inputStream;
            this.f24208a = null;
            this.f24209b = 0;
        }
        try {
            o oVar = this.f24208a;
            if (oVar == null) {
                int b7 = o1.b(inputStream);
                PushbackInputStream pushbackInputStream = new PushbackInputStream(inputStream);
                int read = pushbackInputStream.read();
                if (read == -1) {
                    return null;
                }
                pushbackInputStream.unread(read);
                return read != 48 ? g(pushbackInputStream) : e(new e(pushbackInputStream, b7));
            } else if (this.f24209b != oVar.u()) {
                return c();
            } else {
                this.f24208a = null;
                this.f24209b = 0;
                return null;
            }
        } catch (Exception e7) {
            throw new CertificateException(e7);
        }
    }

    @Override // java.security.cert.CertificateFactorySpi
    public Collection engineGenerateCertificates(InputStream inputStream) throws CertificateException {
        ArrayList arrayList = new ArrayList();
        while (true) {
            Certificate engineGenerateCertificate = engineGenerateCertificate(inputStream);
            if (engineGenerateCertificate == null) {
                return arrayList;
            }
            arrayList.add(engineGenerateCertificate);
        }
    }

    @Override // java.security.cert.CertificateFactorySpi
    public Iterator engineGetCertPathEncodings() {
        return i1.f24354g.iterator();
    }

    @Override // java.security.cert.CertificateFactorySpi
    public CertPath engineGenerateCertPath(InputStream inputStream, String str) throws CertificateException {
        return new i1(inputStream, str);
    }

    @Override // java.security.cert.CertificateFactorySpi
    public CertPath engineGenerateCertPath(List list) throws CertificateException {
        for (Object obj : list) {
            if (!(obj == null || (obj instanceof X509Certificate))) {
                throw new CertificateException("list contains non X509Certificate object while creating CertPath\n" + obj.toString());
            }
        }
        return new i1(list);
    }
}
