package org.bouncycastle2.jce.provider;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.math.BigInteger;
import java.security.InvalidKeyException;
import java.security.NoSuchAlgorithmException;
import java.security.NoSuchProviderException;
import java.security.Principal;
import java.security.Provider;
import java.security.PublicKey;
import java.security.Security;
import java.security.Signature;
import java.security.SignatureException;
import java.security.cert.Certificate;
import java.security.cert.CertificateEncodingException;
import java.security.cert.CertificateException;
import java.security.cert.CertificateExpiredException;
import java.security.cert.CertificateNotYetValidException;
import java.security.cert.CertificateParsingException;
import java.security.cert.X509Certificate;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Date;
import java.util.Enumeration;
import java.util.HashSet;
import java.util.List;
import java.util.Set;
import javax.security.auth.x500.X500Principal;
import org.bouncycastle2.asn1.c;
import org.bouncycastle2.asn1.e;
import org.bouncycastle2.asn1.g;
import org.bouncycastle2.asn1.j0;
import org.bouncycastle2.asn1.k;
import org.bouncycastle2.asn1.m;
import org.bouncycastle2.asn1.misc.f;
import org.bouncycastle2.asn1.n0;
import org.bouncycastle2.asn1.v0;
import org.bouncycastle2.asn1.x509.a1;
import org.bouncycastle2.asn1.x509.d0;
import org.bouncycastle2.asn1.x509.j;
import org.bouncycastle2.asn1.x509.x0;
import org.bouncycastle2.asn1.x509.z0;
import org.bouncycastle2.util.encoders.d;
import s5.q;
import v5.a;

public class a2 extends X509Certificate implements q {
    private q C1 = new f1();

    /* renamed from: f  reason: collision with root package name */
    private x0 f24214f;

    /* renamed from: g  reason: collision with root package name */
    private j f24215g;

    /* renamed from: p  reason: collision with root package name */
    private boolean[] f24216p;

    /* renamed from: x  reason: collision with root package name */
    private boolean f24217x;

    /* renamed from: y  reason: collision with root package name */
    private int f24218y;

    public a2(x0 x0Var) throws CertificateParsingException {
        this.f24214f = x0Var;
        try {
            byte[] j7 = j("2.5.29.19");
            if (j7 != null) {
                this.f24215g = j.j(g.l(j7));
            }
            try {
                byte[] j8 = j("2.5.29.15");
                if (j8 != null) {
                    j0 o7 = j0.o(g.l(j8));
                    byte[] m7 = o7.m();
                    int length = (m7.length * 8) - o7.q();
                    int i7 = 9;
                    if (length >= 9) {
                        i7 = length;
                    }
                    this.f24216p = new boolean[i7];
                    for (int i8 = 0; i8 != length; i8++) {
                        this.f24216p[i8] = (m7[i8 / 8] & (128 >>> (i8 % 8))) != 0;
                    }
                    return;
                }
                this.f24216p = null;
            } catch (Exception e7) {
                throw new CertificateParsingException("cannot construct KeyUsage: " + e7);
            }
        } catch (Exception e8) {
            throw new CertificateParsingException("cannot construct BasicConstraints: " + e8);
        }
    }

    private int h() {
        try {
            return a.j(getEncoded());
        } catch (CertificateEncodingException unused) {
            return 0;
        }
    }

    private void i(PublicKey publicKey, Signature signature) throws CertificateException, NoSuchAlgorithmException, SignatureException, InvalidKeyException {
        if (this.f24214f.p().equals(this.f24214f.t().q())) {
            b2.c(signature, this.f24214f.p().m());
            signature.initVerify(publicKey);
            signature.update(getTBSCertificate());
            if (!signature.verify(getSignature())) {
                throw new InvalidKeyException("Public key presented not for certificate signature");
            }
            return;
        }
        throw new CertificateException("signature algorithm in TBS cert not same as outer cert");
    }

    private byte[] j(String str) {
        z0 k7;
        a1 k8 = this.f24214f.t().k();
        if (k8 == null || (k7 = k8.k(new org.bouncycastle2.asn1.a1(str))) == null) {
            return null;
        }
        return k7.b().o();
    }

    @Override // s5.q
    public n0 a(org.bouncycastle2.asn1.a1 a1Var) {
        return this.C1.a(a1Var);
    }

    @Override // s5.q
    public Enumeration c() {
        return this.C1.c();
    }

    @Override // java.security.cert.X509Certificate
    public void checkValidity() throws CertificateExpiredException, CertificateNotYetValidException {
        checkValidity(new Date());
    }

    @Override // s5.q
    public void d(org.bouncycastle2.asn1.a1 a1Var, n0 n0Var) {
        this.C1.d(a1Var, n0Var);
    }

    public boolean equals(Object obj) {
        if (obj == this) {
            return true;
        }
        if (!(obj instanceof Certificate)) {
            return false;
        }
        try {
            return a.a(getEncoded(), ((Certificate) obj).getEncoded());
        } catch (CertificateEncodingException unused) {
            return false;
        }
    }

    public int getBasicConstraints() {
        j jVar = this.f24215g;
        if (jVar == null || !jVar.m()) {
            return -1;
        }
        if (this.f24215g.l() == null) {
            return Integer.MAX_VALUE;
        }
        return this.f24215g.l().intValue();
    }

    @Override // java.security.cert.X509Extension
    public Set getCriticalExtensionOIDs() {
        if (getVersion() != 3) {
            return null;
        }
        HashSet hashSet = new HashSet();
        a1 k7 = this.f24214f.t().k();
        if (k7 == null) {
            return null;
        }
        Enumeration n7 = k7.n();
        while (n7.hasMoreElements()) {
            org.bouncycastle2.asn1.a1 a1Var = (org.bouncycastle2.asn1.a1) n7.nextElement();
            if (k7.k(a1Var).c()) {
                hashSet.add(a1Var.m());
            }
        }
        return hashSet;
    }

    @Override // java.security.cert.Certificate
    public byte[] getEncoded() throws CertificateEncodingException {
        try {
            return this.f24214f.h(c.f22322f);
        } catch (IOException e7) {
            throw new CertificateEncodingException(e7.toString());
        }
    }

    @Override // java.security.cert.X509Certificate
    public List getExtendedKeyUsage() throws CertificateParsingException {
        byte[] j7 = j("2.5.29.37");
        if (j7 == null) {
            return null;
        }
        try {
            m mVar = (m) new e(j7).h();
            ArrayList arrayList = new ArrayList();
            for (int i7 = 0; i7 != mVar.s(); i7++) {
                arrayList.add(((org.bouncycastle2.asn1.a1) mVar.p(i7)).m());
            }
            return Collections.unmodifiableList(arrayList);
        } catch (Exception unused) {
            throw new CertificateParsingException("error processing extended key usage extension");
        }
    }

    public byte[] getExtensionValue(String str) {
        z0 k7;
        a1 k8 = this.f24214f.t().k();
        if (k8 == null || (k7 = k8.k(new org.bouncycastle2.asn1.a1(str))) == null) {
            return null;
        }
        try {
            return k7.b().g();
        } catch (Exception e7) {
            throw new IllegalStateException("error parsing " + e7.toString());
        }
    }

    public Principal getIssuerDN() {
        return new org.bouncycastle2.jce.g(this.f24214f.m());
    }

    public boolean[] getIssuerUniqueID() {
        j0 o7 = this.f24214f.t().o();
        if (o7 == null) {
            return null;
        }
        byte[] m7 = o7.m();
        int length = (m7.length * 8) - o7.q();
        boolean[] zArr = new boolean[length];
        for (int i7 = 0; i7 != length; i7++) {
            zArr[i7] = (m7[i7 / 8] & (128 >>> (i7 % 8))) != 0;
        }
        return zArr;
    }

    public X500Principal getIssuerX500Principal() {
        try {
            ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
            new k(byteArrayOutputStream).e(this.f24214f.m());
            return new X500Principal(byteArrayOutputStream.toByteArray());
        } catch (IOException unused) {
            throw new IllegalStateException("can't encode issuer DN");
        }
    }

    public boolean[] getKeyUsage() {
        return this.f24216p;
    }

    @Override // java.security.cert.X509Extension
    public Set getNonCriticalExtensionOIDs() {
        if (getVersion() != 3) {
            return null;
        }
        HashSet hashSet = new HashSet();
        a1 k7 = this.f24214f.t().k();
        if (k7 == null) {
            return null;
        }
        Enumeration n7 = k7.n();
        while (n7.hasMoreElements()) {
            org.bouncycastle2.asn1.a1 a1Var = (org.bouncycastle2.asn1.a1) n7.nextElement();
            if (!k7.k(a1Var).c()) {
                hashSet.add(a1Var.m());
            }
        }
        return hashSet;
    }

    public Date getNotAfter() {
        return this.f24214f.j().j();
    }

    public Date getNotBefore() {
        return this.f24214f.q().j();
    }

    public PublicKey getPublicKey() {
        return u0.d(this.f24214f.s());
    }

    public BigInteger getSerialNumber() {
        return this.f24214f.n().p();
    }

    public String getSigAlgName() {
        Provider provider = Security.getProvider("BC2");
        if (provider != null) {
            String property = provider.getProperty("Alg.Alias.Signature." + getSigAlgOID());
            if (property != null) {
                return property;
            }
        }
        Provider[] providers = Security.getProviders();
        for (int i7 = 0; i7 != providers.length; i7++) {
            Provider provider2 = providers[i7];
            String property2 = provider2.getProperty("Alg.Alias.Signature." + getSigAlgOID());
            if (property2 != null) {
                return property2;
            }
        }
        return getSigAlgOID();
    }

    public String getSigAlgOID() {
        return this.f24214f.p().l().m();
    }

    public byte[] getSigAlgParams() {
        if (this.f24214f.p().m() != null) {
            return this.f24214f.p().m().d().f();
        }
        return null;
    }

    public byte[] getSignature() {
        return this.f24214f.o().m();
    }

    public Principal getSubjectDN() {
        return new org.bouncycastle2.jce.g(this.f24214f.r());
    }

    public boolean[] getSubjectUniqueID() {
        j0 u7 = this.f24214f.t().u();
        if (u7 == null) {
            return null;
        }
        byte[] m7 = u7.m();
        int length = (m7.length * 8) - u7.q();
        boolean[] zArr = new boolean[length];
        for (int i7 = 0; i7 != length; i7++) {
            zArr[i7] = (m7[i7 / 8] & (128 >>> (i7 % 8))) != 0;
        }
        return zArr;
    }

    public X500Principal getSubjectX500Principal() {
        try {
            ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
            new k(byteArrayOutputStream).e(this.f24214f.r());
            return new X500Principal(byteArrayOutputStream.toByteArray());
        } catch (IOException unused) {
            throw new IllegalStateException("can't encode issuer DN");
        }
    }

    @Override // java.security.cert.X509Certificate
    public byte[] getTBSCertificate() throws CertificateEncodingException {
        try {
            return this.f24214f.t().h(c.f22322f);
        } catch (IOException e7) {
            throw new CertificateEncodingException(e7.toString());
        }
    }

    public int getVersion() {
        return this.f24214f.u();
    }

    public boolean hasUnsupportedCriticalExtension() {
        a1 k7;
        if (getVersion() != 3 || (k7 = this.f24214f.t().k()) == null) {
            return false;
        }
        Enumeration n7 = k7.n();
        while (n7.hasMoreElements()) {
            org.bouncycastle2.asn1.a1 a1Var = (org.bouncycastle2.asn1.a1) n7.nextElement();
            String m7 = a1Var.m();
            if (!m7.equals(p1.f24436m) && !m7.equals(p1.f24424a) && !m7.equals(p1.f24425b) && !m7.equals(p1.f24426c) && !m7.equals(p1.f24432i) && !m7.equals(p1.f24427d) && !m7.equals(p1.f24429f) && !m7.equals(p1.f24430g) && !m7.equals(p1.f24431h) && !m7.equals(p1.f24433j) && !m7.equals(p1.f24434k) && k7.k(a1Var).c()) {
                return true;
            }
        }
        return false;
    }

    public synchronized int hashCode() {
        if (!this.f24217x) {
            this.f24218y = h();
            this.f24217x = true;
        }
        return this.f24218y;
    }

    public String toString() {
        Object fVar;
        StringBuffer stringBuffer = new StringBuffer();
        String property = System.getProperty("line.separator");
        stringBuffer.append("  [0]         Version: ");
        stringBuffer.append(getVersion());
        stringBuffer.append(property);
        stringBuffer.append("         SerialNumber: ");
        stringBuffer.append(getSerialNumber());
        stringBuffer.append(property);
        stringBuffer.append("             IssuerDN: ");
        stringBuffer.append(getIssuerDN());
        stringBuffer.append(property);
        stringBuffer.append("           Start Date: ");
        stringBuffer.append(getNotBefore());
        stringBuffer.append(property);
        stringBuffer.append("           Final Date: ");
        stringBuffer.append(getNotAfter());
        stringBuffer.append(property);
        stringBuffer.append("            SubjectDN: ");
        stringBuffer.append(getSubjectDN());
        stringBuffer.append(property);
        stringBuffer.append("           Public Key: ");
        stringBuffer.append(getPublicKey());
        stringBuffer.append(property);
        stringBuffer.append("  Signature Algorithm: ");
        stringBuffer.append(getSigAlgName());
        stringBuffer.append(property);
        byte[] signature = getSignature();
        stringBuffer.append("            Signature: ");
        stringBuffer.append(new String(d.g(signature, 0, 20)));
        stringBuffer.append(property);
        int i7 = 20;
        while (i7 < signature.length) {
            int length = signature.length - 20;
            stringBuffer.append("                       ");
            stringBuffer.append(i7 < length ? new String(d.g(signature, i7, 20)) : new String(d.g(signature, i7, signature.length - i7)));
            stringBuffer.append(property);
            i7 += 20;
        }
        a1 k7 = this.f24214f.t().k();
        if (k7 != null) {
            Enumeration n7 = k7.n();
            if (n7.hasMoreElements()) {
                stringBuffer.append("       Extensions: \n");
            }
            while (n7.hasMoreElements()) {
                org.bouncycastle2.asn1.a1 a1Var = (org.bouncycastle2.asn1.a1) n7.nextElement();
                z0 k8 = k7.k(a1Var);
                if (k8.b() != null) {
                    e eVar = new e(k8.b().o());
                    stringBuffer.append("                       critical(");
                    stringBuffer.append(k8.c());
                    stringBuffer.append(") ");
                    try {
                        if (a1Var.equals(a1.X5)) {
                            fVar = new j((m) eVar.h());
                        } else if (a1Var.equals(a1.C2)) {
                            fVar = new d0((j0) eVar.h());
                        } else if (a1Var.equals(org.bouncycastle2.asn1.misc.c.f22409b)) {
                            fVar = new org.bouncycastle2.asn1.misc.d((j0) eVar.h());
                        } else if (a1Var.equals(org.bouncycastle2.asn1.misc.c.f22411d)) {
                            fVar = new org.bouncycastle2.asn1.misc.e((v0) eVar.h());
                        } else if (a1Var.equals(org.bouncycastle2.asn1.misc.c.f22418k)) {
                            fVar = new f((v0) eVar.h());
                        } else {
                            stringBuffer.append(a1Var.m());
                            stringBuffer.append(" value = ");
                            stringBuffer.append(org.bouncycastle2.asn1.util.a.c(eVar.h()));
                            stringBuffer.append(property);
                        }
                        stringBuffer.append(fVar);
                        stringBuffer.append(property);
                    } catch (Exception unused) {
                        stringBuffer.append(a1Var.m());
                        stringBuffer.append(" value = ");
                        stringBuffer.append("*****");
                    }
                }
                stringBuffer.append(property);
            }
        }
        return stringBuffer.toString();
    }

    @Override // java.security.cert.Certificate
    public final void verify(PublicKey publicKey) throws CertificateException, NoSuchAlgorithmException, InvalidKeyException, NoSuchProviderException, SignatureException {
        Signature signature;
        String b7 = b2.b(this.f24214f.p());
        try {
            signature = Signature.getInstance(b7, "BC2");
        } catch (Exception unused) {
            signature = Signature.getInstance(b7);
        }
        i(publicKey, signature);
    }

    @Override // java.security.cert.X509Certificate
    public void checkValidity(Date date) throws CertificateExpiredException, CertificateNotYetValidException {
        if (date.getTime() > getNotAfter().getTime()) {
            throw new CertificateExpiredException("certificate expired on " + this.f24214f.j().m());
        } else if (date.getTime() < getNotBefore().getTime()) {
            throw new CertificateNotYetValidException("certificate not valid till " + this.f24214f.q().m());
        }
    }

    @Override // java.security.cert.Certificate
    public final void verify(PublicKey publicKey, String str) throws CertificateException, NoSuchAlgorithmException, InvalidKeyException, NoSuchProviderException, SignatureException {
        i(publicKey, Signature.getInstance(b2.b(this.f24214f.p()), str));
    }
}
