package org.bouncycastle2.jce.provider.asymmetric.ec;

import java.math.BigInteger;
import java.security.InvalidAlgorithmParameterException;
import java.security.InvalidKeyException;
import java.security.Key;
import java.security.NoSuchAlgorithmException;
import java.security.PrivateKey;
import java.security.PublicKey;
import java.security.SecureRandom;
import java.security.spec.AlgorithmParameterSpec;
import java.util.Hashtable;
import javax.crypto.KeyAgreementSpi;
import javax.crypto.SecretKey;
import javax.crypto.ShortBufferException;
import javax.crypto.spec.SecretKeySpec;
import org.bouncycastle2.asn1.a1;
import org.bouncycastle2.asn1.x9.i;
import org.bouncycastle2.crypto.digests.k;
import org.bouncycastle2.crypto.m;
import org.bouncycastle2.crypto.params.l0;
import org.bouncycastle2.crypto.params.m0;
import org.bouncycastle2.crypto.params.q;
import org.bouncycastle2.crypto.params.t;
import org.bouncycastle2.crypto.params.u;
import s5.f;
import s5.o;
import s5.p;

public class c extends KeyAgreementSpi {

    /* renamed from: f  reason: collision with root package name */
    private static final i f24219f = new i();

    /* renamed from: g  reason: collision with root package name */
    private static final Hashtable f24220g;

    /* renamed from: a  reason: collision with root package name */
    private String f24221a;

    /* renamed from: b  reason: collision with root package name */
    private BigInteger f24222b;

    /* renamed from: c  reason: collision with root package name */
    private q f24223c;

    /* renamed from: d  reason: collision with root package name */
    private org.bouncycastle2.crypto.d f24224d;

    /* renamed from: e  reason: collision with root package name */
    private m f24225e;

    public static class a extends c {
        public a() {
            super("ECDH", new org.bouncycastle2.crypto.agreement.c(), null);
        }
    }

    public static class b extends c {
        public b() {
            super("ECDHC", new org.bouncycastle2.crypto.agreement.d(), null);
        }
    }

    /* renamed from: org.bouncycastle2.jce.provider.asymmetric.ec.c$c  reason: collision with other inner class name */
    public static class C0356c extends c {
        public C0356c() {
            super("ECDHwithSHA1KDF", new org.bouncycastle2.crypto.agreement.c(), new p5.b(new k()));
        }
    }

    public static class d extends c {
        public d() {
            super("ECMQV", new org.bouncycastle2.crypto.agreement.e(), null);
        }
    }

    public static class e extends c {
        public e() {
            super("ECMQVwithSHA1KDF", new org.bouncycastle2.crypto.agreement.e(), new p5.b(new k()));
        }
    }

    static {
        Hashtable hashtable = new Hashtable();
        f24220g = hashtable;
        Integer num = new Integer(128);
        Integer num2 = new Integer(192);
        Integer num3 = new Integer(256);
        hashtable.put(org.bouncycastle2.asn1.nist.b.f22434h.m(), num);
        hashtable.put(org.bouncycastle2.asn1.nist.b.f22441o.m(), num2);
        hashtable.put(org.bouncycastle2.asn1.nist.b.f22448v.m(), num3);
        hashtable.put(org.bouncycastle2.asn1.nist.b.f22437k.m(), num);
        hashtable.put(org.bouncycastle2.asn1.nist.b.f22444r.m(), num2);
        hashtable.put(org.bouncycastle2.asn1.nist.b.f22451y.m(), num3);
        hashtable.put(org.bouncycastle2.asn1.pkcs.m.I2.m(), num2);
    }

    protected c(String str, org.bouncycastle2.crypto.d dVar, m mVar) {
        this.f24221a = str;
        this.f24224d = dVar;
        this.f24225e = mVar;
    }

    private byte[] a(BigInteger bigInteger) {
        i iVar = f24219f;
        return iVar.c(bigInteger, iVar.b(this.f24223c.b().f()));
    }

    private static String b(Class cls) {
        String name = cls.getName();
        return name.substring(name.lastIndexOf(46) + 1);
    }

    private void c(Key key) throws InvalidKeyException {
        if (this.f24224d instanceof org.bouncycastle2.crypto.agreement.e) {
            if (key instanceof o) {
                o oVar = (o) key;
                t tVar = (t) b.b(oVar.u0());
                l0 l0Var = new l0(tVar, (t) b.b(oVar.M0()), oVar.o1() != null ? (u) b.c(oVar.o1()) : null);
                this.f24223c = tVar.b();
                this.f24224d.a(l0Var);
                return;
            }
            throw new InvalidKeyException(String.valueOf(this.f24221a) + " key agreement requires " + b(o.class) + " for initialisation");
        } else if (key instanceof s5.e) {
            t tVar2 = (t) b.b((PrivateKey) key);
            this.f24223c = tVar2.b();
            this.f24224d.a(tVar2);
        } else {
            throw new InvalidKeyException(String.valueOf(this.f24221a) + " key agreement requires " + b(s5.e.class) + " for initialisation");
        }
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.KeyAgreementSpi
    public Key engineDoPhase(Key key, boolean z7) throws InvalidKeyException, IllegalStateException {
        org.bouncycastle2.crypto.i iVar;
        if (this.f24223c == null) {
            throw new IllegalStateException(String.valueOf(this.f24221a) + " not initialised.");
        } else if (z7) {
            if (this.f24224d instanceof org.bouncycastle2.crypto.agreement.e) {
                if (key instanceof p) {
                    p pVar = (p) key;
                    iVar = new m0((u) b.c(pVar.Y0()), (u) b.c(pVar.u1()));
                } else {
                    throw new InvalidKeyException(String.valueOf(this.f24221a) + " key agreement requires " + b(p.class) + " for doPhase");
                }
            } else if (key instanceof f) {
                iVar = b.c((PublicKey) key);
            } else {
                throw new InvalidKeyException(String.valueOf(this.f24221a) + " key agreement requires " + b(f.class) + " for doPhase");
            }
            this.f24222b = this.f24224d.b(iVar);
            return null;
        } else {
            throw new IllegalStateException(String.valueOf(this.f24221a) + " can only be between two parties.");
        }
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.KeyAgreementSpi
    public int engineGenerateSecret(byte[] bArr, int i7) throws IllegalStateException, ShortBufferException {
        byte[] engineGenerateSecret = engineGenerateSecret();
        if (bArr.length - i7 >= engineGenerateSecret.length) {
            System.arraycopy(engineGenerateSecret, 0, bArr, i7, engineGenerateSecret.length);
            return engineGenerateSecret.length;
        }
        throw new ShortBufferException(String.valueOf(this.f24221a) + " key agreement: need " + engineGenerateSecret.length + " bytes");
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.KeyAgreementSpi
    public void engineInit(Key key, SecureRandom secureRandom) throws InvalidKeyException {
        c(key);
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.KeyAgreementSpi
    public SecretKey engineGenerateSecret(String str) throws NoSuchAlgorithmException {
        byte[] a8 = a(this.f24222b);
        if (this.f24225e != null) {
            Hashtable hashtable = f24220g;
            if (hashtable.containsKey(str)) {
                int intValue = ((Integer) hashtable.get(str)).intValue();
                p5.a aVar = new p5.a(new a1(str), intValue, a8);
                int i7 = intValue / 8;
                a8 = new byte[i7];
                this.f24225e.b(aVar);
                this.f24225e.a(a8, 0, i7);
            } else {
                throw new NoSuchAlgorithmException("unknown algorithm encountered: " + str);
            }
        }
        return new SecretKeySpec(a8, str);
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.KeyAgreementSpi
    public void engineInit(Key key, AlgorithmParameterSpec algorithmParameterSpec, SecureRandom secureRandom) throws InvalidKeyException, InvalidAlgorithmParameterException {
        c(key);
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.KeyAgreementSpi
    public byte[] engineGenerateSecret() throws IllegalStateException {
        if (this.f24225e == null) {
            return a(this.f24222b);
        }
        throw new UnsupportedOperationException("KDF can only be used when algorithm is known");
    }
}
