package org.bouncycastle2.jce.provider.asymmetric.ec;

import java.security.InvalidKeyException;
import java.security.Key;
import java.security.PrivateKey;
import java.security.PublicKey;
import java.security.interfaces.ECPrivateKey;
import java.security.interfaces.ECPublicKey;
import java.security.spec.ECPrivateKeySpec;
import java.security.spec.ECPublicKeySpec;
import java.security.spec.InvalidKeySpecException;
import java.security.spec.KeySpec;
import java.security.spec.PKCS8EncodedKeySpec;
import java.security.spec.X509EncodedKeySpec;
import org.bouncycastle2.jce.provider.o1;
import org.bouncycastle2.jce.provider.u;
import org.bouncycastle2.jce.provider.u0;
import org.bouncycastle2.jce.provider.v;

public class d extends u0 {

    /* renamed from: b  reason: collision with root package name */
    String f24226b;

    public static class a extends d {
        public a() {
            super("EC");
        }
    }

    public static class b extends d {
        public b() {
            super("ECDH");
        }
    }

    public static class c extends d {
        public c() {
            super("ECDHC");
        }
    }

    /* renamed from: org.bouncycastle2.jce.provider.asymmetric.ec.d$d  reason: collision with other inner class name */
    public static class C0357d extends d {
        public C0357d() {
            super("ECDSA");
        }
    }

    public static class e extends d {
        public e() {
            super("ECGOST3410");
        }
    }

    public static class f extends d {
        public f() {
            super("ECMQV");
        }
    }

    d(String str) {
        this.f24226b = str;
    }

    /* access modifiers changed from: protected */
    @Override // java.security.KeyFactorySpi, org.bouncycastle2.jce.provider.u0
    public PrivateKey engineGeneratePrivate(KeySpec keySpec) throws InvalidKeySpecException {
        if (keySpec instanceof PKCS8EncodedKeySpec) {
            try {
                return new u(this.f24226b, (u) u0.a(((PKCS8EncodedKeySpec) keySpec).getEncoded()));
            } catch (Exception e7) {
                throw new InvalidKeySpecException(e7.toString());
            }
        } else if (keySpec instanceof org.bouncycastle2.jce.spec.e) {
            return new u(this.f24226b, (org.bouncycastle2.jce.spec.e) keySpec);
        } else {
            if (keySpec instanceof ECPrivateKeySpec) {
                return new u(this.f24226b, (ECPrivateKeySpec) keySpec);
            }
            throw new InvalidKeySpecException("Unknown KeySpec type: " + keySpec.getClass().getName());
        }
    }

    /* access modifiers changed from: protected */
    @Override // java.security.KeyFactorySpi, org.bouncycastle2.jce.provider.u0
    public PublicKey engineGeneratePublic(KeySpec keySpec) throws InvalidKeySpecException {
        if (keySpec instanceof X509EncodedKeySpec) {
            try {
                return new v(this.f24226b, (v) u0.c(((X509EncodedKeySpec) keySpec).getEncoded()));
            } catch (Exception e7) {
                throw new InvalidKeySpecException(e7.toString());
            }
        } else if (keySpec instanceof org.bouncycastle2.jce.spec.f) {
            return new v(this.f24226b, (org.bouncycastle2.jce.spec.f) keySpec);
        } else {
            if (keySpec instanceof ECPublicKeySpec) {
                return new v(this.f24226b, (ECPublicKeySpec) keySpec);
            }
            throw new InvalidKeySpecException("Unknown KeySpec type: " + keySpec.getClass().getName());
        }
    }

    /* access modifiers changed from: protected */
    @Override // java.security.KeyFactorySpi, org.bouncycastle2.jce.provider.u0
    public KeySpec engineGetKeySpec(Key key, Class cls) throws InvalidKeySpecException {
        if (cls.isAssignableFrom(PKCS8EncodedKeySpec.class) && key.getFormat().equals("PKCS#8")) {
            return new PKCS8EncodedKeySpec(key.getEncoded());
        }
        if (cls.isAssignableFrom(X509EncodedKeySpec.class) && key.getFormat().equals("X.509")) {
            return new X509EncodedKeySpec(key.getEncoded());
        }
        if (cls.isAssignableFrom(ECPublicKeySpec.class) && (key instanceof ECPublicKey)) {
            ECPublicKey eCPublicKey = (ECPublicKey) key;
            if (eCPublicKey.getParams() != null) {
                return new ECPublicKeySpec(eCPublicKey.getW(), eCPublicKey.getParams());
            }
            org.bouncycastle2.jce.spec.d a8 = o1.a();
            return new ECPublicKeySpec(eCPublicKey.getW(), a.e(a.a(a8.a(), a8.e()), a8));
        } else if (!cls.isAssignableFrom(ECPrivateKeySpec.class) || !(key instanceof ECPrivateKey)) {
            throw new RuntimeException("not implemented yet " + key + " " + cls);
        } else {
            ECPrivateKey eCPrivateKey = (ECPrivateKey) key;
            if (eCPrivateKey.getParams() != null) {
                return new ECPrivateKeySpec(eCPrivateKey.getS(), eCPrivateKey.getParams());
            }
            org.bouncycastle2.jce.spec.d a9 = o1.a();
            return new ECPrivateKeySpec(eCPrivateKey.getS(), a.e(a.a(a9.a(), a9.e()), a9));
        }
    }

    /* access modifiers changed from: protected */
    @Override // java.security.KeyFactorySpi, org.bouncycastle2.jce.provider.u0
    public Key engineTranslateKey(Key key) throws InvalidKeyException {
        if (key instanceof ECPublicKey) {
            return new v((ECPublicKey) key);
        }
        if (key instanceof ECPrivateKey) {
            return new u((ECPrivateKey) key);
        }
        throw new InvalidKeyException("key type unknown");
    }
}
