package org.bouncycastle2.jce.provider.asymmetric.ec;

import java.math.BigInteger;
import java.security.InvalidAlgorithmParameterException;
import java.security.InvalidParameterException;
import java.security.KeyPair;
import java.security.SecureRandom;
import java.security.spec.AlgorithmParameterSpec;
import java.security.spec.ECGenParameterSpec;
import java.security.spec.ECParameterSpec;
import java.util.Hashtable;
import org.bouncycastle2.asn1.a1;
import org.bouncycastle2.crypto.generators.k;
import org.bouncycastle2.crypto.params.q;
import org.bouncycastle2.crypto.params.r;
import org.bouncycastle2.crypto.params.t;
import org.bouncycastle2.crypto.params.u;
import org.bouncycastle2.jce.provider.o1;
import org.bouncycastle2.jce.provider.v;
import org.bouncycastle2.jce.provider.v0;

public abstract class e extends v0 {

    public static class a extends e {

        /* renamed from: i  reason: collision with root package name */
        private static Hashtable f24227i;

        /* renamed from: a  reason: collision with root package name */
        r f24228a;

        /* renamed from: b  reason: collision with root package name */
        k f24229b;

        /* renamed from: c  reason: collision with root package name */
        Object f24230c;

        /* renamed from: d  reason: collision with root package name */
        int f24231d;

        /* renamed from: e  reason: collision with root package name */
        int f24232e;

        /* renamed from: f  reason: collision with root package name */
        SecureRandom f24233f;

        /* renamed from: g  reason: collision with root package name */
        boolean f24234g;

        /* renamed from: h  reason: collision with root package name */
        String f24235h;

        static {
            Hashtable hashtable = new Hashtable();
            f24227i = hashtable;
            hashtable.put(new Integer(192), new ECGenParameterSpec("prime192v1"));
            f24227i.put(new Integer(239), new ECGenParameterSpec("prime239v1"));
            f24227i.put(new Integer(256), new ECGenParameterSpec("prime256v1"));
            f24227i.put(new Integer(224), new ECGenParameterSpec("P-224"));
            f24227i.put(new Integer(384), new ECGenParameterSpec("P-384"));
            f24227i.put(new Integer(521), new ECGenParameterSpec("P-521"));
        }

        public a() {
            super("EC");
            this.f24229b = new k();
            this.f24230c = null;
            this.f24231d = 239;
            this.f24232e = 50;
            this.f24233f = new SecureRandom();
            this.f24234g = false;
            this.f24235h = "EC";
        }

        @Override // org.bouncycastle2.jce.provider.v0
        public KeyPair generateKeyPair() {
            if (this.f24234g) {
                org.bouncycastle2.crypto.b a8 = this.f24229b.a();
                u uVar = (u) a8.b();
                t tVar = (t) a8.a();
                Object obj = this.f24230c;
                if (obj instanceof org.bouncycastle2.jce.spec.d) {
                    org.bouncycastle2.jce.spec.d dVar = (org.bouncycastle2.jce.spec.d) obj;
                    v vVar = new v(this.f24235h, uVar, dVar);
                    return new KeyPair(vVar, new org.bouncycastle2.jce.provider.u(this.f24235h, tVar, vVar, dVar));
                } else if (obj == null) {
                    return new KeyPair(new v(this.f24235h, uVar), new org.bouncycastle2.jce.provider.u(this.f24235h, tVar));
                } else {
                    ECParameterSpec eCParameterSpec = (ECParameterSpec) obj;
                    v vVar2 = new v(this.f24235h, uVar, eCParameterSpec);
                    return new KeyPair(vVar2, new org.bouncycastle2.jce.provider.u(this.f24235h, tVar, vVar2, eCParameterSpec));
                }
            } else {
                throw new IllegalStateException("EC Key Pair Generator not initialised");
            }
        }

        @Override // org.bouncycastle2.jce.provider.v0, java.security.KeyPairGenerator, java.security.KeyPairGeneratorSpi
        public void initialize(int i7, SecureRandom secureRandom) {
            this.f24231d = i7;
            this.f24233f = secureRandom;
            Object obj = f24227i.get(new Integer(i7));
            this.f24230c = obj;
            if (obj != null) {
                try {
                    initialize((ECGenParameterSpec) obj, secureRandom);
                } catch (InvalidAlgorithmParameterException unused) {
                    throw new InvalidParameterException("key size not configurable.");
                }
            } else {
                throw new InvalidParameterException("unknown key size.");
            }
        }

        public a(String str) {
            super(str);
            this.f24229b = new k();
            this.f24230c = null;
            this.f24231d = 239;
            this.f24232e = 50;
            this.f24233f = new SecureRandom();
            this.f24234g = false;
            this.f24235h = str;
        }

        @Override // java.security.KeyPairGenerator, java.security.KeyPairGeneratorSpi
        public void initialize(AlgorithmParameterSpec algorithmParameterSpec, SecureRandom secureRandom) throws InvalidAlgorithmParameterException {
            r rVar;
            org.bouncycastle2.jce.spec.c cVar;
            r rVar2;
            if (algorithmParameterSpec instanceof org.bouncycastle2.jce.spec.d) {
                org.bouncycastle2.jce.spec.d dVar = (org.bouncycastle2.jce.spec.d) algorithmParameterSpec;
                this.f24230c = algorithmParameterSpec;
                rVar = new r(new q(dVar.a(), dVar.b(), dVar.d()), secureRandom);
            } else {
                if (algorithmParameterSpec instanceof ECParameterSpec) {
                    ECParameterSpec eCParameterSpec = (ECParameterSpec) algorithmParameterSpec;
                    this.f24230c = algorithmParameterSpec;
                    org.bouncycastle2.math.ec.c b7 = a.b(eCParameterSpec.getCurve());
                    rVar2 = new r(new q(b7, a.d(b7, eCParameterSpec.getGenerator(), false), eCParameterSpec.getOrder(), BigInteger.valueOf((long) eCParameterSpec.getCofactor())), secureRandom);
                } else if (algorithmParameterSpec instanceof ECGenParameterSpec) {
                    String name = ((ECGenParameterSpec) algorithmParameterSpec).getName();
                    if (this.f24235h.equals("ECGOST3410")) {
                        q a8 = org.bouncycastle2.asn1.cryptopro.b.a(name);
                        if (a8 != null) {
                            cVar = new org.bouncycastle2.jce.spec.c(name, a8.a(), a8.b(), a8.d(), a8.c(), a8.e());
                        } else {
                            throw new InvalidAlgorithmParameterException("unknown curve name: " + name);
                        }
                    } else {
                        org.bouncycastle2.asn1.x9.d b8 = org.bouncycastle2.asn1.x9.a.b(name);
                        if (b8 == null) {
                            b8 = org.bouncycastle2.asn1.sec.b.d(name);
                            if (b8 == null) {
                                b8 = org.bouncycastle2.asn1.nist.a.b(name);
                            }
                            if (b8 == null) {
                                b8 = org.bouncycastle2.asn1.teletrust.a.b(name);
                            }
                            if (b8 == null) {
                                try {
                                    a1 a1Var = new a1(name);
                                    org.bouncycastle2.asn1.x9.d c7 = org.bouncycastle2.asn1.x9.a.c(a1Var);
                                    if (c7 == null) {
                                        c7 = org.bouncycastle2.asn1.sec.b.e(a1Var);
                                    }
                                    if (c7 == null) {
                                        c7 = org.bouncycastle2.asn1.nist.a.c(a1Var);
                                    }
                                    b8 = c7 == null ? org.bouncycastle2.asn1.teletrust.a.c(a1Var) : c7;
                                    if (b8 == null) {
                                        throw new InvalidAlgorithmParameterException("unknown curve OID: " + name);
                                    }
                                } catch (IllegalArgumentException unused) {
                                    throw new InvalidAlgorithmParameterException("unknown curve name: " + name);
                                }
                            }
                        }
                        cVar = new org.bouncycastle2.jce.spec.c(name, b8.j(), b8.k(), b8.m(), b8.l(), null);
                    }
                    this.f24230c = cVar;
                    ECParameterSpec eCParameterSpec2 = (ECParameterSpec) this.f24230c;
                    org.bouncycastle2.math.ec.c b9 = a.b(eCParameterSpec2.getCurve());
                    rVar2 = new r(new q(b9, a.d(b9, eCParameterSpec2.getGenerator(), false), eCParameterSpec2.getOrder(), BigInteger.valueOf((long) eCParameterSpec2.getCofactor())), secureRandom);
                } else if (algorithmParameterSpec == null && o1.a() != null) {
                    org.bouncycastle2.jce.spec.d a9 = o1.a();
                    this.f24230c = algorithmParameterSpec;
                    rVar = new r(new q(a9.a(), a9.b(), a9.d()), secureRandom);
                } else if (algorithmParameterSpec == null && o1.a() == null) {
                    throw new InvalidAlgorithmParameterException("null parameter passed but no implicitCA set");
                } else {
                    throw new InvalidAlgorithmParameterException("parameter object not a ECParameterSpec");
                }
                this.f24228a = rVar2;
                this.f24229b.b(rVar2);
                this.f24234g = true;
            }
            this.f24228a = rVar;
            this.f24229b.b(rVar);
            this.f24234g = true;
        }
    }

    public static class b extends a {
        public b() {
            super("ECDH");
        }
    }

    public static class c extends a {
        public c() {
            super("ECDHC");
        }
    }

    public static class d extends a {
        public d() {
            super("ECDSA");
        }
    }

    /* renamed from: org.bouncycastle2.jce.provider.asymmetric.ec.e$e  reason: collision with other inner class name */
    public static class C0358e extends a {
        public C0358e() {
            super("ECGOST3410");
        }
    }

    public static class f extends a {
        public f() {
            super("ECMQV");
        }
    }

    public e(String str) {
        super(str);
    }
}
