package org.bouncycastle2.jce.provider.asymmetric.ec;

import java.io.IOException;
import java.math.BigInteger;
import java.security.InvalidKeyException;
import java.security.PrivateKey;
import java.security.PublicKey;
import java.security.SecureRandom;
import java.security.interfaces.ECPublicKey;
import org.bouncycastle2.asn1.f1;
import org.bouncycastle2.asn1.w0;
import org.bouncycastle2.crypto.params.o0;
import org.bouncycastle2.jce.provider.u0;

public class f extends org.bouncycastle2.jce.provider.j {

    private static class a implements org.bouncycastle2.jce.provider.k {
        private a() {
        }

        private byte[] c(BigInteger bigInteger) {
            byte[] byteArray = bigInteger.toByteArray();
            if (byteArray[0] != 0) {
                return byteArray;
            }
            int length = byteArray.length - 1;
            byte[] bArr = new byte[length];
            System.arraycopy(byteArray, 1, bArr, 0, length);
            return bArr;
        }

        @Override // org.bouncycastle2.jce.provider.k
        public byte[] a(BigInteger bigInteger, BigInteger bigInteger2) throws IOException {
            byte[] c7 = c(bigInteger);
            byte[] c8 = c(bigInteger2);
            byte[] bArr = new byte[((c7.length > c8.length ? c7.length : c8.length) * 2)];
            System.arraycopy(c7, 0, bArr, (bArr.length / 2) - c7.length, c7.length);
            System.arraycopy(c8, 0, bArr, bArr.length - c8.length, c8.length);
            return bArr;
        }

        @Override // org.bouncycastle2.jce.provider.k
        public BigInteger[] b(byte[] bArr) throws IOException {
            int length = bArr.length / 2;
            byte[] bArr2 = new byte[length];
            int length2 = bArr.length / 2;
            byte[] bArr3 = new byte[length2];
            System.arraycopy(bArr, 0, bArr2, 0, length);
            System.arraycopy(bArr, length, bArr3, 0, length2);
            return new BigInteger[]{new BigInteger(1, bArr2), new BigInteger(1, bArr3)};
        }

        /* synthetic */ a(a aVar) {
            this();
        }
    }

    private static class b implements org.bouncycastle2.jce.provider.k {
        private b() {
        }

        @Override // org.bouncycastle2.jce.provider.k
        public byte[] a(BigInteger bigInteger, BigInteger bigInteger2) throws IOException {
            org.bouncycastle2.asn1.d dVar = new org.bouncycastle2.asn1.d();
            dVar.a(new w0(bigInteger));
            dVar.a(new w0(bigInteger2));
            return new f1(dVar).h(org.bouncycastle2.asn1.c.f22322f);
        }

        @Override // org.bouncycastle2.jce.provider.k
        public BigInteger[] b(byte[] bArr) throws IOException {
            org.bouncycastle2.asn1.m mVar = (org.bouncycastle2.asn1.m) org.bouncycastle2.asn1.g.l(bArr);
            return new BigInteger[]{((w0) mVar.p(0)).p(), ((w0) mVar.p(1)).p()};
        }

        /* synthetic */ b(b bVar) {
            this();
        }
    }

    public static class c extends f {
        public c() {
            super(new org.bouncycastle2.crypto.digests.l(), new org.bouncycastle2.crypto.signers.b(), new a(null));
        }
    }

    public static class d extends f {
        public d() {
            super(new org.bouncycastle2.crypto.digests.m(), new org.bouncycastle2.crypto.signers.b(), new a(null));
        }
    }

    public static class e extends f {
        public e() {
            super(new org.bouncycastle2.crypto.digests.k(), new org.bouncycastle2.crypto.signers.b(), new a(null));
        }
    }

    /* renamed from: org.bouncycastle2.jce.provider.asymmetric.ec.f$f  reason: collision with other inner class name */
    public static class C0359f extends f {
        public C0359f() {
            super(new org.bouncycastle2.crypto.digests.l(), new org.bouncycastle2.crypto.signers.b(), new b(null));
        }
    }

    public static class g extends f {
        public g() {
            super(new org.bouncycastle2.crypto.digests.m(), new org.bouncycastle2.crypto.signers.b(), new b(null));
        }
    }

    public static class h extends f {
        public h() {
            super(new org.bouncycastle2.crypto.digests.n(), new org.bouncycastle2.crypto.signers.b(), new b(null));
        }
    }

    public static class i extends f {
        public i() {
            super(new org.bouncycastle2.crypto.digests.o(), new org.bouncycastle2.crypto.signers.b(), new b(null));
        }
    }

    public static class j extends f {
        public j() {
            super(new org.bouncycastle2.crypto.digests.k(), new org.bouncycastle2.crypto.signers.b(), new b(null));
        }
    }

    public static class k extends f {
        public k() {
            super(new org.bouncycastle2.crypto.digests.h(), new org.bouncycastle2.crypto.signers.b(), new b(null));
        }
    }

    public static class l extends f {
        public l() {
            super(new u5.a(), new org.bouncycastle2.crypto.signers.b(), new b(null));
        }
    }

    public static class m extends f {
        public m() {
            super(new org.bouncycastle2.crypto.digests.l(), new org.bouncycastle2.crypto.signers.d(), new b(null));
        }
    }

    public static class n extends f {
        public n() {
            super(new org.bouncycastle2.crypto.digests.m(), new org.bouncycastle2.crypto.signers.d(), new b(null));
        }
    }

    public static class o extends f {
        public o() {
            super(new org.bouncycastle2.crypto.digests.n(), new org.bouncycastle2.crypto.signers.d(), new b(null));
        }
    }

    public static class p extends f {
        public p() {
            super(new org.bouncycastle2.crypto.digests.o(), new org.bouncycastle2.crypto.signers.d(), new b(null));
        }
    }

    public static class q extends f {
        public q() {
            super(new org.bouncycastle2.crypto.digests.k(), new org.bouncycastle2.crypto.signers.d(), new b(null));
        }
    }

    f(org.bouncycastle2.crypto.o oVar, org.bouncycastle2.crypto.k kVar, org.bouncycastle2.jce.provider.k kVar2) {
        super(oVar, kVar, kVar2);
    }

    /* access modifiers changed from: protected */
    @Override // java.security.SignatureSpi
    public void engineInitSign(PrivateKey privateKey, SecureRandom secureRandom) throws InvalidKeyException {
        if (privateKey instanceof s5.c) {
            org.bouncycastle2.crypto.params.b b7 = b.b(privateKey);
            this.f24356f.reset();
            org.bouncycastle2.crypto.k kVar = this.f24357g;
            if (secureRandom != null) {
                kVar.a(true, new o0(b7, secureRandom));
            } else {
                kVar.a(true, b7);
            }
        } else {
            throw new InvalidKeyException("can't recognise key type in ECDSA based signer");
        }
    }

    /* access modifiers changed from: protected */
    @Override // java.security.SignatureSpi
    public void engineInitVerify(PublicKey publicKey) throws InvalidKeyException {
        org.bouncycastle2.crypto.params.b bVar;
        if (publicKey instanceof ECPublicKey) {
            bVar = b.c(publicKey);
        } else {
            try {
                PublicKey c7 = u0.c(publicKey.getEncoded());
                if (c7 instanceof ECPublicKey) {
                    bVar = b.c(c7);
                } else {
                    throw new InvalidKeyException("can't recognise key type in ECDSA based signer");
                }
            } catch (Exception unused) {
                throw new InvalidKeyException("can't recognise key type in ECDSA based signer");
            }
        }
        this.f24356f.reset();
        this.f24357g.a(false, bVar);
    }
}
