package org.bouncycastle2.jce.provider;

import java.security.InvalidAlgorithmParameterException;
import java.security.cert.CRL;
import java.security.cert.CRLSelector;
import java.security.cert.CertSelector;
import java.security.cert.CertStore;
import java.security.cert.CertStoreException;
import java.security.cert.CertStoreParameters;
import java.security.cert.CertStoreSpi;
import java.security.cert.Certificate;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;
import java.util.List;
import org.bouncycastle2.jce.b;

public class b1 extends CertStoreSpi {

    /* renamed from: a  reason: collision with root package name */
    private b f24246a;

    public b1(CertStoreParameters certStoreParameters) throws InvalidAlgorithmParameterException {
        super(certStoreParameters);
        if (certStoreParameters instanceof b) {
            this.f24246a = (b) certStoreParameters;
            return;
        }
        throw new InvalidAlgorithmParameterException("org.bouncycastle2.jce.provider.MultiCertStoreSpi: parameter must be a MultiCertStoreParameters object\n" + certStoreParameters.toString());
    }

    @Override // java.security.cert.CertStoreSpi
    public Collection engineGetCRLs(CRLSelector cRLSelector) throws CertStoreException {
        boolean b7 = this.f24246a.b();
        List arrayList = b7 ? new ArrayList() : Collections.EMPTY_LIST;
        for (CertStore certStore : this.f24246a.a()) {
            Collection<? extends CRL> cRLs = certStore.getCRLs(cRLSelector);
            if (b7) {
                arrayList.addAll(cRLs);
            } else if (!cRLs.isEmpty()) {
                return cRLs;
            }
        }
        return arrayList;
    }

    @Override // java.security.cert.CertStoreSpi
    public Collection engineGetCertificates(CertSelector certSelector) throws CertStoreException {
        boolean b7 = this.f24246a.b();
        List arrayList = b7 ? new ArrayList() : Collections.EMPTY_LIST;
        for (CertStore certStore : this.f24246a.a()) {
            Collection<? extends Certificate> certificates = certStore.getCertificates(certSelector);
            if (b7) {
                arrayList.addAll(certificates);
            } else if (!certificates.isEmpty()) {
                return certificates;
            }
        }
        return arrayList;
    }
}
