package org.bouncycastle2.jce.provider;

import java.security.AlgorithmParameters;
import java.security.InvalidAlgorithmParameterException;
import java.security.InvalidKeyException;
import java.security.Key;
import java.security.KeyFactory;
import java.security.NoSuchAlgorithmException;
import java.security.NoSuchProviderException;
import java.security.SecureRandom;
import java.security.spec.AlgorithmParameterSpec;
import java.security.spec.InvalidKeySpecException;
import java.security.spec.PKCS8EncodedKeySpec;
import java.security.spec.X509EncodedKeySpec;
import javax.crypto.BadPaddingException;
import javax.crypto.IllegalBlockSizeException;
import javax.crypto.NoSuchPaddingException;
import javax.crypto.spec.IvParameterSpec;
import javax.crypto.spec.PBEParameterSpec;
import javax.crypto.spec.RC2ParameterSpec;
import javax.crypto.spec.RC5ParameterSpec;
import javax.crypto.spec.SecretKeySpec;
import org.bouncycastle2.crypto.engines.i;
import org.bouncycastle2.crypto.engines.j;
import org.bouncycastle2.crypto.engines.l0;
import org.bouncycastle2.crypto.g;
import org.bouncycastle2.crypto.l;
import org.bouncycastle2.crypto.params.k0;
import org.bouncycastle2.crypto.params.n0;
import org.bouncycastle2.crypto.params.q0;
import org.bouncycastle2.crypto.params.r0;
import org.bouncycastle2.crypto.q;
import org.bouncycastle2.jce.provider.e;
import v5.h;

public class c implements e {

    /* renamed from: h  reason: collision with root package name */
    private Class[] f24248h = {IvParameterSpec.class, PBEParameterSpec.class, RC2ParameterSpec.class, RC5ParameterSpec.class};

    /* renamed from: i  reason: collision with root package name */
    private g f24249i;

    /* renamed from: j  reason: collision with root package name */
    private n0 f24250j;

    /* renamed from: k  reason: collision with root package name */
    private int f24251k = 2;

    /* renamed from: l  reason: collision with root package name */
    private int f24252l = 1;

    /* renamed from: m  reason: collision with root package name */
    private int f24253m;

    /* renamed from: n  reason: collision with root package name */
    private int f24254n;

    /* renamed from: o  reason: collision with root package name */
    private int f24255o = 0;

    /* renamed from: p  reason: collision with root package name */
    private AlgorithmParameters f24256p = null;

    public static class a extends c {
        public a() {
            super(new org.bouncycastle2.crypto.modes.b(new i()), 0, 0, 64, 64);
        }
    }

    public static class b extends c {
        public b() {
            super(new org.bouncycastle2.crypto.modes.b(new i()), 0, 1, 64, 64);
        }
    }

    /* renamed from: org.bouncycastle2.jce.provider.c$c  reason: collision with other inner class name */
    public static class C0361c extends c {
        public C0361c() {
            super(new org.bouncycastle2.crypto.modes.b(new j()), 2, 1, 128, 64);
        }
    }

    public static class d extends c {
        public d() {
            super(new org.bouncycastle2.crypto.modes.b(new j()), 2, 1, 192, 64);
        }
    }

    public static class e extends c {
        public e() {
            super(new org.bouncycastle2.crypto.modes.b(new j()), 3, 1, 192, 64);
        }
    }

    public static class f extends c {
        public f() {
            super(new org.bouncycastle2.crypto.modes.b(new l0()), 3, 1, 256, 128);
        }
    }

    protected c(org.bouncycastle2.crypto.e eVar) {
        this.f24249i = new org.bouncycastle2.crypto.paddings.e(eVar);
    }

    /* access modifiers changed from: protected */
    public int a(byte[] bArr, int i7, int i8, byte[] bArr2, int i9) throws IllegalBlockSizeException, BadPaddingException {
        int h7 = i8 != 0 ? this.f24249i.h(bArr, i7, i8, bArr2, i9) : 0;
        try {
            return h7 + this.f24249i.a(bArr2, i9 + h7);
        } catch (l e7) {
            throw new IllegalBlockSizeException(e7.getMessage());
        } catch (q e8) {
            throw new BadPaddingException(e8.getMessage());
        }
    }

    /* access modifiers changed from: protected */
    public byte[] b(byte[] bArr, int i7, int i8) throws IllegalBlockSizeException, BadPaddingException {
        byte[] bArr2 = new byte[f(i8)];
        int h7 = i8 != 0 ? this.f24249i.h(bArr, i7, i8, bArr2, 0) : 0;
        try {
            int a8 = h7 + this.f24249i.a(bArr2, h7);
            byte[] bArr3 = new byte[a8];
            System.arraycopy(bArr2, 0, bArr3, 0, a8);
            return bArr3;
        } catch (l e7) {
            throw new IllegalBlockSizeException(e7.getMessage());
        } catch (q e8) {
            throw new BadPaddingException(e8.getMessage());
        }
    }

    /* access modifiers changed from: protected */
    public int c() {
        return this.f24249i.b();
    }

    /* access modifiers changed from: protected */
    public byte[] d() {
        n0 n0Var = this.f24250j;
        if (n0Var != null) {
            return n0Var.a();
        }
        return null;
    }

    /* access modifiers changed from: protected */
    public int e(Key key) {
        return key.getEncoded().length;
    }

    /* access modifiers changed from: protected */
    public int f(int i7) {
        return this.f24249i.c(i7);
    }

    /* access modifiers changed from: protected */
    public AlgorithmParameters g() {
        if (this.f24256p == null && this.f24250j != null) {
            String b7 = this.f24249i.d().b();
            if (b7.indexOf(47) >= 0) {
                b7 = b7.substring(0, b7.indexOf(47));
            }
            try {
                AlgorithmParameters instance = AlgorithmParameters.getInstance(b7, "BC2");
                this.f24256p = instance;
                instance.init(this.f24250j.a());
            } catch (Exception e7) {
                throw new RuntimeException(e7.toString());
            }
        }
        return this.f24256p;
    }

    /* access modifiers changed from: protected */
    public void h(int i7, Key key, AlgorithmParameters algorithmParameters, SecureRandom secureRandom) throws InvalidKeyException, InvalidAlgorithmParameterException {
        AlgorithmParameterSpec algorithmParameterSpec = null;
        if (algorithmParameters != null) {
            int i8 = 0;
            while (true) {
                Class[] clsArr = this.f24248h;
                if (i8 == clsArr.length) {
                    break;
                }
                try {
                    algorithmParameterSpec = algorithmParameters.getParameterSpec(clsArr[i8]);
                    break;
                } catch (Exception unused) {
                    i8++;
                }
            }
            if (algorithmParameterSpec == null) {
                throw new InvalidAlgorithmParameterException("can't handle parameter " + algorithmParameters.toString());
            }
        }
        this.f24256p = algorithmParameters;
        j(i7, key, algorithmParameterSpec, secureRandom);
    }

    /* access modifiers changed from: protected */
    public void i(int i7, Key key, SecureRandom secureRandom) throws InvalidKeyException {
        try {
            j(i7, key, null, secureRandom);
        } catch (InvalidAlgorithmParameterException e7) {
            throw new IllegalArgumentException(e7.getMessage());
        }
    }

    /* access modifiers changed from: protected */
    public void j(int i7, Key key, AlgorithmParameterSpec algorithmParameterSpec, SecureRandom secureRandom) throws InvalidKeyException, InvalidAlgorithmParameterException {
        k0 k0Var;
        n0 n0Var;
        n0 n0Var2;
        k0 k0Var2;
        if (key instanceof c0) {
            org.bouncycastle2.crypto.i c7 = e.a.c((c0) key, algorithmParameterSpec, this.f24251k, this.f24252l, this.f24249i.d().b(), this.f24253m, this.f24254n);
            k0Var = c7;
            if (this.f24254n != 0) {
                this.f24250j = (n0) c7;
                k0Var = c7;
            }
        } else {
            if (algorithmParameterSpec == null) {
                k0Var2 = new k0(key.getEncoded());
            } else {
                if (!(algorithmParameterSpec instanceof IvParameterSpec)) {
                    if (algorithmParameterSpec instanceof RC2ParameterSpec) {
                        RC2ParameterSpec rC2ParameterSpec = (RC2ParameterSpec) algorithmParameterSpec;
                        q0 q0Var = new q0(key.getEncoded(), rC2ParameterSpec.getEffectiveKeyBits());
                        n0Var = q0Var;
                        if (rC2ParameterSpec.getIV() != null) {
                            n0Var = q0Var;
                            if (this.f24255o != 0) {
                                n0Var2 = new n0(q0Var, rC2ParameterSpec.getIV());
                            }
                        }
                    } else if (algorithmParameterSpec instanceof RC5ParameterSpec) {
                        RC5ParameterSpec rC5ParameterSpec = (RC5ParameterSpec) algorithmParameterSpec;
                        r0 r0Var = new r0(key.getEncoded(), rC5ParameterSpec.getRounds());
                        if (rC5ParameterSpec.getWordSize() == 32) {
                            n0Var = r0Var;
                            if (rC5ParameterSpec.getIV() != null) {
                                n0Var = r0Var;
                                if (this.f24255o != 0) {
                                    n0Var2 = new n0(r0Var, rC5ParameterSpec.getIV());
                                }
                            }
                        } else {
                            throw new IllegalArgumentException("can only accept RC5 word size 32 (at the moment...)");
                        }
                    } else {
                        throw new InvalidAlgorithmParameterException("unknown parameter type.");
                    }
                    this.f24250j = n0Var2;
                    k0Var = n0Var2;
                } else if (this.f24255o != 0) {
                    n0 n0Var3 = new n0(new k0(key.getEncoded()), ((IvParameterSpec) algorithmParameterSpec).getIV());
                    this.f24250j = n0Var3;
                    n0Var = n0Var3;
                } else {
                    k0Var2 = new k0(key.getEncoded());
                }
                k0Var = n0Var;
            }
            k0Var = k0Var2;
        }
        r0 r0Var2 = k0Var;
        if (this.f24255o != 0) {
            boolean z7 = k0Var instanceof n0;
            r0Var2 = k0Var;
            if (!z7) {
                if (secureRandom == null) {
                    secureRandom = new SecureRandom();
                }
                if (i7 == 1 || i7 == 3) {
                    byte[] bArr = new byte[this.f24255o];
                    secureRandom.nextBytes(bArr);
                    n0 n0Var4 = new n0(k0Var, bArr);
                    this.f24250j = n0Var4;
                    r0Var2 = n0Var4;
                } else {
                    throw new InvalidAlgorithmParameterException("no IV set when one expected");
                }
            }
        }
        if (i7 != 1) {
            if (i7 != 2) {
                if (i7 != 3) {
                    if (i7 != 4) {
                        System.out.println("eeek!");
                        return;
                    }
                }
            }
            this.f24249i.f(false, r0Var2);
            return;
        }
        this.f24249i.f(true, r0Var2);
    }

    /* access modifiers changed from: protected */
    public void k(String str) {
        org.bouncycastle2.crypto.paddings.e eVar;
        org.bouncycastle2.crypto.paddings.e eVar2;
        String g7 = h.g(str);
        if (g7.equals("ECB")) {
            this.f24255o = 0;
            eVar = new org.bouncycastle2.crypto.paddings.e(this.f24249i.d());
        } else if (g7.equals("CBC")) {
            this.f24255o = this.f24249i.d().d();
            eVar = new org.bouncycastle2.crypto.paddings.e(new org.bouncycastle2.crypto.modes.b(this.f24249i.d()));
        } else {
            if (g7.startsWith("OFB")) {
                this.f24255o = this.f24249i.d().d();
                if (g7.length() != 3) {
                    eVar2 = new org.bouncycastle2.crypto.paddings.e(new org.bouncycastle2.crypto.modes.i(this.f24249i.d(), Integer.parseInt(g7.substring(3))));
                } else {
                    eVar = new org.bouncycastle2.crypto.paddings.e(new org.bouncycastle2.crypto.modes.i(this.f24249i.d(), this.f24249i.b() * 8));
                }
            } else if (g7.startsWith("CFB")) {
                this.f24255o = this.f24249i.d().d();
                if (g7.length() != 3) {
                    eVar2 = new org.bouncycastle2.crypto.paddings.e(new org.bouncycastle2.crypto.modes.d(this.f24249i.d(), Integer.parseInt(g7.substring(3))));
                } else {
                    eVar = new org.bouncycastle2.crypto.paddings.e(new org.bouncycastle2.crypto.modes.d(this.f24249i.d(), this.f24249i.b() * 8));
                }
            } else {
                throw new IllegalArgumentException("can't support mode " + str);
            }
            this.f24249i = eVar2;
            return;
        }
        this.f24249i = eVar;
    }

    /* access modifiers changed from: protected */
    public void l(String str) throws NoSuchPaddingException {
        g eVar;
        String g7 = h.g(str);
        if (g7.equals("NOPADDING")) {
            eVar = new g(this.f24249i.d());
        } else if (g7.equals("PKCS5PADDING") || g7.equals("PKCS7PADDING") || g7.equals("ISO10126PADDING")) {
            eVar = new org.bouncycastle2.crypto.paddings.e(this.f24249i.d());
        } else if (g7.equals("WITHCTS")) {
            eVar = new org.bouncycastle2.crypto.modes.e(this.f24249i.d());
        } else {
            throw new NoSuchPaddingException("Padding " + str + " unknown.");
        }
        this.f24249i = eVar;
    }

    /* access modifiers changed from: protected */
    public Key m(byte[] bArr, String str, int i7) throws InvalidKeyException {
        try {
            byte[] b7 = b(bArr, 0, bArr.length);
            if (i7 == 3) {
                return new SecretKeySpec(b7, str);
            }
            try {
                KeyFactory instance = KeyFactory.getInstance(str, "BC2");
                if (i7 == 1) {
                    return instance.generatePublic(new X509EncodedKeySpec(b7));
                }
                if (i7 == 2) {
                    return instance.generatePrivate(new PKCS8EncodedKeySpec(b7));
                }
                throw new InvalidKeyException("Unknown key type " + i7);
            } catch (NoSuchProviderException e7) {
                throw new InvalidKeyException("Unknown key type " + e7.getMessage());
            } catch (NoSuchAlgorithmException e8) {
                throw new InvalidKeyException("Unknown key type " + e8.getMessage());
            } catch (InvalidKeySpecException e9) {
                throw new InvalidKeyException("Unknown key type " + e9.getMessage());
            }
        } catch (BadPaddingException e10) {
            throw new InvalidKeyException(e10.getMessage());
        } catch (IllegalBlockSizeException e11) {
            throw new InvalidKeyException(e11.getMessage());
        }
    }

    /* access modifiers changed from: protected */
    public int n(byte[] bArr, int i7, int i8, byte[] bArr2, int i9) {
        return this.f24249i.h(bArr, i7, i8, bArr2, i9);
    }

    /* access modifiers changed from: protected */
    public byte[] o(byte[] bArr, int i7, int i8) {
        int e7 = this.f24249i.e(i8);
        if (e7 > 0) {
            byte[] bArr2 = new byte[e7];
            this.f24249i.h(bArr, i7, i8, bArr2, 0);
            return bArr2;
        }
        this.f24249i.h(bArr, i7, i8, null, 0);
        return null;
    }

    /* access modifiers changed from: protected */
    public byte[] p(Key key) throws IllegalBlockSizeException, InvalidKeyException {
        byte[] encoded = key.getEncoded();
        if (encoded != null) {
            try {
                return b(encoded, 0, encoded.length);
            } catch (BadPaddingException e7) {
                throw new IllegalBlockSizeException(e7.getMessage());
            }
        } else {
            throw new InvalidKeyException("Cannot wrap key, null encoding.");
        }
    }

    protected c(org.bouncycastle2.crypto.e eVar, int i7, int i8, int i9, int i10) {
        this.f24249i = new org.bouncycastle2.crypto.paddings.e(eVar);
        this.f24251k = i7;
        this.f24252l = i8;
        this.f24253m = i9;
        this.f24254n = i10;
    }
}
