package org.bouncycastle2.jce.provider;

import java.io.ByteArrayOutputStream;
import java.security.AlgorithmParameters;
import java.security.InvalidAlgorithmParameterException;
import java.security.InvalidKeyException;
import java.security.InvalidParameterException;
import java.security.Key;
import java.security.NoSuchAlgorithmException;
import java.security.SecureRandom;
import java.security.interfaces.RSAKey;
import java.security.interfaces.RSAPrivateKey;
import java.security.interfaces.RSAPublicKey;
import java.security.spec.AlgorithmParameterSpec;
import java.security.spec.InvalidParameterSpecException;
import java.security.spec.MGF1ParameterSpec;
import javax.crypto.BadPaddingException;
import javax.crypto.IllegalBlockSizeException;
import javax.crypto.NoSuchPaddingException;
import javax.crypto.spec.OAEPParameterSpec;
import javax.crypto.spec.PSource;
import org.bouncycastle2.asn1.pkcs.m;
import org.bouncycastle2.crypto.engines.c0;
import org.bouncycastle2.crypto.o;
import org.bouncycastle2.crypto.params.o0;
import org.bouncycastle2.crypto.q;
import v5.h;

public class d0 extends t1 {

    /* renamed from: t  reason: collision with root package name */
    private org.bouncycastle2.crypto.a f24272t;

    /* renamed from: u  reason: collision with root package name */
    private AlgorithmParameterSpec f24273u;

    /* renamed from: v  reason: collision with root package name */
    private AlgorithmParameters f24274v;

    /* renamed from: w  reason: collision with root package name */
    private boolean f24275w = false;

    /* renamed from: x  reason: collision with root package name */
    private boolean f24276x = false;

    /* renamed from: y  reason: collision with root package name */
    private ByteArrayOutputStream f24277y = new ByteArrayOutputStream();

    public static class a extends d0 {
        public a() {
            super(new org.bouncycastle2.crypto.encodings.a(new c0()));
        }
    }

    public static class b extends d0 {
        public b() {
            super(new c0());
        }
    }

    public static class c extends d0 {
        public c() {
            super(OAEPParameterSpec.DEFAULT);
        }
    }

    public static class d extends d0 {
        public d() {
            super(new org.bouncycastle2.crypto.encodings.c(new c0()));
        }
    }

    public static class e extends d0 {
        public e() {
            super(false, true, new org.bouncycastle2.crypto.encodings.c(new c0()));
        }
    }

    public static class f extends d0 {
        public f() {
            super(true, false, new org.bouncycastle2.crypto.encodings.c(new c0()));
        }
    }

    public d0(OAEPParameterSpec oAEPParameterSpec) {
        try {
            a(oAEPParameterSpec);
        } catch (NoSuchPaddingException e7) {
            throw new IllegalArgumentException(e7.getMessage());
        }
    }

    private void a(OAEPParameterSpec oAEPParameterSpec) throws NoSuchPaddingException {
        MGF1ParameterSpec mGF1ParameterSpec = (MGF1ParameterSpec) oAEPParameterSpec.getMGFParameters();
        o a8 = t.a(mGF1ParameterSpec.getDigestAlgorithm());
        if (a8 != null) {
            this.f24272t = new org.bouncycastle2.crypto.encodings.b(new c0(), a8, ((PSource.PSpecified) oAEPParameterSpec.getPSource()).getValue());
            this.f24273u = oAEPParameterSpec;
            return;
        }
        throw new NoSuchPaddingException("no match on OAEP constructor for digest algorithm: " + mGF1ParameterSpec.getDigestAlgorithm());
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.CipherSpi, org.bouncycastle2.jce.provider.t1
    public int engineDoFinal(byte[] bArr, int i7, int i8, byte[] bArr2, int i9) throws IllegalBlockSizeException, BadPaddingException {
        if (bArr != null) {
            this.f24277y.write(bArr, i7, i8);
        }
        if (this.f24272t instanceof c0) {
            if (this.f24277y.size() > this.f24272t.b() + 1) {
                throw new ArrayIndexOutOfBoundsException("too much data for RSA block");
            }
        } else if (this.f24277y.size() > this.f24272t.b()) {
            throw new ArrayIndexOutOfBoundsException("too much data for RSA block");
        }
        try {
            byte[] byteArray = this.f24277y.toByteArray();
            this.f24277y.reset();
            byte[] c7 = this.f24272t.c(byteArray, 0, byteArray.length);
            for (int i10 = 0; i10 != c7.length; i10++) {
                bArr2[i9 + i10] = c7[i10];
            }
            return c7.length;
        } catch (q e7) {
            throw new BadPaddingException(e7.getMessage());
        }
    }

    /* access modifiers changed from: protected */
    @Override // org.bouncycastle2.jce.provider.t1
    public int engineGetBlockSize() {
        try {
            return this.f24272t.b();
        } catch (NullPointerException unused) {
            throw new IllegalStateException("RSA Cipher not initialised");
        }
    }

    /* access modifiers changed from: protected */
    @Override // org.bouncycastle2.jce.provider.t1
    public byte[] engineGetIV() {
        return null;
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.CipherSpi, org.bouncycastle2.jce.provider.t1
    public int engineGetKeySize(Key key) {
        RSAKey rSAKey;
        if (key instanceof RSAPrivateKey) {
            rSAKey = (RSAPrivateKey) key;
        } else if (key instanceof RSAPublicKey) {
            rSAKey = (RSAPublicKey) key;
        } else {
            throw new IllegalArgumentException("not an RSA key!");
        }
        return rSAKey.getModulus().bitLength();
    }

    /* access modifiers changed from: protected */
    @Override // org.bouncycastle2.jce.provider.t1
    public int engineGetOutputSize(int i7) {
        try {
            return this.f24272t.d();
        } catch (NullPointerException unused) {
            throw new IllegalStateException("RSA Cipher not initialised");
        }
    }

    /* access modifiers changed from: protected */
    @Override // org.bouncycastle2.jce.provider.t1
    public AlgorithmParameters engineGetParameters() {
        if (this.f24274v == null && this.f24273u != null) {
            try {
                AlgorithmParameters instance = AlgorithmParameters.getInstance("OAEP", "BC2");
                this.f24274v = instance;
                instance.init(this.f24273u);
            } catch (Exception e7) {
                throw new RuntimeException(e7.toString());
            }
        }
        return this.f24274v;
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.CipherSpi, org.bouncycastle2.jce.provider.t1
    public void engineInit(int i7, Key key, AlgorithmParameters algorithmParameters, SecureRandom secureRandom) throws InvalidKeyException, InvalidAlgorithmParameterException {
        AlgorithmParameterSpec algorithmParameterSpec;
        if (algorithmParameters != null) {
            try {
                algorithmParameterSpec = algorithmParameters.getParameterSpec(OAEPParameterSpec.class);
            } catch (InvalidParameterSpecException e7) {
                throw new InvalidAlgorithmParameterException("cannot recognise parameters: " + e7.toString(), e7);
            }
        } else {
            algorithmParameterSpec = null;
        }
        this.f24274v = algorithmParameters;
        engineInit(i7, key, algorithmParameterSpec, secureRandom);
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.CipherSpi, org.bouncycastle2.jce.provider.t1
    public void engineSetMode(String str) throws NoSuchAlgorithmException {
        String g7 = h.g(str);
        if (!g7.equals("NONE") && !g7.equals("ECB")) {
            if (g7.equals("1")) {
                this.f24276x = true;
                this.f24275w = false;
            } else if (g7.equals("2")) {
                this.f24276x = false;
                this.f24275w = true;
            } else {
                throw new NoSuchAlgorithmException("can't support mode " + str);
            }
        }
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.CipherSpi, org.bouncycastle2.jce.provider.t1
    public void engineSetPadding(String str) throws NoSuchPaddingException {
        OAEPParameterSpec oAEPParameterSpec;
        org.bouncycastle2.crypto.a aVar;
        String g7 = h.g(str);
        if (g7.equals("NOPADDING")) {
            aVar = new c0();
        } else if (g7.equals("PKCS1PADDING")) {
            aVar = new org.bouncycastle2.crypto.encodings.c(new c0());
        } else if (g7.equals("ISO9796-1PADDING")) {
            aVar = new org.bouncycastle2.crypto.encodings.a(new c0());
        } else {
            if (g7.equals("OAEPWITHMD5ANDMGF1PADDING")) {
                oAEPParameterSpec = new OAEPParameterSpec("MD5", "MGF1", new MGF1ParameterSpec("MD5"), PSource.PSpecified.DEFAULT);
            } else if (g7.equals("OAEPPADDING") || g7.equals("OAEPWITHSHA1ANDMGF1PADDING") || g7.equals("OAEPWITHSHA-1ANDMGF1PADDING")) {
                oAEPParameterSpec = OAEPParameterSpec.DEFAULT;
            } else if (g7.equals("OAEPWITHSHA224ANDMGF1PADDING") || g7.equals("OAEPWITHSHA-224ANDMGF1PADDING")) {
                oAEPParameterSpec = new OAEPParameterSpec("SHA-224", "MGF1", new MGF1ParameterSpec("SHA-224"), PSource.PSpecified.DEFAULT);
            } else if (g7.equals("OAEPWITHSHA256ANDMGF1PADDING") || g7.equals("OAEPWITHSHA-256ANDMGF1PADDING")) {
                oAEPParameterSpec = new OAEPParameterSpec("SHA-256", "MGF1", MGF1ParameterSpec.SHA256, PSource.PSpecified.DEFAULT);
            } else if (g7.equals("OAEPWITHSHA384ANDMGF1PADDING") || g7.equals("OAEPWITHSHA-384ANDMGF1PADDING")) {
                oAEPParameterSpec = new OAEPParameterSpec("SHA-384", "MGF1", MGF1ParameterSpec.SHA384, PSource.PSpecified.DEFAULT);
            } else if (g7.equals("OAEPWITHSHA512ANDMGF1PADDING") || g7.equals("OAEPWITHSHA-512ANDMGF1PADDING")) {
                oAEPParameterSpec = new OAEPParameterSpec("SHA-512", "MGF1", MGF1ParameterSpec.SHA512, PSource.PSpecified.DEFAULT);
            } else {
                throw new NoSuchPaddingException(String.valueOf(str) + " unavailable with RSA.");
            }
            a(oAEPParameterSpec);
            return;
        }
        this.f24272t = aVar;
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.CipherSpi, org.bouncycastle2.jce.provider.t1
    public int engineUpdate(byte[] bArr, int i7, int i8, byte[] bArr2, int i9) {
        this.f24277y.write(bArr, i7, i8);
        if (this.f24272t instanceof c0) {
            if (this.f24277y.size() <= this.f24272t.b() + 1) {
                return 0;
            }
            throw new ArrayIndexOutOfBoundsException("too much data for RSA block");
        } else if (this.f24277y.size() <= this.f24272t.b()) {
            return 0;
        } else {
            throw new ArrayIndexOutOfBoundsException("too much data for RSA block");
        }
    }

    public d0(org.bouncycastle2.crypto.a aVar) {
        this.f24272t = aVar;
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.CipherSpi, org.bouncycastle2.jce.provider.t1
    public byte[] engineDoFinal(byte[] bArr, int i7, int i8) throws IllegalBlockSizeException, BadPaddingException {
        if (bArr != null) {
            this.f24277y.write(bArr, i7, i8);
        }
        if (this.f24272t instanceof c0) {
            if (this.f24277y.size() > this.f24272t.b() + 1) {
                throw new ArrayIndexOutOfBoundsException("too much data for RSA block");
            }
        } else if (this.f24277y.size() > this.f24272t.b()) {
            throw new ArrayIndexOutOfBoundsException("too much data for RSA block");
        }
        try {
            byte[] byteArray = this.f24277y.toByteArray();
            this.f24277y.reset();
            return this.f24272t.c(byteArray, 0, byteArray.length);
        } catch (q e7) {
            throw new BadPaddingException(e7.getMessage());
        }
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.CipherSpi, org.bouncycastle2.jce.provider.t1
    public void engineInit(int i7, Key key, SecureRandom secureRandom) throws InvalidKeyException {
        try {
            engineInit(i7, key, (AlgorithmParameterSpec) null, secureRandom);
        } catch (InvalidAlgorithmParameterException e7) {
            throw new RuntimeException("Eeeek! " + e7.toString(), e7);
        }
    }

    /* access modifiers changed from: protected */
    @Override // org.bouncycastle2.jce.provider.t1
    public byte[] engineUpdate(byte[] bArr, int i7, int i8) {
        this.f24277y.write(bArr, i7, i8);
        if (this.f24272t instanceof c0) {
            if (this.f24277y.size() <= this.f24272t.b() + 1) {
                return null;
            }
            throw new ArrayIndexOutOfBoundsException("too much data for RSA block");
        } else if (this.f24277y.size() <= this.f24272t.b()) {
            return null;
        } else {
            throw new ArrayIndexOutOfBoundsException("too much data for RSA block");
        }
    }

    public d0(boolean z7, boolean z8, org.bouncycastle2.crypto.a aVar) {
        this.f24275w = z7;
        this.f24276x = z8;
        this.f24272t = aVar;
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.CipherSpi, org.bouncycastle2.jce.provider.t1
    public void engineInit(int i7, Key key, AlgorithmParameterSpec algorithmParameterSpec, SecureRandom secureRandom) throws InvalidKeyException, InvalidAlgorithmParameterException {
        o0 o0Var;
        o0 o0Var2;
        if (algorithmParameterSpec == null || (algorithmParameterSpec instanceof OAEPParameterSpec)) {
            if (key instanceof RSAPublicKey) {
                if (!this.f24276x) {
                    o0Var = r1.b((RSAPublicKey) key);
                } else {
                    throw new InvalidKeyException("mode 1 requires RSAPrivateKey");
                }
            } else if (!(key instanceof RSAPrivateKey)) {
                throw new InvalidKeyException("unknown key type passed to RSA");
            } else if (!this.f24275w) {
                o0Var = r1.a((RSAPrivateKey) key);
            } else {
                throw new InvalidKeyException("mode 2 requires RSAPublicKey");
            }
            if (algorithmParameterSpec != null) {
                OAEPParameterSpec oAEPParameterSpec = (OAEPParameterSpec) algorithmParameterSpec;
                this.f24273u = algorithmParameterSpec;
                if (!oAEPParameterSpec.getMGFAlgorithm().equalsIgnoreCase("MGF1") && !oAEPParameterSpec.getMGFAlgorithm().equals(m.f22553t0.m())) {
                    throw new InvalidAlgorithmParameterException("unknown mask generation function specified");
                } else if (oAEPParameterSpec.getMGFParameters() instanceof MGF1ParameterSpec) {
                    o a8 = t.a(oAEPParameterSpec.getDigestAlgorithm());
                    if (a8 != null) {
                        MGF1ParameterSpec mGF1ParameterSpec = (MGF1ParameterSpec) oAEPParameterSpec.getMGFParameters();
                        o a9 = t.a(mGF1ParameterSpec.getDigestAlgorithm());
                        if (a9 != null) {
                            this.f24272t = new org.bouncycastle2.crypto.encodings.b(new c0(), a8, a9, ((PSource.PSpecified) oAEPParameterSpec.getPSource()).getValue());
                        } else {
                            throw new InvalidAlgorithmParameterException("no match on MGF digest algorithm: " + mGF1ParameterSpec.getDigestAlgorithm());
                        }
                    } else {
                        throw new InvalidAlgorithmParameterException("no match on digest algorithm: " + oAEPParameterSpec.getDigestAlgorithm());
                    }
                } else {
                    throw new InvalidAlgorithmParameterException("unkown MGF parameters");
                }
            }
            if (!(this.f24272t instanceof c0)) {
                if (secureRandom == null) {
                    o0Var2 = new o0(o0Var, new SecureRandom());
                }
                o0Var = o0Var2;
            }
            if (i7 != 1) {
                if (i7 != 2) {
                    if (i7 != 3) {
                        if (i7 != 4) {
                            throw new InvalidParameterException("unknown opmode " + i7 + " passed to RSA");
                        }
                    }
                }
                this.f24272t.a(false, o0Var);
                return;
            }
            this.f24272t.a(true, o0Var);
            return;
        }
        throw new IllegalArgumentException("unknown parameter type.");
    }
}
