package org.bouncycastle2.jce.provider;

import androidx.core.os.EnvironmentCompat;
import i5.a;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.math.BigInteger;
import java.security.GeneralSecurityException;
import java.security.KeyFactory;
import java.security.PublicKey;
import java.security.cert.CertPath;
import java.security.cert.CertPathValidatorException;
import java.security.cert.CertStore;
import java.security.cert.CertStoreException;
import java.security.cert.Certificate;
import java.security.cert.CertificateParsingException;
import java.security.cert.PKIXParameters;
import java.security.cert.PolicyQualifierInfo;
import java.security.cert.TrustAnchor;
import java.security.cert.X509CRL;
import java.security.cert.X509CRLSelector;
import java.security.cert.X509CertSelector;
import java.security.cert.X509Certificate;
import java.security.cert.X509Extension;
import java.security.interfaces.DSAParams;
import java.security.interfaces.DSAPublicKey;
import java.security.spec.DSAPublicKeySpec;
import java.text.ParseException;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Date;
import java.util.Enumeration;
import java.util.HashSet;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Set;
import javax.security.auth.x500.X500Principal;
import org.bouncycastle2.asn1.i;
import org.bouncycastle2.asn1.m;
import org.bouncycastle2.asn1.u0;
import org.bouncycastle2.asn1.v0;
import org.bouncycastle2.asn1.w0;
import org.bouncycastle2.asn1.x509.a1;
import org.bouncycastle2.asn1.x509.g0;
import org.bouncycastle2.asn1.x509.k;
import org.bouncycastle2.asn1.x509.o;
import org.bouncycastle2.asn1.x509.p0;
import org.bouncycastle2.asn1.x509.t;
import org.bouncycastle2.asn1.x509.u;
import org.bouncycastle2.asn1.x509.w;
import org.bouncycastle2.asn1.x509.x;
import org.bouncycastle2.asn1.z0;
import org.bouncycastle2.jce.f;
import org.bouncycastle2.x509.d;
import org.bouncycastle2.x509.e;
import org.bouncycastle2.x509.j;
import org.bouncycastle2.x509.l;
import org.bouncycastle2.x509.n;
import org.bouncycastle2.x509.q;
import r5.b;
import v5.g;

public class f {

    /* renamed from: a  reason: collision with root package name */
    protected static final String f24301a = a1.f22748h6.m();

    /* renamed from: b  reason: collision with root package name */
    protected static final String f24302b = a1.X5.m();

    /* renamed from: c  reason: collision with root package name */
    protected static final String f24303c = a1.f22749i6.m();

    /* renamed from: d  reason: collision with root package name */
    protected static final String f24304d = a1.V5.m();

    /* renamed from: e  reason: collision with root package name */
    protected static final String f24305e = a1.f22746f6.m();

    /* renamed from: f  reason: collision with root package name */
    protected static final String f24306f = a1.C2.m();

    /* renamed from: g  reason: collision with root package name */
    protected static final String f24307g = a1.f22754n6.m();

    /* renamed from: h  reason: collision with root package name */
    protected static final String f24308h = a1.f22744d6.m();

    /* renamed from: i  reason: collision with root package name */
    protected static final String f24309i = a1.f22743c6.m();

    /* renamed from: j  reason: collision with root package name */
    protected static final String f24310j = a1.f22751k6.m();

    /* renamed from: k  reason: collision with root package name */
    protected static final String f24311k = a1.f22753m6.m();

    /* renamed from: l  reason: collision with root package name */
    protected static final String f24312l = a1.f22747g6.m();

    /* renamed from: m  reason: collision with root package name */
    protected static final String f24313m = a1.f22750j6.m();

    /* renamed from: n  reason: collision with root package name */
    protected static final String f24314n = "2.5.29.32.0";

    /* renamed from: o  reason: collision with root package name */
    protected static final String f24315o = a1.Y5.m();

    /* renamed from: p  reason: collision with root package name */
    protected static final int f24316p = 5;

    /* renamed from: q  reason: collision with root package name */
    protected static final int f24317q = 6;

    /* renamed from: r  reason: collision with root package name */
    protected static final String[] f24318r = {"unspecified", "keyCompromise", "cACompromise", "affiliationChanged", "superseded", "cessationOfOperation", "certificateHold", EnvironmentCompat.MEDIA_UNKNOWN, "removeFromCRL", "privilegeWithdrawn", "aACompromise"};

    protected static boolean A(X509Certificate x509Certificate) {
        return x509Certificate.getSubjectDN().equals(x509Certificate.getIssuerDN());
    }

    protected static void B(int i7, List[] listArr, String str, Map map, X509Certificate x509Certificate) throws a, CertPathValidatorException {
        boolean z7;
        Set set;
        Iterator it = listArr[i7].iterator();
        while (true) {
            if (!it.hasNext()) {
                z7 = false;
                break;
            }
            n1 n1Var = (n1) it.next();
            if (n1Var.getValidPolicy().equals(str)) {
                n1Var.f24402c = (Set) map.get(str);
                z7 = true;
                break;
            }
        }
        if (!z7) {
            for (n1 n1Var2 : listArr[i7]) {
                if (f24314n.equals(n1Var2.getValidPolicy())) {
                    try {
                        Enumeration q7 = m.n(p(x509Certificate, f24301a)).q();
                        while (true) {
                            if (!q7.hasMoreElements()) {
                                set = null;
                                break;
                            }
                            try {
                                g0 j7 = g0.j(q7.nextElement());
                                if (f24314n.equals(j7.k().m())) {
                                    try {
                                        set = t(j7.l());
                                        break;
                                    } catch (CertPathValidatorException e7) {
                                        throw new b("Policy qualifier info set could not be built.", e7);
                                    }
                                }
                            } catch (Exception e8) {
                                throw new a("Policy information cannot be decoded.", e8);
                            }
                        }
                        boolean contains = x509Certificate.getCriticalExtensionOIDs() != null ? x509Certificate.getCriticalExtensionOIDs().contains(f24301a) : false;
                        n1 n1Var3 = (n1) n1Var2.getParent();
                        if (f24314n.equals(n1Var3.getValidPolicy())) {
                            n1 n1Var4 = new n1(new ArrayList(), i7, (Set) map.get(str), n1Var3, set, str, contains);
                            n1Var3.a(n1Var4);
                            listArr[i7].add(n1Var4);
                            return;
                        }
                        return;
                    } catch (Exception e9) {
                        throw new a("Certificate policies cannot be decoded.", e9);
                    }
                }
            }
        }
    }

    protected static n1 C(int i7, List[] listArr, String str, n1 n1Var) {
        Iterator it = listArr[i7].iterator();
        while (it.hasNext()) {
            n1 n1Var2 = (n1) it.next();
            if (n1Var2.getValidPolicy().equals(str)) {
                ((n1) n1Var2.getParent()).d(n1Var2);
                it.remove();
                for (int i8 = i7 - 1; i8 >= 0; i8--) {
                    List list = listArr[i8];
                    for (int i9 = 0; i9 < list.size(); i9++) {
                        n1 n1Var3 = (n1) list.get(i9);
                        if (!n1Var3.c() && (n1Var = F(n1Var, listArr, n1Var3)) == null) {
                            break;
                        }
                    }
                }
            }
        }
        return n1Var;
    }

    protected static boolean D(int i7, List[] listArr, org.bouncycastle2.asn1.a1 a1Var, Set set) {
        List list = listArr[i7 - 1];
        for (int i8 = 0; i8 < list.size(); i8++) {
            n1 n1Var = (n1) list.get(i8);
            if (n1Var.getExpectedPolicies().contains(a1Var.m())) {
                HashSet hashSet = new HashSet();
                hashSet.add(a1Var.m());
                n1 n1Var2 = new n1(new ArrayList(), i7, hashSet, n1Var, set, a1Var.m(), false);
                n1Var.a(n1Var2);
                listArr[i7].add(n1Var2);
                return true;
            }
        }
        return false;
    }

    protected static void E(int i7, List[] listArr, org.bouncycastle2.asn1.a1 a1Var, Set set) {
        List list = listArr[i7 - 1];
        for (int i8 = 0; i8 < list.size(); i8++) {
            n1 n1Var = (n1) list.get(i8);
            if (f24314n.equals(n1Var.getValidPolicy())) {
                HashSet hashSet = new HashSet();
                hashSet.add(a1Var.m());
                n1 n1Var2 = new n1(new ArrayList(), i7, hashSet, n1Var, set, a1Var.m(), false);
                n1Var.a(n1Var2);
                listArr[i7].add(n1Var2);
                return;
            }
        }
    }

    protected static n1 F(n1 n1Var, List[] listArr, n1 n1Var2) {
        n1 n1Var3 = (n1) n1Var2.getParent();
        if (n1Var == null) {
            return null;
        }
        if (n1Var3 == null) {
            for (int i7 = 0; i7 < listArr.length; i7++) {
                listArr[i7] = new ArrayList();
            }
            return null;
        }
        n1Var3.d(n1Var2);
        G(listArr, n1Var2);
        return n1Var;
    }

    private static void G(List[] listArr, n1 n1Var) {
        listArr[n1Var.getDepth()].remove(n1Var);
        if (n1Var.c()) {
            Iterator children = n1Var.getChildren();
            while (children.hasNext()) {
                G(listArr, (n1) children.next());
            }
        }
    }

    protected static void H(X509Certificate x509Certificate, PublicKey publicKey, String str) throws GeneralSecurityException {
        if (str == null) {
            x509Certificate.verify(publicKey);
        } else {
            x509Certificate.verify(publicKey, str);
        }
    }

    protected static void a(String str, e eVar) {
        String str2;
        String str3;
        if (eVar.m()) {
            try {
                if (str.startsWith("ldap://")) {
                    String substring = str.substring(7);
                    if (substring.indexOf("/") != -1) {
                        str3 = substring.substring(substring.indexOf("/"));
                        str2 = "ldap://" + substring.substring(0, substring.indexOf("/"));
                    } else {
                        str2 = "ldap://" + substring;
                        str3 = null;
                    }
                    org.bouncycastle2.jce.f K = new f.a(str2, str3).K();
                    eVar.b(q.d("CERTIFICATE/LDAP", K, "BC2"));
                    eVar.b(q.d("CRL/LDAP", K, "BC2"));
                    eVar.b(q.d("ATTRIBUTECERTIFICATE/LDAP", K, "BC2"));
                    eVar.b(q.d("CERTIFICATEPAIR/LDAP", K, "BC2"));
                }
            } catch (Exception unused) {
                throw new RuntimeException("Exception adding X.509 stores.");
            }
        }
    }

    protected static void b(X509Certificate x509Certificate, e eVar) throws CertificateParsingException {
        if (x509Certificate.getIssuerAlternativeNames() != null) {
            for (List<?> list : x509Certificate.getIssuerAlternativeNames()) {
                if (list.get(0).equals(new Integer(6))) {
                    a((String) list.get(1), eVar);
                }
            }
        }
    }

    protected static void c(k kVar, e eVar) throws a {
        t[] j7;
        if (kVar != null) {
            try {
                for (t tVar : kVar.j()) {
                    u l7 = tVar.l();
                    if (l7 != null && l7.n() == 0) {
                        w[] l8 = x.j(l7.m()).l();
                        for (int i7 = 0; i7 < l8.length; i7++) {
                            if (l8[i7].e() == 6) {
                                a(v0.m(l8[i7].m()).b(), eVar);
                            }
                        }
                    }
                }
            } catch (Exception e7) {
                throw new a("Distribution points could not be read.", e7);
            }
        }
    }

    protected static final Collection d(l lVar, List list) throws a {
        a aVar;
        HashSet hashSet = new HashSet();
        a aVar2 = null;
        boolean z7 = false;
        for (Object obj : list) {
            if (obj instanceof q) {
                try {
                    hashSet.addAll(((q) obj).a(lVar));
                } catch (g e7) {
                    aVar = new a("Exception searching in X.509 CRL store.", e7);
                }
            } else {
                try {
                    hashSet.addAll(((CertStore) obj).getCRLs(lVar));
                } catch (CertStoreException e8) {
                    aVar = new a("Exception searching in X.509 CRL store.", e8);
                    aVar2 = aVar;
                }
            }
            z7 = true;
        }
        if (z7 || aVar2 == null) {
            return hashSet;
        }
        throw aVar2;
    }

    protected static Collection e(j jVar, List list) throws a {
        HashSet hashSet = new HashSet();
        for (Object obj : list) {
            if (obj instanceof q) {
                try {
                    hashSet.addAll(((q) obj).a(jVar));
                } catch (g e7) {
                    throw new a("Problem while picking certificates from X.509 store.", e7);
                }
            }
        }
        return hashSet;
    }

    protected static Collection f(n nVar, List list) throws a {
        HashSet hashSet = new HashSet();
        for (Object obj : list) {
            if (obj instanceof q) {
                try {
                    hashSet.addAll(((q) obj).a(nVar));
                } catch (g e7) {
                    throw new a("Problem while picking certificates from X.509 store.", e7);
                }
            } else {
                try {
                    hashSet.addAll(((CertStore) obj).getCertificates(nVar));
                } catch (CertStoreException e8) {
                    throw new a("Problem while picking certificates from certificate store.", e8);
                }
            }
        }
        return hashSet;
    }

    protected static Collection g(X509Certificate x509Certificate, d dVar) throws a {
        n nVar = new n();
        HashSet hashSet = new HashSet();
        try {
            nVar.setSubject(x509Certificate.getIssuerX500Principal().getEncoded());
            try {
                ArrayList<X509Certificate> arrayList = new ArrayList();
                arrayList.addAll(f(nVar, dVar.getCertStores()));
                arrayList.addAll(f(nVar, dVar.i()));
                arrayList.addAll(f(nVar, dVar.d()));
                for (X509Certificate x509Certificate2 : arrayList) {
                    hashSet.add(x509Certificate2);
                }
                return hashSet;
            } catch (a e7) {
                throw new a("Issuer certificate cannot be searched.", e7);
            }
        } catch (IOException e8) {
            throw new a("Subject criteria for certificate selector to find issuer certificate could not be set.", e8);
        }
    }

    protected static TrustAnchor h(X509Certificate x509Certificate, Set set) throws a {
        return i(x509Certificate, set, null);
    }

    /* JADX WARNING: Removed duplicated region for block: B:23:0x0063 A[SYNTHETIC, Splitter:B:23:0x0063] */
    /* JADX WARNING: Removed duplicated region for block: B:38:0x0018 A[SYNTHETIC] */
    protected static TrustAnchor i(X509Certificate x509Certificate, Set set, String str) throws a {
        X509CertSelector x509CertSelector = new X509CertSelector();
        X500Principal o7 = o(x509Certificate);
        try {
            x509CertSelector.setSubject(o7.getEncoded());
            Iterator it = set.iterator();
            TrustAnchor trustAnchor = null;
            Exception e7 = null;
            PublicKey publicKey = null;
            while (it.hasNext() && trustAnchor == null) {
                trustAnchor = (TrustAnchor) it.next();
                if (trustAnchor.getTrustedCert() != null) {
                    if (x509CertSelector.match(trustAnchor.getTrustedCert())) {
                        publicKey = trustAnchor.getTrustedCert().getPublicKey();
                        if (publicKey != null) {
                            try {
                                H(x509Certificate, publicKey, str);
                            } catch (Exception e8) {
                                e7 = e8;
                                trustAnchor = null;
                            }
                        }
                    }
                } else if (!(trustAnchor.getCAName() == null || trustAnchor.getCAPublicKey() == null)) {
                    try {
                        if (o7.equals(new X500Principal(trustAnchor.getCAName()))) {
                            publicKey = trustAnchor.getCAPublicKey();
                            if (publicKey != null) {
                            }
                        }
                    } catch (IllegalArgumentException unused) {
                    }
                }
                trustAnchor = null;
                if (publicKey != null) {
                }
            }
            if (trustAnchor != null || e7 == null) {
                return trustAnchor;
            }
            throw new a("TrustAnchor found but certificate validation failed.", e7);
        } catch (IOException e9) {
            throw new a("Cannot set subject search criteria for trust anchor.", e9);
        }
    }

    protected static org.bouncycastle2.asn1.x509.b j(PublicKey publicKey) throws CertPathValidatorException {
        try {
            return p0.k(new org.bouncycastle2.asn1.e(publicKey.getEncoded()).h()).j();
        } catch (Exception e7) {
            throw new b("Subject public key cannot be decoded.", e7);
        }
    }

    protected static void k(t tVar, Collection collection, X509CRLSelector x509CRLSelector, e eVar) throws a {
        ArrayList<X500Principal> arrayList = new ArrayList();
        if (tVar.k() != null) {
            w[] l7 = tVar.k().l();
            for (int i7 = 0; i7 < l7.length; i7++) {
                if (l7[i7].e() == 4) {
                    try {
                        arrayList.add(new X500Principal(l7[i7].m().d().g()));
                    } catch (IOException e7) {
                        throw new a("CRL issuer information from distribution point cannot be decoded.", e7);
                    }
                }
            }
        } else if (tVar.l() != null) {
            Iterator it = collection.iterator();
            while (it.hasNext()) {
                arrayList.add((X500Principal) it.next());
            }
        } else {
            throw new a("CRL issuer is omitted from distribution point but no distributionPoint field present.");
        }
        for (X500Principal x500Principal : arrayList) {
            try {
                x509CRLSelector.addIssuerName(x500Principal.getEncoded());
            } catch (IOException e8) {
                throw new a("Cannot decode CRL issuer information.", e8);
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:27:0x009a  */
    /* JADX WARNING: Removed duplicated region for block: B:28:0x00a3  */
    protected static void l(Date date, X509CRL x509crl, Object obj, g gVar) throws a {
        org.bouncycastle2.asn1.p0 p0Var;
        try {
            v1 v1Var = (v1) new w1(new o((m) org.bouncycastle2.asn1.g.l(x509crl.getEncoded()))).getRevokedCertificate(u(obj));
            if (v1Var == null) {
                return;
            }
            if (o(obj).equals(v1Var.getCertificateIssuer()) || o(obj).equals(q(x509crl))) {
                if (v1Var.hasExtensions()) {
                    try {
                        p0Var = org.bouncycastle2.asn1.p0.m(p(v1Var, a1.Z5.m()));
                    } catch (Exception e7) {
                        new a("Reason code CRL entry extension could not be decoded.", e7);
                    }
                    if (date.getTime() < v1Var.getRevocationDate().getTime() || p0Var == null || p0Var.o().intValue() == 0 || p0Var.o().intValue() == 1 || p0Var.o().intValue() == 2 || p0Var.o().intValue() == 8) {
                        gVar.c(p0Var == null ? p0Var.o().intValue() : 0);
                        gVar.d(v1Var.getRevocationDate());
                    }
                    return;
                }
                p0Var = null;
                if (date.getTime() < v1Var.getRevocationDate().getTime()) {
                }
                gVar.c(p0Var == null ? p0Var.o().intValue() : 0);
                gVar.d(v1Var.getRevocationDate());
            }
        } catch (Exception e8) {
            throw new a("Bouncy Castle X509CRLObject could not be created.", e8);
        }
    }

    protected static Set m(t tVar, Object obj, Date date, e eVar) throws a {
        l lVar = new l();
        try {
            HashSet hashSet = new HashSet();
            hashSet.add(obj instanceof org.bouncycastle2.x509.k ? ((org.bouncycastle2.x509.k) obj).g().b()[0] : o(obj));
            k(tVar, hashSet, lVar, eVar);
        } catch (a e7) {
            new a("Could not get issuer information from distribution point.", e7);
        }
        if (obj instanceof X509Certificate) {
            lVar.setCertificateChecking((X509Certificate) obj);
        } else if (obj instanceof org.bouncycastle2.x509.k) {
            lVar.h((org.bouncycastle2.x509.k) obj);
        }
        if (eVar.getDate() != null) {
            lVar.setDateAndTime(eVar.getDate());
        } else {
            lVar.setDateAndTime(date);
        }
        lVar.i(true);
        HashSet hashSet2 = new HashSet();
        try {
            hashSet2.addAll(d(lVar, eVar.i()));
            hashSet2.addAll(d(lVar, eVar.d()));
            hashSet2.addAll(d(lVar, eVar.getCertStores()));
            if (!hashSet2.isEmpty()) {
                return hashSet2;
            }
            if (obj instanceof org.bouncycastle2.x509.k) {
                throw new a("No CRLs found for issuer \"" + ((org.bouncycastle2.x509.k) obj).g().b()[0] + "\"");
            }
            throw new a("No CRLs found for issuer \"" + ((X509Certificate) obj).getIssuerX500Principal() + "\"");
        } catch (a e8) {
            throw new a("Could not search for CRLs.", e8);
        }
    }

    protected static Set n(Date date, e eVar, X509CRL x509crl) throws a {
        l lVar = new l();
        if (eVar.getDate() != null) {
            date = eVar.getDate();
        }
        lVar.setDateAndTime(date);
        try {
            lVar.addIssuerName(q(x509crl).getEncoded());
        } catch (IOException e7) {
            new a("Cannot extract issuer from CRL.", e7);
        }
        try {
            z0 p7 = p(x509crl, f24315o);
            BigInteger bigInteger = null;
            BigInteger o7 = p7 != null ? w0.m(p7).o() : null;
            try {
                byte[] extensionValue = x509crl.getExtensionValue(f24308h);
                if (o7 != null) {
                    bigInteger = o7.add(BigInteger.valueOf(1));
                }
                lVar.setMinCRLNumber(bigInteger);
                lVar.k(extensionValue);
                lVar.l(true);
                lVar.m(o7);
                HashSet<X509CRL> hashSet = new HashSet();
                try {
                    hashSet.addAll(d(lVar, eVar.d()));
                    hashSet.addAll(d(lVar, eVar.i()));
                    hashSet.addAll(d(lVar, eVar.getCertStores()));
                    HashSet hashSet2 = new HashSet();
                    for (X509CRL x509crl2 : hashSet) {
                        if (z(x509crl2)) {
                            hashSet2.add(x509crl2);
                        }
                    }
                    return hashSet2;
                } catch (a e8) {
                    throw new a("Could not search for delta CRLs.", e8);
                }
            } catch (Exception e9) {
                throw new a("Issuing distribution point extension value could not be read.", e9);
            }
        } catch (Exception e10) {
            throw new a("CRL number extension could not be extracted from CRL.", e10);
        }
    }

    protected static X500Principal o(Object obj) {
        return obj instanceof X509Certificate ? ((X509Certificate) obj).getIssuerX500Principal() : (X500Principal) ((org.bouncycastle2.x509.k) obj).g().b()[0];
    }

    protected static z0 p(X509Extension x509Extension, String str) throws a {
        byte[] extensionValue = x509Extension.getExtensionValue(str);
        if (extensionValue == null) {
            return null;
        }
        return s(str, extensionValue);
    }

    protected static X500Principal q(X509CRL x509crl) {
        return x509crl.getIssuerX500Principal();
    }

    protected static PublicKey r(List list, int i7) throws CertPathValidatorException {
        DSAPublicKey dSAPublicKey;
        PublicKey publicKey = ((Certificate) list.get(i7)).getPublicKey();
        if (!(publicKey instanceof DSAPublicKey)) {
            return publicKey;
        }
        DSAPublicKey dSAPublicKey2 = (DSAPublicKey) publicKey;
        if (dSAPublicKey2.getParams() != null) {
            return dSAPublicKey2;
        }
        do {
            i7++;
            if (i7 < list.size()) {
                PublicKey publicKey2 = ((X509Certificate) list.get(i7)).getPublicKey();
                if (publicKey2 instanceof DSAPublicKey) {
                    dSAPublicKey = (DSAPublicKey) publicKey2;
                } else {
                    throw new CertPathValidatorException("DSA parameters cannot be inherited from previous certificate.");
                }
            } else {
                throw new CertPathValidatorException("DSA parameters cannot be inherited from previous certificate.");
            }
        } while (dSAPublicKey.getParams() == null);
        DSAParams params = dSAPublicKey.getParams();
        try {
            return KeyFactory.getInstance("DSA", "BC2").generatePublic(new DSAPublicKeySpec(dSAPublicKey2.getY(), params.getP(), params.getQ(), params.getG()));
        } catch (Exception e7) {
            throw new RuntimeException(e7.getMessage());
        }
    }

    private static z0 s(String str, byte[] bArr) throws a {
        try {
            return new org.bouncycastle2.asn1.e(((i) new org.bouncycastle2.asn1.e(bArr).h()).o()).h();
        } catch (Exception e7) {
            throw new a("exception processing extension " + str, e7);
        }
    }

    protected static final Set t(m mVar) throws CertPathValidatorException {
        HashSet hashSet = new HashSet();
        if (mVar == null) {
            return hashSet;
        }
        ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
        org.bouncycastle2.asn1.k kVar = new org.bouncycastle2.asn1.k(byteArrayOutputStream);
        Enumeration q7 = mVar.q();
        while (q7.hasMoreElements()) {
            try {
                kVar.e(q7.nextElement());
                hashSet.add(new PolicyQualifierInfo(byteArrayOutputStream.toByteArray()));
                byteArrayOutputStream.reset();
            } catch (IOException e7) {
                throw new b("Policy qualifier info cannot be decoded.", e7);
            }
        }
        return hashSet;
    }

    private static BigInteger u(Object obj) {
        return obj instanceof X509Certificate ? ((X509Certificate) obj).getSerialNumber() : ((org.bouncycastle2.x509.k) obj).getSerialNumber();
    }

    protected static X500Principal v(X509Certificate x509Certificate) {
        return x509Certificate.getSubjectX500Principal();
    }

    protected static Date w(e eVar, CertPath certPath, int i7) throws a {
        if (eVar.l() != 1) {
            return x(eVar);
        }
        if (i7 <= 0) {
            return x(eVar);
        }
        int i8 = i7 - 1;
        if (i8 == 0) {
            try {
                byte[] extensionValue = ((X509Certificate) certPath.getCertificates().get(i8)).getExtensionValue(a.f19176e.m());
                u0 p7 = extensionValue != null ? u0.p(org.bouncycastle2.asn1.g.l(extensionValue)) : null;
                if (p7 != null) {
                    try {
                        return p7.o();
                    } catch (ParseException e7) {
                        throw new a("Date from date of cert gen extension could not be parsed.", e7);
                    }
                }
            } catch (IOException unused) {
                throw new a("Date of cert gen extension could not be read.");
            } catch (IllegalArgumentException unused2) {
                throw new a("Date of cert gen extension could not be read.");
            }
        }
        return ((X509Certificate) certPath.getCertificates().get(i8)).getNotBefore();
    }

    protected static Date x(PKIXParameters pKIXParameters) {
        Date date = pKIXParameters.getDate();
        return date == null ? new Date() : date;
    }

    protected static boolean y(Set set) {
        return set == null || set.contains(f24314n) || set.isEmpty();
    }

    private static boolean z(X509CRL x509crl) {
        return x509crl.getCriticalExtensionOIDs().contains(p1.f24429f);
    }
}
