package org.bouncycastle2.jce.provider;

import java.io.IOException;
import java.math.BigInteger;
import java.security.interfaces.RSAPublicKey;
import java.security.spec.RSAPublicKeySpec;
import org.bouncycastle2.asn1.pkcs.m;
import org.bouncycastle2.asn1.x0;
import org.bouncycastle2.asn1.x509.b;
import org.bouncycastle2.asn1.x509.l0;
import org.bouncycastle2.asn1.x509.p0;
import org.bouncycastle2.crypto.params.u0;

public class g0 implements RSAPublicKey {

    /* renamed from: p  reason: collision with root package name */
    static final long f24331p = 2675817738516720772L;

    /* renamed from: f  reason: collision with root package name */
    private BigInteger f24332f;

    /* renamed from: g  reason: collision with root package name */
    private BigInteger f24333g;

    g0(RSAPublicKey rSAPublicKey) {
        this.f24332f = rSAPublicKey.getModulus();
        this.f24333g = rSAPublicKey.getPublicExponent();
    }

    public boolean equals(Object obj) {
        if (obj == this) {
            return true;
        }
        if (!(obj instanceof RSAPublicKey)) {
            return false;
        }
        RSAPublicKey rSAPublicKey = (RSAPublicKey) obj;
        return getModulus().equals(rSAPublicKey.getModulus()) && getPublicExponent().equals(rSAPublicKey.getPublicExponent());
    }

    public String getAlgorithm() {
        return "RSA";
    }

    public byte[] getEncoded() {
        return new p0(new b(m.f22532m0, new x0()), new l0(getModulus(), getPublicExponent()).d()).f();
    }

    public String getFormat() {
        return "X.509";
    }

    public BigInteger getModulus() {
        return this.f24332f;
    }

    public BigInteger getPublicExponent() {
        return this.f24333g;
    }

    public int hashCode() {
        return getPublicExponent().hashCode() ^ getModulus().hashCode();
    }

    public String toString() {
        StringBuffer stringBuffer = new StringBuffer();
        String property = System.getProperty("line.separator");
        stringBuffer.append("RSA Public Key");
        stringBuffer.append(property);
        stringBuffer.append("            modulus: ");
        stringBuffer.append(getModulus().toString(16));
        stringBuffer.append(property);
        stringBuffer.append("    public exponent: ");
        stringBuffer.append(getPublicExponent().toString(16));
        stringBuffer.append(property);
        return stringBuffer.toString();
    }

    g0(RSAPublicKeySpec rSAPublicKeySpec) {
        this.f24332f = rSAPublicKeySpec.getModulus();
        this.f24333g = rSAPublicKeySpec.getPublicExponent();
    }

    g0(p0 p0Var) {
        try {
            l0 l0Var = new l0((org.bouncycastle2.asn1.m) p0Var.m());
            this.f24332f = l0Var.l();
            this.f24333g = l0Var.m();
        } catch (IOException unused) {
            throw new IllegalArgumentException("invalid info structure in RSA public key");
        }
    }

    g0(u0 u0Var) {
        this.f24332f = u0Var.c();
        this.f24333g = u0Var.b();
    }
}
