package org.bouncycastle2.jce.provider;

import java.io.IOException;
import java.security.InvalidAlgorithmParameterException;
import java.security.Principal;
import java.security.cert.CertPath;
import java.security.cert.CertPathBuilderException;
import java.security.cert.CertPathBuilderResult;
import java.security.cert.CertPathBuilderSpi;
import java.security.cert.CertPathParameters;
import java.security.cert.CertPathValidator;
import java.security.cert.CertificateFactory;
import java.security.cert.CertificateParsingException;
import java.security.cert.PKIXBuilderParameters;
import java.security.cert.PKIXCertPathBuilderResult;
import java.security.cert.PKIXCertPathValidatorResult;
import java.security.cert.X509Certificate;
import java.util.ArrayList;
import java.util.Collection;
import java.util.HashSet;
import java.util.Iterator;
import java.util.List;
import javax.security.auth.x500.X500Principal;
import org.bouncycastle2.x509.d;
import org.bouncycastle2.x509.j;
import org.bouncycastle2.x509.k;
import org.bouncycastle2.x509.n;
import r5.a;
import v5.e;

public class g1 extends CertPathBuilderSpi {

    /* renamed from: a  reason: collision with root package name */
    private Exception f24334a;

    private CertPathBuilderResult a(k kVar, X509Certificate x509Certificate, d dVar, List list) {
        CertPathBuilderResult certPathBuilderResult = null;
        if (list.contains(x509Certificate) || dVar.y().contains(x509Certificate)) {
            return null;
        }
        if (dVar.z() != -1 && list.size() - 1 > dVar.z()) {
            return null;
        }
        list.add(x509Certificate);
        try {
            CertificateFactory instance = CertificateFactory.getInstance("X.509", "BC2");
            CertPathValidator instance2 = CertPathValidator.getInstance("RFC3281", "BC2");
            try {
                if (f.i(x509Certificate, dVar.getTrustAnchors(), dVar.getSigProvider()) != null) {
                    try {
                        CertPath generateCertPath = instance.generateCertPath(list);
                        try {
                            PKIXCertPathValidatorResult pKIXCertPathValidatorResult = (PKIXCertPathValidatorResult) instance2.validate(generateCertPath, dVar);
                            return new PKIXCertPathBuilderResult(generateCertPath, pKIXCertPathValidatorResult.getTrustAnchor(), pKIXCertPathValidatorResult.getPolicyTree(), pKIXCertPathValidatorResult.getPublicKey());
                        } catch (Exception e7) {
                            throw new a("Certification path could not be validated.", e7);
                        }
                    } catch (Exception e8) {
                        throw new a("Certification path could not be constructed from certificate list.", e8);
                    }
                } else {
                    try {
                        f.b(x509Certificate, dVar);
                        HashSet hashSet = new HashSet();
                        try {
                            hashSet.addAll(f.g(x509Certificate, dVar));
                            if (!hashSet.isEmpty()) {
                                Iterator it = hashSet.iterator();
                                while (it.hasNext() && certPathBuilderResult == null) {
                                    X509Certificate x509Certificate2 = (X509Certificate) it.next();
                                    if (!x509Certificate2.getIssuerX500Principal().equals(x509Certificate2.getSubjectX500Principal())) {
                                        certPathBuilderResult = a(kVar, x509Certificate2, dVar, list);
                                    }
                                }
                                if (certPathBuilderResult == null) {
                                    list.remove(x509Certificate);
                                }
                                return certPathBuilderResult;
                            }
                            throw new a("No issuer certificate for certificate in certification path found.");
                        } catch (a e9) {
                            throw new a("Cannot find issuer certificate for certificate in certification path.", e9);
                        }
                    } catch (CertificateParsingException e10) {
                        throw new a("No additional X.509 stores can be added from certificate locations.", e10);
                    }
                }
            } catch (a e11) {
                this.f24334a = new a("No valid certification path could be build.", e11);
            }
        } catch (Exception unused) {
            throw new RuntimeException("Exception creating support classes.");
        }
    }

    @Override // java.security.cert.CertPathBuilderSpi
    public CertPathBuilderResult engineBuild(CertPathParameters certPathParameters) throws CertPathBuilderException, InvalidAlgorithmParameterException {
        if ((certPathParameters instanceof PKIXBuilderParameters) || (certPathParameters instanceof d)) {
            if (!(certPathParameters instanceof d)) {
                certPathParameters = d.f((PKIXBuilderParameters) certPathParameters);
            }
            d dVar = (d) certPathParameters;
            ArrayList arrayList = new ArrayList();
            e j7 = dVar.j();
            if (j7 instanceof j) {
                try {
                    Collection e7 = f.e((j) j7, dVar.i());
                    if (!e7.isEmpty()) {
                        Iterator it = e7.iterator();
                        CertPathBuilderResult certPathBuilderResult = null;
                        while (it.hasNext() && certPathBuilderResult == null) {
                            k kVar = (k) it.next();
                            n nVar = new n();
                            Principal[] b7 = kVar.g().b();
                            HashSet hashSet = new HashSet();
                            for (Principal principal : b7) {
                                try {
                                    if (principal instanceof X500Principal) {
                                        nVar.setSubject(((X500Principal) principal).getEncoded());
                                    }
                                    hashSet.addAll(f.f(nVar, dVar.i()));
                                    hashSet.addAll(f.f(nVar, dVar.getCertStores()));
                                } catch (a e8) {
                                    throw new a("Public key certificate for attribute certificate cannot be searched.", e8);
                                } catch (IOException e9) {
                                    throw new a("cannot encode X500Principal.", e9);
                                }
                            }
                            if (!hashSet.isEmpty()) {
                                Iterator it2 = hashSet.iterator();
                                while (it2.hasNext() && certPathBuilderResult == null) {
                                    certPathBuilderResult = a(kVar, (X509Certificate) it2.next(), dVar, arrayList);
                                }
                            } else {
                                throw new CertPathBuilderException("Public key certificate for attribute certificate cannot be found.");
                            }
                        }
                        if (certPathBuilderResult == null && this.f24334a != null) {
                            throw new a("Possible certificate chain could not be validated.", this.f24334a);
                        } else if (certPathBuilderResult != null || this.f24334a != null) {
                            return certPathBuilderResult;
                        } else {
                            throw new CertPathBuilderException("Unable to find certificate chain.");
                        }
                    } else {
                        throw new CertPathBuilderException("No attribute certificate found matching targetContraints.");
                    }
                } catch (a e10) {
                    throw new a("Error finding target attribute certificate.", e10);
                }
            } else {
                throw new CertPathBuilderException("TargetConstraints must be an instance of " + j.class.getName() + " for " + getClass().getName() + " class.");
            }
        } else {
            throw new InvalidAlgorithmParameterException("Parameters must be an instance of " + PKIXBuilderParameters.class.getName() + " or " + d.class.getName() + ".");
        }
    }
}
