package org.bouncycastle2.jce.provider;

import java.security.InvalidKeyException;
import java.security.spec.InvalidKeySpecException;
import java.security.spec.KeySpec;
import javax.crypto.SecretKey;
import javax.crypto.SecretKeyFactorySpi;
import javax.crypto.spec.DESKeySpec;
import javax.crypto.spec.DESedeKeySpec;
import javax.crypto.spec.PBEKeySpec;
import javax.crypto.spec.SecretKeySpec;
import org.bouncycastle2.asn1.a1;
import org.bouncycastle2.crypto.params.k0;
import org.bouncycastle2.crypto.params.n0;
import org.bouncycastle2.jce.provider.d1;

public class h0 extends SecretKeyFactorySpi implements d1 {

    /* renamed from: k  reason: collision with root package name */
    protected String f24336k;

    /* renamed from: l  reason: collision with root package name */
    protected a1 f24337l;

    public static class a extends h0 {
        public a() {
            super("DES", null);
        }

        /* access modifiers changed from: protected */
        @Override // org.bouncycastle2.jce.provider.h0, javax.crypto.SecretKeyFactorySpi
        public SecretKey engineGenerateSecret(KeySpec keySpec) throws InvalidKeySpecException {
            return keySpec instanceof DESKeySpec ? new SecretKeySpec(((DESKeySpec) keySpec).getKey(), "DES") : h0.super.engineGenerateSecret(keySpec);
        }
    }

    public static class a0 extends d {
        public a0() {
            super("PBEwithSHAandDES3Key-CBC", org.bouncycastle2.asn1.pkcs.m.E2, true, 2, 1, 192, 64);
        }
    }

    public static class b extends h0 {

        /* renamed from: m  reason: collision with root package name */
        private boolean f24338m;

        /* renamed from: n  reason: collision with root package name */
        private int f24339n;

        /* renamed from: o  reason: collision with root package name */
        private int f24340o;

        /* renamed from: p  reason: collision with root package name */
        private int f24341p;

        /* renamed from: q  reason: collision with root package name */
        private int f24342q;

        public b(String str, a1 a1Var, boolean z7, int i7, int i8, int i9, int i10) {
            super(str, a1Var);
            this.f24338m = z7;
            this.f24339n = i7;
            this.f24340o = i8;
            this.f24341p = i9;
            this.f24342q = i10;
        }

        /* access modifiers changed from: protected */
        @Override // org.bouncycastle2.jce.provider.h0, javax.crypto.SecretKeyFactorySpi
        public SecretKey engineGenerateSecret(KeySpec keySpec) throws InvalidKeySpecException {
            if (keySpec instanceof PBEKeySpec) {
                PBEKeySpec pBEKeySpec = (PBEKeySpec) keySpec;
                if (pBEKeySpec.getSalt() == null) {
                    return new c0(this.f24336k, this.f24337l, this.f24339n, this.f24340o, this.f24341p, this.f24342q, pBEKeySpec, null);
                }
                org.bouncycastle2.crypto.i d7 = this.f24338m ? d1.a.d(pBEKeySpec, this.f24339n, this.f24340o, this.f24341p, this.f24342q) : d1.a.b(pBEKeySpec, this.f24339n, this.f24340o, this.f24341p);
                if (d7 instanceof n0) {
                    org.bouncycastle2.crypto.params.c.c(((k0) ((n0) d7).b()).a());
                } else {
                    org.bouncycastle2.crypto.params.c.c(((k0) d7).a());
                }
                return new c0(this.f24336k, this.f24337l, this.f24339n, this.f24340o, this.f24341p, this.f24342q, pBEKeySpec, d7);
            }
            throw new InvalidKeySpecException("Invalid KeySpec");
        }
    }

    public static class b0 extends d {
        public b0() {
            super("PBEwithSHAandTwofish-CBC", null, true, 2, 1, 256, 128);
        }
    }

    public static class c extends h0 {
        public c() {
            super("DESede", null);
        }

        /* access modifiers changed from: protected */
        @Override // org.bouncycastle2.jce.provider.h0, javax.crypto.SecretKeyFactorySpi
        public SecretKey engineGenerateSecret(KeySpec keySpec) throws InvalidKeySpecException {
            return keySpec instanceof DESedeKeySpec ? new SecretKeySpec(((DESedeKeySpec) keySpec).getKey(), "DESede") : h0.super.engineGenerateSecret(keySpec);
        }

        /* access modifiers changed from: protected */
        @Override // org.bouncycastle2.jce.provider.h0, javax.crypto.SecretKeyFactorySpi
        public KeySpec engineGetKeySpec(SecretKey secretKey, Class cls) throws InvalidKeySpecException {
            if (cls == null) {
                throw new InvalidKeySpecException("keySpec parameter is null");
            } else if (secretKey == null) {
                throw new InvalidKeySpecException("key parameter is null");
            } else if (SecretKeySpec.class.isAssignableFrom(cls)) {
                return new SecretKeySpec(secretKey.getEncoded(), this.f24336k);
            } else {
                if (DESedeKeySpec.class.isAssignableFrom(cls)) {
                    byte[] encoded = secretKey.getEncoded();
                    try {
                        if (encoded.length != 16) {
                            return new DESedeKeySpec(encoded);
                        }
                        byte[] bArr = new byte[24];
                        System.arraycopy(encoded, 0, bArr, 0, 16);
                        System.arraycopy(encoded, 0, bArr, 16, 8);
                        return new DESedeKeySpec(bArr);
                    } catch (Exception e7) {
                        throw new InvalidKeySpecException(e7.toString());
                    }
                } else {
                    throw new InvalidKeySpecException("Invalid KeySpec");
                }
            }
        }
    }

    public static class c0 extends d {
        public c0() {
            super("PBEwithHmacTiger", null, false, 2, 3, 192, 0);
        }
    }

    public static class d extends h0 {

        /* renamed from: m  reason: collision with root package name */
        private boolean f24343m;

        /* renamed from: n  reason: collision with root package name */
        private int f24344n;

        /* renamed from: o  reason: collision with root package name */
        private int f24345o;

        /* renamed from: p  reason: collision with root package name */
        private int f24346p;

        /* renamed from: q  reason: collision with root package name */
        private int f24347q;

        public d(String str, a1 a1Var, boolean z7, int i7, int i8, int i9, int i10) {
            super(str, a1Var);
            this.f24343m = z7;
            this.f24344n = i7;
            this.f24345o = i8;
            this.f24346p = i9;
            this.f24347q = i10;
        }

        /* access modifiers changed from: protected */
        @Override // org.bouncycastle2.jce.provider.h0, javax.crypto.SecretKeyFactorySpi
        public SecretKey engineGenerateSecret(KeySpec keySpec) throws InvalidKeySpecException {
            if (keySpec instanceof PBEKeySpec) {
                PBEKeySpec pBEKeySpec = (PBEKeySpec) keySpec;
                if (pBEKeySpec.getSalt() == null) {
                    return new c0(this.f24336k, this.f24337l, this.f24344n, this.f24345o, this.f24346p, this.f24347q, pBEKeySpec, null);
                }
                return new c0(this.f24336k, this.f24337l, this.f24344n, this.f24345o, this.f24346p, this.f24347q, pBEKeySpec, this.f24343m ? d1.a.d(pBEKeySpec, this.f24344n, this.f24345o, this.f24346p, this.f24347q) : d1.a.b(pBEKeySpec, this.f24344n, this.f24345o, this.f24346p));
            }
            throw new InvalidKeySpecException("Invalid KeySpec");
        }
    }

    public static class e extends b {
        public e() {
            super("PBEwithMD2andDES", org.bouncycastle2.asn1.pkcs.m.D0, true, 0, 5, 64, 64);
        }
    }

    public static class f extends d {
        public f() {
            super("PBEwithMD2andRC2", org.bouncycastle2.asn1.pkcs.m.E0, true, 0, 5, 64, 64);
        }
    }

    public static class g extends d {
        public g() {
            super("PBEWithMD5And128BitAES-CBC-OpenSSL", null, true, 3, 0, 128, 128);
        }
    }

    public static class h extends d {
        public h() {
            super("PBEWithMD5And192BitAES-CBC-OpenSSL", null, true, 3, 0, 192, 128);
        }
    }

    public static class i extends d {
        public i() {
            super("PBEWithMD5And256BitAES-CBC-OpenSSL", null, true, 3, 0, 256, 128);
        }
    }

    public static class j extends b {
        public j() {
            super("PBEwithMD5andDES", org.bouncycastle2.asn1.pkcs.m.F0, true, 0, 0, 64, 64);
        }
    }

    public static class k extends d {
        public k() {
            super("PBEwithMD5andRC2", org.bouncycastle2.asn1.pkcs.m.G0, true, 0, 0, 64, 64);
        }
    }

    public static class l extends d {
        public l() {
            super("PBEwithHmacRIPEMD160", null, false, 2, 2, 160, 0);
        }
    }

    public static class m extends d {
        public m() {
            super("PBEwithSHA1andDES", org.bouncycastle2.asn1.pkcs.m.H0, true, 0, 1, 64, 64);
        }
    }

    public static class n extends d {
        public n() {
            super("PBEwithSHA1andRC2", org.bouncycastle2.asn1.pkcs.m.I0, true, 0, 1, 64, 64);
        }
    }

    public static class o extends d {
        public o() {
            super("PBEWithSHA256And128BitAES-CBC-BC", null, true, 2, 4, 128, 128);
        }
    }

    public static class p extends d {
        public p() {
            super("PBEWithSHA256And192BitAES-CBC-BC", null, true, 2, 4, 192, 128);
        }
    }

    public static class q extends d {
        public q() {
            super("PBEWithSHA256And256BitAES-CBC-BC", null, true, 2, 4, 256, 128);
        }
    }

    public static class r extends d {
        public r() {
            super("PBEwithHmacSHA", null, false, 2, 1, 160, 0);
        }
    }

    public static class s extends d {
        public s() {
            super("PBEWithSHA1And128BitAES-CBC-BC", null, true, 2, 1, 128, 128);
        }
    }

    public static class t extends d {
        public t() {
            super("PBEwithSHAand128BitRC2-CBC", org.bouncycastle2.asn1.pkcs.m.G2, true, 2, 1, 128, 64);
        }
    }

    public static class u extends d {
        public u() {
            super("PBEWithSHAAnd128BitRC4", org.bouncycastle2.asn1.pkcs.m.B2, true, 2, 1, 128, 0);
        }
    }

    public static class v extends d {
        public v() {
            super("PBEWithSHA1And192BitAES-CBC-BC", null, true, 2, 1, 192, 128);
        }
    }

    public static class w extends d {
        public w() {
            super("PBEWithSHA1And256BitAES-CBC-BC", null, true, 2, 1, 256, 128);
        }
    }

    public static class x extends d {
        public x() {
            super("PBEwithSHAand40BitRC2-CBC", org.bouncycastle2.asn1.pkcs.m.H2, true, 2, 1, 40, 64);
        }
    }

    public static class y extends d {
        public y() {
            super("PBEWithSHAAnd128BitRC4", org.bouncycastle2.asn1.pkcs.m.B2, true, 2, 1, 40, 0);
        }
    }

    public static class z extends d {
        public z() {
            super("PBEwithSHAandDES2Key-CBC", org.bouncycastle2.asn1.pkcs.m.F2, true, 2, 1, 128, 64);
        }
    }

    protected h0(String str, a1 a1Var) {
        this.f24336k = str;
        this.f24337l = a1Var;
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.SecretKeyFactorySpi
    public SecretKey engineGenerateSecret(KeySpec keySpec) throws InvalidKeySpecException {
        if (keySpec instanceof SecretKeySpec) {
            return (SecretKey) keySpec;
        }
        throw new InvalidKeySpecException("Invalid KeySpec");
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.SecretKeyFactorySpi
    public KeySpec engineGetKeySpec(SecretKey secretKey, Class cls) throws InvalidKeySpecException {
        if (cls == null) {
            throw new InvalidKeySpecException("keySpec parameter is null");
        } else if (secretKey == null) {
            throw new InvalidKeySpecException("key parameter is null");
        } else if (SecretKeySpec.class.isAssignableFrom(cls)) {
            return new SecretKeySpec(secretKey.getEncoded(), this.f24336k);
        } else {
            try {
                return (KeySpec) cls.getConstructor(byte[].class).newInstance(secretKey.getEncoded());
            } catch (Exception e7) {
                throw new InvalidKeySpecException(e7.toString());
            }
        }
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.SecretKeyFactorySpi
    public SecretKey engineTranslateKey(SecretKey secretKey) throws InvalidKeyException {
        if (secretKey == null) {
            throw new InvalidKeyException("key parameter is null");
        } else if (secretKey.getAlgorithm().equalsIgnoreCase(this.f24336k)) {
            return new SecretKeySpec(secretKey.getEncoded(), this.f24336k);
        } else {
            throw new InvalidKeyException("Key not of type " + this.f24336k + ".");
        }
    }
}
