package org.bouncycastle2.jce.provider;

import java.security.AlgorithmParameters;
import java.security.InvalidAlgorithmParameterException;
import java.security.InvalidKeyException;
import java.security.Key;
import java.security.SecureRandom;
import java.security.spec.AlgorithmParameterSpec;
import javax.crypto.NoSuchPaddingException;
import javax.crypto.SecretKey;
import javax.crypto.ShortBufferException;
import javax.crypto.spec.IvParameterSpec;
import javax.crypto.spec.PBEParameterSpec;
import javax.crypto.spec.RC2ParameterSpec;
import javax.crypto.spec.RC5ParameterSpec;
import org.bouncycastle2.crypto.engines.h0;
import org.bouncycastle2.crypto.engines.j0;
import org.bouncycastle2.crypto.engines.l0;
import org.bouncycastle2.crypto.engines.m0;
import org.bouncycastle2.crypto.engines.w;
import org.bouncycastle2.crypto.params.k0;
import org.bouncycastle2.crypto.params.n0;
import org.bouncycastle2.crypto.y;
import org.bouncycastle2.crypto.z;
import org.bouncycastle2.jce.provider.d1;

public class i0 extends t1 implements d1 {

    /* renamed from: t  reason: collision with root package name */
    private Class[] f24348t = {RC2ParameterSpec.class, RC5ParameterSpec.class, IvParameterSpec.class, PBEParameterSpec.class};

    /* renamed from: u  reason: collision with root package name */
    private z f24349u;

    /* renamed from: v  reason: collision with root package name */
    private n0 f24350v;

    /* renamed from: w  reason: collision with root package name */
    private int f24351w;

    /* renamed from: x  reason: collision with root package name */
    private PBEParameterSpec f24352x = null;

    /* renamed from: y  reason: collision with root package name */
    private String f24353y = null;

    public static class a extends i0 {
        public a() {
            super(new org.bouncycastle2.crypto.modes.d(new org.bouncycastle2.crypto.engines.d(), 8), 64);
        }
    }

    public static class b extends i0 {
        public b() {
            super(new org.bouncycastle2.crypto.modes.i(new org.bouncycastle2.crypto.engines.d(), 8), 64);
        }
    }

    public static class c extends i0 {
        public c() {
            super(new org.bouncycastle2.crypto.modes.d(new org.bouncycastle2.crypto.engines.i(), 8), 64);
        }
    }

    public static class d extends i0 {
        public d() {
            super(new org.bouncycastle2.crypto.modes.i(new org.bouncycastle2.crypto.engines.i(), 8), 64);
        }
    }

    public static class e extends i0 {
        public e() {
            super(new org.bouncycastle2.crypto.modes.d(new org.bouncycastle2.crypto.engines.j(), 8), 64);
        }
    }

    public static class f extends i0 {
        public f() {
            super(new org.bouncycastle2.crypto.modes.i(new org.bouncycastle2.crypto.engines.j(), 8), 64);
        }
    }

    public static class g extends i0 {
        public g() {
            super(new org.bouncycastle2.crypto.engines.p(), 16);
        }
    }

    public static class h extends i0 {
        public h() {
            super(new org.bouncycastle2.crypto.engines.q(), 32);
        }
    }

    public static class i extends i0 {
        public i() {
            super(new w(), 0);
        }
    }

    public static class j extends i0 {
        public j() {
            super(new w(), 0);
        }
    }

    public static class k extends i0 {
        public k() {
            super(new w(), 0);
        }
    }

    public static class l extends i0 {
        public l() {
            super(new h0(), 8);
        }
    }

    public static class m extends i0 {
        public m() {
            super(new org.bouncycastle2.crypto.modes.d(new j0(), 8), 64);
        }
    }

    public static class n extends i0 {
        public n() {
            super(new org.bouncycastle2.crypto.modes.i(new j0(), 8), 64);
        }
    }

    public static class o extends i0 {
        public o() {
            super(new org.bouncycastle2.crypto.modes.d(new l0(), 8), 128);
        }
    }

    public static class p extends i0 {
        public p() {
            super(new org.bouncycastle2.crypto.modes.i(new l0(), 8), 128);
        }
    }

    public static class q extends i0 {
        public q() {
            super(new m0(), 16);
        }
    }

    public static class r extends i0 {
        public r() {
            super(new org.bouncycastle2.crypto.engines.n0(), 16);
        }
    }

    protected i0(org.bouncycastle2.crypto.e eVar, int i7) {
        this.f24351w = i7;
        this.f24349u = new y(eVar);
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.CipherSpi, org.bouncycastle2.jce.provider.t1
    public int engineDoFinal(byte[] bArr, int i7, int i8, byte[] bArr2, int i9) {
        if (i8 != 0) {
            this.f24349u.d(bArr, i7, i8, bArr2, i9);
        }
        this.f24349u.reset();
        return i8;
    }

    /* access modifiers changed from: protected */
    @Override // org.bouncycastle2.jce.provider.t1
    public int engineGetBlockSize() {
        return 0;
    }

    /* access modifiers changed from: protected */
    @Override // org.bouncycastle2.jce.provider.t1
    public byte[] engineGetIV() {
        n0 n0Var = this.f24350v;
        if (n0Var != null) {
            return n0Var.a();
        }
        return null;
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.CipherSpi, org.bouncycastle2.jce.provider.t1
    public int engineGetKeySize(Key key) {
        return key.getEncoded().length * 8;
    }

    /* access modifiers changed from: protected */
    @Override // org.bouncycastle2.jce.provider.t1
    public int engineGetOutputSize(int i7) {
        return i7;
    }

    /* access modifiers changed from: protected */
    @Override // org.bouncycastle2.jce.provider.t1
    public AlgorithmParameters engineGetParameters() {
        AlgorithmParameters algorithmParameters = this.f24488p;
        if (algorithmParameters != null || this.f24352x == null) {
            return algorithmParameters;
        }
        try {
            AlgorithmParameters instance = AlgorithmParameters.getInstance(this.f24353y, "BC2");
            instance.init(this.f24352x);
            return instance;
        } catch (Exception unused) {
            return null;
        }
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.CipherSpi, org.bouncycastle2.jce.provider.t1
    public void engineInit(int i7, Key key, AlgorithmParameters algorithmParameters, SecureRandom secureRandom) throws InvalidKeyException, InvalidAlgorithmParameterException {
        AlgorithmParameterSpec algorithmParameterSpec = null;
        if (algorithmParameters != null) {
            int i8 = 0;
            while (true) {
                Class[] clsArr = this.f24348t;
                if (i8 == clsArr.length) {
                    break;
                }
                try {
                    algorithmParameterSpec = algorithmParameters.getParameterSpec(clsArr[i8]);
                    break;
                } catch (Exception unused) {
                    i8++;
                }
            }
            if (algorithmParameterSpec == null) {
                throw new InvalidAlgorithmParameterException("can't handle parameter " + algorithmParameters.toString());
            }
        }
        engineInit(i7, key, algorithmParameterSpec, secureRandom);
        this.f24488p = algorithmParameters;
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.CipherSpi, org.bouncycastle2.jce.provider.t1
    public void engineSetMode(String str) {
        if (!str.equalsIgnoreCase("ECB")) {
            throw new IllegalArgumentException("can't support mode " + str);
        }
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.CipherSpi, org.bouncycastle2.jce.provider.t1
    public void engineSetPadding(String str) throws NoSuchPaddingException {
        if (!str.equalsIgnoreCase("NoPadding")) {
            throw new NoSuchPaddingException("Padding " + str + " unknown.");
        }
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.CipherSpi, org.bouncycastle2.jce.provider.t1
    public int engineUpdate(byte[] bArr, int i7, int i8, byte[] bArr2, int i9) throws ShortBufferException {
        try {
            this.f24349u.d(bArr, i7, i8, bArr2, i9);
            return i8;
        } catch (org.bouncycastle2.crypto.l e7) {
            throw new ShortBufferException(e7.getMessage());
        }
    }

    protected i0(z zVar, int i7) {
        this.f24349u = zVar;
        this.f24351w = i7;
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.CipherSpi, org.bouncycastle2.jce.provider.t1
    public byte[] engineDoFinal(byte[] bArr, int i7, int i8) {
        if (i8 != 0) {
            byte[] engineUpdate = engineUpdate(bArr, i7, i8);
            this.f24349u.reset();
            return engineUpdate;
        }
        this.f24349u.reset();
        return new byte[0];
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.CipherSpi, org.bouncycastle2.jce.provider.t1
    public void engineInit(int i7, Key key, SecureRandom secureRandom) throws InvalidKeyException {
        try {
            engineInit(i7, key, (AlgorithmParameterSpec) null, secureRandom);
        } catch (InvalidAlgorithmParameterException e7) {
            throw new InvalidKeyException(e7.getMessage());
        }
    }

    /* access modifiers changed from: protected */
    @Override // org.bouncycastle2.jce.provider.t1
    public byte[] engineUpdate(byte[] bArr, int i7, int i8) {
        byte[] bArr2 = new byte[i8];
        this.f24349u.d(bArr, i7, i8, bArr2, 0);
        return bArr2;
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.CipherSpi, org.bouncycastle2.jce.provider.t1
    public void engineInit(int i7, Key key, AlgorithmParameterSpec algorithmParameterSpec, SecureRandom secureRandom) throws InvalidKeyException, InvalidAlgorithmParameterException {
        n0 n0Var;
        this.f24352x = null;
        this.f24353y = null;
        this.f24488p = null;
        if (key instanceof SecretKey) {
            if (key instanceof c0) {
                c0 c0Var = (c0) key;
                this.f24353y = c0Var.d() != null ? c0Var.d().m() : c0Var.getAlgorithm();
                if (c0Var.e() != null) {
                    n0Var = c0Var.e();
                    this.f24352x = new PBEParameterSpec(c0Var.getSalt(), c0Var.getIterationCount());
                } else if (algorithmParameterSpec instanceof PBEParameterSpec) {
                    org.bouncycastle2.crypto.i e7 = d1.a.e(c0Var, algorithmParameterSpec, this.f24349u.b());
                    this.f24352x = (PBEParameterSpec) algorithmParameterSpec;
                    n0Var = e7;
                } else {
                    throw new InvalidAlgorithmParameterException("PBE requires PBE parameters to be set.");
                }
                if (c0Var.b() != 0) {
                    this.f24350v = (n0) n0Var;
                }
            } else if (algorithmParameterSpec == null) {
                n0Var = new k0(key.getEncoded());
            } else if (algorithmParameterSpec instanceof IvParameterSpec) {
                n0 n0Var2 = new n0(new k0(key.getEncoded()), ((IvParameterSpec) algorithmParameterSpec).getIV());
                this.f24350v = n0Var2;
                n0Var = n0Var2;
            } else {
                throw new IllegalArgumentException("unknown parameter type.");
            }
            if (this.f24351w != 0 && !(n0Var instanceof n0)) {
                if (secureRandom == null) {
                    secureRandom = new SecureRandom();
                }
                if (i7 == 1 || i7 == 3) {
                    byte[] bArr = new byte[this.f24351w];
                    secureRandom.nextBytes(bArr);
                    n0 n0Var3 = new n0(n0Var, bArr);
                    this.f24350v = n0Var3;
                    n0Var = n0Var3;
                } else {
                    throw new InvalidAlgorithmParameterException("no IV set when one expected");
                }
            }
            if (i7 != 1) {
                if (i7 != 2) {
                    if (i7 != 3) {
                        if (i7 != 4) {
                            System.out.println("eeek!");
                            return;
                        }
                    }
                }
                this.f24349u.a(false, n0Var);
                return;
            }
            this.f24349u.a(true, n0Var);
            return;
        }
        throw new InvalidKeyException("Key for algorithm " + key.getAlgorithm() + " not suitable for symmetric enryption.");
    }
}
