package org.bouncycastle2.jce.provider;

import java.io.BufferedInputStream;
import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStreamWriter;
import java.security.NoSuchProviderException;
import java.security.cert.CertPath;
import java.security.cert.Certificate;
import java.security.cert.CertificateEncodingException;
import java.security.cert.CertificateException;
import java.security.cert.CertificateFactory;
import java.security.cert.X509Certificate;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Enumeration;
import java.util.Iterator;
import java.util.List;
import java.util.ListIterator;
import javax.security.auth.x500.X500Principal;
import org.bouncycastle2.asn1.c;
import org.bouncycastle2.asn1.d;
import org.bouncycastle2.asn1.e;
import org.bouncycastle2.asn1.f1;
import org.bouncycastle2.asn1.h1;
import org.bouncycastle2.asn1.m;
import org.bouncycastle2.asn1.pkcs.f;
import org.bouncycastle2.asn1.pkcs.u;
import org.bouncycastle2.asn1.w0;
import org.bouncycastle2.asn1.z0;

public class i1 extends CertPath {

    /* renamed from: g  reason: collision with root package name */
    static final List f24354g;

    /* renamed from: f  reason: collision with root package name */
    private List f24355f;

    static {
        ArrayList arrayList = new ArrayList();
        arrayList.add("PkiPath");
        arrayList.add("PEM");
        arrayList.add("PKCS7");
        f24354g = Collections.unmodifiableList(arrayList);
    }

    i1(InputStream inputStream, String str) throws CertificateException {
        super("X.509");
        try {
            if (str.equalsIgnoreCase("PkiPath")) {
                z0 h7 = new e(inputStream).h();
                if (h7 instanceof m) {
                    Enumeration q7 = ((m) h7).q();
                    this.f24355f = new ArrayList();
                    CertificateFactory instance = CertificateFactory.getInstance("X.509", "BC2");
                    while (q7.hasMoreElements()) {
                        this.f24355f.add(0, instance.generateCertificate(new ByteArrayInputStream(((c) q7.nextElement()).h(c.f22322f))));
                    }
                } else {
                    throw new CertificateException("input stream does not contain a ASN1 SEQUENCE while reading PkiPath encoded data to load CertPath");
                }
            } else if (str.equalsIgnoreCase("PKCS7") || str.equalsIgnoreCase("PEM")) {
                BufferedInputStream bufferedInputStream = new BufferedInputStream(inputStream);
                this.f24355f = new ArrayList();
                CertificateFactory instance2 = CertificateFactory.getInstance("X.509", "BC2");
                while (true) {
                    Certificate generateCertificate = instance2.generateCertificate(bufferedInputStream);
                    if (generateCertificate == null) {
                        break;
                    }
                    this.f24355f.add(generateCertificate);
                }
            } else {
                throw new CertificateException("unsupported encoding: " + str);
            }
            this.f24355f = a(this.f24355f);
        } catch (IOException e7) {
            throw new CertificateException("IOException throw while decoding CertPath:\n" + e7.toString());
        } catch (NoSuchProviderException e8) {
            throw new CertificateException("BouncyCastle provider not found while trying to get a CertificateFactory:\n" + e8.toString());
        }
    }

    private List a(List list) {
        boolean z7;
        boolean z8;
        if (list.size() < 2) {
            return list;
        }
        X500Principal issuerX500Principal = ((X509Certificate) list.get(0)).getIssuerX500Principal();
        int i7 = 1;
        while (true) {
            if (i7 == list.size()) {
                z7 = true;
                break;
            }
            if (!issuerX500Principal.equals(((X509Certificate) list.get(i7)).getSubjectX500Principal())) {
                z7 = false;
                break;
            }
            issuerX500Principal = ((X509Certificate) list.get(i7)).getIssuerX500Principal();
            i7++;
        }
        if (z7) {
            return list;
        }
        ArrayList arrayList = new ArrayList(list.size());
        ArrayList arrayList2 = new ArrayList(list);
        for (int i8 = 0; i8 < list.size(); i8++) {
            X509Certificate x509Certificate = (X509Certificate) list.get(i8);
            X500Principal subjectX500Principal = x509Certificate.getSubjectX500Principal();
            int i9 = 0;
            while (true) {
                if (i9 == list.size()) {
                    z8 = false;
                    break;
                } else if (((X509Certificate) list.get(i9)).getIssuerX500Principal().equals(subjectX500Principal)) {
                    z8 = true;
                    break;
                } else {
                    i9++;
                }
            }
            if (!z8) {
                arrayList.add(x509Certificate);
                list.remove(i8);
            }
        }
        if (arrayList.size() > 1) {
            return arrayList2;
        }
        for (int i10 = 0; i10 != arrayList.size(); i10++) {
            X500Principal issuerX500Principal2 = ((X509Certificate) arrayList.get(i10)).getIssuerX500Principal();
            int i11 = 0;
            while (true) {
                if (i11 >= list.size()) {
                    break;
                }
                X509Certificate x509Certificate2 = (X509Certificate) list.get(i11);
                if (issuerX500Principal2.equals(x509Certificate2.getSubjectX500Principal())) {
                    arrayList.add(x509Certificate2);
                    list.remove(i11);
                    break;
                }
                i11++;
            }
        }
        return list.size() > 0 ? arrayList2 : arrayList;
    }

    private z0 b(X509Certificate x509Certificate) throws CertificateEncodingException {
        try {
            return new e(x509Certificate.getEncoded()).h();
        } catch (Exception e7) {
            throw new CertificateEncodingException("Exception while encoding certificate: " + e7.toString());
        }
    }

    private byte[] c(c cVar) throws CertificateEncodingException {
        try {
            return cVar.h(c.f22322f);
        } catch (IOException e7) {
            throw new CertificateEncodingException("Exception thrown: " + e7);
        }
    }

    @Override // java.security.cert.CertPath
    public List getCertificates() {
        return Collections.unmodifiableList(new ArrayList(this.f24355f));
    }

    @Override // java.security.cert.CertPath
    public byte[] getEncoded() throws CertificateEncodingException {
        Iterator encodings = getEncodings();
        if (!encodings.hasNext()) {
            return null;
        }
        Object next = encodings.next();
        if (next instanceof String) {
            return getEncoded((String) next);
        }
        return null;
    }

    @Override // java.security.cert.CertPath
    public Iterator getEncodings() {
        return f24354g.iterator();
    }

    i1(List list) {
        super("X.509");
        this.f24355f = a(new ArrayList(list));
    }

    @Override // java.security.cert.CertPath
    public byte[] getEncoded(String str) throws CertificateEncodingException {
        if (str.equalsIgnoreCase("PkiPath")) {
            d dVar = new d();
            List list = this.f24355f;
            ListIterator listIterator = list.listIterator(list.size());
            while (listIterator.hasPrevious()) {
                dVar.a(b((X509Certificate) listIterator.previous()));
            }
            return c(new f1(dVar));
        }
        int i7 = 0;
        if (str.equalsIgnoreCase("PKCS7")) {
            f fVar = new f(org.bouncycastle2.asn1.pkcs.m.Y0, null);
            d dVar2 = new d();
            while (i7 != this.f24355f.size()) {
                dVar2.a(b((X509Certificate) this.f24355f.get(i7)));
                i7++;
            }
            return c(new f(org.bouncycastle2.asn1.pkcs.m.Z0, new u(new w0(1), new h1(), fVar, new h1(dVar2), null, new h1())));
        } else if (str.equalsIgnoreCase("PEM")) {
            ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
            org.bouncycastle2.openssl.c cVar = new org.bouncycastle2.openssl.c(new OutputStreamWriter(byteArrayOutputStream));
            while (i7 != this.f24355f.size()) {
                try {
                    cVar.e(this.f24355f.get(i7));
                    i7++;
                } catch (Exception unused) {
                    throw new CertificateEncodingException("can't encode certificate for PEM encoded path");
                }
            }
            cVar.close();
            return byteArrayOutputStream.toByteArray();
        } else {
            throw new CertificateEncodingException("unsupported encoding: " + str);
        }
    }
}
