package org.bouncycastle2.jce.provider;

import java.security.AlgorithmParameterGeneratorSpi;
import java.security.AlgorithmParameters;
import java.security.InvalidAlgorithmParameterException;
import java.security.InvalidParameterException;
import java.security.SecureRandom;
import java.security.spec.AlgorithmParameterSpec;
import java.security.spec.DSAParameterSpec;
import javax.crypto.spec.DHGenParameterSpec;
import javax.crypto.spec.DHParameterSpec;
import javax.crypto.spec.IvParameterSpec;
import javax.crypto.spec.RC2ParameterSpec;
import org.bouncycastle2.crypto.generators.g;
import org.bouncycastle2.crypto.generators.j;
import org.bouncycastle2.crypto.generators.o;
import org.bouncycastle2.crypto.params.c0;
import org.bouncycastle2.crypto.params.m;
import org.bouncycastle2.crypto.params.x;
import org.bouncycastle2.jce.spec.l;
import org.bouncycastle2.jce.spec.n;

public abstract class j0 extends AlgorithmParameterGeneratorSpi {

    /* renamed from: a  reason: collision with root package name */
    protected SecureRandom f24359a;

    /* renamed from: b  reason: collision with root package name */
    protected int f24360b = 1024;

    public static class a extends j0 {
        /* access modifiers changed from: protected */
        public AlgorithmParameters engineGenerateParameters() {
            byte[] bArr = new byte[8];
            if (this.f24359a == null) {
                this.f24359a = new SecureRandom();
            }
            this.f24359a.nextBytes(bArr);
            try {
                AlgorithmParameters instance = AlgorithmParameters.getInstance("DES", "BC2");
                instance.init(new IvParameterSpec(bArr));
                return instance;
            } catch (Exception e7) {
                throw new RuntimeException(e7.getMessage());
            }
        }

        /* access modifiers changed from: protected */
        @Override // java.security.AlgorithmParameterGeneratorSpi
        public void engineInit(AlgorithmParameterSpec algorithmParameterSpec, SecureRandom secureRandom) throws InvalidAlgorithmParameterException {
            throw new InvalidAlgorithmParameterException("No supported AlgorithmParameterSpec for DES parameter generation.");
        }
    }

    public static class b extends j0 {

        /* renamed from: c  reason: collision with root package name */
        private int f24361c = 0;

        /* access modifiers changed from: protected */
        public AlgorithmParameters engineGenerateParameters() {
            g gVar = new g();
            SecureRandom secureRandom = this.f24359a;
            if (secureRandom != null) {
                gVar.b(this.f24360b, 20, secureRandom);
            } else {
                gVar.b(this.f24360b, 20, new SecureRandom());
            }
            org.bouncycastle2.crypto.params.g a8 = gVar.a();
            try {
                AlgorithmParameters instance = AlgorithmParameters.getInstance("DH", "BC2");
                instance.init(new DHParameterSpec(a8.f(), a8.b(), this.f24361c));
                return instance;
            } catch (Exception e7) {
                throw new RuntimeException(e7.getMessage());
            }
        }

        /* access modifiers changed from: protected */
        @Override // java.security.AlgorithmParameterGeneratorSpi
        public void engineInit(AlgorithmParameterSpec algorithmParameterSpec, SecureRandom secureRandom) throws InvalidAlgorithmParameterException {
            if (algorithmParameterSpec instanceof DHGenParameterSpec) {
                DHGenParameterSpec dHGenParameterSpec = (DHGenParameterSpec) algorithmParameterSpec;
                this.f24360b = dHGenParameterSpec.getPrimeSize();
                this.f24361c = dHGenParameterSpec.getExponentSize();
                this.f24359a = secureRandom;
                return;
            }
            throw new InvalidAlgorithmParameterException("DH parameter generator requires a DHGenParameterSpec for initialisation");
        }
    }

    public static class c extends j0 {
        /* access modifiers changed from: protected */
        public AlgorithmParameters engineGenerateParameters() {
            j jVar = new j();
            SecureRandom secureRandom = this.f24359a;
            int i7 = this.f24360b;
            if (secureRandom == null) {
                secureRandom = new SecureRandom();
            }
            jVar.j(i7, 20, secureRandom);
            m c7 = jVar.c();
            try {
                AlgorithmParameters instance = AlgorithmParameters.getInstance("DSA", "BC2");
                instance.init(new DSAParameterSpec(c7.b(), c7.c(), c7.a()));
                return instance;
            } catch (Exception e7) {
                throw new RuntimeException(e7.getMessage());
            }
        }

        /* access modifiers changed from: protected */
        @Override // java.security.AlgorithmParameterGeneratorSpi, org.bouncycastle2.jce.provider.j0
        public void engineInit(int i7, SecureRandom secureRandom) {
            if (i7 < 512 || i7 > 1024 || i7 % 64 != 0) {
                throw new InvalidParameterException("strength must be from 512 - 1024 and a multiple of 64");
            }
            this.f24360b = i7;
            this.f24359a = secureRandom;
        }

        /* access modifiers changed from: protected */
        @Override // java.security.AlgorithmParameterGeneratorSpi
        public void engineInit(AlgorithmParameterSpec algorithmParameterSpec, SecureRandom secureRandom) throws InvalidAlgorithmParameterException {
            throw new InvalidAlgorithmParameterException("No supported AlgorithmParameterSpec for DSA parameter generation.");
        }
    }

    public static class d extends j0 {

        /* renamed from: c  reason: collision with root package name */
        private int f24362c = 0;

        /* access modifiers changed from: protected */
        public AlgorithmParameters engineGenerateParameters() {
            org.bouncycastle2.crypto.generators.m mVar = new org.bouncycastle2.crypto.generators.m();
            SecureRandom secureRandom = this.f24359a;
            if (secureRandom != null) {
                mVar.b(this.f24360b, 20, secureRandom);
            } else {
                mVar.b(this.f24360b, 20, new SecureRandom());
            }
            x a8 = mVar.a();
            try {
                AlgorithmParameters instance = AlgorithmParameters.getInstance("ElGamal", "BC2");
                instance.init(new DHParameterSpec(a8.c(), a8.a(), this.f24362c));
                return instance;
            } catch (Exception e7) {
                throw new RuntimeException(e7.getMessage());
            }
        }

        /* access modifiers changed from: protected */
        @Override // java.security.AlgorithmParameterGeneratorSpi
        public void engineInit(AlgorithmParameterSpec algorithmParameterSpec, SecureRandom secureRandom) throws InvalidAlgorithmParameterException {
            if (algorithmParameterSpec instanceof DHGenParameterSpec) {
                DHGenParameterSpec dHGenParameterSpec = (DHGenParameterSpec) algorithmParameterSpec;
                this.f24360b = dHGenParameterSpec.getPrimeSize();
                this.f24362c = dHGenParameterSpec.getExponentSize();
                this.f24359a = secureRandom;
                return;
            }
            throw new InvalidAlgorithmParameterException("DH parameter generator requires a DHGenParameterSpec for initialisation");
        }
    }

    public static class e extends j0 {
        /* access modifiers changed from: protected */
        public AlgorithmParameters engineGenerateParameters() {
            o oVar = new o();
            SecureRandom secureRandom = this.f24359a;
            int i7 = this.f24360b;
            if (secureRandom == null) {
                secureRandom = new SecureRandom();
            }
            oVar.b(i7, 2, secureRandom);
            c0 a8 = oVar.a();
            try {
                AlgorithmParameters instance = AlgorithmParameters.getInstance("GOST3410", "BC2");
                instance.init(new l(new n(a8.b(), a8.c(), a8.a())));
                return instance;
            } catch (Exception e7) {
                throw new RuntimeException(e7.getMessage());
            }
        }

        /* access modifiers changed from: protected */
        @Override // java.security.AlgorithmParameterGeneratorSpi
        public void engineInit(AlgorithmParameterSpec algorithmParameterSpec, SecureRandom secureRandom) throws InvalidAlgorithmParameterException {
            throw new InvalidAlgorithmParameterException("No supported AlgorithmParameterSpec for GOST3410 parameter generation.");
        }
    }

    public static class f extends j0 {

        /* renamed from: c  reason: collision with root package name */
        RC2ParameterSpec f24363c = null;

        /* access modifiers changed from: protected */
        public AlgorithmParameters engineGenerateParameters() {
            if (this.f24363c == null) {
                byte[] bArr = new byte[8];
                if (this.f24359a == null) {
                    this.f24359a = new SecureRandom();
                }
                this.f24359a.nextBytes(bArr);
                try {
                    AlgorithmParameters instance = AlgorithmParameters.getInstance("RC2", "BC2");
                    instance.init(new IvParameterSpec(bArr));
                    return instance;
                } catch (Exception e7) {
                    throw new RuntimeException(e7.getMessage());
                }
            } else {
                try {
                    AlgorithmParameters instance2 = AlgorithmParameters.getInstance("RC2", "BC2");
                    instance2.init(this.f24363c);
                    return instance2;
                } catch (Exception e8) {
                    throw new RuntimeException(e8.getMessage());
                }
            }
        }

        /* access modifiers changed from: protected */
        @Override // java.security.AlgorithmParameterGeneratorSpi
        public void engineInit(AlgorithmParameterSpec algorithmParameterSpec, SecureRandom secureRandom) throws InvalidAlgorithmParameterException {
            if (algorithmParameterSpec instanceof RC2ParameterSpec) {
                this.f24363c = (RC2ParameterSpec) algorithmParameterSpec;
                return;
            }
            throw new InvalidAlgorithmParameterException("No supported AlgorithmParameterSpec for RC2 parameter generation.");
        }
    }

    /* access modifiers changed from: protected */
    @Override // java.security.AlgorithmParameterGeneratorSpi
    public void engineInit(int i7, SecureRandom secureRandom) {
        this.f24360b = i7;
        this.f24359a = secureRandom;
    }
}
