package org.bouncycastle2.jce.provider;

import java.security.InvalidAlgorithmParameterException;
import java.security.cert.CertPath;
import java.security.cert.CertPathBuilderException;
import java.security.cert.CertPathBuilderResult;
import java.security.cert.CertPathBuilderSpi;
import java.security.cert.CertPathParameters;
import java.security.cert.CertPathValidator;
import java.security.cert.CertificateFactory;
import java.security.cert.CertificateParsingException;
import java.security.cert.PKIXBuilderParameters;
import java.security.cert.PKIXCertPathBuilderResult;
import java.security.cert.PKIXCertPathValidatorResult;
import java.security.cert.X509Certificate;
import java.util.ArrayList;
import java.util.Collection;
import java.util.HashSet;
import java.util.Iterator;
import java.util.List;
import org.bouncycastle2.x509.d;
import org.bouncycastle2.x509.n;
import r5.a;
import v5.e;

public class j1 extends CertPathBuilderSpi {

    /* renamed from: a  reason: collision with root package name */
    private Exception f24364a;

    /* access modifiers changed from: protected */
    public CertPathBuilderResult a(X509Certificate x509Certificate, d dVar, List list) {
        CertPathBuilderResult certPathBuilderResult = null;
        if (list.contains(x509Certificate) || dVar.y().contains(x509Certificate)) {
            return null;
        }
        if (dVar.z() != -1 && list.size() - 1 > dVar.z()) {
            return null;
        }
        list.add(x509Certificate);
        try {
            CertificateFactory instance = CertificateFactory.getInstance("X.509", "BC2");
            CertPathValidator instance2 = CertPathValidator.getInstance("PKIX", "BC2");
            try {
                if (f.i(x509Certificate, dVar.getTrustAnchors(), dVar.getSigProvider()) != null) {
                    try {
                        CertPath generateCertPath = instance.generateCertPath(list);
                        try {
                            PKIXCertPathValidatorResult pKIXCertPathValidatorResult = (PKIXCertPathValidatorResult) instance2.validate(generateCertPath, dVar);
                            return new PKIXCertPathBuilderResult(generateCertPath, pKIXCertPathValidatorResult.getTrustAnchor(), pKIXCertPathValidatorResult.getPolicyTree(), pKIXCertPathValidatorResult.getPublicKey());
                        } catch (Exception e7) {
                            throw new a("Certification path could not be validated.", e7);
                        }
                    } catch (Exception e8) {
                        throw new a("Certification path could not be constructed from certificate list.", e8);
                    }
                } else {
                    try {
                        f.b(x509Certificate, dVar);
                        HashSet hashSet = new HashSet();
                        try {
                            hashSet.addAll(f.g(x509Certificate, dVar));
                            if (!hashSet.isEmpty()) {
                                Iterator it = hashSet.iterator();
                                while (it.hasNext() && certPathBuilderResult == null) {
                                    certPathBuilderResult = a((X509Certificate) it.next(), dVar, list);
                                }
                                if (certPathBuilderResult == null) {
                                    list.remove(x509Certificate);
                                }
                                return certPathBuilderResult;
                            }
                            throw new a("No issuer certificate for certificate in certification path found.");
                        } catch (a e9) {
                            throw new a("Cannot find issuer certificate for certificate in certification path.", e9);
                        }
                    } catch (CertificateParsingException e10) {
                        throw new a("No additiontal X.509 stores can be added from certificate locations.", e10);
                    }
                }
            } catch (a e11) {
                this.f24364a = e11;
            }
        } catch (Exception unused) {
            throw new RuntimeException("Exception creating support classes.");
        }
    }

    @Override // java.security.cert.CertPathBuilderSpi
    public CertPathBuilderResult engineBuild(CertPathParameters certPathParameters) throws CertPathBuilderException, InvalidAlgorithmParameterException {
        Exception exc;
        if ((certPathParameters instanceof PKIXBuilderParameters) || (certPathParameters instanceof d)) {
            if (!(certPathParameters instanceof d)) {
                certPathParameters = d.f((PKIXBuilderParameters) certPathParameters);
            }
            d dVar = (d) certPathParameters;
            ArrayList arrayList = new ArrayList();
            e j7 = dVar.j();
            if (j7 instanceof n) {
                try {
                    Collection f7 = f.f((n) j7, dVar.i());
                    f7.addAll(f.f((n) j7, dVar.getCertStores()));
                    if (!f7.isEmpty()) {
                        Iterator it = f7.iterator();
                        CertPathBuilderResult certPathBuilderResult = null;
                        while (it.hasNext() && certPathBuilderResult == null) {
                            certPathBuilderResult = a((X509Certificate) it.next(), dVar, arrayList);
                        }
                        if (certPathBuilderResult != null || (exc = this.f24364a) == null) {
                            if (certPathBuilderResult != null || this.f24364a != null) {
                                return certPathBuilderResult;
                            }
                            throw new CertPathBuilderException("Unable to find certificate chain.");
                        } else if (exc instanceof a) {
                            throw new CertPathBuilderException(this.f24364a.getMessage(), this.f24364a.getCause());
                        } else {
                            throw new CertPathBuilderException("Possible certificate chain could not be validated.", this.f24364a);
                        }
                    } else {
                        throw new CertPathBuilderException("No certificate found matching targetContraints.");
                    }
                } catch (a e7) {
                    throw new a("Error finding target certificate.", e7);
                }
            } else {
                throw new CertPathBuilderException("TargetConstraints must be an instance of " + n.class.getName() + " for " + getClass().getName() + " class.");
            }
        } else {
            throw new InvalidAlgorithmParameterException("Parameters must be an instance of " + PKIXBuilderParameters.class.getName() + " or " + d.class.getName() + ".");
        }
    }
}
