package org.bouncycastle2.jce.provider;

import java.security.InvalidAlgorithmParameterException;
import java.security.PublicKey;
import java.security.cert.CertPath;
import java.security.cert.CertPathParameters;
import java.security.cert.CertPathValidatorException;
import java.security.cert.CertPathValidatorResult;
import java.security.cert.CertPathValidatorSpi;
import java.security.cert.Certificate;
import java.security.cert.PKIXCertPathChecker;
import java.security.cert.PKIXCertPathValidatorResult;
import java.security.cert.PKIXParameters;
import java.security.cert.TrustAnchor;
import java.security.cert.X509Certificate;
import java.util.ArrayList;
import java.util.HashSet;
import java.util.List;
import java.util.Set;
import javax.security.auth.x500.X500Principal;
import org.bouncycastle2.x509.e;
import r5.b;

public class k1 extends CertPathValidatorSpi {
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r1v20 */
    /* JADX WARN: Type inference failed for: r1v21, types: [java.security.cert.X509Certificate, java.security.cert.Certificate, java.security.cert.X509Extension] */
    @Override // java.security.cert.CertPathValidatorSpi
    public CertPathValidatorResult engineValidate(CertPath certPath, CertPathParameters certPathParameters) throws CertPathValidatorException, InvalidAlgorithmParameterException {
        PublicKey publicKey;
        X500Principal x500Principal;
        HashSet hashSet;
        ArrayList[] arrayListArr;
        HashSet hashSet2;
        if (certPathParameters instanceof PKIXParameters) {
            e f7 = certPathParameters instanceof e ? (e) certPathParameters : e.f((PKIXParameters) certPathParameters);
            if (f7.getTrustAnchors() != null) {
                List<? extends Certificate> certificates = certPath.getCertificates();
                int size = certificates.size();
                Throwable th = null;
                int i7 = 0;
                if (!certificates.isEmpty()) {
                    Set<String> initialPolicies = f7.getInitialPolicies();
                    try {
                        TrustAnchor i8 = f.i((X509Certificate) certificates.get(certificates.size() - 1), f7.getTrustAnchors(), f7.getSigProvider());
                        if (i8 != null) {
                            int i9 = size + 1;
                            ArrayList[] arrayListArr2 = new ArrayList[i9];
                            int i10 = 0;
                            while (i10 < i9) {
                                arrayListArr2[i10] = new ArrayList();
                                i10++;
                                f7 = f7;
                                th = null;
                                i7 = 0;
                            }
                            HashSet hashSet3 = new HashSet();
                            hashSet3.add("2.5.29.32.0");
                            n1 n1Var = new n1(new ArrayList(), 0, hashSet3, null, new HashSet(), "2.5.29.32.0", false);
                            arrayListArr2[i7].add(n1Var);
                            l1 l1Var = new l1();
                            HashSet hashSet4 = new HashSet();
                            int i11 = f7.isExplicitPolicyRequired() ? i7 : i9;
                            int i12 = f7.isAnyPolicyInhibited() ? i7 : i9;
                            if (f7.isPolicyMappingInhibited()) {
                                i9 = i7;
                            }
                            X509Certificate trustedCert = i8.getTrustedCert();
                            if (trustedCert != null) {
                                try {
                                    x500Principal = f.v(trustedCert);
                                    publicKey = trustedCert.getPublicKey();
                                } catch (IllegalArgumentException e7) {
                                    throw new b("Subject of trust anchor could not be (re)encoded.", e7, certPath, -1);
                                }
                            } else {
                                X500Principal x500Principal2 = new X500Principal(i8.getCAName());
                                publicKey = i8.getCAPublicKey();
                                x500Principal = x500Principal2;
                            }
                            try {
                                org.bouncycastle2.asn1.x509.b j7 = f.j(publicKey);
                                j7.l();
                                j7.m();
                                if (f7.j() == null || f7.j().b1((X509Certificate) certificates.get(i7))) {
                                    List<PKIXCertPathChecker> certPathCheckers = f7.getCertPathCheckers();
                                    for (PKIXCertPathChecker pKIXCertPathChecker : certPathCheckers) {
                                        pKIXCertPathChecker.init(false);
                                        f7 = f7;
                                        arrayListArr2 = arrayListArr2;
                                        l1Var = l1Var;
                                        th = null;
                                    }
                                    int i13 = size;
                                    PublicKey publicKey2 = publicKey;
                                    X500Principal x500Principal3 = x500Principal;
                                    X509Certificate x509Certificate = trustedCert;
                                    n1 n1Var2 = n1Var;
                                    int i14 = i9;
                                    int i15 = i12;
                                    int size2 = certificates.size() - 1;
                                    X509Certificate x509Certificate2 = th;
                                    while (size2 >= 0) {
                                        int i16 = size - size2;
                                        X509Certificate x509Certificate3 = (X509Certificate) certificates.get(size2);
                                        p1.B(certPath, f7, size2, publicKey2, size2 == certificates.size() + -1, x500Principal3, x509Certificate);
                                        p1.C(certPath, size2, l1Var);
                                        n1 E = p1.E(certPath, size2, p1.D(certPath, size2, hashSet4, n1Var2, arrayListArr2, i15));
                                        p1.F(certPath, size2, E, i11);
                                        if (i16 == size) {
                                            arrayListArr = arrayListArr2;
                                            i11 = i11;
                                            n1Var2 = E;
                                            i15 = i15;
                                            i14 = i14;
                                        } else if (x509Certificate3 == null || x509Certificate3.getVersion() != 1) {
                                            p1.d(certPath, size2);
                                            arrayListArr = arrayListArr2;
                                            n1 c7 = p1.c(certPath, size2, arrayListArr, E, i14);
                                            p1.e(certPath, size2, l1Var);
                                            int f8 = p1.f(certPath, size2, i11);
                                            int g7 = p1.g(certPath, size2, i14);
                                            int h7 = p1.h(certPath, size2, i15);
                                            int i17 = p1.i(certPath, size2, f8);
                                            int j8 = p1.j(certPath, size2, g7);
                                            int k7 = p1.k(certPath, size2, h7);
                                            p1.l(certPath, size2);
                                            i13 = p1.n(certPath, size2, p1.m(certPath, size2, i13));
                                            p1.o(certPath, size2);
                                            if (x509Certificate3.getCriticalExtensionOIDs() != null) {
                                                hashSet2.remove(p1.f24436m);
                                                hashSet2.remove(p1.f24424a);
                                                hashSet2.remove(p1.f24425b);
                                                hashSet2.remove(p1.f24426c);
                                                hashSet2.remove(p1.f24427d);
                                                hashSet2.remove(p1.f24429f);
                                                hashSet2.remove(p1.f24430g);
                                                hashSet2.remove(p1.f24431h);
                                                hashSet2.remove(p1.f24433j);
                                                hashSet2.remove(p1.f24434k);
                                            } else {
                                                hashSet2 = new HashSet();
                                            }
                                            p1.p(certPath, size2, hashSet2, certPathCheckers);
                                            X500Principal v7 = f.v(x509Certificate3);
                                            try {
                                                PublicKey r7 = f.r(certPath.getCertificates(), size2);
                                                org.bouncycastle2.asn1.x509.b j9 = f.j(r7);
                                                j9.l();
                                                j9.m();
                                                n1Var2 = c7;
                                                x500Principal3 = v7;
                                                publicKey2 = r7;
                                                x509Certificate = x509Certificate3;
                                                i14 = j8;
                                                i15 = k7;
                                                i11 = i17;
                                            } catch (CertPathValidatorException e8) {
                                                throw new CertPathValidatorException("Next working key could not be retrieved.", e8, certPath, size2);
                                            }
                                        } else {
                                            throw new CertPathValidatorException("Version 1 certificates can't be used as CA ones.", null, certPath, size2);
                                        }
                                        size2--;
                                        arrayListArr2 = arrayListArr;
                                        l1Var = l1Var;
                                        x509Certificate2 = x509Certificate3;
                                        initialPolicies = initialPolicies;
                                        f7 = f7;
                                        i8 = i8;
                                        certificates = certificates;
                                        th = null;
                                    }
                                    int i18 = size2 + 1;
                                    int H = p1.H(certPath, i18, p1.G(i11, x509Certificate2));
                                    if (x509Certificate2.getCriticalExtensionOIDs() != null) {
                                        hashSet.remove(p1.f24436m);
                                        hashSet.remove(p1.f24424a);
                                        hashSet.remove(p1.f24425b);
                                        hashSet.remove(p1.f24426c);
                                        hashSet.remove(p1.f24427d);
                                        hashSet.remove(p1.f24429f);
                                        hashSet.remove(p1.f24430g);
                                        hashSet.remove(p1.f24431h);
                                        hashSet.remove(p1.f24433j);
                                        hashSet.remove(p1.f24434k);
                                        hashSet.remove(p1.f24432i);
                                    } else {
                                        hashSet = new HashSet();
                                    }
                                    p1.I(certPath, i18, certPathCheckers, hashSet);
                                    n1 J = p1.J(certPath, f7, initialPolicies, i18, arrayListArr2, n1Var2, hashSet4);
                                    if (H > 0 || J != null) {
                                        return new PKIXCertPathValidatorResult(i8, J, x509Certificate2.getPublicKey());
                                    }
                                    throw new CertPathValidatorException("Path processing failed on policy.", th, certPath, size2);
                                }
                                throw new b("Target certificate in certification path does not match targetConstraints.", th, certPath, i7);
                            } catch (CertPathValidatorException e9) {
                                throw new b("Algorithm identifier of public key of trust anchor could not be read.", e9, certPath, -1);
                            }
                        } else {
                            throw new CertPathValidatorException("Trust anchor for certification path not found.", null, certPath, -1);
                        }
                    } catch (a e10) {
                        throw new CertPathValidatorException(e10.getMessage(), e10, certPath, certificates.size() - 1);
                    }
                } else {
                    throw new CertPathValidatorException("Certification path is empty.", null, certPath, 0);
                }
            } else {
                throw new InvalidAlgorithmParameterException("trustAnchors is null, this is not allowed for certification path validation.");
            }
        } else {
            throw new InvalidAlgorithmParameterException("Parameters must be a " + PKIXParameters.class.getName() + " instance.");
        }
    }
}
