package org.bouncycastle2.jce.provider;

import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.math.BigInteger;
import java.security.interfaces.DSAParams;
import java.security.interfaces.DSAPrivateKey;
import java.security.spec.DSAParameterSpec;
import java.security.spec.DSAPrivateKeySpec;
import java.util.Enumeration;
import org.bouncycastle2.asn1.a1;
import org.bouncycastle2.asn1.m;
import org.bouncycastle2.asn1.n0;
import org.bouncycastle2.asn1.pkcs.o;
import org.bouncycastle2.asn1.w0;
import org.bouncycastle2.asn1.x509.b;
import org.bouncycastle2.asn1.x509.r;
import org.bouncycastle2.asn1.x9.j;
import org.bouncycastle2.crypto.params.n;
import s5.q;

public class l0 implements DSAPrivateKey, q {

    /* renamed from: x  reason: collision with root package name */
    private static final long f24379x = -4677259546958385734L;

    /* renamed from: f  reason: collision with root package name */
    BigInteger f24380f;

    /* renamed from: g  reason: collision with root package name */
    DSAParams f24381g;

    /* renamed from: p  reason: collision with root package name */
    private f1 f24382p = new f1();

    protected l0() {
    }

    private void b(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException {
        this.f24380f = (BigInteger) objectInputStream.readObject();
        this.f24381g = new DSAParameterSpec((BigInteger) objectInputStream.readObject(), (BigInteger) objectInputStream.readObject(), (BigInteger) objectInputStream.readObject());
        f1 f1Var = new f1();
        this.f24382p = f1Var;
        f1Var.f(objectInputStream);
    }

    private void e(ObjectOutputStream objectOutputStream) throws IOException {
        objectOutputStream.writeObject(this.f24380f);
        objectOutputStream.writeObject(this.f24381g.getP());
        objectOutputStream.writeObject(this.f24381g.getQ());
        objectOutputStream.writeObject(this.f24381g.getG());
        this.f24382p.h(objectOutputStream);
    }

    @Override // s5.q
    public n0 a(a1 a1Var) {
        return this.f24382p.a(a1Var);
    }

    @Override // s5.q
    public Enumeration c() {
        return this.f24382p.c();
    }

    @Override // s5.q
    public void d(a1 a1Var, n0 n0Var) {
        this.f24382p.d(a1Var, n0Var);
    }

    public boolean equals(Object obj) {
        if (!(obj instanceof DSAPrivateKey)) {
            return false;
        }
        DSAPrivateKey dSAPrivateKey = (DSAPrivateKey) obj;
        return getX().equals(dSAPrivateKey.getX()) && getParams().getG().equals(dSAPrivateKey.getParams().getG()) && getParams().getP().equals(dSAPrivateKey.getParams().getP()) && getParams().getQ().equals(dSAPrivateKey.getParams().getQ());
    }

    public String getAlgorithm() {
        return "DSA";
    }

    public byte[] getEncoded() {
        return new o(new b(j.Z3, new r(this.f24381g.getP(), this.f24381g.getQ(), this.f24381g.getG()).d()), new w0(getX())).f();
    }

    public String getFormat() {
        return "PKCS#8";
    }

    public DSAParams getParams() {
        return this.f24381g;
    }

    public BigInteger getX() {
        return this.f24380f;
    }

    public int hashCode() {
        return getParams().getQ().hashCode() ^ ((getX().hashCode() ^ getParams().getG().hashCode()) ^ getParams().getP().hashCode());
    }

    l0(DSAPrivateKey dSAPrivateKey) {
        this.f24380f = dSAPrivateKey.getX();
        this.f24381g = dSAPrivateKey.getParams();
    }

    l0(DSAPrivateKeySpec dSAPrivateKeySpec) {
        this.f24380f = dSAPrivateKeySpec.getX();
        this.f24381g = new DSAParameterSpec(dSAPrivateKeySpec.getP(), dSAPrivateKeySpec.getQ(), dSAPrivateKeySpec.getG());
    }

    l0(o oVar) {
        r rVar = new r((m) oVar.j().m());
        this.f24380f = ((w0) oVar.n()).p();
        this.f24381g = new DSAParameterSpec(rVar.m(), rVar.n(), rVar.j());
    }

    l0(n nVar) {
        this.f24380f = nVar.c();
        this.f24381g = new DSAParameterSpec(nVar.b().b(), nVar.b().c(), nVar.b().a());
    }
}
