package org.bouncycastle2.jce.provider;

import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.math.BigInteger;
import java.security.interfaces.DSAParams;
import java.security.interfaces.DSAPublicKey;
import java.security.spec.DSAParameterSpec;
import java.security.spec.DSAPublicKeySpec;
import org.bouncycastle2.asn1.m;
import org.bouncycastle2.asn1.n0;
import org.bouncycastle2.asn1.w0;
import org.bouncycastle2.asn1.x0;
import org.bouncycastle2.asn1.x509.b;
import org.bouncycastle2.asn1.x509.p0;
import org.bouncycastle2.asn1.x509.r;
import org.bouncycastle2.asn1.x9.j;
import org.bouncycastle2.crypto.params.o;

public class m0 implements DSAPublicKey {

    /* renamed from: p  reason: collision with root package name */
    private static final long f24393p = 1752452449903495175L;

    /* renamed from: f  reason: collision with root package name */
    private BigInteger f24394f;

    /* renamed from: g  reason: collision with root package name */
    private DSAParams f24395g;

    m0(BigInteger bigInteger, DSAParameterSpec dSAParameterSpec) {
        this.f24394f = bigInteger;
        this.f24395g = dSAParameterSpec;
    }

    private boolean a(n0 n0Var) {
        return n0Var != null && !x0.f22731x.equals(n0Var);
    }

    private void b(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException {
        this.f24394f = (BigInteger) objectInputStream.readObject();
        this.f24395g = new DSAParameterSpec((BigInteger) objectInputStream.readObject(), (BigInteger) objectInputStream.readObject(), (BigInteger) objectInputStream.readObject());
    }

    private void c(ObjectOutputStream objectOutputStream) throws IOException {
        objectOutputStream.writeObject(this.f24394f);
        objectOutputStream.writeObject(this.f24395g.getP());
        objectOutputStream.writeObject(this.f24395g.getQ());
        objectOutputStream.writeObject(this.f24395g.getG());
    }

    public boolean equals(Object obj) {
        if (!(obj instanceof DSAPublicKey)) {
            return false;
        }
        DSAPublicKey dSAPublicKey = (DSAPublicKey) obj;
        return getY().equals(dSAPublicKey.getY()) && getParams().getG().equals(dSAPublicKey.getParams().getG()) && getParams().getP().equals(dSAPublicKey.getParams().getP()) && getParams().getQ().equals(dSAPublicKey.getParams().getQ());
    }

    public String getAlgorithm() {
        return "DSA";
    }

    public byte[] getEncoded() {
        DSAParams dSAParams = this.f24395g;
        return dSAParams == null ? new p0(new b(j.Z3), new w0(this.f24394f)).f() : new p0(new b(j.Z3, new r(dSAParams.getP(), this.f24395g.getQ(), this.f24395g.getG()).d()), new w0(this.f24394f)).f();
    }

    public String getFormat() {
        return "X.509";
    }

    public DSAParams getParams() {
        return this.f24395g;
    }

    public BigInteger getY() {
        return this.f24394f;
    }

    public int hashCode() {
        return getParams().getQ().hashCode() ^ ((getY().hashCode() ^ getParams().getG().hashCode()) ^ getParams().getP().hashCode());
    }

    public String toString() {
        StringBuffer stringBuffer = new StringBuffer();
        String property = System.getProperty("line.separator");
        stringBuffer.append("DSA Public Key");
        stringBuffer.append(property);
        stringBuffer.append("            y: ");
        stringBuffer.append(getY().toString(16));
        stringBuffer.append(property);
        return stringBuffer.toString();
    }

    m0(DSAPublicKey dSAPublicKey) {
        this.f24394f = dSAPublicKey.getY();
        this.f24395g = dSAPublicKey.getParams();
    }

    m0(DSAPublicKeySpec dSAPublicKeySpec) {
        this.f24394f = dSAPublicKeySpec.getY();
        this.f24395g = new DSAParameterSpec(dSAPublicKeySpec.getP(), dSAPublicKeySpec.getQ(), dSAPublicKeySpec.getG());
    }

    m0(p0 p0Var) {
        try {
            this.f24394f = ((w0) p0Var.m()).p();
            if (a(p0Var.j().m())) {
                r rVar = new r((m) p0Var.j().m());
                this.f24395g = new DSAParameterSpec(rVar.m(), rVar.n(), rVar.j());
            }
        } catch (IOException unused) {
            throw new IllegalArgumentException("invalid info structure in DSA public key");
        }
    }

    m0(o oVar) {
        this.f24394f = oVar.c();
        this.f24395g = new DSAParameterSpec(oVar.b().b(), oVar.b().c(), oVar.b().a());
    }
}
