package org.bouncycastle2.jce.provider;

import java.io.IOException;
import java.math.BigInteger;
import java.security.InvalidKeyException;
import java.security.PrivateKey;
import java.security.PublicKey;
import java.security.SecureRandom;
import java.security.SignatureException;
import java.security.SignatureSpi;
import java.security.interfaces.DSAKey;
import java.security.spec.AlgorithmParameterSpec;
import org.bouncycastle2.asn1.f1;
import org.bouncycastle2.asn1.g;
import org.bouncycastle2.asn1.pkcs.m;
import org.bouncycastle2.asn1.w0;
import org.bouncycastle2.asn1.x509.e1;
import org.bouncycastle2.crypto.digests.l;
import org.bouncycastle2.crypto.digests.n;
import org.bouncycastle2.crypto.k;
import org.bouncycastle2.crypto.o;
import org.bouncycastle2.crypto.params.o0;
import s5.j;

public class n0 extends SignatureSpi implements m, e1 {

    /* renamed from: f  reason: collision with root package name */
    private o f24397f;

    /* renamed from: g  reason: collision with root package name */
    private k f24398g;

    /* renamed from: p  reason: collision with root package name */
    private SecureRandom f24399p;

    public static class a extends n0 {
        public a() {
            super(new l(), new org.bouncycastle2.crypto.signers.a());
        }
    }

    public static class b extends n0 {
        public b() {
            super(new org.bouncycastle2.crypto.digests.m(), new org.bouncycastle2.crypto.signers.a());
        }
    }

    public static class c extends n0 {
        public c() {
            super(new n(), new org.bouncycastle2.crypto.signers.a());
        }
    }

    public static class d extends n0 {
        public d() {
            super(new org.bouncycastle2.crypto.digests.o(), new org.bouncycastle2.crypto.signers.a());
        }
    }

    public static class e extends n0 {
        public e() {
            super(new u5.a(), new org.bouncycastle2.crypto.signers.a());
        }
    }

    public static class f extends n0 {
        public f() {
            super(new org.bouncycastle2.crypto.digests.k(), new org.bouncycastle2.crypto.signers.a());
        }
    }

    protected n0(o oVar, k kVar) {
        this.f24397f = oVar;
        this.f24398g = kVar;
    }

    private BigInteger[] a(byte[] bArr) throws IOException {
        org.bouncycastle2.asn1.m mVar = (org.bouncycastle2.asn1.m) g.l(bArr);
        return new BigInteger[]{((w0) mVar.p(0)).p(), ((w0) mVar.p(1)).p()};
    }

    private byte[] b(BigInteger bigInteger, BigInteger bigInteger2) throws IOException {
        return new f1(new w0[]{new w0(bigInteger), new w0(bigInteger2)}).h(org.bouncycastle2.asn1.c.f22322f);
    }

    /* access modifiers changed from: protected */
    @Override // java.security.SignatureSpi
    public Object engineGetParameter(String str) {
        throw new UnsupportedOperationException("engineSetParameter unsupported");
    }

    /* access modifiers changed from: protected */
    @Override // java.security.SignatureSpi
    public void engineInitSign(PrivateKey privateKey) throws InvalidKeyException {
        o0 a8 = privateKey instanceof j ? o.a(privateKey) : l.a(privateKey);
        SecureRandom secureRandom = this.f24399p;
        if (secureRandom != null) {
            a8 = new o0(a8, secureRandom);
        }
        this.f24397f.reset();
        this.f24398g.a(true, a8);
    }

    /* access modifiers changed from: protected */
    @Override // java.security.SignatureSpi
    public void engineInitVerify(PublicKey publicKey) throws InvalidKeyException {
        org.bouncycastle2.crypto.params.b bVar;
        if (publicKey instanceof j) {
            bVar = o.b(publicKey);
        } else if (publicKey instanceof DSAKey) {
            bVar = l.b(publicKey);
        } else {
            try {
                PublicKey c7 = u0.c(publicKey.getEncoded());
                if (c7 instanceof DSAKey) {
                    bVar = l.b(c7);
                } else {
                    throw new InvalidKeyException("can't recognise key type in DSA based signer");
                }
            } catch (Exception unused) {
                throw new InvalidKeyException("can't recognise key type in DSA based signer");
            }
        }
        this.f24397f.reset();
        this.f24398g.a(false, bVar);
    }

    /* access modifiers changed from: protected */
    @Override // java.security.SignatureSpi
    public void engineSetParameter(String str, Object obj) {
        throw new UnsupportedOperationException("engineSetParameter unsupported");
    }

    /* access modifiers changed from: protected */
    @Override // java.security.SignatureSpi
    public byte[] engineSign() throws SignatureException {
        byte[] bArr = new byte[this.f24397f.f()];
        this.f24397f.c(bArr, 0);
        try {
            BigInteger[] b7 = this.f24398g.b(bArr);
            return b(b7[0], b7[1]);
        } catch (Exception e7) {
            throw new SignatureException(e7.toString());
        }
    }

    /* access modifiers changed from: protected */
    @Override // java.security.SignatureSpi
    public void engineUpdate(byte b7) throws SignatureException {
        this.f24397f.e(b7);
    }

    /* access modifiers changed from: protected */
    @Override // java.security.SignatureSpi
    public boolean engineVerify(byte[] bArr) throws SignatureException {
        byte[] bArr2 = new byte[this.f24397f.f()];
        this.f24397f.c(bArr2, 0);
        try {
            BigInteger[] a8 = a(bArr);
            return this.f24398g.c(bArr2, a8[0], a8[1]);
        } catch (Exception unused) {
            throw new SignatureException("error decoding signature bytes.");
        }
    }

    /* access modifiers changed from: protected */
    @Override // java.security.SignatureSpi
    public void engineInitSign(PrivateKey privateKey, SecureRandom secureRandom) throws InvalidKeyException {
        this.f24399p = secureRandom;
        engineInitSign(privateKey);
    }

    /* access modifiers changed from: protected */
    @Override // java.security.SignatureSpi
    public void engineSetParameter(AlgorithmParameterSpec algorithmParameterSpec) {
        throw new UnsupportedOperationException("engineSetParameter unsupported");
    }

    /* access modifiers changed from: protected */
    @Override // java.security.SignatureSpi
    public void engineUpdate(byte[] bArr, int i7, int i8) throws SignatureException {
        this.f24397f.d(bArr, i7, i8);
    }
}
