package org.bouncycastle2.jce.provider;

import java.io.IOException;
import java.security.AlgorithmParameters;
import java.security.InvalidKeyException;
import java.security.PrivateKey;
import java.security.PublicKey;
import java.security.SignatureException;
import java.security.SignatureSpi;
import java.security.interfaces.RSAPrivateKey;
import java.security.interfaces.RSAPublicKey;
import java.security.spec.AlgorithmParameterSpec;
import org.bouncycastle2.asn1.a1;
import org.bouncycastle2.asn1.pkcs.m;
import org.bouncycastle2.asn1.x0;
import org.bouncycastle2.asn1.x509.e1;
import org.bouncycastle2.asn1.x509.s;
import org.bouncycastle2.crypto.digests.n;
import org.bouncycastle2.crypto.engines.c0;
import org.bouncycastle2.crypto.o;
import org.bouncycastle2.crypto.params.u0;

public class o0 extends SignatureSpi {

    /* renamed from: a  reason: collision with root package name */
    private o f24407a;

    /* renamed from: b  reason: collision with root package name */
    private org.bouncycastle2.crypto.a f24408b;

    /* renamed from: c  reason: collision with root package name */
    private org.bouncycastle2.asn1.x509.b f24409c;

    public static class a extends o0 {
        public a() {
            super(m.P0, new org.bouncycastle2.crypto.digests.d(), new org.bouncycastle2.crypto.encodings.c(new c0()));
        }
    }

    public static class b extends o0 {
        public b() {
            super(m.Q0, new org.bouncycastle2.crypto.digests.e(), new org.bouncycastle2.crypto.encodings.c(new c0()));
        }
    }

    public static class c extends o0 {
        public c() {
            super(m.R0, new org.bouncycastle2.crypto.digests.f(), new org.bouncycastle2.crypto.encodings.c(new c0()));
        }
    }

    public static class d extends o0 {
        public d() {
            super(org.bouncycastle2.asn1.teletrust.b.f22691c, new org.bouncycastle2.crypto.digests.g(), new org.bouncycastle2.crypto.encodings.c(new c0()));
        }
    }

    public static class e extends o0 {
        public e() {
            super(org.bouncycastle2.asn1.teletrust.b.f22690b, new org.bouncycastle2.crypto.digests.h(), new org.bouncycastle2.crypto.encodings.c(new c0()));
        }
    }

    public static class f extends o0 {
        public f() {
            super(org.bouncycastle2.asn1.teletrust.b.f22692d, new org.bouncycastle2.crypto.digests.i(), new org.bouncycastle2.crypto.encodings.c(new c0()));
        }
    }

    public static class g extends o0 {
        public g() {
            super(e1.T2, new org.bouncycastle2.crypto.digests.k(), new org.bouncycastle2.crypto.encodings.c(new c0()));
        }
    }

    public static class h extends o0 {
        public h() {
            super(org.bouncycastle2.asn1.nist.b.f22431e, new org.bouncycastle2.crypto.digests.l(), new org.bouncycastle2.crypto.encodings.c(new c0()));
        }
    }

    public static class i extends o0 {
        public i() {
            super(org.bouncycastle2.asn1.nist.b.f22428b, new org.bouncycastle2.crypto.digests.m(), new org.bouncycastle2.crypto.encodings.c(new c0()));
        }
    }

    public static class j extends o0 {
        public j() {
            super(org.bouncycastle2.asn1.nist.b.f22429c, new n(), new org.bouncycastle2.crypto.encodings.c(new c0()));
        }
    }

    public static class k extends o0 {
        public k() {
            super(org.bouncycastle2.asn1.nist.b.f22430d, new org.bouncycastle2.crypto.digests.o(), new org.bouncycastle2.crypto.encodings.c(new c0()));
        }
    }

    public static class l extends o0 {
        public l() {
            super(new u5.a(), new org.bouncycastle2.crypto.encodings.c(new c0()));
        }
    }

    protected o0(a1 a1Var, o oVar, org.bouncycastle2.crypto.a aVar) {
        this.f24407a = oVar;
        this.f24408b = aVar;
        this.f24409c = new org.bouncycastle2.asn1.x509.b(a1Var, x0.f22731x);
    }

    private byte[] a(byte[] bArr) throws IOException {
        org.bouncycastle2.asn1.x509.b bVar = this.f24409c;
        return bVar == null ? bArr : new s(bVar, bArr).h(org.bouncycastle2.asn1.c.f22322f);
    }

    private String b(Object obj) {
        if (obj == null) {
            return null;
        }
        return obj.getClass().getName();
    }

    /* access modifiers changed from: protected */
    @Override // java.security.SignatureSpi
    public Object engineGetParameter(String str) {
        return null;
    }

    /* access modifiers changed from: protected */
    public AlgorithmParameters engineGetParameters() {
        return null;
    }

    /* access modifiers changed from: protected */
    @Override // java.security.SignatureSpi
    public void engineInitSign(PrivateKey privateKey) throws InvalidKeyException {
        if (privateKey instanceof RSAPrivateKey) {
            u0 a8 = r1.a((RSAPrivateKey) privateKey);
            this.f24407a.reset();
            this.f24408b.a(true, a8);
            return;
        }
        throw new InvalidKeyException("Supplied key (" + b(privateKey) + ") is not a RSAPrivateKey instance");
    }

    /* access modifiers changed from: protected */
    @Override // java.security.SignatureSpi
    public void engineInitVerify(PublicKey publicKey) throws InvalidKeyException {
        if (publicKey instanceof RSAPublicKey) {
            u0 b7 = r1.b((RSAPublicKey) publicKey);
            this.f24407a.reset();
            this.f24408b.a(false, b7);
            return;
        }
        throw new InvalidKeyException("Supplied key (" + b(publicKey) + ") is not a RSAPublicKey instance");
    }

    /* access modifiers changed from: protected */
    @Override // java.security.SignatureSpi
    public void engineSetParameter(String str, Object obj) {
        throw new UnsupportedOperationException("engineSetParameter unsupported");
    }

    /* access modifiers changed from: protected */
    @Override // java.security.SignatureSpi
    public byte[] engineSign() throws SignatureException {
        byte[] bArr = new byte[this.f24407a.f()];
        this.f24407a.c(bArr, 0);
        try {
            byte[] a8 = a(bArr);
            return this.f24408b.c(a8, 0, a8.length);
        } catch (ArrayIndexOutOfBoundsException unused) {
            throw new SignatureException("key too small for signature type");
        } catch (Exception e7) {
            throw new SignatureException(e7.toString());
        }
    }

    /* access modifiers changed from: protected */
    @Override // java.security.SignatureSpi
    public void engineUpdate(byte b7) throws SignatureException {
        this.f24407a.e(b7);
    }

    /* access modifiers changed from: protected */
    @Override // java.security.SignatureSpi
    public boolean engineVerify(byte[] bArr) throws SignatureException {
        int f7 = this.f24407a.f();
        byte[] bArr2 = new byte[f7];
        this.f24407a.c(bArr2, 0);
        try {
            byte[] c7 = this.f24408b.c(bArr, 0, bArr.length);
            byte[] a8 = a(bArr2);
            if (c7.length == a8.length) {
                for (int i7 = 0; i7 < c7.length; i7++) {
                    if (c7[i7] != a8[i7]) {
                        return false;
                    }
                }
            } else {
                if (c7.length == a8.length - 2) {
                    int length = (c7.length - f7) - 2;
                    int length2 = (a8.length - f7) - 2;
                    a8[1] = (byte) (a8[1] - 2);
                    a8[3] = (byte) (a8[3] - 2);
                    for (int i8 = 0; i8 < f7; i8++) {
                        if (c7[length + i8] != a8[length2 + i8]) {
                            return false;
                        }
                    }
                    for (int i9 = 0; i9 < length; i9++) {
                        if (c7[i9] != a8[i9]) {
                            return false;
                        }
                    }
                }
                return false;
            }
            return true;
        } catch (Exception unused) {
        }
    }

    protected o0(o oVar, org.bouncycastle2.crypto.a aVar) {
        this.f24407a = oVar;
        this.f24408b = aVar;
        this.f24409c = null;
    }

    /* access modifiers changed from: protected */
    @Override // java.security.SignatureSpi
    public void engineSetParameter(AlgorithmParameterSpec algorithmParameterSpec) {
        throw new UnsupportedOperationException("engineSetParameter unsupported");
    }

    /* access modifiers changed from: protected */
    @Override // java.security.SignatureSpi
    public void engineUpdate(byte[] bArr, int i7, int i8) throws SignatureException {
        this.f24407a.d(bArr, i7, i8);
    }
}
