package org.bouncycastle2.jce.provider;

import androidx.core.os.EnvironmentCompat;
import java.io.IOException;
import java.math.BigInteger;
import java.security.GeneralSecurityException;
import java.security.PublicKey;
import java.security.cert.CertPath;
import java.security.cert.CertPathBuilder;
import java.security.cert.CertPathBuilderException;
import java.security.cert.CertPathValidatorException;
import java.security.cert.Certificate;
import java.security.cert.CertificateExpiredException;
import java.security.cert.CertificateNotYetValidException;
import java.security.cert.PKIXCertPathChecker;
import java.security.cert.X509CRL;
import java.security.cert.X509Certificate;
import java.security.cert.X509Extension;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Date;
import java.util.Enumeration;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Iterator;
import java.util.List;
import java.util.Set;
import javax.security.auth.x500.X500Principal;
import org.bouncycastle2.asn1.c;
import org.bouncycastle2.asn1.d;
import org.bouncycastle2.asn1.f1;
import org.bouncycastle2.asn1.g;
import org.bouncycastle2.asn1.m;
import org.bouncycastle2.asn1.n0;
import org.bouncycastle2.asn1.r;
import org.bouncycastle2.asn1.w0;
import org.bouncycastle2.asn1.x509.a1;
import org.bouncycastle2.asn1.x509.b0;
import org.bouncycastle2.asn1.x509.b1;
import org.bouncycastle2.asn1.x509.e0;
import org.bouncycastle2.asn1.x509.g0;
import org.bouncycastle2.asn1.x509.j;
import org.bouncycastle2.asn1.x509.k;
import org.bouncycastle2.asn1.x509.t;
import org.bouncycastle2.asn1.x509.u;
import org.bouncycastle2.asn1.x509.w;
import org.bouncycastle2.asn1.x509.x;
import org.bouncycastle2.asn1.x509.y;
import org.bouncycastle2.asn1.z0;
import org.bouncycastle2.x509.e;
import org.bouncycastle2.x509.l;
import org.bouncycastle2.x509.n;
import r5.b;
import v5.a;

public class p1 {

    /* renamed from: a  reason: collision with root package name */
    protected static final String f24424a = a1.f22748h6.m();

    /* renamed from: b  reason: collision with root package name */
    protected static final String f24425b = a1.f22749i6.m();

    /* renamed from: c  reason: collision with root package name */
    protected static final String f24426c = a1.f22754n6.m();

    /* renamed from: d  reason: collision with root package name */
    protected static final String f24427d = a1.f22744d6.m();

    /* renamed from: e  reason: collision with root package name */
    protected static final String f24428e = a1.f22753m6.m();

    /* renamed from: f  reason: collision with root package name */
    protected static final String f24429f = a1.f22743c6.m();

    /* renamed from: g  reason: collision with root package name */
    protected static final String f24430g = a1.f22751k6.m();

    /* renamed from: h  reason: collision with root package name */
    protected static final String f24431h = a1.X5.m();

    /* renamed from: i  reason: collision with root package name */
    protected static final String f24432i = a1.f22747g6.m();

    /* renamed from: j  reason: collision with root package name */
    protected static final String f24433j = a1.V5.m();

    /* renamed from: k  reason: collision with root package name */
    protected static final String f24434k = a1.f22746f6.m();

    /* renamed from: l  reason: collision with root package name */
    protected static final String f24435l = a1.f22750j6.m();

    /* renamed from: m  reason: collision with root package name */
    protected static final String f24436m = a1.C2.m();

    /* renamed from: n  reason: collision with root package name */
    protected static final String f24437n = a1.Y5.m();

    /* renamed from: o  reason: collision with root package name */
    protected static final String f24438o = "2.5.29.32.0";

    /* renamed from: p  reason: collision with root package name */
    protected static final int f24439p = 5;

    /* renamed from: q  reason: collision with root package name */
    protected static final int f24440q = 6;

    /* renamed from: r  reason: collision with root package name */
    protected static final String[] f24441r = {"unspecified", "keyCompromise", "cACompromise", "affiliationChanged", "superseded", "cessationOfOperation", "certificateHold", EnvironmentCompat.MEDIA_UNKNOWN, "removeFromCRL", "privilegeWithdrawn", "aACompromise"};

    protected static void A(Date date, X509CRL x509crl, Object obj, g gVar) throws a {
        if (gVar.a() == 11) {
            f.l(date, x509crl, obj, gVar);
        }
    }

    protected static void B(CertPath certPath, e eVar, int i7, PublicKey publicKey, boolean z7, X500Principal x500Principal, X509Certificate x509Certificate) throws b {
        List<? extends Certificate> certificates = certPath.getCertificates();
        X509Certificate x509Certificate2 = (X509Certificate) certificates.get(i7);
        if (!z7) {
            try {
                f.H(x509Certificate2, publicKey, eVar.getSigProvider());
            } catch (GeneralSecurityException e7) {
                throw new b("Could not validate certificate signature.", e7, certPath, i7);
            }
        }
        try {
            x509Certificate2.checkValidity(f.w(eVar, certPath, i7));
            if (eVar.isRevocationEnabled()) {
                try {
                    b(eVar, x509Certificate2, f.w(eVar, certPath, i7), x509Certificate, publicKey, certificates);
                } catch (a e8) {
                    throw new b(e8.getMessage(), e8.getCause() != null ? e8.getCause() : e8, certPath, i7);
                }
            }
            if (!f.o(x509Certificate2).equals(x500Principal)) {
                throw new b("IssuerName(" + f.o(x509Certificate2) + ") does not match SubjectName(" + x500Principal + ") of signing certificate.", null, certPath, i7);
            }
        } catch (CertificateExpiredException e9) {
            throw new b("Could not validate certificate: " + e9.getMessage(), e9, certPath, i7);
        } catch (CertificateNotYetValidException e10) {
            throw new b("Could not validate certificate: " + e10.getMessage(), e10, certPath, i7);
        } catch (a e11) {
            throw new b("Could not validate time of certificate.", e11, certPath, i7);
        }
    }

    protected static void C(CertPath certPath, int i7, l1 l1Var) throws CertPathValidatorException {
        List<? extends Certificate> certificates = certPath.getCertificates();
        X509Certificate x509Certificate = (X509Certificate) certificates.get(i7);
        int size = certificates.size();
        int i8 = size - i7;
        if (!f.A(x509Certificate) || i8 >= size) {
            try {
                m n7 = m.n(new org.bouncycastle2.asn1.e(f.v(x509Certificate).getEncoded()).h());
                try {
                    l1Var.k(n7);
                    l1Var.d(n7);
                    try {
                        x j7 = x.j(f.p(x509Certificate, f24433j));
                        Enumeration elements = new b1(n7).u(b1.f22797z6).elements();
                        while (elements.hasMoreElements()) {
                            w wVar = new w(1, (String) elements.nextElement());
                            try {
                                l1Var.i(wVar);
                                l1Var.b(wVar);
                            } catch (m1 e7) {
                                throw new CertPathValidatorException("Subtree check for certificate subject alternative email failed.", e7, certPath, i7);
                            }
                        }
                        if (j7 != null) {
                            try {
                                w[] l7 = j7.l();
                                for (int i9 = 0; i9 < l7.length; i9++) {
                                    try {
                                        l1Var.i(l7[i9]);
                                        l1Var.b(l7[i9]);
                                    } catch (m1 e8) {
                                        throw new CertPathValidatorException("Subtree check for certificate subject alternative name failed.", e8, certPath, i7);
                                    }
                                }
                            } catch (Exception e9) {
                                throw new CertPathValidatorException("Subject alternative name contents could not be decoded.", e9, certPath, i7);
                            }
                        }
                    } catch (Exception e10) {
                        throw new CertPathValidatorException("Subject alternative name extension could not be decoded.", e10, certPath, i7);
                    }
                } catch (m1 e11) {
                    throw new CertPathValidatorException("Subtree check for certificate subject failed.", e11, certPath, i7);
                }
            } catch (Exception e12) {
                throw new CertPathValidatorException("Exception extracting subject name when checking subtrees.", e12, certPath, i7);
            }
        }
    }

    protected static n1 D(CertPath certPath, int i7, Set set, n1 n1Var, List[] listArr, int i8) throws CertPathValidatorException {
        String m7;
        List<? extends Certificate> certificates = certPath.getCertificates();
        X509Certificate x509Certificate = (X509Certificate) certificates.get(i7);
        int size = certificates.size();
        int i9 = size - i7;
        try {
            m n7 = m.n(f.p(x509Certificate, f24424a));
            if (n7 == null || n1Var == null) {
                return null;
            }
            Enumeration q7 = n7.q();
            HashSet hashSet = new HashSet();
            while (q7.hasMoreElements()) {
                g0 j7 = g0.j(q7.nextElement());
                org.bouncycastle2.asn1.a1 k7 = j7.k();
                hashSet.add(k7.m());
                if (!f24438o.equals(k7.m())) {
                    try {
                        Set t7 = f.t(j7.l());
                        if (!f.D(i9, listArr, k7, t7)) {
                            f.E(i9, listArr, k7, t7);
                        }
                    } catch (CertPathValidatorException e7) {
                        throw new b("Policy qualifier info set could not be build.", e7, certPath, i7);
                    }
                }
            }
            if (set.isEmpty() || set.contains(f24438o)) {
                set.clear();
                set.addAll(hashSet);
            } else {
                HashSet hashSet2 = new HashSet();
                for (Object obj : set) {
                    if (hashSet.contains(obj)) {
                        hashSet2.add(obj);
                    }
                }
                set.clear();
                set.addAll(hashSet2);
            }
            if (i8 > 0 || (i9 < size && f.A(x509Certificate))) {
                Enumeration q8 = n7.q();
                while (true) {
                    if (!q8.hasMoreElements()) {
                        break;
                    }
                    g0 j8 = g0.j(q8.nextElement());
                    if (f24438o.equals(j8.k().m())) {
                        Set t8 = f.t(j8.l());
                        List list = listArr[i9 - 1];
                        for (int i10 = 0; i10 < list.size(); i10++) {
                            n1 n1Var2 = (n1) list.get(i10);
                            for (Object obj2 : n1Var2.getExpectedPolicies()) {
                                if (obj2 instanceof String) {
                                    m7 = (String) obj2;
                                } else if (obj2 instanceof org.bouncycastle2.asn1.a1) {
                                    m7 = ((org.bouncycastle2.asn1.a1) obj2).m();
                                }
                                Iterator children = n1Var2.getChildren();
                                boolean z7 = false;
                                while (children.hasNext()) {
                                    if (m7.equals(((n1) children.next()).getValidPolicy())) {
                                        z7 = true;
                                    }
                                }
                                if (!z7) {
                                    HashSet hashSet3 = new HashSet();
                                    hashSet3.add(m7);
                                    n1 n1Var3 = new n1(new ArrayList(), i9, hashSet3, n1Var2, t8, m7, false);
                                    n1Var2.a(n1Var3);
                                    listArr[i9].add(n1Var3);
                                }
                            }
                        }
                    }
                }
            }
            n1 n1Var4 = n1Var;
            for (int i11 = i9 - 1; i11 >= 0; i11--) {
                List list2 = listArr[i11];
                for (int i12 = 0; i12 < list2.size(); i12++) {
                    n1 n1Var5 = (n1) list2.get(i12);
                    if (!n1Var5.c() && (n1Var4 = f.F(n1Var4, listArr, n1Var5)) == null) {
                        break;
                    }
                }
            }
            Set<String> criticalExtensionOIDs = x509Certificate.getCriticalExtensionOIDs();
            if (criticalExtensionOIDs != null) {
                boolean contains = criticalExtensionOIDs.contains(f24424a);
                List list3 = listArr[i9];
                for (int i13 = 0; i13 < list3.size(); i13++) {
                    ((n1) list3.get(i13)).e(contains);
                }
            }
            return n1Var4;
        } catch (a e8) {
            throw new b("Could not read certificate policies extension from certificate.", e8, certPath, i7);
        }
    }

    protected static n1 E(CertPath certPath, int i7, n1 n1Var) throws CertPathValidatorException {
        try {
            if (m.n(f.p((X509Certificate) certPath.getCertificates().get(i7), f24424a)) == null) {
                return null;
            }
            return n1Var;
        } catch (a e7) {
            throw new b("Could not read certificate policies extension from certificate.", e7, certPath, i7);
        }
    }

    protected static void F(CertPath certPath, int i7, n1 n1Var, int i8) throws CertPathValidatorException {
        if (i8 <= 0 && n1Var == null) {
            throw new b("No valid policy tree found when one expected.", null, certPath, i7);
        }
    }

    protected static int G(int i7, X509Certificate x509Certificate) {
        return (f.A(x509Certificate) || i7 == 0) ? i7 : i7 - 1;
    }

    protected static int H(CertPath certPath, int i7, int i8) throws CertPathValidatorException {
        try {
            m n7 = m.n(f.p((X509Certificate) certPath.getCertificates().get(i7), f24430g));
            if (n7 != null) {
                Enumeration q7 = n7.q();
                while (q7.hasMoreElements()) {
                    r rVar = (r) q7.nextElement();
                    if (rVar.e() == 0) {
                        try {
                            if (w0.m(rVar).p().intValue() == 0) {
                                return 0;
                            }
                        } catch (Exception e7) {
                            throw new b("Policy constraints requireExplicitPolicy field could no be decoded.", e7, certPath, i7);
                        }
                    }
                }
            }
            return i8;
        } catch (a e8) {
            throw new b("Policy constraints could no be decoded.", e8, certPath, i7);
        }
    }

    protected static void I(CertPath certPath, int i7, List list, Set set) throws CertPathValidatorException {
        X509Certificate x509Certificate = (X509Certificate) certPath.getCertificates().get(i7);
        Iterator it = list.iterator();
        while (it.hasNext()) {
            try {
                ((PKIXCertPathChecker) it.next()).check(x509Certificate, set);
            } catch (CertPathValidatorException e7) {
                throw new b("Additional certificate path checker failed.", e7, certPath, i7);
            }
        }
        if (!set.isEmpty()) {
            throw new b("Certificate has unsupported critical extension", null, certPath, i7);
        }
    }

    protected static n1 J(CertPath certPath, e eVar, Set set, int i7, List[] listArr, n1 n1Var, Set set2) throws CertPathValidatorException {
        int size = certPath.getCertificates().size();
        if (n1Var != null) {
            if (!f.y(set)) {
                HashSet<n1> hashSet = new HashSet();
                for (List list : listArr) {
                    for (int i8 = 0; i8 < list.size(); i8++) {
                        n1 n1Var2 = (n1) list.get(i8);
                        if (f24438o.equals(n1Var2.getValidPolicy())) {
                            Iterator children = n1Var2.getChildren();
                            while (children.hasNext()) {
                                n1 n1Var3 = (n1) children.next();
                                if (!f24438o.equals(n1Var3.getValidPolicy())) {
                                    hashSet.add(n1Var3);
                                }
                            }
                        }
                    }
                }
                for (n1 n1Var4 : hashSet) {
                    if (!set.contains(n1Var4.getValidPolicy())) {
                        n1Var = f.F(n1Var, listArr, n1Var4);
                    }
                }
                if (n1Var != null) {
                    for (int i9 = size - 1; i9 >= 0; i9--) {
                        List list2 = listArr[i9];
                        for (int i10 = 0; i10 < list2.size(); i10++) {
                            n1 n1Var5 = (n1) list2.get(i10);
                            if (!n1Var5.c()) {
                                n1Var = f.F(n1Var, listArr, n1Var5);
                            }
                        }
                    }
                }
            } else if (eVar.isExplicitPolicyRequired()) {
                if (!set2.isEmpty()) {
                    HashSet<n1> hashSet2 = new HashSet();
                    for (List list3 : listArr) {
                        for (int i11 = 0; i11 < list3.size(); i11++) {
                            n1 n1Var6 = (n1) list3.get(i11);
                            if (f24438o.equals(n1Var6.getValidPolicy())) {
                                Iterator children2 = n1Var6.getChildren();
                                while (children2.hasNext()) {
                                    hashSet2.add(children2.next());
                                }
                            }
                        }
                    }
                    for (n1 n1Var7 : hashSet2) {
                        set2.contains(n1Var7.getValidPolicy());
                    }
                    for (int i12 = size - 1; i12 >= 0; i12--) {
                        List list4 = listArr[i12];
                        for (int i13 = 0; i13 < list4.size(); i13++) {
                            n1 n1Var8 = (n1) list4.get(i13);
                            if (!n1Var8.c()) {
                                n1Var = f.F(n1Var, listArr, n1Var8);
                            }
                        }
                    }
                } else {
                    throw new b("Explicit policy requested but none available.", null, certPath, i7);
                }
            }
            return n1Var;
        } else if (!eVar.isExplicitPolicyRequired()) {
            return null;
        } else {
            throw new b("Explicit policy requested but none available.", null, certPath, i7);
        }
    }

    private static void a(t tVar, e eVar, X509Certificate x509Certificate, Date date, X509Certificate x509Certificate2, PublicKey publicKey, g gVar, s1 s1Var, List list) throws a {
        Iterator it;
        Set<String> criticalExtensionOIDs;
        Date date2 = new Date(System.currentTimeMillis());
        if (date.getTime() <= date2.getTime()) {
            Iterator it2 = f.m(tVar, x509Certificate, date2, eVar).iterator();
            boolean z7 = false;
            a e7 = null;
            while (it2.hasNext() && gVar.a() == 11 && !s1Var.e()) {
                try {
                    X509CRL x509crl = (X509CRL) it2.next();
                    s1 v7 = v(x509crl, tVar);
                    if (!v7.c(s1Var)) {
                        continue;
                    } else {
                        it = it2;
                        try {
                            X509CRL y7 = eVar.n() ? y(f.n(date2, eVar, x509crl), x(x509crl, w(x509crl, x509Certificate, x509Certificate2, publicKey, eVar, list))) : null;
                            if (eVar.l() != 1) {
                                if (x509Certificate.getNotAfter().getTime() < x509crl.getThisUpdate().getTime()) {
                                    throw new a("No valid CRL for current time found.");
                                }
                            }
                            s(tVar, x509Certificate, x509crl);
                            t(tVar, x509Certificate, x509crl);
                            u(y7, x509crl, eVar);
                            z(date, y7, x509Certificate, gVar, eVar);
                            A(date, x509crl, x509Certificate, gVar);
                            if (gVar.a() == 8) {
                                gVar.c(11);
                            }
                            s1Var.a(v7);
                            Set<String> criticalExtensionOIDs2 = x509crl.getCriticalExtensionOIDs();
                            if (criticalExtensionOIDs2 != null) {
                                HashSet hashSet = new HashSet(criticalExtensionOIDs2);
                                hashSet.remove(a1.f22744d6.m());
                                hashSet.remove(a1.f22743c6.m());
                                if (!hashSet.isEmpty()) {
                                    throw new a("CRL contains unsupported critical extensions.");
                                }
                            }
                            if (!(y7 == null || (criticalExtensionOIDs = y7.getCriticalExtensionOIDs()) == null)) {
                                HashSet hashSet2 = new HashSet(criticalExtensionOIDs);
                                hashSet2.remove(a1.f22744d6.m());
                                hashSet2.remove(a1.f22743c6.m());
                                if (!hashSet2.isEmpty()) {
                                    throw new a("Delta CRL contains unsupported critical extension.");
                                }
                            }
                            z7 = true;
                            it2 = it;
                            e7 = e7;
                        } catch (a e8) {
                            e7 = e8;
                            it2 = it;
                        }
                    }
                } catch (a e9) {
                    e7 = e9;
                    it = it2;
                    it2 = it;
                }
            }
            if (!z7) {
                throw e7;
            }
            return;
        }
        throw new a("Validation time is in future.");
    }

    /* JADX WARNING: Removed duplicated region for block: B:46:0x00d5  */
    /* JADX WARNING: Removed duplicated region for block: B:51:0x00e2  */
    protected static void b(e eVar, X509Certificate x509Certificate, Date date, X509Certificate x509Certificate2, PublicKey publicKey, List list) throws a {
        boolean z7;
        int i7;
        a e7;
        t[] tVarArr;
        int i8;
        int i9;
        try {
            k k7 = k.k(f.p(x509Certificate, f24432i));
            try {
                f.c(k7, eVar);
                g gVar = new g();
                s1 s1Var = new s1();
                int i10 = 11;
                boolean z8 = false;
                if (k7 != null) {
                    try {
                        t[] j7 = k7.j();
                        if (j7 != null) {
                            e7 = null;
                            int i11 = 0;
                            z7 = false;
                            while (i11 < j7.length && gVar.a() == i10 && !s1Var.e()) {
                                try {
                                    i8 = i11;
                                    tVarArr = j7;
                                    i9 = i10;
                                    try {
                                        a(j7[i11], (e) eVar.clone(), x509Certificate, date, x509Certificate2, publicKey, gVar, s1Var, list);
                                        z7 = true;
                                    } catch (a e8) {
                                        e7 = e8;
                                    }
                                } catch (a e9) {
                                    e7 = e9;
                                    i8 = i11;
                                    tVarArr = j7;
                                    i9 = i10;
                                }
                                i11 = i8 + 1;
                                i10 = i9;
                                j7 = tVarArr;
                                z8 = false;
                            }
                            i7 = i10;
                            if (gVar.a() == i7 && !s1Var.e()) {
                                a(new t(new u(0, (c) new x(new w(4, new org.bouncycastle2.asn1.e(f.o(x509Certificate).getEncoded()).h()))), null, null), (e) eVar.clone(), x509Certificate, date, x509Certificate2, publicKey, gVar, s1Var, list);
                                z7 = true;
                            }
                            if (z7) {
                                if (e7 instanceof a) {
                                    throw e7;
                                }
                                throw new a("No valid CRL found.", e7);
                            } else if (gVar.a() == i7) {
                                if (!s1Var.e() && gVar.a() == i7) {
                                    gVar.c(12);
                                }
                                if (gVar.a() == 12) {
                                    throw new a("Certificate status could not be determined.");
                                }
                                return;
                            } else {
                                throw new a(String.valueOf("Certificate revocation after " + gVar.b()) + ", reason: " + f24441r[gVar.a()]);
                            }
                        }
                    } catch (Exception e10) {
                        throw new a("Distribution points could not be read.", e10);
                    }
                }
                i7 = 11;
                z7 = false;
                e7 = null;
                try {
                    a(new t(new u(0, (c) new x(new w(4, new org.bouncycastle2.asn1.e(f.o(x509Certificate).getEncoded()).h()))), null, null), (e) eVar.clone(), x509Certificate, date, x509Certificate2, publicKey, gVar, s1Var, list);
                    z7 = true;
                } catch (Exception e11) {
                    throw new a("Issuer from certificate for CRL could not be reencoded.", e11);
                } catch (a e12) {
                    e7 = e12;
                }
                if (z7) {
                }
            } catch (a e13) {
                throw new a("No additional CRL locations could be decoded from CRL distribution point extension.", e13);
            }
        } catch (Exception e14) {
            throw new a("CRL distribution point extension could not be read.", e14);
        }
    }

    protected static n1 c(CertPath certPath, int i7, List[] listArr, n1 n1Var, int i8) throws CertPathValidatorException {
        boolean z7;
        Set set;
        List<? extends Certificate> certificates = certPath.getCertificates();
        X509Certificate x509Certificate = (X509Certificate) certificates.get(i7);
        int size = certificates.size() - i7;
        try {
            m n7 = m.n(f.p(x509Certificate, f24425b));
            if (n7 == null) {
                return n1Var;
            }
            HashMap hashMap = new HashMap();
            HashSet<String> hashSet = new HashSet();
            for (int i9 = 0; i9 < n7.s(); i9++) {
                m mVar = (m) n7.p(i9);
                String m7 = ((org.bouncycastle2.asn1.a1) mVar.p(0)).m();
                String m8 = ((org.bouncycastle2.asn1.a1) mVar.p(1)).m();
                if (!hashMap.containsKey(m7)) {
                    HashSet hashSet2 = new HashSet();
                    hashSet2.add(m8);
                    hashMap.put(m7, hashSet2);
                    hashSet.add(m7);
                } else {
                    ((Set) hashMap.get(m7)).add(m8);
                }
            }
            n1 n1Var2 = n1Var;
            for (String str : hashSet) {
                if (i8 > 0) {
                    Iterator it = listArr[size].iterator();
                    while (true) {
                        if (!it.hasNext()) {
                            z7 = false;
                            break;
                        }
                        n1 n1Var3 = (n1) it.next();
                        if (n1Var3.getValidPolicy().equals(str)) {
                            n1Var3.f24402c = (Set) hashMap.get(str);
                            z7 = true;
                            break;
                        }
                    }
                    if (!z7) {
                        Iterator it2 = listArr[size].iterator();
                        while (true) {
                            if (!it2.hasNext()) {
                                break;
                            }
                            n1 n1Var4 = (n1) it2.next();
                            if (f24438o.equals(n1Var4.getValidPolicy())) {
                                try {
                                    Enumeration q7 = ((m) f.p(x509Certificate, f24424a)).q();
                                    while (true) {
                                        if (!q7.hasMoreElements()) {
                                            set = null;
                                            break;
                                        }
                                        try {
                                            g0 j7 = g0.j(q7.nextElement());
                                            if (f24438o.equals(j7.k().m())) {
                                                try {
                                                    set = f.t(j7.l());
                                                    break;
                                                } catch (CertPathValidatorException e7) {
                                                    throw new b("Policy qualifier info set could not be decoded.", e7, certPath, i7);
                                                }
                                            }
                                        } catch (Exception e8) {
                                            throw new CertPathValidatorException("Policy information could not be decoded.", e8, certPath, i7);
                                        }
                                    }
                                    boolean contains = x509Certificate.getCriticalExtensionOIDs() != null ? x509Certificate.getCriticalExtensionOIDs().contains(f24424a) : false;
                                    n1 n1Var5 = (n1) n1Var4.getParent();
                                    if (f24438o.equals(n1Var5.getValidPolicy())) {
                                        n1 n1Var6 = new n1(new ArrayList(), size, (Set) hashMap.get(str), n1Var5, set, str, contains);
                                        n1Var5.a(n1Var6);
                                        listArr[size].add(n1Var6);
                                    }
                                } catch (a e9) {
                                    throw new b("Certificate policies extension could not be decoded.", e9, certPath, i7);
                                }
                            }
                        }
                    }
                } else if (i8 <= 0) {
                    Iterator it3 = listArr[size].iterator();
                    while (it3.hasNext()) {
                        n1 n1Var7 = (n1) it3.next();
                        if (n1Var7.getValidPolicy().equals(str)) {
                            ((n1) n1Var7.getParent()).d(n1Var7);
                            it3.remove();
                            for (int i10 = size - 1; i10 >= 0; i10--) {
                                List list = listArr[i10];
                                n1 n1Var8 = n1Var2;
                                for (int i11 = 0; i11 < list.size(); i11++) {
                                    n1 n1Var9 = (n1) list.get(i11);
                                    if (!n1Var9.c() && (n1Var8 = f.F(n1Var8, listArr, n1Var9)) == null) {
                                        break;
                                    }
                                }
                                n1Var2 = n1Var8;
                            }
                        }
                    }
                }
            }
            return n1Var2;
        } catch (a e10) {
            throw new b("Policy mappings extension could not be decoded.", e10, certPath, i7);
        }
    }

    protected static void d(CertPath certPath, int i7) throws CertPathValidatorException {
        try {
            m n7 = m.n(f.p((X509Certificate) certPath.getCertificates().get(i7), f24425b));
            if (n7 != null) {
                for (int i8 = 0; i8 < n7.s(); i8++) {
                    try {
                        m n8 = m.n(n7.p(i8));
                        org.bouncycastle2.asn1.a1 n9 = org.bouncycastle2.asn1.a1.n(n8.p(0));
                        org.bouncycastle2.asn1.a1 n10 = org.bouncycastle2.asn1.a1.n(n8.p(1));
                        if (f24438o.equals(n9.m())) {
                            throw new CertPathValidatorException("IssuerDomainPolicy is anyPolicy", null, certPath, i7);
                        } else if (f24438o.equals(n10.m())) {
                            throw new CertPathValidatorException("SubjectDomainPolicy is anyPolicy,", null, certPath, i7);
                        }
                    } catch (Exception e7) {
                        throw new b("Policy mappings extension contents could not be decoded.", e7, certPath, i7);
                    }
                }
            }
        } catch (a e8) {
            throw new b("Policy mappings extension could not be decoded.", e8, certPath, i7);
        }
    }

    protected static void e(CertPath certPath, int i7, l1 l1Var) throws CertPathValidatorException {
        try {
            m n7 = m.n(f.p((X509Certificate) certPath.getCertificates().get(i7), f24434k));
            e0 e0Var = n7 != null ? new e0(n7) : null;
            if (e0Var != null) {
                m l7 = e0Var.l();
                if (l7 != null) {
                    try {
                        l1Var.E(l7);
                    } catch (Exception e7) {
                        throw new b("Permitted subtrees cannot be build from name constraints extension.", e7, certPath, i7);
                    }
                }
                m k7 = e0Var.k();
                if (k7 != null) {
                    Enumeration q7 = k7.q();
                    while (q7.hasMoreElements()) {
                        try {
                            l1Var.a(y.k(q7.nextElement()));
                        } catch (Exception e8) {
                            throw new b("Excluded subtrees cannot be build from name constraints extension.", e8, certPath, i7);
                        }
                    }
                }
            }
        } catch (Exception e9) {
            throw new b("Name constraints extension could not be decoded.", e9, certPath, i7);
        }
    }

    protected static int f(CertPath certPath, int i7, int i8) {
        return (f.A((X509Certificate) certPath.getCertificates().get(i7)) || i8 == 0) ? i8 : i8 - 1;
    }

    protected static int g(CertPath certPath, int i7, int i8) {
        return (f.A((X509Certificate) certPath.getCertificates().get(i7)) || i8 == 0) ? i8 : i8 - 1;
    }

    protected static int h(CertPath certPath, int i7, int i8) {
        return (f.A((X509Certificate) certPath.getCertificates().get(i7)) || i8 == 0) ? i8 : i8 - 1;
    }

    protected static int i(CertPath certPath, int i7, int i8) throws CertPathValidatorException {
        try {
            m n7 = m.n(f.p((X509Certificate) certPath.getCertificates().get(i7), f24430g));
            if (n7 != null) {
                Enumeration q7 = n7.q();
                while (true) {
                    if (!q7.hasMoreElements()) {
                        break;
                    }
                    try {
                        r m7 = r.m(q7.nextElement());
                        if (m7.e() == 0) {
                            int intValue = w0.m(m7).p().intValue();
                            if (intValue < i8) {
                                return intValue;
                            }
                        }
                    } catch (IllegalArgumentException e7) {
                        throw new b("Policy constraints extension contents cannot be decoded.", e7, certPath, i7);
                    }
                }
            }
            return i8;
        } catch (Exception e8) {
            throw new b("Policy constraints extension cannot be decoded.", e8, certPath, i7);
        }
    }

    protected static int j(CertPath certPath, int i7, int i8) throws CertPathValidatorException {
        try {
            m n7 = m.n(f.p((X509Certificate) certPath.getCertificates().get(i7), f24430g));
            if (n7 != null) {
                Enumeration q7 = n7.q();
                while (true) {
                    if (!q7.hasMoreElements()) {
                        break;
                    }
                    try {
                        r m7 = r.m(q7.nextElement());
                        if (m7.e() == 1) {
                            int intValue = w0.m(m7).p().intValue();
                            if (intValue < i8) {
                                return intValue;
                            }
                        }
                    } catch (IllegalArgumentException e7) {
                        throw new b("Policy constraints extension contents cannot be decoded.", e7, certPath, i7);
                    }
                }
            }
            return i8;
        } catch (Exception e8) {
            throw new b("Policy constraints extension cannot be decoded.", e8, certPath, i7);
        }
    }

    protected static int k(CertPath certPath, int i7, int i8) throws CertPathValidatorException {
        int intValue;
        try {
            w0 m7 = w0.m(f.p((X509Certificate) certPath.getCertificates().get(i7), f24426c));
            return (m7 == null || (intValue = m7.p().intValue()) >= i8) ? i8 : intValue;
        } catch (Exception e7) {
            throw new b("Inhibit any-policy extension cannot be decoded.", e7, certPath, i7);
        }
    }

    protected static void l(CertPath certPath, int i7) throws CertPathValidatorException {
        try {
            j j7 = j.j(f.p((X509Certificate) certPath.getCertificates().get(i7), f24431h));
            if (j7 == null) {
                throw new CertPathValidatorException("Intermediate certificate lacks BasicConstraints");
            } else if (!j7.m()) {
                throw new CertPathValidatorException("Not a CA certificate");
            }
        } catch (Exception e7) {
            throw new b("Basic constraints extension cannot be decoded.", e7, certPath, i7);
        }
    }

    protected static int m(CertPath certPath, int i7, int i8) throws CertPathValidatorException {
        if (f.A((X509Certificate) certPath.getCertificates().get(i7))) {
            return i8;
        }
        if (i8 > 0) {
            return i8 - 1;
        }
        throw new b("Max path length not greater than zero", null, certPath, i7);
    }

    protected static int n(CertPath certPath, int i7, int i8) throws CertPathValidatorException {
        BigInteger l7;
        int intValue;
        try {
            j j7 = j.j(f.p((X509Certificate) certPath.getCertificates().get(i7), f24431h));
            return (j7 == null || (l7 = j7.l()) == null || (intValue = l7.intValue()) >= i8) ? i8 : intValue;
        } catch (Exception e7) {
            throw new b("Basic constraints extension cannot be decoded.", e7, certPath, i7);
        }
    }

    protected static void o(CertPath certPath, int i7) throws CertPathValidatorException {
        boolean[] keyUsage = ((X509Certificate) certPath.getCertificates().get(i7)).getKeyUsage();
        if (keyUsage != null && !keyUsage[5]) {
            throw new b("Issuer certificate keyusage extension is critical and does not permit key signing.", null, certPath, i7);
        }
    }

    protected static void p(CertPath certPath, int i7, Set set, List list) throws CertPathValidatorException {
        X509Certificate x509Certificate = (X509Certificate) certPath.getCertificates().get(i7);
        Iterator it = list.iterator();
        while (it.hasNext()) {
            try {
                ((PKIXCertPathChecker) it.next()).check(x509Certificate, set);
            } catch (CertPathValidatorException e7) {
                throw new CertPathValidatorException(e7.getMessage(), e7.getCause(), certPath, i7);
            }
        }
        if (!set.isEmpty()) {
            throw new b("Certificate has unsupported critical extension.", null, certPath, i7);
        }
    }

    protected static Set q(Date date, e eVar, X509Certificate x509Certificate, X509CRL x509crl) throws a {
        HashSet hashSet = new HashSet();
        if (eVar.n()) {
            try {
                String str = f24428e;
                k k7 = k.k(f.p(x509Certificate, str));
                if (k7 == null) {
                    try {
                        k7 = k.k(f.p(x509crl, str));
                    } catch (a e7) {
                        throw new a("Freshest CRL extension could not be decoded from CRL.", e7);
                    }
                }
                if (k7 != null) {
                    try {
                        f.c(k7, eVar);
                        try {
                            hashSet.addAll(f.n(date, eVar, x509crl));
                        } catch (a e8) {
                            throw new a("Exception obtaining delta CRLs.", e8);
                        }
                    } catch (a e9) {
                        throw new a("No new delta CRL locations could be added from Freshest CRL extension.", e9);
                    }
                }
            } catch (a e10) {
                throw new a("Freshest CRL extension could not be decoded from certificate.", e10);
            }
        }
        return hashSet;
    }

    protected static Set[] r(Date date, e eVar, X509Certificate x509Certificate, X509CRL x509crl) throws a {
        HashSet hashSet = new HashSet();
        HashSet hashSet2 = new HashSet();
        l lVar = new l();
        lVar.setCertificateChecking(x509Certificate);
        if (eVar.getDate() != null) {
            lVar.setDateAndTime(eVar.getDate());
        } else {
            lVar.setDateAndTime(date);
        }
        try {
            lVar.addIssuerName(x509crl.getIssuerX500Principal().getEncoded());
            lVar.i(true);
            try {
                hashSet.addAll(f.d(lVar, eVar.d()));
                hashSet.addAll(f.d(lVar, eVar.i()));
                hashSet.addAll(f.d(lVar, eVar.getCertStores()));
                if (eVar.n()) {
                    try {
                        hashSet2.addAll(f.n(date, eVar, x509crl));
                    } catch (a e7) {
                        throw new a("Exception obtaining delta CRLs.", e7);
                    }
                }
                return new Set[]{hashSet, hashSet2};
            } catch (a e8) {
                throw new a("Exception obtaining complete CRLs.", e8);
            }
        } catch (IOException e9) {
            throw new a("Cannot extract issuer from CRL." + e9, e9);
        }
    }

    protected static void s(t tVar, Object obj, X509CRL x509crl) throws a {
        z0 p7 = f.p(x509crl, f24427d);
        boolean z7 = true;
        boolean z8 = p7 != null && b0.m(p7).p();
        byte[] encoded = f.q(x509crl).getEncoded();
        if (tVar.k() != null) {
            w[] l7 = tVar.k().l();
            boolean z9 = false;
            for (int i7 = 0; i7 < l7.length; i7++) {
                if (l7[i7].e() == 4) {
                    try {
                        if (a.a(l7[i7].m().d().g(), encoded)) {
                            z9 = true;
                        }
                    } catch (IOException e7) {
                        throw new a("CRL issuer information from distribution point cannot be decoded.", e7);
                    }
                }
            }
            if (z9 && !z8) {
                throw new a("Distribution point contains cRLIssuer field but CRL is not indirect.");
            } else if (z9) {
                z7 = z9;
            } else {
                throw new a("CRL issuer of CRL does not match CRL issuer of distribution point.");
            }
        } else if (!f.q(x509crl).equals(f.o(obj))) {
            z7 = false;
        }
        if (!z7) {
            throw new a("Cannot find matching CRL issuer for certificate.");
        }
    }

    protected static void t(t tVar, Object obj, X509CRL x509crl) throws a {
        w[] wVarArr;
        w[] l7;
        try {
            b0 m7 = b0.m(f.p(x509crl, f24427d));
            if (m7 != null) {
                if (m7.l() != null) {
                    u l8 = b0.m(m7).l();
                    ArrayList arrayList = new ArrayList();
                    boolean z7 = false;
                    if (l8.n() == 0) {
                        for (w wVar : x.j(l8.m()).l()) {
                            arrayList.add(wVar);
                        }
                    }
                    if (l8.n() == 1) {
                        d dVar = new d();
                        try {
                            Enumeration q7 = m.n(g.l(f.q(x509crl).getEncoded())).q();
                            while (q7.hasMoreElements()) {
                                dVar.a((n0) q7.nextElement());
                            }
                            dVar.a(l8.m());
                            arrayList.add(new w(b1.q(new f1(dVar))));
                        } catch (IOException e7) {
                            throw new a("Could not read CRL issuer.", e7);
                        }
                    }
                    if (tVar.l() != null) {
                        u l9 = tVar.l();
                        w[] l10 = l9.n() == 0 ? x.j(l9.m()).l() : null;
                        if (l9.n() == 1) {
                            if (tVar.k() != null) {
                                wVarArr = tVar.k().l();
                            } else {
                                wVarArr = new w[1];
                                try {
                                    wVarArr[0] = new w(new b1((m) g.l(f.o(obj).getEncoded())));
                                } catch (IOException e8) {
                                    throw new a("Could not read certificate issuer.", e8);
                                }
                            }
                            l10 = wVarArr;
                            for (int i7 = 0; i7 < l10.length; i7++) {
                                Enumeration q8 = m.n(l10[i7].m().d()).q();
                                d dVar2 = new d();
                                while (q8.hasMoreElements()) {
                                    dVar2.a((n0) q8.nextElement());
                                }
                                dVar2.a(l9.m());
                                l10[i7] = new w(new b1(new f1(dVar2)));
                            }
                        }
                        if (l10 != null) {
                            int i8 = 0;
                            while (true) {
                                if (i8 >= l10.length) {
                                    break;
                                } else if (arrayList.contains(l10[i8])) {
                                    z7 = true;
                                    break;
                                } else {
                                    i8++;
                                }
                            }
                        }
                        if (!z7) {
                            throw new a("No match for certificate CRL issuing distribution point name to cRLIssuer CRL distribution point.");
                        }
                    } else if (tVar.k() != null) {
                        w[] l11 = tVar.k().l();
                        int i9 = 0;
                        while (true) {
                            if (i9 >= l11.length) {
                                break;
                            } else if (arrayList.contains(l11[i9])) {
                                z7 = true;
                                break;
                            } else {
                                i9++;
                            }
                        }
                        if (!z7) {
                            throw new a("No match for certificate CRL issuing distribution point name to cRLIssuer CRL distribution point.");
                        }
                    } else {
                        throw new a("Either the cRLIssuer or the distributionPoint field must be contained in DistributionPoint.");
                    }
                }
                try {
                    j j7 = j.j(f.p((X509Extension) obj, f24431h));
                    if (obj instanceof X509Certificate) {
                        if (m7.s() && j7 != null && j7.m()) {
                            throw new a("CA Cert CRL only contains user certificates.");
                        } else if (m7.r() && (j7 == null || !j7.m())) {
                            throw new a("End CRL only contains CA certificates.");
                        }
                    }
                    if (m7.q()) {
                        throw new a("onlyContainsAttributeCerts boolean is asserted.");
                    }
                } catch (Exception e9) {
                    throw new a("Basic constraints extension could not be decoded.", e9);
                }
            }
        } catch (Exception e10) {
            throw new a("Issuing distribution point extension could not be decoded.", e10);
        }
    }

    protected static void u(X509CRL x509crl, X509CRL x509crl2, e eVar) throws a {
        if (x509crl != null) {
            try {
                String str = f24427d;
                b0 m7 = b0.m(f.p(x509crl2, str));
                if (!eVar.n()) {
                    return;
                }
                if (x509crl.getIssuerX500Principal().equals(x509crl2.getIssuerX500Principal())) {
                    try {
                        b0 m8 = b0.m(f.p(x509crl, str));
                        boolean z7 = true;
                        if (m7 != null ? !m7.equals(m8) : m8 != null) {
                            z7 = false;
                        }
                        if (z7) {
                            try {
                                String str2 = f24435l;
                                z0 p7 = f.p(x509crl2, str2);
                                try {
                                    z0 p8 = f.p(x509crl, str2);
                                    if (p7 == null) {
                                        throw new a("CRL authority key identifier is null.");
                                    } else if (p8 == null) {
                                        throw new a("Delta CRL authority key identifier is null.");
                                    } else if (!p7.equals(p8)) {
                                        throw new a("Delta CRL authority key identifier does not match complete CRL authority key identifier.");
                                    }
                                } catch (a e7) {
                                    throw new a("Authority key identifier extension could not be extracted from delta CRL.", e7);
                                }
                            } catch (a e8) {
                                throw new a("Authority key identifier extension could not be extracted from complete CRL.", e8);
                            }
                        } else {
                            throw new a("Issuing distribution point extension from delta CRL and complete CRL does not match.");
                        }
                    } catch (Exception e9) {
                        throw new a("Issuing distribution point extension from delta CRL could not be decoded.", e9);
                    }
                } else {
                    throw new a("Complete CRL issuer does not match delta CRL issuer.");
                }
            } catch (Exception e10) {
                throw new a("Issuing distribution point extension could not be decoded.", e10);
            }
        }
    }

    protected static s1 v(X509CRL x509crl, t tVar) throws a {
        try {
            b0 m7 = b0.m(f.p(x509crl, f24427d));
            if (m7 != null && m7.o() != null && tVar.o() != null) {
                return new s1(tVar.o().s()).d(new s1(m7.o().s()));
            }
            if ((m7 == null || m7.o() == null) && tVar.o() == null) {
                return s1.f24467b;
            }
            return (tVar.o() == null ? s1.f24467b : new s1(tVar.o().s())).d(m7 == null ? s1.f24467b : new s1(m7.o().s()));
        } catch (Exception e7) {
            throw new a("Issuing distribution point extension could not be decoded.", e7);
        }
    }

    protected static Set w(X509CRL x509crl, Object obj, X509Certificate x509Certificate, PublicKey publicKey, e eVar, List list) throws a {
        int i7;
        n nVar = new n();
        try {
            nVar.setSubject(f.q(x509crl).getEncoded());
            try {
                Collection f7 = f.f(nVar, eVar.i());
                f7.addAll(f.f(nVar, eVar.d()));
                f7.addAll(f.f(nVar, eVar.getCertStores()));
                f7.add(x509Certificate);
                Iterator it = f7.iterator();
                ArrayList arrayList = new ArrayList();
                ArrayList arrayList2 = new ArrayList();
                while (true) {
                    if (!it.hasNext()) {
                        break;
                    }
                    X509Certificate x509Certificate2 = (X509Certificate) it.next();
                    if (x509Certificate2.equals(x509Certificate)) {
                        arrayList.add(x509Certificate2);
                        arrayList2.add(publicKey);
                    } else {
                        try {
                            CertPathBuilder instance = CertPathBuilder.getInstance("PKIX", "BC2");
                            n nVar2 = new n();
                            nVar2.setCertificate(x509Certificate2);
                            e eVar2 = (e) eVar.clone();
                            eVar2.setTargetCertConstraints(nVar2);
                            org.bouncycastle2.x509.d dVar = (org.bouncycastle2.x509.d) org.bouncycastle2.x509.d.f(eVar2);
                            if (list.contains(x509Certificate2)) {
                                dVar.setRevocationEnabled(false);
                            } else {
                                dVar.setRevocationEnabled(true);
                            }
                            List<? extends Certificate> certificates = instance.build(dVar).getCertPath().getCertificates();
                            arrayList.add(x509Certificate2);
                            arrayList2.add(f.r(certificates, 0));
                        } catch (CertPathBuilderException e7) {
                            throw new a("Internal error.", e7);
                        } catch (CertPathValidatorException e8) {
                            throw new a("Public key of issuer certificate of CRL could not be retrieved.", e8);
                        } catch (Exception e9) {
                            throw new RuntimeException(e9.getMessage());
                        }
                    }
                }
                HashSet hashSet = new HashSet();
                a aVar = null;
                for (i7 = 0; i7 < arrayList.size(); i7++) {
                    boolean[] keyUsage = ((X509Certificate) arrayList.get(i7)).getKeyUsage();
                    if (keyUsage == null || (keyUsage.length >= 7 && keyUsage[6])) {
                        hashSet.add(arrayList2.get(i7));
                    } else {
                        aVar = new a("Issuer certificate key usage extension does not permit CRL signing.");
                    }
                }
                if (hashSet.isEmpty() && aVar == null) {
                    throw new a("Cannot find a valid issuer certificate.");
                } else if (!hashSet.isEmpty() || aVar == null) {
                    return hashSet;
                } else {
                    throw aVar;
                }
            } catch (a e10) {
                throw new a("Issuer certificate for CRL cannot be searched.", e10);
            }
        } catch (IOException e11) {
            throw new a("Subject criteria for certificate selector to find issuer certificate for CRL could not be set.", e11);
        }
    }

    protected static PublicKey x(X509CRL x509crl, Set set) throws a {
        Iterator it = set.iterator();
        Exception e7 = null;
        while (it.hasNext()) {
            PublicKey publicKey = (PublicKey) it.next();
            try {
                x509crl.verify(publicKey);
                return publicKey;
            } catch (Exception e8) {
                e7 = e8;
            }
        }
        throw new a("Cannot verify CRL.", e7);
    }

    protected static X509CRL y(Set set, PublicKey publicKey) throws a {
        Iterator it = set.iterator();
        Exception e7 = null;
        while (it.hasNext()) {
            X509CRL x509crl = (X509CRL) it.next();
            try {
                x509crl.verify(publicKey);
                return x509crl;
            } catch (Exception e8) {
                e7 = e8;
            }
        }
        if (e7 == null) {
            return null;
        }
        throw new a("Cannot verify delta CRL.", e7);
    }

    protected static void z(Date date, X509CRL x509crl, Object obj, g gVar, e eVar) throws a {
        if (eVar.n() && x509crl != null) {
            f.l(date, x509crl, obj, gVar);
        }
    }
}
