package org.bouncycastle2.jce.provider;

import java.io.IOException;
import java.security.InvalidAlgorithmParameterException;
import java.security.NoSuchAlgorithmException;
import java.security.NoSuchProviderException;
import java.security.Principal;
import java.security.cert.CertPath;
import java.security.cert.CertPathBuilder;
import java.security.cert.CertPathBuilderException;
import java.security.cert.CertPathBuilderResult;
import java.security.cert.CertPathValidator;
import java.security.cert.CertPathValidatorException;
import java.security.cert.CertPathValidatorResult;
import java.security.cert.CertificateExpiredException;
import java.security.cert.CertificateNotYetValidException;
import java.security.cert.TrustAnchor;
import java.security.cert.X509CRL;
import java.security.cert.X509Certificate;
import java.util.Date;
import java.util.HashSet;
import java.util.Iterator;
import java.util.List;
import java.util.Set;
import javax.security.auth.x500.X500Principal;
import org.bouncycastle2.asn1.c;
import org.bouncycastle2.asn1.x509.a1;
import org.bouncycastle2.asn1.x509.t;
import org.bouncycastle2.asn1.x509.t0;
import org.bouncycastle2.asn1.x509.u;
import org.bouncycastle2.asn1.x509.w;
import org.bouncycastle2.asn1.x509.x;
import org.bouncycastle2.x509.d;
import org.bouncycastle2.x509.e;
import org.bouncycastle2.x509.h;
import org.bouncycastle2.x509.k;
import org.bouncycastle2.x509.n;
import r5.b;

class q1 {

    /* renamed from: a  reason: collision with root package name */
    private static final String f24451a = a1.f22762v6.m();

    /* renamed from: b  reason: collision with root package name */
    private static final String f24452b = a1.f22761u6.m();

    /* renamed from: c  reason: collision with root package name */
    private static final String f24453c = a1.f22747g6.m();

    /* renamed from: d  reason: collision with root package name */
    private static final String f24454d = a1.f22755o6.m();

    q1() {
    }

    protected static void a(k kVar, e eVar) throws CertPathValidatorException {
        for (String str : eVar.h()) {
            if (kVar.f(str) != null) {
                throw new CertPathValidatorException("Attribute certificate contains prohibited attribute: " + str + ".");
            }
        }
        for (String str2 : eVar.g()) {
            if (kVar.f(str2) == null) {
                throw new CertPathValidatorException("Attribute certificate does not contain necessary attribute: " + str2 + ".");
            }
        }
    }

    private static void b(t tVar, k kVar, e eVar, Date date, X509Certificate x509Certificate, g gVar, s1 s1Var, List list) throws a {
        Iterator it;
        if (kVar.getExtensionValue(a1.f22761u6.m()) == null) {
            Date date2 = new Date(System.currentTimeMillis());
            if (date.getTime() <= date2.getTime()) {
                Iterator it2 = f.m(tVar, kVar, date2, eVar).iterator();
                boolean z7 = false;
                a e7 = null;
                while (it2.hasNext() && gVar.a() == 11 && !s1Var.e()) {
                    try {
                        X509CRL x509crl = (X509CRL) it2.next();
                        s1 v7 = p1.v(x509crl, tVar);
                        if (!v7.c(s1Var)) {
                            continue;
                        } else {
                            it = it2;
                            try {
                                X509CRL y7 = eVar.n() ? p1.y(f.n(date2, eVar, x509crl), p1.x(x509crl, p1.w(x509crl, kVar, null, null, eVar, list))) : null;
                                if (eVar.l() != 1) {
                                    if (kVar.getNotAfter().getTime() < x509crl.getThisUpdate().getTime()) {
                                        throw new a("No valid CRL for current time found.");
                                    }
                                }
                                p1.s(tVar, kVar, x509crl);
                                p1.t(tVar, kVar, x509crl);
                                p1.u(y7, x509crl, eVar);
                                p1.z(date, y7, kVar, gVar, eVar);
                                p1.A(date, x509crl, kVar, gVar);
                                if (gVar.a() == 8) {
                                    gVar.c(11);
                                }
                                s1Var.a(v7);
                                z7 = true;
                            } catch (a e8) {
                                e7 = e8;
                            }
                            it2 = it;
                        }
                    } catch (a e9) {
                        e7 = e9;
                        it = it2;
                    }
                }
                if (!z7) {
                    throw e7;
                }
                return;
            }
            throw new a("Validation time is in future.");
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:52:0x00ec  */
    /* JADX WARNING: Removed duplicated region for block: B:65:0x0147  */
    protected static void c(k kVar, e eVar, X509Certificate x509Certificate, Date date, List list) throws CertPathValidatorException {
        boolean z7;
        int i7;
        int i8;
        a aVar;
        boolean z8;
        a e7;
        if (!eVar.isRevocationEnabled()) {
            return;
        }
        if (kVar.getExtensionValue(f24452b) == null) {
            try {
                org.bouncycastle2.asn1.x509.k k7 = org.bouncycastle2.asn1.x509.k.k(f.p(kVar, f24453c));
                try {
                    f.c(k7, eVar);
                    g gVar = new g();
                    s1 s1Var = new s1();
                    int i9 = 11;
                    int i10 = 0;
                    if (k7 != null) {
                        try {
                            t[] j7 = k7.j();
                            int i11 = 0;
                            z7 = false;
                            while (true) {
                                try {
                                    if (i11 >= j7.length || gVar.a() != i9) {
                                        break;
                                    } else if (s1Var.e()) {
                                        break;
                                    } else {
                                        i8 = i10;
                                        i7 = i9;
                                        try {
                                            b(j7[i11], kVar, (e) eVar.clone(), date, x509Certificate, gVar, s1Var, list);
                                            i11++;
                                            i10 = i8;
                                            i9 = i7;
                                            z7 = true;
                                        } catch (a e8) {
                                            e7 = e8;
                                            aVar = new a("No valid CRL for distribution point found.", e7);
                                            try {
                                                b(new t(new u(i8, (c) new x(new w(4, new org.bouncycastle2.asn1.e(((X500Principal) kVar.g().b()[i8]).getEncoded()).h()))), null, null), kVar, (e) eVar.clone(), date, x509Certificate, gVar, s1Var, list);
                                                z8 = true;
                                            } catch (Exception e9) {
                                                throw new a("Issuer from certificate for CRL could not be reencoded.", e9);
                                            } catch (a e10) {
                                                aVar = new a("No valid CRL for distribution point found.", e10);
                                            }
                                            if (z8) {
                                            }
                                        }
                                    }
                                } catch (a e11) {
                                    e7 = e11;
                                    i8 = i10;
                                    i7 = i9;
                                    aVar = new a("No valid CRL for distribution point found.", e7);
                                    b(new t(new u(i8, (c) new x(new w(4, new org.bouncycastle2.asn1.e(((X500Principal) kVar.g().b()[i8]).getEncoded()).h()))), null, null), kVar, (e) eVar.clone(), date, x509Certificate, gVar, s1Var, list);
                                    z8 = true;
                                    if (z8) {
                                    }
                                }
                            }
                            i8 = i10;
                            i7 = i9;
                        } catch (Exception e12) {
                            throw new b("Distribution points could not be read.", e12);
                        }
                    } else {
                        i8 = 0;
                        i7 = 11;
                        z7 = false;
                    }
                    aVar = null;
                    if (gVar.a() == i7 && !s1Var.e()) {
                        b(new t(new u(i8, (c) new x(new w(4, new org.bouncycastle2.asn1.e(((X500Principal) kVar.g().b()[i8]).getEncoded()).h()))), null, null), kVar, (e) eVar.clone(), date, x509Certificate, gVar, s1Var, list);
                        z8 = true;
                        if (z8) {
                            throw new b("No valid CRL found.", aVar);
                        } else if (gVar.a() == i7) {
                            if (!s1Var.e() && gVar.a() == i7) {
                                gVar.c(12);
                            }
                            if (gVar.a() == 12) {
                                throw new CertPathValidatorException("Attribute certificate status could not be determined.");
                            }
                            return;
                        } else {
                            throw new CertPathValidatorException(String.valueOf("Attribute certificate revocation after " + gVar.b()) + ", reason: " + p1.f24441r[gVar.a()]);
                        }
                    }
                    z8 = z7;
                    if (z8) {
                    }
                } catch (a e13) {
                    throw new CertPathValidatorException("No additional CRL locations could be decoded from CRL distribution point extension.", e13);
                }
            } catch (a e14) {
                throw new CertPathValidatorException("CRL distribution point extension could not be read.", e14);
            }
        } else if (kVar.getExtensionValue(f24453c) != null || kVar.getExtensionValue(f24454d) != null) {
            throw new CertPathValidatorException("No rev avail extension is set, but also an AC revocation pointer.");
        }
    }

    protected static CertPath d(k kVar, e eVar) throws CertPathValidatorException {
        HashSet<X509Certificate> hashSet = new HashSet();
        if (kVar.e().e() != null) {
            n nVar = new n();
            nVar.setSerialNumber(kVar.e().j());
            Principal[] e7 = kVar.e().e();
            for (Principal principal : e7) {
                try {
                    if (principal instanceof X500Principal) {
                        nVar.setIssuer(((X500Principal) principal).getEncoded());
                    }
                    hashSet.addAll(f.f(nVar, eVar.i()));
                } catch (a e8) {
                    throw new b("Public key certificate for attribute certificate cannot be searched.", e8);
                } catch (IOException e9) {
                    throw new b("Unable to encode X500 principal.", e9);
                }
            }
            if (hashSet.isEmpty()) {
                throw new CertPathValidatorException("Public key certificate specified in base certificate ID for attribute certificate cannot be found.");
            }
        }
        if (kVar.e().d() != null) {
            n nVar2 = new n();
            Principal[] d7 = kVar.e().d();
            for (Principal principal2 : d7) {
                try {
                    if (principal2 instanceof X500Principal) {
                        nVar2.setIssuer(((X500Principal) principal2).getEncoded());
                    }
                    hashSet.addAll(f.f(nVar2, eVar.i()));
                } catch (a e10) {
                    throw new b("Public key certificate for attribute certificate cannot be searched.", e10);
                } catch (IOException e11) {
                    throw new b("Unable to encode X500 principal.", e11);
                }
            }
            if (hashSet.isEmpty()) {
                throw new CertPathValidatorException("Public key certificate specified in entity name for attribute certificate cannot be found.");
            }
        }
        d dVar = (d) d.f(eVar);
        b bVar = null;
        CertPathBuilderResult certPathBuilderResult = null;
        for (X509Certificate x509Certificate : hashSet) {
            n nVar3 = new n();
            nVar3.setCertificate(x509Certificate);
            dVar.u(nVar3);
            try {
                try {
                    certPathBuilderResult = CertPathBuilder.getInstance("PKIX", "BC2").build(d.f(dVar));
                } catch (CertPathBuilderException e12) {
                    bVar = new b("Certification path for public key certificate of attribute certificate could not be build.", e12);
                } catch (InvalidAlgorithmParameterException e13) {
                    throw new RuntimeException(e13.getMessage());
                }
            } catch (NoSuchProviderException e14) {
                throw new b("Support class could not be created.", e14);
            } catch (NoSuchAlgorithmException e15) {
                throw new b("Support class could not be created.", e15);
            }
        }
        if (bVar == null) {
            return certPathBuilderResult.getCertPath();
        }
        throw bVar;
    }

    protected static CertPathValidatorResult e(CertPath certPath, e eVar) throws CertPathValidatorException {
        try {
            try {
                return CertPathValidator.getInstance("PKIX", "BC2").validate(certPath, eVar);
            } catch (CertPathValidatorException e7) {
                throw new b("Certification path for issuer certificate of attribute certificate could not be validated.", e7);
            } catch (InvalidAlgorithmParameterException e8) {
                throw new RuntimeException(e8.getMessage());
            }
        } catch (NoSuchProviderException e9) {
            throw new b("Support class could not be created.", e9);
        } catch (NoSuchAlgorithmException e10) {
            throw new b("Support class could not be created.", e10);
        }
    }

    protected static void f(X509Certificate x509Certificate, e eVar) throws CertPathValidatorException {
        if (x509Certificate.getKeyUsage() != null && !x509Certificate.getKeyUsage()[0] && !x509Certificate.getKeyUsage()[1]) {
            throw new CertPathValidatorException("Attribute certificate issuer public key cannot be used to validate digital signatures.");
        } else if (x509Certificate.getBasicConstraints() != -1) {
            throw new CertPathValidatorException("Attribute certificate issuer is also a public key certificate issuer.");
        }
    }

    protected static void g(X509Certificate x509Certificate, e eVar) throws CertPathValidatorException {
        boolean z7 = false;
        for (TrustAnchor trustAnchor : eVar.k()) {
            if (x509Certificate.getSubjectX500Principal().getName("RFC2253").equals(trustAnchor.getCAName()) || x509Certificate.equals(trustAnchor.getTrustedCert())) {
                z7 = true;
            }
        }
        if (!z7) {
            throw new CertPathValidatorException("Attribute certificate issuer is not directly trusted.");
        }
    }

    protected static void h(k kVar, e eVar) throws CertPathValidatorException {
        try {
            kVar.checkValidity(f.x(eVar));
        } catch (CertificateExpiredException e7) {
            throw new b("Attribute certificate is not valid.", e7);
        } catch (CertificateNotYetValidException e8) {
            throw new b("Attribute certificate is not valid.", e8);
        }
    }

    protected static void i(k kVar, CertPath certPath, CertPath certPath2, e eVar) throws CertPathValidatorException {
        Set<String> criticalExtensionOIDs = kVar.getCriticalExtensionOIDs();
        String str = f24451a;
        if (criticalExtensionOIDs.contains(str)) {
            try {
                t0.j(f.p(kVar, str));
            } catch (a e7) {
                throw new b("Target information extension could not be read.", e7);
            } catch (IllegalArgumentException e8) {
                throw new b("Target information extension could not be read.", e8);
            }
        }
        criticalExtensionOIDs.remove(str);
        for (h hVar : eVar.e()) {
            hVar.a(kVar, certPath, certPath2, criticalExtensionOIDs);
        }
        if (!criticalExtensionOIDs.isEmpty()) {
            throw new CertPathValidatorException("Attribute certificate contains unsupported critical extensions: " + criticalExtensionOIDs);
        }
    }
}
