package org.bouncycastle2.jce.provider;

import java.math.BigInteger;
import java.security.InvalidKeyException;
import java.security.PrivateKey;
import java.security.PublicKey;
import java.security.SecureRandom;
import java.security.SignatureException;
import java.security.SignatureSpi;
import java.security.spec.AlgorithmParameterSpec;
import org.bouncycastle2.asn1.pkcs.m;
import org.bouncycastle2.asn1.x509.e1;
import org.bouncycastle2.crypto.k;
import org.bouncycastle2.crypto.o;
import org.bouncycastle2.crypto.params.o0;
import org.bouncycastle2.crypto.signers.c;
import org.bouncycastle2.crypto.signers.e;
import s5.f;
import s5.j;

public class s0 extends SignatureSpi implements m, e1 {

    /* renamed from: f  reason: collision with root package name */
    private o f24464f;

    /* renamed from: g  reason: collision with root package name */
    private k f24465g;

    /* renamed from: p  reason: collision with root package name */
    private SecureRandom f24466p;

    public static class a extends s0 {
        public a() {
            super(new org.bouncycastle2.crypto.digests.a(), new c());
        }
    }

    public static class b extends s0 {
        public b() {
            super(new org.bouncycastle2.crypto.digests.a(), new e());
        }
    }

    protected s0(o oVar, k kVar) {
        this.f24464f = oVar;
        this.f24465g = kVar;
    }

    /* access modifiers changed from: protected */
    @Override // java.security.SignatureSpi
    public Object engineGetParameter(String str) {
        throw new UnsupportedOperationException("engineSetParameter unsupported");
    }

    /* access modifiers changed from: protected */
    @Override // java.security.SignatureSpi
    public void engineInitSign(PrivateKey privateKey) throws InvalidKeyException {
        org.bouncycastle2.crypto.params.b b7 = privateKey instanceof s5.c ? org.bouncycastle2.jce.provider.asymmetric.ec.b.b(privateKey) : o.a(privateKey);
        this.f24464f.reset();
        SecureRandom secureRandom = this.f24466p;
        k kVar = this.f24465g;
        if (secureRandom != null) {
            kVar.a(true, new o0(b7, secureRandom));
        } else {
            kVar.a(true, b7);
        }
    }

    /* access modifiers changed from: protected */
    @Override // java.security.SignatureSpi
    public void engineInitVerify(PublicKey publicKey) throws InvalidKeyException {
        org.bouncycastle2.crypto.params.b bVar;
        if (publicKey instanceof f) {
            bVar = org.bouncycastle2.jce.provider.asymmetric.ec.b.c(publicKey);
        } else if (publicKey instanceof j) {
            bVar = o.b(publicKey);
        } else {
            try {
                PublicKey c7 = u0.c(publicKey.getEncoded());
                if (c7 instanceof f) {
                    bVar = org.bouncycastle2.jce.provider.asymmetric.ec.b.c(c7);
                } else {
                    throw new InvalidKeyException("can't recognise key type in DSA based signer");
                }
            } catch (Exception unused) {
                throw new InvalidKeyException("can't recognise key type in DSA based signer");
            }
        }
        this.f24464f.reset();
        this.f24465g.a(false, bVar);
    }

    /* access modifiers changed from: protected */
    @Override // java.security.SignatureSpi
    public void engineSetParameter(String str, Object obj) {
        throw new UnsupportedOperationException("engineSetParameter unsupported");
    }

    /* access modifiers changed from: protected */
    @Override // java.security.SignatureSpi
    public byte[] engineSign() throws SignatureException {
        byte[] bArr = new byte[this.f24464f.f()];
        this.f24464f.c(bArr, 0);
        try {
            byte[] bArr2 = new byte[64];
            BigInteger[] b7 = this.f24465g.b(bArr);
            byte[] byteArray = b7[0].toByteArray();
            byte[] byteArray2 = b7[1].toByteArray();
            if (byteArray2[0] != 0) {
                System.arraycopy(byteArray2, 0, bArr2, 32 - byteArray2.length, byteArray2.length);
            } else {
                System.arraycopy(byteArray2, 1, bArr2, 32 - (byteArray2.length - 1), byteArray2.length - 1);
            }
            if (byteArray[0] != 0) {
                System.arraycopy(byteArray, 0, bArr2, 64 - byteArray.length, byteArray.length);
            } else {
                System.arraycopy(byteArray, 1, bArr2, 64 - (byteArray.length - 1), byteArray.length - 1);
            }
            return bArr2;
        } catch (Exception e7) {
            throw new SignatureException(e7.toString());
        }
    }

    /* access modifiers changed from: protected */
    @Override // java.security.SignatureSpi
    public void engineUpdate(byte b7) throws SignatureException {
        this.f24464f.e(b7);
    }

    /* access modifiers changed from: protected */
    @Override // java.security.SignatureSpi
    public boolean engineVerify(byte[] bArr) throws SignatureException {
        byte[] bArr2 = new byte[this.f24464f.f()];
        this.f24464f.c(bArr2, 0);
        try {
            byte[] bArr3 = new byte[32];
            byte[] bArr4 = new byte[32];
            System.arraycopy(bArr, 0, bArr4, 0, 32);
            System.arraycopy(bArr, 32, bArr3, 0, 32);
            BigInteger bigInteger = new BigInteger(1, bArr4);
            return this.f24465g.c(bArr2, new BigInteger[]{new BigInteger(1, bArr3), bigInteger}[0], bigInteger);
        } catch (Exception unused) {
            throw new SignatureException("error decoding signature bytes.");
        }
    }

    /* access modifiers changed from: protected */
    @Override // java.security.SignatureSpi
    public void engineInitSign(PrivateKey privateKey, SecureRandom secureRandom) throws InvalidKeyException {
        this.f24466p = secureRandom;
        engineInitSign(privateKey);
    }

    /* access modifiers changed from: protected */
    @Override // java.security.SignatureSpi
    public void engineSetParameter(AlgorithmParameterSpec algorithmParameterSpec) {
        throw new UnsupportedOperationException("engineSetParameter unsupported");
    }

    /* access modifiers changed from: protected */
    @Override // java.security.SignatureSpi
    public void engineUpdate(byte[] bArr, int i7, int i8) throws SignatureException {
        this.f24464f.d(bArr, i7, i8);
    }
}
