package org.bouncycastle2.jce.provider.symmetric;

import java.io.IOException;
import java.security.AlgorithmParameters;
import java.security.InvalidAlgorithmParameterException;
import java.security.SecureRandom;
import java.security.spec.AlgorithmParameterSpec;
import java.security.spec.InvalidParameterSpecException;
import javax.crypto.spec.IvParameterSpec;
import org.bouncycastle2.crypto.h;
import org.bouncycastle2.jce.provider.a0;
import org.bouncycastle2.jce.provider.j0;
import org.bouncycastle2.jce.provider.k0;
import org.bouncycastle2.jce.provider.p;

public final class c {

    public static class a extends j0 {
        /* access modifiers changed from: protected */
        public AlgorithmParameters engineGenerateParameters() {
            byte[] bArr = new byte[8];
            if (this.f24359a == null) {
                this.f24359a = new SecureRandom();
            }
            this.f24359a.nextBytes(bArr);
            try {
                AlgorithmParameters instance = AlgorithmParameters.getInstance("CAST5", "BC2");
                instance.init(new IvParameterSpec(bArr));
                return instance;
            } catch (Exception e7) {
                throw new RuntimeException(e7.getMessage());
            }
        }

        /* access modifiers changed from: protected */
        @Override // java.security.AlgorithmParameterGeneratorSpi
        public void engineInit(AlgorithmParameterSpec algorithmParameterSpec, SecureRandom secureRandom) throws InvalidAlgorithmParameterException {
            throw new InvalidAlgorithmParameterException("No supported AlgorithmParameterSpec for CAST5 parameter generation.");
        }
    }

    public static class b extends k0 {

        /* renamed from: a  reason: collision with root package name */
        private byte[] f24472a;

        /* renamed from: b  reason: collision with root package name */
        private int f24473b = 128;

        /* access modifiers changed from: protected */
        @Override // org.bouncycastle2.jce.provider.k0
        public AlgorithmParameterSpec b(Class cls) throws InvalidParameterSpecException {
            if (cls == IvParameterSpec.class) {
                return new IvParameterSpec(this.f24472a);
            }
            throw new InvalidParameterSpecException("unknown parameter spec passed to CAST5 parameters object.");
        }

        /* access modifiers changed from: protected */
        @Override // java.security.AlgorithmParametersSpi
        public byte[] engineGetEncoded() {
            byte[] bArr = this.f24472a;
            byte[] bArr2 = new byte[bArr.length];
            System.arraycopy(bArr, 0, bArr2, 0, bArr.length);
            return bArr2;
        }

        /* access modifiers changed from: protected */
        @Override // java.security.AlgorithmParametersSpi
        public void engineInit(AlgorithmParameterSpec algorithmParameterSpec) throws InvalidParameterSpecException {
            if (algorithmParameterSpec instanceof IvParameterSpec) {
                this.f24472a = ((IvParameterSpec) algorithmParameterSpec).getIV();
                return;
            }
            throw new InvalidParameterSpecException("IvParameterSpec required to initialise a CAST5 parameters algorithm parameters object");
        }

        /* access modifiers changed from: protected */
        public String engineToString() {
            return "CAST5 Parameters";
        }

        /* access modifiers changed from: protected */
        @Override // java.security.AlgorithmParametersSpi
        public byte[] engineGetEncoded(String str) throws IOException {
            if (a(str)) {
                return new org.bouncycastle2.asn1.misc.a(engineGetEncoded(), this.f24473b).g();
            }
            if (str.equals("RAW")) {
                return engineGetEncoded();
            }
            return null;
        }

        /* access modifiers changed from: protected */
        @Override // java.security.AlgorithmParametersSpi
        public void engineInit(byte[] bArr) throws IOException {
            byte[] bArr2 = new byte[bArr.length];
            this.f24472a = bArr2;
            System.arraycopy(bArr, 0, bArr2, 0, bArr2.length);
        }

        /* access modifiers changed from: protected */
        @Override // java.security.AlgorithmParametersSpi
        public void engineInit(byte[] bArr, String str) throws IOException {
            if (a(str)) {
                org.bouncycastle2.asn1.misc.a k7 = org.bouncycastle2.asn1.misc.a.k(new org.bouncycastle2.asn1.e(bArr).h());
                this.f24473b = k7.l();
                this.f24472a = k7.j();
            } else if (str.equals("RAW")) {
                engineInit(bArr);
            } else {
                throw new IOException("Unknown parameters format in IV parameters object");
            }
        }
    }

    /* renamed from: org.bouncycastle2.jce.provider.symmetric.c$c  reason: collision with other inner class name */
    public static class C0364c extends p {
        public C0364c() {
            super(new org.bouncycastle2.crypto.modes.b(new org.bouncycastle2.crypto.engines.e()), 64);
        }
    }

    public static class d extends p {
        public d() {
            super(new org.bouncycastle2.crypto.engines.e());
        }
    }

    public static class e extends a0 {
        public e() {
            super("CAST5", 128, new h());
        }
    }

    private c() {
    }
}
