package org.bouncycastle2.jce.provider.symmetric;

import java.io.IOException;
import java.security.AlgorithmParameters;
import java.security.InvalidAlgorithmParameterException;
import java.security.SecureRandom;
import java.security.spec.AlgorithmParameterSpec;
import java.security.spec.InvalidParameterSpecException;
import javax.crypto.spec.IvParameterSpec;
import org.bouncycastle2.asn1.m;
import org.bouncycastle2.crypto.engines.r;
import org.bouncycastle2.jce.provider.a0;
import org.bouncycastle2.jce.provider.b0;
import org.bouncycastle2.jce.provider.h0;
import org.bouncycastle2.jce.provider.j0;
import org.bouncycastle2.jce.provider.k0;
import org.bouncycastle2.jce.provider.p;

public final class k {

    public static class a extends j0 {
        /* access modifiers changed from: protected */
        public AlgorithmParameters engineGenerateParameters() {
            byte[] bArr = new byte[8];
            if (this.f24359a == null) {
                this.f24359a = new SecureRandom();
            }
            this.f24359a.nextBytes(bArr);
            try {
                AlgorithmParameters instance = AlgorithmParameters.getInstance("IDEA", "BC2");
                instance.init(new IvParameterSpec(bArr));
                return instance;
            } catch (Exception e7) {
                throw new RuntimeException(e7.getMessage());
            }
        }

        /* access modifiers changed from: protected */
        @Override // java.security.AlgorithmParameterGeneratorSpi
        public void engineInit(AlgorithmParameterSpec algorithmParameterSpec, SecureRandom secureRandom) throws InvalidAlgorithmParameterException {
            throw new InvalidAlgorithmParameterException("No supported AlgorithmParameterSpec for IDEA parameter generation.");
        }
    }

    public static class b extends k0 {

        /* renamed from: a  reason: collision with root package name */
        private byte[] f24474a;

        /* access modifiers changed from: protected */
        @Override // org.bouncycastle2.jce.provider.k0
        public AlgorithmParameterSpec b(Class cls) throws InvalidParameterSpecException {
            if (cls == IvParameterSpec.class) {
                return new IvParameterSpec(this.f24474a);
            }
            throw new InvalidParameterSpecException("unknown parameter spec passed to IV parameters object.");
        }

        /* access modifiers changed from: protected */
        @Override // java.security.AlgorithmParametersSpi
        public byte[] engineGetEncoded() throws IOException {
            return engineGetEncoded("ASN.1");
        }

        /* access modifiers changed from: protected */
        @Override // java.security.AlgorithmParametersSpi
        public void engineInit(AlgorithmParameterSpec algorithmParameterSpec) throws InvalidParameterSpecException {
            if (algorithmParameterSpec instanceof IvParameterSpec) {
                this.f24474a = ((IvParameterSpec) algorithmParameterSpec).getIV();
                return;
            }
            throw new InvalidParameterSpecException("IvParameterSpec required to initialise a IV parameters algorithm parameters object");
        }

        /* access modifiers changed from: protected */
        public String engineToString() {
            return "IDEA Parameters";
        }

        /* access modifiers changed from: protected */
        @Override // java.security.AlgorithmParametersSpi
        public byte[] engineGetEncoded(String str) throws IOException {
            if (a(str)) {
                return new org.bouncycastle2.asn1.misc.b(engineGetEncoded("RAW")).g();
            }
            if (!str.equals("RAW")) {
                return null;
            }
            byte[] bArr = this.f24474a;
            byte[] bArr2 = new byte[bArr.length];
            System.arraycopy(bArr, 0, bArr2, 0, bArr.length);
            return bArr2;
        }

        /* access modifiers changed from: protected */
        @Override // java.security.AlgorithmParametersSpi
        public void engineInit(byte[] bArr) throws IOException {
            byte[] bArr2 = new byte[bArr.length];
            this.f24474a = bArr2;
            System.arraycopy(bArr, 0, bArr2, 0, bArr2.length);
        }

        /* access modifiers changed from: protected */
        @Override // java.security.AlgorithmParametersSpi
        public void engineInit(byte[] bArr, String str) throws IOException {
            if (str.equals("RAW")) {
                engineInit(bArr);
            } else if (str.equals("ASN.1")) {
                engineInit(new org.bouncycastle2.asn1.misc.b((m) new org.bouncycastle2.asn1.e(bArr).h()).j());
            } else {
                throw new IOException("Unknown parameters format in IV parameters object");
            }
        }
    }

    public static class c extends p {
        public c() {
            super(new org.bouncycastle2.crypto.modes.b(new r()), 64);
        }
    }

    public static class d extends b0 {
        public d() {
            super(new org.bouncycastle2.crypto.macs.b(new r()));
        }
    }

    public static class e extends p {
        public e() {
            super(new r());
        }
    }

    public static class f extends a0 {
        public f() {
            super("IDEA", 128, new org.bouncycastle2.crypto.h());
        }
    }

    public static class g extends b0 {
        public g() {
            super(new org.bouncycastle2.crypto.macs.a(new r()));
        }
    }

    public static class h extends p {
        public h() {
            super(new org.bouncycastle2.crypto.modes.b(new r()));
        }
    }

    public static class i extends h0.d {
        public i() {
            super("PBEwithSHAandIDEA-CBC", null, true, 2, 1, 128, 64);
        }
    }

    private k() {
    }
}
