package org.bouncycastle2.jce.provider;

import java.security.AlgorithmParameters;
import java.security.InvalidAlgorithmParameterException;
import java.security.InvalidKeyException;
import java.security.Key;
import java.security.KeyFactory;
import java.security.NoSuchAlgorithmException;
import java.security.NoSuchProviderException;
import java.security.SecureRandom;
import java.security.spec.AlgorithmParameterSpec;
import java.security.spec.InvalidKeySpecException;
import java.security.spec.PKCS8EncodedKeySpec;
import java.security.spec.X509EncodedKeySpec;
import javax.crypto.BadPaddingException;
import javax.crypto.CipherSpi;
import javax.crypto.IllegalBlockSizeException;
import javax.crypto.NoSuchPaddingException;
import javax.crypto.ShortBufferException;
import javax.crypto.spec.IvParameterSpec;
import javax.crypto.spec.PBEParameterSpec;
import javax.crypto.spec.RC2ParameterSpec;
import javax.crypto.spec.RC5ParameterSpec;
import javax.crypto.spec.SecretKeySpec;
import org.bouncycastle2.asn1.a1;
import org.bouncycastle2.asn1.e;
import org.bouncycastle2.asn1.m;
import org.bouncycastle2.asn1.pkcs.o;
import org.bouncycastle2.crypto.a0;
import org.bouncycastle2.crypto.engines.j;
import org.bouncycastle2.crypto.engines.k;
import org.bouncycastle2.crypto.engines.v;
import org.bouncycastle2.crypto.params.k0;
import org.bouncycastle2.crypto.params.n0;
import org.bouncycastle2.crypto.q;
import org.bouncycastle2.jce.provider.d1;

public abstract class t1 extends CipherSpi implements d1 {

    /* renamed from: k  reason: collision with root package name */
    private Class[] f24483k;

    /* renamed from: l  reason: collision with root package name */
    protected int f24484l;

    /* renamed from: m  reason: collision with root package name */
    protected int f24485m;

    /* renamed from: n  reason: collision with root package name */
    protected int f24486n;

    /* renamed from: o  reason: collision with root package name */
    protected int f24487o;

    /* renamed from: p  reason: collision with root package name */
    protected AlgorithmParameters f24488p;

    /* renamed from: q  reason: collision with root package name */
    protected a0 f24489q;

    /* renamed from: r  reason: collision with root package name */
    private int f24490r;

    /* renamed from: s  reason: collision with root package name */
    private byte[] f24491s;

    public static class a extends t1 {
        public a() {
            super(new k());
        }
    }

    public static class b extends t1 {
        public b() {
            super(new v());
        }
    }

    public static class c extends t1 {
        public c() {
            super(new org.bouncycastle2.crypto.engines.a0(new j()), 8);
        }
    }

    protected t1() {
        this.f24483k = new Class[]{IvParameterSpec.class, PBEParameterSpec.class, RC2ParameterSpec.class, RC5ParameterSpec.class};
        this.f24484l = 2;
        this.f24485m = 1;
        this.f24488p = null;
        this.f24489q = null;
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.CipherSpi
    public int engineDoFinal(byte[] bArr, int i7, int i8, byte[] bArr2, int i9) throws IllegalBlockSizeException, BadPaddingException {
        return 0;
    }

    /* access modifiers changed from: protected */
    public int engineGetBlockSize() {
        return 0;
    }

    /* access modifiers changed from: protected */
    public byte[] engineGetIV() {
        return (byte[]) this.f24491s.clone();
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.CipherSpi
    public int engineGetKeySize(Key key) {
        return key.getEncoded().length;
    }

    /* access modifiers changed from: protected */
    public int engineGetOutputSize(int i7) {
        return -1;
    }

    /* access modifiers changed from: protected */
    public AlgorithmParameters engineGetParameters() {
        return null;
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.CipherSpi
    public void engineInit(int i7, Key key, AlgorithmParameters algorithmParameters, SecureRandom secureRandom) throws InvalidKeyException, InvalidAlgorithmParameterException {
        AlgorithmParameterSpec algorithmParameterSpec = null;
        if (algorithmParameters != null) {
            int i8 = 0;
            while (true) {
                Class[] clsArr = this.f24483k;
                if (i8 == clsArr.length) {
                    break;
                }
                try {
                    algorithmParameterSpec = algorithmParameters.getParameterSpec(clsArr[i8]);
                    break;
                } catch (Exception unused) {
                    i8++;
                }
            }
            if (algorithmParameterSpec == null) {
                throw new InvalidAlgorithmParameterException("can't handle parameter " + algorithmParameters.toString());
            }
        }
        this.f24488p = algorithmParameters;
        engineInit(i7, key, algorithmParameterSpec, secureRandom);
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.CipherSpi
    public void engineSetMode(String str) throws NoSuchAlgorithmException {
        throw new NoSuchAlgorithmException("can't support mode " + str);
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.CipherSpi
    public void engineSetPadding(String str) throws NoSuchPaddingException {
        throw new NoSuchPaddingException("Padding " + str + " unknown.");
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.CipherSpi
    public Key engineUnwrap(byte[] bArr, String str, int i7) throws InvalidKeyException {
        try {
            a0 a0Var = this.f24489q;
            byte[] engineDoFinal = a0Var == null ? engineDoFinal(bArr, 0, bArr.length) : a0Var.c(bArr, 0, bArr.length);
            if (i7 == 3) {
                return new SecretKeySpec(engineDoFinal, str);
            }
            if (!str.equals("") || i7 != 2) {
                try {
                    KeyFactory instance = KeyFactory.getInstance(str, "BC2");
                    if (i7 == 1) {
                        return instance.generatePublic(new X509EncodedKeySpec(engineDoFinal));
                    }
                    if (i7 == 2) {
                        return instance.generatePrivate(new PKCS8EncodedKeySpec(engineDoFinal));
                    }
                    throw new InvalidKeyException("Unknown key type " + i7);
                } catch (NoSuchProviderException e7) {
                    throw new InvalidKeyException("Unknown key type " + e7.getMessage());
                } catch (NoSuchAlgorithmException e8) {
                    throw new InvalidKeyException("Unknown key type " + e8.getMessage());
                } catch (InvalidKeySpecException e9) {
                    throw new InvalidKeyException("Unknown key type " + e9.getMessage());
                }
            } else {
                try {
                    o oVar = new o((m) new e(engineDoFinal).h());
                    a1 l7 = oVar.j().l();
                    return l7.equals(org.bouncycastle2.asn1.x9.j.f23006o3) ? new u(oVar) : l7.equals(org.bouncycastle2.asn1.cryptopro.a.f22328d) ? new q0(oVar) : l7.equals(org.bouncycastle2.asn1.x9.j.Z3) ? new l0(oVar) : l7.equals(org.bouncycastle2.asn1.pkcs.m.B0) ? new r(oVar) : l7.equals(org.bouncycastle2.asn1.x9.j.Y3) ? new r(oVar) : new e0(oVar);
                } catch (Exception unused) {
                    throw new InvalidKeyException("Invalid key encoding.");
                }
            }
        } catch (q e10) {
            throw new InvalidKeyException(e10.getMessage());
        } catch (BadPaddingException e11) {
            throw new InvalidKeyException(e11.getMessage());
        } catch (IllegalBlockSizeException e12) {
            throw new InvalidKeyException(e12.getMessage());
        }
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.CipherSpi
    public int engineUpdate(byte[] bArr, int i7, int i8, byte[] bArr2, int i9) throws ShortBufferException {
        throw new RuntimeException("not supported for wrapping");
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.CipherSpi
    public byte[] engineWrap(Key key) throws IllegalBlockSizeException, InvalidKeyException {
        byte[] encoded = key.getEncoded();
        if (encoded != null) {
            try {
                a0 a0Var = this.f24489q;
                return a0Var == null ? engineDoFinal(encoded, 0, encoded.length) : a0Var.d(encoded, 0, encoded.length);
            } catch (BadPaddingException e7) {
                throw new IllegalBlockSizeException(e7.getMessage());
            }
        } else {
            throw new InvalidKeyException("Cannot wrap key, null encoding.");
        }
    }

    protected t1(a0 a0Var) {
        this(a0Var, 0);
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.CipherSpi
    public byte[] engineDoFinal(byte[] bArr, int i7, int i8) throws IllegalBlockSizeException, BadPaddingException {
        return null;
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.CipherSpi
    public void engineInit(int i7, Key key, SecureRandom secureRandom) throws InvalidKeyException {
        try {
            engineInit(i7, key, (AlgorithmParameterSpec) null, secureRandom);
        } catch (InvalidAlgorithmParameterException e7) {
            throw new IllegalArgumentException(e7.getMessage());
        }
    }

    /* access modifiers changed from: protected */
    public byte[] engineUpdate(byte[] bArr, int i7, int i8) {
        throw new RuntimeException("not supported for wrapping");
    }

    protected t1(a0 a0Var, int i7) {
        this.f24483k = new Class[]{IvParameterSpec.class, PBEParameterSpec.class, RC2ParameterSpec.class, RC5ParameterSpec.class};
        this.f24484l = 2;
        this.f24485m = 1;
        this.f24488p = null;
        this.f24489q = a0Var;
        this.f24490r = i7;
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.CipherSpi
    public void engineInit(int i7, Key key, AlgorithmParameterSpec algorithmParameterSpec, SecureRandom secureRandom) throws InvalidKeyException, InvalidAlgorithmParameterException {
        n0 n0Var;
        int i8;
        if (key instanceof c0) {
            c0 c0Var = (c0) key;
            if (algorithmParameterSpec instanceof PBEParameterSpec) {
                n0Var = d1.a.e(c0Var, algorithmParameterSpec, this.f24489q.b());
            } else if (c0Var.e() != null) {
                n0Var = c0Var.e();
            } else {
                throw new InvalidAlgorithmParameterException("PBE requires PBE parameters to be set.");
            }
        } else {
            n0Var = new k0(key.getEncoded());
        }
        if (algorithmParameterSpec instanceof IvParameterSpec) {
            n0Var = new n0(n0Var, ((IvParameterSpec) algorithmParameterSpec).getIV());
        }
        if ((n0Var instanceof k0) && (i8 = this.f24490r) != 0) {
            byte[] bArr = new byte[i8];
            this.f24491s = bArr;
            secureRandom.nextBytes(bArr);
            n0Var = new n0(n0Var, this.f24491s);
        }
        if (i7 == 1 || i7 == 2) {
            throw new IllegalArgumentException("engine only valid for wrapping");
        } else if (i7 == 3) {
            this.f24489q.a(true, n0Var);
        } else if (i7 != 4) {
            System.out.println("eeek!");
        } else {
            this.f24489q.a(false, n0Var);
        }
    }
}
