package org.bouncycastle2.jce.provider;

import java.io.IOException;
import java.security.InvalidKeyException;
import java.security.Key;
import java.security.KeyFactorySpi;
import java.security.PrivateKey;
import java.security.PublicKey;
import java.security.interfaces.DSAPrivateKey;
import java.security.interfaces.DSAPublicKey;
import java.security.interfaces.RSAPrivateCrtKey;
import java.security.interfaces.RSAPrivateKey;
import java.security.interfaces.RSAPublicKey;
import java.security.spec.DSAPrivateKeySpec;
import java.security.spec.DSAPublicKeySpec;
import java.security.spec.InvalidKeySpecException;
import java.security.spec.KeySpec;
import java.security.spec.PKCS8EncodedKeySpec;
import java.security.spec.RSAPrivateCrtKeySpec;
import java.security.spec.RSAPrivateKeySpec;
import java.security.spec.RSAPublicKeySpec;
import java.security.spec.X509EncodedKeySpec;
import javax.crypto.interfaces.DHPrivateKey;
import javax.crypto.interfaces.DHPublicKey;
import javax.crypto.spec.DHPrivateKeySpec;
import javax.crypto.spec.DHPublicKeySpec;
import org.bouncycastle2.asn1.a1;
import org.bouncycastle2.asn1.g;
import org.bouncycastle2.asn1.x509.p0;
import org.bouncycastle2.jce.spec.i;
import org.bouncycastle2.jce.spec.j;
import org.bouncycastle2.jce.spec.m;
import org.bouncycastle2.jce.spec.o;
import s5.h;

public abstract class u0 extends KeyFactorySpi {

    /* renamed from: a  reason: collision with root package name */
    protected boolean f24497a = false;

    public static class a extends u0 {
        /* access modifiers changed from: protected */
        @Override // java.security.KeyFactorySpi, org.bouncycastle2.jce.provider.u0
        public PrivateKey engineGeneratePrivate(KeySpec keySpec) throws InvalidKeySpecException {
            return keySpec instanceof DHPrivateKeySpec ? new r((DHPrivateKeySpec) keySpec) : u0.super.engineGeneratePrivate(keySpec);
        }

        /* access modifiers changed from: protected */
        @Override // java.security.KeyFactorySpi, org.bouncycastle2.jce.provider.u0
        public PublicKey engineGeneratePublic(KeySpec keySpec) throws InvalidKeySpecException {
            return keySpec instanceof DHPublicKeySpec ? new s((DHPublicKeySpec) keySpec) : u0.super.engineGeneratePublic(keySpec);
        }
    }

    public static class b extends u0 {
        /* access modifiers changed from: protected */
        @Override // java.security.KeyFactorySpi, org.bouncycastle2.jce.provider.u0
        public PrivateKey engineGeneratePrivate(KeySpec keySpec) throws InvalidKeySpecException {
            return keySpec instanceof DSAPrivateKeySpec ? new l0((DSAPrivateKeySpec) keySpec) : u0.super.engineGeneratePrivate(keySpec);
        }

        /* access modifiers changed from: protected */
        @Override // java.security.KeyFactorySpi, org.bouncycastle2.jce.provider.u0
        public PublicKey engineGeneratePublic(KeySpec keySpec) throws InvalidKeySpecException {
            return keySpec instanceof DSAPublicKeySpec ? new m0((DSAPublicKeySpec) keySpec) : u0.super.engineGeneratePublic(keySpec);
        }
    }

    public static class c extends u0 {
        public c() {
            this.f24497a = true;
        }

        /* access modifiers changed from: protected */
        @Override // java.security.KeyFactorySpi, org.bouncycastle2.jce.provider.u0
        public PrivateKey engineGeneratePrivate(KeySpec keySpec) throws InvalidKeySpecException {
            return keySpec instanceof i ? new x((i) keySpec) : keySpec instanceof DHPrivateKeySpec ? new x((DHPrivateKeySpec) keySpec) : u0.super.engineGeneratePrivate(keySpec);
        }

        /* access modifiers changed from: protected */
        @Override // java.security.KeyFactorySpi, org.bouncycastle2.jce.provider.u0
        public PublicKey engineGeneratePublic(KeySpec keySpec) throws InvalidKeySpecException {
            return keySpec instanceof j ? new y((j) keySpec) : keySpec instanceof DHPublicKeySpec ? new y((DHPublicKeySpec) keySpec) : u0.super.engineGeneratePublic(keySpec);
        }
    }

    public static class d extends u0 {
        /* access modifiers changed from: protected */
        @Override // java.security.KeyFactorySpi, org.bouncycastle2.jce.provider.u0
        public PrivateKey engineGeneratePrivate(KeySpec keySpec) throws InvalidKeySpecException {
            return keySpec instanceof m ? new q0((m) keySpec) : u0.super.engineGeneratePrivate(keySpec);
        }

        /* access modifiers changed from: protected */
        @Override // java.security.KeyFactorySpi, org.bouncycastle2.jce.provider.u0
        public PublicKey engineGeneratePublic(KeySpec keySpec) throws InvalidKeySpecException {
            return keySpec instanceof o ? new r0((o) keySpec) : u0.super.engineGeneratePublic(keySpec);
        }
    }

    public static class e extends u0 {
        /* access modifiers changed from: protected */
        /* JADX WARNING: Code restructure failed: missing block: B:11:0x0031, code lost:
            throw new java.security.spec.InvalidKeySpecException(r2.toString());
         */
        /* JADX WARNING: Code restructure failed: missing block: B:8:0x0026, code lost:
            return new org.bouncycastle2.jce.provider.e0(new org.bouncycastle2.asn1.pkcs.r((org.bouncycastle2.asn1.m) org.bouncycastle2.asn1.g.l(((java.security.spec.PKCS8EncodedKeySpec) r3).getEncoded())));
         */
        /* JADX WARNING: Code restructure failed: missing block: B:9:0x0027, code lost:
            r2 = move-exception;
         */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:6:0x0010 */
        @Override // java.security.KeyFactorySpi, org.bouncycastle2.jce.provider.u0
        public PrivateKey engineGeneratePrivate(KeySpec keySpec) throws InvalidKeySpecException {
            if (keySpec instanceof PKCS8EncodedKeySpec) {
                return u0.a(((PKCS8EncodedKeySpec) keySpec).getEncoded());
            }
            if (keySpec instanceof RSAPrivateCrtKeySpec) {
                return new e0((RSAPrivateCrtKeySpec) keySpec);
            }
            if (keySpec instanceof RSAPrivateKeySpec) {
                return new f0((RSAPrivateKeySpec) keySpec);
            }
            throw new InvalidKeySpecException("Unknown KeySpec type: " + keySpec.getClass().getName());
        }

        /* access modifiers changed from: protected */
        @Override // java.security.KeyFactorySpi, org.bouncycastle2.jce.provider.u0
        public PublicKey engineGeneratePublic(KeySpec keySpec) throws InvalidKeySpecException {
            return keySpec instanceof RSAPublicKeySpec ? new g0((RSAPublicKeySpec) keySpec) : u0.super.engineGeneratePublic(keySpec);
        }
    }

    public static class f extends u0 {
    }

    protected static PrivateKey a(byte[] bArr) throws IOException {
        return b(new org.bouncycastle2.asn1.pkcs.o((org.bouncycastle2.asn1.m) g.l(bArr)));
    }

    static PrivateKey b(org.bouncycastle2.asn1.pkcs.o oVar) {
        a1 l7 = oVar.j().l();
        if (r1.c(l7)) {
            return new e0(oVar);
        }
        if (l7.equals(org.bouncycastle2.asn1.pkcs.m.B0)) {
            return new r(oVar);
        }
        if (l7.equals(org.bouncycastle2.asn1.oiw.b.f22473l)) {
            return new x(oVar);
        }
        if (l7.equals(org.bouncycastle2.asn1.x9.j.Z3)) {
            return new l0(oVar);
        }
        if (l7.equals(org.bouncycastle2.asn1.x9.j.f23006o3)) {
            return new u(oVar);
        }
        if (l7.equals(org.bouncycastle2.asn1.cryptopro.a.f22328d)) {
            return new q0(oVar);
        }
        if (l7.equals(org.bouncycastle2.asn1.cryptopro.a.f22329e)) {
            return new u(oVar);
        }
        throw new RuntimeException("algorithm identifier " + l7 + " in key not recognised");
    }

    public static PublicKey c(byte[] bArr) throws IOException {
        return d(new p0((org.bouncycastle2.asn1.m) g.l(bArr)));
    }

    static PublicKey d(p0 p0Var) {
        a1 l7 = p0Var.j().l();
        if (r1.c(l7)) {
            return new g0(p0Var);
        }
        if (l7.equals(org.bouncycastle2.asn1.pkcs.m.B0)) {
            return new s(p0Var);
        }
        if (l7.equals(org.bouncycastle2.asn1.x9.j.Y3)) {
            return new s(p0Var);
        }
        if (l7.equals(org.bouncycastle2.asn1.oiw.b.f22473l)) {
            return new y(p0Var);
        }
        if (l7.equals(org.bouncycastle2.asn1.x9.j.Z3)) {
            return new m0(p0Var);
        }
        if (l7.equals(org.bouncycastle2.asn1.oiw.b.f22471j)) {
            return new m0(p0Var);
        }
        if (l7.equals(org.bouncycastle2.asn1.x9.j.f23006o3)) {
            return new v(p0Var);
        }
        if (l7.equals(org.bouncycastle2.asn1.cryptopro.a.f22328d)) {
            return new r0(p0Var);
        }
        if (l7.equals(org.bouncycastle2.asn1.cryptopro.a.f22329e)) {
            return new v(p0Var);
        }
        throw new RuntimeException("algorithm identifier " + l7 + " in key not recognised");
    }

    /* access modifiers changed from: protected */
    @Override // java.security.KeyFactorySpi
    public PrivateKey engineGeneratePrivate(KeySpec keySpec) throws InvalidKeySpecException {
        if (keySpec instanceof PKCS8EncodedKeySpec) {
            try {
                return a(((PKCS8EncodedKeySpec) keySpec).getEncoded());
            } catch (Exception e7) {
                throw new InvalidKeySpecException(e7.toString());
            }
        } else {
            throw new InvalidKeySpecException("Unknown KeySpec type: " + keySpec.getClass().getName());
        }
    }

    /* access modifiers changed from: protected */
    @Override // java.security.KeyFactorySpi
    public PublicKey engineGeneratePublic(KeySpec keySpec) throws InvalidKeySpecException {
        if (keySpec instanceof X509EncodedKeySpec) {
            try {
                return c(((X509EncodedKeySpec) keySpec).getEncoded());
            } catch (Exception e7) {
                throw new InvalidKeySpecException(e7.toString());
            }
        } else {
            throw new InvalidKeySpecException("Unknown KeySpec type: " + keySpec.getClass().getName());
        }
    }

    /* access modifiers changed from: protected */
    @Override // java.security.KeyFactorySpi
    public KeySpec engineGetKeySpec(Key key, Class cls) throws InvalidKeySpecException {
        if (cls.isAssignableFrom(PKCS8EncodedKeySpec.class) && key.getFormat().equals("PKCS#8")) {
            return new PKCS8EncodedKeySpec(key.getEncoded());
        }
        if (cls.isAssignableFrom(X509EncodedKeySpec.class) && key.getFormat().equals("X.509")) {
            return new X509EncodedKeySpec(key.getEncoded());
        }
        if (cls.isAssignableFrom(RSAPublicKeySpec.class) && (key instanceof RSAPublicKey)) {
            RSAPublicKey rSAPublicKey = (RSAPublicKey) key;
            return new RSAPublicKeySpec(rSAPublicKey.getModulus(), rSAPublicKey.getPublicExponent());
        } else if (cls.isAssignableFrom(RSAPrivateKeySpec.class) && (key instanceof RSAPrivateKey)) {
            RSAPrivateKey rSAPrivateKey = (RSAPrivateKey) key;
            return new RSAPrivateKeySpec(rSAPrivateKey.getModulus(), rSAPrivateKey.getPrivateExponent());
        } else if (cls.isAssignableFrom(RSAPrivateCrtKeySpec.class) && (key instanceof RSAPrivateCrtKey)) {
            RSAPrivateCrtKey rSAPrivateCrtKey = (RSAPrivateCrtKey) key;
            return new RSAPrivateCrtKeySpec(rSAPrivateCrtKey.getModulus(), rSAPrivateCrtKey.getPublicExponent(), rSAPrivateCrtKey.getPrivateExponent(), rSAPrivateCrtKey.getPrimeP(), rSAPrivateCrtKey.getPrimeQ(), rSAPrivateCrtKey.getPrimeExponentP(), rSAPrivateCrtKey.getPrimeExponentQ(), rSAPrivateCrtKey.getCrtCoefficient());
        } else if (cls.isAssignableFrom(DHPrivateKeySpec.class) && (key instanceof DHPrivateKey)) {
            DHPrivateKey dHPrivateKey = (DHPrivateKey) key;
            return new DHPrivateKeySpec(dHPrivateKey.getX(), dHPrivateKey.getParams().getP(), dHPrivateKey.getParams().getG());
        } else if (!cls.isAssignableFrom(DHPublicKeySpec.class) || !(key instanceof DHPublicKey)) {
            throw new RuntimeException("not implemented yet " + key + " " + cls);
        } else {
            DHPublicKey dHPublicKey = (DHPublicKey) key;
            return new DHPublicKeySpec(dHPublicKey.getY(), dHPublicKey.getParams().getP(), dHPublicKey.getParams().getG());
        }
    }

    /* access modifiers changed from: protected */
    @Override // java.security.KeyFactorySpi
    public Key engineTranslateKey(Key key) throws InvalidKeyException {
        if (key instanceof RSAPublicKey) {
            return new g0((RSAPublicKey) key);
        }
        if (key instanceof RSAPrivateCrtKey) {
            return new e0((RSAPrivateCrtKey) key);
        }
        if (key instanceof RSAPrivateKey) {
            return new f0((RSAPrivateKey) key);
        }
        if (key instanceof DHPublicKey) {
            return this.f24497a ? new y((DHPublicKey) key) : new s((DHPublicKey) key);
        }
        if (key instanceof DHPrivateKey) {
            return this.f24497a ? new x((DHPrivateKey) key) : new r((DHPrivateKey) key);
        }
        if (key instanceof DSAPublicKey) {
            return new m0((DSAPublicKey) key);
        }
        if (key instanceof DSAPrivateKey) {
            return new l0((DSAPrivateKey) key);
        }
        if (key instanceof s5.i) {
            return new y((s5.i) key);
        }
        if (key instanceof h) {
            return new x((h) key);
        }
        throw new InvalidKeyException("key type unknown");
    }
}
