package org.bouncycastle2.jce.provider;

import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.math.BigInteger;
import java.security.interfaces.ECPublicKey;
import java.security.spec.ECParameterSpec;
import java.security.spec.ECPoint;
import java.security.spec.ECPublicKeySpec;
import java.security.spec.EllipticCurve;
import org.bouncycastle2.asn1.a1;
import org.bouncycastle2.asn1.b1;
import org.bouncycastle2.asn1.cryptopro.e;
import org.bouncycastle2.asn1.g;
import org.bouncycastle2.asn1.i;
import org.bouncycastle2.asn1.j0;
import org.bouncycastle2.asn1.m;
import org.bouncycastle2.asn1.x0;
import org.bouncycastle2.asn1.x509.p0;
import org.bouncycastle2.asn1.x9.j;
import org.bouncycastle2.asn1.z0;
import org.bouncycastle2.crypto.params.q;
import org.bouncycastle2.crypto.params.u;
import org.bouncycastle2.jce.provider.asymmetric.ec.a;
import org.bouncycastle2.jce.spec.b;
import org.bouncycastle2.math.ec.c;
import org.bouncycastle2.math.ec.f;
import s5.d;
import s5.f;

public class v implements ECPublicKey, f, d {

    /* renamed from: f  reason: collision with root package name */
    private String f24502f;

    /* renamed from: g  reason: collision with root package name */
    private org.bouncycastle2.math.ec.f f24503g;

    /* renamed from: p  reason: collision with root package name */
    private ECParameterSpec f24504p;

    /* renamed from: x  reason: collision with root package name */
    private boolean f24505x;

    /* renamed from: y  reason: collision with root package name */
    private e f24506y;

    public v(String str, ECPublicKeySpec eCPublicKeySpec) {
        this.f24502f = str;
        ECParameterSpec params = eCPublicKeySpec.getParams();
        this.f24504p = params;
        this.f24503g = a.c(params, eCPublicKeySpec.getW(), false);
    }

    private ECParameterSpec a(EllipticCurve ellipticCurve, q qVar) {
        return new ECParameterSpec(ellipticCurve, new ECPoint(qVar.b().f().k(), qVar.b().g().k()), qVar.d(), qVar.c().intValue());
    }

    private void e(byte[] bArr, int i7, BigInteger bigInteger) {
        byte[] byteArray = bigInteger.toByteArray();
        if (byteArray.length < 32) {
            System.arraycopy(byteArray, 0, new byte[32], 32 - byteArray.length, byteArray.length);
        }
        for (int i8 = 0; i8 != 32; i8++) {
            bArr[i7 + i8] = byteArray[(byteArray.length - 1) - i8];
        }
    }

    private void f(p0 p0Var) {
        c cVar;
        byte[] m7;
        i b1Var;
        byte b7;
        ECParameterSpec eCParameterSpec;
        if (p0Var.j().l().equals(org.bouncycastle2.asn1.cryptopro.a.f22329e)) {
            j0 n7 = p0Var.n();
            this.f24502f = "ECGOST3410";
            try {
                byte[] o7 = ((i) g.l(n7.m())).o();
                byte[] bArr = new byte[32];
                byte[] bArr2 = new byte[32];
                for (int i7 = 0; i7 != 32; i7++) {
                    bArr[i7] = o7[31 - i7];
                }
                for (int i8 = 0; i8 != 32; i8++) {
                    bArr2[i8] = o7[63 - i8];
                }
                e eVar = new e((m) p0Var.j().m());
                this.f24506y = eVar;
                b b8 = org.bouncycastle2.jce.a.b(org.bouncycastle2.asn1.cryptopro.b.c(eVar.n()));
                c a8 = b8.a();
                EllipticCurve a9 = a.a(a8, b8.e());
                this.f24503g = a8.a(new BigInteger(1, bArr), new BigInteger(1, bArr2), false);
                this.f24504p = new org.bouncycastle2.jce.spec.c(org.bouncycastle2.asn1.cryptopro.b.c(this.f24506y.n()), a9, new ECPoint(b8.b().f().k(), b8.b().g().k()), b8.d(), b8.c());
            } catch (IOException unused) {
                throw new IllegalArgumentException("error recovering public key");
            }
        } else {
            org.bouncycastle2.asn1.x9.b bVar = new org.bouncycastle2.asn1.x9.b((z0) p0Var.j().m());
            if (bVar.n()) {
                a1 a1Var = (a1) bVar.l();
                org.bouncycastle2.asn1.x9.d e7 = org.bouncycastle2.jce.provider.asymmetric.ec.b.e(a1Var);
                cVar = e7.j();
                eCParameterSpec = new org.bouncycastle2.jce.spec.c(org.bouncycastle2.jce.provider.asymmetric.ec.b.d(a1Var), a.a(cVar, e7.n()), new ECPoint(e7.k().f().k(), e7.k().g().k()), e7.m(), e7.l());
            } else if (bVar.m()) {
                this.f24504p = null;
                cVar = o1.a().a();
                m7 = p0Var.n().m();
                b1Var = new b1(m7);
                if (m7[0] == 4 && m7[1] == m7.length - 2 && (((b7 = m7[2]) == 2 || b7 == 3) && new org.bouncycastle2.asn1.x9.i().a(cVar) >= m7.length - 3)) {
                    b1Var = (i) g.l(m7);
                }
                this.f24503g = new org.bouncycastle2.asn1.x9.f(cVar, b1Var).j();
            } else {
                org.bouncycastle2.asn1.x9.d dVar = new org.bouncycastle2.asn1.x9.d((m) bVar.l());
                cVar = dVar.j();
                eCParameterSpec = new ECParameterSpec(a.a(cVar, dVar.n()), new ECPoint(dVar.k().f().k(), dVar.k().g().k()), dVar.m(), dVar.l().intValue());
            }
            this.f24504p = eCParameterSpec;
            m7 = p0Var.n().m();
            b1Var = new b1(m7);
            try {
                b1Var = (i) g.l(m7);
                this.f24503g = new org.bouncycastle2.asn1.x9.f(cVar, b1Var).j();
            } catch (IOException unused2) {
                throw new IllegalArgumentException("error recovering public key");
            }
        }
    }

    private void g(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException {
        f(p0.k(g.l((byte[]) objectInputStream.readObject())));
        this.f24502f = (String) objectInputStream.readObject();
        this.f24505x = objectInputStream.readBoolean();
    }

    private void h(ObjectOutputStream objectOutputStream) throws IOException {
        objectOutputStream.writeObject(getEncoded());
        objectOutputStream.writeObject(this.f24502f);
        objectOutputStream.writeBoolean(this.f24505x);
    }

    @Override // s5.d
    public void b(String str) {
        this.f24505x = !"UNCOMPRESSED".equalsIgnoreCase(str);
    }

    public org.bouncycastle2.math.ec.f c() {
        return this.f24503g;
    }

    /* access modifiers changed from: package-private */
    public org.bouncycastle2.jce.spec.d d() {
        ECParameterSpec eCParameterSpec = this.f24504p;
        return eCParameterSpec != null ? a.f(eCParameterSpec, this.f24505x) : o1.a();
    }

    public boolean equals(Object obj) {
        if (!(obj instanceof v)) {
            return false;
        }
        v vVar = (v) obj;
        return c().equals(vVar.c()) && d().equals(vVar.d());
    }

    public String getAlgorithm() {
        return this.f24502f;
    }

    public byte[] getEncoded() {
        p0 p0Var;
        org.bouncycastle2.asn1.x9.b bVar;
        org.bouncycastle2.asn1.c cVar;
        if (this.f24502f.equals("ECGOST3410")) {
            org.bouncycastle2.asn1.c cVar2 = this.f24506y;
            if (cVar2 == null) {
                ECParameterSpec eCParameterSpec = this.f24504p;
                if (eCParameterSpec instanceof org.bouncycastle2.jce.spec.c) {
                    cVar = new e(org.bouncycastle2.asn1.cryptopro.b.e(((org.bouncycastle2.jce.spec.c) eCParameterSpec).c()), org.bouncycastle2.asn1.cryptopro.a.f22332h);
                } else {
                    c b7 = a.b(eCParameterSpec.getCurve());
                    cVar = new org.bouncycastle2.asn1.x9.b(new org.bouncycastle2.asn1.x9.d(b7, a.d(b7, this.f24504p.getGenerator(), this.f24505x), this.f24504p.getOrder(), BigInteger.valueOf((long) this.f24504p.getCofactor()), this.f24504p.getCurve().getSeed()));
                }
                cVar2 = cVar;
            }
            BigInteger k7 = this.f24503g.f().k();
            BigInteger k8 = this.f24503g.g().k();
            byte[] bArr = new byte[64];
            e(bArr, 0, k7);
            e(bArr, 32, k8);
            p0Var = new p0(new org.bouncycastle2.asn1.x509.b(org.bouncycastle2.asn1.cryptopro.a.f22329e, cVar2.d()), new b1(bArr));
        } else {
            ECParameterSpec eCParameterSpec2 = this.f24504p;
            if (eCParameterSpec2 instanceof org.bouncycastle2.jce.spec.c) {
                bVar = new org.bouncycastle2.asn1.x9.b(org.bouncycastle2.jce.provider.asymmetric.ec.b.f(((org.bouncycastle2.jce.spec.c) eCParameterSpec2).c()));
            } else if (eCParameterSpec2 == null) {
                bVar = new org.bouncycastle2.asn1.x9.b(x0.f22731x);
            } else {
                c b8 = a.b(eCParameterSpec2.getCurve());
                bVar = new org.bouncycastle2.asn1.x9.b(new org.bouncycastle2.asn1.x9.d(b8, a.d(b8, this.f24504p.getGenerator(), this.f24505x), this.f24504p.getOrder(), BigInteger.valueOf((long) this.f24504p.getCofactor()), this.f24504p.getCurve().getSeed()));
            }
            p0Var = new p0(new org.bouncycastle2.asn1.x509.b(j.f23006o3, bVar.d()), ((i) new org.bouncycastle2.asn1.x9.f(c().d().a(o().f().k(), o().g().k(), this.f24505x)).d()).o());
        }
        return p0Var.f();
    }

    public String getFormat() {
        return "X.509";
    }

    @Override // s5.c
    public org.bouncycastle2.jce.spec.d getParameters() {
        ECParameterSpec eCParameterSpec = this.f24504p;
        if (eCParameterSpec == null) {
            return null;
        }
        return a.f(eCParameterSpec, this.f24505x);
    }

    public ECParameterSpec getParams() {
        return this.f24504p;
    }

    public ECPoint getW() {
        return new ECPoint(this.f24503g.f().k(), this.f24503g.g().k());
    }

    public int hashCode() {
        return d().hashCode() ^ c().hashCode();
    }

    @Override // s5.f
    public org.bouncycastle2.math.ec.f o() {
        return this.f24504p == null ? this.f24503g instanceof f.b ? new f.b(null, this.f24503g.f(), this.f24503g.g()) : new f.a(null, this.f24503g.f(), this.f24503g.g()) : this.f24503g;
    }

    public String toString() {
        StringBuffer stringBuffer = new StringBuffer();
        String property = System.getProperty("line.separator");
        stringBuffer.append("EC Public Key");
        stringBuffer.append(property);
        stringBuffer.append("            X: ");
        stringBuffer.append(this.f24503g.f().k().toString(16));
        stringBuffer.append(property);
        stringBuffer.append("            Y: ");
        stringBuffer.append(this.f24503g.g().k().toString(16));
        stringBuffer.append(property);
        return stringBuffer.toString();
    }

    public v(String str, u uVar) {
        this.f24502f = str;
        this.f24503g = uVar.c();
        this.f24504p = null;
    }

    public v(String str, u uVar, ECParameterSpec eCParameterSpec) {
        this.f24502f = "EC";
        q b7 = uVar.b();
        this.f24502f = str;
        this.f24503g = uVar.c();
        if (eCParameterSpec == null) {
            this.f24504p = a(a.a(b7.a(), b7.e()), b7);
        } else {
            this.f24504p = eCParameterSpec;
        }
    }

    public v(String str, u uVar, org.bouncycastle2.jce.spec.d dVar) {
        this.f24502f = "EC";
        q b7 = uVar.b();
        this.f24502f = str;
        this.f24503g = uVar.c();
        this.f24504p = dVar == null ? a(a.a(b7.a(), b7.e()), b7) : a.e(a.a(dVar.a(), dVar.e()), dVar);
    }

    public v(String str, v vVar) {
        this.f24502f = str;
        this.f24503g = vVar.f24503g;
        this.f24504p = vVar.f24504p;
        this.f24505x = vVar.f24505x;
        this.f24506y = vVar.f24506y;
    }

    public v(String str, org.bouncycastle2.jce.spec.f fVar) {
        ECParameterSpec eCParameterSpec;
        this.f24502f = str;
        this.f24503g = fVar.b();
        if (fVar.a() != null) {
            eCParameterSpec = a.e(a.a(fVar.a().a(), fVar.a().e()), fVar.a());
        } else {
            if (this.f24503g.d() == null) {
                this.f24503g = o1.a().a().a(this.f24503g.f().k(), this.f24503g.g().k(), false);
            }
            eCParameterSpec = null;
        }
        this.f24504p = eCParameterSpec;
    }

    public v(ECPublicKey eCPublicKey) {
        this.f24502f = "EC";
        this.f24502f = eCPublicKey.getAlgorithm();
        ECParameterSpec params = eCPublicKey.getParams();
        this.f24504p = params;
        this.f24503g = a.c(params, eCPublicKey.getW(), false);
    }

    v(p0 p0Var) {
        this.f24502f = "EC";
        f(p0Var);
    }
}
