package org.bouncycastle2.jce.provider;

import java.math.BigInteger;
import java.security.InvalidAlgorithmParameterException;
import java.security.InvalidParameterException;
import java.security.KeyPair;
import java.security.KeyPairGenerator;
import java.security.SecureRandom;
import java.security.spec.AlgorithmParameterSpec;
import java.security.spec.DSAParameterSpec;
import java.security.spec.RSAKeyGenParameterSpec;
import java.util.Hashtable;
import javax.crypto.spec.DHParameterSpec;
import org.bouncycastle2.crypto.generators.g;
import org.bouncycastle2.crypto.generators.j;
import org.bouncycastle2.crypto.generators.l;
import org.bouncycastle2.crypto.generators.u;
import org.bouncycastle2.crypto.params.a0;
import org.bouncycastle2.crypto.params.c0;
import org.bouncycastle2.crypto.params.d0;
import org.bouncycastle2.crypto.params.e0;
import org.bouncycastle2.crypto.params.h;
import org.bouncycastle2.crypto.params.i;
import org.bouncycastle2.crypto.params.k;
import org.bouncycastle2.crypto.params.m;
import org.bouncycastle2.crypto.params.n;
import org.bouncycastle2.crypto.params.o;
import org.bouncycastle2.crypto.params.t0;
import org.bouncycastle2.crypto.params.u0;
import org.bouncycastle2.crypto.params.v;
import org.bouncycastle2.crypto.params.x;
import org.bouncycastle2.crypto.params.y;
import org.bouncycastle2.crypto.params.z;

public abstract class v0 extends KeyPairGenerator {

    public static class a extends v0 {

        /* renamed from: g  reason: collision with root package name */
        private static Hashtable f24507g = new Hashtable();

        /* renamed from: a  reason: collision with root package name */
        org.bouncycastle2.crypto.params.e f24508a;

        /* renamed from: b  reason: collision with root package name */
        org.bouncycastle2.crypto.generators.d f24509b = new org.bouncycastle2.crypto.generators.d();

        /* renamed from: c  reason: collision with root package name */
        int f24510c = 1024;

        /* renamed from: d  reason: collision with root package name */
        int f24511d = 20;

        /* renamed from: e  reason: collision with root package name */
        SecureRandom f24512e = new SecureRandom();

        /* renamed from: f  reason: collision with root package name */
        boolean f24513f = false;

        public a() {
            super("DH");
        }

        @Override // org.bouncycastle2.jce.provider.v0
        public KeyPair generateKeyPair() {
            if (!this.f24513f) {
                Integer num = new Integer(this.f24510c);
                if (f24507g.containsKey(num)) {
                    this.f24508a = (org.bouncycastle2.crypto.params.e) f24507g.get(num);
                } else {
                    g gVar = new g();
                    gVar.b(this.f24510c, this.f24511d, this.f24512e);
                    org.bouncycastle2.crypto.params.e eVar = new org.bouncycastle2.crypto.params.e(this.f24512e, gVar.a());
                    this.f24508a = eVar;
                    f24507g.put(num, eVar);
                }
                this.f24509b.b(this.f24508a);
                this.f24513f = true;
            }
            org.bouncycastle2.crypto.b a8 = this.f24509b.a();
            return new KeyPair(new s((i) a8.b()), new r((h) a8.a()));
        }

        @Override // org.bouncycastle2.jce.provider.v0, java.security.KeyPairGenerator, java.security.KeyPairGeneratorSpi
        public void initialize(int i7, SecureRandom secureRandom) {
            this.f24510c = i7;
            this.f24512e = secureRandom;
        }

        @Override // java.security.KeyPairGenerator, java.security.KeyPairGeneratorSpi
        public void initialize(AlgorithmParameterSpec algorithmParameterSpec, SecureRandom secureRandom) throws InvalidAlgorithmParameterException {
            if (algorithmParameterSpec instanceof DHParameterSpec) {
                DHParameterSpec dHParameterSpec = (DHParameterSpec) algorithmParameterSpec;
                org.bouncycastle2.crypto.params.e eVar = new org.bouncycastle2.crypto.params.e(secureRandom, new org.bouncycastle2.crypto.params.g(dHParameterSpec.getP(), dHParameterSpec.getG(), null, dHParameterSpec.getL()));
                this.f24508a = eVar;
                this.f24509b.b(eVar);
                this.f24513f = true;
                return;
            }
            throw new InvalidAlgorithmParameterException("parameter object not a DHParameterSpec");
        }
    }

    public static class b extends v0 {

        /* renamed from: a  reason: collision with root package name */
        k f24514a;

        /* renamed from: b  reason: collision with root package name */
        org.bouncycastle2.crypto.generators.i f24515b = new org.bouncycastle2.crypto.generators.i();

        /* renamed from: c  reason: collision with root package name */
        int f24516c = 1024;

        /* renamed from: d  reason: collision with root package name */
        int f24517d = 20;

        /* renamed from: e  reason: collision with root package name */
        SecureRandom f24518e = new SecureRandom();

        /* renamed from: f  reason: collision with root package name */
        boolean f24519f = false;

        public b() {
            super("DSA");
        }

        @Override // org.bouncycastle2.jce.provider.v0
        public KeyPair generateKeyPair() {
            if (!this.f24519f) {
                j jVar = new j();
                jVar.j(this.f24516c, this.f24517d, this.f24518e);
                k kVar = new k(this.f24518e, jVar.c());
                this.f24514a = kVar;
                this.f24515b.b(kVar);
                this.f24519f = true;
            }
            org.bouncycastle2.crypto.b a8 = this.f24515b.a();
            return new KeyPair(new m0((o) a8.b()), new l0((n) a8.a()));
        }

        @Override // org.bouncycastle2.jce.provider.v0, java.security.KeyPairGenerator, java.security.KeyPairGeneratorSpi
        public void initialize(int i7, SecureRandom secureRandom) {
            if (i7 < 512 || i7 > 1024 || i7 % 64 != 0) {
                throw new InvalidParameterException("strength must be from 512 - 1024 and a multiple of 64");
            }
            this.f24516c = i7;
            this.f24518e = secureRandom;
        }

        @Override // java.security.KeyPairGenerator, java.security.KeyPairGeneratorSpi
        public void initialize(AlgorithmParameterSpec algorithmParameterSpec, SecureRandom secureRandom) throws InvalidAlgorithmParameterException {
            if (algorithmParameterSpec instanceof DSAParameterSpec) {
                DSAParameterSpec dSAParameterSpec = (DSAParameterSpec) algorithmParameterSpec;
                k kVar = new k(secureRandom, new m(dSAParameterSpec.getP(), dSAParameterSpec.getQ(), dSAParameterSpec.getG()));
                this.f24514a = kVar;
                this.f24515b.b(kVar);
                this.f24519f = true;
                return;
            }
            throw new InvalidAlgorithmParameterException("parameter object not a DSAParameterSpec");
        }
    }

    public static class c extends v0 {

        /* renamed from: a  reason: collision with root package name */
        v f24520a;

        /* renamed from: b  reason: collision with root package name */
        l f24521b = new l();

        /* renamed from: c  reason: collision with root package name */
        int f24522c = 1024;

        /* renamed from: d  reason: collision with root package name */
        int f24523d = 20;

        /* renamed from: e  reason: collision with root package name */
        SecureRandom f24524e = new SecureRandom();

        /* renamed from: f  reason: collision with root package name */
        boolean f24525f = false;

        public c() {
            super("ElGamal");
        }

        @Override // org.bouncycastle2.jce.provider.v0
        public KeyPair generateKeyPair() {
            if (!this.f24525f) {
                org.bouncycastle2.crypto.generators.m mVar = new org.bouncycastle2.crypto.generators.m();
                mVar.b(this.f24522c, this.f24523d, this.f24524e);
                v vVar = new v(this.f24524e, mVar.a());
                this.f24520a = vVar;
                this.f24521b.b(vVar);
                this.f24525f = true;
            }
            org.bouncycastle2.crypto.b a8 = this.f24521b.a();
            return new KeyPair(new y((z) a8.b()), new x((y) a8.a()));
        }

        @Override // org.bouncycastle2.jce.provider.v0, java.security.KeyPairGenerator, java.security.KeyPairGeneratorSpi
        public void initialize(int i7, SecureRandom secureRandom) {
            this.f24522c = i7;
            this.f24524e = secureRandom;
        }

        @Override // java.security.KeyPairGenerator, java.security.KeyPairGeneratorSpi
        public void initialize(AlgorithmParameterSpec algorithmParameterSpec, SecureRandom secureRandom) throws InvalidAlgorithmParameterException {
            v vVar;
            boolean z7 = algorithmParameterSpec instanceof org.bouncycastle2.jce.spec.h;
            if (z7 || (algorithmParameterSpec instanceof DHParameterSpec)) {
                if (z7) {
                    org.bouncycastle2.jce.spec.h hVar = (org.bouncycastle2.jce.spec.h) algorithmParameterSpec;
                    vVar = new v(secureRandom, new x(hVar.b(), hVar.a()));
                } else {
                    DHParameterSpec dHParameterSpec = (DHParameterSpec) algorithmParameterSpec;
                    vVar = new v(secureRandom, new x(dHParameterSpec.getP(), dHParameterSpec.getG(), dHParameterSpec.getL()));
                }
                this.f24520a = vVar;
                this.f24521b.b(this.f24520a);
                this.f24525f = true;
                return;
            }
            throw new InvalidAlgorithmParameterException("parameter object not a DHParameterSpec or an ElGamalParameterSpec");
        }
    }

    public static class d extends v0 {

        /* renamed from: a  reason: collision with root package name */
        a0 f24526a;

        /* renamed from: b  reason: collision with root package name */
        org.bouncycastle2.crypto.generators.n f24527b = new org.bouncycastle2.crypto.generators.n();

        /* renamed from: c  reason: collision with root package name */
        org.bouncycastle2.jce.spec.l f24528c;

        /* renamed from: d  reason: collision with root package name */
        int f24529d = 1024;

        /* renamed from: e  reason: collision with root package name */
        SecureRandom f24530e = null;

        /* renamed from: f  reason: collision with root package name */
        boolean f24531f = false;

        public d() {
            super("GOST3410");
        }

        private void a(org.bouncycastle2.jce.spec.l lVar, SecureRandom secureRandom) {
            org.bouncycastle2.jce.spec.n a8 = lVar.a();
            a0 a0Var = new a0(secureRandom, new c0(a8.b(), a8.c(), a8.a()));
            this.f24526a = a0Var;
            this.f24527b.b(a0Var);
            this.f24531f = true;
            this.f24528c = lVar;
        }

        @Override // org.bouncycastle2.jce.provider.v0
        public KeyPair generateKeyPair() {
            if (!this.f24531f) {
                a(new org.bouncycastle2.jce.spec.l(org.bouncycastle2.asn1.cryptopro.a.f22333i.m()), new SecureRandom());
            }
            org.bouncycastle2.crypto.b a8 = this.f24527b.a();
            return new KeyPair(new r0((e0) a8.b(), this.f24528c), new q0((d0) a8.a(), this.f24528c));
        }

        @Override // org.bouncycastle2.jce.provider.v0, java.security.KeyPairGenerator, java.security.KeyPairGeneratorSpi
        public void initialize(int i7, SecureRandom secureRandom) {
            this.f24529d = i7;
            this.f24530e = secureRandom;
        }

        @Override // java.security.KeyPairGenerator, java.security.KeyPairGeneratorSpi
        public void initialize(AlgorithmParameterSpec algorithmParameterSpec, SecureRandom secureRandom) throws InvalidAlgorithmParameterException {
            if (algorithmParameterSpec instanceof org.bouncycastle2.jce.spec.l) {
                a((org.bouncycastle2.jce.spec.l) algorithmParameterSpec, secureRandom);
                return;
            }
            throw new InvalidAlgorithmParameterException("parameter object not a GOST3410ParameterSpec");
        }
    }

    public static class e extends v0 {

        /* renamed from: c  reason: collision with root package name */
        static final BigInteger f24532c = BigInteger.valueOf(65537);

        /* renamed from: d  reason: collision with root package name */
        static final int f24533d = 12;

        /* renamed from: a  reason: collision with root package name */
        t0 f24534a;

        /* renamed from: b  reason: collision with root package name */
        u f24535b = new u();

        public e() {
            super("RSA");
            t0 t0Var = new t0(f24532c, new SecureRandom(), 2048, 12);
            this.f24534a = t0Var;
            this.f24535b.b(t0Var);
        }

        @Override // org.bouncycastle2.jce.provider.v0
        public KeyPair generateKeyPair() {
            org.bouncycastle2.crypto.b a8 = this.f24535b.a();
            return new KeyPair(new g0((u0) a8.b()), new e0((org.bouncycastle2.crypto.params.v0) a8.a()));
        }

        @Override // org.bouncycastle2.jce.provider.v0, java.security.KeyPairGenerator, java.security.KeyPairGeneratorSpi
        public void initialize(int i7, SecureRandom secureRandom) {
            t0 t0Var = new t0(f24532c, secureRandom, i7, 12);
            this.f24534a = t0Var;
            this.f24535b.b(t0Var);
        }

        @Override // java.security.KeyPairGenerator, java.security.KeyPairGeneratorSpi
        public void initialize(AlgorithmParameterSpec algorithmParameterSpec, SecureRandom secureRandom) throws InvalidAlgorithmParameterException {
            if (algorithmParameterSpec instanceof RSAKeyGenParameterSpec) {
                RSAKeyGenParameterSpec rSAKeyGenParameterSpec = (RSAKeyGenParameterSpec) algorithmParameterSpec;
                t0 t0Var = new t0(rSAKeyGenParameterSpec.getPublicExponent(), secureRandom, rSAKeyGenParameterSpec.getKeysize(), 12);
                this.f24534a = t0Var;
                this.f24535b.b(t0Var);
                return;
            }
            throw new InvalidAlgorithmParameterException("parameter object not a RSAKeyGenParameterSpec");
        }
    }

    public v0(String str) {
        super(str);
    }

    public abstract KeyPair generateKeyPair();

    @Override // java.security.KeyPairGenerator, java.security.KeyPairGeneratorSpi
    public abstract void initialize(int i7, SecureRandom secureRandom);
}
