package org.bouncycastle2.jce.provider;

import java.io.IOException;
import java.math.BigInteger;
import java.security.cert.CRLException;
import java.security.cert.X509CRLEntry;
import java.util.Date;
import java.util.Enumeration;
import java.util.HashSet;
import java.util.Set;
import javax.security.auth.x500.X500Principal;
import org.bouncycastle2.asn1.c;
import org.bouncycastle2.asn1.e;
import org.bouncycastle2.asn1.p0;
import org.bouncycastle2.asn1.x509.a1;
import org.bouncycastle2.asn1.x509.m;
import org.bouncycastle2.asn1.x509.q0;
import org.bouncycastle2.asn1.x509.w;
import org.bouncycastle2.asn1.x509.x;
import org.bouncycastle2.asn1.x509.z0;
import x5.a;

public class v1 extends X509CRLEntry {
    private boolean C1;

    /* renamed from: f  reason: collision with root package name */
    private q0.a f24536f;

    /* renamed from: g  reason: collision with root package name */
    private boolean f24537g;

    /* renamed from: p  reason: collision with root package name */
    private X500Principal f24538p;

    /* renamed from: x  reason: collision with root package name */
    private X500Principal f24539x = c();

    /* renamed from: y  reason: collision with root package name */
    private int f24540y;

    public v1(q0.a aVar) {
        this.f24536f = aVar;
    }

    private Set a(boolean z7) {
        a1 j7 = this.f24536f.j();
        if (j7 == null) {
            return null;
        }
        HashSet hashSet = new HashSet();
        Enumeration n7 = j7.n();
        while (n7.hasMoreElements()) {
            org.bouncycastle2.asn1.a1 a1Var = (org.bouncycastle2.asn1.a1) n7.nextElement();
            if (z7 == j7.k(a1Var).c()) {
                hashSet.add(a1Var.m());
            }
        }
        return hashSet;
    }

    private X500Principal c() {
        if (!this.f24537g) {
            return null;
        }
        byte[] extensionValue = getExtensionValue(a1.f22745e6.m());
        if (extensionValue == null) {
            return this.f24538p;
        }
        try {
            w[] l7 = x.j(a.a(extensionValue)).l();
            for (int i7 = 0; i7 < l7.length; i7++) {
                if (l7[i7].e() == 4) {
                    return new X500Principal(l7[i7].m().d().f());
                }
            }
            return null;
        } catch (IOException unused) {
            return null;
        }
    }

    public X500Principal getCertificateIssuer() {
        return this.f24539x;
    }

    @Override // java.security.cert.X509Extension
    public Set getCriticalExtensionOIDs() {
        return a(true);
    }

    @Override // java.security.cert.X509CRLEntry
    public byte[] getEncoded() throws CRLException {
        try {
            return this.f24536f.h(c.f22322f);
        } catch (IOException e7) {
            throw new CRLException(e7.toString());
        }
    }

    public byte[] getExtensionValue(String str) {
        z0 k7;
        a1 j7 = this.f24536f.j();
        if (j7 == null || (k7 = j7.k(new org.bouncycastle2.asn1.a1(str))) == null) {
            return null;
        }
        try {
            return k7.b().g();
        } catch (Exception e7) {
            throw new RuntimeException("error encoding " + e7.toString());
        }
    }

    @Override // java.security.cert.X509Extension
    public Set getNonCriticalExtensionOIDs() {
        return a(false);
    }

    public Date getRevocationDate() {
        return this.f24536f.k().j();
    }

    public BigInteger getSerialNumber() {
        return this.f24536f.l().p();
    }

    public boolean hasExtensions() {
        return this.f24536f.j() != null;
    }

    public boolean hasUnsupportedCriticalExtension() {
        Set criticalExtensionOIDs = getCriticalExtensionOIDs();
        return criticalExtensionOIDs != null && !criticalExtensionOIDs.isEmpty();
    }

    public int hashCode() {
        if (!this.C1) {
            this.f24540y = super.hashCode();
            this.C1 = true;
        }
        return this.f24540y;
    }

    public String toString() {
        Object xVar;
        StringBuffer stringBuffer = new StringBuffer();
        String property = System.getProperty("line.separator");
        stringBuffer.append("      userCertificate: ");
        stringBuffer.append(getSerialNumber());
        stringBuffer.append(property);
        stringBuffer.append("       revocationDate: ");
        stringBuffer.append(getRevocationDate());
        stringBuffer.append(property);
        stringBuffer.append("       certificateIssuer: ");
        stringBuffer.append(getCertificateIssuer());
        stringBuffer.append(property);
        a1 j7 = this.f24536f.j();
        if (j7 != null) {
            Enumeration n7 = j7.n();
            if (n7.hasMoreElements()) {
                String str = "   crlEntryExtensions:";
                loop0:
                while (true) {
                    stringBuffer.append(str);
                    while (true) {
                        stringBuffer.append(property);
                        while (true) {
                            if (!n7.hasMoreElements()) {
                                break loop0;
                            }
                            org.bouncycastle2.asn1.a1 a1Var = (org.bouncycastle2.asn1.a1) n7.nextElement();
                            z0 k7 = j7.k(a1Var);
                            if (k7.b() != null) {
                                e eVar = new e(k7.b().o());
                                stringBuffer.append("                       critical(");
                                stringBuffer.append(k7.c());
                                stringBuffer.append(") ");
                                try {
                                    if (a1Var.equals(a1.Z5)) {
                                        xVar = new m(p0.m(eVar.h()));
                                    } else if (a1Var.equals(a1.f22745e6)) {
                                        stringBuffer.append("Certificate issuer: ");
                                        xVar = new x((org.bouncycastle2.asn1.m) eVar.h());
                                    } else {
                                        stringBuffer.append(a1Var.m());
                                        stringBuffer.append(" value = ");
                                        stringBuffer.append(org.bouncycastle2.asn1.util.a.c(eVar.h()));
                                        stringBuffer.append(property);
                                    }
                                    stringBuffer.append(xVar);
                                    stringBuffer.append(property);
                                } catch (Exception unused) {
                                    stringBuffer.append(a1Var.m());
                                    stringBuffer.append(" value = ");
                                    str = "*****";
                                }
                            }
                        }
                    }
                }
            }
        }
        return stringBuffer.toString();
    }

    public v1(q0.a aVar, boolean z7, X500Principal x500Principal) {
        this.f24536f = aVar;
        this.f24537g = z7;
        this.f24538p = x500Principal;
    }
}
