package org.bouncycastle2.jce.provider;

import java.math.BigInteger;
import java.security.AlgorithmParameters;
import java.security.InvalidAlgorithmParameterException;
import java.security.InvalidKeyException;
import java.security.InvalidParameterException;
import java.security.Key;
import java.security.NoSuchAlgorithmException;
import java.security.PrivateKey;
import java.security.PublicKey;
import java.security.SecureRandom;
import java.security.spec.AlgorithmParameterSpec;
import java.security.spec.MGF1ParameterSpec;
import javax.crypto.BadPaddingException;
import javax.crypto.IllegalBlockSizeException;
import javax.crypto.NoSuchPaddingException;
import javax.crypto.interfaces.DHKey;
import javax.crypto.spec.OAEPParameterSpec;
import javax.crypto.spec.PSource;
import org.bouncycastle2.crypto.encodings.c;
import org.bouncycastle2.crypto.engines.l;
import org.bouncycastle2.crypto.f;
import org.bouncycastle2.crypto.o;
import org.bouncycastle2.crypto.params.o0;
import org.bouncycastle2.crypto.q;
import s5.g;
import s5.i;
import v5.h;

public class w extends t1 {

    /* renamed from: t  reason: collision with root package name */
    private f f24541t;

    /* renamed from: u  reason: collision with root package name */
    private AlgorithmParameterSpec f24542u;

    /* renamed from: v  reason: collision with root package name */
    private AlgorithmParameters f24543v;

    public static class a extends w {
        public a() {
            super(new l());
        }
    }

    public static class b extends w {
        public b() {
            super(new c(new l()));
        }
    }

    public w(org.bouncycastle2.crypto.a aVar) {
        this.f24541t = new f(aVar);
    }

    private void a(OAEPParameterSpec oAEPParameterSpec) throws NoSuchPaddingException {
        MGF1ParameterSpec mGF1ParameterSpec = (MGF1ParameterSpec) oAEPParameterSpec.getMGFParameters();
        o a8 = t.a(mGF1ParameterSpec.getDigestAlgorithm());
        if (a8 != null) {
            this.f24541t = new f(new org.bouncycastle2.crypto.encodings.b(new l(), a8, ((PSource.PSpecified) oAEPParameterSpec.getPSource()).getValue()));
            this.f24542u = oAEPParameterSpec;
            return;
        }
        throw new NoSuchPaddingException("no match on OAEP constructor for digest algorithm: " + mGF1ParameterSpec.getDigestAlgorithm());
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.CipherSpi, org.bouncycastle2.jce.provider.t1
    public int engineDoFinal(byte[] bArr, int i7, int i8, byte[] bArr2, int i9) throws IllegalBlockSizeException, BadPaddingException {
        this.f24541t.h(bArr, i7, i8);
        try {
            byte[] a8 = this.f24541t.a();
            for (int i10 = 0; i10 != a8.length; i10++) {
                bArr2[i9 + i10] = a8[i10];
            }
            return a8.length;
        } catch (q e7) {
            throw new BadPaddingException(e7.getMessage());
        }
    }

    /* access modifiers changed from: protected */
    @Override // org.bouncycastle2.jce.provider.t1
    public int engineGetBlockSize() {
        return this.f24541t.c();
    }

    /* access modifiers changed from: protected */
    @Override // org.bouncycastle2.jce.provider.t1
    public byte[] engineGetIV() {
        return null;
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.CipherSpi, org.bouncycastle2.jce.provider.t1
    public int engineGetKeySize(Key key) {
        BigInteger p7;
        if (key instanceof g) {
            p7 = ((g) key).getParameters().b();
        } else if (key instanceof DHKey) {
            p7 = ((DHKey) key).getParams().getP();
        } else {
            throw new IllegalArgumentException("not an ElGamal key!");
        }
        return p7.bitLength();
    }

    /* access modifiers changed from: protected */
    @Override // org.bouncycastle2.jce.provider.t1
    public int engineGetOutputSize(int i7) {
        return this.f24541t.d();
    }

    /* access modifiers changed from: protected */
    @Override // org.bouncycastle2.jce.provider.t1
    public AlgorithmParameters engineGetParameters() {
        if (this.f24543v == null && this.f24542u != null) {
            try {
                AlgorithmParameters instance = AlgorithmParameters.getInstance("OAEP", "BC2");
                this.f24543v = instance;
                instance.init(this.f24542u);
            } catch (Exception e7) {
                throw new RuntimeException(e7.toString());
            }
        }
        return this.f24543v;
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.CipherSpi, org.bouncycastle2.jce.provider.t1
    public void engineInit(int i7, Key key, AlgorithmParameters algorithmParameters, SecureRandom secureRandom) throws InvalidKeyException, InvalidAlgorithmParameterException {
        throw new InvalidAlgorithmParameterException("can't handle parameters in ElGamal");
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.CipherSpi, org.bouncycastle2.jce.provider.t1
    public void engineSetMode(String str) throws NoSuchAlgorithmException {
        String g7 = h.g(str);
        if (!g7.equals("NONE") && !g7.equals("ECB")) {
            throw new NoSuchAlgorithmException("can't support mode " + str);
        }
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.CipherSpi, org.bouncycastle2.jce.provider.t1
    public void engineSetPadding(String str) throws NoSuchPaddingException {
        OAEPParameterSpec oAEPParameterSpec;
        f fVar;
        String g7 = h.g(str);
        if (g7.equals("NOPADDING")) {
            fVar = new f(new l());
        } else if (g7.equals("PKCS1PADDING")) {
            fVar = new f(new c(new l()));
        } else if (g7.equals("ISO9796-1PADDING")) {
            fVar = new f(new org.bouncycastle2.crypto.encodings.a(new l()));
        } else {
            if (!g7.equals("OAEPPADDING")) {
                if (g7.equals("OAEPWITHMD5ANDMGF1PADDING")) {
                    oAEPParameterSpec = new OAEPParameterSpec("MD5", "MGF1", new MGF1ParameterSpec("MD5"), PSource.PSpecified.DEFAULT);
                } else if (!g7.equals("OAEPWITHSHA1ANDMGF1PADDING")) {
                    if (g7.equals("OAEPWITHSHA224ANDMGF1PADDING")) {
                        oAEPParameterSpec = new OAEPParameterSpec("SHA-224", "MGF1", new MGF1ParameterSpec("SHA-224"), PSource.PSpecified.DEFAULT);
                    } else if (g7.equals("OAEPWITHSHA256ANDMGF1PADDING")) {
                        oAEPParameterSpec = new OAEPParameterSpec("SHA-256", "MGF1", MGF1ParameterSpec.SHA256, PSource.PSpecified.DEFAULT);
                    } else if (g7.equals("OAEPWITHSHA384ANDMGF1PADDING")) {
                        oAEPParameterSpec = new OAEPParameterSpec("SHA-384", "MGF1", MGF1ParameterSpec.SHA384, PSource.PSpecified.DEFAULT);
                    } else if (g7.equals("OAEPWITHSHA512ANDMGF1PADDING")) {
                        oAEPParameterSpec = new OAEPParameterSpec("SHA-512", "MGF1", MGF1ParameterSpec.SHA512, PSource.PSpecified.DEFAULT);
                    } else {
                        throw new NoSuchPaddingException(String.valueOf(str) + " unavailable with ElGamal.");
                    }
                }
                a(oAEPParameterSpec);
                return;
            }
            oAEPParameterSpec = OAEPParameterSpec.DEFAULT;
            a(oAEPParameterSpec);
            return;
        }
        this.f24541t = fVar;
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.CipherSpi, org.bouncycastle2.jce.provider.t1
    public int engineUpdate(byte[] bArr, int i7, int i8, byte[] bArr2, int i9) {
        this.f24541t.h(bArr, i7, i8);
        return 0;
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.CipherSpi, org.bouncycastle2.jce.provider.t1
    public byte[] engineDoFinal(byte[] bArr, int i7, int i8) throws IllegalBlockSizeException, BadPaddingException {
        this.f24541t.h(bArr, i7, i8);
        try {
            return this.f24541t.a();
        } catch (q e7) {
            throw new BadPaddingException(e7.getMessage());
        }
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.CipherSpi, org.bouncycastle2.jce.provider.t1
    public void engineInit(int i7, Key key, SecureRandom secureRandom) throws InvalidKeyException {
        engineInit(i7, key, (AlgorithmParameterSpec) null, secureRandom);
    }

    /* access modifiers changed from: protected */
    @Override // org.bouncycastle2.jce.provider.t1
    public byte[] engineUpdate(byte[] bArr, int i7, int i8) {
        this.f24541t.h(bArr, i7, i8);
        return null;
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.CipherSpi, org.bouncycastle2.jce.provider.t1
    public void engineInit(int i7, Key key, AlgorithmParameterSpec algorithmParameterSpec, SecureRandom secureRandom) throws InvalidKeyException {
        o0 o0Var;
        if (algorithmParameterSpec == null) {
            if (key instanceof i) {
                o0Var = m.b((PublicKey) key);
            } else if (key instanceof s5.h) {
                o0Var = m.a((PrivateKey) key);
            } else {
                throw new InvalidKeyException("unknown key type passed to ElGamal");
            }
            if (secureRandom != null) {
                o0Var = new o0(o0Var, secureRandom);
            }
            if (i7 != 1) {
                if (i7 != 2) {
                    if (i7 != 3) {
                        if (i7 != 4) {
                            throw new InvalidParameterException("unknown opmode " + i7 + " passed to ElGamal");
                        }
                    }
                }
                this.f24541t.f(false, o0Var);
                return;
            }
            this.f24541t.f(true, o0Var);
            return;
        }
        throw new IllegalArgumentException("unknown parameter type.");
    }
}
