package org.bouncycastle2.jce.provider;

import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.security.Key;
import java.security.KeyFactory;
import java.security.KeyStoreException;
import java.security.KeyStoreSpi;
import java.security.NoSuchAlgorithmException;
import java.security.NoSuchProviderException;
import java.security.PrivateKey;
import java.security.PublicKey;
import java.security.SecureRandom;
import java.security.UnrecoverableKeyException;
import java.security.cert.Certificate;
import java.security.cert.CertificateEncodingException;
import java.security.cert.CertificateException;
import java.security.cert.CertificateFactory;
import java.security.spec.KeySpec;
import java.security.spec.PKCS8EncodedKeySpec;
import java.security.spec.X509EncodedKeySpec;
import java.util.Date;
import java.util.Enumeration;
import java.util.Hashtable;
import javax.crypto.Cipher;
import javax.crypto.CipherInputStream;
import javax.crypto.CipherOutputStream;
import javax.crypto.SecretKeyFactory;
import javax.crypto.spec.PBEKeySpec;
import javax.crypto.spec.PBEParameterSpec;
import javax.crypto.spec.SecretKeySpec;
import org.bouncycastle2.crypto.digests.k;
import org.bouncycastle2.crypto.generators.r;
import org.bouncycastle2.crypto.i;
import org.bouncycastle2.crypto.io.c;
import org.bouncycastle2.crypto.io.d;
import org.bouncycastle2.crypto.macs.e;
import org.bouncycastle2.crypto.o;
import org.bouncycastle2.crypto.u;

public class w0 extends KeyStoreSpi implements s5.a {
    private static final int C1 = 20;
    private static final int C2 = 1024;
    private static final String U5 = "PBEWithSHAAnd3-KeyTripleDES-CBC";
    static final int V5 = 0;
    static final int W5 = 1;
    static final int X5 = 2;
    static final int Y5 = 3;
    static final int Z5 = 4;

    /* renamed from: a6  reason: collision with root package name */
    static final int f24544a6 = 0;

    /* renamed from: b6  reason: collision with root package name */
    static final int f24545b6 = 1;

    /* renamed from: c6  reason: collision with root package name */
    static final int f24546c6 = 2;

    /* renamed from: p  reason: collision with root package name */
    private static final int f24547p = 1;

    /* renamed from: x  reason: collision with root package name */
    private static final int f24548x = 20;

    /* renamed from: y  reason: collision with root package name */
    private static final String f24549y = "PBEWithSHAAndTwofish-CBC";

    /* renamed from: f  reason: collision with root package name */
    protected Hashtable f24550f = new Hashtable();

    /* renamed from: g  reason: collision with root package name */
    protected SecureRandom f24551g = new SecureRandom();

    public static class a extends w0 {
        @Override // org.bouncycastle2.jce.provider.w0, java.security.KeyStoreSpi
        public void engineLoad(InputStream inputStream, char[] cArr) throws IOException {
            this.f24550f.clear();
            if (inputStream != null) {
                DataInputStream dataInputStream = new DataInputStream(inputStream);
                int readInt = dataInputStream.readInt();
                if (readInt == 1 || readInt == 0) {
                    int readInt2 = dataInputStream.readInt();
                    byte[] bArr = new byte[readInt2];
                    if (readInt2 == 20) {
                        dataInputStream.readFully(bArr);
                        int readInt3 = dataInputStream.readInt();
                        if (readInt3 < 0 || readInt3 > 4096) {
                            throw new IOException("Key store corrupted.");
                        }
                        CipherInputStream cipherInputStream = new CipherInputStream(dataInputStream, i(readInt == 0 ? "OldPBEWithSHAAndTwofish-CBC" : w0.f24549y, 2, cArr, bArr, readInt3));
                        k kVar = new k();
                        h(new org.bouncycastle2.crypto.io.a(cipherInputStream, kVar));
                        byte[] bArr2 = new byte[kVar.f()];
                        kVar.c(bArr2, 0);
                        byte[] bArr3 = new byte[kVar.f()];
                        w5.b.f(cipherInputStream, bArr3);
                        if (!v5.a.f(bArr2, bArr3)) {
                            this.f24550f.clear();
                            throw new IOException("KeyStore integrity check failed.");
                        }
                        return;
                    }
                    throw new IOException("Key store corrupted.");
                }
                throw new IOException("Wrong version of key store.");
            }
        }

        @Override // org.bouncycastle2.jce.provider.w0, java.security.KeyStoreSpi
        public void engineStore(OutputStream outputStream, char[] cArr) throws IOException {
            DataOutputStream dataOutputStream = new DataOutputStream(outputStream);
            byte[] bArr = new byte[20];
            int nextInt = (this.f24551g.nextInt() & 1023) + 1024;
            this.f24551g.nextBytes(bArr);
            dataOutputStream.writeInt(1);
            dataOutputStream.writeInt(20);
            dataOutputStream.write(bArr);
            dataOutputStream.writeInt(nextInt);
            CipherOutputStream cipherOutputStream = new CipherOutputStream(dataOutputStream, i(w0.f24549y, 1, cArr, bArr, nextInt));
            org.bouncycastle2.crypto.io.b bVar = new org.bouncycastle2.crypto.io.b(cipherOutputStream, new k());
            j(bVar);
            o a8 = bVar.a();
            byte[] bArr2 = new byte[a8.f()];
            a8.c(bArr2, 0);
            cipherOutputStream.write(bArr2);
            cipherOutputStream.close();
        }
    }

    /* access modifiers changed from: private */
    public class b {

        /* renamed from: a  reason: collision with root package name */
        int f24552a;

        /* renamed from: b  reason: collision with root package name */
        String f24553b;

        /* renamed from: c  reason: collision with root package name */
        Object f24554c;

        /* renamed from: d  reason: collision with root package name */
        Certificate[] f24555d;

        /* renamed from: e  reason: collision with root package name */
        Date f24556e;

        b(String str, Key key, char[] cArr, Certificate[] certificateArr) throws Exception {
            this.f24556e = new Date();
            this.f24552a = 4;
            this.f24553b = str;
            this.f24555d = certificateArr;
            byte[] bArr = new byte[20];
            w0.this.f24551g.setSeed(System.currentTimeMillis());
            w0.this.f24551g.nextBytes(bArr);
            int nextInt = (w0.this.f24551g.nextInt() & 1023) + 1024;
            ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
            DataOutputStream dataOutputStream = new DataOutputStream(byteArrayOutputStream);
            dataOutputStream.writeInt(20);
            dataOutputStream.write(bArr);
            dataOutputStream.writeInt(nextInt);
            DataOutputStream dataOutputStream2 = new DataOutputStream(new CipherOutputStream(dataOutputStream, w0.this.i(w0.U5, 1, cArr, bArr, nextInt)));
            w0.this.g(key, dataOutputStream2);
            dataOutputStream2.close();
            this.f24554c = byteArrayOutputStream.toByteArray();
        }

        /* access modifiers changed from: package-private */
        public String a() {
            return this.f24553b;
        }

        /* access modifiers changed from: package-private */
        public Certificate[] b() {
            return this.f24555d;
        }

        /* access modifiers changed from: package-private */
        public Date c() {
            return this.f24556e;
        }

        /* access modifiers changed from: package-private */
        public Object d() {
            return this.f24554c;
        }

        /* access modifiers changed from: package-private */
        public Object e(char[] cArr) throws NoSuchAlgorithmException, UnrecoverableKeyException {
            Key e7;
            if (cArr == null || cArr.length == 0) {
                Object obj = this.f24554c;
                if (obj instanceof Key) {
                    return obj;
                }
            }
            if (this.f24552a == 4) {
                DataInputStream dataInputStream = new DataInputStream(new ByteArrayInputStream((byte[]) this.f24554c));
                try {
                    byte[] bArr = new byte[dataInputStream.readInt()];
                    dataInputStream.readFully(bArr);
                    try {
                        return w0.this.e(new DataInputStream(new CipherInputStream(dataInputStream, w0.this.i(w0.U5, 2, cArr, bArr, dataInputStream.readInt()))));
                    } catch (Exception unused) {
                        DataInputStream dataInputStream2 = new DataInputStream(new ByteArrayInputStream((byte[]) this.f24554c));
                        byte[] bArr2 = new byte[dataInputStream2.readInt()];
                        dataInputStream2.readFully(bArr2);
                        int readInt = dataInputStream2.readInt();
                        try {
                            e7 = w0.this.e(new DataInputStream(new CipherInputStream(dataInputStream2, w0.this.i("BrokenPBEWithSHAAnd3-KeyTripleDES-CBC", 2, cArr, bArr2, readInt))));
                        } catch (Exception unused2) {
                            DataInputStream dataInputStream3 = new DataInputStream(new ByteArrayInputStream((byte[]) this.f24554c));
                            bArr2 = new byte[dataInputStream3.readInt()];
                            dataInputStream3.readFully(bArr2);
                            readInt = dataInputStream3.readInt();
                            e7 = w0.this.e(new DataInputStream(new CipherInputStream(dataInputStream3, w0.this.i("OldPBEWithSHAAnd3-KeyTripleDES-CBC", 2, cArr, bArr2, readInt))));
                        }
                        if (e7 != null) {
                            ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
                            DataOutputStream dataOutputStream = new DataOutputStream(byteArrayOutputStream);
                            dataOutputStream.writeInt(bArr2.length);
                            dataOutputStream.write(bArr2);
                            dataOutputStream.writeInt(readInt);
                            DataOutputStream dataOutputStream2 = new DataOutputStream(new CipherOutputStream(dataOutputStream, w0.this.i(w0.U5, 1, cArr, bArr2, readInt)));
                            w0.this.g(e7, dataOutputStream2);
                            dataOutputStream2.close();
                            this.f24554c = byteArrayOutputStream.toByteArray();
                            return e7;
                        }
                        throw new UnrecoverableKeyException("no match");
                    }
                } catch (Exception unused3) {
                    throw new UnrecoverableKeyException("no match");
                }
            } else {
                throw new RuntimeException("forget something!");
            }
        }

        /* access modifiers changed from: package-private */
        public int f() {
            return this.f24552a;
        }

        b(String str, Certificate certificate) {
            this.f24556e = new Date();
            this.f24552a = 1;
            this.f24553b = str;
            this.f24554c = certificate;
            this.f24555d = null;
        }

        b(String str, Date date, int i7, Object obj) {
            new Date();
            this.f24553b = str;
            this.f24556e = date;
            this.f24552a = i7;
            this.f24554c = obj;
        }

        b(String str, Date date, int i7, Object obj, Certificate[] certificateArr) {
            new Date();
            this.f24553b = str;
            this.f24556e = date;
            this.f24552a = i7;
            this.f24554c = obj;
            this.f24555d = certificateArr;
        }

        b(String str, byte[] bArr, Certificate[] certificateArr) {
            this.f24556e = new Date();
            this.f24552a = 3;
            this.f24553b = str;
            this.f24554c = bArr;
            this.f24555d = certificateArr;
        }
    }

    private Certificate d(DataInputStream dataInputStream) throws IOException {
        String readUTF = dataInputStream.readUTF();
        byte[] bArr = new byte[dataInputStream.readInt()];
        dataInputStream.readFully(bArr);
        try {
            return CertificateFactory.getInstance(readUTF, "BC2").generateCertificate(new ByteArrayInputStream(bArr));
        } catch (NoSuchProviderException e7) {
            throw new IOException(e7.toString());
        } catch (CertificateException e8) {
            throw new IOException(e8.toString());
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private Key e(DataInputStream dataInputStream) throws IOException {
        KeySpec keySpec;
        int read = dataInputStream.read();
        String readUTF = dataInputStream.readUTF();
        String readUTF2 = dataInputStream.readUTF();
        byte[] bArr = new byte[dataInputStream.readInt()];
        dataInputStream.readFully(bArr);
        if (readUTF.equals("PKCS#8") || readUTF.equals("PKCS8")) {
            keySpec = new PKCS8EncodedKeySpec(bArr);
        } else if (readUTF.equals("X.509") || readUTF.equals("X509")) {
            keySpec = new X509EncodedKeySpec(bArr);
        } else if (readUTF.equals("RAW")) {
            return new SecretKeySpec(bArr, readUTF2);
        } else {
            throw new IOException("Key format " + readUTF + " not recognised!");
        }
        if (read == 0) {
            return KeyFactory.getInstance(readUTF2, "BC2").generatePrivate(keySpec);
        }
        if (read == 1) {
            return KeyFactory.getInstance(readUTF2, "BC2").generatePublic(keySpec);
        }
        if (read == 2) {
            try {
                return SecretKeyFactory.getInstance(readUTF2, "BC2").generateSecret(keySpec);
            } catch (Exception e7) {
                throw new IOException("Exception creating key: " + e7.toString());
            }
        } else {
            throw new IOException("Key type " + read + " not recognised!");
        }
    }

    private void f(Certificate certificate, DataOutputStream dataOutputStream) throws IOException {
        try {
            byte[] encoded = certificate.getEncoded();
            dataOutputStream.writeUTF(certificate.getType());
            dataOutputStream.writeInt(encoded.length);
            dataOutputStream.write(encoded);
        } catch (CertificateEncodingException e7) {
            throw new IOException(e7.toString());
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void g(Key key, DataOutputStream dataOutputStream) throws IOException {
        byte[] encoded = key.getEncoded();
        dataOutputStream.write(key instanceof PrivateKey ? 0 : key instanceof PublicKey ? 1 : 2);
        dataOutputStream.writeUTF(key.getFormat());
        dataOutputStream.writeUTF(key.getAlgorithm());
        dataOutputStream.writeInt(encoded.length);
        dataOutputStream.write(encoded);
    }

    @Override // s5.a
    public void a(SecureRandom secureRandom) {
        this.f24551g = secureRandom;
    }

    @Override // java.security.KeyStoreSpi
    public Enumeration engineAliases() {
        return this.f24550f.keys();
    }

    public boolean engineContainsAlias(String str) {
        return this.f24550f.get(str) != null;
    }

    @Override // java.security.KeyStoreSpi
    public void engineDeleteEntry(String str) throws KeyStoreException {
        if (this.f24550f.get(str) != null) {
            this.f24550f.remove(str);
            return;
        }
        throw new KeyStoreException("no such entry as " + str);
    }

    public Certificate engineGetCertificate(String str) {
        b bVar = (b) this.f24550f.get(str);
        if (bVar == null) {
            return null;
        }
        if (bVar.f() == 1) {
            return (Certificate) bVar.d();
        }
        Certificate[] b7 = bVar.b();
        if (b7 != null) {
            return b7[0];
        }
        return null;
    }

    public String engineGetCertificateAlias(Certificate certificate) {
        Enumeration elements = this.f24550f.elements();
        while (elements.hasMoreElements()) {
            b bVar = (b) elements.nextElement();
            if (!(bVar.d() instanceof Certificate)) {
                Certificate[] b7 = bVar.b();
                if (b7 != null && b7[0].equals(certificate)) {
                    return bVar.a();
                }
            } else if (((Certificate) bVar.d()).equals(certificate)) {
                return bVar.a();
            }
        }
        return null;
    }

    public Certificate[] engineGetCertificateChain(String str) {
        b bVar = (b) this.f24550f.get(str);
        if (bVar != null) {
            return bVar.b();
        }
        return null;
    }

    public Date engineGetCreationDate(String str) {
        b bVar = (b) this.f24550f.get(str);
        if (bVar != null) {
            return bVar.c();
        }
        return null;
    }

    @Override // java.security.KeyStoreSpi
    public Key engineGetKey(String str, char[] cArr) throws NoSuchAlgorithmException, UnrecoverableKeyException {
        b bVar = (b) this.f24550f.get(str);
        if (bVar == null || bVar.f() == 1) {
            return null;
        }
        return (Key) bVar.e(cArr);
    }

    public boolean engineIsCertificateEntry(String str) {
        b bVar = (b) this.f24550f.get(str);
        return bVar != null && bVar.f() == 1;
    }

    public boolean engineIsKeyEntry(String str) {
        b bVar = (b) this.f24550f.get(str);
        return (bVar == null || bVar.f() == 1) ? false : true;
    }

    @Override // java.security.KeyStoreSpi
    public void engineLoad(InputStream inputStream, char[] cArr) throws IOException {
        this.f24550f.clear();
        if (inputStream != null) {
            DataInputStream dataInputStream = new DataInputStream(inputStream);
            int readInt = dataInputStream.readInt();
            if (readInt == 1 || readInt == 0) {
                byte[] bArr = new byte[dataInputStream.readInt()];
                dataInputStream.readFully(bArr);
                int readInt2 = dataInputStream.readInt();
                e eVar = new e(new k());
                if (cArr == null || cArr.length == 0) {
                    h(dataInputStream);
                    dataInputStream.readFully(new byte[eVar.f()]);
                    return;
                }
                byte[] a8 = u.a(cArr);
                r rVar = new r(new k());
                rVar.j(a8, bArr, readInt2);
                i d7 = rVar.d(eVar.f());
                v5.a.g(a8, (byte) 0);
                eVar.a(d7);
                h(new c(dataInputStream, eVar));
                byte[] bArr2 = new byte[eVar.f()];
                eVar.c(bArr2, 0);
                byte[] bArr3 = new byte[eVar.f()];
                dataInputStream.readFully(bArr3);
                if (!v5.a.f(bArr2, bArr3)) {
                    this.f24550f.clear();
                    throw new IOException("KeyStore integrity check failed.");
                }
                return;
            }
            throw new IOException("Wrong version of key store.");
        }
    }

    @Override // java.security.KeyStoreSpi
    public void engineSetCertificateEntry(String str, Certificate certificate) throws KeyStoreException {
        b bVar = (b) this.f24550f.get(str);
        if (bVar == null || bVar.f() == 1) {
            this.f24550f.put(str, new b(str, certificate));
            return;
        }
        throw new KeyStoreException("key store already has a key entry with alias " + str);
    }

    @Override // java.security.KeyStoreSpi
    public void engineSetKeyEntry(String str, Key key, char[] cArr, Certificate[] certificateArr) throws KeyStoreException {
        if (!(key instanceof PrivateKey) || certificateArr != null) {
            try {
                this.f24550f.put(str, new b(str, key, cArr, certificateArr));
            } catch (Exception e7) {
                throw new KeyStoreException(e7.toString());
            }
        } else {
            throw new KeyStoreException("no certificate chain for private key");
        }
    }

    public int engineSize() {
        return this.f24550f.size();
    }

    @Override // java.security.KeyStoreSpi
    public void engineStore(OutputStream outputStream, char[] cArr) throws IOException {
        DataOutputStream dataOutputStream = new DataOutputStream(outputStream);
        byte[] bArr = new byte[20];
        int nextInt = (this.f24551g.nextInt() & 1023) + 1024;
        this.f24551g.nextBytes(bArr);
        dataOutputStream.writeInt(1);
        dataOutputStream.writeInt(20);
        dataOutputStream.write(bArr);
        dataOutputStream.writeInt(nextInt);
        e eVar = new e(new k());
        d dVar = new d(dataOutputStream, eVar);
        r rVar = new r(new k());
        byte[] a8 = u.a(cArr);
        rVar.j(a8, bArr, nextInt);
        eVar.a(rVar.d(eVar.f()));
        for (int i7 = 0; i7 != a8.length; i7++) {
            a8[i7] = 0;
        }
        j(dVar);
        byte[] bArr2 = new byte[eVar.f()];
        eVar.c(bArr2, 0);
        dataOutputStream.write(bArr2);
        dataOutputStream.close();
    }

    /* access modifiers changed from: protected */
    public void h(InputStream inputStream) throws IOException {
        Certificate[] certificateArr;
        b bVar;
        Hashtable hashtable;
        DataInputStream dataInputStream = new DataInputStream(inputStream);
        for (int read = dataInputStream.read(); read > 0; read = dataInputStream.read()) {
            String readUTF = dataInputStream.readUTF();
            Date date = new Date(dataInputStream.readLong());
            int readInt = dataInputStream.readInt();
            if (readInt != 0) {
                Certificate[] certificateArr2 = new Certificate[readInt];
                for (int i7 = 0; i7 != readInt; i7++) {
                    certificateArr2[i7] = d(dataInputStream);
                }
                certificateArr = certificateArr2;
            } else {
                certificateArr = null;
            }
            if (read == 1) {
                Certificate d7 = d(dataInputStream);
                hashtable = this.f24550f;
                bVar = new b(readUTF, date, 1, d7);
            } else if (read == 2) {
                Key e7 = e(dataInputStream);
                hashtable = this.f24550f;
                bVar = new b(readUTF, date, 2, e7, certificateArr);
            } else if (read == 3 || read == 4) {
                byte[] bArr = new byte[dataInputStream.readInt()];
                dataInputStream.readFully(bArr);
                this.f24550f.put(readUTF, new b(readUTF, date, read, bArr, certificateArr));
            } else {
                throw new RuntimeException("Unknown object type in store.");
            }
            hashtable.put(readUTF, bVar);
        }
    }

    /* access modifiers changed from: protected */
    public Cipher i(String str, int i7, char[] cArr, byte[] bArr, int i8) throws IOException {
        try {
            PBEKeySpec pBEKeySpec = new PBEKeySpec(cArr);
            SecretKeyFactory instance = SecretKeyFactory.getInstance(str, "BC2");
            PBEParameterSpec pBEParameterSpec = new PBEParameterSpec(bArr, i8);
            Cipher instance2 = Cipher.getInstance(str, "BC2");
            instance2.init(i7, instance.generateSecret(pBEKeySpec), pBEParameterSpec);
            return instance2;
        } catch (Exception e7) {
            throw new IOException("Error initialising store of key store: " + e7);
        }
    }

    /* access modifiers changed from: protected */
    public void j(OutputStream outputStream) throws IOException {
        Enumeration elements = this.f24550f.elements();
        DataOutputStream dataOutputStream = new DataOutputStream(outputStream);
        while (true) {
            if (!elements.hasMoreElements()) {
                dataOutputStream.write(0);
                return;
            }
            b bVar = (b) elements.nextElement();
            dataOutputStream.write(bVar.f());
            dataOutputStream.writeUTF(bVar.a());
            dataOutputStream.writeLong(bVar.c().getTime());
            Certificate[] b7 = bVar.b();
            if (b7 == null) {
                dataOutputStream.writeInt(0);
            } else {
                dataOutputStream.writeInt(b7.length);
                for (int i7 = 0; i7 != b7.length; i7++) {
                    f(b7[i7], dataOutputStream);
                }
            }
            int f7 = bVar.f();
            if (f7 == 1) {
                f((Certificate) bVar.d(), dataOutputStream);
            } else if (f7 == 2) {
                g((Key) bVar.d(), dataOutputStream);
            } else if (f7 == 3 || f7 == 4) {
                byte[] bArr = (byte[]) bVar.d();
                dataOutputStream.writeInt(bArr.length);
                dataOutputStream.write(bArr);
            } else {
                throw new RuntimeException("Unknown object type in store.");
            }
        }
    }

    @Override // java.security.KeyStoreSpi
    public void engineSetKeyEntry(String str, byte[] bArr, Certificate[] certificateArr) throws KeyStoreException {
        this.f24550f.put(str, new b(str, bArr, certificateArr));
    }
}
