package org.bouncycastle2.jce.provider;

import java.io.BufferedInputStream;
import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.security.Key;
import java.security.KeyStoreException;
import java.security.KeyStoreSpi;
import java.security.NoSuchAlgorithmException;
import java.security.Principal;
import java.security.PrivateKey;
import java.security.Provider;
import java.security.PublicKey;
import java.security.SecureRandom;
import java.security.UnrecoverableKeyException;
import java.security.cert.Certificate;
import java.security.cert.CertificateEncodingException;
import java.security.cert.CertificateFactory;
import java.security.cert.X509Certificate;
import java.util.Date;
import java.util.Enumeration;
import java.util.Hashtable;
import java.util.Vector;
import javax.crypto.Cipher;
import javax.crypto.Mac;
import javax.crypto.SecretKey;
import javax.crypto.SecretKeyFactory;
import javax.crypto.spec.PBEKeySpec;
import javax.crypto.spec.PBEParameterSpec;
import org.bouncycastle2.asn1.a1;
import org.bouncycastle2.asn1.b1;
import org.bouncycastle2.asn1.f1;
import org.bouncycastle2.asn1.g;
import org.bouncycastle2.asn1.h1;
import org.bouncycastle2.asn1.i0;
import org.bouncycastle2.asn1.n0;
import org.bouncycastle2.asn1.o;
import org.bouncycastle2.asn1.pkcs.j;
import org.bouncycastle2.asn1.pkcs.l;
import org.bouncycastle2.asn1.pkcs.m;
import org.bouncycastle2.asn1.pkcs.n;
import org.bouncycastle2.asn1.pkcs.t;
import org.bouncycastle2.asn1.v;
import org.bouncycastle2.asn1.x0;
import org.bouncycastle2.asn1.x509.e1;
import org.bouncycastle2.asn1.x509.i;
import org.bouncycastle2.asn1.x509.o0;
import org.bouncycastle2.asn1.x509.p0;
import org.bouncycastle2.asn1.x509.s;
import org.bouncycastle2.asn1.z;
import org.bouncycastle2.asn1.z0;
import s5.q;
import v5.h;

public class y0 extends KeyStoreSpi implements m, e1, s5.a {
    private static final int W5 = 20;
    private static final int X5 = 1024;
    private static final Provider Y5 = new b();
    static final int Z5 = 0;

    /* renamed from: a6  reason: collision with root package name */
    static final int f24574a6 = 1;

    /* renamed from: b6  reason: collision with root package name */
    static final int f24575b6 = 2;

    /* renamed from: c6  reason: collision with root package name */
    static final int f24576c6 = 3;

    /* renamed from: d6  reason: collision with root package name */
    static final int f24577d6 = 4;

    /* renamed from: e6  reason: collision with root package name */
    static final int f24578e6 = 0;

    /* renamed from: f6  reason: collision with root package name */
    static final int f24579f6 = 1;

    /* renamed from: g6  reason: collision with root package name */
    static final int f24580g6 = 2;
    protected SecureRandom C1 = new SecureRandom();
    private CertificateFactory C2;
    private a1 U5;
    private a1 V5;

    /* renamed from: f  reason: collision with root package name */
    private f f24581f = new f(null);

    /* renamed from: g  reason: collision with root package name */
    private Hashtable f24582g = new Hashtable();

    /* renamed from: p  reason: collision with root package name */
    private f f24583p = new f(null);

    /* renamed from: x  reason: collision with root package name */
    private Hashtable f24584x = new Hashtable();

    /* renamed from: y  reason: collision with root package name */
    private Hashtable f24585y = new Hashtable();

    public static class a extends y0 {
        /* JADX WARNING: Illegal instructions before constructor call */
        public a() {
            super(r0, r1, r1);
            Provider provider = y0.Y5;
            a1 a1Var = m.E2;
        }
    }

    public static class b extends y0 {
        public b() {
            super(y0.Y5, m.E2, m.H2);
        }
    }

    /* access modifiers changed from: private */
    public class c {

        /* renamed from: a  reason: collision with root package name */
        byte[] f24586a;

        c(PublicKey publicKey) {
            this.f24586a = y0.this.e(publicKey).o();
        }

        public boolean equals(Object obj) {
            if (obj == this) {
                return true;
            }
            if (!(obj instanceof c)) {
                return false;
            }
            return v5.a.a(this.f24586a, ((c) obj).f24586a);
        }

        public int hashCode() {
            return v5.a.j(this.f24586a);
        }

        c(byte[] bArr) {
            this.f24586a = bArr;
        }
    }

    public static class d extends y0 {
        /* JADX WARNING: Illegal instructions before constructor call */
        public d() {
            super(null, r1, r1);
            a1 a1Var = m.E2;
        }
    }

    public static class e extends y0 {
        public e() {
            super(null, m.E2, m.H2);
        }
    }

    /* access modifiers changed from: private */
    public static class f {

        /* renamed from: a  reason: collision with root package name */
        private Hashtable f24588a;

        /* renamed from: b  reason: collision with root package name */
        private Hashtable f24589b;

        private f() {
            this.f24588a = new Hashtable();
            this.f24589b = new Hashtable();
        }

        public Enumeration a() {
            return this.f24588a.elements();
        }

        public Object b(String str) {
            String str2 = (String) this.f24589b.get(h.d(str));
            if (str2 == null) {
                return null;
            }
            return this.f24588a.get(str2);
        }

        public Enumeration c() {
            return this.f24588a.keys();
        }

        public void d(String str, Object obj) {
            String d7 = h.d(str);
            String str2 = (String) this.f24589b.get(d7);
            if (str2 != null) {
                this.f24588a.remove(str2);
            }
            this.f24589b.put(d7, str);
            this.f24588a.put(str, obj);
        }

        public Object e(String str) {
            String str2 = (String) this.f24589b.remove(h.d(str));
            if (str2 == null) {
                return null;
            }
            return this.f24588a.remove(str2);
        }

        /* synthetic */ f(f fVar) {
            this();
        }
    }

    public y0(Provider provider, a1 a1Var, a1 a1Var2) {
        CertificateFactory instance;
        this.U5 = a1Var;
        this.V5 = a1Var2;
        if (provider != null) {
            try {
                instance = CertificateFactory.getInstance("X.509", provider);
            } catch (Exception e7) {
                throw new IllegalArgumentException("can't create cert factory - " + e7.toString());
            }
        } else {
            instance = CertificateFactory.getInstance("X.509");
        }
        this.C2 = instance;
    }

    private static byte[] d(a1 a1Var, byte[] bArr, int i7, char[] cArr, boolean z7, byte[] bArr2) throws Exception {
        String m7 = a1Var.m();
        Provider provider = Y5;
        SecretKeyFactory instance = SecretKeyFactory.getInstance(m7, provider);
        PBEParameterSpec pBEParameterSpec = new PBEParameterSpec(bArr, i7);
        c0 c0Var = (c0) instance.generateSecret(new PBEKeySpec(cArr));
        c0Var.g(z7);
        Mac instance2 = Mac.getInstance(a1Var.m(), provider);
        instance2.init(c0Var, pBEParameterSpec);
        instance2.update(bArr2);
        return instance2.doFinal();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private o0 e(PublicKey publicKey) {
        try {
            return new o0(new p0((org.bouncycastle2.asn1.m) g.l(publicKey.getEncoded())));
        } catch (Exception unused) {
            throw new RuntimeException("error creating key");
        }
    }

    @Override // s5.a
    public void a(SecureRandom secureRandom) {
        this.C1 = secureRandom;
    }

    @Override // java.security.KeyStoreSpi
    public Enumeration engineAliases() {
        Hashtable hashtable = new Hashtable();
        Enumeration c7 = this.f24583p.c();
        while (c7.hasMoreElements()) {
            hashtable.put(c7.nextElement(), "cert");
        }
        Enumeration c8 = this.f24581f.c();
        while (c8.hasMoreElements()) {
            String str = (String) c8.nextElement();
            if (hashtable.get(str) == null) {
                hashtable.put(str, "key");
            }
        }
        return hashtable.keys();
    }

    public boolean engineContainsAlias(String str) {
        return (this.f24583p.b(str) == null && this.f24581f.b(str) == null) ? false : true;
    }

    @Override // java.security.KeyStoreSpi
    public void engineDeleteEntry(String str) throws KeyStoreException {
        Key key = (Key) this.f24581f.e(str);
        Certificate certificate = (Certificate) this.f24583p.e(str);
        if (certificate != null) {
            this.f24584x.remove(new c(certificate.getPublicKey()));
        }
        if (key != null) {
            String str2 = (String) this.f24582g.remove(str);
            if (str2 != null) {
                certificate = (Certificate) this.f24585y.remove(str2);
            }
            if (certificate != null) {
                this.f24584x.remove(new c(certificate.getPublicKey()));
            }
        }
        if (certificate == null && key == null) {
            throw new KeyStoreException("no such entry as " + str);
        }
    }

    public Certificate engineGetCertificate(String str) {
        if (str != null) {
            Certificate certificate = (Certificate) this.f24583p.b(str);
            if (certificate != null) {
                return certificate;
            }
            String str2 = (String) this.f24582g.get(str);
            Hashtable hashtable = this.f24585y;
            return (Certificate) (str2 != null ? hashtable.get(str2) : hashtable.get(str));
        }
        throw new IllegalArgumentException("null alias passed to getCertificate.");
    }

    public String engineGetCertificateAlias(Certificate certificate) {
        Enumeration a8 = this.f24583p.a();
        Enumeration c7 = this.f24583p.c();
        while (a8.hasMoreElements()) {
            String str = (String) c7.nextElement();
            if (((Certificate) a8.nextElement()).equals(certificate)) {
                return str;
            }
        }
        Enumeration elements = this.f24585y.elements();
        Enumeration keys = this.f24585y.keys();
        while (elements.hasMoreElements()) {
            String str2 = (String) keys.nextElement();
            if (((Certificate) elements.nextElement()).equals(certificate)) {
                return str2;
            }
        }
        return null;
    }

    /* JADX WARNING: Removed duplicated region for block: B:23:0x0080  */
    /* JADX WARNING: Removed duplicated region for block: B:36:0x00be  */
    /* JADX WARNING: Removed duplicated region for block: B:37:0x00c1  */
    public Certificate[] engineGetCertificateChain(String str) {
        Certificate engineGetCertificate;
        X509Certificate x509Certificate;
        if (str == null) {
            throw new IllegalArgumentException("null alias passed to getCertificateChain.");
        } else if (!engineIsKeyEntry(str) || (engineGetCertificate = engineGetCertificate(str)) == null) {
            return null;
        } else {
            Vector vector = new Vector();
            while (engineGetCertificate != null) {
                X509Certificate x509Certificate2 = (X509Certificate) engineGetCertificate;
                byte[] extensionValue = x509Certificate2.getExtensionValue(org.bouncycastle2.asn1.x509.a1.f22750j6.m());
                if (extensionValue != null) {
                    try {
                        i iVar = new i((org.bouncycastle2.asn1.m) new org.bouncycastle2.asn1.e(((org.bouncycastle2.asn1.i) new org.bouncycastle2.asn1.e(extensionValue).h()).o()).h());
                        if (iVar.n() != null) {
                            x509Certificate = (Certificate) this.f24584x.get(new c(iVar.n()));
                            if (x509Certificate == null) {
                                Principal issuerDN = x509Certificate2.getIssuerDN();
                                if (!issuerDN.equals(x509Certificate2.getSubjectDN())) {
                                    Enumeration keys = this.f24584x.keys();
                                    while (true) {
                                        if (!keys.hasMoreElements()) {
                                            break;
                                        }
                                        X509Certificate x509Certificate3 = (X509Certificate) this.f24584x.get(keys.nextElement());
                                        if (x509Certificate3.getSubjectDN().equals(issuerDN)) {
                                            try {
                                                x509Certificate2.verify(x509Certificate3.getPublicKey());
                                                x509Certificate = x509Certificate3;
                                                break;
                                            } catch (Exception unused) {
                                                continue;
                                            }
                                        }
                                    }
                                }
                            }
                            vector.addElement(engineGetCertificate);
                            engineGetCertificate = x509Certificate == engineGetCertificate ? x509Certificate : null;
                        }
                    } catch (IOException e7) {
                        throw new RuntimeException(e7.toString());
                    }
                }
                x509Certificate = null;
                if (x509Certificate == null) {
                }
                vector.addElement(engineGetCertificate);
                if (x509Certificate == engineGetCertificate) {
                }
            }
            int size = vector.size();
            Certificate[] certificateArr = new Certificate[size];
            for (int i7 = 0; i7 != size; i7++) {
                certificateArr[i7] = (Certificate) vector.elementAt(i7);
            }
            return certificateArr;
        }
    }

    public Date engineGetCreationDate(String str) {
        return new Date();
    }

    @Override // java.security.KeyStoreSpi
    public Key engineGetKey(String str, char[] cArr) throws NoSuchAlgorithmException, UnrecoverableKeyException {
        if (str != null) {
            return (Key) this.f24581f.b(str);
        }
        throw new IllegalArgumentException("null alias passed to getKey.");
    }

    public boolean engineIsCertificateEntry(String str) {
        return this.f24583p.b(str) != null && this.f24581f.b(str) == null;
    }

    public boolean engineIsKeyEntry(String str) {
        return this.f24581f.b(str) != null;
    }

    /* JADX WARNING: Removed duplicated region for block: B:141:0x047c  */
    /* JADX WARNING: Removed duplicated region for block: B:146:0x049c  */
    /* JADX WARNING: Removed duplicated region for block: B:30:0x00e1  */
    @Override // java.security.KeyStoreSpi
    public void engineLoad(InputStream inputStream, char[] cArr) throws IOException {
        boolean z7;
        boolean z8;
        int i7;
        String str;
        org.bouncycastle2.asn1.i iVar;
        int i8;
        org.bouncycastle2.asn1.m mVar;
        z0 z0Var;
        z0 z0Var2;
        org.bouncycastle2.asn1.i iVar2;
        org.bouncycastle2.asn1.i iVar3;
        z0 z0Var3;
        if (inputStream != null) {
            if (cArr != null) {
                BufferedInputStream bufferedInputStream = new BufferedInputStream(inputStream);
                bufferedInputStream.mark(10);
                if (bufferedInputStream.read() == 48) {
                    bufferedInputStream.reset();
                    n nVar = new n((org.bouncycastle2.asn1.m) new org.bouncycastle2.asn1.e(bufferedInputStream).h());
                    org.bouncycastle2.asn1.pkcs.f j7 = nVar.j();
                    Vector vector = new Vector();
                    int i9 = 1;
                    int i10 = 0;
                    if (nVar.k() != null) {
                        j k7 = nVar.k();
                        s l7 = k7.l();
                        org.bouncycastle2.asn1.x509.b j8 = l7.j();
                        byte[] m7 = k7.m();
                        int intValue = k7.k().intValue();
                        byte[] o7 = ((org.bouncycastle2.asn1.i) j7.j()).o();
                        try {
                            byte[] d7 = d(j8.l(), m7, intValue, cArr, false, o7);
                            byte[] k8 = l7.k();
                            if (!v5.a.f(d7, k8)) {
                                if (cArr.length > 0) {
                                    throw new IOException("PKCS12 key store mac invalid - wrong password or corrupted file.");
                                } else if (v5.a.f(d(j8.l(), m7, intValue, cArr, true, o7), k8)) {
                                    z7 = true;
                                    org.bouncycastle2.asn1.i iVar4 = null;
                                    this.f24581f = new f(null);
                                    this.f24582g = new Hashtable();
                                    if (!j7.k().equals(m.Y0)) {
                                        org.bouncycastle2.asn1.pkcs.f[] j9 = new org.bouncycastle2.asn1.pkcs.b((org.bouncycastle2.asn1.m) new org.bouncycastle2.asn1.e(((org.bouncycastle2.asn1.i) j7.j()).o()).h()).j();
                                        int i11 = 0;
                                        z8 = false;
                                        while (i11 != j9.length) {
                                            if (j9[i11].k().equals(m.Y0)) {
                                                org.bouncycastle2.asn1.m mVar2 = (org.bouncycastle2.asn1.m) new org.bouncycastle2.asn1.e(((org.bouncycastle2.asn1.i) j9[i11].j()).o()).h();
                                                int i12 = i10;
                                                while (i12 != mVar2.s()) {
                                                    t tVar = new t((org.bouncycastle2.asn1.m) mVar2.p(i12));
                                                    if (tVar.k().equals(m.f22561v2)) {
                                                        org.bouncycastle2.asn1.pkcs.i iVar5 = new org.bouncycastle2.asn1.pkcs.i((org.bouncycastle2.asn1.m) tVar.l());
                                                        PrivateKey g7 = g(iVar5.k(), iVar5.j(), cArr, z7);
                                                        q qVar = (q) g7;
                                                        if (tVar.j() != null) {
                                                            Enumeration r7 = tVar.j().r();
                                                            String str2 = iVar4;
                                                            iVar2 = str2;
                                                            while (r7.hasMoreElements()) {
                                                                org.bouncycastle2.asn1.m mVar3 = (org.bouncycastle2.asn1.m) r7.nextElement();
                                                                a1 a1Var = (a1) mVar3.p(i10);
                                                                o oVar = (o) mVar3.p(i9);
                                                                if (oVar.u() > 0) {
                                                                    z0Var3 = (z0) oVar.q(0);
                                                                    n0 a8 = qVar.a(a1Var);
                                                                    if (a8 == null) {
                                                                        qVar.d(a1Var, z0Var3);
                                                                    } else if (!a8.d().equals(z0Var3)) {
                                                                        throw new IOException("attempt to add existing attribute with different value");
                                                                    }
                                                                } else {
                                                                    z0Var3 = null;
                                                                }
                                                                if (a1Var.equals(m.f22548r1)) {
                                                                    String b7 = ((i0) z0Var3).b();
                                                                    this.f24581f.d(b7, g7);
                                                                    str2 = b7;
                                                                } else if (a1Var.equals(m.f22551s1)) {
                                                                    iVar2 = (org.bouncycastle2.asn1.i) z0Var3;
                                                                }
                                                                i9 = 1;
                                                                i10 = 0;
                                                            }
                                                            iVar3 = str2;
                                                        } else {
                                                            iVar3 = null;
                                                            iVar2 = null;
                                                        }
                                                        if (iVar2 != null) {
                                                            String str3 = new String(org.bouncycastle2.util.encoders.d.f(iVar2.o()));
                                                            if (iVar3 == null) {
                                                                this.f24581f.d(str3, g7);
                                                            } else {
                                                                this.f24582g.put(iVar3, str3);
                                                            }
                                                        } else {
                                                            this.f24581f.d("unmarked", g7);
                                                            z8 = true;
                                                        }
                                                    } else if (tVar.k().equals(m.f22564w2)) {
                                                        vector.addElement(tVar);
                                                    } else {
                                                        System.out.println("extra in data " + tVar.k());
                                                        System.out.println(org.bouncycastle2.asn1.util.a.c(tVar));
                                                    }
                                                    i12++;
                                                    i9 = 1;
                                                    i10 = 0;
                                                    iVar4 = null;
                                                }
                                                i8 = i11;
                                            } else if (j9[i11].k().equals(m.f22513d1)) {
                                                org.bouncycastle2.asn1.pkcs.h hVar = new org.bouncycastle2.asn1.pkcs.h((org.bouncycastle2.asn1.m) j9[i11].j());
                                                i8 = i11;
                                                org.bouncycastle2.asn1.m mVar4 = (org.bouncycastle2.asn1.m) g.l(f(false, hVar.l(), cArr, z7, hVar.j().o()));
                                                int i13 = 0;
                                                while (i13 != mVar4.s()) {
                                                    t tVar2 = new t((org.bouncycastle2.asn1.m) mVar4.p(i13));
                                                    if (tVar2.k().equals(m.f22564w2)) {
                                                        vector.addElement(tVar2);
                                                    } else if (tVar2.k().equals(m.f22561v2)) {
                                                        org.bouncycastle2.asn1.pkcs.i iVar6 = new org.bouncycastle2.asn1.pkcs.i((org.bouncycastle2.asn1.m) tVar2.l());
                                                        PrivateKey g8 = g(iVar6.k(), iVar6.j(), cArr, z7);
                                                        q qVar2 = (q) g8;
                                                        Enumeration r8 = tVar2.j().r();
                                                        org.bouncycastle2.asn1.i iVar7 = null;
                                                        String str4 = null;
                                                        while (r8.hasMoreElements()) {
                                                            org.bouncycastle2.asn1.m mVar5 = (org.bouncycastle2.asn1.m) r8.nextElement();
                                                            a1 a1Var2 = (a1) mVar5.p(0);
                                                            o oVar2 = (o) mVar5.p(1);
                                                            if (oVar2.u() > 0) {
                                                                z0Var2 = (z0) oVar2.q(0);
                                                                n0 a9 = qVar2.a(a1Var2);
                                                                if (a9 == null) {
                                                                    qVar2.d(a1Var2, z0Var2);
                                                                } else if (!a9.d().equals(z0Var2)) {
                                                                    throw new IOException("attempt to add existing attribute with different value");
                                                                }
                                                            } else {
                                                                z0Var2 = null;
                                                            }
                                                            if (a1Var2.equals(m.f22548r1)) {
                                                                str4 = ((i0) z0Var2).b();
                                                                this.f24581f.d(str4, g8);
                                                            } else if (a1Var2.equals(m.f22551s1)) {
                                                                iVar7 = (org.bouncycastle2.asn1.i) z0Var2;
                                                                mVar4 = mVar4;
                                                            }
                                                            mVar4 = mVar4;
                                                            iVar7 = iVar7;
                                                        }
                                                        String str5 = new String(org.bouncycastle2.util.encoders.d.f(iVar7.o()));
                                                        if (str4 == null) {
                                                            this.f24581f.d(str5, g8);
                                                        } else {
                                                            this.f24582g.put(str4, str5);
                                                        }
                                                    } else {
                                                        mVar = mVar4;
                                                        if (tVar2.k().equals(m.f22558u2)) {
                                                            PrivateKey b8 = u0.b(new org.bouncycastle2.asn1.pkcs.o((org.bouncycastle2.asn1.m) tVar2.l()));
                                                            q qVar3 = (q) b8;
                                                            Enumeration r9 = tVar2.j().r();
                                                            org.bouncycastle2.asn1.i iVar8 = null;
                                                            String str6 = null;
                                                            while (r9.hasMoreElements()) {
                                                                org.bouncycastle2.asn1.m mVar6 = (org.bouncycastle2.asn1.m) r9.nextElement();
                                                                a1 a1Var3 = (a1) mVar6.p(0);
                                                                o oVar3 = (o) mVar6.p(1);
                                                                if (oVar3.u() > 0) {
                                                                    z0Var = (z0) oVar3.q(0);
                                                                    n0 a10 = qVar3.a(a1Var3);
                                                                    if (a10 == null) {
                                                                        qVar3.d(a1Var3, z0Var);
                                                                    } else if (!a10.d().equals(z0Var)) {
                                                                        throw new IOException("attempt to add existing attribute with different value");
                                                                    }
                                                                } else {
                                                                    z0Var = null;
                                                                }
                                                                if (a1Var3.equals(m.f22548r1)) {
                                                                    str6 = ((i0) z0Var).b();
                                                                    this.f24581f.d(str6, b8);
                                                                } else if (a1Var3.equals(m.f22551s1)) {
                                                                    iVar8 = (org.bouncycastle2.asn1.i) z0Var;
                                                                }
                                                                iVar8 = iVar8;
                                                            }
                                                            String str7 = new String(org.bouncycastle2.util.encoders.d.f(iVar8.o()));
                                                            if (str6 == null) {
                                                                this.f24581f.d(str7, b8);
                                                            } else {
                                                                this.f24582g.put(str6, str7);
                                                            }
                                                        } else {
                                                            System.out.println("extra in encryptedData " + tVar2.k());
                                                            System.out.println(org.bouncycastle2.asn1.util.a.c(tVar2));
                                                        }
                                                        i13++;
                                                        mVar4 = mVar;
                                                    }
                                                    mVar = mVar4;
                                                    i13++;
                                                    mVar4 = mVar;
                                                }
                                                continue;
                                            } else {
                                                i8 = i11;
                                                System.out.println("extra " + j9[i8].k().m());
                                                System.out.println("extra " + org.bouncycastle2.asn1.util.a.c(j9[i8].j()));
                                            }
                                            i11 = i8 + 1;
                                            i9 = 1;
                                            i10 = 0;
                                            iVar4 = null;
                                        }
                                    } else {
                                        z8 = false;
                                    }
                                    this.f24583p = new f(null);
                                    this.f24584x = new Hashtable();
                                    this.f24585y = new Hashtable();
                                    for (i7 = 0; i7 != vector.size(); i7++) {
                                        t tVar3 = (t) vector.elementAt(i7);
                                        org.bouncycastle2.asn1.pkcs.c cVar = new org.bouncycastle2.asn1.pkcs.c((org.bouncycastle2.asn1.m) tVar3.l());
                                        if (cVar.j().equals(m.f22560v1)) {
                                            try {
                                                Certificate generateCertificate = this.C2.generateCertificate(new ByteArrayInputStream(((org.bouncycastle2.asn1.i) cVar.k()).o()));
                                                if (tVar3.j() != null) {
                                                    Enumeration r10 = tVar3.j().r();
                                                    iVar = null;
                                                    str = null;
                                                    while (r10.hasMoreElements()) {
                                                        org.bouncycastle2.asn1.m mVar7 = (org.bouncycastle2.asn1.m) r10.nextElement();
                                                        a1 a1Var4 = (a1) mVar7.p(0);
                                                        z0 z0Var4 = (z0) ((o) mVar7.p(1)).q(0);
                                                        if (generateCertificate instanceof q) {
                                                            q qVar4 = (q) generateCertificate;
                                                            n0 a11 = qVar4.a(a1Var4);
                                                            if (a11 == null) {
                                                                qVar4.d(a1Var4, z0Var4);
                                                            } else if (!a11.d().equals(z0Var4)) {
                                                                throw new IOException("attempt to add existing attribute with different value");
                                                            }
                                                        }
                                                        if (a1Var4.equals(m.f22548r1)) {
                                                            str = ((i0) z0Var4).b();
                                                        } else if (a1Var4.equals(m.f22551s1)) {
                                                            iVar = (org.bouncycastle2.asn1.i) z0Var4;
                                                        }
                                                    }
                                                } else {
                                                    iVar = null;
                                                    str = null;
                                                }
                                                this.f24584x.put(new c(generateCertificate.getPublicKey()), generateCertificate);
                                                if (!z8) {
                                                    if (iVar != null) {
                                                        this.f24585y.put(new String(org.bouncycastle2.util.encoders.d.f(iVar.o())), generateCertificate);
                                                    }
                                                    if (str != null) {
                                                        this.f24583p.d(str, generateCertificate);
                                                    }
                                                } else if (this.f24585y.isEmpty()) {
                                                    String str8 = new String(org.bouncycastle2.util.encoders.d.f(e(generateCertificate.getPublicKey()).o()));
                                                    this.f24585y.put(str8, generateCertificate);
                                                    f fVar = this.f24581f;
                                                    fVar.d(str8, fVar.e("unmarked"));
                                                }
                                            } catch (Exception e7) {
                                                throw new RuntimeException(e7.toString());
                                            }
                                        } else {
                                            throw new RuntimeException("Unsupported certificate type: " + cVar.j());
                                        }
                                    }
                                    return;
                                } else {
                                    throw new IOException("PKCS12 key store mac invalid - wrong password or corrupted file.");
                                }
                            }
                        } catch (IOException e8) {
                            throw e8;
                        } catch (Exception e9) {
                            throw new IOException("error constructing MAC: " + e9.toString());
                        }
                    }
                    z7 = false;
                    org.bouncycastle2.asn1.i iVar42 = null;
                    this.f24581f = new f(null);
                    this.f24582g = new Hashtable();
                    if (!j7.k().equals(m.Y0)) {
                    }
                    this.f24583p = new f(null);
                    this.f24584x = new Hashtable();
                    this.f24585y = new Hashtable();
                    while (i7 != vector.size()) {
                    }
                    return;
                }
                throw new IOException("stream does not represent a PKCS12 key store");
            }
            throw new NullPointerException("No password supplied for PKCS#12 KeyStore.");
        }
    }

    @Override // java.security.KeyStoreSpi
    public void engineSetCertificateEntry(String str, Certificate certificate) throws KeyStoreException {
        if (this.f24581f.b(str) == null) {
            this.f24583p.d(str, certificate);
            this.f24584x.put(new c(certificate.getPublicKey()), certificate);
            return;
        }
        throw new KeyStoreException("There is a key entry with the name " + str + ".");
    }

    @Override // java.security.KeyStoreSpi
    public void engineSetKeyEntry(String str, Key key, char[] cArr, Certificate[] certificateArr) throws KeyStoreException {
        if (!(key instanceof PrivateKey) || certificateArr != null) {
            if (this.f24581f.b(str) != null) {
                engineDeleteEntry(str);
            }
            this.f24581f.d(str, key);
            this.f24583p.d(str, certificateArr[0]);
            for (int i7 = 0; i7 != certificateArr.length; i7++) {
                this.f24584x.put(new c(certificateArr[i7].getPublicKey()), certificateArr[i7]);
            }
            return;
        }
        throw new KeyStoreException("no certificate chain for private key");
    }

    public int engineSize() {
        Hashtable hashtable = new Hashtable();
        Enumeration c7 = this.f24583p.c();
        while (c7.hasMoreElements()) {
            hashtable.put(c7.nextElement(), "cert");
        }
        Enumeration c8 = this.f24581f.c();
        while (c8.hasMoreElements()) {
            String str = (String) c8.nextElement();
            if (hashtable.get(str) == null) {
                hashtable.put(str, "key");
            }
        }
        return hashtable.size();
    }

    @Override // java.security.KeyStoreSpi
    public void engineStore(OutputStream outputStream, char[] cArr) throws IOException {
        int i7;
        int i8;
        char c7;
        char c8;
        Enumeration enumeration;
        boolean z7;
        Enumeration enumeration2;
        boolean z8;
        boolean z9;
        if (cArr != null) {
            org.bouncycastle2.asn1.d dVar = new org.bouncycastle2.asn1.d();
            Enumeration c9 = this.f24581f.c();
            while (true) {
                i7 = 1024;
                i8 = 20;
                c7 = 1;
                c8 = 0;
                if (!c9.hasMoreElements()) {
                    break;
                }
                byte[] bArr = new byte[20];
                this.C1.nextBytes(bArr);
                String str = (String) c9.nextElement();
                PrivateKey privateKey = (PrivateKey) this.f24581f.b(str);
                l lVar = new l(bArr, 1024);
                org.bouncycastle2.asn1.pkcs.i iVar = new org.bouncycastle2.asn1.pkcs.i(new org.bouncycastle2.asn1.x509.b(this.U5, lVar.d()), h(this.U5.m(), privateKey, lVar, cArr));
                org.bouncycastle2.asn1.d dVar2 = new org.bouncycastle2.asn1.d();
                if (privateKey instanceof q) {
                    q qVar = (q) privateKey;
                    a1 a1Var = m.f22548r1;
                    i0 i0Var = (i0) qVar.a(a1Var);
                    if (i0Var == null || !i0Var.b().equals(str)) {
                        qVar.d(a1Var, new i0(str));
                    }
                    a1 a1Var2 = m.f22551s1;
                    if (qVar.a(a1Var2) == null) {
                        qVar.d(a1Var2, e(engineGetCertificate(str).getPublicKey()));
                    }
                    Enumeration c10 = qVar.c();
                    z9 = false;
                    while (c10.hasMoreElements()) {
                        a1 a1Var3 = (a1) c10.nextElement();
                        org.bouncycastle2.asn1.d dVar3 = new org.bouncycastle2.asn1.d();
                        dVar3.a(a1Var3);
                        dVar3.a(new h1(qVar.a(a1Var3)));
                        dVar2.a(new f1(dVar3));
                        z9 = true;
                    }
                } else {
                    z9 = false;
                }
                if (!z9) {
                    org.bouncycastle2.asn1.d dVar4 = new org.bouncycastle2.asn1.d();
                    Certificate engineGetCertificate = engineGetCertificate(str);
                    dVar4.a(m.f22551s1);
                    dVar4.a(new h1(e(engineGetCertificate.getPublicKey())));
                    dVar2.a(new f1(dVar4));
                    org.bouncycastle2.asn1.d dVar5 = new org.bouncycastle2.asn1.d();
                    dVar5.a(m.f22548r1);
                    dVar5.a(new h1(new i0(str)));
                    dVar2.a(new f1(dVar5));
                }
                dVar.a(new t(m.f22561v2, iVar.d(), new h1(dVar2)));
            }
            v vVar = new v(new f1(dVar).f());
            byte[] bArr2 = new byte[20];
            this.C1.nextBytes(bArr2);
            org.bouncycastle2.asn1.d dVar6 = new org.bouncycastle2.asn1.d();
            org.bouncycastle2.asn1.x509.b bVar = new org.bouncycastle2.asn1.x509.b(this.V5, new l(bArr2, 1024).d());
            Hashtable hashtable = new Hashtable();
            Enumeration c11 = this.f24581f.c();
            while (c11.hasMoreElements()) {
                try {
                    String str2 = (String) c11.nextElement();
                    Certificate engineGetCertificate2 = engineGetCertificate(str2);
                    org.bouncycastle2.asn1.pkcs.c cVar = new org.bouncycastle2.asn1.pkcs.c(m.f22560v1, new b1(engineGetCertificate2.getEncoded()));
                    org.bouncycastle2.asn1.d dVar7 = new org.bouncycastle2.asn1.d();
                    if (engineGetCertificate2 instanceof q) {
                        q qVar2 = (q) engineGetCertificate2;
                        a1 a1Var4 = m.f22548r1;
                        i0 i0Var2 = (i0) qVar2.a(a1Var4);
                        if (i0Var2 == null || !i0Var2.b().equals(str2)) {
                            qVar2.d(a1Var4, new i0(str2));
                        }
                        a1 a1Var5 = m.f22551s1;
                        if (qVar2.a(a1Var5) == null) {
                            qVar2.d(a1Var5, e(engineGetCertificate2.getPublicKey()));
                        }
                        Enumeration c12 = qVar2.c();
                        z8 = false;
                        while (c12.hasMoreElements()) {
                            a1 a1Var6 = (a1) c12.nextElement();
                            org.bouncycastle2.asn1.d dVar8 = new org.bouncycastle2.asn1.d();
                            dVar8.a(a1Var6);
                            dVar8.a(new h1(qVar2.a(a1Var6)));
                            dVar7.a(new f1(dVar8));
                            c11 = c11;
                            z8 = true;
                        }
                        enumeration2 = c11;
                    } else {
                        enumeration2 = c11;
                        z8 = false;
                    }
                    if (!z8) {
                        org.bouncycastle2.asn1.d dVar9 = new org.bouncycastle2.asn1.d();
                        dVar9.a(m.f22551s1);
                        dVar9.a(new h1(e(engineGetCertificate2.getPublicKey())));
                        dVar7.a(new f1(dVar9));
                        org.bouncycastle2.asn1.d dVar10 = new org.bouncycastle2.asn1.d();
                        dVar10.a(m.f22548r1);
                        dVar10.a(new h1(new i0(str2)));
                        dVar7.a(new f1(dVar10));
                    }
                    dVar6.a(new t(m.f22564w2, cVar.d(), new h1(dVar7)));
                    hashtable.put(engineGetCertificate2, engineGetCertificate2);
                    c11 = enumeration2;
                    i7 = 1024;
                    i8 = 20;
                    c7 = 1;
                    c8 = 0;
                } catch (CertificateEncodingException e7) {
                    throw new IOException("Error encoding certificate: " + e7.toString());
                }
            }
            Enumeration c13 = this.f24583p.c();
            while (c13.hasMoreElements()) {
                try {
                    String str3 = (String) c13.nextElement();
                    Certificate certificate = (Certificate) this.f24583p.b(str3);
                    if (this.f24581f.b(str3) == null) {
                        org.bouncycastle2.asn1.pkcs.c cVar2 = new org.bouncycastle2.asn1.pkcs.c(m.f22560v1, new b1(certificate.getEncoded()));
                        org.bouncycastle2.asn1.d dVar11 = new org.bouncycastle2.asn1.d();
                        if (certificate instanceof q) {
                            q qVar3 = (q) certificate;
                            a1 a1Var7 = m.f22548r1;
                            i0 i0Var3 = (i0) qVar3.a(a1Var7);
                            if (i0Var3 == null || !i0Var3.b().equals(str3)) {
                                qVar3.d(a1Var7, new i0(str3));
                            }
                            Enumeration c14 = qVar3.c();
                            z7 = false;
                            while (c14.hasMoreElements()) {
                                a1 a1Var8 = (a1) c14.nextElement();
                                if (a1Var8.equals(m.f22551s1)) {
                                    c13 = c13;
                                } else {
                                    org.bouncycastle2.asn1.d dVar12 = new org.bouncycastle2.asn1.d();
                                    dVar12.a(a1Var8);
                                    dVar12.a(new h1(qVar3.a(a1Var8)));
                                    dVar11.a(new f1(dVar12));
                                    c13 = c13;
                                    z7 = true;
                                }
                            }
                            enumeration = c13;
                        } else {
                            enumeration = c13;
                            z7 = false;
                        }
                        if (!z7) {
                            org.bouncycastle2.asn1.d dVar13 = new org.bouncycastle2.asn1.d();
                            dVar13.a(m.f22548r1);
                            dVar13.a(new h1(new i0(str3)));
                            dVar11.a(new f1(dVar13));
                        }
                        dVar6.a(new t(m.f22564w2, cVar2.d(), new h1(dVar11)));
                        hashtable.put(certificate, certificate);
                        c13 = enumeration;
                    }
                    i7 = 1024;
                    i8 = 20;
                    c7 = 1;
                    c8 = 0;
                } catch (CertificateEncodingException e8) {
                    throw new IOException("Error encoding certificate: " + e8.toString());
                }
            }
            Enumeration keys = this.f24584x.keys();
            while (keys.hasMoreElements()) {
                try {
                    Certificate certificate2 = (Certificate) this.f24584x.get((c) keys.nextElement());
                    if (hashtable.get(certificate2) == null) {
                        org.bouncycastle2.asn1.pkcs.c cVar3 = new org.bouncycastle2.asn1.pkcs.c(m.f22560v1, new b1(certificate2.getEncoded()));
                        org.bouncycastle2.asn1.d dVar14 = new org.bouncycastle2.asn1.d();
                        if (certificate2 instanceof q) {
                            q qVar4 = (q) certificate2;
                            Enumeration c15 = qVar4.c();
                            while (c15.hasMoreElements()) {
                                a1 a1Var9 = (a1) c15.nextElement();
                                if (!a1Var9.equals(m.f22551s1)) {
                                    org.bouncycastle2.asn1.d dVar15 = new org.bouncycastle2.asn1.d();
                                    dVar15.a(a1Var9);
                                    dVar15.a(new h1(qVar4.a(a1Var9)));
                                    dVar14.a(new f1(dVar15));
                                }
                            }
                        }
                        dVar6.a(new t(m.f22564w2, cVar3.d(), new h1(dVar14)));
                        i7 = 1024;
                        i8 = 20;
                        c7 = 1;
                        c8 = 0;
                    }
                } catch (CertificateEncodingException e9) {
                    throw new IOException("Error encoding certificate: " + e9.toString());
                }
            }
            byte[] f7 = f(true, bVar, cArr, false, new f1(dVar6).f());
            a1 a1Var10 = m.Y0;
            org.bouncycastle2.asn1.pkcs.h hVar = new org.bouncycastle2.asn1.pkcs.h(a1Var10, bVar, new v(f7));
            org.bouncycastle2.asn1.pkcs.f[] fVarArr = new org.bouncycastle2.asn1.pkcs.f[2];
            fVarArr[c8] = new org.bouncycastle2.asn1.pkcs.f(a1Var10, vVar);
            fVarArr[c7] = new org.bouncycastle2.asn1.pkcs.f(m.f22513d1, hVar.d());
            org.bouncycastle2.asn1.pkcs.b bVar2 = new org.bouncycastle2.asn1.pkcs.b(fVarArr);
            ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
            new z(byteArrayOutputStream).e(bVar2);
            org.bouncycastle2.asn1.pkcs.f fVar = new org.bouncycastle2.asn1.pkcs.f(a1Var10, new v(byteArrayOutputStream.toByteArray()));
            byte[] bArr3 = new byte[i8];
            this.C1.nextBytes(bArr3);
            byte[] o7 = ((org.bouncycastle2.asn1.i) fVar.j()).o();
            try {
                a1 a1Var11 = e1.T2;
                new z(outputStream).e(new n(fVar, new j(new s(new org.bouncycastle2.asn1.x509.b(a1Var11, new x0()), d(a1Var11, bArr3, 1024, cArr, false, o7)), bArr3, i7)));
            } catch (Exception e10) {
                throw new IOException("error constructing MAC: " + e10.toString());
            }
        } else {
            throw new NullPointerException("No password supplied for PKCS#12 KeyStore.");
        }
    }

    /* access modifiers changed from: protected */
    public byte[] f(boolean z7, org.bouncycastle2.asn1.x509.b bVar, char[] cArr, boolean z8, byte[] bArr) throws IOException {
        String m7 = bVar.l().m();
        l lVar = new l((org.bouncycastle2.asn1.m) bVar.m());
        PBEKeySpec pBEKeySpec = new PBEKeySpec(cArr);
        try {
            Provider provider = Y5;
            SecretKeyFactory instance = SecretKeyFactory.getInstance(m7, provider);
            PBEParameterSpec pBEParameterSpec = new PBEParameterSpec(lVar.j(), lVar.l().intValue());
            c0 c0Var = (c0) instance.generateSecret(pBEKeySpec);
            c0Var.g(z8);
            Cipher instance2 = Cipher.getInstance(m7, provider);
            instance2.init(z7 ? 1 : 2, c0Var, pBEParameterSpec);
            return instance2.doFinal(bArr);
        } catch (Exception e7) {
            throw new IOException("exception decrypting data - " + e7.toString());
        }
    }

    /* access modifiers changed from: protected */
    public PrivateKey g(org.bouncycastle2.asn1.x509.b bVar, byte[] bArr, char[] cArr, boolean z7) throws IOException {
        String m7 = bVar.l().m();
        l lVar = new l((org.bouncycastle2.asn1.m) bVar.m());
        PBEKeySpec pBEKeySpec = new PBEKeySpec(cArr);
        try {
            Provider provider = Y5;
            SecretKeyFactory instance = SecretKeyFactory.getInstance(m7, provider);
            PBEParameterSpec pBEParameterSpec = new PBEParameterSpec(lVar.j(), lVar.l().intValue());
            SecretKey generateSecret = instance.generateSecret(pBEKeySpec);
            ((c0) generateSecret).g(z7);
            Cipher instance2 = Cipher.getInstance(m7, provider);
            instance2.init(4, generateSecret, pBEParameterSpec);
            return (PrivateKey) instance2.unwrap(bArr, "", 2);
        } catch (Exception e7) {
            throw new IOException("exception unwrapping private key - " + e7.toString());
        }
    }

    /* access modifiers changed from: protected */
    public byte[] h(String str, Key key, l lVar, char[] cArr) throws IOException {
        PBEKeySpec pBEKeySpec = new PBEKeySpec(cArr);
        try {
            Provider provider = Y5;
            SecretKeyFactory instance = SecretKeyFactory.getInstance(str, provider);
            PBEParameterSpec pBEParameterSpec = new PBEParameterSpec(lVar.j(), lVar.l().intValue());
            Cipher instance2 = Cipher.getInstance(str, provider);
            instance2.init(3, instance.generateSecret(pBEKeySpec), pBEParameterSpec);
            return instance2.wrap(key);
        } catch (Exception e7) {
            throw new IOException("exception encrypting data - " + e7.toString());
        }
    }

    @Override // java.security.KeyStoreSpi
    public void engineSetKeyEntry(String str, byte[] bArr, Certificate[] certificateArr) throws KeyStoreException {
        throw new RuntimeException("operation not supported");
    }
}
