package org.bouncycastle2.jce.provider;

import java.io.ByteArrayOutputStream;
import java.math.BigInteger;
import java.security.AlgorithmParameters;
import java.security.InvalidAlgorithmParameterException;
import java.security.InvalidKeyException;
import java.security.Key;
import java.security.SecureRandom;
import java.security.spec.AlgorithmParameterSpec;
import javax.crypto.BadPaddingException;
import javax.crypto.IllegalBlockSizeException;
import javax.crypto.NoSuchPaddingException;
import javax.crypto.interfaces.DHPrivateKey;
import org.bouncycastle2.crypto.digests.k;
import org.bouncycastle2.crypto.engines.s;
import org.bouncycastle2.crypto.macs.e;
import org.bouncycastle2.crypto.params.g0;
import org.bouncycastle2.crypto.q;
import org.bouncycastle2.jce.spec.p;
import s5.f;
import s5.n;

public class z extends t1 {

    /* renamed from: t  reason: collision with root package name */
    private s f24591t;

    /* renamed from: u  reason: collision with root package name */
    private int f24592u = -1;

    /* renamed from: v  reason: collision with root package name */
    private ByteArrayOutputStream f24593v = new ByteArrayOutputStream();

    /* renamed from: w  reason: collision with root package name */
    private AlgorithmParameters f24594w = null;

    /* renamed from: x  reason: collision with root package name */
    private p f24595x = null;

    /* renamed from: y  reason: collision with root package name */
    private Class[] f24596y = {p.class};

    public static class a extends z {
        public a() {
            super(new s(new org.bouncycastle2.crypto.agreement.c(), new d(new k()), new e(new k())));
        }
    }

    public static class b extends z {
        public b() {
            super(new s(new org.bouncycastle2.crypto.agreement.b(), new d(new k()), new e(new k())));
        }
    }

    public static class c extends z {
        public c() {
            super(new s(new org.bouncycastle2.crypto.agreement.c(), new org.bouncycastle2.crypto.generators.p(new k()), new e(new k())));
        }
    }

    public static class d extends z {
        public d() {
            super(new s(new org.bouncycastle2.crypto.agreement.b(), new org.bouncycastle2.crypto.generators.p(new k()), new e(new k())));
        }
    }

    public z(s sVar) {
        this.f24591t = sVar;
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.CipherSpi, org.bouncycastle2.jce.provider.t1
    public int engineDoFinal(byte[] bArr, int i7, int i8, byte[] bArr2, int i9) throws IllegalBlockSizeException, BadPaddingException {
        if (i8 != 0) {
            this.f24593v.write(bArr, i7, i8);
        }
        try {
            byte[] byteArray = this.f24593v.toByteArray();
            this.f24593v.reset();
            byte[] e7 = this.f24591t.e(byteArray, 0, byteArray.length);
            System.arraycopy(e7, 0, bArr2, i9, e7.length);
            return e7.length;
        } catch (q e8) {
            throw new BadPaddingException(e8.getMessage());
        }
    }

    /* access modifiers changed from: protected */
    @Override // org.bouncycastle2.jce.provider.t1
    public int engineGetBlockSize() {
        return 0;
    }

    /* access modifiers changed from: protected */
    @Override // org.bouncycastle2.jce.provider.t1
    public byte[] engineGetIV() {
        return null;
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.CipherSpi, org.bouncycastle2.jce.provider.t1
    public int engineGetKeySize(Key key) {
        BigInteger l7;
        if (key instanceof n) {
            n nVar = (n) key;
            if (nVar.z1() instanceof DHPrivateKey) {
                l7 = ((DHPrivateKey) nVar.z1()).getX();
            } else if (nVar.z1() instanceof s5.e) {
                l7 = ((s5.e) nVar.z1()).l();
            } else {
                throw new IllegalArgumentException("not an IE key!");
            }
            return l7.bitLength();
        }
        throw new IllegalArgumentException("must be passed IE key");
    }

    /* access modifiers changed from: protected */
    @Override // org.bouncycastle2.jce.provider.t1
    public int engineGetOutputSize(int i7) {
        int i8 = this.f24592u;
        if (i8 == 1 || i8 == 3) {
            return this.f24593v.size() + i7 + 20;
        }
        if (i8 == 2 || i8 == 4) {
            return (this.f24593v.size() + i7) - 20;
        }
        throw new IllegalStateException("cipher not initialised");
    }

    /* access modifiers changed from: protected */
    @Override // org.bouncycastle2.jce.provider.t1
    public AlgorithmParameters engineGetParameters() {
        if (this.f24594w == null && this.f24595x != null) {
            try {
                AlgorithmParameters instance = AlgorithmParameters.getInstance("IES", "BC2");
                this.f24594w = instance;
                instance.init(this.f24595x);
            } catch (Exception e7) {
                throw new RuntimeException(e7.toString());
            }
        }
        return this.f24594w;
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.CipherSpi, org.bouncycastle2.jce.provider.t1
    public void engineInit(int i7, Key key, AlgorithmParameters algorithmParameters, SecureRandom secureRandom) throws InvalidKeyException, InvalidAlgorithmParameterException {
        AlgorithmParameterSpec algorithmParameterSpec = null;
        if (algorithmParameters != null) {
            int i8 = 0;
            while (true) {
                Class[] clsArr = this.f24596y;
                if (i8 == clsArr.length) {
                    break;
                }
                try {
                    algorithmParameterSpec = algorithmParameters.getParameterSpec(clsArr[i8]);
                    break;
                } catch (Exception unused) {
                    i8++;
                }
            }
            if (algorithmParameterSpec == null) {
                throw new InvalidAlgorithmParameterException("can't handle parameter " + algorithmParameters.toString());
            }
        }
        this.f24594w = algorithmParameters;
        engineInit(i7, key, algorithmParameterSpec, secureRandom);
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.CipherSpi, org.bouncycastle2.jce.provider.t1
    public void engineSetMode(String str) {
        throw new IllegalArgumentException("can't support mode " + str);
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.CipherSpi, org.bouncycastle2.jce.provider.t1
    public void engineSetPadding(String str) throws NoSuchPaddingException {
        throw new NoSuchPaddingException(String.valueOf(str) + " unavailable with RSA.");
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.CipherSpi, org.bouncycastle2.jce.provider.t1
    public int engineUpdate(byte[] bArr, int i7, int i8, byte[] bArr2, int i9) {
        this.f24593v.write(bArr, i7, i8);
        return 0;
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.CipherSpi, org.bouncycastle2.jce.provider.t1
    public byte[] engineDoFinal(byte[] bArr, int i7, int i8) throws IllegalBlockSizeException, BadPaddingException {
        if (i8 != 0) {
            this.f24593v.write(bArr, i7, i8);
        }
        try {
            byte[] byteArray = this.f24593v.toByteArray();
            this.f24593v.reset();
            return this.f24591t.e(byteArray, 0, byteArray.length);
        } catch (q e7) {
            throw new BadPaddingException(e7.getMessage());
        }
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.CipherSpi, org.bouncycastle2.jce.provider.t1
    public void engineInit(int i7, Key key, SecureRandom secureRandom) throws InvalidKeyException {
        if (i7 == 1 || i7 == 3) {
            try {
                engineInit(i7, key, (AlgorithmParameterSpec) null, secureRandom);
                return;
            } catch (InvalidAlgorithmParameterException unused) {
            }
        }
        throw new IllegalArgumentException("can't handle null parameter spec in IES");
    }

    /* access modifiers changed from: protected */
    @Override // org.bouncycastle2.jce.provider.t1
    public byte[] engineUpdate(byte[] bArr, int i7, int i8) {
        this.f24593v.write(bArr, i7, i8);
        return null;
    }

    /* access modifiers changed from: protected */
    @Override // javax.crypto.CipherSpi, org.bouncycastle2.jce.provider.t1
    public void engineInit(int i7, Key key, AlgorithmParameterSpec algorithmParameterSpec, SecureRandom secureRandom) throws InvalidKeyException, InvalidAlgorithmParameterException {
        org.bouncycastle2.crypto.params.b bVar;
        org.bouncycastle2.crypto.params.b bVar2;
        if (key instanceof n) {
            if (algorithmParameterSpec == null && (i7 == 1 || i7 == 3)) {
                byte[] bArr = new byte[16];
                byte[] bArr2 = new byte[16];
                if (secureRandom == null) {
                    secureRandom = new SecureRandom();
                }
                secureRandom.nextBytes(bArr);
                secureRandom.nextBytes(bArr2);
                algorithmParameterSpec = new p(bArr, bArr2, 128);
            } else if (!(algorithmParameterSpec instanceof p)) {
                throw new InvalidAlgorithmParameterException("must be passed IES parameters");
            }
            n nVar = (n) key;
            if (nVar.g1() instanceof f) {
                bVar = org.bouncycastle2.jce.provider.asymmetric.ec.b.c(nVar.g1());
                bVar2 = org.bouncycastle2.jce.provider.asymmetric.ec.b.b(nVar.z1());
            } else {
                bVar = i.b(nVar.g1());
                bVar2 = i.a(nVar.z1());
            }
            p pVar = (p) algorithmParameterSpec;
            this.f24595x = pVar;
            g0 g0Var = new g0(pVar.a(), this.f24595x.b(), this.f24595x.c());
            this.f24592u = i7;
            this.f24593v.reset();
            if (i7 != 1) {
                if (i7 != 2) {
                    if (i7 != 3) {
                        if (i7 != 4) {
                            System.out.println("eeek!");
                            return;
                        }
                    }
                }
                this.f24591t.d(false, bVar2, bVar, g0Var);
                return;
            }
            this.f24591t.d(true, bVar2, bVar, g0Var);
            return;
        }
        throw new InvalidKeyException("must be passed IES key");
    }
}
