package org.bouncycastle2.jce.provider;

import java.security.AlgorithmParameters;
import java.security.InvalidKeyException;
import java.security.InvalidParameterException;
import java.security.PrivateKey;
import java.security.PublicKey;
import java.security.SecureRandom;
import java.security.SignatureException;
import java.security.SignatureSpi;
import java.security.interfaces.RSAPrivateKey;
import java.security.interfaces.RSAPublicKey;
import java.security.spec.AlgorithmParameterSpec;
import java.security.spec.MGF1ParameterSpec;
import java.security.spec.PSSParameterSpec;
import org.bouncycastle2.asn1.pkcs.m;
import org.bouncycastle2.crypto.engines.c0;
import org.bouncycastle2.crypto.j;
import org.bouncycastle2.crypto.o;
import org.bouncycastle2.crypto.params.o0;

public class z0 extends SignatureSpi {

    /* renamed from: a  reason: collision with root package name */
    private AlgorithmParameters f24597a;

    /* renamed from: b  reason: collision with root package name */
    private PSSParameterSpec f24598b;

    /* renamed from: c  reason: collision with root package name */
    private PSSParameterSpec f24599c;

    /* renamed from: d  reason: collision with root package name */
    private org.bouncycastle2.crypto.a f24600d;

    /* renamed from: e  reason: collision with root package name */
    private o f24601e;

    /* renamed from: f  reason: collision with root package name */
    private o f24602f;

    /* renamed from: g  reason: collision with root package name */
    private int f24603g;

    /* renamed from: h  reason: collision with root package name */
    private byte f24604h;

    /* renamed from: i  reason: collision with root package name */
    private boolean f24605i;

    /* renamed from: j  reason: collision with root package name */
    private org.bouncycastle2.crypto.signers.g f24606j;

    public static class a extends z0 {
        public a() {
            super(new c0(), null);
        }
    }

    public static class b extends z0 {
        public b() {
            super(new c0(), PSSParameterSpec.DEFAULT);
        }
    }

    public static class c extends z0 {
        public c() {
            super(new c0(), new PSSParameterSpec("SHA-224", "MGF1", new MGF1ParameterSpec("SHA-224"), 28, 1));
        }
    }

    public static class d extends z0 {
        public d() {
            super(new c0(), new PSSParameterSpec("SHA-256", "MGF1", new MGF1ParameterSpec("SHA-256"), 32, 1));
        }
    }

    public static class e extends z0 {
        public e() {
            super(new c0(), new PSSParameterSpec("SHA-384", "MGF1", new MGF1ParameterSpec("SHA-384"), 48, 1));
        }
    }

    public static class f extends z0 {
        public f() {
            super(new c0(), new PSSParameterSpec("SHA-512", "MGF1", new MGF1ParameterSpec("SHA-512"), 64, 1));
        }
    }

    public static class g extends z0 {
        public g() {
            super(new c0(), null, true);
        }
    }

    protected z0(org.bouncycastle2.crypto.a aVar, PSSParameterSpec pSSParameterSpec) {
        this(aVar, pSSParameterSpec, false);
    }

    private byte a(int i7) {
        if (i7 == 1) {
            return org.bouncycastle2.crypto.signers.g.f24121l;
        }
        throw new IllegalArgumentException("unknown trailer field");
    }

    private void b() {
        this.f24601e = this.f24605i ? new u5.a() : this.f24602f;
    }

    /* access modifiers changed from: protected */
    @Override // java.security.SignatureSpi
    public Object engineGetParameter(String str) {
        throw new UnsupportedOperationException("engineGetParameter unsupported");
    }

    /* access modifiers changed from: protected */
    public AlgorithmParameters engineGetParameters() {
        if (this.f24597a == null && this.f24598b != null) {
            try {
                AlgorithmParameters instance = AlgorithmParameters.getInstance("PSS", "BC2");
                this.f24597a = instance;
                instance.init(this.f24598b);
            } catch (Exception e7) {
                throw new RuntimeException(e7.toString());
            }
        }
        return this.f24597a;
    }

    /* access modifiers changed from: protected */
    @Override // java.security.SignatureSpi
    public void engineInitSign(PrivateKey privateKey) throws InvalidKeyException {
        if (privateKey instanceof RSAPrivateKey) {
            org.bouncycastle2.crypto.signers.g gVar = new org.bouncycastle2.crypto.signers.g(this.f24600d, this.f24601e, this.f24602f, this.f24603g, this.f24604h);
            this.f24606j = gVar;
            gVar.a(true, r1.a((RSAPrivateKey) privateKey));
            return;
        }
        throw new InvalidKeyException("Supplied key is not a RSAPrivateKey instance");
    }

    /* access modifiers changed from: protected */
    @Override // java.security.SignatureSpi
    public void engineInitVerify(PublicKey publicKey) throws InvalidKeyException {
        if (publicKey instanceof RSAPublicKey) {
            org.bouncycastle2.crypto.signers.g gVar = new org.bouncycastle2.crypto.signers.g(this.f24600d, this.f24601e, this.f24602f, this.f24603g, this.f24604h);
            this.f24606j = gVar;
            gVar.a(false, r1.b((RSAPublicKey) publicKey));
            return;
        }
        throw new InvalidKeyException("Supplied key is not a RSAPublicKey instance");
    }

    /* access modifiers changed from: protected */
    @Override // java.security.SignatureSpi
    public void engineSetParameter(String str, Object obj) {
        throw new UnsupportedOperationException("engineSetParameter unsupported");
    }

    /* access modifiers changed from: protected */
    @Override // java.security.SignatureSpi
    public byte[] engineSign() throws SignatureException {
        try {
            return this.f24606j.f();
        } catch (j e7) {
            throw new SignatureException(e7.getMessage());
        }
    }

    /* access modifiers changed from: protected */
    @Override // java.security.SignatureSpi
    public void engineUpdate(byte b7) throws SignatureException {
        this.f24606j.e(b7);
    }

    /* access modifiers changed from: protected */
    @Override // java.security.SignatureSpi
    public boolean engineVerify(byte[] bArr) throws SignatureException {
        return this.f24606j.c(bArr);
    }

    protected z0(org.bouncycastle2.crypto.a aVar, PSSParameterSpec pSSParameterSpec, boolean z7) {
        this.f24600d = aVar;
        this.f24599c = pSSParameterSpec;
        if (pSSParameterSpec == null) {
            this.f24598b = PSSParameterSpec.DEFAULT;
        } else {
            this.f24598b = pSSParameterSpec;
        }
        this.f24602f = t.a(this.f24598b.getDigestAlgorithm());
        this.f24603g = this.f24598b.getSaltLength();
        this.f24604h = a(this.f24598b.getTrailerField());
        this.f24605i = z7;
        b();
    }

    /* access modifiers changed from: protected */
    @Override // java.security.SignatureSpi
    public void engineInitSign(PrivateKey privateKey, SecureRandom secureRandom) throws InvalidKeyException {
        if (privateKey instanceof RSAPrivateKey) {
            org.bouncycastle2.crypto.signers.g gVar = new org.bouncycastle2.crypto.signers.g(this.f24600d, this.f24601e, this.f24602f, this.f24603g, this.f24604h);
            this.f24606j = gVar;
            gVar.a(true, new o0(r1.a((RSAPrivateKey) privateKey), secureRandom));
            return;
        }
        throw new InvalidKeyException("Supplied key is not a RSAPrivateKey instance");
    }

    /* access modifiers changed from: protected */
    @Override // java.security.SignatureSpi
    public void engineSetParameter(AlgorithmParameterSpec algorithmParameterSpec) throws InvalidParameterException {
        if (algorithmParameterSpec instanceof PSSParameterSpec) {
            PSSParameterSpec pSSParameterSpec = (PSSParameterSpec) algorithmParameterSpec;
            PSSParameterSpec pSSParameterSpec2 = this.f24599c;
            if (pSSParameterSpec2 != null && !t.c(pSSParameterSpec2.getDigestAlgorithm(), pSSParameterSpec.getDigestAlgorithm())) {
                throw new InvalidParameterException("parameter must be using " + this.f24599c.getDigestAlgorithm());
            } else if (!pSSParameterSpec.getMGFAlgorithm().equalsIgnoreCase("MGF1") && !pSSParameterSpec.getMGFAlgorithm().equals(m.f22553t0.m())) {
                throw new InvalidParameterException("unknown mask generation function specified");
            } else if (pSSParameterSpec.getMGFParameters() instanceof MGF1ParameterSpec) {
                MGF1ParameterSpec mGF1ParameterSpec = (MGF1ParameterSpec) pSSParameterSpec.getMGFParameters();
                if (t.c(mGF1ParameterSpec.getDigestAlgorithm(), pSSParameterSpec.getDigestAlgorithm())) {
                    o a8 = t.a(mGF1ParameterSpec.getDigestAlgorithm());
                    if (a8 != null) {
                        this.f24597a = null;
                        this.f24598b = pSSParameterSpec;
                        this.f24602f = a8;
                        this.f24603g = pSSParameterSpec.getSaltLength();
                        this.f24604h = a(this.f24598b.getTrailerField());
                        b();
                        return;
                    }
                    throw new InvalidParameterException("no match on MGF digest algorithm: " + mGF1ParameterSpec.getDigestAlgorithm());
                }
                throw new InvalidParameterException("digest algorithm for MGF should be the same as for PSS parameters.");
            } else {
                throw new InvalidParameterException("unkown MGF parameters");
            }
        } else {
            throw new InvalidParameterException("Only PSSParameterSpec supported");
        }
    }

    /* access modifiers changed from: protected */
    @Override // java.security.SignatureSpi
    public void engineUpdate(byte[] bArr, int i7, int i8) throws SignatureException {
        this.f24606j.d(bArr, i7, i8);
    }
}
