package org.bouncycastle2.openpgp;

import com.google.common.base.Ascii;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.OutputStream;
import java.security.InvalidKeyException;
import java.security.NoSuchProviderException;
import java.security.Provider;
import java.security.Signature;
import java.security.SignatureException;
import java.util.Date;
import org.bouncycastle2.asn1.d;
import org.bouncycastle2.asn1.f1;
import org.bouncycastle2.asn1.w0;
import org.bouncycastle2.bcpg.c;
import org.bouncycastle2.bcpg.f;
import org.bouncycastle2.bcpg.h0;
import org.bouncycastle2.bcpg.i0;
import org.bouncycastle2.bcpg.p0;
import org.bouncycastle2.bcpg.r0;
import org.bouncycastle2.bcpg.s;
import v5.b;
import v5.h;

public class a0 {

    /* renamed from: f  reason: collision with root package name */
    public static final int f24706f = 0;

    /* renamed from: g  reason: collision with root package name */
    public static final int f24707g = 1;

    /* renamed from: h  reason: collision with root package name */
    public static final int f24708h = 2;

    /* renamed from: i  reason: collision with root package name */
    public static final int f24709i = 16;

    /* renamed from: j  reason: collision with root package name */
    public static final int f24710j = 17;

    /* renamed from: k  reason: collision with root package name */
    public static final int f24711k = 18;

    /* renamed from: l  reason: collision with root package name */
    public static final int f24712l = 19;

    /* renamed from: m  reason: collision with root package name */
    public static final int f24713m = 24;

    /* renamed from: n  reason: collision with root package name */
    public static final int f24714n = 25;

    /* renamed from: o  reason: collision with root package name */
    public static final int f24715o = 31;

    /* renamed from: p  reason: collision with root package name */
    public static final int f24716p = 32;

    /* renamed from: q  reason: collision with root package name */
    public static final int f24717q = 40;

    /* renamed from: r  reason: collision with root package name */
    public static final int f24718r = 48;

    /* renamed from: s  reason: collision with root package name */
    public static final int f24719s = 64;

    /* renamed from: a  reason: collision with root package name */
    private h0 f24720a;

    /* renamed from: b  reason: collision with root package name */
    private Signature f24721b;

    /* renamed from: c  reason: collision with root package name */
    private int f24722c;

    /* renamed from: d  reason: collision with root package name */
    private p0 f24723d;

    /* renamed from: e  reason: collision with root package name */
    private byte f24724e;

    a0(c cVar) throws IOException, g {
        this((h0) cVar.d());
    }

    private e0 a(i0[] i0VarArr) {
        if (i0VarArr != null) {
            return new e0(i0VarArr);
        }
        return null;
    }

    private byte[] e(t tVar) throws g {
        try {
            return tVar.f24809f.d();
        } catch (IOException e7) {
            throw new g("exception preparing key.", e7);
        }
    }

    private void j(Provider provider) throws g {
        try {
            this.f24721b = Signature.getInstance(g0.h(this.f24720a.f(), this.f24720a.d()), provider);
        } catch (Exception e7) {
            throw new g("can't set up signature object.", e7);
        }
    }

    private void v(int i7, byte[] bArr) throws SignatureException {
        s((byte) i7);
        s((byte) (bArr.length >> 24));
        s((byte) (bArr.length >> 16));
        s((byte) (bArr.length >> 8));
        s((byte) bArr.length);
        t(bArr);
    }

    private void w(t tVar) throws g, SignatureException {
        byte[] e7 = e(tVar);
        s((byte) -103);
        s((byte) (e7.length >> 8));
        s((byte) e7.length);
        t(e7);
    }

    public boolean A(t tVar, t tVar2) throws SignatureException, g {
        w(tVar);
        w(tVar2);
        t(this.f24720a.j());
        return this.f24721b.verify(k());
    }

    public boolean B(f0 f0Var, t tVar) throws g, SignatureException {
        w(tVar);
        try {
            ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
            r0[] c7 = f0Var.c();
            for (int i7 = 0; i7 != c7.length; i7++) {
                c7[i7].a(byteArrayOutputStream);
            }
            v(209, byteArrayOutputStream.toByteArray());
            t(this.f24720a.j());
            return this.f24721b.verify(k());
        } catch (IOException e7) {
            throw new g("cannot encode subpacket array", e7);
        }
    }

    public void b(OutputStream outputStream) throws IOException {
        f fVar = outputStream instanceof f ? (f) outputStream : new f(outputStream);
        fVar.g(this.f24720a);
        p0 p0Var = this.f24723d;
        if (p0Var != null) {
            fVar.g(p0Var);
        }
    }

    public Date c() {
        return new Date(this.f24720a.c());
    }

    public byte[] d() throws IOException {
        ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
        b(byteArrayOutputStream);
        return byteArrayOutputStream.toByteArray();
    }

    public int f() {
        return this.f24720a.d();
    }

    public e0 g() {
        return a(this.f24720a.e());
    }

    public int h() {
        return this.f24720a.f();
    }

    public long i() {
        return this.f24720a.g();
    }

    public byte[] k() throws g {
        s[] h7 = this.f24720a.h();
        if (h7 == null) {
            return this.f24720a.i();
        }
        if (h7.length == 1) {
            return b.a(h7[0].b());
        }
        try {
            d dVar = new d();
            dVar.a(new w0(h7[0].b()));
            dVar.a(new w0(h7[1].b()));
            return new f1(dVar).g();
        } catch (IOException e7) {
            throw new g("exception encoding DSA sig.", e7);
        }
    }

    public byte[] l() {
        return this.f24720a.j();
    }

    public int m() {
        return this.f24720a.k();
    }

    public e0 n() {
        return a(this.f24720a.l());
    }

    public int o() {
        return this.f24720a.m();
    }

    public boolean p() {
        return (this.f24720a.e() == null && this.f24720a.l() == null) ? false : true;
    }

    public void q(t tVar, String str) throws NoSuchProviderException, g {
        r(tVar, g0.f(str));
    }

    public void r(t tVar, Provider provider) throws g {
        if (this.f24721b == null) {
            j(provider);
        }
        try {
            this.f24721b.initVerify(tVar.m(provider));
            this.f24724e = 0;
        } catch (InvalidKeyException e7) {
            throw new g("invalid key.", e7);
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:7:0x001a, code lost:
        if (r3.f24724e != 13) goto L_0x000b;
     */
    public void s(byte b7) throws SignatureException {
        if (this.f24722c == 1) {
            if (b7 != 13) {
                if (b7 != 10) {
                    this.f24721b.update(b7);
                }
                this.f24724e = b7;
                return;
            }
            this.f24721b.update(Ascii.CR);
            this.f24721b.update((byte) 10);
            this.f24724e = b7;
            return;
        }
        this.f24721b.update(b7);
    }

    public void t(byte[] bArr) throws SignatureException {
        u(bArr, 0, bArr.length);
    }

    public void u(byte[] bArr, int i7, int i8) throws SignatureException {
        if (this.f24722c == 1) {
            int i9 = i7 + i8;
            while (i7 != i9) {
                s(bArr[i7]);
                i7++;
            }
            return;
        }
        this.f24721b.update(bArr, i7, i8);
    }

    public boolean x() throws g, SignatureException {
        this.f24721b.update(l());
        return this.f24721b.verify(k());
    }

    public boolean y(String str, t tVar) throws g, SignatureException {
        w(tVar);
        v(180, h.c(str));
        t(this.f24720a.j());
        return this.f24721b.verify(k());
    }

    public boolean z(t tVar) throws SignatureException, g {
        if (m() == 32 || m() == 40) {
            w(tVar);
            t(this.f24720a.j());
            return this.f24721b.verify(k());
        }
        throw new IllegalStateException("signature is not a key signature");
    }

    a0(h0 h0Var) throws g {
        this.f24720a = h0Var;
        this.f24722c = h0Var.k();
        this.f24723d = null;
    }

    a0(h0 h0Var, p0 p0Var) throws g {
        this(h0Var);
        this.f24723d = p0Var;
    }
}
