package org.bouncycastle2.openpgp;

import com.google.common.base.Ascii;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.math.BigInteger;
import java.security.InvalidKeyException;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.security.NoSuchProviderException;
import java.security.Provider;
import java.security.SecureRandom;
import java.security.Signature;
import java.security.SignatureException;
import java.util.Date;
import org.bouncycastle2.bcpg.h0;
import org.bouncycastle2.bcpg.i0;
import org.bouncycastle2.bcpg.r0;
import org.bouncycastle2.bcpg.s;
import org.bouncycastle2.bcpg.sig.c;
import org.bouncycastle2.bcpg.sig.j;
import org.bouncycastle2.bcpg.v;
import v5.h;

public class b0 {

    /* renamed from: a  reason: collision with root package name */
    private int f24730a;

    /* renamed from: b  reason: collision with root package name */
    private int f24731b;

    /* renamed from: c  reason: collision with root package name */
    private s f24732c;

    /* renamed from: d  reason: collision with root package name */
    private Signature f24733d;

    /* renamed from: e  reason: collision with root package name */
    private MessageDigest f24734e;

    /* renamed from: f  reason: collision with root package name */
    private int f24735f;

    /* renamed from: g  reason: collision with root package name */
    private byte f24736g;

    /* renamed from: h  reason: collision with root package name */
    i0[] f24737h;

    /* renamed from: i  reason: collision with root package name */
    i0[] f24738i;

    public b0(int i7, int i8, String str) throws NoSuchAlgorithmException, NoSuchProviderException, g {
        this(i7, str, i8, str);
    }

    private byte[] g(t tVar) throws g {
        try {
            return tVar.f24809f.d();
        } catch (IOException e7) {
            throw new g("exception preparing key.", e7);
        }
    }

    private i0[] j(i0[] i0VarArr, i0 i0Var) {
        i0[] i0VarArr2 = new i0[(i0VarArr.length + 1)];
        i0VarArr2[0] = i0Var;
        System.arraycopy(i0VarArr, 0, i0VarArr2, 1, i0VarArr.length);
        return i0VarArr2;
    }

    private boolean k(i0[] i0VarArr, int i7) {
        for (int i8 = 0; i8 != i0VarArr.length; i8++) {
            if (i0VarArr[i8].c() == i7) {
                return true;
            }
        }
        return false;
    }

    private void q(int i7, byte[] bArr) throws SignatureException {
        n((byte) i7);
        n((byte) (bArr.length >> 24));
        n((byte) (bArr.length >> 16));
        n((byte) (bArr.length >> 8));
        n((byte) bArr.length);
        o(bArr);
    }

    private void r(t tVar) throws g, SignatureException {
        byte[] g7 = g(tVar);
        n((byte) -103);
        n((byte) (g7.length >> 8));
        n((byte) g7.length);
        o(g7);
    }

    public a0 a() throws g, SignatureException {
        ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
        i0[] j7 = !k(this.f24738i, 2) ? j(this.f24738i, new j(false, new Date())) : this.f24738i;
        i0[] j8 = (k(this.f24738i, 16) || k(this.f24737h, 16)) ? this.f24737h : j(this.f24737h, new c(false, this.f24732c.b()));
        byte b7 = (byte) 4;
        try {
            byteArrayOutputStream.write(b7);
            byteArrayOutputStream.write((byte) this.f24735f);
            byteArrayOutputStream.write((byte) this.f24730a);
            byteArrayOutputStream.write((byte) this.f24731b);
            ByteArrayOutputStream byteArrayOutputStream2 = new ByteArrayOutputStream();
            for (int i7 = 0; i7 != j7.length; i7++) {
                j7[i7].a(byteArrayOutputStream2);
            }
            byte[] byteArray = byteArrayOutputStream2.toByteArray();
            byteArrayOutputStream.write((byte) (byteArray.length >> 8));
            byteArrayOutputStream.write((byte) byteArray.length);
            byteArrayOutputStream.write(byteArray);
            byte[] byteArray2 = byteArrayOutputStream.toByteArray();
            byteArrayOutputStream.write(b7);
            byteArrayOutputStream.write(-1);
            byteArrayOutputStream.write((byte) (byteArray2.length >> 24));
            byteArrayOutputStream.write((byte) (byteArray2.length >> 16));
            byteArrayOutputStream.write((byte) (byteArray2.length >> 8));
            byteArrayOutputStream.write((byte) byteArray2.length);
            byte[] byteArray3 = byteArrayOutputStream.toByteArray();
            this.f24733d.update(byteArray3);
            this.f24734e.update(byteArray3);
            int i8 = this.f24730a;
            s[] a8 = (i8 == 3 || i8 == 1) ? new s[]{new s(new BigInteger(1, this.f24733d.sign()))} : g0.a(this.f24733d.sign());
            byte[] digest = this.f24734e.digest();
            return new a0(new h0(this.f24735f, this.f24732c.b(), this.f24730a, this.f24731b, j7, j8, new byte[]{digest[0], digest[1]}, a8));
        } catch (IOException e7) {
            throw new g("exception encoding hashed data.", e7);
        }
    }

    public a0 b(String str, t tVar) throws SignatureException, g {
        r(tVar);
        q(180, h.c(str));
        return a();
    }

    public a0 c(t tVar) throws SignatureException, g {
        r(tVar);
        return a();
    }

    public a0 d(t tVar, t tVar2) throws SignatureException, g {
        r(tVar);
        r(tVar2);
        return a();
    }

    public a0 e(f0 f0Var, t tVar) throws SignatureException, g {
        r(tVar);
        try {
            ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
            r0[] c7 = f0Var.c();
            for (int i7 = 0; i7 != c7.length; i7++) {
                c7[i7].a(byteArrayOutputStream);
            }
            q(209, byteArrayOutputStream.toByteArray());
            return a();
        } catch (IOException e7) {
            throw new g("cannot encode subpacket array", e7);
        }
    }

    public p f(boolean z7) throws g {
        return new p(new v(this.f24735f, this.f24731b, this.f24730a, this.f24732c.b(), z7));
    }

    public void h(int i7, s sVar) throws g {
        i(i7, sVar, null);
    }

    public void i(int i7, s sVar, SecureRandom secureRandom) throws g {
        this.f24732c = sVar;
        this.f24735f = i7;
        if (secureRandom == null) {
            try {
                this.f24733d.initSign(sVar.a());
            } catch (InvalidKeyException e7) {
                throw new g("invalid key.", e7);
            }
        } else {
            this.f24733d.initSign(sVar.a(), secureRandom);
        }
        this.f24734e.reset();
        this.f24736g = 0;
    }

    public void l(e0 e0Var) {
        if (e0Var == null) {
            this.f24738i = new i0[0];
        } else {
            this.f24738i = e0Var.q();
        }
    }

    public void m(e0 e0Var) {
        if (e0Var == null) {
            this.f24737h = new i0[0];
        } else {
            this.f24737h = e0Var.q();
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:7:0x0024, code lost:
        if (r3.f24736g != 13) goto L_0x000b;
     */
    public void n(byte b7) throws SignatureException {
        if (this.f24735f == 1) {
            if (b7 != 13) {
                if (b7 != 10) {
                    this.f24733d.update(b7);
                    this.f24734e.update(b7);
                }
                this.f24736g = b7;
                return;
            }
            this.f24733d.update(Ascii.CR);
            this.f24733d.update((byte) 10);
            this.f24734e.update(Ascii.CR);
            this.f24734e.update((byte) 10);
            this.f24736g = b7;
            return;
        }
        this.f24733d.update(b7);
        this.f24734e.update(b7);
    }

    public void o(byte[] bArr) throws SignatureException {
        p(bArr, 0, bArr.length);
    }

    public void p(byte[] bArr, int i7, int i8) throws SignatureException {
        if (this.f24735f == 1) {
            int i9 = i7 + i8;
            while (i7 != i9) {
                n(bArr[i7]);
                i7++;
            }
            return;
        }
        this.f24733d.update(bArr, i7, i8);
        this.f24734e.update(bArr, i7, i8);
    }

    public b0(int i7, int i8, Provider provider) throws NoSuchAlgorithmException, g {
        this(i7, provider, i8, provider);
    }

    public b0(int i7, String str, int i8, String str2) throws NoSuchAlgorithmException, NoSuchProviderException, g {
        this(i7, g0.f(str), i8, g0.f(str2));
    }

    public b0(int i7, Provider provider, int i8, Provider provider2) throws NoSuchAlgorithmException, g {
        this.f24737h = new i0[0];
        this.f24738i = new i0[0];
        this.f24730a = i7;
        this.f24731b = i8;
        this.f24734e = g0.d(g0.e(i8), provider2);
        this.f24733d = Signature.getInstance(g0.h(i7, i8), provider);
    }
}
