package org.bouncycastle2.openpgp;

import java.io.IOException;
import java.io.OutputStream;
import java.math.BigInteger;
import java.security.DigestOutputStream;
import java.security.Key;
import java.security.MessageDigest;
import java.security.NoSuchProviderException;
import java.security.Provider;
import java.security.SecureRandom;
import java.security.Security;
import java.util.ArrayList;
import java.util.List;
import javax.crypto.Cipher;
import javax.crypto.CipherOutputStream;
import javax.crypto.spec.IvParameterSpec;
import org.bouncycastle2.bcpg.e0;
import org.bouncycastle2.bcpg.f;
import org.bouncycastle2.bcpg.j;
import org.bouncycastle2.bcpg.n0;
import org.bouncycastle2.bcpg.o0;
import org.bouncycastle2.bcpg.z;

public class e implements n0, i0 {
    private DigestOutputStream C1;
    private List C2;
    private int U5;
    private SecureRandom V5;
    private Provider W5;

    /* renamed from: f  reason: collision with root package name */
    private f f24748f;

    /* renamed from: g  reason: collision with root package name */
    private CipherOutputStream f24749g;

    /* renamed from: p  reason: collision with root package name */
    private Cipher f24750p;

    /* renamed from: x  reason: collision with root package name */
    private boolean f24751x;

    /* renamed from: y  reason: collision with root package name */
    private boolean f24752y;

    /* access modifiers changed from: private */
    public abstract class a extends j {

        /* renamed from: f  reason: collision with root package name */
        protected byte[] f24753f;

        /* renamed from: g  reason: collision with root package name */
        protected int f24754g;

        /* renamed from: p  reason: collision with root package name */
        protected Key f24755p;

        private a() {
        }

        public abstract void c(byte[] bArr) throws Exception;

        /* synthetic */ a(e eVar, a aVar) {
            this();
        }
    }

    /* access modifiers changed from: private */
    public class b extends a {

        /* renamed from: y  reason: collision with root package name */
        e0 f24757y;

        b(int i7, e0 e0Var, Key key) {
            super(e.this, null);
            this.f24754g = i7;
            this.f24757y = e0Var;
            this.f24755p = key;
        }

        @Override // org.bouncycastle2.bcpg.j
        public void a(f fVar) throws IOException {
            fVar.g(new o0(this.f24754g, this.f24757y, this.f24753f));
        }

        @Override // org.bouncycastle2.openpgp.e.a
        public void c(byte[] bArr) throws Exception {
            Cipher instance = Cipher.getInstance(String.valueOf(g0.i(this.f24754g)) + "/CFB/NoPadding", e.this.W5);
            instance.init(1, this.f24755p, new IvParameterSpec(new byte[instance.getBlockSize()]), e.this.V5);
            this.f24753f = instance.doFinal(bArr, 0, bArr.length + -2);
        }

        public Key d() {
            return this.f24755p;
        }
    }

    /* access modifiers changed from: private */
    public class c extends a {
        BigInteger[] C1;

        /* renamed from: y  reason: collision with root package name */
        t f24758y;

        c(t tVar) {
            super(e.this, null);
            this.f24758y = tVar;
        }

        @Override // org.bouncycastle2.bcpg.j
        public void a(f fVar) throws IOException {
            fVar.g(new z(this.f24758y.n(), this.f24758y.f(), this.C1));
        }

        @Override // org.bouncycastle2.openpgp.e.a
        public void c(byte[] bArr) throws Exception {
            String str;
            Provider provider;
            int f7 = this.f24758y.f();
            if (f7 == 1 || f7 == 2) {
                provider = e.this.W5;
                str = "RSA/ECB/PKCS1Padding";
            } else {
                if (f7 != 16) {
                    if (f7 == 17) {
                        throw new g("Can't use DSA for encryption.");
                    } else if (f7 == 19) {
                        throw new g("Can't use ECDSA for encryption.");
                    } else if (f7 != 20) {
                        throw new g("unknown asymmetric algorithm: " + this.f24758y.f());
                    }
                }
                provider = e.this.W5;
                str = "ElGamal/ECB/PKCS1Padding";
            }
            Cipher instance = Cipher.getInstance(str, provider);
            instance.init(1, this.f24758y.m(e.this.W5), e.this.V5);
            byte[] doFinal = instance.doFinal(bArr);
            int f8 = this.f24758y.f();
            if (f8 == 1 || f8 == 2) {
                BigInteger[] bigIntegerArr = new BigInteger[1];
                this.C1 = bigIntegerArr;
                bigIntegerArr[0] = new BigInteger(1, doFinal);
            } else if (f8 == 16 || f8 == 20) {
                int length = doFinal.length / 2;
                byte[] bArr2 = new byte[length];
                int length2 = doFinal.length / 2;
                byte[] bArr3 = new byte[length2];
                System.arraycopy(doFinal, 0, bArr2, 0, length);
                System.arraycopy(doFinal, length, bArr3, 0, length2);
                BigInteger[] bigIntegerArr2 = new BigInteger[2];
                this.C1 = bigIntegerArr2;
                bigIntegerArr2[0] = new BigInteger(1, bArr2);
                this.C1[1] = new BigInteger(1, bArr3);
            } else {
                throw new g("unknown asymmetric algorithm: " + this.f24754g);
            }
        }
    }

    public e(int i7, SecureRandom secureRandom, String str) {
        this(i7, secureRandom, Security.getProvider(str));
    }

    private void c(byte[] bArr) {
        int i7 = 0;
        for (int i8 = 1; i8 != bArr.length - 2; i8++) {
            i7 += bArr[i8] & 255;
        }
        bArr[bArr.length - 2] = (byte) (i7 >> 8);
        bArr[bArr.length - 1] = (byte) i7;
    }

    private byte[] f(int i7, Key key) {
        byte[] encoded = key.getEncoded();
        byte[] bArr = new byte[(encoded.length + 3)];
        bArr[0] = (byte) i7;
        System.arraycopy(encoded, 0, bArr, 1, encoded.length);
        c(bArr);
        return bArr;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r9v11, resolved type: java.security.DigestOutputStream */
    /* JADX WARN: Multi-variable type inference failed */
    private OutputStream h(OutputStream outputStream, long j7, byte[] bArr) throws IOException, g, IllegalStateException {
        Key key;
        if (this.f24749g != null) {
            throw new IllegalStateException("generator already in open state");
        } else if (this.C2.size() == 0) {
            throw new IllegalStateException("no encryption methods specified");
        } else if (this.W5 != null) {
            this.f24748f = new f(outputStream);
            if (this.C2.size() == 1) {
                if (this.C2.get(0) instanceof b) {
                    key = ((b) this.C2.get(0)).d();
                } else {
                    key = g0.n(this.U5, this.V5);
                    try {
                        ((c) this.C2.get(0)).c(f(this.U5, key));
                    } catch (Exception e7) {
                        throw new g("exception encrypting session key", e7);
                    }
                }
                this.f24748f.g((j) this.C2.get(0));
            } else {
                key = g0.n(this.U5, this.V5);
                byte[] f7 = f(this.U5, key);
                for (int i7 = 0; i7 != this.C2.size(); i7++) {
                    a aVar = (a) this.C2.get(i7);
                    try {
                        aVar.c(f7);
                        this.f24748f.g(aVar);
                    } catch (Exception e8) {
                        throw new g("exception encrypting session key", e8);
                    }
                }
            }
            String i8 = g0.i(this.U5);
            if (i8 != null) {
                try {
                    this.f24750p = this.f24751x ? Cipher.getInstance(i8 + "/CFB/NoPadding", this.W5) : Cipher.getInstance(i8 + "/OpenPGPCFB/NoPadding", this.W5);
                    this.f24750p.init(1, key, new IvParameterSpec(new byte[this.f24750p.getBlockSize()]), this.V5);
                    if (bArr == null) {
                        if (this.f24751x) {
                            f fVar = new f(outputStream, 18, j7 + ((long) this.f24750p.getBlockSize()) + 2 + 1 + 22);
                            this.f24748f = fVar;
                            fVar.write(1);
                        } else {
                            this.f24748f = new f(outputStream, 9, j7 + ((long) this.f24750p.getBlockSize()) + 2, this.f24752y);
                        }
                    } else if (this.f24751x) {
                        f fVar2 = new f(outputStream, 18, bArr);
                        this.f24748f = fVar2;
                        fVar2.write(1);
                    } else {
                        this.f24748f = new f(outputStream, 9, bArr);
                    }
                    CipherOutputStream cipherOutputStream = new CipherOutputStream(this.f24748f, this.f24750p);
                    this.f24749g = cipherOutputStream;
                    if (this.f24751x) {
                        DigestOutputStream digestOutputStream = new DigestOutputStream(this.f24749g, MessageDigest.getInstance(g0.e(2), this.W5));
                        this.C1 = digestOutputStream;
                        cipherOutputStream = digestOutputStream;
                    }
                    int blockSize = this.f24750p.getBlockSize() + 2;
                    byte[] bArr2 = new byte[blockSize];
                    this.V5.nextBytes(bArr2);
                    bArr2[blockSize - 1] = bArr2[blockSize - 3];
                    bArr2[blockSize - 2] = bArr2[blockSize - 4];
                    cipherOutputStream.write(bArr2);
                    return new j0(cipherOutputStream, this);
                } catch (Exception e9) {
                    throw new g("Exception creating cipher", e9);
                }
            } else {
                throw new g("null cipher specified");
            }
        } else {
            throw new IllegalStateException("provider resolves to null");
        }
    }

    @Override // org.bouncycastle2.openpgp.i0
    public void close() throws IOException {
        if (this.f24749g != null) {
            if (this.C1 != null) {
                new f(this.C1, 19, 20).flush();
                this.C1.flush();
                this.f24749g.write(this.C1.getMessageDigest().digest());
            }
            this.f24749g.flush();
            try {
                this.f24748f.write(this.f24750p.doFinal());
                this.f24748f.a();
                this.f24749g = null;
                this.f24748f = null;
            } catch (Exception e7) {
                throw new IOException(e7.toString());
            }
        }
    }

    public void d(t tVar) throws NoSuchProviderException, g {
        if (!tVar.z()) {
            throw new IllegalArgumentException("passed in key not an encryption key!");
        } else if (this.W5 != null) {
            this.C2.add(new c(tVar));
        } else {
            throw new NoSuchProviderException("unable to find provider.");
        }
    }

    public void e(char[] cArr) throws NoSuchProviderException, g {
        if (this.W5 != null) {
            byte[] bArr = new byte[8];
            this.V5.nextBytes(bArr);
            e0 e0Var = new e0(2, bArr, 96);
            List list = this.C2;
            int i7 = this.U5;
            list.add(new b(i7, e0Var, g0.l(i7, e0Var, cArr, this.W5)));
            return;
        }
        throw new NoSuchProviderException("unable to find provider.");
    }

    public OutputStream g(OutputStream outputStream, long j7) throws IOException, g {
        return h(outputStream, j7, null);
    }

    public OutputStream i(OutputStream outputStream, byte[] bArr) throws IOException, g {
        return h(outputStream, 0, bArr);
    }

    public e(int i7, SecureRandom secureRandom, Provider provider) {
        this.f24751x = false;
        this.f24752y = false;
        this.C2 = new ArrayList();
        this.U5 = i7;
        this.V5 = secureRandom;
        this.W5 = provider;
    }

    public e(int i7, SecureRandom secureRandom, boolean z7, String str) {
        this.f24751x = false;
        this.f24752y = false;
        this.C2 = new ArrayList();
        this.U5 = i7;
        this.V5 = secureRandom;
        this.W5 = Security.getProvider(str);
        this.f24752y = z7;
    }

    public e(int i7, SecureRandom secureRandom, boolean z7, Provider provider) {
        this.f24751x = false;
        this.f24752y = false;
        this.C2 = new ArrayList();
        this.U5 = i7;
        this.V5 = secureRandom;
        this.W5 = provider;
        this.f24752y = z7;
    }

    public e(int i7, boolean z7, SecureRandom secureRandom, String str) {
        this(i7, z7, secureRandom, Security.getProvider(str));
    }

    public e(int i7, boolean z7, SecureRandom secureRandom, Provider provider) {
        this.f24751x = false;
        this.f24752y = false;
        this.C2 = new ArrayList();
        this.U5 = i7;
        this.V5 = secureRandom;
        this.W5 = provider;
        this.f24751x = z7;
    }
}
