package org.bouncycastle2.openpgp;

import java.io.BufferedInputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.security.NoSuchProviderException;
import java.security.Provider;
import java.security.SecureRandom;
import java.security.Security;
import java.util.Date;
import javax.crypto.SecretKey;
import javax.crypto.spec.SecretKeySpec;
import org.bouncycastle2.asn1.e;
import org.bouncycastle2.asn1.m;
import org.bouncycastle2.asn1.w0;
import org.bouncycastle2.bcpg.a;
import org.bouncycastle2.bcpg.e0;
import org.bouncycastle2.bcpg.p;
import org.bouncycastle2.bcpg.s;

public class g0 implements p {

    /* renamed from: l  reason: collision with root package name */
    private static String f24764l = "BC2";

    /* renamed from: m  reason: collision with root package name */
    private static final int f24765m = 60;

    static s[] a(byte[] bArr) throws g {
        try {
            m mVar = (m) new e(bArr).h();
            return new s[]{new s(((w0) mVar.p(0)).p()), new s(((w0) mVar.p(1)).p())};
        } catch (IOException e7) {
            throw new g("exception encoding signature", e7);
        }
    }

    public static InputStream b(InputStream inputStream) throws IOException {
        if (!inputStream.markSupported()) {
            inputStream = new BufferedInputStream(inputStream);
        }
        inputStream.mark(60);
        int read = inputStream.read();
        if ((read & 128) != 0) {
            inputStream.reset();
            return inputStream;
        } else if (!j(read)) {
            inputStream.reset();
            return new a(inputStream);
        } else {
            byte[] bArr = new byte[60];
            bArr[0] = (byte) read;
            int i7 = 1;
            int i8 = 1;
            while (i7 != 60) {
                int read2 = inputStream.read();
                if (read2 < 0) {
                    break;
                } else if (!j(read2)) {
                    inputStream.reset();
                    return new a(inputStream);
                } else {
                    if (!(read2 == 10 || read2 == 13)) {
                        bArr[i8] = (byte) read2;
                        i8++;
                    }
                    i7++;
                }
            }
            inputStream.reset();
            if (i7 < 4) {
                return new a(inputStream);
            }
            byte[] bArr2 = new byte[8];
            System.arraycopy(bArr, 0, bArr2, 0, 8);
            return (org.bouncycastle2.util.encoders.a.c(bArr2)[0] & 128) != 0 ? new a(inputStream, false) : new a(inputStream);
        }
    }

    public static String c() {
        return f24764l;
    }

    static MessageDigest d(String str, Provider provider) throws NoSuchAlgorithmException {
        try {
            return MessageDigest.getInstance(str, provider);
        } catch (NoSuchAlgorithmException unused) {
            return MessageDigest.getInstance(str);
        }
    }

    static String e(int i7) throws g {
        if (i7 == 1) {
            return "MD5";
        }
        if (i7 == 2) {
            return "SHA1";
        }
        if (i7 == 3) {
            return "RIPEMD160";
        }
        if (i7 == 5) {
            return "MD2";
        }
        switch (i7) {
            case 8:
                return "SHA256";
            case 9:
                return "SHA384";
            case 10:
                return "SHA512";
            case 11:
                return "SHA224";
            default:
                throw new g("unknown hash algorithm tag in getDigestName: " + i7);
        }
    }

    static Provider f(String str) throws NoSuchProviderException {
        Provider provider = Security.getProvider(str);
        if (provider != null) {
            return provider;
        }
        throw new NoSuchProviderException("provider " + str + " not found.");
    }

    private static String g(e0 e0Var) throws g {
        int b7 = e0Var.b();
        if (b7 == 1) {
            return "MD5";
        }
        if (b7 == 2) {
            return "SHA1";
        }
        throw new g("unknown hash algorithm: " + e0Var.b());
    }

    static String h(int i7, int i8) throws g {
        String str;
        if (i7 == 1 || i7 == 3) {
            str = "RSA";
        } else if (i7 == 20 || i7 == 16) {
            str = "ElGamal";
        } else if (i7 == 17) {
            str = "DSA";
        } else {
            throw new g("unknown algorithm tag in signature:" + i7);
        }
        return String.valueOf(e(i8)) + "with" + str;
    }

    static String i(int i7) throws g {
        switch (i7) {
            case 0:
                return null;
            case 1:
                return "IDEA";
            case 2:
                return "DESEDE";
            case 3:
                return "CAST5";
            case 4:
                return "Blowfish";
            case 5:
                return "SAFER";
            case 6:
                return "DES";
            case 7:
            case 8:
            case 9:
                return "AES";
            case 10:
                return "Twofish";
            default:
                throw new g("unknown symmetric algorithm: " + i7);
        }
    }

    private static boolean j(int i7) {
        if (i7 >= 65 && i7 <= 90) {
            return true;
        }
        if (i7 < 97 || i7 > 122) {
            return (i7 >= 48 && i7 <= 57) || i7 == 43 || i7 == 47 || i7 == 13 || i7 == 10;
        }
        return true;
    }

    public static SecretKey k(int i7, e0 e0Var, char[] cArr, String str) throws g, NoSuchProviderException {
        return l(i7, e0Var, cArr, f(str));
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    /* JADX WARNING: Removed duplicated region for block: B:61:0x00f1  */
    /* JADX WARNING: Removed duplicated region for block: B:62:0x00f5  */
    public static SecretKey l(int i7, e0 e0Var, char[] cArr, Provider provider) throws g, NoSuchProviderException {
        MessageDigest messageDigest;
        byte[] digest;
        int i8;
        int i9 = 256;
        String str = "AES";
        switch (i7) {
            case 1:
                str = "IDEA";
                i9 = 128;
                break;
            case 2:
                str = "DES_EDE";
                i9 = 192;
                break;
            case 3:
                str = "CAST5";
                i9 = 128;
                break;
            case 4:
                str = "Blowfish";
                i9 = 128;
                break;
            case 5:
                str = "SAFER";
                i9 = 128;
                break;
            case 6:
                i9 = 64;
                str = "DES";
                break;
            case 7:
                i9 = 128;
                break;
            case 8:
                i9 = 192;
                break;
            case 9:
                break;
            case 10:
                str = "Twofish";
                break;
            default:
                throw new g("unknown symmetric algorithm: " + i7);
        }
        int length = cArr.length;
        byte[] bArr = new byte[length];
        for (int i10 = 0; i10 != cArr.length; i10++) {
            bArr[i10] = (byte) cArr[i10];
        }
        int i11 = (i9 + 7) / 8;
        byte[] bArr2 = new byte[i11];
        int i12 = 0;
        int i13 = 0;
        while (i12 < i11) {
            if (e0Var != null) {
                try {
                    messageDigest = d(g(e0Var), provider);
                    for (int i14 = 0; i14 != i13; i14++) {
                        messageDigest.update((byte) 0);
                    }
                    byte[] c7 = e0Var.c();
                    int f7 = e0Var.f();
                    if (f7 != 0) {
                        if (f7 == 1) {
                            messageDigest.update(c7);
                        } else if (f7 == 3) {
                            long d7 = e0Var.d();
                            messageDigest.update(c7);
                            messageDigest.update(bArr);
                            long length2 = (long) (c7.length + length);
                            while (true) {
                                long j7 = d7 - length2;
                                while (true) {
                                    if (j7 > 0) {
                                        if (j7 < ((long) c7.length)) {
                                            messageDigest.update(c7, 0, (int) j7);
                                        } else {
                                            messageDigest.update(c7);
                                            d7 = j7 - ((long) c7.length);
                                            length2 = (long) length;
                                            if (d7 < length2) {
                                                messageDigest.update(bArr, 0, (int) d7);
                                                j7 = 0;
                                            } else {
                                                messageDigest.update(bArr);
                                            }
                                        }
                                    }
                                }
                            }
                            digest = messageDigest.digest();
                            i8 = i11 - i12;
                            if (digest.length <= i8) {
                                System.arraycopy(digest, 0, bArr2, i12, i8);
                            } else {
                                System.arraycopy(digest, 0, bArr2, i12, digest.length);
                            }
                            i12 += digest.length;
                            i13++;
                        } else {
                            throw new g("unknown S2K type: " + e0Var.f());
                        }
                    }
                } catch (NoSuchAlgorithmException e7) {
                    throw new g("can't find S2K digest", e7);
                }
            } else {
                try {
                    messageDigest = d("MD5", provider);
                    for (int i15 = 0; i15 != i13; i15++) {
                        messageDigest.update((byte) 0);
                    }
                } catch (NoSuchAlgorithmException e8) {
                    throw new g("can't find MD5 digest", e8);
                }
            }
            messageDigest.update(bArr);
            digest = messageDigest.digest();
            i8 = i11 - i12;
            if (digest.length <= i8) {
            }
            i12 += digest.length;
            i13++;
        }
        for (int i16 = 0; i16 != length; i16++) {
            bArr[i16] = 0;
        }
        return new SecretKeySpec(bArr2, str);
    }

    public static SecretKey m(int i7, char[] cArr, String str) throws NoSuchProviderException, g {
        return k(i7, null, cArr, str);
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    public static SecretKey n(int i7, SecureRandom secureRandom) throws g {
        int i8 = 256;
        String str = "AES";
        switch (i7) {
            case 1:
                str = "IDEA";
                i8 = 128;
                break;
            case 2:
                str = "DES_EDE";
                i8 = 192;
                break;
            case 3:
                str = "CAST5";
                i8 = 128;
                break;
            case 4:
                str = "Blowfish";
                i8 = 128;
                break;
            case 5:
                str = "SAFER";
                i8 = 128;
                break;
            case 6:
                i8 = 64;
                str = "DES";
                break;
            case 7:
                i8 = 128;
                break;
            case 8:
                i8 = 192;
                break;
            case 9:
                break;
            case 10:
                str = "Twofish";
                break;
            default:
                throw new g("unknown symmetric algorithm: " + i7);
        }
        byte[] bArr = new byte[((i8 + 7) / 8)];
        secureRandom.nextBytes(bArr);
        return new SecretKeySpec(bArr, str);
    }

    public static void o(String str) {
        f24764l = str;
    }

    public static void p(OutputStream outputStream, char c7, File file) throws IOException {
        m mVar = new m();
        OutputStream b7 = mVar.b(outputStream, c7, file.getName(), file.length(), new Date(file.lastModified()));
        FileInputStream fileInputStream = new FileInputStream(file);
        byte[] bArr = new byte[4096];
        while (true) {
            int read = fileInputStream.read(bArr);
            if (read <= 0) {
                mVar.close();
                fileInputStream.close();
                return;
            }
            b7.write(bArr, 0, read);
        }
    }

    public static void q(OutputStream outputStream, char c7, File file, byte[] bArr) throws IOException {
        m mVar = new m();
        OutputStream c8 = mVar.c(outputStream, c7, file.getName(), new Date(file.lastModified()), bArr);
        FileInputStream fileInputStream = new FileInputStream(file);
        byte[] bArr2 = new byte[bArr.length];
        while (true) {
            int read = fileInputStream.read(bArr2);
            if (read <= 0) {
                mVar.close();
                fileInputStream.close();
                return;
            }
            c8.write(bArr2, 0, read);
        }
    }
}
