package org.bouncycastle2.openpgp;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.OutputStream;
import java.math.BigInteger;
import java.security.KeyFactory;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.security.NoSuchProviderException;
import java.security.Provider;
import java.security.PublicKey;
import java.security.interfaces.DSAParams;
import java.security.interfaces.DSAPublicKey;
import java.security.interfaces.RSAPublicKey;
import java.security.spec.DSAPublicKeySpec;
import java.security.spec.RSAPublicKeySpec;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Date;
import java.util.Iterator;
import java.util.List;
import org.bouncycastle2.bcpg.a0;
import org.bouncycastle2.bcpg.c0;
import org.bouncycastle2.bcpg.d;
import org.bouncycastle2.bcpg.f;
import org.bouncycastle2.bcpg.j;
import org.bouncycastle2.bcpg.k;
import org.bouncycastle2.bcpg.m;
import org.bouncycastle2.bcpg.p0;
import org.bouncycastle2.bcpg.q0;
import org.bouncycastle2.bcpg.s;
import org.bouncycastle2.bcpg.u0;
import org.bouncycastle2.bcpg.y;
import org.bouncycastle2.jce.spec.h;
import s5.i;
import v5.a;

public class t implements y {
    private static final int[] X5 = {19, 18, 17, 16};
    List C1;
    List C2;
    private long U5;
    private byte[] V5;
    private int W5;

    /* renamed from: f  reason: collision with root package name */
    a0 f24809f;

    /* renamed from: g  reason: collision with root package name */
    p0 f24810g;

    /* renamed from: p  reason: collision with root package name */
    List f24811p;

    /* renamed from: x  reason: collision with root package name */
    List f24812x;

    /* renamed from: y  reason: collision with root package name */
    List f24813y;

    public t(int i7, PublicKey publicKey, Date date) throws g {
        d dVar;
        d mVar;
        this.f24811p = new ArrayList();
        this.f24812x = new ArrayList();
        this.f24813y = new ArrayList();
        this.C1 = new ArrayList();
        this.C2 = null;
        if (publicKey instanceof RSAPublicKey) {
            RSAPublicKey rSAPublicKey = (RSAPublicKey) publicKey;
            dVar = new c0(rSAPublicKey.getModulus(), rSAPublicKey.getPublicExponent());
        } else {
            if (publicKey instanceof DSAPublicKey) {
                DSAPublicKey dSAPublicKey = (DSAPublicKey) publicKey;
                DSAParams params = dSAPublicKey.getParams();
                mVar = new k(params.getP(), params.getQ(), params.getG(), dSAPublicKey.getY());
            } else if (publicKey instanceof i) {
                i iVar = (i) publicKey;
                h parameters = iVar.getParameters();
                mVar = new m(parameters.b(), parameters.a(), iVar.getY());
            } else {
                throw new g("unknown key class");
            }
            dVar = mVar;
        }
        this.f24809f = new a0(i7, date, dVar);
        this.f24812x = new ArrayList();
        this.C1 = new ArrayList();
        try {
            y();
        } catch (IOException e7) {
            throw new g("exception calculating keyID", e7);
        }
    }

    private static t C(t tVar, Object obj) {
        t tVar2 = new t(tVar);
        boolean z7 = false;
        for (int i7 = 0; i7 < tVar2.f24812x.size(); i7++) {
            if (obj.equals(tVar2.f24812x.get(i7))) {
                tVar2.f24812x.remove(i7);
                tVar2.f24813y.remove(i7);
                tVar2.C1.remove(i7);
                z7 = true;
            }
        }
        if (!z7) {
            return null;
        }
        return tVar2;
    }

    private static t D(t tVar, Object obj, a0 a0Var) {
        t tVar2 = new t(tVar);
        boolean z7 = false;
        for (int i7 = 0; i7 < tVar2.f24812x.size(); i7++) {
            if (obj.equals(tVar2.f24812x.get(i7))) {
                z7 = ((List) tVar2.C1.get(i7)).remove(a0Var);
            }
        }
        if (!z7) {
            return null;
        }
        return tVar2;
    }

    public static t E(t tVar, String str) {
        return C(tVar, str);
    }

    public static t F(t tVar, String str, a0 a0Var) {
        return D(tVar, str, a0Var);
    }

    public static t G(t tVar, a0 a0Var) {
        t tVar2 = new t(tVar);
        List list = tVar2.C2;
        if (list == null) {
            list = tVar2.f24811p;
        }
        boolean remove = list.remove(a0Var);
        if (!remove) {
            Iterator u7 = tVar.u();
            while (u7.hasNext()) {
                String str = (String) u7.next();
                Iterator p7 = tVar.p(str);
                while (p7.hasNext()) {
                    if (a0Var == p7.next()) {
                        tVar2 = F(tVar2, str, a0Var);
                        remove = true;
                    }
                }
            }
            if (!remove) {
                Iterator t7 = tVar.t();
                while (t7.hasNext()) {
                    f0 f0Var = (f0) t7.next();
                    Iterator q7 = tVar.q(f0Var);
                    while (q7.hasNext()) {
                        if (a0Var == q7.next()) {
                            tVar2 = I(tVar2, f0Var, a0Var);
                        }
                    }
                }
            }
        }
        return tVar2;
    }

    public static t H(t tVar, f0 f0Var) {
        return C(tVar, f0Var);
    }

    public static t I(t tVar, f0 f0Var, a0 a0Var) {
        return D(tVar, f0Var, a0Var);
    }

    private static t a(t tVar, Object obj, a0 a0Var) {
        t tVar2 = new t(tVar);
        List list = null;
        for (int i7 = 0; i7 != tVar2.f24812x.size(); i7++) {
            if (obj.equals(tVar2.f24812x.get(i7))) {
                list = (List) tVar2.C1.get(i7);
            }
        }
        if (list != null) {
            list.add(a0Var);
        } else {
            ArrayList arrayList = new ArrayList();
            arrayList.add(a0Var);
            tVar2.f24812x.add(obj);
            tVar2.f24813y.add(null);
            tVar2.C1.add(arrayList);
        }
        return tVar2;
    }

    public static t b(t tVar, String str, a0 a0Var) {
        return a(tVar, str, a0Var);
    }

    public static t c(t tVar, a0 a0Var) {
        if (tVar.A()) {
            if (a0Var.m() == 40) {
                throw new IllegalArgumentException("signature type incorrect for master key revocation.");
            }
        } else if (a0Var.m() == 32) {
            throw new IllegalArgumentException("signature type incorrect for sub-key revocation.");
        }
        t tVar2 = new t(tVar);
        List list = tVar2.C2;
        if (list == null) {
            list = tVar2.f24811p;
        }
        list.add(a0Var);
        return tVar2;
    }

    public static t d(t tVar, f0 f0Var, a0 a0Var) {
        return a(tVar, f0Var, a0Var);
    }

    private long j(boolean z7, int i7) {
        Iterator r7 = r(i7);
        if (!r7.hasNext()) {
            return -1;
        }
        a0 a0Var = (a0) r7.next();
        if (z7 && a0Var.i() != n()) {
            return -1;
        }
        e0 g7 = a0Var.g();
        if (g7 != null) {
            return g7.c();
        }
        return 0;
    }

    private void y() throws IOException {
        BigInteger bigInteger;
        c0 c0Var;
        d e7 = this.f24809f.e();
        if (this.f24809f.h() <= 3) {
            c0Var = (c0) e7;
            this.U5 = c0Var.b().longValue();
            try {
                MessageDigest instance = MessageDigest.getInstance("MD5");
                byte[] encoded = new s(c0Var.b()).getEncoded();
                instance.update(encoded, 2, encoded.length - 2);
                byte[] encoded2 = new s(c0Var.c()).getEncoded();
                instance.update(encoded2, 2, encoded2.length - 2);
                this.V5 = instance.digest();
            } catch (NoSuchAlgorithmException unused) {
                throw new IOException("can't find MD5");
            }
        } else {
            byte[] d7 = this.f24809f.d();
            try {
                MessageDigest instance2 = MessageDigest.getInstance("SHA1");
                instance2.update((byte) -103);
                instance2.update((byte) (d7.length >> 8));
                instance2.update((byte) d7.length);
                instance2.update(d7);
                byte[] digest = instance2.digest();
                this.V5 = digest;
                this.U5 = (((long) (digest[digest.length - 8] & 255)) << 56) | (((long) (digest[digest.length - 7] & 255)) << 48) | (((long) (digest[digest.length - 6] & 255)) << 40) | (((long) (digest[digest.length - 5] & 255)) << 32) | (((long) (digest[digest.length - 4] & 255)) << 24) | (((long) (digest[digest.length - 3] & 255)) << 16) | (((long) (digest[digest.length - 2] & 255)) << 8) | ((long) (digest[digest.length - 1] & 255));
                if (e7 instanceof c0) {
                    c0Var = (c0) e7;
                } else {
                    if (e7 instanceof k) {
                        bigInteger = ((k) e7).c();
                    } else if (e7 instanceof m) {
                        bigInteger = ((m) e7).c();
                    } else {
                        return;
                    }
                    this.W5 = bigInteger.bitLength();
                }
            } catch (NoSuchAlgorithmException unused2) {
                throw new IOException("can't find SHA1");
            }
        }
        bigInteger = c0Var.b();
        this.W5 = bigInteger.bitLength();
    }

    public boolean A() {
        return this.C2 == null;
    }

    public boolean B() {
        boolean z7 = false;
        if (A()) {
            int i7 = 0;
            while (!z7 && i7 < this.f24811p.size()) {
                int i8 = i7 + 1;
                if (((a0) this.f24811p.get(i7)).m() == 32) {
                    z7 = true;
                }
                i7 = i8;
            }
        } else {
            int i9 = 0;
            while (!z7 && i9 < this.C2.size()) {
                int i10 = i9 + 1;
                if (((a0) this.C2.get(i9)).m() == 40) {
                    z7 = true;
                }
                i9 = i10;
            }
        }
        return z7;
    }

    public void e(OutputStream outputStream) throws IOException {
        f fVar = outputStream instanceof f ? (f) outputStream : new f(outputStream);
        fVar.g(this.f24809f);
        p0 p0Var = this.f24810g;
        if (p0Var != null) {
            fVar.g(p0Var);
        }
        if (this.C2 == null) {
            for (int i7 = 0; i7 != this.f24811p.size(); i7++) {
                ((a0) this.f24811p.get(i7)).b(fVar);
            }
            for (int i8 = 0; i8 != this.f24812x.size(); i8++) {
                fVar.g(this.f24812x.get(i8) instanceof String ? new u0((String) this.f24812x.get(i8)) : new q0(((f0) this.f24812x.get(i8)).c()));
                if (this.f24813y.get(i8) != null) {
                    fVar.g((j) this.f24813y.get(i8));
                }
                List list = (List) this.C1.get(i8);
                for (int i9 = 0; i9 != list.size(); i9++) {
                    ((a0) list.get(i9)).b(fVar);
                }
            }
            return;
        }
        for (int i10 = 0; i10 != this.C2.size(); i10++) {
            ((a0) this.C2.get(i10)).b(fVar);
        }
    }

    public int f() {
        return this.f24809f.c();
    }

    public int g() {
        return this.W5;
    }

    public Date h() {
        return this.f24809f.f();
    }

    public byte[] i() throws IOException {
        ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
        e(byteArrayOutputStream);
        return byteArrayOutputStream.toByteArray();
    }

    public byte[] k() {
        byte[] bArr = this.V5;
        int length = bArr.length;
        byte[] bArr2 = new byte[length];
        System.arraycopy(bArr, 0, bArr2, 0, length);
        return bArr2;
    }

    public PublicKey l(String str) throws g, NoSuchProviderException {
        return m(g0.f(str));
    }

    public PublicKey m(Provider provider) throws g {
        try {
            int c7 = this.f24809f.c();
            if (c7 == 1 || c7 == 2 || c7 == 3) {
                c0 c0Var = (c0) this.f24809f.e();
                return KeyFactory.getInstance("RSA", provider).generatePublic(new RSAPublicKeySpec(c0Var.b(), c0Var.c()));
            }
            if (c7 != 16) {
                if (c7 == 17) {
                    k kVar = (k) this.f24809f.e();
                    return KeyFactory.getInstance("DSA", provider).generatePublic(new DSAPublicKeySpec(kVar.e(), kVar.c(), kVar.d(), kVar.b()));
                } else if (c7 != 20) {
                    throw new g("unknown public key algorithm encountered");
                }
            }
            m mVar = (m) this.f24809f.e();
            return KeyFactory.getInstance("ElGamal", provider).generatePublic(new org.bouncycastle2.jce.spec.j(mVar.d(), new h(mVar.c(), mVar.b())));
        } catch (g e7) {
            throw e7;
        } catch (Exception e8) {
            throw new g("exception constructing public key", e8);
        }
    }

    public long n() {
        return this.U5;
    }

    public Iterator o() {
        List list = this.C2;
        if (list != null) {
            return list.iterator();
        }
        ArrayList arrayList = new ArrayList();
        arrayList.addAll(this.f24811p);
        for (int i7 = 0; i7 != this.C1.size(); i7++) {
            arrayList.addAll((Collection) this.C1.get(i7));
        }
        return arrayList.iterator();
    }

    public Iterator p(String str) {
        for (int i7 = 0; i7 != this.f24812x.size(); i7++) {
            if (str.equals(this.f24812x.get(i7))) {
                return ((ArrayList) this.C1.get(i7)).iterator();
            }
        }
        return null;
    }

    public Iterator q(f0 f0Var) {
        for (int i7 = 0; i7 != this.f24812x.size(); i7++) {
            if (f0Var.equals(this.f24812x.get(i7))) {
                return ((ArrayList) this.C1.get(i7)).iterator();
            }
        }
        return null;
    }

    public Iterator r(int i7) {
        ArrayList arrayList = new ArrayList();
        Iterator o7 = o();
        while (o7.hasNext()) {
            a0 a0Var = (a0) o7.next();
            if (a0Var.m() == i7) {
                arrayList.add(a0Var);
            }
        }
        return arrayList.iterator();
    }

    public byte[] s() {
        p0 p0Var = this.f24810g;
        if (p0Var == null) {
            return null;
        }
        return a.d(p0Var.c());
    }

    public Iterator t() {
        ArrayList arrayList = new ArrayList();
        for (int i7 = 0; i7 != this.f24812x.size(); i7++) {
            if (this.f24812x.get(i7) instanceof f0) {
                arrayList.add(this.f24812x.get(i7));
            }
        }
        return arrayList.iterator();
    }

    public Iterator u() {
        ArrayList arrayList = new ArrayList();
        for (int i7 = 0; i7 != this.f24812x.size(); i7++) {
            if (this.f24812x.get(i7) instanceof String) {
                arrayList.add(this.f24812x.get(i7));
            }
        }
        return arrayList.iterator();
    }

    public int v() {
        return this.f24809f.h() > 3 ? (int) (w() / 86400) : this.f24809f.g();
    }

    public long w() {
        if (this.f24809f.h() <= 3) {
            return ((long) this.f24809f.g()) * 24 * 60 * 60;
        }
        int i7 = 0;
        if (A()) {
            while (true) {
                int[] iArr = X5;
                if (i7 == iArr.length) {
                    break;
                }
                long j7 = j(true, iArr[i7]);
                if (j7 >= 0) {
                    return j7;
                }
                i7++;
            }
        } else {
            long j8 = j(false, 24);
            if (j8 >= 0) {
                return j8;
            }
        }
        return 0;
    }

    public int x() {
        return this.f24809f.h();
    }

    public boolean z() {
        int c7 = this.f24809f.c();
        return c7 == 1 || c7 == 2 || c7 == 16 || c7 == 20;
    }

    public t(int i7, PublicKey publicKey, Date date, String str) throws g, NoSuchProviderException {
        this(i7, publicKey, date);
    }

    t(a0 a0Var, List list, List list2) throws IOException {
        this.f24811p = new ArrayList();
        this.f24812x = new ArrayList();
        this.f24813y = new ArrayList();
        new ArrayList();
        this.C2 = null;
        this.f24809f = a0Var;
        this.f24812x = list;
        this.C1 = list2;
        y();
    }

    t(a0 a0Var, p0 p0Var, List list) throws IOException {
        this.f24811p = new ArrayList();
        this.f24812x = new ArrayList();
        this.f24813y = new ArrayList();
        this.C1 = new ArrayList();
        this.f24809f = a0Var;
        this.f24810g = p0Var;
        this.C2 = list;
        y();
    }

    t(a0 a0Var, p0 p0Var, List list, List list2, List list3, List list4) throws IOException {
        this.f24811p = new ArrayList();
        this.f24812x = new ArrayList();
        this.f24813y = new ArrayList();
        new ArrayList();
        this.C2 = null;
        this.f24809f = a0Var;
        this.f24810g = p0Var;
        this.f24811p = list;
        this.f24812x = list2;
        this.f24813y = list3;
        this.C1 = list4;
        y();
    }

    t(t tVar) {
        this.f24811p = new ArrayList();
        this.f24812x = new ArrayList();
        this.f24813y = new ArrayList();
        this.C1 = new ArrayList();
        this.C2 = null;
        this.f24809f = tVar.f24809f;
        this.f24811p = new ArrayList(tVar.f24811p);
        this.f24812x = new ArrayList(tVar.f24812x);
        this.f24813y = new ArrayList(tVar.f24813y);
        this.C1 = new ArrayList(tVar.C1.size());
        for (int i7 = 0; i7 != tVar.C1.size(); i7++) {
            this.C1.add(new ArrayList((ArrayList) tVar.C1.get(i7)));
        }
        if (tVar.C2 != null) {
            this.C2 = new ArrayList(tVar.C2.size());
            for (int i8 = 0; i8 != tVar.C2.size(); i8++) {
                this.C2.add(tVar.C2.get(i8));
            }
        }
        this.V5 = tVar.V5;
        this.U5 = tVar.U5;
        this.W5 = tVar.W5;
    }

    t(t tVar, p0 p0Var, List list) {
        this.f24811p = new ArrayList();
        this.f24812x = new ArrayList();
        this.f24813y = new ArrayList();
        this.C1 = new ArrayList();
        this.C2 = null;
        this.f24809f = tVar.f24809f;
        this.f24810g = p0Var;
        this.C2 = list;
        this.V5 = tVar.V5;
        this.U5 = tVar.U5;
        this.W5 = tVar.W5;
    }
}
