package org.bouncycastle2.openpgp;

import java.io.EOFException;
import java.io.InputStream;
import java.math.BigInteger;
import java.security.DigestInputStream;
import java.security.InvalidKeyException;
import java.security.MessageDigest;
import java.security.NoSuchProviderException;
import java.security.Provider;
import javax.crypto.Cipher;
import javax.crypto.CipherInputStream;
import javax.crypto.spec.IvParameterSpec;
import javax.crypto.spec.SecretKeySpec;
import org.bouncycastle2.bcpg.c;
import org.bouncycastle2.bcpg.m0;
import org.bouncycastle2.bcpg.q;
import org.bouncycastle2.bcpg.z;
import org.bouncycastle2.openpgp.d;
import s5.g;

public class u extends d {

    /* renamed from: x  reason: collision with root package name */
    z f24814x;

    u(z zVar, q qVar) {
        super(qVar);
        this.f24814x = zVar;
    }

    private boolean d(byte[] bArr) {
        int i7 = 0;
        for (int i8 = 1; i8 != bArr.length - 2; i8++) {
            i7 += bArr[i8] & 255;
        }
        return bArr[bArr.length + -2] == ((byte) (i7 >> 8)) && bArr[bArr.length - 1] == ((byte) i7);
    }

    private byte[] e(s sVar, Provider provider) throws g {
        Cipher j7 = j(this.f24814x.c(), provider);
        try {
            j7.init(2, sVar.a());
            BigInteger[] d7 = this.f24814x.d();
            if (this.f24814x.c() == 2 || this.f24814x.c() == 1) {
                byte[] byteArray = d7[0].toByteArray();
                if (byteArray[0] == 0) {
                    j7.update(byteArray, 1, byteArray.length - 1);
                } else {
                    j7.update(byteArray);
                }
            } else {
                int bitLength = (((g) sVar.a()).getParameters().b().bitLength() + 7) / 8;
                byte[] bArr = new byte[bitLength];
                byte[] byteArray2 = d7[0].toByteArray();
                if (byteArray2.length > bitLength) {
                    j7.update(byteArray2, 1, byteArray2.length - 1);
                } else {
                    System.arraycopy(byteArray2, 0, bArr, bitLength - byteArray2.length, byteArray2.length);
                    j7.update(bArr);
                }
                byte[] byteArray3 = d7[1].toByteArray();
                for (int i7 = 0; i7 != bitLength; i7++) {
                    bArr[i7] = 0;
                }
                if (byteArray3.length > bitLength) {
                    j7.update(byteArray3, 1, byteArray3.length - 1);
                } else {
                    System.arraycopy(byteArray3, 0, bArr, bitLength - byteArray3.length, byteArray3.length);
                    j7.update(bArr);
                }
            }
            try {
                byte[] doFinal = j7.doFinal();
                if (d(doFinal)) {
                    return doFinal;
                }
                throw new k("key checksum failed");
            } catch (Exception e7) {
                throw new g("exception decrypting secret key", e7);
            }
        } catch (InvalidKeyException e8) {
            throw new g("error setting asymmetric cipher", e8);
        }
    }

    private static Cipher j(int i7, Provider provider) throws g {
        if (i7 == 1 || i7 == 2) {
            return Cipher.getInstance("RSA/ECB/PKCS1Padding", provider);
        }
        if (i7 == 16 || i7 == 20) {
            return Cipher.getInstance("ElGamal/ECB/PKCS1Padding", provider);
        }
        try {
            throw new g("unknown asymmetric algorithm: " + i7);
        } catch (g e7) {
            throw e7;
        } catch (Exception e8) {
            throw new g("Exception creating cipher", e8);
        }
    }

    public InputStream f(s sVar, String str) throws g, NoSuchProviderException {
        return g(sVar, str, str);
    }

    public InputStream g(s sVar, String str, String str2) throws g, NoSuchProviderException {
        return i(sVar, g0.f(str), g0.f(str2));
    }

    public InputStream h(s sVar, Provider provider) throws g {
        return i(sVar, provider, provider);
    }

    public InputStream i(s sVar, Provider provider, Provider provider2) throws g {
        byte[] e7 = e(sVar, provider);
        try {
            Cipher instance = Cipher.getInstance(this.f24740f instanceof m0 ? String.valueOf(g0.i(e7[0])) + "/CFB/NoPadding" : String.valueOf(g0.i(e7[0])) + "/OpenPGPCFB/NoPadding", provider2);
            if (instance == null) {
                return this.f24740f.a();
            }
            try {
                SecretKeySpec secretKeySpec = new SecretKeySpec(e7, 1, e7.length - 3, g0.i(e7[0]));
                int blockSize = instance.getBlockSize();
                byte[] bArr = new byte[blockSize];
                instance.init(2, secretKeySpec, new IvParameterSpec(bArr));
                this.f24741g = new c(new CipherInputStream(this.f24740f.a(), instance));
                if (this.f24740f instanceof m0) {
                    this.f24742p = new d.a(this.f24741g);
                    this.f24741g = new DigestInputStream(this.f24742p, MessageDigest.getInstance(g0.e(2), provider2));
                }
                for (int i7 = 0; i7 != blockSize; i7++) {
                    int read = this.f24741g.read();
                    if (read >= 0) {
                        bArr[i7] = (byte) read;
                    } else {
                        throw new EOFException("unexpected end of stream.");
                    }
                }
                int read2 = this.f24741g.read();
                int read3 = this.f24741g.read();
                if (read2 >= 0 && read3 >= 0) {
                    return this.f24741g;
                }
                throw new EOFException("unexpected end of stream.");
            } catch (g e8) {
                throw e8;
            } catch (Exception e9) {
                throw new g("Exception starting decryption", e9);
            }
        } catch (g e10) {
            throw e10;
        } catch (Exception e11) {
            throw new g("exception creating cipher", e11);
        }
    }

    public long k() {
        return this.f24814x.e();
    }

    public int l(s sVar, String str) throws g, NoSuchProviderException {
        return m(sVar, g0.f(str));
    }

    public int m(s sVar, Provider provider) throws g, NoSuchProviderException {
        return e(sVar, provider)[0];
    }
}
