package org.bouncycastle2.openpgp;

import androidx.core.internal.view.SupportMenu;
import androidx.core.view.MotionEventCompat;
import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.OutputStream;
import java.security.KeyFactory;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.security.NoSuchProviderException;
import java.security.PrivateKey;
import java.security.Provider;
import java.security.PublicKey;
import java.security.SecureRandom;
import java.security.interfaces.DSAPrivateKey;
import java.security.interfaces.RSAPrivateCrtKey;
import java.security.spec.DSAPrivateKeySpec;
import java.security.spec.RSAPrivateCrtKeySpec;
import java.util.ArrayList;
import java.util.Date;
import java.util.Iterator;
import javax.crypto.Cipher;
import javax.crypto.SecretKey;
import javax.crypto.spec.IvParameterSpec;
import org.bouncycastle2.bcpg.a0;
import org.bouncycastle2.bcpg.c;
import org.bouncycastle2.bcpg.c0;
import org.bouncycastle2.bcpg.d0;
import org.bouncycastle2.bcpg.e;
import org.bouncycastle2.bcpg.e0;
import org.bouncycastle2.bcpg.f;
import org.bouncycastle2.bcpg.f0;
import org.bouncycastle2.bcpg.g0;
import org.bouncycastle2.bcpg.j;
import org.bouncycastle2.bcpg.k;
import org.bouncycastle2.bcpg.l;
import org.bouncycastle2.bcpg.m;
import org.bouncycastle2.bcpg.n;
import org.bouncycastle2.bcpg.p0;
import org.bouncycastle2.bcpg.q0;
import org.bouncycastle2.bcpg.u0;
import org.bouncycastle2.jce.spec.h;
import org.bouncycastle2.jce.spec.i;

public class x {

    /* renamed from: a  reason: collision with root package name */
    final f0 f24818a;

    /* renamed from: b  reason: collision with root package name */
    final t f24819b;

    public x(int i7, int i8, PublicKey publicKey, PrivateKey privateKey, Date date, String str, int i9, char[] cArr, e0 e0Var, e0 e0Var2, SecureRandom secureRandom, String str2) throws g, NoSuchProviderException {
        this(i7, new h(i8, publicKey, privateKey, date), str, i9, cArr, e0Var, e0Var2, secureRandom, str2);
    }

    private static t a(int i7, h hVar, String str, e0 e0Var, e0 e0Var2, Provider provider) throws g {
        try {
            b0 b0Var = new b0(hVar.c().f(), 2, provider);
            b0Var.h(i7, hVar.b());
            b0Var.l(e0Var);
            b0Var.m(e0Var2);
            try {
                return t.b(hVar.c(), str, b0Var.b(str, hVar.c()));
            } catch (Exception e7) {
                throw new g("exception doing certification: " + e7, e7);
            }
        } catch (Exception e8) {
            throw new g("creating signature generator: " + e8, e8);
        }
    }

    private static byte[] b(boolean z7, byte[] bArr, int i7) throws g {
        if (z7) {
            try {
                MessageDigest instance = MessageDigest.getInstance("SHA1");
                instance.update(bArr, 0, i7);
                return instance.digest();
            } catch (NoSuchAlgorithmException e7) {
                throw new g("Can't find SHA-1", e7);
            }
        } else {
            int i8 = 0;
            for (int i9 = 0; i9 != i7; i9++) {
                i8 += bArr[i9] & 255;
            }
            return new byte[]{(byte) (i8 >> 8), (byte) i8};
        }
    }

    public static x c(x xVar, char[] cArr, char[] cArr2, int i7, SecureRandom secureRandom, String str) throws g, NoSuchProviderException {
        return d(xVar, cArr, cArr2, i7, secureRandom, g0.f(str));
    }

    public static x d(x xVar, char[] cArr, char[] cArr2, int i7, SecureRandom secureRandom, Provider provider) throws g {
        byte[] bArr;
        byte[] bArr2;
        e0 e0Var;
        int i8;
        byte[] f7 = xVar.f(cArr, provider);
        int h7 = xVar.f24818a.h();
        if (i7 != 0) {
            try {
                Cipher instance = Cipher.getInstance(String.valueOf(g0.i(i7)) + "/CFB/NoPadding", provider);
                byte[] bArr3 = new byte[8];
                secureRandom.nextBytes(bArr3);
                e0 e0Var2 = new e0(2, bArr3, 96);
                try {
                    instance.init(1, g0.l(i7, e0Var2, cArr2, provider), secureRandom);
                    bArr2 = instance.getIV();
                    bArr = instance.doFinal(f7);
                    i8 = h7;
                    e0Var = e0Var2;
                } catch (g e7) {
                    throw e7;
                } catch (Exception e8) {
                    throw new g("Exception encrypting key", e8);
                }
            } catch (Exception e9) {
                throw new g("Exception creating cipher", e9);
            }
        } else if (xVar.f24818a.h() == 254) {
            int length = f7.length - 18;
            byte[] bArr4 = new byte[length];
            int i9 = length - 2;
            System.arraycopy(f7, 0, bArr4, 0, i9);
            byte[] b7 = b(false, bArr4, i9);
            bArr4[i9] = b7[0];
            bArr4[length - 1] = b7[1];
            bArr2 = null;
            bArr = bArr4;
            i8 = 0;
            e0Var = null;
        } else {
            i8 = 0;
            e0Var = null;
            bArr2 = null;
            bArr = f7;
        }
        f0 f0Var = xVar.f24818a;
        return new x(f0Var instanceof g0 ? new g0(f0Var.f(), i7, i8, e0Var, bArr2, bArr) : new f0(f0Var.f(), i7, i8, e0Var, bArr2, bArr), xVar.f24819b);
    }

    private byte[] f(char[] cArr, Provider provider) throws g {
        Cipher cipher;
        String i7 = g0.i(this.f24818a.c());
        if (i7 != null) {
            try {
                cipher = Cipher.getInstance(i7 + "/CFB/NoPadding", provider);
            } catch (Exception e7) {
                throw new g("Exception creating cipher", e7);
            }
        } else {
            cipher = null;
        }
        byte[] i8 = this.f24818a.i();
        if (cipher == null) {
            return i8;
        }
        try {
            boolean z7 = true;
            int i9 = 0;
            if (this.f24818a.f().h() == 4) {
                cipher.init(2, g0.l(this.f24818a.c(), this.f24818a.g(), cArr, provider), new IvParameterSpec(this.f24818a.e()));
                byte[] doFinal = cipher.doFinal(i8, 0, i8.length);
                if (this.f24818a.h() != 254) {
                    z7 = false;
                }
                byte[] b7 = b(z7, doFinal, z7 ? doFinal.length - 20 : doFinal.length - 2);
                while (i9 != b7.length) {
                    if (b7[i9] == doFinal[(doFinal.length - b7.length) + i9]) {
                        i9++;
                    } else {
                        throw new g("checksum mismatch at " + i9 + " of " + b7.length);
                    }
                }
                return doFinal;
            }
            SecretKey l7 = g0.l(this.f24818a.c(), this.f24818a.g(), cArr, provider);
            int length = i8.length;
            byte[] bArr = new byte[length];
            int length2 = this.f24818a.e().length;
            byte[] bArr2 = new byte[length2];
            System.arraycopy(this.f24818a.e(), 0, bArr2, 0, length2);
            int i10 = 0;
            int i11 = 0;
            for (int i12 = 4; i10 != i12; i12 = 4) {
                cipher.init(2, l7, new IvParameterSpec(bArr2));
                byte b8 = i8[i11];
                int i13 = i11 + 1;
                int i14 = (((b8 << 8) | (i8[i13] & 255)) + 7) / 8;
                bArr[i11] = b8;
                bArr[i13] = i8[i13];
                int i15 = i11 + 2;
                cipher.doFinal(i8, i15, i14, bArr, i15);
                i11 += i14 + 2;
                if (i10 != 3) {
                    System.arraycopy(i8, i11 - length2, bArr2, 0, length2);
                }
                i10++;
                bArr2 = bArr2;
                length2 = length2;
            }
            int i16 = ((i8[i11] << 8) & MotionEventCompat.ACTION_POINTER_INDEX_MASK) | (i8[i11 + 1] & 255);
            int i17 = 0;
            while (i9 < length - 2) {
                i17 += bArr[i9] & 255;
                i9++;
            }
            int i18 = i17 & SupportMenu.USER_MASK;
            if (i18 == i16) {
                return bArr;
            }
            throw new g("checksum mismatch: passphrase wrong, expected " + Integer.toHexString(i16) + " found " + Integer.toHexString(i18));
        } catch (g e8) {
            throw e8;
        } catch (Exception e9) {
            throw new g("Exception decrypting key", e9);
        } catch (g e10) {
            throw e10;
        } catch (Exception e11) {
            throw new g("Exception constructing key", e11);
        }
    }

    public static x q(x xVar, t tVar) {
        if (tVar.n() == xVar.k()) {
            return new x(xVar.f24818a, tVar);
        }
        throw new IllegalArgumentException("keyIDs do not match");
    }

    public void e(OutputStream outputStream) throws IOException {
        f fVar = outputStream instanceof f ? (f) outputStream : new f(outputStream);
        fVar.g(this.f24818a);
        p0 p0Var = this.f24819b.f24810g;
        if (p0Var != null) {
            fVar.g(p0Var);
        }
        if (this.f24819b.C2 == null) {
            for (int i7 = 0; i7 != this.f24819b.f24811p.size(); i7++) {
                ((a0) this.f24819b.f24811p.get(i7)).b(fVar);
            }
            for (int i8 = 0; i8 != this.f24819b.f24812x.size(); i8++) {
                fVar.g(this.f24819b.f24812x.get(i8) instanceof String ? new u0((String) this.f24819b.f24812x.get(i8)) : new q0(((f0) this.f24819b.f24812x.get(i8)).c()));
                if (this.f24819b.f24813y.get(i8) != null) {
                    fVar.g((j) this.f24819b.f24813y.get(i8));
                }
                ArrayList arrayList = (ArrayList) this.f24819b.C1.get(i8);
                for (int i9 = 0; i9 != arrayList.size(); i9++) {
                    ((a0) arrayList.get(i9)).b(fVar);
                }
            }
            return;
        }
        for (int i10 = 0; i10 != this.f24819b.C2.size(); i10++) {
            ((a0) this.f24819b.C2.get(i10)).b(fVar);
        }
    }

    public s g(char[] cArr, String str) throws g, NoSuchProviderException {
        return h(cArr, g0.f(str));
    }

    public s h(char[] cArr, Provider provider) throws g {
        byte[] i7 = this.f24818a.i();
        if (i7 == null || i7.length < 1) {
            return null;
        }
        a0 f7 = this.f24818a.f();
        try {
            c cVar = new c(new ByteArrayInputStream(f(cArr, provider)));
            int c7 = f7.c();
            if (c7 == 1 || c7 == 2 || c7 == 3) {
                d0 d0Var = new d0(cVar);
                return new s(KeyFactory.getInstance("RSA", provider).generatePrivate(new RSAPrivateCrtKeySpec(d0Var.c(), ((c0) f7.e()).c(), d0Var.h(), d0Var.f(), d0Var.g(), d0Var.d(), d0Var.e(), d0Var.b())), k());
            }
            if (c7 != 16) {
                if (c7 == 17) {
                    k kVar = (k) f7.e();
                    return new s(KeyFactory.getInstance("DSA", provider).generatePrivate(new DSAPrivateKeySpec(new l(cVar).b(), kVar.c(), kVar.d(), kVar.b())), k());
                } else if (c7 != 20) {
                    throw new g("unknown public key algorithm encountered");
                }
            }
            m mVar = (m) f7.e();
            return new s(KeyFactory.getInstance("ElGamal", provider).generatePrivate(new i(new n(cVar).b(), new h(mVar.c(), mVar.b()))), k());
        } catch (g e7) {
            throw e7;
        } catch (Exception e8) {
            throw new g("Exception constructing key", e8);
        }
    }

    public byte[] i() throws IOException {
        ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
        e(byteArrayOutputStream);
        return byteArrayOutputStream.toByteArray();
    }

    public int j() {
        return this.f24818a.c();
    }

    public long k() {
        return this.f24819b.n();
    }

    public t l() {
        return this.f24819b;
    }

    public Iterator m() {
        return this.f24819b.t();
    }

    public Iterator n() {
        return this.f24819b.u();
    }

    public boolean o() {
        return this.f24819b.A();
    }

    public boolean p() {
        int f7 = this.f24819b.f();
        return f7 == 1 || f7 == 3 || f7 == 17 || f7 == 19 || f7 == 20;
    }

    public x(int i7, int i8, PublicKey publicKey, PrivateKey privateKey, Date date, String str, int i9, char[] cArr, boolean z7, e0 e0Var, e0 e0Var2, SecureRandom secureRandom, String str2) throws g, NoSuchProviderException {
        this(i7, new h(i8, publicKey, privateKey, date), str, i9, cArr, z7, e0Var, e0Var2, secureRandom, str2);
    }

    public x(int i7, h hVar, String str, int i8, char[] cArr, e0 e0Var, e0 e0Var2, SecureRandom secureRandom, String str2) throws g, NoSuchProviderException {
        this(i7, hVar, str, i8, cArr, false, e0Var, e0Var2, secureRandom, str2);
    }

    public x(int i7, h hVar, String str, int i8, char[] cArr, boolean z7, e0 e0Var, e0 e0Var2, SecureRandom secureRandom, String str2) throws g, NoSuchProviderException {
        this(i7, hVar, str, i8, cArr, z7, e0Var, e0Var2, secureRandom, g0.f(str2));
    }

    public x(int i7, h hVar, String str, int i8, char[] cArr, boolean z7, e0 e0Var, e0 e0Var2, SecureRandom secureRandom, Provider provider) throws g {
        this(hVar.b(), a(i7, hVar, str, e0Var, e0Var2, provider), i8, cArr, z7, secureRandom, true, provider);
    }

    x(f0 f0Var, t tVar) {
        this.f24818a = f0Var;
        this.f24819b = tVar;
    }

    x(s sVar, t tVar, int i7, char[] cArr, boolean z7, SecureRandom secureRandom, Provider provider) throws g {
        this(sVar, tVar, i7, cArr, z7, secureRandom, false, provider);
    }

    x(s sVar, t tVar, int i7, char[] cArr, boolean z7, SecureRandom secureRandom, boolean z8, Provider provider) throws g {
        e eVar;
        Cipher cipher;
        f0 f0Var;
        this.f24819b = tVar;
        int f7 = tVar.f();
        if (f7 == 1 || f7 == 2 || f7 == 3) {
            RSAPrivateCrtKey rSAPrivateCrtKey = (RSAPrivateCrtKey) sVar.a();
            eVar = new d0(rSAPrivateCrtKey.getPrivateExponent(), rSAPrivateCrtKey.getPrimeP(), rSAPrivateCrtKey.getPrimeQ());
        } else {
            if (f7 != 16) {
                if (f7 == 17) {
                    eVar = new l(((DSAPrivateKey) sVar.a()).getX());
                } else if (f7 != 20) {
                    throw new g("unknown key class");
                }
            }
            eVar = new n(((s5.h) sVar.a()).getX());
        }
        String i8 = g0.i(i7);
        if (i8 != null) {
            try {
                cipher = Cipher.getInstance(i8 + "/CFB/NoPadding", provider);
            } catch (Exception e7) {
                throw new g("Exception creating cipher", e7);
            }
        } else {
            cipher = null;
        }
        try {
            ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
            f fVar = new f(byteArrayOutputStream);
            fVar.e(eVar);
            byte[] byteArray = byteArrayOutputStream.toByteArray();
            fVar.write(b(z7, byteArray, byteArray.length));
            if (cipher != null) {
                byte[] bArr = new byte[8];
                secureRandom.nextBytes(bArr);
                e0 e0Var = new e0(2, bArr, 96);
                cipher.init(1, g0.l(i7, e0Var, cArr, provider), secureRandom);
                byte[] iv = cipher.getIV();
                byte[] doFinal = cipher.doFinal(byteArrayOutputStream.toByteArray());
                int i9 = z7 ? f0.V5 : 255;
                f0Var = z8 ? new f0(tVar.f24809f, i7, i9, e0Var, iv, doFinal) : new g0(tVar.f24809f, i7, i9, e0Var, iv, doFinal);
            } else {
                f0Var = z8 ? new f0(tVar.f24809f, i7, null, null, byteArrayOutputStream.toByteArray()) : new g0(tVar.f24809f, i7, null, null, byteArrayOutputStream.toByteArray());
            }
            this.f24818a = f0Var;
        } catch (g e8) {
            throw e8;
        } catch (Exception e9) {
            throw new g("Exception encrypting key", e9);
        }
    }
}
