package org.bouncycastle2.openssl;

import f5.b;
import java.io.BufferedWriter;
import java.io.IOException;
import java.io.Writer;
import java.math.BigInteger;
import java.security.Key;
import java.security.KeyPair;
import java.security.PrivateKey;
import java.security.PublicKey;
import java.security.SecureRandom;
import java.security.cert.CRLException;
import java.security.cert.CertificateEncodingException;
import java.security.cert.X509CRL;
import java.security.cert.X509Certificate;
import java.security.interfaces.DSAParams;
import java.security.interfaces.DSAPrivateKey;
import java.security.interfaces.RSAPrivateCrtKey;
import java.security.interfaces.RSAPrivateKey;
import org.bouncycastle2.asn1.f1;
import org.bouncycastle2.asn1.g;
import org.bouncycastle2.asn1.m;
import org.bouncycastle2.asn1.pkcs.o;
import org.bouncycastle2.asn1.w0;
import org.bouncycastle2.asn1.x509.r;
import org.bouncycastle2.util.encoders.a;
import org.bouncycastle2.util.encoders.d;
import org.bouncycastle2.x509.k;
import org.bouncycastle2.x509.w;
import v5.h;

public class c extends BufferedWriter {

    /* renamed from: f  reason: collision with root package name */
    private String f24825f;

    public c(Writer writer) {
        this(writer, "BC2");
    }

    private void a(byte[] bArr) throws IOException {
        char[] cArr = new char[64];
        byte[] f7 = a.f(bArr);
        for (int i7 = 0; i7 < f7.length; i7 += 64) {
            int i8 = 0;
            while (i8 != 64) {
                int i9 = i7 + i8;
                if (i9 >= f7.length) {
                    break;
                }
                cArr[i8] = (char) f7[i9];
                i8++;
            }
            write(cArr, 0, i8);
            newLine();
        }
    }

    private void b(String str) throws IOException {
        write("-----END " + str + "-----");
        newLine();
    }

    private void c(String str) throws IOException {
        write("-----BEGIN " + str + "-----");
        newLine();
    }

    private void d(byte[] bArr) throws IOException {
        byte[] f7 = d.f(bArr);
        for (int i7 = 0; i7 != f7.length; i7++) {
            write((char) f7[i7]);
        }
    }

    public void e(Object obj) throws IOException {
        byte[] bArr;
        String str;
        if (obj instanceof X509Certificate) {
            try {
                bArr = ((X509Certificate) obj).getEncoded();
                str = "CERTIFICATE";
            } catch (CertificateEncodingException e7) {
                throw new IOException("Cannot encode object: " + e7.toString());
            }
        } else if (obj instanceof X509CRL) {
            try {
                bArr = ((X509CRL) obj).getEncoded();
                str = "X509 CRL";
            } catch (CRLException e8) {
                throw new IOException("Cannot encode object: " + e8.toString());
            }
        } else if (obj instanceof KeyPair) {
            e(((KeyPair) obj).getPrivate());
            return;
        } else if (obj instanceof PrivateKey) {
            o oVar = new o((m) g.l(((Key) obj).getEncoded()));
            if (obj instanceof RSAPrivateKey) {
                bArr = oVar.n().g();
                str = "RSA PRIVATE KEY";
            } else if (obj instanceof DSAPrivateKey) {
                r k7 = r.k(oVar.j().m());
                org.bouncycastle2.asn1.d dVar = new org.bouncycastle2.asn1.d();
                dVar.a(new w0(0));
                dVar.a(new w0(k7.m()));
                dVar.a(new w0(k7.n()));
                dVar.a(new w0(k7.j()));
                BigInteger x7 = ((DSAPrivateKey) obj).getX();
                dVar.a(new w0(k7.j().modPow(x7, k7.m())));
                dVar.a(new w0(x7));
                bArr = new f1(dVar).g();
                str = "DSA PRIVATE KEY";
            } else if (((PrivateKey) obj).getAlgorithm().equals("ECDSA")) {
                bArr = oVar.n().g();
                str = "EC PRIVATE KEY";
            } else {
                throw new IOException("Cannot identify private key");
            }
        } else if (obj instanceof PublicKey) {
            bArr = ((PublicKey) obj).getEncoded();
            str = "PUBLIC KEY";
        } else if (obj instanceof k) {
            bArr = ((w) obj).getEncoded();
            str = "ATTRIBUTE CERTIFICATE";
        } else if (obj instanceof org.bouncycastle2.jce.c) {
            bArr = ((org.bouncycastle2.jce.c) obj).g();
            str = "CERTIFICATE REQUEST";
        } else if (obj instanceof b) {
            bArr = ((b) obj).g();
            str = "PKCS7";
        } else {
            throw new IOException("unknown object passed - can't encode.");
        }
        c(str);
        a(bArr);
        b(str);
    }

    public void f(Object obj, String str, char[] cArr, SecureRandom secureRandom) throws IOException {
        byte[] bArr;
        String str2;
        byte[] g7;
        String str3;
        if (obj instanceof KeyPair) {
            e(((KeyPair) obj).getPrivate());
            return;
        }
        if (obj instanceof RSAPrivateCrtKey) {
            RSAPrivateCrtKey rSAPrivateCrtKey = (RSAPrivateCrtKey) obj;
            g7 = new org.bouncycastle2.asn1.pkcs.r(rSAPrivateCrtKey.getModulus(), rSAPrivateCrtKey.getPublicExponent(), rSAPrivateCrtKey.getPrivateExponent(), rSAPrivateCrtKey.getPrimeP(), rSAPrivateCrtKey.getPrimeQ(), rSAPrivateCrtKey.getPrimeExponentP(), rSAPrivateCrtKey.getPrimeExponentQ(), rSAPrivateCrtKey.getCrtCoefficient()).g();
            str3 = "RSA PRIVATE KEY";
        } else if (obj instanceof DSAPrivateKey) {
            DSAPrivateKey dSAPrivateKey = (DSAPrivateKey) obj;
            DSAParams params = dSAPrivateKey.getParams();
            org.bouncycastle2.asn1.d dVar = new org.bouncycastle2.asn1.d();
            dVar.a(new w0(0));
            dVar.a(new w0(params.getP()));
            dVar.a(new w0(params.getQ()));
            dVar.a(new w0(params.getG()));
            BigInteger x7 = dSAPrivateKey.getX();
            dVar.a(new w0(params.getG().modPow(x7, params.getP())));
            dVar.a(new w0(x7));
            g7 = new f1(dVar).g();
            str3 = "DSA PRIVATE KEY";
        } else {
            if (obj instanceof PrivateKey) {
                PrivateKey privateKey = (PrivateKey) obj;
                if ("ECDSA".equals(privateKey.getAlgorithm())) {
                    g7 = o.l(g.l(privateKey.getEncoded())).n().g();
                    str3 = "EC PRIVATE KEY";
                }
            }
            str2 = null;
            bArr = null;
            if (str2 != null || bArr == null) {
                throw new IllegalArgumentException("Object type not supported: " + obj.getClass().getName());
            }
            String g8 = h.g(str);
            if (g8.equals("DESEDE")) {
                g8 = "DES-EDE3-CBC";
            }
            byte[] bArr2 = new byte[(g8.startsWith("AES-") ? 16 : 8)];
            secureRandom.nextBytes(bArr2);
            byte[] a8 = b.a(true, this.f24825f, bArr, cArr, g8, bArr2);
            c(str2);
            write("Proc-Type: 4,ENCRYPTED");
            newLine();
            write("DEK-Info: " + g8 + ",");
            d(bArr2);
            newLine();
            newLine();
            a(a8);
            b(str2);
            return;
        }
        bArr = g7;
        str2 = str3;
        if (str2 != null) {
        }
        throw new IllegalArgumentException("Object type not supported: " + obj.getClass().getName());
    }

    public c(Writer writer, String str) {
        super(writer);
        this.f24825f = str;
    }
}
