package org.bouncycastle2.x509;

import java.io.IOException;
import java.math.BigInteger;
import java.security.MessageDigest;
import java.security.Principal;
import java.security.cert.CertSelector;
import java.security.cert.Certificate;
import java.security.cert.CertificateEncodingException;
import java.security.cert.CertificateParsingException;
import java.security.cert.X509Certificate;
import java.util.ArrayList;
import javax.security.auth.x500.X500Principal;
import org.bouncycastle2.asn1.c;
import org.bouncycastle2.asn1.f1;
import org.bouncycastle2.asn1.m;
import org.bouncycastle2.asn1.w0;
import org.bouncycastle2.asn1.x509.a0;
import org.bouncycastle2.asn1.x509.b;
import org.bouncycastle2.asn1.x509.f0;
import org.bouncycastle2.asn1.x509.w;
import org.bouncycastle2.asn1.x509.x;
import org.bouncycastle2.asn1.x509.z;
import org.bouncycastle2.jce.d;
import org.bouncycastle2.jce.g;
import v5.e;

public class a implements CertSelector, e {

    /* renamed from: f  reason: collision with root package name */
    final z f24833f;

    public a(int i7, String str, String str2, byte[] bArr) {
        this.f24833f = new z(new f0(i7, str2, new b(str), v5.a.d(bArr)));
    }

    private x a(g gVar) {
        return new x(new f1(new w(gVar)));
    }

    private Object[] f(w[] wVarArr) {
        ArrayList arrayList = new ArrayList(wVarArr.length);
        for (int i7 = 0; i7 != wVarArr.length; i7++) {
            if (wVarArr[i7].e() == 4) {
                try {
                    arrayList.add(new X500Principal(((c) wVarArr[i7].m()).g()));
                } catch (IOException unused) {
                    throw new RuntimeException("badly formed Name object");
                }
            }
        }
        return arrayList.toArray(new Object[arrayList.size()]);
    }

    private Principal[] i(x xVar) {
        Object[] f7 = f(xVar.l());
        ArrayList arrayList = new ArrayList();
        for (int i7 = 0; i7 != f7.length; i7++) {
            Object obj = f7[i7];
            if (obj instanceof Principal) {
                arrayList.add(obj);
            }
        }
        return (Principal[]) arrayList.toArray(new Principal[arrayList.size()]);
    }

    private boolean k(g gVar, x xVar) {
        w[] l7 = xVar.l();
        for (int i7 = 0; i7 != l7.length; i7++) {
            w wVar = l7[i7];
            if (wVar.e() == 4) {
                try {
                    if (new g(((c) wVar.m()).g()).equals(gVar)) {
                        return true;
                    }
                } catch (IOException unused) {
                    continue;
                }
            }
        }
        return false;
    }

    public String b() {
        if (this.f24833f.m() == null) {
            return null;
        }
        this.f24833f.m().j().l().m();
        return null;
    }

    @Override // v5.e
    public boolean b1(Object obj) {
        if (!(obj instanceof X509Certificate)) {
            return false;
        }
        return match((Certificate) obj);
    }

    public int c() {
        if (this.f24833f.m() != null) {
            return this.f24833f.m().k().o().intValue();
        }
        return -1;
    }

    @Override // v5.e, java.lang.Object
    public Object clone() {
        return new a((m) this.f24833f.i());
    }

    public Principal[] d() {
        if (this.f24833f.k() != null) {
            return i(this.f24833f.k());
        }
        return null;
    }

    public Principal[] e() {
        if (this.f24833f.j() != null) {
            return i(this.f24833f.j().l());
        }
        return null;
    }

    public boolean equals(Object obj) {
        if (obj == this) {
            return true;
        }
        if (!(obj instanceof a)) {
            return false;
        }
        return this.f24833f.equals(((a) obj).f24833f);
    }

    public byte[] g() {
        if (this.f24833f.m() == null) {
            return null;
        }
        this.f24833f.m().n().m();
        return null;
    }

    public String h() {
        if (this.f24833f.m() == null) {
            return null;
        }
        this.f24833f.m().o().m();
        return null;
    }

    public int hashCode() {
        return this.f24833f.hashCode();
    }

    public BigInteger j() {
        if (this.f24833f.j() != null) {
            return this.f24833f.j().n().p();
        }
        return null;
    }

    public boolean match(Certificate certificate) {
        if (!(certificate instanceof X509Certificate)) {
            return false;
        }
        X509Certificate x509Certificate = (X509Certificate) certificate;
        try {
            if (this.f24833f.j() != null) {
                return this.f24833f.j().n().p().equals(x509Certificate.getSerialNumber()) && k(d.b(x509Certificate), this.f24833f.j().l());
            }
            if (this.f24833f.k() != null && k(d.c(x509Certificate), this.f24833f.k())) {
                return true;
            }
            if (this.f24833f.m() != null) {
                MessageDigest instance = MessageDigest.getInstance(b(), "BC2");
                int c7 = c();
                if (c7 == 0) {
                    instance.update(certificate.getPublicKey().getEncoded());
                } else if (c7 == 1) {
                    instance.update(certificate.getEncoded());
                }
                v5.a.a(instance.digest(), g());
            }
            return false;
        } catch (CertificateEncodingException unused) {
        }
    }

    public a(X509Certificate x509Certificate) throws CertificateParsingException {
        try {
            this.f24833f = new z(new a0(a(d.b(x509Certificate)), new w0(x509Certificate.getSerialNumber())));
        } catch (Exception e7) {
            throw new CertificateParsingException(e7.getMessage());
        }
    }

    public a(X500Principal x500Principal) {
        this(v.c(x500Principal));
    }

    public a(X500Principal x500Principal, BigInteger bigInteger) {
        this(v.c(x500Principal), bigInteger);
    }

    a(m mVar) {
        this.f24833f = z.l(mVar);
    }

    public a(g gVar) {
        this.f24833f = new z(a(gVar));
    }

    public a(g gVar, BigInteger bigInteger) {
        this.f24833f = new z(new a0(new x(new f1(new w(gVar))), new w0(bigInteger)));
    }
}
