package org.bouncycastle2.x509;

import java.security.InvalidAlgorithmParameterException;
import java.security.cert.CertSelector;
import java.security.cert.CertStore;
import java.security.cert.PKIXParameters;
import java.security.cert.TrustAnchor;
import java.security.cert.X509CertSelector;
import java.util.ArrayList;
import java.util.Collections;
import java.util.HashSet;
import java.util.Iterator;
import java.util.List;
import java.util.Set;
import v5.f;

public class e extends PKIXParameters {
    public static final int X5 = 0;
    public static final int Y5 = 1;
    private Set C1 = new HashSet();
    private Set C2 = new HashSet();
    private Set U5 = new HashSet();
    private int V5 = 0;
    private boolean W5 = false;

    /* renamed from: f  reason: collision with root package name */
    private List f24837f = new ArrayList();

    /* renamed from: g  reason: collision with root package name */
    private v5.e f24838g;

    /* renamed from: p  reason: collision with root package name */
    private boolean f24839p;

    /* renamed from: x  reason: collision with root package name */
    private List f24840x = new ArrayList();

    /* renamed from: y  reason: collision with root package name */
    private Set f24841y = new HashSet();

    public e(Set set) throws InvalidAlgorithmParameterException {
        super(set);
    }

    public static e f(PKIXParameters pKIXParameters) {
        try {
            e eVar = new e(pKIXParameters.getTrustAnchors());
            eVar.r(pKIXParameters);
            return eVar;
        } catch (Exception e7) {
            throw new RuntimeException(e7.getMessage());
        }
    }

    public void a(f fVar) {
        b(fVar);
    }

    public void b(f fVar) {
        if (fVar != null) {
            this.f24840x.add(fVar);
        }
    }

    public void c(f fVar) {
        if (fVar != null) {
            this.f24837f.add(fVar);
        }
    }

    @Override // java.lang.Object
    public Object clone() {
        try {
            e eVar = new e(getTrustAnchors());
            eVar.r(this);
            return eVar;
        } catch (Exception e7) {
            throw new RuntimeException(e7.getMessage());
        }
    }

    public List d() {
        return Collections.unmodifiableList(this.f24840x);
    }

    public Set e() {
        return Collections.unmodifiableSet(this.U5);
    }

    public Set g() {
        return Collections.unmodifiableSet(this.C1);
    }

    public Set h() {
        return Collections.unmodifiableSet(this.C2);
    }

    public List i() {
        return Collections.unmodifiableList(new ArrayList(this.f24837f));
    }

    public v5.e j() {
        v5.e eVar = this.f24838g;
        if (eVar != null) {
            return (v5.e) eVar.clone();
        }
        return null;
    }

    public Set k() {
        return Collections.unmodifiableSet(this.f24841y);
    }

    public int l() {
        return this.V5;
    }

    public boolean m() {
        return this.f24839p;
    }

    public boolean n() {
        return this.W5;
    }

    public void o(boolean z7) {
        this.f24839p = z7;
    }

    public void p(Set set) {
        if (set == null) {
            this.U5.clear();
            return;
        }
        for (Object obj : set) {
            if (!(obj instanceof h)) {
                throw new ClassCastException("All elements of set must be of type " + h.class.getName() + ".");
            }
        }
        this.U5.clear();
        this.U5.addAll(set);
    }

    public void q(Set set) {
        if (set == null) {
            this.C1.clear();
            return;
        }
        for (Object obj : set) {
            if (!(obj instanceof String)) {
                throw new ClassCastException("All elements of set must be of type String.");
            }
        }
        this.C1.clear();
        this.C1.addAll(set);
    }

    /* access modifiers changed from: protected */
    public void r(PKIXParameters pKIXParameters) {
        setDate(pKIXParameters.getDate());
        setCertPathCheckers(pKIXParameters.getCertPathCheckers());
        setCertStores(pKIXParameters.getCertStores());
        setAnyPolicyInhibited(pKIXParameters.isAnyPolicyInhibited());
        setExplicitPolicyRequired(pKIXParameters.isExplicitPolicyRequired());
        setPolicyMappingInhibited(pKIXParameters.isPolicyMappingInhibited());
        setRevocationEnabled(pKIXParameters.isRevocationEnabled());
        setInitialPolicies(pKIXParameters.getInitialPolicies());
        setPolicyQualifiersRejected(pKIXParameters.getPolicyQualifiersRejected());
        setSigProvider(pKIXParameters.getSigProvider());
        setTargetCertConstraints(pKIXParameters.getTargetCertConstraints());
        try {
            setTrustAnchors(pKIXParameters.getTrustAnchors());
            if (pKIXParameters instanceof e) {
                e eVar = (e) pKIXParameters;
                this.V5 = eVar.V5;
                this.W5 = eVar.W5;
                this.f24839p = eVar.f24839p;
                v5.e eVar2 = eVar.f24838g;
                this.f24838g = eVar2 == null ? null : (v5.e) eVar2.clone();
                this.f24837f = new ArrayList(eVar.f24837f);
                this.f24840x = new ArrayList(eVar.f24840x);
                this.f24841y = new HashSet(eVar.f24841y);
                this.C2 = new HashSet(eVar.C2);
                this.C1 = new HashSet(eVar.C1);
                this.U5 = new HashSet(eVar.U5);
            }
        } catch (Exception e7) {
            throw new RuntimeException(e7.getMessage());
        }
    }

    public void s(Set set) {
        if (set == null) {
            this.C2.clear();
            return;
        }
        for (Object obj : set) {
            if (!(obj instanceof String)) {
                throw new ClassCastException("All elements of set must be of type String.");
            }
        }
        this.C2.clear();
        this.C2.addAll(set);
    }

    @Override // java.security.cert.PKIXParameters
    public void setCertStores(List list) {
        if (list != null) {
            Iterator it = list.iterator();
            while (it.hasNext()) {
                addCertStore((CertStore) it.next());
            }
        }
    }

    public void setTargetCertConstraints(CertSelector certSelector) {
        super.setTargetCertConstraints(certSelector);
        this.f24838g = certSelector != null ? n.a((X509CertSelector) certSelector) : null;
    }

    public void t(List list) {
        if (list == null) {
            this.f24837f = new ArrayList();
            return;
        }
        for (Object obj : list) {
            if (!(obj instanceof f)) {
                throw new ClassCastException("All elements of list must be of type org.bouncycastle2.util.Store.");
            }
        }
        this.f24837f = new ArrayList(list);
    }

    public void u(v5.e eVar) {
        this.f24838g = eVar != null ? (v5.e) eVar.clone() : null;
    }

    public void v(Set set) {
        if (set == null) {
            this.f24841y.clear();
            return;
        }
        for (Object obj : set) {
            if (!(obj instanceof TrustAnchor)) {
                throw new ClassCastException("All elements of set must be of type " + TrustAnchor.class.getName() + ".");
            }
        }
        this.f24841y.clear();
        this.f24841y.addAll(set);
    }

    public void w(boolean z7) {
        this.W5 = z7;
    }

    public void x(int i7) {
        this.V5 = i7;
    }
}
