package org.bouncycastle2.x509;

import java.io.IOException;
import java.math.BigInteger;
import java.security.cert.CertificateExpiredException;
import java.security.cert.CertificateNotYetValidException;
import java.util.Collection;
import java.util.Collections;
import java.util.Date;
import java.util.HashSet;
import java.util.Set;
import org.bouncycastle2.asn1.b1;
import org.bouncycastle2.asn1.g;
import org.bouncycastle2.asn1.x509.a1;
import org.bouncycastle2.asn1.x509.s0;
import org.bouncycastle2.asn1.x509.t0;
import org.bouncycastle2.asn1.x509.u0;
import org.bouncycastle2.asn1.x509.w;
import v5.e;

public class j implements e {
    private Collection C1 = new HashSet();
    private Collection C2 = new HashSet();

    /* renamed from: f  reason: collision with root package name */
    private a f24843f;

    /* renamed from: g  reason: collision with root package name */
    private b f24844g;

    /* renamed from: p  reason: collision with root package name */
    private BigInteger f24845p;

    /* renamed from: x  reason: collision with root package name */
    private Date f24846x;

    /* renamed from: y  reason: collision with root package name */
    private k f24847y;

    private Set e(Collection collection) throws IOException {
        if (collection == null || collection.isEmpty()) {
            return new HashSet();
        }
        HashSet hashSet = new HashSet();
        for (Object obj : collection) {
            if (!(obj instanceof w)) {
                obj = w.k(g.l((byte[]) obj));
            }
            hashSet.add(obj);
        }
        return hashSet;
    }

    public void a(w wVar) {
        this.C2.add(wVar);
    }

    public void b(byte[] bArr) throws IOException {
        a(w.k(g.l(bArr)));
    }

    @Override // v5.e
    public boolean b1(Object obj) {
        byte[] extensionValue;
        if (!(obj instanceof k)) {
            return false;
        }
        k kVar = (k) obj;
        k kVar2 = this.f24847y;
        if (!(kVar2 == null || kVar2.equals(kVar))) {
            return false;
        }
        if (!(this.f24845p == null || kVar.getSerialNumber().equals(this.f24845p))) {
            return false;
        }
        if (!(this.f24843f == null || kVar.e().equals(this.f24843f))) {
            return false;
        }
        if (!(this.f24844g == null || kVar.g().equals(this.f24844g))) {
            return false;
        }
        Date date = this.f24846x;
        if (date != null) {
            try {
                kVar.checkValidity(date);
            } catch (CertificateExpiredException | CertificateNotYetValidException unused) {
                return false;
            }
        }
        if ((!this.C1.isEmpty() || !this.C2.isEmpty()) && (extensionValue = kVar.getExtensionValue(a1.f22762v6.m())) != null) {
            try {
                u0[] k7 = t0.j(new org.bouncycastle2.asn1.e(((b1) g.l(extensionValue)).o()).h()).k();
                if (!this.C1.isEmpty()) {
                    boolean z7 = false;
                    for (u0 u0Var : k7) {
                        s0[] k8 = u0Var.k();
                        int i7 = 0;
                        while (true) {
                            if (i7 >= k8.length) {
                                break;
                            } else if (this.C1.contains(w.k(k8[i7].l()))) {
                                z7 = true;
                                break;
                            } else {
                                i7++;
                            }
                        }
                    }
                    if (!z7) {
                        return false;
                    }
                }
                if (!this.C2.isEmpty()) {
                    boolean z8 = false;
                    for (u0 u0Var2 : k7) {
                        s0[] k9 = u0Var2.k();
                        int i8 = 0;
                        while (true) {
                            if (i8 >= k9.length) {
                                break;
                            } else if (this.C2.contains(w.k(k9[i8].k()))) {
                                z8 = true;
                                break;
                            } else {
                                i8++;
                            }
                        }
                    }
                    if (!z8) {
                        return false;
                    }
                }
            } catch (IOException | IllegalArgumentException unused2) {
                return false;
            }
        }
        return true;
    }

    public void c(w wVar) {
        this.C1.add(wVar);
    }

    @Override // v5.e, java.lang.Object
    public Object clone() {
        j jVar = new j();
        jVar.f24847y = this.f24847y;
        jVar.f24846x = g();
        jVar.f24843f = this.f24843f;
        jVar.f24844g = this.f24844g;
        jVar.f24845p = this.f24845p;
        jVar.C2 = k();
        jVar.C1 = l();
        return jVar;
    }

    public void d(byte[] bArr) throws IOException {
        c(w.k(g.l(bArr)));
    }

    public k f() {
        return this.f24847y;
    }

    public Date g() {
        if (this.f24846x != null) {
            return new Date(this.f24846x.getTime());
        }
        return null;
    }

    public a h() {
        return this.f24843f;
    }

    public b i() {
        return this.f24844g;
    }

    public BigInteger j() {
        return this.f24845p;
    }

    public Collection k() {
        return Collections.unmodifiableCollection(this.C2);
    }

    public Collection l() {
        return Collections.unmodifiableCollection(this.C1);
    }

    public void m(k kVar) {
        this.f24847y = kVar;
    }

    public void n(Date date) {
        if (date != null) {
            this.f24846x = new Date(date.getTime());
        } else {
            this.f24846x = null;
        }
    }

    public void o(a aVar) {
        this.f24843f = aVar;
    }

    public void p(b bVar) {
        this.f24844g = bVar;
    }

    public void q(BigInteger bigInteger) {
        this.f24845p = bigInteger;
    }

    public void r(Collection collection) throws IOException {
        this.C2 = e(collection);
    }

    public void s(Collection collection) throws IOException {
        this.C1 = e(collection);
    }
}
