package org.bouncycastle2.x509;

import java.io.IOException;
import java.math.BigInteger;
import java.security.cert.CRL;
import java.security.cert.X509CRL;
import java.security.cert.X509CRLSelector;
import org.bouncycastle2.asn1.w0;
import org.bouncycastle2.asn1.x509.a1;
import v5.e;
import x5.a;

public class l extends X509CRLSelector implements e {
    private k C1;

    /* renamed from: f  reason: collision with root package name */
    private boolean f24848f = false;

    /* renamed from: g  reason: collision with root package name */
    private boolean f24849g = false;

    /* renamed from: p  reason: collision with root package name */
    private BigInteger f24850p = null;

    /* renamed from: x  reason: collision with root package name */
    private byte[] f24851x = null;

    /* renamed from: y  reason: collision with root package name */
    private boolean f24852y = false;

    public static l b(X509CRLSelector x509CRLSelector) {
        if (x509CRLSelector != null) {
            l lVar = new l();
            lVar.setCertificateChecking(x509CRLSelector.getCertificateChecking());
            lVar.setDateAndTime(x509CRLSelector.getDateAndTime());
            try {
                lVar.setIssuerNames(x509CRLSelector.getIssuerNames());
                lVar.setIssuers(x509CRLSelector.getIssuers());
                lVar.setMaxCRLNumber(x509CRLSelector.getMaxCRL());
                lVar.setMinCRLNumber(x509CRLSelector.getMinCRL());
                return lVar;
            } catch (IOException e7) {
                throw new IllegalArgumentException(e7.getMessage());
            }
        } else {
            throw new IllegalArgumentException("cannot create from null selector");
        }
    }

    public k a() {
        return this.C1;
    }

    @Override // v5.e
    public boolean b1(Object obj) {
        if (!(obj instanceof X509CRL)) {
            return false;
        }
        X509CRL x509crl = (X509CRL) obj;
        try {
            byte[] extensionValue = x509crl.getExtensionValue(a1.f22743c6.m());
            w0 m7 = extensionValue != null ? w0.m(a.a(extensionValue)) : null;
            if (f() && m7 == null) {
                return false;
            }
            if (e() && m7 != null) {
                return false;
            }
            if (m7 != null && this.f24850p != null && m7.o().compareTo(this.f24850p) == 1) {
                return false;
            }
            if (this.f24852y) {
                byte[] extensionValue2 = x509crl.getExtensionValue(a1.f22744d6.m());
                byte[] bArr = this.f24851x;
                if (bArr == null) {
                    if (extensionValue2 != null) {
                        return false;
                    }
                } else if (!v5.a.a(extensionValue2, bArr)) {
                    return false;
                }
            }
            return super.match(x509crl);
        } catch (Exception unused) {
            return false;
        }
    }

    public byte[] c() {
        return v5.a.d(this.f24851x);
    }

    @Override // v5.e, java.lang.Object
    public Object clone() {
        l b7 = b(this);
        b7.f24848f = this.f24848f;
        b7.f24849g = this.f24849g;
        b7.f24850p = this.f24850p;
        b7.C1 = this.C1;
        b7.f24852y = this.f24852y;
        b7.f24851x = v5.a.d(this.f24851x);
        return b7;
    }

    public BigInteger d() {
        return this.f24850p;
    }

    public boolean e() {
        return this.f24849g;
    }

    public boolean f() {
        return this.f24848f;
    }

    public boolean g() {
        return this.f24852y;
    }

    public void h(k kVar) {
        this.C1 = kVar;
    }

    public void i(boolean z7) {
        this.f24849g = z7;
    }

    public void j(boolean z7) {
        this.f24848f = z7;
    }

    public void k(byte[] bArr) {
        this.f24851x = v5.a.d(bArr);
    }

    public void l(boolean z7) {
        this.f24852y = z7;
    }

    public void m(BigInteger bigInteger) {
        this.f24850p = bigInteger;
    }

    public boolean match(CRL crl) {
        return b1(crl);
    }
}
