package org.bouncycastle2.x509;

import java.io.IOException;
import java.security.InvalidKeyException;
import java.security.NoSuchAlgorithmException;
import java.security.NoSuchProviderException;
import java.security.PrivateKey;
import java.security.Provider;
import java.security.SecureRandom;
import java.security.Security;
import java.security.Signature;
import java.security.SignatureException;
import java.util.ArrayList;
import java.util.Enumeration;
import java.util.HashSet;
import java.util.Hashtable;
import java.util.Iterator;
import java.util.Set;
import javax.security.auth.x500.X500Principal;
import org.bouncycastle2.asn1.a1;
import org.bouncycastle2.asn1.c;
import org.bouncycastle2.asn1.n0;
import org.bouncycastle2.asn1.pkcs.m;
import org.bouncycastle2.asn1.pkcs.s;
import org.bouncycastle2.asn1.teletrust.b;
import org.bouncycastle2.asn1.w0;
import org.bouncycastle2.asn1.x0;
import org.bouncycastle2.asn1.x9.j;
import org.bouncycastle2.jce.g;
import v5.h;

/* access modifiers changed from: package-private */
public class v {

    /* renamed from: a  reason: collision with root package name */
    private static Hashtable f24864a = new Hashtable();

    /* renamed from: b  reason: collision with root package name */
    private static Hashtable f24865b = new Hashtable();

    /* renamed from: c  reason: collision with root package name */
    private static Set f24866c = new HashSet();

    /* access modifiers changed from: package-private */
    public static class a {

        /* renamed from: a  reason: collision with root package name */
        Object f24867a;

        /* renamed from: b  reason: collision with root package name */
        Provider f24868b;

        a(Object obj, Provider provider) {
            this.f24867a = obj;
            this.f24868b = provider;
        }

        /* access modifiers changed from: package-private */
        public Object a() {
            return this.f24867a;
        }

        /* access modifiers changed from: package-private */
        public Provider b() {
            return this.f24868b;
        }
    }

    static {
        Hashtable hashtable = f24864a;
        a1 a1Var = m.f22535n0;
        hashtable.put("MD2WITHRSAENCRYPTION", a1Var);
        f24864a.put("MD2WITHRSA", a1Var);
        Hashtable hashtable2 = f24864a;
        a1 a1Var2 = m.f22541p0;
        hashtable2.put("MD5WITHRSAENCRYPTION", a1Var2);
        f24864a.put("MD5WITHRSA", a1Var2);
        Hashtable hashtable3 = f24864a;
        a1 a1Var3 = m.f22544q0;
        hashtable3.put("SHA1WITHRSAENCRYPTION", a1Var3);
        f24864a.put("SHA1WITHRSA", a1Var3);
        Hashtable hashtable4 = f24864a;
        a1 a1Var4 = m.f22571z0;
        hashtable4.put("SHA224WITHRSAENCRYPTION", a1Var4);
        f24864a.put("SHA224WITHRSA", a1Var4);
        Hashtable hashtable5 = f24864a;
        a1 a1Var5 = m.f22562w0;
        hashtable5.put("SHA256WITHRSAENCRYPTION", a1Var5);
        f24864a.put("SHA256WITHRSA", a1Var5);
        Hashtable hashtable6 = f24864a;
        a1 a1Var6 = m.f22565x0;
        hashtable6.put("SHA384WITHRSAENCRYPTION", a1Var6);
        f24864a.put("SHA384WITHRSA", a1Var6);
        Hashtable hashtable7 = f24864a;
        a1 a1Var7 = m.f22568y0;
        hashtable7.put("SHA512WITHRSAENCRYPTION", a1Var7);
        f24864a.put("SHA512WITHRSA", a1Var7);
        Hashtable hashtable8 = f24864a;
        a1 a1Var8 = m.f22559v0;
        hashtable8.put("SHA1WITHRSAANDMGF1", a1Var8);
        f24864a.put("SHA224WITHRSAANDMGF1", a1Var8);
        f24864a.put("SHA256WITHRSAANDMGF1", a1Var8);
        f24864a.put("SHA384WITHRSAANDMGF1", a1Var8);
        f24864a.put("SHA512WITHRSAANDMGF1", a1Var8);
        Hashtable hashtable9 = f24864a;
        a1 a1Var9 = b.f22694f;
        hashtable9.put("RIPEMD160WITHRSAENCRYPTION", a1Var9);
        f24864a.put("RIPEMD160WITHRSA", a1Var9);
        Hashtable hashtable10 = f24864a;
        a1 a1Var10 = b.f22695g;
        hashtable10.put("RIPEMD128WITHRSAENCRYPTION", a1Var10);
        f24864a.put("RIPEMD128WITHRSA", a1Var10);
        Hashtable hashtable11 = f24864a;
        a1 a1Var11 = b.f22696h;
        hashtable11.put("RIPEMD256WITHRSAENCRYPTION", a1Var11);
        f24864a.put("RIPEMD256WITHRSA", a1Var11);
        Hashtable hashtable12 = f24864a;
        a1 a1Var12 = j.f22982a4;
        hashtable12.put("SHA1WITHDSA", a1Var12);
        f24864a.put("DSAWITHSHA1", a1Var12);
        Hashtable hashtable13 = f24864a;
        a1 a1Var13 = org.bouncycastle2.asn1.nist.b.C;
        hashtable13.put("SHA224WITHDSA", a1Var13);
        Hashtable hashtable14 = f24864a;
        a1 a1Var14 = org.bouncycastle2.asn1.nist.b.D;
        hashtable14.put("SHA256WITHDSA", a1Var14);
        Hashtable hashtable15 = f24864a;
        a1 a1Var15 = j.f23002m3;
        hashtable15.put("SHA1WITHECDSA", a1Var15);
        f24864a.put("ECDSAWITHSHA1", a1Var15);
        Hashtable hashtable16 = f24864a;
        a1 a1Var16 = j.f23008q3;
        hashtable16.put("SHA224WITHECDSA", a1Var16);
        Hashtable hashtable17 = f24864a;
        a1 a1Var17 = j.f23009r3;
        hashtable17.put("SHA256WITHECDSA", a1Var17);
        Hashtable hashtable18 = f24864a;
        a1 a1Var18 = j.f23010s3;
        hashtable18.put("SHA384WITHECDSA", a1Var18);
        Hashtable hashtable19 = f24864a;
        a1 a1Var19 = j.f23011t3;
        hashtable19.put("SHA512WITHECDSA", a1Var19);
        Hashtable hashtable20 = f24864a;
        a1 a1Var20 = org.bouncycastle2.asn1.cryptopro.a.f22330f;
        hashtable20.put("GOST3411WITHGOST3410", a1Var20);
        f24864a.put("GOST3411WITHGOST3410-94", a1Var20);
        Hashtable hashtable21 = f24864a;
        a1 a1Var21 = org.bouncycastle2.asn1.cryptopro.a.f22331g;
        hashtable21.put("GOST3411WITHECGOST3410", a1Var21);
        f24864a.put("GOST3411WITHECGOST3410-2001", a1Var21);
        f24864a.put("GOST3411WITHGOST3410-2001", a1Var21);
        f24866c.add(a1Var15);
        f24866c.add(a1Var16);
        f24866c.add(a1Var17);
        f24866c.add(a1Var18);
        f24866c.add(a1Var19);
        f24866c.add(a1Var12);
        f24866c.add(a1Var13);
        f24866c.add(a1Var14);
        f24866c.add(a1Var20);
        f24866c.add(a1Var21);
        f24865b.put("SHA1WITHRSAANDMGF1", d(new org.bouncycastle2.asn1.x509.b(org.bouncycastle2.asn1.oiw.b.f22470i, new x0()), 20));
        f24865b.put("SHA224WITHRSAANDMGF1", d(new org.bouncycastle2.asn1.x509.b(org.bouncycastle2.asn1.nist.b.f22431e, new x0()), 28));
        f24865b.put("SHA256WITHRSAANDMGF1", d(new org.bouncycastle2.asn1.x509.b(org.bouncycastle2.asn1.nist.b.f22428b, new x0()), 32));
        f24865b.put("SHA384WITHRSAANDMGF1", d(new org.bouncycastle2.asn1.x509.b(org.bouncycastle2.asn1.nist.b.f22429c, new x0()), 48));
        f24865b.put("SHA512WITHRSAANDMGF1", d(new org.bouncycastle2.asn1.x509.b(org.bouncycastle2.asn1.nist.b.f22430d, new x0()), 64));
    }

    v() {
    }

    static byte[] a(a1 a1Var, String str, String str2, PrivateKey privateKey, SecureRandom secureRandom, c cVar) throws IOException, NoSuchProviderException, NoSuchAlgorithmException, InvalidKeyException, SignatureException {
        if (a1Var != null) {
            Signature l7 = l(str, str2);
            if (secureRandom != null) {
                l7.initSign(privateKey, secureRandom);
            } else {
                l7.initSign(privateKey);
            }
            l7.update(cVar.h(c.f22322f));
            return l7.sign();
        }
        throw new IllegalStateException("no signature algorithm specified");
    }

    static byte[] b(a1 a1Var, String str, PrivateKey privateKey, SecureRandom secureRandom, c cVar) throws IOException, NoSuchAlgorithmException, InvalidKeyException, SignatureException {
        if (a1Var != null) {
            Signature k7 = k(str);
            if (secureRandom != null) {
                k7.initSign(privateKey, secureRandom);
            } else {
                k7.initSign(privateKey);
            }
            k7.update(cVar.h(c.f22322f));
            return k7.sign();
        }
        throw new IllegalStateException("no signature algorithm specified");
    }

    static g c(X500Principal x500Principal) {
        try {
            return new g(x500Principal.getEncoded());
        } catch (IOException unused) {
            throw new IllegalArgumentException("cannot convert principal");
        }
    }

    private static s d(org.bouncycastle2.asn1.x509.b bVar, int i7) {
        return new s(bVar, new org.bouncycastle2.asn1.x509.b(m.f22553t0, bVar), new w0(i7), new w0(1));
    }

    static Iterator e() {
        Enumeration keys = f24864a.keys();
        ArrayList arrayList = new ArrayList();
        while (keys.hasMoreElements()) {
            arrayList.add(keys.nextElement());
        }
        return arrayList.iterator();
    }

    static a1 f(String str) {
        String g7 = h.g(str);
        return f24864a.containsKey(g7) ? (a1) f24864a.get(g7) : new a1(g7);
    }

    static a g(String str, String str2) throws NoSuchAlgorithmException {
        Provider[] providers = Security.getProviders();
        for (int i7 = 0; i7 != providers.length; i7++) {
            a h7 = h(str, h.g(str2), providers[i7]);
            if (h7 != null) {
                return h7;
            }
            try {
                h(str, str2, providers[i7]);
            } catch (NoSuchAlgorithmException unused) {
            }
        }
        throw new NoSuchAlgorithmException("cannot find implementation " + str2);
    }

    static a h(String str, String str2, Provider provider) throws NoSuchAlgorithmException {
        String g7 = h.g(str2);
        while (true) {
            String property = provider.getProperty("Alg.Alias." + str + "." + g7);
            if (property == null) {
                break;
            }
            g7 = property;
        }
        String property2 = provider.getProperty(String.valueOf(str) + "." + g7);
        if (property2 != null) {
            try {
                ClassLoader classLoader = provider.getClass().getClassLoader();
                return new a((classLoader != null ? classLoader.loadClass(property2) : Class.forName(property2)).newInstance(), provider);
            } catch (ClassNotFoundException unused) {
                throw new IllegalStateException("algorithm " + g7 + " in provider " + provider.getName() + " but no class \"" + property2 + "\" found!");
            } catch (Exception unused2) {
                throw new IllegalStateException("algorithm " + g7 + " in provider " + provider.getName() + " but class \"" + property2 + "\" inaccessible!");
            }
        } else {
            throw new NoSuchAlgorithmException("cannot find implementation " + g7 + " for provider " + provider.getName());
        }
    }

    static Provider i(String str) throws NoSuchProviderException {
        Provider provider = Security.getProvider(str);
        if (provider != null) {
            return provider;
        }
        throw new NoSuchProviderException("Provider " + str + " not found");
    }

    static org.bouncycastle2.asn1.x509.b j(a1 a1Var, String str) {
        if (f24866c.contains(a1Var)) {
            return new org.bouncycastle2.asn1.x509.b(a1Var);
        }
        String g7 = h.g(str);
        return f24865b.containsKey(g7) ? new org.bouncycastle2.asn1.x509.b(a1Var, (n0) f24865b.get(g7)) : new org.bouncycastle2.asn1.x509.b(a1Var, new x0());
    }

    static Signature k(String str) throws NoSuchAlgorithmException {
        return Signature.getInstance(str);
    }

    static Signature l(String str, String str2) throws NoSuchProviderException, NoSuchAlgorithmException {
        return str2 != null ? Signature.getInstance(str, str2) : Signature.getInstance(str);
    }
}
