package org.bouncycastle2.x509;

import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.math.BigInteger;
import java.security.InvalidKeyException;
import java.security.NoSuchAlgorithmException;
import java.security.NoSuchProviderException;
import java.security.PublicKey;
import java.security.Signature;
import java.security.SignatureException;
import java.security.cert.CertificateException;
import java.security.cert.CertificateExpiredException;
import java.security.cert.CertificateNotYetValidException;
import java.text.ParseException;
import java.util.ArrayList;
import java.util.Date;
import java.util.Enumeration;
import java.util.HashSet;
import java.util.Set;
import org.bouncycastle2.asn1.c;
import org.bouncycastle2.asn1.e;
import org.bouncycastle2.asn1.j0;
import org.bouncycastle2.asn1.m;
import org.bouncycastle2.asn1.x509.a1;
import org.bouncycastle2.asn1.x509.f;
import org.bouncycastle2.asn1.x509.z0;
import v5.a;

public class w implements k {

    /* renamed from: f  reason: collision with root package name */
    private f f24869f;

    /* renamed from: g  reason: collision with root package name */
    private Date f24870g;

    /* renamed from: p  reason: collision with root package name */
    private Date f24871p;

    public w(InputStream inputStream) throws IOException {
        this(f.k(new e(inputStream).h()));
    }

    private Set a(boolean z7) {
        a1 l7 = this.f24869f.j().l();
        if (l7 == null) {
            return null;
        }
        HashSet hashSet = new HashSet();
        Enumeration n7 = l7.n();
        while (n7.hasMoreElements()) {
            org.bouncycastle2.asn1.a1 a1Var = (org.bouncycastle2.asn1.a1) n7.nextElement();
            if (l7.k(a1Var).c() == z7) {
                hashSet.add(a1Var.m());
            }
        }
        return hashSet;
    }

    @Override // org.bouncycastle2.x509.k
    public i[] b() {
        m k7 = this.f24869f.j().k();
        i[] iVarArr = new i[k7.s()];
        for (int i7 = 0; i7 != k7.s(); i7++) {
            iVarArr[i7] = new i((c) k7.p(i7));
        }
        return iVarArr;
    }

    @Override // org.bouncycastle2.x509.k
    public void checkValidity() throws CertificateExpiredException, CertificateNotYetValidException {
        checkValidity(new Date());
    }

    @Override // org.bouncycastle2.x509.k
    public a e() {
        return new a((m) this.f24869f.j().m().i());
    }

    public boolean equals(Object obj) {
        if (obj == this) {
            return true;
        }
        if (!(obj instanceof k)) {
            return false;
        }
        try {
            return a.a(getEncoded(), ((k) obj).getEncoded());
        } catch (IOException unused) {
            return false;
        }
    }

    @Override // org.bouncycastle2.x509.k
    public i[] f(String str) {
        m k7 = this.f24869f.j().k();
        ArrayList arrayList = new ArrayList();
        for (int i7 = 0; i7 != k7.s(); i7++) {
            i iVar = new i((c) k7.p(i7));
            if (iVar.j().equals(str)) {
                arrayList.add(iVar);
            }
        }
        if (arrayList.size() == 0) {
            return null;
        }
        return (i[]) arrayList.toArray(new i[arrayList.size()]);
    }

    @Override // org.bouncycastle2.x509.k
    public b g() {
        return new b(this.f24869f.j().p());
    }

    @Override // java.security.cert.X509Extension
    public Set getCriticalExtensionOIDs() {
        return a(true);
    }

    @Override // org.bouncycastle2.x509.k
    public byte[] getEncoded() throws IOException {
        return this.f24869f.g();
    }

    public byte[] getExtensionValue(String str) {
        z0 k7;
        a1 l7 = this.f24869f.j().l();
        if (l7 == null || (k7 = l7.k(new org.bouncycastle2.asn1.a1(str))) == null) {
            return null;
        }
        try {
            return k7.b().h(c.f22322f);
        } catch (Exception e7) {
            throw new RuntimeException("error encoding " + e7.toString());
        }
    }

    @Override // org.bouncycastle2.x509.k
    public boolean[] getIssuerUniqueID() {
        j0 q7 = this.f24869f.j().q();
        if (q7 == null) {
            return null;
        }
        byte[] m7 = q7.m();
        int length = (m7.length * 8) - q7.q();
        boolean[] zArr = new boolean[length];
        for (int i7 = 0; i7 != length; i7++) {
            zArr[i7] = (m7[i7 / 8] & (128 >>> (i7 % 8))) != 0;
        }
        return zArr;
    }

    @Override // java.security.cert.X509Extension
    public Set getNonCriticalExtensionOIDs() {
        return a(false);
    }

    @Override // org.bouncycastle2.x509.k
    public Date getNotAfter() {
        return this.f24871p;
    }

    @Override // org.bouncycastle2.x509.k
    public Date getNotBefore() {
        return this.f24870g;
    }

    @Override // org.bouncycastle2.x509.k
    public BigInteger getSerialNumber() {
        return this.f24869f.j().r().p();
    }

    @Override // org.bouncycastle2.x509.k
    public byte[] getSignature() {
        return this.f24869f.m().m();
    }

    @Override // org.bouncycastle2.x509.k
    public int getVersion() {
        return this.f24869f.j().t().p().intValue() + 1;
    }

    public boolean hasUnsupportedCriticalExtension() {
        Set criticalExtensionOIDs = getCriticalExtensionOIDs();
        return criticalExtensionOIDs != null && !criticalExtensionOIDs.isEmpty();
    }

    public int hashCode() {
        try {
            return a.j(getEncoded());
        } catch (IOException unused) {
            return 0;
        }
    }

    @Override // org.bouncycastle2.x509.k
    public final void verify(PublicKey publicKey, String str) throws CertificateException, NoSuchAlgorithmException, InvalidKeyException, NoSuchProviderException, SignatureException {
        if (this.f24869f.l().equals(this.f24869f.j().s())) {
            Signature instance = Signature.getInstance(this.f24869f.l().l().m(), str);
            instance.initVerify(publicKey);
            try {
                instance.update(this.f24869f.j().g());
                if (!instance.verify(getSignature())) {
                    throw new InvalidKeyException("Public key presented not for certificate signature");
                }
            } catch (IOException unused) {
                throw new SignatureException("Exception encoding certificate info object");
            }
        } else {
            throw new CertificateException("Signature algorithm in certificate info not same as outer certificate");
        }
    }

    w(f fVar) throws IOException {
        this.f24869f = fVar;
        try {
            this.f24871p = fVar.j().j().k().o();
            this.f24870g = fVar.j().j().l().o();
        } catch (ParseException unused) {
            throw new IOException("invalid data structure in certificate!");
        }
    }

    @Override // org.bouncycastle2.x509.k
    public void checkValidity(Date date) throws CertificateExpiredException, CertificateNotYetValidException {
        if (date.after(getNotAfter())) {
            throw new CertificateExpiredException("certificate expired on " + getNotAfter());
        } else if (date.before(getNotBefore())) {
            throw new CertificateNotYetValidException("certificate not valid till " + getNotBefore());
        }
    }

    public w(byte[] bArr) throws IOException {
        this(new ByteArrayInputStream(bArr));
    }
}
